#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 672
#define LARGE_STATE_COUNT 2
#define SYMBOL_COUNT 133
#define ALIAS_COUNT 2
#define TOKEN_COUNT 68
#define EXTERNAL_TOKEN_COUNT 3
#define FIELD_COUNT 30
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 136

enum ts_symbol_identifiers {
  sym_identifier = 1,
  anon_sym_LF = 2,
  anon_sym_CR = 3,
  sym__eol = 4,
  aux_sym__any_token1 = 5,
  aux_sym__org_stars_token1 = 6,
  aux_sym_headline_token1 = 7,
  sym__indent = 8,
  sym_atat = 9,
  sym_at = 10,
  anon_sym_STAR = 11,
  sym_slash = 12,
  sym_plus = 13,
  sym_minus = 14,
  sym_flag = 15,
  sym__none = 16,
  sym_bool = 17,
  sym_date = 18,
  sym_account = 19,
  sym_currency = 20,
  sym_string = 21,
  sym_number = 22,
  sym_tag = 23,
  sym_link = 24,
  anon_sym_txn = 25,
  anon_sym_POUND = 26,
  anon_sym_LPAREN = 27,
  anon_sym_RPAREN = 28,
  sym_key = 29,
  anon_sym_COLON = 30,
  anon_sym_pushtag = 31,
  anon_sym_poptag = 32,
  anon_sym_pushmeta = 33,
  anon_sym_popmeta = 34,
  anon_sym_open = 35,
  anon_sym_COMMA = 36,
  anon_sym_close = 37,
  anon_sym_commodity = 38,
  anon_sym_pad = 39,
  anon_sym_balance = 40,
  anon_sym_TILDE = 41,
  anon_sym_LBRACE = 42,
  anon_sym_RBRACE = 43,
  anon_sym_LBRACE_LBRACE = 44,
  anon_sym_RBRACE_RBRACE = 45,
  anon_sym_price = 46,
  anon_sym_event = 47,
  anon_sym_query = 48,
  anon_sym_note = 49,
  anon_sym_document = 50,
  anon_sym_custom = 51,
  anon_sym_option = 52,
  anon_sym_include = 53,
  anon_sym_plugin = 54,
  anon_sym_SEMI = 55,
  sym__UTF_8_1 = 56,
  aux_sym__UTF_8_2_token1 = 57,
  aux_sym__UTF_8_3_token1 = 58,
  aux_sym__UTF_8_3_token2 = 59,
  aux_sym__UTF_8_3_token3 = 60,
  aux_sym__UTF_8_3_token4 = 61,
  aux_sym__UTF_8_4_token1 = 62,
  aux_sym__UTF_8_4_token2 = 63,
  aux_sym__UTF_8_4_token3 = 64,
  sym__stars = 65,
  sym__sectionend = 66,
  sym__eof = 67,
  sym_file = 68,
  sym__nl = 69,
  sym__any = 70,
  sym_section = 71,
  sym__org_stars = 72,
  sym_headline = 73,
  sym_item = 74,
  sym_asterisk = 75,
  sym_txn = 76,
  sym__number_expr = 77,
  sym__paren__number_expr = 78,
  sym_unary_number_expr = 79,
  sym_binary_number_expr = 80,
  sym__txn_strings = 81,
  sym_tags_links = 82,
  sym_transaction = 83,
  sym_optflag = 84,
  sym_price_annotation = 85,
  sym_posting = 86,
  sym_value = 87,
  sym_key_value = 88,
  sym__key_value_line = 89,
  aux_sym__key_value_list = 90,
  sym_pushtag = 91,
  sym_poptag = 92,
  sym_pushmeta = 93,
  sym_popmeta = 94,
  sym_open = 95,
  sym_opt_booking = 96,
  sym_close = 97,
  sym_commodity = 98,
  sym_pad = 99,
  sym_balance = 100,
  sym_amount = 101,
  sym_amount_tolerance = 102,
  sym_compound_amount = 103,
  sym_incomplete_amount = 104,
  sym_cost_spec = 105,
  sym__cost_comp_list = 106,
  sym_cost_comp = 107,
  sym_price = 108,
  sym_event = 109,
  sym_query = 110,
  sym_note = 111,
  sym_filename = 112,
  sym_document = 113,
  sym_custom_value = 114,
  sym_custom = 115,
  sym__entry = 116,
  sym_option = 117,
  sym_include = 118,
  sym_plugin = 119,
  sym__directive = 120,
  sym__declarations = 121,
  sym_comment = 122,
  sym__skipped_lines = 123,
  aux_sym_file_repeat1 = 124,
  aux_sym_section_repeat1 = 125,
  aux_sym_section_repeat2 = 126,
  aux_sym_tags_links_repeat1 = 127,
  aux_sym_transaction_repeat1 = 128,
  aux_sym_open_repeat1 = 129,
  aux_sym_open_repeat2 = 130,
  aux_sym__cost_comp_list_repeat1 = 131,
  aux_sym_custom_repeat1 = 132,
  alias_sym_narration = 133,
  alias_sym_payee = 134,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_LF] = "\n",
  [anon_sym_CR] = "\r",
  [sym__eol] = "_eol",
  [aux_sym__any_token1] = "_any_token1",
  [aux_sym__org_stars_token1] = "_org_stars_token1",
  [aux_sym_headline_token1] = "headline_token1",
  [sym__indent] = "_indent",
  [sym_atat] = "atat",
  [sym_at] = "at",
  [anon_sym_STAR] = "*",
  [sym_slash] = "slash",
  [sym_plus] = "plus",
  [sym_minus] = "minus",
  [sym_flag] = "flag",
  [sym__none] = "_none",
  [sym_bool] = "bool",
  [sym_date] = "date",
  [sym_account] = "account",
  [sym_currency] = "currency",
  [sym_string] = "string",
  [sym_number] = "number",
  [sym_tag] = "tag",
  [sym_link] = "link",
  [anon_sym_txn] = "txn",
  [anon_sym_POUND] = "#",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [sym_key] = "key",
  [anon_sym_COLON] = ":",
  [anon_sym_pushtag] = "pushtag",
  [anon_sym_poptag] = "poptag",
  [anon_sym_pushmeta] = "pushmeta",
  [anon_sym_popmeta] = "popmeta",
  [anon_sym_open] = "open",
  [anon_sym_COMMA] = ",",
  [anon_sym_close] = "close",
  [anon_sym_commodity] = "commodity",
  [anon_sym_pad] = "pad",
  [anon_sym_balance] = "balance",
  [anon_sym_TILDE] = "~",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_LBRACE_LBRACE] = "{{",
  [anon_sym_RBRACE_RBRACE] = "}}",
  [anon_sym_price] = "price",
  [anon_sym_event] = "event",
  [anon_sym_query] = "query",
  [anon_sym_note] = "note",
  [anon_sym_document] = "document",
  [anon_sym_custom] = "custom",
  [anon_sym_option] = "option",
  [anon_sym_include] = "include",
  [anon_sym_plugin] = "plugin",
  [anon_sym_SEMI] = ";",
  [sym__UTF_8_1] = "_UTF_8_1",
  [aux_sym__UTF_8_2_token1] = "_UTF_8_2_token1",
  [aux_sym__UTF_8_3_token1] = "_UTF_8_3_token1",
  [aux_sym__UTF_8_3_token2] = "_UTF_8_3_token2",
  [aux_sym__UTF_8_3_token3] = "_UTF_8_3_token3",
  [aux_sym__UTF_8_3_token4] = "_UTF_8_3_token4",
  [aux_sym__UTF_8_4_token1] = "_UTF_8_4_token1",
  [aux_sym__UTF_8_4_token2] = "_UTF_8_4_token2",
  [aux_sym__UTF_8_4_token3] = "_UTF_8_4_token3",
  [sym__stars] = "_stars",
  [sym__sectionend] = "_sectionend",
  [sym__eof] = "_eof",
  [sym_file] = "file",
  [sym__nl] = "_nl",
  [sym__any] = "_any",
  [sym_section] = "section",
  [sym__org_stars] = "_org_stars",
  [sym_headline] = "headline",
  [sym_item] = "item",
  [sym_asterisk] = "asterisk",
  [sym_txn] = "txn",
  [sym__number_expr] = "_number_expr",
  [sym__paren__number_expr] = "_paren__number_expr",
  [sym_unary_number_expr] = "unary_number_expr",
  [sym_binary_number_expr] = "binary_number_expr",
  [sym__txn_strings] = "_txn_strings",
  [sym_tags_links] = "tags_links",
  [sym_transaction] = "transaction",
  [sym_optflag] = "optflag",
  [sym_price_annotation] = "price_annotation",
  [sym_posting] = "posting",
  [sym_value] = "value",
  [sym_key_value] = "key_value",
  [sym__key_value_line] = "_key_value_line",
  [aux_sym__key_value_list] = "_key_value_list",
  [sym_pushtag] = "pushtag",
  [sym_poptag] = "poptag",
  [sym_pushmeta] = "pushmeta",
  [sym_popmeta] = "popmeta",
  [sym_open] = "open",
  [sym_opt_booking] = "opt_booking",
  [sym_close] = "close",
  [sym_commodity] = "commodity",
  [sym_pad] = "pad",
  [sym_balance] = "balance",
  [sym_amount] = "amount",
  [sym_amount_tolerance] = "amount_tolerance",
  [sym_compound_amount] = "compound_amount",
  [sym_incomplete_amount] = "incomplete_amount",
  [sym_cost_spec] = "cost_spec",
  [sym__cost_comp_list] = "_cost_comp_list",
  [sym_cost_comp] = "cost_comp",
  [sym_price] = "price",
  [sym_event] = "event",
  [sym_query] = "query",
  [sym_note] = "note",
  [sym_filename] = "filename",
  [sym_document] = "document",
  [sym_custom_value] = "custom_value",
  [sym_custom] = "custom",
  [sym__entry] = "_entry",
  [sym_option] = "option",
  [sym_include] = "include",
  [sym_plugin] = "plugin",
  [sym__directive] = "_directive",
  [sym__declarations] = "_declarations",
  [sym_comment] = "comment",
  [sym__skipped_lines] = "_skipped_lines",
  [aux_sym_file_repeat1] = "file_repeat1",
  [aux_sym_section_repeat1] = "section_repeat1",
  [aux_sym_section_repeat2] = "section_repeat2",
  [aux_sym_tags_links_repeat1] = "tags_links_repeat1",
  [aux_sym_transaction_repeat1] = "transaction_repeat1",
  [aux_sym_open_repeat1] = "open_repeat1",
  [aux_sym_open_repeat2] = "open_repeat2",
  [aux_sym__cost_comp_list_repeat1] = "_cost_comp_list_repeat1",
  [aux_sym_custom_repeat1] = "custom_repeat1",
  [alias_sym_narration] = "narration",
  [alias_sym_payee] = "payee",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_LF] = anon_sym_LF,
  [anon_sym_CR] = anon_sym_CR,
  [sym__eol] = sym__eol,
  [aux_sym__any_token1] = aux_sym__any_token1,
  [aux_sym__org_stars_token1] = aux_sym__org_stars_token1,
  [aux_sym_headline_token1] = aux_sym_headline_token1,
  [sym__indent] = sym__indent,
  [sym_atat] = sym_atat,
  [sym_at] = sym_at,
  [anon_sym_STAR] = anon_sym_STAR,
  [sym_slash] = sym_slash,
  [sym_plus] = sym_plus,
  [sym_minus] = sym_minus,
  [sym_flag] = sym_flag,
  [sym__none] = sym__none,
  [sym_bool] = sym_bool,
  [sym_date] = sym_date,
  [sym_account] = sym_account,
  [sym_currency] = sym_currency,
  [sym_string] = sym_string,
  [sym_number] = sym_number,
  [sym_tag] = sym_tag,
  [sym_link] = sym_link,
  [anon_sym_txn] = anon_sym_txn,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [sym_key] = sym_key,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_pushtag] = anon_sym_pushtag,
  [anon_sym_poptag] = anon_sym_poptag,
  [anon_sym_pushmeta] = anon_sym_pushmeta,
  [anon_sym_popmeta] = anon_sym_popmeta,
  [anon_sym_open] = anon_sym_open,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_close] = anon_sym_close,
  [anon_sym_commodity] = anon_sym_commodity,
  [anon_sym_pad] = anon_sym_pad,
  [anon_sym_balance] = anon_sym_balance,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_LBRACE_LBRACE] = anon_sym_LBRACE_LBRACE,
  [anon_sym_RBRACE_RBRACE] = anon_sym_RBRACE_RBRACE,
  [anon_sym_price] = anon_sym_price,
  [anon_sym_event] = anon_sym_event,
  [anon_sym_query] = anon_sym_query,
  [anon_sym_note] = anon_sym_note,
  [anon_sym_document] = anon_sym_document,
  [anon_sym_custom] = anon_sym_custom,
  [anon_sym_option] = anon_sym_option,
  [anon_sym_include] = anon_sym_include,
  [anon_sym_plugin] = anon_sym_plugin,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [sym__UTF_8_1] = sym__UTF_8_1,
  [aux_sym__UTF_8_2_token1] = aux_sym__UTF_8_2_token1,
  [aux_sym__UTF_8_3_token1] = aux_sym__UTF_8_3_token1,
  [aux_sym__UTF_8_3_token2] = aux_sym__UTF_8_3_token2,
  [aux_sym__UTF_8_3_token3] = aux_sym__UTF_8_3_token3,
  [aux_sym__UTF_8_3_token4] = aux_sym__UTF_8_3_token4,
  [aux_sym__UTF_8_4_token1] = aux_sym__UTF_8_4_token1,
  [aux_sym__UTF_8_4_token2] = aux_sym__UTF_8_4_token2,
  [aux_sym__UTF_8_4_token3] = aux_sym__UTF_8_4_token3,
  [sym__stars] = sym__stars,
  [sym__sectionend] = sym__sectionend,
  [sym__eof] = sym__eof,
  [sym_file] = sym_file,
  [sym__nl] = sym__nl,
  [sym__any] = sym__any,
  [sym_section] = sym_section,
  [sym__org_stars] = sym__org_stars,
  [sym_headline] = sym_headline,
  [sym_item] = sym_item,
  [sym_asterisk] = sym_asterisk,
  [sym_txn] = sym_txn,
  [sym__number_expr] = sym__number_expr,
  [sym__paren__number_expr] = sym__paren__number_expr,
  [sym_unary_number_expr] = sym_unary_number_expr,
  [sym_binary_number_expr] = sym_binary_number_expr,
  [sym__txn_strings] = sym__txn_strings,
  [sym_tags_links] = sym_tags_links,
  [sym_transaction] = sym_transaction,
  [sym_optflag] = sym_optflag,
  [sym_price_annotation] = sym_price_annotation,
  [sym_posting] = sym_posting,
  [sym_value] = sym_value,
  [sym_key_value] = sym_key_value,
  [sym__key_value_line] = sym__key_value_line,
  [aux_sym__key_value_list] = aux_sym__key_value_list,
  [sym_pushtag] = sym_pushtag,
  [sym_poptag] = sym_poptag,
  [sym_pushmeta] = sym_pushmeta,
  [sym_popmeta] = sym_popmeta,
  [sym_open] = sym_open,
  [sym_opt_booking] = sym_opt_booking,
  [sym_close] = sym_close,
  [sym_commodity] = sym_commodity,
  [sym_pad] = sym_pad,
  [sym_balance] = sym_balance,
  [sym_amount] = sym_amount,
  [sym_amount_tolerance] = sym_amount_tolerance,
  [sym_compound_amount] = sym_compound_amount,
  [sym_incomplete_amount] = sym_incomplete_amount,
  [sym_cost_spec] = sym_cost_spec,
  [sym__cost_comp_list] = sym__cost_comp_list,
  [sym_cost_comp] = sym_cost_comp,
  [sym_price] = sym_price,
  [sym_event] = sym_event,
  [sym_query] = sym_query,
  [sym_note] = sym_note,
  [sym_filename] = sym_filename,
  [sym_document] = sym_document,
  [sym_custom_value] = sym_custom_value,
  [sym_custom] = sym_custom,
  [sym__entry] = sym__entry,
  [sym_option] = sym_option,
  [sym_include] = sym_include,
  [sym_plugin] = sym_plugin,
  [sym__directive] = sym__directive,
  [sym__declarations] = sym__declarations,
  [sym_comment] = sym_comment,
  [sym__skipped_lines] = sym__skipped_lines,
  [aux_sym_file_repeat1] = aux_sym_file_repeat1,
  [aux_sym_section_repeat1] = aux_sym_section_repeat1,
  [aux_sym_section_repeat2] = aux_sym_section_repeat2,
  [aux_sym_tags_links_repeat1] = aux_sym_tags_links_repeat1,
  [aux_sym_transaction_repeat1] = aux_sym_transaction_repeat1,
  [aux_sym_open_repeat1] = aux_sym_open_repeat1,
  [aux_sym_open_repeat2] = aux_sym_open_repeat2,
  [aux_sym__cost_comp_list_repeat1] = aux_sym__cost_comp_list_repeat1,
  [aux_sym_custom_repeat1] = aux_sym_custom_repeat1,
  [alias_sym_narration] = alias_sym_narration,
  [alias_sym_payee] = alias_sym_payee,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CR] = {
    .visible = true,
    .named = false,
  },
  [sym__eol] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__any_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__org_stars_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_headline_token1] = {
    .visible = false,
    .named = false,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym_atat] = {
    .visible = true,
    .named = true,
  },
  [sym_at] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [sym_slash] = {
    .visible = true,
    .named = true,
  },
  [sym_plus] = {
    .visible = true,
    .named = true,
  },
  [sym_minus] = {
    .visible = true,
    .named = true,
  },
  [sym_flag] = {
    .visible = true,
    .named = true,
  },
  [sym__none] = {
    .visible = false,
    .named = true,
  },
  [sym_bool] = {
    .visible = true,
    .named = true,
  },
  [sym_date] = {
    .visible = true,
    .named = true,
  },
  [sym_account] = {
    .visible = true,
    .named = true,
  },
  [sym_currency] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_link] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_txn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [sym_key] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pushtag] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_poptag] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pushmeta] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_popmeta] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_open] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_close] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_commodity] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pad] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_balance] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_price] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_event] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_query] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_note] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_document] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_custom] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_option] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_include] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_plugin] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [sym__UTF_8_1] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__UTF_8_2_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__UTF_8_3_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__UTF_8_3_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__UTF_8_3_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__UTF_8_3_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__UTF_8_4_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__UTF_8_4_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__UTF_8_4_token3] = {
    .visible = false,
    .named = false,
  },
  [sym__stars] = {
    .visible = false,
    .named = true,
  },
  [sym__sectionend] = {
    .visible = false,
    .named = true,
  },
  [sym__eof] = {
    .visible = false,
    .named = true,
  },
  [sym_file] = {
    .visible = true,
    .named = true,
  },
  [sym__nl] = {
    .visible = false,
    .named = true,
  },
  [sym__any] = {
    .visible = false,
    .named = true,
  },
  [sym_section] = {
    .visible = true,
    .named = true,
  },
  [sym__org_stars] = {
    .visible = false,
    .named = true,
  },
  [sym_headline] = {
    .visible = true,
    .named = true,
  },
  [sym_item] = {
    .visible = true,
    .named = true,
  },
  [sym_asterisk] = {
    .visible = true,
    .named = true,
  },
  [sym_txn] = {
    .visible = true,
    .named = true,
  },
  [sym__number_expr] = {
    .visible = false,
    .named = true,
  },
  [sym__paren__number_expr] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_number_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_number_expr] = {
    .visible = true,
    .named = true,
  },
  [sym__txn_strings] = {
    .visible = false,
    .named = true,
  },
  [sym_tags_links] = {
    .visible = true,
    .named = true,
  },
  [sym_transaction] = {
    .visible = true,
    .named = true,
  },
  [sym_optflag] = {
    .visible = true,
    .named = true,
  },
  [sym_price_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_posting] = {
    .visible = true,
    .named = true,
  },
  [sym_value] = {
    .visible = true,
    .named = true,
  },
  [sym_key_value] = {
    .visible = true,
    .named = true,
  },
  [sym__key_value_line] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__key_value_list] = {
    .visible = false,
    .named = false,
  },
  [sym_pushtag] = {
    .visible = true,
    .named = true,
  },
  [sym_poptag] = {
    .visible = true,
    .named = true,
  },
  [sym_pushmeta] = {
    .visible = true,
    .named = true,
  },
  [sym_popmeta] = {
    .visible = true,
    .named = true,
  },
  [sym_open] = {
    .visible = true,
    .named = true,
  },
  [sym_opt_booking] = {
    .visible = true,
    .named = true,
  },
  [sym_close] = {
    .visible = true,
    .named = true,
  },
  [sym_commodity] = {
    .visible = true,
    .named = true,
  },
  [sym_pad] = {
    .visible = true,
    .named = true,
  },
  [sym_balance] = {
    .visible = true,
    .named = true,
  },
  [sym_amount] = {
    .visible = true,
    .named = true,
  },
  [sym_amount_tolerance] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_amount] = {
    .visible = true,
    .named = true,
  },
  [sym_incomplete_amount] = {
    .visible = true,
    .named = true,
  },
  [sym_cost_spec] = {
    .visible = true,
    .named = true,
  },
  [sym__cost_comp_list] = {
    .visible = false,
    .named = true,
  },
  [sym_cost_comp] = {
    .visible = true,
    .named = true,
  },
  [sym_price] = {
    .visible = true,
    .named = true,
  },
  [sym_event] = {
    .visible = true,
    .named = true,
  },
  [sym_query] = {
    .visible = true,
    .named = true,
  },
  [sym_note] = {
    .visible = true,
    .named = true,
  },
  [sym_filename] = {
    .visible = true,
    .named = true,
  },
  [sym_document] = {
    .visible = true,
    .named = true,
  },
  [sym_custom_value] = {
    .visible = true,
    .named = true,
  },
  [sym_custom] = {
    .visible = true,
    .named = true,
  },
  [sym__entry] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_option] = {
    .visible = true,
    .named = true,
  },
  [sym_include] = {
    .visible = true,
    .named = true,
  },
  [sym_plugin] = {
    .visible = true,
    .named = true,
  },
  [sym__directive] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__declarations] = {
    .visible = false,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__skipped_lines] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_section_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_section_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tags_links_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_transaction_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_open_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_open_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__cost_comp_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_custom_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_narration] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_payee] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_account = 1,
  field_amount = 2,
  field_comment = 3,
  field_cost_comp_list = 4,
  field_cost_spec = 5,
  field_currencies = 6,
  field_currency = 7,
  field_custom_value_list = 8,
  field_date = 9,
  field_desc = 10,
  field_filename = 11,
  field_from_account = 12,
  field_headline = 13,
  field_item = 14,
  field_key = 15,
  field_name = 16,
  field_narration = 17,
  field_note = 18,
  field_opt_booking = 19,
  field_optflag = 20,
  field_payee = 21,
  field_per = 22,
  field_price_annotation = 23,
  field_query = 24,
  field_subsection = 25,
  field_tags_links = 26,
  field_total = 27,
  field_txn = 28,
  field_type = 29,
  field_value = 30,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_account] = "account",
  [field_amount] = "amount",
  [field_comment] = "comment",
  [field_cost_comp_list] = "cost_comp_list",
  [field_cost_spec] = "cost_spec",
  [field_currencies] = "currencies",
  [field_currency] = "currency",
  [field_custom_value_list] = "custom_value_list",
  [field_date] = "date",
  [field_desc] = "desc",
  [field_filename] = "filename",
  [field_from_account] = "from_account",
  [field_headline] = "headline",
  [field_item] = "item",
  [field_key] = "key",
  [field_name] = "name",
  [field_narration] = "narration",
  [field_note] = "note",
  [field_opt_booking] = "opt_booking",
  [field_optflag] = "optflag",
  [field_payee] = "payee",
  [field_per] = "per",
  [field_price_annotation] = "price_annotation",
  [field_query] = "query",
  [field_subsection] = "subsection",
  [field_tags_links] = "tags_links",
  [field_total] = "total",
  [field_txn] = "txn",
  [field_type] = "type",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 2},
  [4] = {.index = 4, .length = 1},
  [5] = {.index = 5, .length = 2},
  [6] = {.index = 7, .length = 2},
  [7] = {.index = 9, .length = 2},
  [8] = {.index = 11, .length = 2},
  [9] = {.index = 13, .length = 2},
  [10] = {.index = 15, .length = 3},
  [11] = {.index = 18, .length = 2},
  [12] = {.index = 20, .length = 4},
  [13] = {.index = 24, .length = 3},
  [14] = {.index = 27, .length = 3},
  [15] = {.index = 30, .length = 2},
  [16] = {.index = 32, .length = 1},
  [17] = {.index = 33, .length = 2},
  [18] = {.index = 35, .length = 3},
  [19] = {.index = 38, .length = 3},
  [20] = {.index = 41, .length = 3},
  [21] = {.index = 44, .length = 3},
  [22] = {.index = 47, .length = 3},
  [23] = {.index = 50, .length = 3},
  [24] = {.index = 53, .length = 3},
  [25] = {.index = 56, .length = 3},
  [26] = {.index = 59, .length = 3},
  [27] = {.index = 62, .length = 3},
  [28] = {.index = 65, .length = 3},
  [29] = {.index = 68, .length = 3},
  [30] = {.index = 71, .length = 3},
  [31] = {.index = 74, .length = 3},
  [32] = {.index = 77, .length = 3},
  [33] = {.index = 80, .length = 3},
  [34] = {.index = 83, .length = 2},
  [35] = {.index = 85, .length = 5},
  [36] = {.index = 90, .length = 5},
  [37] = {.index = 95, .length = 5},
  [38] = {.index = 100, .length = 4},
  [39] = {.index = 104, .length = 4},
  [40] = {.index = 108, .length = 4},
  [41] = {.index = 112, .length = 4},
  [42] = {.index = 116, .length = 4},
  [43] = {.index = 120, .length = 4},
  [44] = {.index = 124, .length = 4},
  [45] = {.index = 128, .length = 4},
  [46] = {.index = 132, .length = 4},
  [47] = {.index = 136, .length = 4},
  [48] = {.index = 140, .length = 4},
  [49] = {.index = 144, .length = 4},
  [50] = {.index = 148, .length = 4},
  [51] = {.index = 152, .length = 4},
  [52] = {.index = 156, .length = 4},
  [53] = {.index = 160, .length = 4},
  [54] = {.index = 164, .length = 4},
  [55] = {.index = 168, .length = 4},
  [56] = {.index = 172, .length = 4},
  [57] = {.index = 176, .length = 4},
  [58] = {.index = 180, .length = 4},
  [59] = {.index = 184, .length = 4},
  [60] = {.index = 188, .length = 4},
  [61] = {.index = 192, .length = 4},
  [62] = {.index = 196, .length = 4},
  [63] = {.index = 200, .length = 4},
  [64] = {.index = 204, .length = 4},
  [65] = {.index = 208, .length = 4},
  [66] = {.index = 212, .length = 1},
  [67] = {.index = 213, .length = 1},
  [68] = {.index = 214, .length = 6},
  [69] = {.index = 220, .length = 6},
  [70] = {.index = 226, .length = 6},
  [71] = {.index = 232, .length = 5},
  [72] = {.index = 237, .length = 5},
  [73] = {.index = 242, .length = 5},
  [74] = {.index = 247, .length = 5},
  [75] = {.index = 252, .length = 5},
  [76] = {.index = 257, .length = 5},
  [77] = {.index = 262, .length = 5},
  [78] = {.index = 267, .length = 5},
  [79] = {.index = 272, .length = 5},
  [80] = {.index = 277, .length = 5},
  [81] = {.index = 282, .length = 5},
  [82] = {.index = 287, .length = 5},
  [83] = {.index = 292, .length = 5},
  [84] = {.index = 297, .length = 5},
  [85] = {.index = 302, .length = 5},
  [86] = {.index = 307, .length = 1},
  [87] = {.index = 308, .length = 1},
  [88] = {.index = 309, .length = 2},
  [89] = {.index = 311, .length = 2},
  [90] = {.index = 313, .length = 2},
  [91] = {.index = 315, .length = 2},
  [92] = {.index = 317, .length = 7},
  [93] = {.index = 324, .length = 6},
  [94] = {.index = 330, .length = 6},
  [95] = {.index = 336, .length = 2},
  [96] = {.index = 338, .length = 2},
  [97] = {.index = 340, .length = 1},
  [98] = {.index = 341, .length = 2},
  [99] = {.index = 343, .length = 1},
  [100] = {.index = 344, .length = 3},
  [101] = {.index = 347, .length = 3},
  [102] = {.index = 350, .length = 3},
  [103] = {.index = 353, .length = 3},
  [104] = {.index = 356, .length = 3},
  [105] = {.index = 359, .length = 3},
  [106] = {.index = 362, .length = 3},
  [107] = {.index = 365, .length = 2},
  [108] = {.index = 367, .length = 2},
  [109] = {.index = 369, .length = 3},
  [110] = {.index = 372, .length = 3},
  [111] = {.index = 375, .length = 4},
  [112] = {.index = 379, .length = 3},
  [113] = {.index = 382, .length = 3},
  [114] = {.index = 385, .length = 3},
  [115] = {.index = 388, .length = 3},
  [116] = {.index = 391, .length = 4},
  [117] = {.index = 395, .length = 4},
  [118] = {.index = 399, .length = 4},
  [119] = {.index = 403, .length = 3},
  [120] = {.index = 406, .length = 4},
  [121] = {.index = 410, .length = 4},
  [122] = {.index = 414, .length = 4},
  [123] = {.index = 418, .length = 4},
  [124] = {.index = 422, .length = 4},
  [125] = {.index = 426, .length = 4},
  [126] = {.index = 430, .length = 4},
  [127] = {.index = 434, .length = 5},
  [128] = {.index = 439, .length = 4},
  [129] = {.index = 443, .length = 4},
  [130] = {.index = 447, .length = 5},
  [131] = {.index = 452, .length = 5},
  [132] = {.index = 457, .length = 5},
  [133] = {.index = 462, .length = 5},
  [134] = {.index = 467, .length = 5},
  [135] = {.index = 472, .length = 6},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_headline, 0},
  [1] =
    {field_subsection, 0},
  [2] =
    {field_date, 0},
    {field_txn, 1},
  [4] =
    {field_narration, 0},
  [5] =
    {field_headline, 0},
    {field_subsection, 1, .inherited = true},
  [7] =
    {field_subsection, 0, .inherited = true},
    {field_subsection, 1, .inherited = true},
  [9] =
    {field_account, 2},
    {field_date, 0},
  [11] =
    {field_currency, 2},
    {field_date, 0},
  [13] =
    {field_date, 0},
    {field_name, 2},
  [15] =
    {field_comment, 3, .inherited = true},
    {field_date, 0},
    {field_txn, 1},
  [18] =
    {field_narration, 1},
    {field_payee, 0},
  [20] =
    {field_date, 0},
    {field_narration, 2, .inherited = true},
    {field_payee, 2, .inherited = true},
    {field_txn, 1},
  [24] =
    {field_date, 0},
    {field_tags_links, 2},
    {field_txn, 1},
  [27] =
    {field_comment, 2},
    {field_date, 0},
    {field_txn, 1},
  [30] =
    {field_key, 1},
    {field_value, 2},
  [32] =
    {field_item, 2},
  [33] =
    {field_headline, 0},
    {field_subsection, 2, .inherited = true},
  [35] =
    {field_account, 2},
    {field_comment, 4, .inherited = true},
    {field_date, 0},
  [38] =
    {field_account, 2},
    {field_date, 0},
    {field_opt_booking, 3},
  [41] =
    {field_account, 2},
    {field_comment, 3},
    {field_date, 0},
  [44] =
    {field_account, 2},
    {field_currencies, 3},
    {field_date, 0},
  [47] =
    {field_comment, 4, .inherited = true},
    {field_currency, 2},
    {field_date, 0},
  [50] =
    {field_comment, 3},
    {field_currency, 2},
    {field_date, 0},
  [53] =
    {field_account, 2},
    {field_date, 0},
    {field_from_account, 3},
  [56] =
    {field_account, 2},
    {field_amount, 3},
    {field_date, 0},
  [59] =
    {field_amount, 3},
    {field_currency, 2},
    {field_date, 0},
  [62] =
    {field_date, 0},
    {field_desc, 3},
    {field_type, 2},
  [65] =
    {field_date, 0},
    {field_name, 2},
    {field_query, 3},
  [68] =
    {field_account, 2},
    {field_date, 0},
    {field_note, 3},
  [71] =
    {field_account, 2},
    {field_date, 0},
    {field_filename, 3},
  [74] =
    {field_comment, 4, .inherited = true},
    {field_date, 0},
    {field_name, 2},
  [77] =
    {field_comment, 3},
    {field_date, 0},
    {field_name, 2},
  [80] =
    {field_custom_value_list, 3},
    {field_date, 0},
    {field_name, 2},
  [83] =
    {field_comment, 0, .inherited = true},
    {field_comment, 1, .inherited = true},
  [85] =
    {field_comment, 4, .inherited = true},
    {field_date, 0},
    {field_narration, 2, .inherited = true},
    {field_payee, 2, .inherited = true},
    {field_txn, 1},
  [90] =
    {field_date, 0},
    {field_narration, 2, .inherited = true},
    {field_payee, 2, .inherited = true},
    {field_tags_links, 3},
    {field_txn, 1},
  [95] =
    {field_comment, 3},
    {field_date, 0},
    {field_narration, 2, .inherited = true},
    {field_payee, 2, .inherited = true},
    {field_txn, 1},
  [100] =
    {field_comment, 4, .inherited = true},
    {field_date, 0},
    {field_tags_links, 2},
    {field_txn, 1},
  [104] =
    {field_comment, 3},
    {field_date, 0},
    {field_tags_links, 2},
    {field_txn, 1},
  [108] =
    {field_comment, 2},
    {field_comment, 4, .inherited = true},
    {field_date, 0},
    {field_txn, 1},
  [112] =
    {field_account, 2},
    {field_comment, 5, .inherited = true},
    {field_date, 0},
    {field_opt_booking, 3},
  [116] =
    {field_account, 2},
    {field_comment, 4},
    {field_date, 0},
    {field_opt_booking, 3},
  [120] =
    {field_account, 2},
    {field_comment, 3},
    {field_comment, 5, .inherited = true},
    {field_date, 0},
  [124] =
    {field_account, 2},
    {field_comment, 5, .inherited = true},
    {field_currencies, 3},
    {field_date, 0},
  [128] =
    {field_account, 2},
    {field_currencies, 3},
    {field_date, 0},
    {field_opt_booking, 4},
  [132] =
    {field_account, 2},
    {field_comment, 4},
    {field_currencies, 3},
    {field_date, 0},
  [136] =
    {field_comment, 3},
    {field_comment, 5, .inherited = true},
    {field_currency, 2},
    {field_date, 0},
  [140] =
    {field_account, 2},
    {field_comment, 5, .inherited = true},
    {field_date, 0},
    {field_from_account, 3},
  [144] =
    {field_account, 2},
    {field_comment, 4},
    {field_date, 0},
    {field_from_account, 3},
  [148] =
    {field_account, 2},
    {field_amount, 3},
    {field_comment, 5, .inherited = true},
    {field_date, 0},
  [152] =
    {field_account, 2},
    {field_amount, 3},
    {field_comment, 4},
    {field_date, 0},
  [156] =
    {field_amount, 3},
    {field_comment, 5, .inherited = true},
    {field_currency, 2},
    {field_date, 0},
  [160] =
    {field_amount, 3},
    {field_comment, 4},
    {field_currency, 2},
    {field_date, 0},
  [164] =
    {field_comment, 5, .inherited = true},
    {field_date, 0},
    {field_desc, 3},
    {field_type, 2},
  [168] =
    {field_comment, 4},
    {field_date, 0},
    {field_desc, 3},
    {field_type, 2},
  [172] =
    {field_comment, 5, .inherited = true},
    {field_date, 0},
    {field_name, 2},
    {field_query, 3},
  [176] =
    {field_comment, 4},
    {field_date, 0},
    {field_name, 2},
    {field_query, 3},
  [180] =
    {field_account, 2},
    {field_comment, 5, .inherited = true},
    {field_date, 0},
    {field_note, 3},
  [184] =
    {field_account, 2},
    {field_comment, 4},
    {field_date, 0},
    {field_note, 3},
  [188] =
    {field_account, 2},
    {field_comment, 5, .inherited = true},
    {field_date, 0},
    {field_filename, 3},
  [192] =
    {field_account, 2},
    {field_date, 0},
    {field_filename, 3},
    {field_tags_links, 4},
  [196] =
    {field_account, 2},
    {field_comment, 4},
    {field_date, 0},
    {field_filename, 3},
  [200] =
    {field_comment, 3},
    {field_comment, 5, .inherited = true},
    {field_date, 0},
    {field_name, 2},
  [204] =
    {field_comment, 5, .inherited = true},
    {field_custom_value_list, 3},
    {field_date, 0},
    {field_name, 2},
  [208] =
    {field_comment, 4},
    {field_custom_value_list, 3},
    {field_date, 0},
    {field_name, 2},
  [212] =
    {field_account, 1},
  [213] =
    {field_comment, 1},
  [214] =
    {field_comment, 5, .inherited = true},
    {field_date, 0},
    {field_narration, 2, .inherited = true},
    {field_payee, 2, .inherited = true},
    {field_tags_links, 3},
    {field_txn, 1},
  [220] =
    {field_comment, 4},
    {field_date, 0},
    {field_narration, 2, .inherited = true},
    {field_payee, 2, .inherited = true},
    {field_tags_links, 3},
    {field_txn, 1},
  [226] =
    {field_comment, 3},
    {field_comment, 5, .inherited = true},
    {field_date, 0},
    {field_narration, 2, .inherited = true},
    {field_payee, 2, .inherited = true},
    {field_txn, 1},
  [232] =
    {field_comment, 3},
    {field_comment, 5, .inherited = true},
    {field_date, 0},
    {field_tags_links, 2},
    {field_txn, 1},
  [237] =
    {field_account, 2},
    {field_comment, 4},
    {field_comment, 6, .inherited = true},
    {field_date, 0},
    {field_opt_booking, 3},
  [242] =
    {field_account, 2},
    {field_comment, 6, .inherited = true},
    {field_currencies, 3},
    {field_date, 0},
    {field_opt_booking, 4},
  [247] =
    {field_account, 2},
    {field_comment, 5},
    {field_currencies, 3},
    {field_date, 0},
    {field_opt_booking, 4},
  [252] =
    {field_account, 2},
    {field_comment, 4},
    {field_comment, 6, .inherited = true},
    {field_currencies, 3},
    {field_date, 0},
  [257] =
    {field_account, 2},
    {field_comment, 4},
    {field_comment, 6, .inherited = true},
    {field_date, 0},
    {field_from_account, 3},
  [262] =
    {field_account, 2},
    {field_amount, 3},
    {field_comment, 4},
    {field_comment, 6, .inherited = true},
    {field_date, 0},
  [267] =
    {field_amount, 3},
    {field_comment, 4},
    {field_comment, 6, .inherited = true},
    {field_currency, 2},
    {field_date, 0},
  [272] =
    {field_comment, 4},
    {field_comment, 6, .inherited = true},
    {field_date, 0},
    {field_desc, 3},
    {field_type, 2},
  [277] =
    {field_comment, 4},
    {field_comment, 6, .inherited = true},
    {field_date, 0},
    {field_name, 2},
    {field_query, 3},
  [282] =
    {field_account, 2},
    {field_comment, 4},
    {field_comment, 6, .inherited = true},
    {field_date, 0},
    {field_note, 3},
  [287] =
    {field_account, 2},
    {field_comment, 6, .inherited = true},
    {field_date, 0},
    {field_filename, 3},
    {field_tags_links, 4},
  [292] =
    {field_account, 2},
    {field_comment, 5},
    {field_date, 0},
    {field_filename, 3},
    {field_tags_links, 4},
  [297] =
    {field_account, 2},
    {field_comment, 4},
    {field_comment, 6, .inherited = true},
    {field_date, 0},
    {field_filename, 3},
  [302] =
    {field_comment, 4},
    {field_comment, 6, .inherited = true},
    {field_custom_value_list, 3},
    {field_date, 0},
    {field_name, 2},
  [307] =
    {field_currency, 0},
  [308] =
    {field_per, 0},
  [309] =
    {field_account, 1},
    {field_amount, 2},
  [311] =
    {field_account, 1},
    {field_cost_spec, 2},
  [313] =
    {field_account, 1},
    {field_comment, 2},
  [315] =
    {field_account, 2},
    {field_optflag, 1},
  [317] =
    {field_comment, 4},
    {field_comment, 6, .inherited = true},
    {field_date, 0},
    {field_narration, 2, .inherited = true},
    {field_payee, 2, .inherited = true},
    {field_tags_links, 3},
    {field_txn, 1},
  [324] =
    {field_account, 2},
    {field_comment, 5},
    {field_comment, 7, .inherited = true},
    {field_currencies, 3},
    {field_date, 0},
    {field_opt_booking, 4},
  [330] =
    {field_account, 2},
    {field_comment, 5},
    {field_comment, 7, .inherited = true},
    {field_date, 0},
    {field_filename, 3},
    {field_tags_links, 4},
  [336] =
    {field_account, 1},
    {field_price_annotation, 3},
  [338] =
    {field_account, 1},
    {field_comment, 3},
  [340] =
    {field_currency, 1},
  [341] =
    {field_currency, 1},
    {field_per, 0},
  [343] =
    {field_cost_comp_list, 1},
  [344] =
    {field_account, 1},
    {field_amount, 2},
    {field_cost_spec, 3},
  [347] =
    {field_account, 1},
    {field_amount, 2},
    {field_comment, 3},
  [350] =
    {field_account, 1},
    {field_comment, 3},
    {field_cost_spec, 2},
  [353] =
    {field_account, 2},
    {field_amount, 3},
    {field_optflag, 1},
  [356] =
    {field_account, 2},
    {field_cost_spec, 3},
    {field_optflag, 1},
  [359] =
    {field_account, 2},
    {field_comment, 3},
    {field_optflag, 1},
  [362] =
    {field_account, 1},
    {field_comment, 4},
    {field_price_annotation, 3},
  [365] =
    {field_currency, 2},
    {field_total, 1},
  [367] =
    {field_currency, 2},
    {field_per, 0},
  [369] =
    {field_account, 1},
    {field_amount, 2},
    {field_price_annotation, 4},
  [372] =
    {field_account, 1},
    {field_amount, 2},
    {field_comment, 4},
  [375] =
    {field_account, 1},
    {field_amount, 2},
    {field_comment, 4},
    {field_cost_spec, 3},
  [379] =
    {field_account, 1},
    {field_cost_spec, 2},
    {field_price_annotation, 4},
  [382] =
    {field_account, 1},
    {field_comment, 4},
    {field_cost_spec, 2},
  [385] =
    {field_account, 2},
    {field_optflag, 1},
    {field_price_annotation, 4},
  [388] =
    {field_account, 2},
    {field_comment, 4},
    {field_optflag, 1},
  [391] =
    {field_account, 2},
    {field_amount, 3},
    {field_cost_spec, 4},
    {field_optflag, 1},
  [395] =
    {field_account, 2},
    {field_amount, 3},
    {field_comment, 4},
    {field_optflag, 1},
  [399] =
    {field_account, 2},
    {field_comment, 4},
    {field_cost_spec, 3},
    {field_optflag, 1},
  [403] =
    {field_currency, 3},
    {field_per, 0},
    {field_total, 2},
  [406] =
    {field_account, 1},
    {field_amount, 2},
    {field_comment, 5},
    {field_price_annotation, 4},
  [410] =
    {field_account, 1},
    {field_amount, 2},
    {field_cost_spec, 3},
    {field_price_annotation, 5},
  [414] =
    {field_account, 1},
    {field_amount, 2},
    {field_comment, 5},
    {field_cost_spec, 3},
  [418] =
    {field_account, 1},
    {field_comment, 5},
    {field_cost_spec, 2},
    {field_price_annotation, 4},
  [422] =
    {field_account, 2},
    {field_comment, 5},
    {field_optflag, 1},
    {field_price_annotation, 4},
  [426] =
    {field_account, 2},
    {field_amount, 3},
    {field_optflag, 1},
    {field_price_annotation, 5},
  [430] =
    {field_account, 2},
    {field_amount, 3},
    {field_comment, 5},
    {field_optflag, 1},
  [434] =
    {field_account, 2},
    {field_amount, 3},
    {field_comment, 5},
    {field_cost_spec, 4},
    {field_optflag, 1},
  [439] =
    {field_account, 2},
    {field_cost_spec, 3},
    {field_optflag, 1},
    {field_price_annotation, 5},
  [443] =
    {field_account, 2},
    {field_comment, 5},
    {field_cost_spec, 3},
    {field_optflag, 1},
  [447] =
    {field_account, 1},
    {field_amount, 2},
    {field_comment, 6},
    {field_cost_spec, 3},
    {field_price_annotation, 5},
  [452] =
    {field_account, 2},
    {field_amount, 3},
    {field_comment, 6},
    {field_optflag, 1},
    {field_price_annotation, 5},
  [457] =
    {field_account, 2},
    {field_amount, 3},
    {field_cost_spec, 4},
    {field_optflag, 1},
    {field_price_annotation, 6},
  [462] =
    {field_account, 2},
    {field_amount, 3},
    {field_comment, 6},
    {field_cost_spec, 4},
    {field_optflag, 1},
  [467] =
    {field_account, 2},
    {field_comment, 6},
    {field_cost_spec, 3},
    {field_optflag, 1},
    {field_price_annotation, 5},
  [472] =
    {field_account, 2},
    {field_amount, 3},
    {field_comment, 7},
    {field_cost_spec, 4},
    {field_optflag, 1},
    {field_price_annotation, 6},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [4] = {
    [0] = alias_sym_narration,
  },
  [11] = {
    [0] = alias_sym_payee,
    [1] = alias_sym_narration,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 3,
  [5] = 2,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 10,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 11,
  [23] = 23,
  [24] = 21,
  [25] = 9,
  [26] = 26,
  [27] = 16,
  [28] = 15,
  [29] = 14,
  [30] = 19,
  [31] = 31,
  [32] = 32,
  [33] = 20,
  [34] = 34,
  [35] = 13,
  [36] = 12,
  [37] = 32,
  [38] = 26,
  [39] = 18,
  [40] = 23,
  [41] = 34,
  [42] = 31,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 94,
  [96] = 92,
  [97] = 87,
  [98] = 98,
  [99] = 69,
  [100] = 89,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 93,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 102,
  [113] = 113,
  [114] = 114,
  [115] = 114,
  [116] = 113,
  [117] = 101,
  [118] = 98,
  [119] = 111,
  [120] = 91,
  [121] = 44,
  [122] = 109,
  [123] = 107,
  [124] = 106,
  [125] = 105,
  [126] = 90,
  [127] = 110,
  [128] = 45,
  [129] = 46,
  [130] = 47,
  [131] = 48,
  [132] = 88,
  [133] = 49,
  [134] = 50,
  [135] = 86,
  [136] = 51,
  [137] = 85,
  [138] = 84,
  [139] = 52,
  [140] = 53,
  [141] = 54,
  [142] = 83,
  [143] = 82,
  [144] = 81,
  [145] = 80,
  [146] = 79,
  [147] = 55,
  [148] = 56,
  [149] = 43,
  [150] = 57,
  [151] = 58,
  [152] = 59,
  [153] = 60,
  [154] = 61,
  [155] = 78,
  [156] = 62,
  [157] = 63,
  [158] = 77,
  [159] = 64,
  [160] = 76,
  [161] = 65,
  [162] = 75,
  [163] = 66,
  [164] = 74,
  [165] = 67,
  [166] = 73,
  [167] = 68,
  [168] = 104,
  [169] = 72,
  [170] = 71,
  [171] = 70,
  [172] = 103,
  [173] = 173,
  [174] = 173,
  [175] = 175,
  [176] = 175,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 183,
  [184] = 184,
  [185] = 185,
  [186] = 180,
  [187] = 187,
  [188] = 188,
  [189] = 184,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 177,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 212,
  [227] = 178,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 181,
  [234] = 215,
  [235] = 197,
  [236] = 216,
  [237] = 219,
  [238] = 238,
  [239] = 182,
  [240] = 240,
  [241] = 183,
  [242] = 221,
  [243] = 185,
  [244] = 188,
  [245] = 190,
  [246] = 191,
  [247] = 192,
  [248] = 193,
  [249] = 249,
  [250] = 194,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 195,
  [255] = 196,
  [256] = 198,
  [257] = 199,
  [258] = 222,
  [259] = 200,
  [260] = 202,
  [261] = 203,
  [262] = 204,
  [263] = 205,
  [264] = 264,
  [265] = 206,
  [266] = 266,
  [267] = 207,
  [268] = 208,
  [269] = 209,
  [270] = 270,
  [271] = 225,
  [272] = 270,
  [273] = 210,
  [274] = 211,
  [275] = 230,
  [276] = 266,
  [277] = 213,
  [278] = 231,
  [279] = 238,
  [280] = 264,
  [281] = 253,
  [282] = 217,
  [283] = 218,
  [284] = 220,
  [285] = 251,
  [286] = 223,
  [287] = 240,
  [288] = 224,
  [289] = 252,
  [290] = 201,
  [291] = 249,
  [292] = 232,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 300,
  [307] = 295,
  [308] = 308,
  [309] = 301,
  [310] = 310,
  [311] = 308,
  [312] = 294,
  [313] = 299,
  [314] = 314,
  [315] = 297,
  [316] = 316,
  [317] = 317,
  [318] = 314,
  [319] = 319,
  [320] = 298,
  [321] = 303,
  [322] = 317,
  [323] = 293,
  [324] = 310,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 328,
  [330] = 330,
  [331] = 331,
  [332] = 331,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 333,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 326,
  [342] = 338,
  [343] = 339,
  [344] = 327,
  [345] = 345,
  [346] = 346,
  [347] = 337,
  [348] = 334,
  [349] = 345,
  [350] = 335,
  [351] = 346,
  [352] = 340,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 356,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 361,
  [363] = 360,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 364,
  [368] = 365,
  [369] = 369,
  [370] = 369,
  [371] = 371,
  [372] = 372,
  [373] = 372,
  [374] = 374,
  [375] = 366,
  [376] = 374,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 380,
  [384] = 379,
  [385] = 378,
  [386] = 381,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 389,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 396,
  [397] = 397,
  [398] = 395,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 387,
  [403] = 403,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 407,
  [411] = 411,
  [412] = 412,
  [413] = 409,
  [414] = 414,
  [415] = 415,
  [416] = 408,
  [417] = 417,
  [418] = 412,
  [419] = 406,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 433,
  [439] = 439,
  [440] = 432,
  [441] = 441,
  [442] = 435,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 445,
  [447] = 430,
  [448] = 448,
  [449] = 434,
  [450] = 431,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 444,
  [456] = 456,
  [457] = 457,
  [458] = 457,
  [459] = 436,
  [460] = 437,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 453,
  [467] = 467,
  [468] = 468,
  [469] = 428,
  [470] = 452,
  [471] = 429,
  [472] = 451,
  [473] = 448,
  [474] = 456,
  [475] = 454,
  [476] = 476,
  [477] = 443,
  [478] = 439,
  [479] = 479,
  [480] = 479,
  [481] = 302,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 304,
  [486] = 486,
  [487] = 487,
  [488] = 296,
  [489] = 489,
  [490] = 487,
  [491] = 491,
  [492] = 492,
  [493] = 316,
  [494] = 484,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 504,
  [533] = 502,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 537,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 535,
  [561] = 536,
  [562] = 562,
  [563] = 495,
  [564] = 564,
  [565] = 565,
  [566] = 526,
  [567] = 567,
  [568] = 568,
  [569] = 538,
  [570] = 527,
  [571] = 528,
  [572] = 572,
  [573] = 552,
  [574] = 574,
  [575] = 559,
  [576] = 568,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 534,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 542,
  [594] = 578,
  [595] = 592,
  [596] = 596,
  [597] = 515,
  [598] = 579,
  [599] = 599,
  [600] = 525,
  [601] = 580,
  [602] = 602,
  [603] = 522,
  [604] = 581,
  [605] = 521,
  [606] = 582,
  [607] = 607,
  [608] = 608,
  [609] = 520,
  [610] = 519,
  [611] = 611,
  [612] = 518,
  [613] = 613,
  [614] = 517,
  [615] = 615,
  [616] = 516,
  [617] = 617,
  [618] = 514,
  [619] = 496,
  [620] = 620,
  [621] = 510,
  [622] = 591,
  [623] = 509,
  [624] = 497,
  [625] = 548,
  [626] = 544,
  [627] = 545,
  [628] = 547,
  [629] = 557,
  [630] = 574,
  [631] = 585,
  [632] = 577,
  [633] = 556,
  [634] = 586,
  [635] = 596,
  [636] = 599,
  [637] = 549,
  [638] = 602,
  [639] = 608,
  [640] = 611,
  [641] = 567,
  [642] = 590,
  [643] = 540,
  [644] = 531,
  [645] = 550,
  [646] = 511,
  [647] = 508,
  [648] = 501,
  [649] = 500,
  [650] = 499,
  [651] = 558,
  [652] = 564,
  [653] = 565,
  [654] = 607,
  [655] = 589,
  [656] = 588,
  [657] = 613,
  [658] = 615,
  [659] = 617,
  [660] = 554,
  [661] = 661,
  [662] = 661,
  [663] = 513,
  [664] = 512,
  [665] = 498,
  [666] = 584,
  [667] = 539,
  [668] = 541,
  [669] = 543,
  [670] = 553,
  [671] = 555,
};

static TSCharacterRange sym_flag_character_set_1[] = {
  {'!', '!'}, {'#', '#'}, {'%', '&'}, {'*', '*'}, {'?', '?'}, {'C', 'C'}, {'M', 'M'}, {'P', 'P'},
  {'R', 'U'},
};

static TSCharacterRange sym_account_character_set_1[] = {
  {'0', '9'}, {'A', 'Z'}, {0xb2, 0xb3}, {0xb9, 0xb9}, {0xbc, 0xbe}, {0xc0, 0xd6}, {0xd8, 0xde}, {0x100, 0x100},
  {0x102, 0x102}, {0x104, 0x104}, {0x106, 0x106}, {0x108, 0x108}, {0x10a, 0x10a}, {0x10c, 0x10c}, {0x10e, 0x10e}, {0x110, 0x110},
  {0x112, 0x112}, {0x114, 0x114}, {0x116, 0x116}, {0x118, 0x118}, {0x11a, 0x11a}, {0x11c, 0x11c}, {0x11e, 0x11e}, {0x120, 0x120},
  {0x122, 0x122}, {0x124, 0x124}, {0x126, 0x126}, {0x128, 0x128}, {0x12a, 0x12a}, {0x12c, 0x12c}, {0x12e, 0x12e}, {0x130, 0x130},
  {0x132, 0x132}, {0x134, 0x134}, {0x136, 0x136}, {0x139, 0x139}, {0x13b, 0x13b}, {0x13d, 0x13d}, {0x13f, 0x13f}, {0x141, 0x141},
  {0x143, 0x143}, {0x145, 0x145}, {0x147, 0x147}, {0x14a, 0x14a}, {0x14c, 0x14c}, {0x14e, 0x14e}, {0x150, 0x150}, {0x152, 0x152},
  {0x154, 0x154}, {0x156, 0x156}, {0x158, 0x158}, {0x15a, 0x15a}, {0x15c, 0x15c}, {0x15e, 0x15e}, {0x160, 0x160}, {0x162, 0x162},
  {0x164, 0x164}, {0x166, 0x166}, {0x168, 0x168}, {0x16a, 0x16a}, {0x16c, 0x16c}, {0x16e, 0x16e}, {0x170, 0x170}, {0x172, 0x172},
  {0x174, 0x174}, {0x176, 0x176}, {0x178, 0x179}, {0x17b, 0x17b}, {0x17d, 0x17d}, {0x181, 0x182}, {0x184, 0x184}, {0x186, 0x187},
  {0x189, 0x18b}, {0x18e, 0x191}, {0x193, 0x194}, {0x196, 0x198}, {0x19c, 0x19d}, {0x19f, 0x1a0}, {0x1a2, 0x1a2}, {0x1a4, 0x1a4},
  {0x1a6, 0x1a7}, {0x1a9, 0x1a9}, {0x1ac, 0x1ac}, {0x1ae, 0x1af}, {0x1b1, 0x1b3}, {0x1b5, 0x1b5}, {0x1b7, 0x1b8}, {0x1bc, 0x1bc},
  {0x1c4, 0x1c4}, {0x1c7, 0x1c7}, {0x1ca, 0x1ca}, {0x1cd, 0x1cd}, {0x1cf, 0x1cf}, {0x1d1, 0x1d1}, {0x1d3, 0x1d3}, {0x1d5, 0x1d5},
  {0x1d7, 0x1d7}, {0x1d9, 0x1d9}, {0x1db, 0x1db}, {0x1de, 0x1de}, {0x1e0, 0x1e0}, {0x1e2, 0x1e2}, {0x1e4, 0x1e4}, {0x1e6, 0x1e6},
  {0x1e8, 0x1e8}, {0x1ea, 0x1ea}, {0x1ec, 0x1ec}, {0x1ee, 0x1ee}, {0x1f1, 0x1f1}, {0x1f4, 0x1f4}, {0x1f6, 0x1f8}, {0x1fa, 0x1fa},
  {0x1fc, 0x1fc}, {0x1fe, 0x1fe}, {0x200, 0x200}, {0x202, 0x202}, {0x204, 0x204}, {0x206, 0x206}, {0x208, 0x208}, {0x20a, 0x20a},
  {0x20c, 0x20c}, {0x20e, 0x20e}, {0x210, 0x210}, {0x212, 0x212}, {0x214, 0x214}, {0x216, 0x216}, {0x218, 0x218}, {0x21a, 0x21a},
  {0x21c, 0x21c}, {0x21e, 0x21e}, {0x220, 0x220}, {0x222, 0x222}, {0x224, 0x224}, {0x226, 0x226}, {0x228, 0x228}, {0x22a, 0x22a},
  {0x22c, 0x22c}, {0x22e, 0x22e}, {0x230, 0x230}, {0x232, 0x232}, {0x23a, 0x23b}, {0x23d, 0x23e}, {0x241, 0x241}, {0x243, 0x246},
  {0x248, 0x248}, {0x24a, 0x24a}, {0x24c, 0x24c}, {0x24e, 0x24e}, {0x370, 0x370}, {0x372, 0x372}, {0x376, 0x376}, {0x37f, 0x37f},
  {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x38f}, {0x391, 0x3a1}, {0x3a3, 0x3ab}, {0x3cf, 0x3cf}, {0x3d2, 0x3d4},
  {0x3d8, 0x3d8}, {0x3da, 0x3da}, {0x3dc, 0x3dc}, {0x3de, 0x3de}, {0x3e0, 0x3e0}, {0x3e2, 0x3e2}, {0x3e4, 0x3e4}, {0x3e6, 0x3e6},
  {0x3e8, 0x3e8}, {0x3ea, 0x3ea}, {0x3ec, 0x3ec}, {0x3ee, 0x3ee}, {0x3f4, 0x3f4}, {0x3f7, 0x3f7}, {0x3f9, 0x3fa}, {0x3fd, 0x42f},
  {0x460, 0x460}, {0x462, 0x462}, {0x464, 0x464}, {0x466, 0x466}, {0x468, 0x468}, {0x46a, 0x46a}, {0x46c, 0x46c}, {0x46e, 0x46e},
  {0x470, 0x470}, {0x472, 0x472}, {0x474, 0x474}, {0x476, 0x476}, {0x478, 0x478}, {0x47a, 0x47a}, {0x47c, 0x47c}, {0x47e, 0x47e},
  {0x480, 0x480}, {0x48a, 0x48a}, {0x48c, 0x48c}, {0x48e, 0x48e}, {0x490, 0x490}, {0x492, 0x492}, {0x494, 0x494}, {0x496, 0x496},
  {0x498, 0x498}, {0x49a, 0x49a}, {0x49c, 0x49c}, {0x49e, 0x49e}, {0x4a0, 0x4a0}, {0x4a2, 0x4a2}, {0x4a4, 0x4a4}, {0x4a6, 0x4a6},
  {0x4a8, 0x4a8}, {0x4aa, 0x4aa}, {0x4ac, 0x4ac}, {0x4ae, 0x4ae}, {0x4b0, 0x4b0}, {0x4b2, 0x4b2}, {0x4b4, 0x4b4}, {0x4b6, 0x4b6},
  {0x4b8, 0x4b8}, {0x4ba, 0x4ba}, {0x4bc, 0x4bc}, {0x4be, 0x4be}, {0x4c0, 0x4c1}, {0x4c3, 0x4c3}, {0x4c5, 0x4c5}, {0x4c7, 0x4c7},
  {0x4c9, 0x4c9}, {0x4cb, 0x4cb}, {0x4cd, 0x4cd}, {0x4d0, 0x4d0}, {0x4d2, 0x4d2}, {0x4d4, 0x4d4}, {0x4d6, 0x4d6}, {0x4d8, 0x4d8},
  {0x4da, 0x4da}, {0x4dc, 0x4dc}, {0x4de, 0x4de}, {0x4e0, 0x4e0}, {0x4e2, 0x4e2}, {0x4e4, 0x4e4}, {0x4e6, 0x4e6}, {0x4e8, 0x4e8},
  {0x4ea, 0x4ea}, {0x4ec, 0x4ec}, {0x4ee, 0x4ee}, {0x4f0, 0x4f0}, {0x4f2, 0x4f2}, {0x4f4, 0x4f4}, {0x4f6, 0x4f6}, {0x4f8, 0x4f8},
  {0x4fa, 0x4fa}, {0x4fc, 0x4fc}, {0x4fe, 0x4fe}, {0x500, 0x500}, {0x502, 0x502}, {0x504, 0x504}, {0x506, 0x506}, {0x508, 0x508},
  {0x50a, 0x50a}, {0x50c, 0x50c}, {0x50e, 0x50e}, {0x510, 0x510}, {0x512, 0x512}, {0x514, 0x514}, {0x516, 0x516}, {0x518, 0x518},
  {0x51a, 0x51a}, {0x51c, 0x51c}, {0x51e, 0x51e}, {0x520, 0x520}, {0x522, 0x522}, {0x524, 0x524}, {0x526, 0x526}, {0x528, 0x528},
  {0x52a, 0x52a}, {0x52c, 0x52c}, {0x52e, 0x52e}, {0x531, 0x556}, {0x660, 0x669}, {0x6f0, 0x6f9}, {0x7c0, 0x7c9}, {0x966, 0x96f},
  {0x9e6, 0x9ef}, {0x9f4, 0x9f9}, {0xa66, 0xa6f}, {0xae6, 0xaef}, {0xb66, 0xb6f}, {0xb72, 0xb77}, {0xbe6, 0xbf2}, {0xc66, 0xc6f},
  {0xc78, 0xc7e}, {0xce6, 0xcef}, {0xd58, 0xd5e}, {0xd66, 0xd78}, {0xde6, 0xdef}, {0xe50, 0xe59}, {0xed0, 0xed9}, {0xf20, 0xf33},
  {0x1040, 0x1049}, {0x1090, 0x1099}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x1369, 0x137c}, {0x13a0, 0x13f5}, {0x16ee, 0x16f0},
  {0x17e0, 0x17e9}, {0x17f0, 0x17f9}, {0x1810, 0x1819}, {0x1946, 0x194f}, {0x19d0, 0x19da}, {0x1a80, 0x1a89}, {0x1a90, 0x1a99}, {0x1b50, 0x1b59},
  {0x1bb0, 0x1bb9}, {0x1c40, 0x1c49}, {0x1c50, 0x1c59}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1e00, 0x1e00}, {0x1e02, 0x1e02}, {0x1e04, 0x1e04},
  {0x1e06, 0x1e06}, {0x1e08, 0x1e08}, {0x1e0a, 0x1e0a}, {0x1e0c, 0x1e0c}, {0x1e0e, 0x1e0e}, {0x1e10, 0x1e10}, {0x1e12, 0x1e12}, {0x1e14, 0x1e14},
  {0x1e16, 0x1e16}, {0x1e18, 0x1e18}, {0x1e1a, 0x1e1a}, {0x1e1c, 0x1e1c}, {0x1e1e, 0x1e1e}, {0x1e20, 0x1e20}, {0x1e22, 0x1e22}, {0x1e24, 0x1e24},
  {0x1e26, 0x1e26}, {0x1e28, 0x1e28}, {0x1e2a, 0x1e2a}, {0x1e2c, 0x1e2c}, {0x1e2e, 0x1e2e}, {0x1e30, 0x1e30}, {0x1e32, 0x1e32}, {0x1e34, 0x1e34},
  {0x1e36, 0x1e36}, {0x1e38, 0x1e38}, {0x1e3a, 0x1e3a}, {0x1e3c, 0x1e3c}, {0x1e3e, 0x1e3e}, {0x1e40, 0x1e40}, {0x1e42, 0x1e42}, {0x1e44, 0x1e44},
  {0x1e46, 0x1e46}, {0x1e48, 0x1e48}, {0x1e4a, 0x1e4a}, {0x1e4c, 0x1e4c}, {0x1e4e, 0x1e4e}, {0x1e50, 0x1e50}, {0x1e52, 0x1e52}, {0x1e54, 0x1e54},
  {0x1e56, 0x1e56}, {0x1e58, 0x1e58}, {0x1e5a, 0x1e5a}, {0x1e5c, 0x1e5c}, {0x1e5e, 0x1e5e}, {0x1e60, 0x1e60}, {0x1e62, 0x1e62}, {0x1e64, 0x1e64},
  {0x1e66, 0x1e66}, {0x1e68, 0x1e68}, {0x1e6a, 0x1e6a}, {0x1e6c, 0x1e6c}, {0x1e6e, 0x1e6e}, {0x1e70, 0x1e70}, {0x1e72, 0x1e72}, {0x1e74, 0x1e74},
  {0x1e76, 0x1e76}, {0x1e78, 0x1e78}, {0x1e7a, 0x1e7a}, {0x1e7c, 0x1e7c}, {0x1e7e, 0x1e7e}, {0x1e80, 0x1e80}, {0x1e82, 0x1e82}, {0x1e84, 0x1e84},
  {0x1e86, 0x1e86}, {0x1e88, 0x1e88}, {0x1e8a, 0x1e8a}, {0x1e8c, 0x1e8c}, {0x1e8e, 0x1e8e}, {0x1e90, 0x1e90}, {0x1e92, 0x1e92}, {0x1e94, 0x1e94},
  {0x1e9e, 0x1e9e}, {0x1ea0, 0x1ea0}, {0x1ea2, 0x1ea2}, {0x1ea4, 0x1ea4}, {0x1ea6, 0x1ea6}, {0x1ea8, 0x1ea8}, {0x1eaa, 0x1eaa}, {0x1eac, 0x1eac},
  {0x1eae, 0x1eae}, {0x1eb0, 0x1eb0}, {0x1eb2, 0x1eb2}, {0x1eb4, 0x1eb4}, {0x1eb6, 0x1eb6}, {0x1eb8, 0x1eb8}, {0x1eba, 0x1eba}, {0x1ebc, 0x1ebc},
  {0x1ebe, 0x1ebe}, {0x1ec0, 0x1ec0}, {0x1ec2, 0x1ec2}, {0x1ec4, 0x1ec4}, {0x1ec6, 0x1ec6}, {0x1ec8, 0x1ec8}, {0x1eca, 0x1eca}, {0x1ecc, 0x1ecc},
  {0x1ece, 0x1ece}, {0x1ed0, 0x1ed0}, {0x1ed2, 0x1ed2}, {0x1ed4, 0x1ed4}, {0x1ed6, 0x1ed6}, {0x1ed8, 0x1ed8}, {0x1eda, 0x1eda}, {0x1edc, 0x1edc},
  {0x1ede, 0x1ede}, {0x1ee0, 0x1ee0}, {0x1ee2, 0x1ee2}, {0x1ee4, 0x1ee4}, {0x1ee6, 0x1ee6}, {0x1ee8, 0x1ee8}, {0x1eea, 0x1eea}, {0x1eec, 0x1eec},
  {0x1eee, 0x1eee}, {0x1ef0, 0x1ef0}, {0x1ef2, 0x1ef2}, {0x1ef4, 0x1ef4}, {0x1ef6, 0x1ef6}, {0x1ef8, 0x1ef8}, {0x1efa, 0x1efa}, {0x1efc, 0x1efc},
  {0x1efe, 0x1efe}, {0x1f08, 0x1f0f}, {0x1f18, 0x1f1d}, {0x1f28, 0x1f2f}, {0x1f38, 0x1f3f}, {0x1f48, 0x1f4d}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f5f}, {0x1f68, 0x1f6f}, {0x1fb8, 0x1fbb}, {0x1fc8, 0x1fcb}, {0x1fd8, 0x1fdb}, {0x1fe8, 0x1fec}, {0x1ff8, 0x1ffb},
  {0x2070, 0x2070}, {0x2074, 0x2079}, {0x2080, 0x2089}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210b, 0x210d}, {0x2110, 0x2112}, {0x2115, 0x2115},
  {0x2119, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x212d}, {0x2130, 0x2133}, {0x213e, 0x213f}, {0x2145, 0x2145},
  {0x2150, 0x2183}, {0x2185, 0x2189}, {0x2460, 0x249b}, {0x24ea, 0x24ff}, {0x2776, 0x2793}, {0x2c00, 0x2c2f}, {0x2c60, 0x2c60}, {0x2c62, 0x2c64},
  {0x2c67, 0x2c67}, {0x2c69, 0x2c69}, {0x2c6b, 0x2c6b}, {0x2c6d, 0x2c70}, {0x2c72, 0x2c72}, {0x2c75, 0x2c75}, {0x2c7e, 0x2c80}, {0x2c82, 0x2c82},
  {0x2c84, 0x2c84}, {0x2c86, 0x2c86}, {0x2c88, 0x2c88}, {0x2c8a, 0x2c8a}, {0x2c8c, 0x2c8c}, {0x2c8e, 0x2c8e}, {0x2c90, 0x2c90}, {0x2c92, 0x2c92},
  {0x2c94, 0x2c94}, {0x2c96, 0x2c96}, {0x2c98, 0x2c98}, {0x2c9a, 0x2c9a}, {0x2c9c, 0x2c9c}, {0x2c9e, 0x2c9e}, {0x2ca0, 0x2ca0}, {0x2ca2, 0x2ca2},
  {0x2ca4, 0x2ca4}, {0x2ca6, 0x2ca6}, {0x2ca8, 0x2ca8}, {0x2caa, 0x2caa}, {0x2cac, 0x2cac}, {0x2cae, 0x2cae}, {0x2cb0, 0x2cb0}, {0x2cb2, 0x2cb2},
  {0x2cb4, 0x2cb4}, {0x2cb6, 0x2cb6}, {0x2cb8, 0x2cb8}, {0x2cba, 0x2cba}, {0x2cbc, 0x2cbc}, {0x2cbe, 0x2cbe}, {0x2cc0, 0x2cc0}, {0x2cc2, 0x2cc2},
  {0x2cc4, 0x2cc4}, {0x2cc6, 0x2cc6}, {0x2cc8, 0x2cc8}, {0x2cca, 0x2cca}, {0x2ccc, 0x2ccc}, {0x2cce, 0x2cce}, {0x2cd0, 0x2cd0}, {0x2cd2, 0x2cd2},
  {0x2cd4, 0x2cd4}, {0x2cd6, 0x2cd6}, {0x2cd8, 0x2cd8}, {0x2cda, 0x2cda}, {0x2cdc, 0x2cdc}, {0x2cde, 0x2cde}, {0x2ce0, 0x2ce0}, {0x2ce2, 0x2ce2},
  {0x2ceb, 0x2ceb}, {0x2ced, 0x2ced}, {0x2cf2, 0x2cf2}, {0x2cfd, 0x2cfd}, {0x3007, 0x3007}, {0x3021, 0x3029}, {0x3038, 0x303a}, {0x3192, 0x3195},
  {0x3220, 0x3229}, {0x3248, 0x324f}, {0x3251, 0x325f}, {0x3280, 0x3289}, {0x32b1, 0x32bf}, {0xa620, 0xa629}, {0xa640, 0xa640}, {0xa642, 0xa642},
  {0xa644, 0xa644}, {0xa646, 0xa646}, {0xa648, 0xa648}, {0xa64a, 0xa64a}, {0xa64c, 0xa64c}, {0xa64e, 0xa64e}, {0xa650, 0xa650}, {0xa652, 0xa652},
  {0xa654, 0xa654}, {0xa656, 0xa656}, {0xa658, 0xa658}, {0xa65a, 0xa65a}, {0xa65c, 0xa65c}, {0xa65e, 0xa65e}, {0xa660, 0xa660}, {0xa662, 0xa662},
  {0xa664, 0xa664}, {0xa666, 0xa666}, {0xa668, 0xa668}, {0xa66a, 0xa66a}, {0xa66c, 0xa66c}, {0xa680, 0xa680}, {0xa682, 0xa682}, {0xa684, 0xa684},
  {0xa686, 0xa686}, {0xa688, 0xa688}, {0xa68a, 0xa68a}, {0xa68c, 0xa68c}, {0xa68e, 0xa68e}, {0xa690, 0xa690}, {0xa692, 0xa692}, {0xa694, 0xa694},
  {0xa696, 0xa696}, {0xa698, 0xa698}, {0xa69a, 0xa69a}, {0xa6e6, 0xa6ef}, {0xa722, 0xa722}, {0xa724, 0xa724}, {0xa726, 0xa726}, {0xa728, 0xa728},
  {0xa72a, 0xa72a}, {0xa72c, 0xa72c}, {0xa72e, 0xa72e}, {0xa732, 0xa732}, {0xa734, 0xa734}, {0xa736, 0xa736}, {0xa738, 0xa738}, {0xa73a, 0xa73a},
  {0xa73c, 0xa73c}, {0xa73e, 0xa73e}, {0xa740, 0xa740}, {0xa742, 0xa742}, {0xa744, 0xa744}, {0xa746, 0xa746}, {0xa748, 0xa748}, {0xa74a, 0xa74a},
  {0xa74c, 0xa74c}, {0xa74e, 0xa74e}, {0xa750, 0xa750}, {0xa752, 0xa752}, {0xa754, 0xa754}, {0xa756, 0xa756}, {0xa758, 0xa758}, {0xa75a, 0xa75a},
  {0xa75c, 0xa75c}, {0xa75e, 0xa75e}, {0xa760, 0xa760}, {0xa762, 0xa762}, {0xa764, 0xa764}, {0xa766, 0xa766}, {0xa768, 0xa768}, {0xa76a, 0xa76a},
  {0xa76c, 0xa76c}, {0xa76e, 0xa76e}, {0xa779, 0xa779}, {0xa77b, 0xa77b}, {0xa77d, 0xa77e}, {0xa780, 0xa780}, {0xa782, 0xa782}, {0xa784, 0xa784},
  {0xa786, 0xa786}, {0xa78b, 0xa78b}, {0xa78d, 0xa78d}, {0xa790, 0xa790}, {0xa792, 0xa792}, {0xa796, 0xa796}, {0xa798, 0xa798}, {0xa79a, 0xa79a},
  {0xa79c, 0xa79c}, {0xa79e, 0xa79e}, {0xa7a0, 0xa7a0}, {0xa7a2, 0xa7a2}, {0xa7a4, 0xa7a4}, {0xa7a6, 0xa7a6}, {0xa7a8, 0xa7a8}, {0xa7aa, 0xa7ae},
  {0xa7b0, 0xa7b4}, {0xa7b6, 0xa7b6}, {0xa7b8, 0xa7b8}, {0xa7ba, 0xa7ba}, {0xa7bc, 0xa7bc}, {0xa7be, 0xa7be}, {0xa7c0, 0xa7c0}, {0xa7c2, 0xa7c2},
  {0xa7c4, 0xa7c7}, {0xa7c9, 0xa7c9}, {0xa7d0, 0xa7d0}, {0xa7d6, 0xa7d6}, {0xa7d8, 0xa7d8}, {0xa7f5, 0xa7f5}, {0xa830, 0xa835}, {0xa8d0, 0xa8d9},
  {0xa900, 0xa909}, {0xa9d0, 0xa9d9}, {0xa9f0, 0xa9f9}, {0xaa50, 0xaa59}, {0xabf0, 0xabf9}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0x10107, 0x10133},
  {0x10140, 0x10178}, {0x1018a, 0x1018b}, {0x102e1, 0x102fb}, {0x10320, 0x10323}, {0x10341, 0x10341}, {0x1034a, 0x1034a}, {0x103d1, 0x103d5}, {0x10400, 0x10427},
  {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10858, 0x1085f}, {0x10879, 0x1087f},
  {0x108a7, 0x108af}, {0x108fb, 0x108ff}, {0x10916, 0x1091b},
};

static TSCharacterRange sym_account_character_set_2[] = {
  {'-', '-'}, {'0', ':'}, {'A', 'Z'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb2, 0xb3}, {0xb5, 0xb5}, {0xb9, 0xba},
  {0xbc, 0xbe}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee},
  {0x370, 0x374}, {0x376, 0x377}, {0x37a, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1},
  {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2},
  {0x620, 0x64a}, {0x660, 0x669}, {0x66e, 0x66f}, {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6fc}, {0x6ff, 0x6ff},
  {0x710, 0x710}, {0x712, 0x72f}, {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7c0, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815},
  {0x81a, 0x81a}, {0x824, 0x824}, {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9},
  {0x904, 0x939}, {0x93d, 0x93d}, {0x950, 0x950}, {0x958, 0x961}, {0x966, 0x96f}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990},
  {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1},
  {0x9e6, 0x9f1}, {0x9f4, 0x9f9}, {0x9fc, 0x9fc}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33},
  {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa66, 0xa6f}, {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91},
  {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd}, {0xad0, 0xad0}, {0xae0, 0xae1}, {0xae6, 0xaef},
  {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3d, 0xb3d},
  {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb66, 0xb6f}, {0xb71, 0xb77}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95},
  {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0}, {0xbe6, 0xbf2},
  {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61},
  {0xc66, 0xc6f}, {0xc78, 0xc7e}, {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9},
  {0xcbd, 0xcbd}, {0xcdd, 0xcde}, {0xce0, 0xce1}, {0xce6, 0xcef}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a},
  {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56}, {0xd58, 0xd61}, {0xd66, 0xd78}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1},
  {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xde6, 0xdef}, {0xe01, 0xe30}, {0xe32, 0xe33}, {0xe40, 0xe46}, {0xe50, 0xe59},
  {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0}, {0xeb2, 0xeb3}, {0xebd, 0xebd},
  {0xec0, 0xec4}, {0xec6, 0xec6}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf20, 0xf33}, {0xf40, 0xf47}, {0xf49, 0xf6c},
  {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x1049}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070},
  {0x1075, 0x1081}, {0x108e, 0x108e}, {0x1090, 0x1099}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248},
  {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5},
  {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1369, 0x137c},
  {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8},
  {0x1700, 0x1711}, {0x171f, 0x1731}, {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc},
  {0x17e0, 0x17e9}, {0x17f0, 0x17f9}, {0x1810, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x1884}, {0x1887, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5},
  {0x1900, 0x191e}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a16}, {0x1a20, 0x1a54},
  {0x1a80, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b50, 0x1b59}, {0x1b83, 0x1ba0}, {0x1bae, 0x1be5},
  {0x1c00, 0x1c23}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3},
  {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2070, 0x2071}, {0x2074, 0x2079},
  {0x207f, 0x2089}, {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2119, 0x211d}, {0x2124, 0x2124},
  {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x212d}, {0x212f, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2150, 0x2189},
  {0x2460, 0x249b}, {0x24ea, 0x24ff}, {0x2776, 0x2793}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2cfd, 0x2cfd}, {0x2d00, 0x2d25},
  {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6},
  {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2e2f, 0x2e2f}, {0x3005, 0x3007}, {0x3021, 0x3029},
  {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e},
  {0x3192, 0x3195}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3220, 0x3229}, {0x3248, 0x324f}, {0x3251, 0x325f}, {0x3280, 0x3289}, {0x32b1, 0x32bf},
  {0x3400, 0x3400}, {0x4dbf, 0x4dbf}, {0x4e00, 0x4e00}, {0x9fff, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66e},
  {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9},
  {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa830, 0xa835}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8d0, 0xa8d9},
  {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa900, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9d9},
  {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a},
  {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea},
  {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69},
  {0xab70, 0xabe2}, {0xabf0, 0xabf9}, {0xac00, 0xac00}, {0xd7a3, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9},
  {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41},
  {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdfb}, {0xfe70, 0xfe74}, {0xfe76, 0xfefc},
  {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc},
  {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10107, 0x10133},
  {0x10140, 0x10178}, {0x1018a, 0x1018b}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x102e1, 0x102fb}, {0x10300, 0x10323}, {0x1032d, 0x1034a}, {0x10350, 0x10375},
  {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb},
  {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1},
  {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba},
  {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10858, 0x10876}, {0x10879, 0x1089e},
  {0x108a7, 0x108af}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x108fb, 0x1091b}, {0x10920, 0x1092b},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(105);
      ADVANCE_MAP(
        '\n', 106,
        '"', 11,
        '#', 173,
        '(', 174,
        ')', 175,
        '*', 120,
        '+', 122,
        ',', 178,
        '-', 123,
        '/', 121,
        ':', 177,
        ';', 185,
        '@', 118,
        'A', 55,
        'E', 51,
        'I', 46,
        'L', 38,
        'N', 28,
        '^', 101,
        '{', 180,
        '}', 182,
        '~', 179,
        0xe0, 96,
        0xed, 95,
        0xf0, 98,
        0xf4, 94,
        '1', 167,
        '2', 167,
        0xee, 192,
        0xef, 192,
      );
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0);
      if ((0xf1 <= lookahead && lookahead <= 0xf3)) ADVANCE(194);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(168);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          lookahead == '?' ||
          lookahead == 'C' ||
          lookahead == 'M' ||
          lookahead == 'P' ||
          ('R' <= lookahead && lookahead <= 'U')) ADVANCE(124);
      if ((0xe1 <= lookahead && lookahead <= 0xec)) ADVANCE(190);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(186);
      if ((0xc2 <= lookahead && lookahead <= 0xdf)) ADVANCE(188);
      if ((0x80 <= lookahead && lookahead <= 0xbf)) ADVANCE(187);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(106);
      if (lookahead == '\r') ADVANCE(107);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(1);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '\n', 110,
        '"', 11,
        '#', 172,
        '(', 174,
        '*', 119,
        '+', 122,
        ',', 178,
        '-', 123,
        '/', 121,
        ';', 185,
        '}', 181,
        '~', 179,
        '1', 167,
        '2', 167,
      );
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(2);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(168);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(86);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 110,
        '"', 11,
        '#', 100,
        '(', 174,
        ')', 175,
        '*', 119,
        '+', 122,
        '-', 123,
        '/', 121,
        ';', 185,
        '@', 118,
        'A', 55,
        'E', 51,
        'F', 20,
        'I', 46,
        'L', 38,
        'T', 26,
        '^', 101,
        '{', 180,
        '}', 63,
        '1', 167,
        '2', 167,
      );
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(3);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(168);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(99);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '\n', 110,
        '"', 11,
        '(', 174,
        '*', 119,
        '+', 122,
        '-', 123,
        '/', 121,
        ';', 185,
        'A', 56,
        'E', 52,
        'F', 19,
        'I', 47,
        'L', 39,
        'T', 25,
        '1', 167,
        '2', 167,
      );
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(4);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(168);
      if (('B' <= lookahead && lookahead <= 'Z')) ADVANCE(86);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '\n', 110,
        '#', 173,
        '*', 119,
        ';', 185,
        'A', 55,
        'E', 51,
        'I', 46,
        'L', 38,
        '^', 101,
      );
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(5);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          lookahead == '?' ||
          lookahead == 'C' ||
          lookahead == 'M' ||
          lookahead == 'P' ||
          ('R' <= lookahead && lookahead <= 'U')) ADVANCE(124);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(99);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '\n', 110,
        '#', 172,
        '(', 174,
        ')', 175,
        '*', 119,
        '+', 122,
        ',', 178,
        '-', 123,
        '/', 121,
        '}', 182,
        '~', 179,
      );
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(6);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(168);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(86);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '\n', 110,
        '#', 172,
        '(', 174,
        '*', 119,
        '+', 122,
        '-', 123,
        ';', 185,
        '@', 118,
        '{', 180,
      );
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(7);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(168);
      if (lookahead == '!' ||
          lookahead == '%' ||
          lookahead == '&' ||
          lookahead == '?' ||
          lookahead == 'C' ||
          lookahead == 'M' ||
          lookahead == 'P' ||
          ('R' <= lookahead && lookahead <= 'U')) ADVANCE(124);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(186);
      END_STATE();
    case 8:
      if (lookahead == '\r') SKIP(8);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(115);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '"', 11,
        '#', 172,
        '(', 174,
        '*', 119,
        '+', 122,
        '-', 123,
        '}', 63,
        '1', 167,
        '2', 167,
      );
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(9);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(168);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(86);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '"', 11,
        '#', 100,
        '(', 174,
        '*', 114,
        '+', 122,
        '-', 123,
        'A', 56,
        'E', 52,
        'F', 19,
        'I', 47,
        'L', 39,
        'N', 30,
        'T', 25,
        '}', 181,
        '1', 167,
        '2', 167,
      );
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(10);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(168);
      if (('B' <= lookahead && lookahead <= 'Z')) ADVANCE(86);
      END_STATE();
    case 11:
      if (lookahead == '"') ADVANCE(162);
      if (lookahead == '\\') ADVANCE(12);
      if (lookahead != 0) ADVANCE(11);
      END_STATE();
    case 12:
      if (lookahead == '"') ADVANCE(163);
      if (lookahead == '\\') ADVANCE(12);
      if (lookahead != 0) ADVANCE(11);
      END_STATE();
    case 13:
      if (lookahead == ',') ADVANCE(13);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(168);
      END_STATE();
    case 14:
      if (lookahead == '-') ADVANCE(16);
      END_STATE();
    case 15:
      if (lookahead == '-') ADVANCE(17);
      END_STATE();
    case 16:
      if (lookahead == '0') ADVANCE(88);
      if (lookahead == '1') ADVANCE(65);
      END_STATE();
    case 17:
      if (lookahead == '0') ADVANCE(89);
      if (lookahead == '3') ADVANCE(64);
      if (lookahead == '1' ||
          lookahead == '2') ADVANCE(90);
      END_STATE();
    case 18:
      if (lookahead == ':') ADVANCE(102);
      END_STATE();
    case 19:
      if (lookahead == 'A') ADVANCE(135);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z')) ADVANCE(160);
      END_STATE();
    case 20:
      if (lookahead == 'A') ADVANCE(23);
      END_STATE();
    case 21:
      if (lookahead == 'E') ADVANCE(127);
      END_STATE();
    case 22:
      if (lookahead == 'L') ADVANCE(125);
      END_STATE();
    case 23:
      if (lookahead == 'L') ADVANCE(27);
      END_STATE();
    case 24:
      if (lookahead == 'L') ADVANCE(22);
      END_STATE();
    case 25:
      if (lookahead == 'R') ADVANCE(139);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(160);
      END_STATE();
    case 26:
      if (lookahead == 'R') ADVANCE(29);
      END_STATE();
    case 27:
      if (lookahead == 'S') ADVANCE(21);
      END_STATE();
    case 28:
      if (lookahead == 'U') ADVANCE(24);
      END_STATE();
    case 29:
      if (lookahead == 'U') ADVANCE(21);
      END_STATE();
    case 30:
      if (lookahead == 'U') ADVANCE(137);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(160);
      END_STATE();
    case 31:
      if (lookahead == 'a') ADVANCE(32);
      END_STATE();
    case 32:
      if (lookahead == 'b') ADVANCE(40);
      END_STATE();
    case 33:
      if (lookahead == 'c') ADVANCE(49);
      END_STATE();
    case 34:
      if (lookahead == 'e') ADVANCE(59);
      END_STATE();
    case 35:
      if (lookahead == 'e') ADVANCE(18);
      END_STATE();
    case 36:
      if (lookahead == 'e') ADVANCE(48);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(54);
      END_STATE();
    case 38:
      if (lookahead == 'i') ADVANCE(31);
      END_STATE();
    case 39:
      if (lookahead == 'i') ADVANCE(31);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(160);
      END_STATE();
    case 40:
      if (lookahead == 'i') ADVANCE(44);
      END_STATE();
    case 41:
      if (lookahead == 'i') ADVANCE(58);
      END_STATE();
    case 42:
      if (lookahead == 'i') ADVANCE(60);
      END_STATE();
    case 43:
      if (lookahead == 'i') ADVANCE(37);
      END_STATE();
    case 44:
      if (lookahead == 'l') ADVANCE(42);
      END_STATE();
    case 45:
      if (lookahead == 'm') ADVANCE(35);
      END_STATE();
    case 46:
      if (lookahead == 'n') ADVANCE(33);
      END_STATE();
    case 47:
      if (lookahead == 'n') ADVANCE(33);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(160);
      END_STATE();
    case 48:
      if (lookahead == 'n') ADVANCE(57);
      END_STATE();
    case 49:
      if (lookahead == 'o') ADVANCE(45);
      END_STATE();
    case 50:
      if (lookahead == 'p') ADVANCE(36);
      END_STATE();
    case 51:
      if (lookahead == 'q') ADVANCE(61);
      if (lookahead == 'x') ADVANCE(50);
      END_STATE();
    case 52:
      if (lookahead == 'q') ADVANCE(61);
      if (lookahead == 'x') ADVANCE(50);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(160);
      END_STATE();
    case 53:
      if (lookahead == 's') ADVANCE(34);
      END_STATE();
    case 54:
      if (lookahead == 's') ADVANCE(18);
      END_STATE();
    case 55:
      if (lookahead == 's') ADVANCE(53);
      END_STATE();
    case 56:
      if (lookahead == 's') ADVANCE(53);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(160);
      END_STATE();
    case 57:
      if (lookahead == 's') ADVANCE(37);
      END_STATE();
    case 58:
      if (lookahead == 't') ADVANCE(62);
      END_STATE();
    case 59:
      if (lookahead == 't') ADVANCE(54);
      END_STATE();
    case 60:
      if (lookahead == 't') ADVANCE(43);
      END_STATE();
    case 61:
      if (lookahead == 'u') ADVANCE(41);
      END_STATE();
    case 62:
      if (lookahead == 'y') ADVANCE(18);
      END_STATE();
    case 63:
      if (lookahead == '}') ADVANCE(184);
      END_STATE();
    case 64:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(130);
      END_STATE();
    case 65:
      if (('0' <= lookahead && lookahead <= '2')) ADVANCE(15);
      END_STATE();
    case 66:
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(97);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(161);
      END_STATE();
    case 67:
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(66);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(140);
      END_STATE();
    case 68:
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(69);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(143);
      END_STATE();
    case 69:
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(67);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(141);
      END_STATE();
    case 70:
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(71);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(145);
      END_STATE();
    case 71:
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(68);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(142);
      END_STATE();
    case 72:
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(73);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(147);
      END_STATE();
    case 73:
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(70);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(144);
      END_STATE();
    case 74:
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(75);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(149);
      END_STATE();
    case 75:
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(72);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(146);
      END_STATE();
    case 76:
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(151);
      END_STATE();
    case 77:
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(74);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(148);
      END_STATE();
    case 78:
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(79);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(153);
      END_STATE();
    case 79:
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(76);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(150);
      END_STATE();
    case 80:
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(155);
      END_STATE();
    case 81:
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(78);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(152);
      END_STATE();
    case 82:
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(83);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(157);
      END_STATE();
    case 83:
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(80);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(154);
      END_STATE();
    case 84:
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(85);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(159);
      END_STATE();
    case 85:
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(82);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(156);
      END_STATE();
    case 86:
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(160);
      END_STATE();
    case 87:
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(84);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(158);
      END_STATE();
    case 88:
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(15);
      END_STATE();
    case 89:
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(130);
      END_STATE();
    case 90:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(130);
      END_STATE();
    case 91:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(14);
      END_STATE();
    case 92:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(91);
      END_STATE();
    case 93:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(92);
      END_STATE();
    case 94:
      if ((0x80 <= lookahead && lookahead <= 0x8f)) ADVANCE(195);
      END_STATE();
    case 95:
      if ((0x80 <= lookahead && lookahead <= 0x9f)) ADVANCE(191);
      END_STATE();
    case 96:
      if ((0xa0 <= lookahead && lookahead <= 0xbf)) ADVANCE(189);
      END_STATE();
    case 97:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(132);
      END_STATE();
    case 98:
      if ((0x90 <= lookahead && lookahead <= 0xbf)) ADVANCE(193);
      END_STATE();
    case 99:
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(176);
      END_STATE();
    case 100:
      if (('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(170);
      END_STATE();
    case 101:
      if (('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(171);
      END_STATE();
    case 102:
      if (set_contains(sym_account_character_set_1, 691, lookahead)) ADVANCE(131);
      END_STATE();
    case 103:
      if (eof) ADVANCE(105);
      if (lookahead == '\n') ADVANCE(106);
      if (lookahead == '\r') ADVANCE(107);
      if (lookahead == ':') ADVANCE(177);
      if (lookahead == ';') ADVANCE(185);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(103);
      if (lookahead == '1' ||
          lookahead == '2') ADVANCE(93);
      if (set_contains(sym_flag_character_set_1, 9, lookahead)) ADVANCE(124);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(186);
      END_STATE();
    case 104:
      if (eof) ADVANCE(105);
      if (lookahead == '\n') ADVANCE(106);
      if (lookahead == '\r') ADVANCE(108);
      if (lookahead == ':') ADVANCE(177);
      if (lookahead == ';') ADVANCE(185);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(116);
      if (lookahead == '1' ||
          lookahead == '2') ADVANCE(93);
      if (set_contains(sym_flag_character_set_1, 9, lookahead)) ADVANCE(124);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(186);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_LF);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_CR);
      if (lookahead == '\r') ADVANCE(107);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_CR);
      if (lookahead == '\r') ADVANCE(108);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(116);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_CR);
      if (lookahead == '\r') ADVANCE(109);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(111);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym__eol);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(aux_sym__any_token1);
      if (lookahead == '\r') ADVANCE(109);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n') ADVANCE(113);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(aux_sym__any_token1);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(112);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n') ADVANCE(113);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(aux_sym__any_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(113);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(aux_sym__org_stars_token1);
      if (lookahead == '*') ADVANCE(114);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(aux_sym_headline_token1);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(115);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym__indent);
      if (lookahead == '\r') ADVANCE(108);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(116);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_atat);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_at);
      if (lookahead == '@') ADVANCE(117);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(114);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_slash);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_plus);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_minus);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_flag);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym__none);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym__none);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(82);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(156);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym_bool);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_bool);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(83);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(157);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_bool);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(82);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(156);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_date);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_account);
      if (lookahead == ':') ADVANCE(102);
      if (set_contains(sym_account_character_set_2, 477, lookahead)) ADVANCE(131);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_currency);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_currency);
      if (lookahead == 'E') ADVANCE(129);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(85);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(159);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_currency);
      if (lookahead == 'E') ADVANCE(128);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(82);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(156);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_currency);
      if (lookahead == 'L') ADVANCE(138);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(84);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(158);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_currency);
      if (lookahead == 'L') ADVANCE(126);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(85);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(159);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_currency);
      if (lookahead == 'L') ADVANCE(136);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(84);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(158);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_currency);
      if (lookahead == 'S') ADVANCE(134);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(85);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(159);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_currency);
      if (lookahead == 'U') ADVANCE(133);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(84);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(158);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_currency);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(97);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(161);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_currency);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(66);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(140);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_currency);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(69);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(143);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_currency);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(67);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(141);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_currency);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(71);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(145);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_currency);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(68);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(142);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_currency);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(73);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(147);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_currency);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(70);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(144);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_currency);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(75);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(149);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_currency);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(72);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(146);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_currency);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(151);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_currency);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(74);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(148);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_currency);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(79);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(153);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_currency);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(76);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(150);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_currency);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(155);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_currency);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(78);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(152);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_currency);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(83);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(157);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_currency);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(80);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(154);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_currency);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(85);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(159);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_currency);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(82);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(156);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_currency);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '_') ADVANCE(84);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(158);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_currency);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z')) ADVANCE(132);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_string);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_string);
      if (lookahead == '"') ADVANCE(162);
      if (lookahead == '\\') ADVANCE(12);
      if (lookahead != 0) ADVANCE(11);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == ',') ADVANCE(13);
      if (lookahead == '-') ADVANCE(16);
      if (lookahead == '.') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(168);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == ',') ADVANCE(13);
      if (lookahead == '.') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(164);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == ',') ADVANCE(13);
      if (lookahead == '.') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(165);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == ',') ADVANCE(13);
      if (lookahead == '.') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(166);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == ',') ADVANCE(13);
      if (lookahead == '.') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(168);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(169);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_tag);
      if (('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(170);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_link);
      if (('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(171);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(170);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_key);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(176);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '{') ADVANCE(183);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      if (lookahead == '}') ADVANCE(184);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_LBRACE_LBRACE);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_RBRACE_RBRACE);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(sym_identifier);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(186);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(sym__UTF_8_1);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(aux_sym__UTF_8_2_token1);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(aux_sym__UTF_8_3_token1);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(aux_sym__UTF_8_3_token2);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(aux_sym__UTF_8_3_token3);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(aux_sym__UTF_8_3_token4);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(aux_sym__UTF_8_4_token1);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(aux_sym__UTF_8_4_token2);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(aux_sym__UTF_8_4_token3);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'b', 1,
        'c', 2,
        'd', 3,
        'e', 4,
        'i', 5,
        'n', 6,
        'o', 7,
        'p', 8,
        'q', 9,
        't', 10,
      );
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'a') ADVANCE(11);
      END_STATE();
    case 2:
      if (lookahead == 'l') ADVANCE(12);
      if (lookahead == 'o') ADVANCE(13);
      if (lookahead == 'u') ADVANCE(14);
      END_STATE();
    case 3:
      if (lookahead == 'o') ADVANCE(15);
      END_STATE();
    case 4:
      if (lookahead == 'v') ADVANCE(16);
      END_STATE();
    case 5:
      if (lookahead == 'n') ADVANCE(17);
      END_STATE();
    case 6:
      if (lookahead == 'o') ADVANCE(18);
      END_STATE();
    case 7:
      if (lookahead == 'p') ADVANCE(19);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(20);
      if (lookahead == 'l') ADVANCE(21);
      if (lookahead == 'o') ADVANCE(22);
      if (lookahead == 'r') ADVANCE(23);
      if (lookahead == 'u') ADVANCE(24);
      END_STATE();
    case 9:
      if (lookahead == 'u') ADVANCE(25);
      END_STATE();
    case 10:
      if (lookahead == 'x') ADVANCE(26);
      END_STATE();
    case 11:
      if (lookahead == 'l') ADVANCE(27);
      END_STATE();
    case 12:
      if (lookahead == 'o') ADVANCE(28);
      END_STATE();
    case 13:
      if (lookahead == 'm') ADVANCE(29);
      END_STATE();
    case 14:
      if (lookahead == 's') ADVANCE(30);
      END_STATE();
    case 15:
      if (lookahead == 'c') ADVANCE(31);
      END_STATE();
    case 16:
      if (lookahead == 'e') ADVANCE(32);
      END_STATE();
    case 17:
      if (lookahead == 'c') ADVANCE(33);
      END_STATE();
    case 18:
      if (lookahead == 't') ADVANCE(34);
      END_STATE();
    case 19:
      if (lookahead == 'e') ADVANCE(35);
      if (lookahead == 't') ADVANCE(36);
      END_STATE();
    case 20:
      if (lookahead == 'd') ADVANCE(37);
      END_STATE();
    case 21:
      if (lookahead == 'u') ADVANCE(38);
      END_STATE();
    case 22:
      if (lookahead == 'p') ADVANCE(39);
      END_STATE();
    case 23:
      if (lookahead == 'i') ADVANCE(40);
      END_STATE();
    case 24:
      if (lookahead == 's') ADVANCE(41);
      END_STATE();
    case 25:
      if (lookahead == 'e') ADVANCE(42);
      END_STATE();
    case 26:
      if (lookahead == 'n') ADVANCE(43);
      END_STATE();
    case 27:
      if (lookahead == 'a') ADVANCE(44);
      END_STATE();
    case 28:
      if (lookahead == 's') ADVANCE(45);
      END_STATE();
    case 29:
      if (lookahead == 'm') ADVANCE(46);
      END_STATE();
    case 30:
      if (lookahead == 't') ADVANCE(47);
      END_STATE();
    case 31:
      if (lookahead == 'u') ADVANCE(48);
      END_STATE();
    case 32:
      if (lookahead == 'n') ADVANCE(49);
      END_STATE();
    case 33:
      if (lookahead == 'l') ADVANCE(50);
      END_STATE();
    case 34:
      if (lookahead == 'e') ADVANCE(51);
      END_STATE();
    case 35:
      if (lookahead == 'n') ADVANCE(52);
      END_STATE();
    case 36:
      if (lookahead == 'i') ADVANCE(53);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_pad);
      END_STATE();
    case 38:
      if (lookahead == 'g') ADVANCE(54);
      END_STATE();
    case 39:
      if (lookahead == 'm') ADVANCE(55);
      if (lookahead == 't') ADVANCE(56);
      END_STATE();
    case 40:
      if (lookahead == 'c') ADVANCE(57);
      END_STATE();
    case 41:
      if (lookahead == 'h') ADVANCE(58);
      END_STATE();
    case 42:
      if (lookahead == 'r') ADVANCE(59);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_txn);
      END_STATE();
    case 44:
      if (lookahead == 'n') ADVANCE(60);
      END_STATE();
    case 45:
      if (lookahead == 'e') ADVANCE(61);
      END_STATE();
    case 46:
      if (lookahead == 'o') ADVANCE(62);
      END_STATE();
    case 47:
      if (lookahead == 'o') ADVANCE(63);
      END_STATE();
    case 48:
      if (lookahead == 'm') ADVANCE(64);
      END_STATE();
    case 49:
      if (lookahead == 't') ADVANCE(65);
      END_STATE();
    case 50:
      if (lookahead == 'u') ADVANCE(66);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_note);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_open);
      END_STATE();
    case 53:
      if (lookahead == 'o') ADVANCE(67);
      END_STATE();
    case 54:
      if (lookahead == 'i') ADVANCE(68);
      END_STATE();
    case 55:
      if (lookahead == 'e') ADVANCE(69);
      END_STATE();
    case 56:
      if (lookahead == 'a') ADVANCE(70);
      END_STATE();
    case 57:
      if (lookahead == 'e') ADVANCE(71);
      END_STATE();
    case 58:
      if (lookahead == 'm') ADVANCE(72);
      if (lookahead == 't') ADVANCE(73);
      END_STATE();
    case 59:
      if (lookahead == 'y') ADVANCE(74);
      END_STATE();
    case 60:
      if (lookahead == 'c') ADVANCE(75);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_close);
      END_STATE();
    case 62:
      if (lookahead == 'd') ADVANCE(76);
      END_STATE();
    case 63:
      if (lookahead == 'm') ADVANCE(77);
      END_STATE();
    case 64:
      if (lookahead == 'e') ADVANCE(78);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_event);
      END_STATE();
    case 66:
      if (lookahead == 'd') ADVANCE(79);
      END_STATE();
    case 67:
      if (lookahead == 'n') ADVANCE(80);
      END_STATE();
    case 68:
      if (lookahead == 'n') ADVANCE(81);
      END_STATE();
    case 69:
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 70:
      if (lookahead == 'g') ADVANCE(83);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_price);
      END_STATE();
    case 72:
      if (lookahead == 'e') ADVANCE(84);
      END_STATE();
    case 73:
      if (lookahead == 'a') ADVANCE(85);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_query);
      END_STATE();
    case 75:
      if (lookahead == 'e') ADVANCE(86);
      END_STATE();
    case 76:
      if (lookahead == 'i') ADVANCE(87);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_custom);
      END_STATE();
    case 78:
      if (lookahead == 'n') ADVANCE(88);
      END_STATE();
    case 79:
      if (lookahead == 'e') ADVANCE(89);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_option);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_plugin);
      END_STATE();
    case 82:
      if (lookahead == 'a') ADVANCE(90);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_poptag);
      END_STATE();
    case 84:
      if (lookahead == 't') ADVANCE(91);
      END_STATE();
    case 85:
      if (lookahead == 'g') ADVANCE(92);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_balance);
      END_STATE();
    case 87:
      if (lookahead == 't') ADVANCE(93);
      END_STATE();
    case 88:
      if (lookahead == 't') ADVANCE(94);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_include);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_popmeta);
      END_STATE();
    case 91:
      if (lookahead == 'a') ADVANCE(95);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_pushtag);
      END_STATE();
    case 93:
      if (lookahead == 'y') ADVANCE(96);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_document);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_pushmeta);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_commodity);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 103, .external_lex_state = 2},
  [2] = {.lex_state = 103, .external_lex_state = 3},
  [3] = {.lex_state = 103, .external_lex_state = 3},
  [4] = {.lex_state = 103, .external_lex_state = 3},
  [5] = {.lex_state = 103, .external_lex_state = 3},
  [6] = {.lex_state = 103, .external_lex_state = 2},
  [7] = {.lex_state = 103, .external_lex_state = 2},
  [8] = {.lex_state = 103, .external_lex_state = 3},
  [9] = {.lex_state = 104, .external_lex_state = 2},
  [10] = {.lex_state = 104, .external_lex_state = 3},
  [11] = {.lex_state = 104, .external_lex_state = 3},
  [12] = {.lex_state = 104, .external_lex_state = 2},
  [13] = {.lex_state = 104, .external_lex_state = 2},
  [14] = {.lex_state = 104, .external_lex_state = 2},
  [15] = {.lex_state = 104, .external_lex_state = 2},
  [16] = {.lex_state = 104, .external_lex_state = 2},
  [17] = {.lex_state = 104, .external_lex_state = 2},
  [18] = {.lex_state = 104, .external_lex_state = 2},
  [19] = {.lex_state = 104, .external_lex_state = 2},
  [20] = {.lex_state = 104, .external_lex_state = 3},
  [21] = {.lex_state = 104, .external_lex_state = 2},
  [22] = {.lex_state = 104, .external_lex_state = 2},
  [23] = {.lex_state = 104, .external_lex_state = 3},
  [24] = {.lex_state = 104, .external_lex_state = 3},
  [25] = {.lex_state = 104, .external_lex_state = 3},
  [26] = {.lex_state = 104, .external_lex_state = 2},
  [27] = {.lex_state = 104, .external_lex_state = 3},
  [28] = {.lex_state = 104, .external_lex_state = 3},
  [29] = {.lex_state = 104, .external_lex_state = 3},
  [30] = {.lex_state = 104, .external_lex_state = 3},
  [31] = {.lex_state = 104, .external_lex_state = 2},
  [32] = {.lex_state = 104, .external_lex_state = 3},
  [33] = {.lex_state = 104, .external_lex_state = 2},
  [34] = {.lex_state = 104, .external_lex_state = 2},
  [35] = {.lex_state = 104, .external_lex_state = 3},
  [36] = {.lex_state = 104, .external_lex_state = 3},
  [37] = {.lex_state = 104, .external_lex_state = 2},
  [38] = {.lex_state = 104, .external_lex_state = 3},
  [39] = {.lex_state = 104, .external_lex_state = 3},
  [40] = {.lex_state = 104, .external_lex_state = 2},
  [41] = {.lex_state = 104, .external_lex_state = 3},
  [42] = {.lex_state = 104, .external_lex_state = 3},
  [43] = {.lex_state = 104, .external_lex_state = 3},
  [44] = {.lex_state = 104, .external_lex_state = 2},
  [45] = {.lex_state = 104, .external_lex_state = 3},
  [46] = {.lex_state = 104, .external_lex_state = 3},
  [47] = {.lex_state = 104, .external_lex_state = 3},
  [48] = {.lex_state = 104, .external_lex_state = 3},
  [49] = {.lex_state = 104, .external_lex_state = 3},
  [50] = {.lex_state = 104, .external_lex_state = 3},
  [51] = {.lex_state = 104, .external_lex_state = 3},
  [52] = {.lex_state = 104, .external_lex_state = 3},
  [53] = {.lex_state = 104, .external_lex_state = 3},
  [54] = {.lex_state = 104, .external_lex_state = 3},
  [55] = {.lex_state = 104, .external_lex_state = 3},
  [56] = {.lex_state = 104, .external_lex_state = 3},
  [57] = {.lex_state = 104, .external_lex_state = 3},
  [58] = {.lex_state = 104, .external_lex_state = 3},
  [59] = {.lex_state = 104, .external_lex_state = 3},
  [60] = {.lex_state = 104, .external_lex_state = 3},
  [61] = {.lex_state = 104, .external_lex_state = 3},
  [62] = {.lex_state = 104, .external_lex_state = 3},
  [63] = {.lex_state = 104, .external_lex_state = 3},
  [64] = {.lex_state = 104, .external_lex_state = 3},
  [65] = {.lex_state = 104, .external_lex_state = 3},
  [66] = {.lex_state = 104, .external_lex_state = 3},
  [67] = {.lex_state = 104, .external_lex_state = 3},
  [68] = {.lex_state = 104, .external_lex_state = 3},
  [69] = {.lex_state = 104, .external_lex_state = 3},
  [70] = {.lex_state = 104, .external_lex_state = 3},
  [71] = {.lex_state = 104, .external_lex_state = 3},
  [72] = {.lex_state = 104, .external_lex_state = 3},
  [73] = {.lex_state = 104, .external_lex_state = 3},
  [74] = {.lex_state = 104, .external_lex_state = 3},
  [75] = {.lex_state = 104, .external_lex_state = 3},
  [76] = {.lex_state = 104, .external_lex_state = 3},
  [77] = {.lex_state = 104, .external_lex_state = 3},
  [78] = {.lex_state = 104, .external_lex_state = 3},
  [79] = {.lex_state = 104, .external_lex_state = 3},
  [80] = {.lex_state = 104, .external_lex_state = 3},
  [81] = {.lex_state = 104, .external_lex_state = 3},
  [82] = {.lex_state = 104, .external_lex_state = 3},
  [83] = {.lex_state = 104, .external_lex_state = 3},
  [84] = {.lex_state = 104, .external_lex_state = 3},
  [85] = {.lex_state = 104, .external_lex_state = 3},
  [86] = {.lex_state = 104, .external_lex_state = 3},
  [87] = {.lex_state = 104, .external_lex_state = 2},
  [88] = {.lex_state = 104, .external_lex_state = 3},
  [89] = {.lex_state = 104, .external_lex_state = 3},
  [90] = {.lex_state = 104, .external_lex_state = 3},
  [91] = {.lex_state = 104, .external_lex_state = 3},
  [92] = {.lex_state = 104, .external_lex_state = 2},
  [93] = {.lex_state = 104, .external_lex_state = 3},
  [94] = {.lex_state = 104, .external_lex_state = 2},
  [95] = {.lex_state = 104, .external_lex_state = 3},
  [96] = {.lex_state = 104, .external_lex_state = 3},
  [97] = {.lex_state = 104, .external_lex_state = 3},
  [98] = {.lex_state = 104, .external_lex_state = 3},
  [99] = {.lex_state = 104, .external_lex_state = 2},
  [100] = {.lex_state = 104, .external_lex_state = 2},
  [101] = {.lex_state = 104, .external_lex_state = 3},
  [102] = {.lex_state = 104, .external_lex_state = 2},
  [103] = {.lex_state = 104, .external_lex_state = 2},
  [104] = {.lex_state = 104, .external_lex_state = 2},
  [105] = {.lex_state = 104, .external_lex_state = 2},
  [106] = {.lex_state = 104, .external_lex_state = 2},
  [107] = {.lex_state = 104, .external_lex_state = 2},
  [108] = {.lex_state = 104, .external_lex_state = 2},
  [109] = {.lex_state = 104, .external_lex_state = 2},
  [110] = {.lex_state = 104, .external_lex_state = 3},
  [111] = {.lex_state = 104, .external_lex_state = 2},
  [112] = {.lex_state = 104, .external_lex_state = 3},
  [113] = {.lex_state = 104, .external_lex_state = 2},
  [114] = {.lex_state = 104, .external_lex_state = 3},
  [115] = {.lex_state = 104, .external_lex_state = 2},
  [116] = {.lex_state = 104, .external_lex_state = 3},
  [117] = {.lex_state = 104, .external_lex_state = 2},
  [118] = {.lex_state = 104, .external_lex_state = 2},
  [119] = {.lex_state = 104, .external_lex_state = 3},
  [120] = {.lex_state = 104, .external_lex_state = 2},
  [121] = {.lex_state = 104, .external_lex_state = 3},
  [122] = {.lex_state = 104, .external_lex_state = 3},
  [123] = {.lex_state = 104, .external_lex_state = 3},
  [124] = {.lex_state = 104, .external_lex_state = 3},
  [125] = {.lex_state = 104, .external_lex_state = 3},
  [126] = {.lex_state = 104, .external_lex_state = 2},
  [127] = {.lex_state = 104, .external_lex_state = 2},
  [128] = {.lex_state = 104, .external_lex_state = 2},
  [129] = {.lex_state = 104, .external_lex_state = 2},
  [130] = {.lex_state = 104, .external_lex_state = 2},
  [131] = {.lex_state = 104, .external_lex_state = 2},
  [132] = {.lex_state = 104, .external_lex_state = 2},
  [133] = {.lex_state = 104, .external_lex_state = 2},
  [134] = {.lex_state = 104, .external_lex_state = 2},
  [135] = {.lex_state = 104, .external_lex_state = 2},
  [136] = {.lex_state = 104, .external_lex_state = 2},
  [137] = {.lex_state = 104, .external_lex_state = 2},
  [138] = {.lex_state = 104, .external_lex_state = 2},
  [139] = {.lex_state = 104, .external_lex_state = 2},
  [140] = {.lex_state = 104, .external_lex_state = 2},
  [141] = {.lex_state = 104, .external_lex_state = 2},
  [142] = {.lex_state = 104, .external_lex_state = 2},
  [143] = {.lex_state = 104, .external_lex_state = 2},
  [144] = {.lex_state = 104, .external_lex_state = 2},
  [145] = {.lex_state = 104, .external_lex_state = 2},
  [146] = {.lex_state = 104, .external_lex_state = 2},
  [147] = {.lex_state = 104, .external_lex_state = 2},
  [148] = {.lex_state = 104, .external_lex_state = 2},
  [149] = {.lex_state = 104, .external_lex_state = 2},
  [150] = {.lex_state = 104, .external_lex_state = 2},
  [151] = {.lex_state = 104, .external_lex_state = 2},
  [152] = {.lex_state = 104, .external_lex_state = 2},
  [153] = {.lex_state = 104, .external_lex_state = 2},
  [154] = {.lex_state = 104, .external_lex_state = 2},
  [155] = {.lex_state = 104, .external_lex_state = 2},
  [156] = {.lex_state = 104, .external_lex_state = 2},
  [157] = {.lex_state = 104, .external_lex_state = 2},
  [158] = {.lex_state = 104, .external_lex_state = 2},
  [159] = {.lex_state = 104, .external_lex_state = 2},
  [160] = {.lex_state = 104, .external_lex_state = 2},
  [161] = {.lex_state = 104, .external_lex_state = 2},
  [162] = {.lex_state = 104, .external_lex_state = 2},
  [163] = {.lex_state = 104, .external_lex_state = 2},
  [164] = {.lex_state = 104, .external_lex_state = 2},
  [165] = {.lex_state = 104, .external_lex_state = 2},
  [166] = {.lex_state = 104, .external_lex_state = 2},
  [167] = {.lex_state = 104, .external_lex_state = 2},
  [168] = {.lex_state = 104, .external_lex_state = 3},
  [169] = {.lex_state = 104, .external_lex_state = 2},
  [170] = {.lex_state = 104, .external_lex_state = 2},
  [171] = {.lex_state = 104, .external_lex_state = 2},
  [172] = {.lex_state = 104, .external_lex_state = 3},
  [173] = {.lex_state = 3},
  [174] = {.lex_state = 3},
  [175] = {.lex_state = 3},
  [176] = {.lex_state = 3},
  [177] = {.lex_state = 104, .external_lex_state = 3},
  [178] = {.lex_state = 104, .external_lex_state = 3},
  [179] = {.lex_state = 10},
  [180] = {.lex_state = 104, .external_lex_state = 3},
  [181] = {.lex_state = 104, .external_lex_state = 2},
  [182] = {.lex_state = 104, .external_lex_state = 2},
  [183] = {.lex_state = 104, .external_lex_state = 2},
  [184] = {.lex_state = 104, .external_lex_state = 3},
  [185] = {.lex_state = 104, .external_lex_state = 2},
  [186] = {.lex_state = 104, .external_lex_state = 2},
  [187] = {.lex_state = 3},
  [188] = {.lex_state = 104, .external_lex_state = 2},
  [189] = {.lex_state = 104, .external_lex_state = 2},
  [190] = {.lex_state = 104, .external_lex_state = 2},
  [191] = {.lex_state = 104, .external_lex_state = 2},
  [192] = {.lex_state = 104, .external_lex_state = 2},
  [193] = {.lex_state = 104, .external_lex_state = 2},
  [194] = {.lex_state = 104, .external_lex_state = 2},
  [195] = {.lex_state = 104, .external_lex_state = 2},
  [196] = {.lex_state = 104, .external_lex_state = 2},
  [197] = {.lex_state = 7},
  [198] = {.lex_state = 104, .external_lex_state = 2},
  [199] = {.lex_state = 104, .external_lex_state = 2},
  [200] = {.lex_state = 104, .external_lex_state = 2},
  [201] = {.lex_state = 7},
  [202] = {.lex_state = 104, .external_lex_state = 2},
  [203] = {.lex_state = 104, .external_lex_state = 2},
  [204] = {.lex_state = 104, .external_lex_state = 2},
  [205] = {.lex_state = 104, .external_lex_state = 2},
  [206] = {.lex_state = 104, .external_lex_state = 2},
  [207] = {.lex_state = 104, .external_lex_state = 2},
  [208] = {.lex_state = 104, .external_lex_state = 2},
  [209] = {.lex_state = 104, .external_lex_state = 2},
  [210] = {.lex_state = 104, .external_lex_state = 2},
  [211] = {.lex_state = 104, .external_lex_state = 2},
  [212] = {.lex_state = 104, .external_lex_state = 3},
  [213] = {.lex_state = 104, .external_lex_state = 2},
  [214] = {.lex_state = 104, .external_lex_state = 2},
  [215] = {.lex_state = 104, .external_lex_state = 3},
  [216] = {.lex_state = 104, .external_lex_state = 3},
  [217] = {.lex_state = 104, .external_lex_state = 2},
  [218] = {.lex_state = 104, .external_lex_state = 2},
  [219] = {.lex_state = 104, .external_lex_state = 3},
  [220] = {.lex_state = 104, .external_lex_state = 2},
  [221] = {.lex_state = 104, .external_lex_state = 3},
  [222] = {.lex_state = 104, .external_lex_state = 3},
  [223] = {.lex_state = 104, .external_lex_state = 2},
  [224] = {.lex_state = 104, .external_lex_state = 2},
  [225] = {.lex_state = 104, .external_lex_state = 3},
  [226] = {.lex_state = 104, .external_lex_state = 2},
  [227] = {.lex_state = 104, .external_lex_state = 2},
  [228] = {.lex_state = 2},
  [229] = {.lex_state = 9},
  [230] = {.lex_state = 104, .external_lex_state = 3},
  [231] = {.lex_state = 104, .external_lex_state = 3},
  [232] = {.lex_state = 104, .external_lex_state = 2},
  [233] = {.lex_state = 104, .external_lex_state = 3},
  [234] = {.lex_state = 104, .external_lex_state = 2},
  [235] = {.lex_state = 7},
  [236] = {.lex_state = 104, .external_lex_state = 2},
  [237] = {.lex_state = 104, .external_lex_state = 2},
  [238] = {.lex_state = 104, .external_lex_state = 3},
  [239] = {.lex_state = 104, .external_lex_state = 3},
  [240] = {.lex_state = 104, .external_lex_state = 3},
  [241] = {.lex_state = 104, .external_lex_state = 3},
  [242] = {.lex_state = 104, .external_lex_state = 2},
  [243] = {.lex_state = 104, .external_lex_state = 3},
  [244] = {.lex_state = 104, .external_lex_state = 3},
  [245] = {.lex_state = 104, .external_lex_state = 3},
  [246] = {.lex_state = 104, .external_lex_state = 3},
  [247] = {.lex_state = 104, .external_lex_state = 3},
  [248] = {.lex_state = 104, .external_lex_state = 3},
  [249] = {.lex_state = 104, .external_lex_state = 2},
  [250] = {.lex_state = 104, .external_lex_state = 3},
  [251] = {.lex_state = 104, .external_lex_state = 2},
  [252] = {.lex_state = 104, .external_lex_state = 3},
  [253] = {.lex_state = 104, .external_lex_state = 3},
  [254] = {.lex_state = 104, .external_lex_state = 3},
  [255] = {.lex_state = 104, .external_lex_state = 3},
  [256] = {.lex_state = 104, .external_lex_state = 3},
  [257] = {.lex_state = 104, .external_lex_state = 3},
  [258] = {.lex_state = 104, .external_lex_state = 2},
  [259] = {.lex_state = 104, .external_lex_state = 3},
  [260] = {.lex_state = 104, .external_lex_state = 3},
  [261] = {.lex_state = 104, .external_lex_state = 3},
  [262] = {.lex_state = 104, .external_lex_state = 3},
  [263] = {.lex_state = 104, .external_lex_state = 3},
  [264] = {.lex_state = 104, .external_lex_state = 2},
  [265] = {.lex_state = 104, .external_lex_state = 3},
  [266] = {.lex_state = 104, .external_lex_state = 2},
  [267] = {.lex_state = 104, .external_lex_state = 3},
  [268] = {.lex_state = 104, .external_lex_state = 3},
  [269] = {.lex_state = 104, .external_lex_state = 3},
  [270] = {.lex_state = 104, .external_lex_state = 3},
  [271] = {.lex_state = 104, .external_lex_state = 2},
  [272] = {.lex_state = 104, .external_lex_state = 2},
  [273] = {.lex_state = 104, .external_lex_state = 3},
  [274] = {.lex_state = 104, .external_lex_state = 3},
  [275] = {.lex_state = 104, .external_lex_state = 2},
  [276] = {.lex_state = 104, .external_lex_state = 3},
  [277] = {.lex_state = 104, .external_lex_state = 3},
  [278] = {.lex_state = 104, .external_lex_state = 2},
  [279] = {.lex_state = 104, .external_lex_state = 2},
  [280] = {.lex_state = 104, .external_lex_state = 3},
  [281] = {.lex_state = 104, .external_lex_state = 2},
  [282] = {.lex_state = 104, .external_lex_state = 3},
  [283] = {.lex_state = 104, .external_lex_state = 3},
  [284] = {.lex_state = 104, .external_lex_state = 3},
  [285] = {.lex_state = 104, .external_lex_state = 3},
  [286] = {.lex_state = 104, .external_lex_state = 3},
  [287] = {.lex_state = 104, .external_lex_state = 2},
  [288] = {.lex_state = 104, .external_lex_state = 3},
  [289] = {.lex_state = 104, .external_lex_state = 2},
  [290] = {.lex_state = 7},
  [291] = {.lex_state = 104, .external_lex_state = 3},
  [292] = {.lex_state = 104, .external_lex_state = 3},
  [293] = {.lex_state = 103, .external_lex_state = 3},
  [294] = {.lex_state = 103, .external_lex_state = 3},
  [295] = {.lex_state = 103, .external_lex_state = 3},
  [296] = {.lex_state = 103, .external_lex_state = 2},
  [297] = {.lex_state = 103, .external_lex_state = 3},
  [298] = {.lex_state = 103, .external_lex_state = 3},
  [299] = {.lex_state = 7},
  [300] = {.lex_state = 103, .external_lex_state = 3},
  [301] = {.lex_state = 103, .external_lex_state = 3},
  [302] = {.lex_state = 103, .external_lex_state = 2},
  [303] = {.lex_state = 103, .external_lex_state = 3},
  [304] = {.lex_state = 103, .external_lex_state = 2},
  [305] = {.lex_state = 103, .external_lex_state = 3},
  [306] = {.lex_state = 103, .external_lex_state = 2},
  [307] = {.lex_state = 103, .external_lex_state = 2},
  [308] = {.lex_state = 103, .external_lex_state = 2},
  [309] = {.lex_state = 103, .external_lex_state = 2},
  [310] = {.lex_state = 103, .external_lex_state = 2},
  [311] = {.lex_state = 103, .external_lex_state = 3},
  [312] = {.lex_state = 103, .external_lex_state = 2},
  [313] = {.lex_state = 7},
  [314] = {.lex_state = 103, .external_lex_state = 3},
  [315] = {.lex_state = 103, .external_lex_state = 2},
  [316] = {.lex_state = 103, .external_lex_state = 2},
  [317] = {.lex_state = 103, .external_lex_state = 2},
  [318] = {.lex_state = 103, .external_lex_state = 2},
  [319] = {.lex_state = 103, .external_lex_state = 3},
  [320] = {.lex_state = 103, .external_lex_state = 2},
  [321] = {.lex_state = 103, .external_lex_state = 2},
  [322] = {.lex_state = 103, .external_lex_state = 3},
  [323] = {.lex_state = 103, .external_lex_state = 2},
  [324] = {.lex_state = 103, .external_lex_state = 3},
  [325] = {.lex_state = 2},
  [326] = {.lex_state = 4},
  [327] = {.lex_state = 4},
  [328] = {.lex_state = 5},
  [329] = {.lex_state = 5},
  [330] = {.lex_state = 4},
  [331] = {.lex_state = 4},
  [332] = {.lex_state = 6},
  [333] = {.lex_state = 7},
  [334] = {.lex_state = 7},
  [335] = {.lex_state = 7},
  [336] = {.lex_state = 7},
  [337] = {.lex_state = 7},
  [338] = {.lex_state = 7},
  [339] = {.lex_state = 7},
  [340] = {.lex_state = 4},
  [341] = {.lex_state = 6},
  [342] = {.lex_state = 7},
  [343] = {.lex_state = 7},
  [344] = {.lex_state = 6},
  [345] = {.lex_state = 7},
  [346] = {.lex_state = 7},
  [347] = {.lex_state = 7},
  [348] = {.lex_state = 7},
  [349] = {.lex_state = 7},
  [350] = {.lex_state = 7},
  [351] = {.lex_state = 7},
  [352] = {.lex_state = 6},
  [353] = {.lex_state = 3},
  [354] = {.lex_state = 6},
  [355] = {.lex_state = 3},
  [356] = {.lex_state = 3},
  [357] = {.lex_state = 3},
  [358] = {.lex_state = 6},
  [359] = {.lex_state = 6},
  [360] = {.lex_state = 7},
  [361] = {.lex_state = 7},
  [362] = {.lex_state = 7},
  [363] = {.lex_state = 7},
  [364] = {.lex_state = 3},
  [365] = {.lex_state = 7},
  [366] = {.lex_state = 7},
  [367] = {.lex_state = 3},
  [368] = {.lex_state = 7},
  [369] = {.lex_state = 3},
  [370] = {.lex_state = 3},
  [371] = {.lex_state = 7},
  [372] = {.lex_state = 7},
  [373] = {.lex_state = 7},
  [374] = {.lex_state = 7},
  [375] = {.lex_state = 7},
  [376] = {.lex_state = 7},
  [377] = {.lex_state = 2},
  [378] = {.lex_state = 2},
  [379] = {.lex_state = 3},
  [380] = {.lex_state = 2},
  [381] = {.lex_state = 3},
  [382] = {.lex_state = 2},
  [383] = {.lex_state = 2},
  [384] = {.lex_state = 3},
  [385] = {.lex_state = 2},
  [386] = {.lex_state = 3},
  [387] = {.lex_state = 0, .external_lex_state = 3},
  [388] = {.lex_state = 2},
  [389] = {.lex_state = 3},
  [390] = {.lex_state = 2},
  [391] = {.lex_state = 3},
  [392] = {.lex_state = 111},
  [393] = {.lex_state = 2},
  [394] = {.lex_state = 2},
  [395] = {.lex_state = 0, .external_lex_state = 3},
  [396] = {.lex_state = 2},
  [397] = {.lex_state = 2},
  [398] = {.lex_state = 0, .external_lex_state = 3},
  [399] = {.lex_state = 2},
  [400] = {.lex_state = 0, .external_lex_state = 3},
  [401] = {.lex_state = 2},
  [402] = {.lex_state = 0, .external_lex_state = 3},
  [403] = {.lex_state = 3},
  [404] = {.lex_state = 3},
  [405] = {.lex_state = 3},
  [406] = {.lex_state = 3},
  [407] = {.lex_state = 3},
  [408] = {.lex_state = 3},
  [409] = {.lex_state = 3},
  [410] = {.lex_state = 3},
  [411] = {.lex_state = 3},
  [412] = {.lex_state = 3},
  [413] = {.lex_state = 3},
  [414] = {.lex_state = 2},
  [415] = {.lex_state = 2},
  [416] = {.lex_state = 3},
  [417] = {.lex_state = 3},
  [418] = {.lex_state = 3},
  [419] = {.lex_state = 3},
  [420] = {.lex_state = 0},
  [421] = {.lex_state = 3},
  [422] = {.lex_state = 0},
  [423] = {.lex_state = 3},
  [424] = {.lex_state = 0},
  [425] = {.lex_state = 7},
  [426] = {.lex_state = 3},
  [427] = {.lex_state = 3},
  [428] = {.lex_state = 3},
  [429] = {.lex_state = 3},
  [430] = {.lex_state = 3},
  [431] = {.lex_state = 3},
  [432] = {.lex_state = 3},
  [433] = {.lex_state = 3},
  [434] = {.lex_state = 3},
  [435] = {.lex_state = 3},
  [436] = {.lex_state = 3},
  [437] = {.lex_state = 3},
  [438] = {.lex_state = 3},
  [439] = {.lex_state = 3},
  [440] = {.lex_state = 3},
  [441] = {.lex_state = 0},
  [442] = {.lex_state = 3},
  [443] = {.lex_state = 3},
  [444] = {.lex_state = 3},
  [445] = {.lex_state = 3},
  [446] = {.lex_state = 3},
  [447] = {.lex_state = 3},
  [448] = {.lex_state = 3},
  [449] = {.lex_state = 3},
  [450] = {.lex_state = 3},
  [451] = {.lex_state = 3},
  [452] = {.lex_state = 3},
  [453] = {.lex_state = 3},
  [454] = {.lex_state = 3},
  [455] = {.lex_state = 3},
  [456] = {.lex_state = 3},
  [457] = {.lex_state = 3},
  [458] = {.lex_state = 3},
  [459] = {.lex_state = 3},
  [460] = {.lex_state = 3},
  [461] = {.lex_state = 0},
  [462] = {.lex_state = 0},
  [463] = {.lex_state = 1},
  [464] = {.lex_state = 0},
  [465] = {.lex_state = 0},
  [466] = {.lex_state = 3},
  [467] = {.lex_state = 0},
  [468] = {.lex_state = 0},
  [469] = {.lex_state = 3},
  [470] = {.lex_state = 3},
  [471] = {.lex_state = 3},
  [472] = {.lex_state = 3},
  [473] = {.lex_state = 3},
  [474] = {.lex_state = 3},
  [475] = {.lex_state = 3},
  [476] = {.lex_state = 0},
  [477] = {.lex_state = 3},
  [478] = {.lex_state = 3},
  [479] = {.lex_state = 3},
  [480] = {.lex_state = 3},
  [481] = {.lex_state = 0, .external_lex_state = 3},
  [482] = {.lex_state = 1},
  [483] = {.lex_state = 3},
  [484] = {.lex_state = 0},
  [485] = {.lex_state = 0, .external_lex_state = 3},
  [486] = {.lex_state = 3},
  [487] = {.lex_state = 3},
  [488] = {.lex_state = 0, .external_lex_state = 3},
  [489] = {.lex_state = 0, .external_lex_state = 3},
  [490] = {.lex_state = 3},
  [491] = {.lex_state = 3},
  [492] = {.lex_state = 3},
  [493] = {.lex_state = 0, .external_lex_state = 3},
  [494] = {.lex_state = 0},
  [495] = {.lex_state = 3},
  [496] = {.lex_state = 3},
  [497] = {.lex_state = 3},
  [498] = {.lex_state = 0},
  [499] = {.lex_state = 2},
  [500] = {.lex_state = 0},
  [501] = {.lex_state = 0},
  [502] = {.lex_state = 3},
  [503] = {.lex_state = 8},
  [504] = {.lex_state = 3},
  [505] = {.lex_state = 8},
  [506] = {.lex_state = 0},
  [507] = {.lex_state = 112},
  [508] = {.lex_state = 0},
  [509] = {.lex_state = 3},
  [510] = {.lex_state = 3},
  [511] = {.lex_state = 0},
  [512] = {.lex_state = 0},
  [513] = {.lex_state = 3},
  [514] = {.lex_state = 3},
  [515] = {.lex_state = 3},
  [516] = {.lex_state = 3},
  [517] = {.lex_state = 3},
  [518] = {.lex_state = 3},
  [519] = {.lex_state = 3},
  [520] = {.lex_state = 3},
  [521] = {.lex_state = 3},
  [522] = {.lex_state = 3},
  [523] = {.lex_state = 3},
  [524] = {.lex_state = 10},
  [525] = {.lex_state = 3},
  [526] = {.lex_state = 3},
  [527] = {.lex_state = 3},
  [528] = {.lex_state = 3},
  [529] = {.lex_state = 3},
  [530] = {.lex_state = 3},
  [531] = {.lex_state = 0},
  [532] = {.lex_state = 3},
  [533] = {.lex_state = 3},
  [534] = {.lex_state = 3},
  [535] = {.lex_state = 3},
  [536] = {.lex_state = 3},
  [537] = {.lex_state = 3},
  [538] = {.lex_state = 3},
  [539] = {.lex_state = 2},
  [540] = {.lex_state = 0},
  [541] = {.lex_state = 0},
  [542] = {.lex_state = 3},
  [543] = {.lex_state = 0},
  [544] = {.lex_state = 3},
  [545] = {.lex_state = 3},
  [546] = {.lex_state = 2},
  [547] = {.lex_state = 3},
  [548] = {.lex_state = 3},
  [549] = {.lex_state = 3},
  [550] = {.lex_state = 3},
  [551] = {.lex_state = 3},
  [552] = {.lex_state = 3},
  [553] = {.lex_state = 0},
  [554] = {.lex_state = 3},
  [555] = {.lex_state = 0},
  [556] = {.lex_state = 3},
  [557] = {.lex_state = 3},
  [558] = {.lex_state = 0},
  [559] = {.lex_state = 3},
  [560] = {.lex_state = 3},
  [561] = {.lex_state = 3},
  [562] = {.lex_state = 0},
  [563] = {.lex_state = 3},
  [564] = {.lex_state = 0},
  [565] = {.lex_state = 0},
  [566] = {.lex_state = 3},
  [567] = {.lex_state = 112},
  [568] = {.lex_state = 3},
  [569] = {.lex_state = 3},
  [570] = {.lex_state = 3},
  [571] = {.lex_state = 3},
  [572] = {.lex_state = 3},
  [573] = {.lex_state = 3},
  [574] = {.lex_state = 3},
  [575] = {.lex_state = 3},
  [576] = {.lex_state = 3},
  [577] = {.lex_state = 3},
  [578] = {.lex_state = 3},
  [579] = {.lex_state = 3},
  [580] = {.lex_state = 3},
  [581] = {.lex_state = 3},
  [582] = {.lex_state = 3},
  [583] = {.lex_state = 10},
  [584] = {.lex_state = 0},
  [585] = {.lex_state = 3},
  [586] = {.lex_state = 3},
  [587] = {.lex_state = 3},
  [588] = {.lex_state = 3},
  [589] = {.lex_state = 3},
  [590] = {.lex_state = 3},
  [591] = {.lex_state = 3},
  [592] = {.lex_state = 3},
  [593] = {.lex_state = 3},
  [594] = {.lex_state = 3},
  [595] = {.lex_state = 3},
  [596] = {.lex_state = 3},
  [597] = {.lex_state = 3},
  [598] = {.lex_state = 3},
  [599] = {.lex_state = 3},
  [600] = {.lex_state = 3},
  [601] = {.lex_state = 3},
  [602] = {.lex_state = 3},
  [603] = {.lex_state = 3},
  [604] = {.lex_state = 3},
  [605] = {.lex_state = 3},
  [606] = {.lex_state = 3},
  [607] = {.lex_state = 0},
  [608] = {.lex_state = 3},
  [609] = {.lex_state = 3},
  [610] = {.lex_state = 3},
  [611] = {.lex_state = 3},
  [612] = {.lex_state = 3},
  [613] = {.lex_state = 0},
  [614] = {.lex_state = 3},
  [615] = {.lex_state = 0},
  [616] = {.lex_state = 3},
  [617] = {.lex_state = 0},
  [618] = {.lex_state = 3},
  [619] = {.lex_state = 3},
  [620] = {.lex_state = 0},
  [621] = {.lex_state = 3},
  [622] = {.lex_state = 3},
  [623] = {.lex_state = 3},
  [624] = {.lex_state = 3},
  [625] = {.lex_state = 3},
  [626] = {.lex_state = 3},
  [627] = {.lex_state = 3},
  [628] = {.lex_state = 3},
  [629] = {.lex_state = 3},
  [630] = {.lex_state = 3},
  [631] = {.lex_state = 3},
  [632] = {.lex_state = 3},
  [633] = {.lex_state = 3},
  [634] = {.lex_state = 3},
  [635] = {.lex_state = 3},
  [636] = {.lex_state = 3},
  [637] = {.lex_state = 3},
  [638] = {.lex_state = 3},
  [639] = {.lex_state = 3},
  [640] = {.lex_state = 3},
  [641] = {.lex_state = 112},
  [642] = {.lex_state = 3},
  [643] = {.lex_state = 0},
  [644] = {.lex_state = 0},
  [645] = {.lex_state = 3},
  [646] = {.lex_state = 0},
  [647] = {.lex_state = 0},
  [648] = {.lex_state = 0},
  [649] = {.lex_state = 0},
  [650] = {.lex_state = 2},
  [651] = {.lex_state = 0},
  [652] = {.lex_state = 0},
  [653] = {.lex_state = 0},
  [654] = {.lex_state = 0},
  [655] = {.lex_state = 3},
  [656] = {.lex_state = 3},
  [657] = {.lex_state = 0},
  [658] = {.lex_state = 0},
  [659] = {.lex_state = 0},
  [660] = {.lex_state = 3},
  [661] = {.lex_state = 0},
  [662] = {.lex_state = 0},
  [663] = {.lex_state = 3},
  [664] = {.lex_state = 0},
  [665] = {.lex_state = 0},
  [666] = {.lex_state = 0},
  [667] = {.lex_state = 2},
  [668] = {.lex_state = 0},
  [669] = {.lex_state = 0},
  [670] = {.lex_state = 0},
  [671] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_LF] = ACTIONS(1),
    [sym__eol] = ACTIONS(1),
    [aux_sym__org_stars_token1] = ACTIONS(1),
    [sym_atat] = ACTIONS(1),
    [sym_at] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [sym_slash] = ACTIONS(1),
    [sym_plus] = ACTIONS(1),
    [sym_minus] = ACTIONS(1),
    [sym_flag] = ACTIONS(1),
    [sym__none] = ACTIONS(1),
    [sym_date] = ACTIONS(1),
    [sym_account] = ACTIONS(1),
    [sym_string] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_tag] = ACTIONS(1),
    [sym_link] = ACTIONS(1),
    [anon_sym_txn] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_pushtag] = ACTIONS(1),
    [anon_sym_poptag] = ACTIONS(1),
    [anon_sym_pushmeta] = ACTIONS(1),
    [anon_sym_popmeta] = ACTIONS(1),
    [anon_sym_open] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_close] = ACTIONS(1),
    [anon_sym_commodity] = ACTIONS(1),
    [anon_sym_pad] = ACTIONS(1),
    [anon_sym_balance] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE_RBRACE] = ACTIONS(1),
    [anon_sym_price] = ACTIONS(1),
    [anon_sym_event] = ACTIONS(1),
    [anon_sym_query] = ACTIONS(1),
    [anon_sym_note] = ACTIONS(1),
    [anon_sym_document] = ACTIONS(1),
    [anon_sym_custom] = ACTIONS(1),
    [anon_sym_option] = ACTIONS(1),
    [anon_sym_include] = ACTIONS(1),
    [anon_sym_plugin] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [sym__UTF_8_1] = ACTIONS(1),
    [aux_sym__UTF_8_2_token1] = ACTIONS(1),
    [aux_sym__UTF_8_3_token1] = ACTIONS(1),
    [aux_sym__UTF_8_3_token2] = ACTIONS(1),
    [aux_sym__UTF_8_3_token3] = ACTIONS(1),
    [aux_sym__UTF_8_3_token4] = ACTIONS(1),
    [aux_sym__UTF_8_4_token1] = ACTIONS(1),
    [aux_sym__UTF_8_4_token2] = ACTIONS(1),
    [aux_sym__UTF_8_4_token3] = ACTIONS(1),
    [sym__stars] = ACTIONS(1),
    [sym__sectionend] = ACTIONS(1),
    [sym__eof] = ACTIONS(1),
  },
  [1] = {
    [sym_file] = STATE(506),
    [sym__nl] = STATE(7),
    [sym_section] = STATE(7),
    [sym__org_stars] = STATE(505),
    [sym_headline] = STATE(2),
    [sym_transaction] = STATE(321),
    [sym_pushtag] = STATE(323),
    [sym_poptag] = STATE(323),
    [sym_pushmeta] = STATE(323),
    [sym_popmeta] = STATE(323),
    [sym_open] = STATE(321),
    [sym_close] = STATE(321),
    [sym_commodity] = STATE(321),
    [sym_pad] = STATE(321),
    [sym_balance] = STATE(321),
    [sym_price] = STATE(321),
    [sym_event] = STATE(321),
    [sym_query] = STATE(321),
    [sym_note] = STATE(321),
    [sym_document] = STATE(321),
    [sym_custom] = STATE(321),
    [sym__entry] = STATE(7),
    [sym_option] = STATE(323),
    [sym_include] = STATE(323),
    [sym_plugin] = STATE(323),
    [sym__directive] = STATE(7),
    [sym__declarations] = STATE(7),
    [sym_comment] = STATE(504),
    [sym__skipped_lines] = STATE(7),
    [aux_sym_file_repeat1] = STATE(7),
    [ts_builtin_sym_end] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(5),
    [anon_sym_CR] = ACTIONS(7),
    [sym__eol] = ACTIONS(5),
    [sym_flag] = ACTIONS(9),
    [sym_date] = ACTIONS(11),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_pushtag] = ACTIONS(13),
    [anon_sym_poptag] = ACTIONS(15),
    [anon_sym_pushmeta] = ACTIONS(17),
    [anon_sym_popmeta] = ACTIONS(19),
    [anon_sym_option] = ACTIONS(21),
    [anon_sym_include] = ACTIONS(23),
    [anon_sym_plugin] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(27),
    [sym__stars] = ACTIONS(29),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 22,
    ACTIONS(27), 1,
      anon_sym_SEMI,
    ACTIONS(29), 1,
      sym__stars,
    ACTIONS(33), 1,
      anon_sym_CR,
    ACTIONS(37), 1,
      sym_date,
    ACTIONS(39), 1,
      anon_sym_pushtag,
    ACTIONS(41), 1,
      anon_sym_poptag,
    ACTIONS(43), 1,
      anon_sym_pushmeta,
    ACTIONS(45), 1,
      anon_sym_popmeta,
    ACTIONS(47), 1,
      anon_sym_option,
    ACTIONS(49), 1,
      anon_sym_include,
    ACTIONS(51), 1,
      anon_sym_plugin,
    ACTIONS(53), 1,
      sym__sectionend,
    STATE(5), 1,
      sym_headline,
    STATE(395), 1,
      aux_sym_section_repeat2,
    STATE(489), 1,
      sym_section,
    STATE(505), 1,
      sym__org_stars,
    STATE(532), 1,
      sym_comment,
    ACTIONS(31), 2,
      anon_sym_LF,
      sym__eol,
    ACTIONS(35), 2,
      sym_flag,
      anon_sym_COLON,
    STATE(3), 6,
      sym__nl,
      sym__entry,
      sym__directive,
      sym__declarations,
      sym__skipped_lines,
      aux_sym_section_repeat1,
    STATE(293), 7,
      sym_pushtag,
      sym_poptag,
      sym_pushmeta,
      sym_popmeta,
      sym_option,
      sym_include,
      sym_plugin,
    STATE(303), 12,
      sym_transaction,
      sym_open,
      sym_close,
      sym_commodity,
      sym_pad,
      sym_balance,
      sym_price,
      sym_event,
      sym_query,
      sym_note,
      sym_document,
      sym_custom,
  [91] = 22,
    ACTIONS(27), 1,
      anon_sym_SEMI,
    ACTIONS(29), 1,
      sym__stars,
    ACTIONS(37), 1,
      sym_date,
    ACTIONS(39), 1,
      anon_sym_pushtag,
    ACTIONS(41), 1,
      anon_sym_poptag,
    ACTIONS(43), 1,
      anon_sym_pushmeta,
    ACTIONS(45), 1,
      anon_sym_popmeta,
    ACTIONS(47), 1,
      anon_sym_option,
    ACTIONS(49), 1,
      anon_sym_include,
    ACTIONS(51), 1,
      anon_sym_plugin,
    ACTIONS(57), 1,
      anon_sym_CR,
    ACTIONS(59), 1,
      sym__sectionend,
    STATE(5), 1,
      sym_headline,
    STATE(402), 1,
      aux_sym_section_repeat2,
    STATE(489), 1,
      sym_section,
    STATE(505), 1,
      sym__org_stars,
    STATE(532), 1,
      sym_comment,
    ACTIONS(35), 2,
      sym_flag,
      anon_sym_COLON,
    ACTIONS(55), 2,
      anon_sym_LF,
      sym__eol,
    STATE(8), 6,
      sym__nl,
      sym__entry,
      sym__directive,
      sym__declarations,
      sym__skipped_lines,
      aux_sym_section_repeat1,
    STATE(293), 7,
      sym_pushtag,
      sym_poptag,
      sym_pushmeta,
      sym_popmeta,
      sym_option,
      sym_include,
      sym_plugin,
    STATE(303), 12,
      sym_transaction,
      sym_open,
      sym_close,
      sym_commodity,
      sym_pad,
      sym_balance,
      sym_price,
      sym_event,
      sym_query,
      sym_note,
      sym_document,
      sym_custom,
  [182] = 22,
    ACTIONS(27), 1,
      anon_sym_SEMI,
    ACTIONS(29), 1,
      sym__stars,
    ACTIONS(37), 1,
      sym_date,
    ACTIONS(39), 1,
      anon_sym_pushtag,
    ACTIONS(41), 1,
      anon_sym_poptag,
    ACTIONS(43), 1,
      anon_sym_pushmeta,
    ACTIONS(45), 1,
      anon_sym_popmeta,
    ACTIONS(47), 1,
      anon_sym_option,
    ACTIONS(49), 1,
      anon_sym_include,
    ACTIONS(51), 1,
      anon_sym_plugin,
    ACTIONS(57), 1,
      anon_sym_CR,
    ACTIONS(61), 1,
      sym__sectionend,
    STATE(5), 1,
      sym_headline,
    STATE(387), 1,
      aux_sym_section_repeat2,
    STATE(489), 1,
      sym_section,
    STATE(505), 1,
      sym__org_stars,
    STATE(532), 1,
      sym_comment,
    ACTIONS(35), 2,
      sym_flag,
      anon_sym_COLON,
    ACTIONS(55), 2,
      anon_sym_LF,
      sym__eol,
    STATE(8), 6,
      sym__nl,
      sym__entry,
      sym__directive,
      sym__declarations,
      sym__skipped_lines,
      aux_sym_section_repeat1,
    STATE(293), 7,
      sym_pushtag,
      sym_poptag,
      sym_pushmeta,
      sym_popmeta,
      sym_option,
      sym_include,
      sym_plugin,
    STATE(303), 12,
      sym_transaction,
      sym_open,
      sym_close,
      sym_commodity,
      sym_pad,
      sym_balance,
      sym_price,
      sym_event,
      sym_query,
      sym_note,
      sym_document,
      sym_custom,
  [273] = 22,
    ACTIONS(27), 1,
      anon_sym_SEMI,
    ACTIONS(29), 1,
      sym__stars,
    ACTIONS(37), 1,
      sym_date,
    ACTIONS(39), 1,
      anon_sym_pushtag,
    ACTIONS(41), 1,
      anon_sym_poptag,
    ACTIONS(43), 1,
      anon_sym_pushmeta,
    ACTIONS(45), 1,
      anon_sym_popmeta,
    ACTIONS(47), 1,
      anon_sym_option,
    ACTIONS(49), 1,
      anon_sym_include,
    ACTIONS(51), 1,
      anon_sym_plugin,
    ACTIONS(65), 1,
      anon_sym_CR,
    ACTIONS(67), 1,
      sym__sectionend,
    STATE(5), 1,
      sym_headline,
    STATE(398), 1,
      aux_sym_section_repeat2,
    STATE(489), 1,
      sym_section,
    STATE(505), 1,
      sym__org_stars,
    STATE(532), 1,
      sym_comment,
    ACTIONS(35), 2,
      sym_flag,
      anon_sym_COLON,
    ACTIONS(63), 2,
      anon_sym_LF,
      sym__eol,
    STATE(4), 6,
      sym__nl,
      sym__entry,
      sym__directive,
      sym__declarations,
      sym__skipped_lines,
      aux_sym_section_repeat1,
    STATE(293), 7,
      sym_pushtag,
      sym_poptag,
      sym_pushmeta,
      sym_popmeta,
      sym_option,
      sym_include,
      sym_plugin,
    STATE(303), 12,
      sym_transaction,
      sym_open,
      sym_close,
      sym_commodity,
      sym_pad,
      sym_balance,
      sym_price,
      sym_event,
      sym_query,
      sym_note,
      sym_document,
      sym_custom,
  [364] = 20,
    ACTIONS(69), 1,
      ts_builtin_sym_end,
    ACTIONS(74), 1,
      anon_sym_CR,
    ACTIONS(80), 1,
      sym_date,
    ACTIONS(83), 1,
      anon_sym_pushtag,
    ACTIONS(86), 1,
      anon_sym_poptag,
    ACTIONS(89), 1,
      anon_sym_pushmeta,
    ACTIONS(92), 1,
      anon_sym_popmeta,
    ACTIONS(95), 1,
      anon_sym_option,
    ACTIONS(98), 1,
      anon_sym_include,
    ACTIONS(101), 1,
      anon_sym_plugin,
    ACTIONS(104), 1,
      anon_sym_SEMI,
    ACTIONS(107), 1,
      sym__stars,
    STATE(2), 1,
      sym_headline,
    STATE(504), 1,
      sym_comment,
    STATE(505), 1,
      sym__org_stars,
    ACTIONS(71), 2,
      anon_sym_LF,
      sym__eol,
    ACTIONS(77), 2,
      sym_flag,
      anon_sym_COLON,
    STATE(6), 7,
      sym__nl,
      sym_section,
      sym__entry,
      sym__directive,
      sym__declarations,
      sym__skipped_lines,
      aux_sym_file_repeat1,
    STATE(323), 7,
      sym_pushtag,
      sym_poptag,
      sym_pushmeta,
      sym_popmeta,
      sym_option,
      sym_include,
      sym_plugin,
    STATE(321), 12,
      sym_transaction,
      sym_open,
      sym_close,
      sym_commodity,
      sym_pad,
      sym_balance,
      sym_price,
      sym_event,
      sym_query,
      sym_note,
      sym_document,
      sym_custom,
  [450] = 20,
    ACTIONS(11), 1,
      sym_date,
    ACTIONS(13), 1,
      anon_sym_pushtag,
    ACTIONS(15), 1,
      anon_sym_poptag,
    ACTIONS(17), 1,
      anon_sym_pushmeta,
    ACTIONS(19), 1,
      anon_sym_popmeta,
    ACTIONS(21), 1,
      anon_sym_option,
    ACTIONS(23), 1,
      anon_sym_include,
    ACTIONS(25), 1,
      anon_sym_plugin,
    ACTIONS(27), 1,
      anon_sym_SEMI,
    ACTIONS(29), 1,
      sym__stars,
    ACTIONS(110), 1,
      ts_builtin_sym_end,
    ACTIONS(114), 1,
      anon_sym_CR,
    STATE(2), 1,
      sym_headline,
    STATE(504), 1,
      sym_comment,
    STATE(505), 1,
      sym__org_stars,
    ACTIONS(9), 2,
      sym_flag,
      anon_sym_COLON,
    ACTIONS(112), 2,
      anon_sym_LF,
      sym__eol,
    STATE(6), 7,
      sym__nl,
      sym_section,
      sym__entry,
      sym__directive,
      sym__declarations,
      sym__skipped_lines,
      aux_sym_file_repeat1,
    STATE(323), 7,
      sym_pushtag,
      sym_poptag,
      sym_pushmeta,
      sym_popmeta,
      sym_option,
      sym_include,
      sym_plugin,
    STATE(321), 12,
      sym_transaction,
      sym_open,
      sym_close,
      sym_commodity,
      sym_pad,
      sym_balance,
      sym_price,
      sym_event,
      sym_query,
      sym_note,
      sym_document,
      sym_custom,
  [536] = 17,
    ACTIONS(119), 1,
      anon_sym_CR,
    ACTIONS(125), 1,
      sym_date,
    ACTIONS(128), 1,
      anon_sym_pushtag,
    ACTIONS(131), 1,
      anon_sym_poptag,
    ACTIONS(134), 1,
      anon_sym_pushmeta,
    ACTIONS(137), 1,
      anon_sym_popmeta,
    ACTIONS(140), 1,
      anon_sym_option,
    ACTIONS(143), 1,
      anon_sym_include,
    ACTIONS(146), 1,
      anon_sym_plugin,
    ACTIONS(149), 1,
      anon_sym_SEMI,
    STATE(532), 1,
      sym_comment,
    ACTIONS(116), 2,
      anon_sym_LF,
      sym__eol,
    ACTIONS(122), 2,
      sym_flag,
      anon_sym_COLON,
    ACTIONS(152), 2,
      sym__stars,
      sym__sectionend,
    STATE(8), 6,
      sym__nl,
      sym__entry,
      sym__directive,
      sym__declarations,
      sym__skipped_lines,
      aux_sym_section_repeat1,
    STATE(293), 7,
      sym_pushtag,
      sym_poptag,
      sym_pushmeta,
      sym_popmeta,
      sym_option,
      sym_include,
      sym_plugin,
    STATE(303), 12,
      sym_transaction,
      sym_open,
      sym_close,
      sym_commodity,
      sym_pad,
      sym_balance,
      sym_price,
      sym_event,
      sym_query,
      sym_note,
      sym_document,
      sym_custom,
  [613] = 4,
    ACTIONS(158), 1,
      sym__indent,
    ACTIONS(154), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(33), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(156), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [642] = 4,
    ACTIONS(162), 1,
      sym__indent,
    ACTIONS(164), 2,
      sym__stars,
      sym__sectionend,
    STATE(32), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(160), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [671] = 4,
    ACTIONS(162), 1,
      sym__indent,
    ACTIONS(168), 2,
      sym__stars,
      sym__sectionend,
    STATE(32), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(166), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [700] = 4,
    ACTIONS(158), 1,
      sym__indent,
    ACTIONS(170), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(17), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(172), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [729] = 4,
    ACTIONS(158), 1,
      sym__indent,
    ACTIONS(174), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(37), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(176), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [758] = 4,
    ACTIONS(158), 1,
      sym__indent,
    ACTIONS(178), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(37), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(180), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [787] = 4,
    ACTIONS(158), 1,
      sym__indent,
    ACTIONS(182), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(22), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(184), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [816] = 4,
    ACTIONS(158), 1,
      sym__indent,
    ACTIONS(186), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(37), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(188), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [845] = 4,
    ACTIONS(158), 1,
      sym__indent,
    ACTIONS(164), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(37), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(160), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [874] = 4,
    ACTIONS(158), 1,
      sym__indent,
    ACTIONS(190), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(13), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(192), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [903] = 4,
    ACTIONS(158), 1,
      sym__indent,
    ACTIONS(194), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(26), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(196), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [932] = 4,
    ACTIONS(162), 1,
      sym__indent,
    ACTIONS(200), 2,
      sym__stars,
      sym__sectionend,
    STATE(32), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(198), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [961] = 4,
    ACTIONS(158), 1,
      sym__indent,
    ACTIONS(202), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(37), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(204), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [990] = 4,
    ACTIONS(158), 1,
      sym__indent,
    ACTIONS(168), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(37), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(166), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1019] = 4,
    ACTIONS(162), 1,
      sym__indent,
    ACTIONS(208), 2,
      sym__stars,
      sym__sectionend,
    STATE(24), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(206), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1048] = 4,
    ACTIONS(162), 1,
      sym__indent,
    ACTIONS(202), 2,
      sym__stars,
      sym__sectionend,
    STATE(32), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(204), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1077] = 4,
    ACTIONS(162), 1,
      sym__indent,
    ACTIONS(154), 2,
      sym__stars,
      sym__sectionend,
    STATE(20), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(156), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1106] = 4,
    ACTIONS(158), 1,
      sym__indent,
    ACTIONS(210), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(37), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(212), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1135] = 4,
    ACTIONS(162), 1,
      sym__indent,
    ACTIONS(186), 2,
      sym__stars,
      sym__sectionend,
    STATE(32), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(188), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1164] = 4,
    ACTIONS(162), 1,
      sym__indent,
    ACTIONS(182), 2,
      sym__stars,
      sym__sectionend,
    STATE(11), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(184), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1193] = 4,
    ACTIONS(162), 1,
      sym__indent,
    ACTIONS(178), 2,
      sym__stars,
      sym__sectionend,
    STATE(32), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(180), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1222] = 4,
    ACTIONS(162), 1,
      sym__indent,
    ACTIONS(194), 2,
      sym__stars,
      sym__sectionend,
    STATE(38), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(196), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1251] = 4,
    ACTIONS(158), 1,
      sym__indent,
    ACTIONS(214), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(14), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(216), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1280] = 4,
    ACTIONS(220), 1,
      sym__indent,
    ACTIONS(223), 2,
      sym__stars,
      sym__sectionend,
    STATE(32), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(218), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1309] = 4,
    ACTIONS(158), 1,
      sym__indent,
    ACTIONS(200), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(37), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(198), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1338] = 4,
    ACTIONS(158), 1,
      sym__indent,
    ACTIONS(225), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(16), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(227), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1367] = 4,
    ACTIONS(162), 1,
      sym__indent,
    ACTIONS(174), 2,
      sym__stars,
      sym__sectionend,
    STATE(32), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(176), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1396] = 4,
    ACTIONS(162), 1,
      sym__indent,
    ACTIONS(170), 2,
      sym__stars,
      sym__sectionend,
    STATE(10), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(172), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1425] = 4,
    ACTIONS(229), 1,
      sym__indent,
    ACTIONS(223), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(37), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(218), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1454] = 4,
    ACTIONS(162), 1,
      sym__indent,
    ACTIONS(210), 2,
      sym__stars,
      sym__sectionend,
    STATE(32), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(212), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1483] = 4,
    ACTIONS(162), 1,
      sym__indent,
    ACTIONS(190), 2,
      sym__stars,
      sym__sectionend,
    STATE(35), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(192), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1512] = 4,
    ACTIONS(158), 1,
      sym__indent,
    ACTIONS(208), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(21), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(206), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1541] = 4,
    ACTIONS(162), 1,
      sym__indent,
    ACTIONS(225), 2,
      sym__stars,
      sym__sectionend,
    STATE(27), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(227), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1570] = 4,
    ACTIONS(162), 1,
      sym__indent,
    ACTIONS(214), 2,
      sym__stars,
      sym__sectionend,
    STATE(29), 3,
      sym_posting,
      sym__key_value_line,
      aux_sym_transaction_repeat1,
    ACTIONS(216), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1599] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(236), 2,
      sym__stars,
      sym__sectionend,
    STATE(119), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(232), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1627] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(238), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(167), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(240), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1655] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(246), 2,
      sym__stars,
      sym__sectionend,
    STATE(68), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(244), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1683] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(250), 2,
      sym__stars,
      sym__sectionend,
    STATE(172), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(248), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1711] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(254), 2,
      sym__stars,
      sym__sectionend,
    STATE(125), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(252), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1739] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(258), 2,
      sym__stars,
      sym__sectionend,
    STATE(68), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(256), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1767] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(262), 2,
      sym__stars,
      sym__sectionend,
    STATE(124), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(260), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1795] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(266), 2,
      sym__stars,
      sym__sectionend,
    STATE(68), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(264), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1823] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(270), 2,
      sym__stars,
      sym__sectionend,
    STATE(123), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(268), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1851] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(274), 2,
      sym__stars,
      sym__sectionend,
    STATE(68), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(272), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1879] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(278), 2,
      sym__stars,
      sym__sectionend,
    STATE(122), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(276), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1907] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(282), 2,
      sym__stars,
      sym__sectionend,
    STATE(68), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(280), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1935] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(286), 2,
      sym__stars,
      sym__sectionend,
    STATE(121), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(284), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1963] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(290), 2,
      sym__stars,
      sym__sectionend,
    STATE(68), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(288), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [1991] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(294), 2,
      sym__stars,
      sym__sectionend,
    STATE(68), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(292), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2019] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(298), 2,
      sym__stars,
      sym__sectionend,
    STATE(116), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(296), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2047] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(302), 2,
      sym__stars,
      sym__sectionend,
    STATE(68), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(300), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2075] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(306), 2,
      sym__stars,
      sym__sectionend,
    STATE(68), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(304), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2103] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(310), 2,
      sym__stars,
      sym__sectionend,
    STATE(68), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(308), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2131] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(314), 2,
      sym__stars,
      sym__sectionend,
    STATE(114), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(312), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2159] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(318), 2,
      sym__stars,
      sym__sectionend,
    STATE(98), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(316), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2187] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(322), 2,
      sym__stars,
      sym__sectionend,
    STATE(68), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(320), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2215] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(326), 2,
      sym__stars,
      sym__sectionend,
    STATE(68), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(324), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2243] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(330), 2,
      sym__stars,
      sym__sectionend,
    STATE(91), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(328), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2271] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(334), 2,
      sym__stars,
      sym__sectionend,
    STATE(68), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(332), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2299] = 4,
    ACTIONS(338), 1,
      sym__indent,
    ACTIONS(341), 2,
      sym__stars,
      sym__sectionend,
    STATE(68), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(336), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2327] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(345), 2,
      sym__stars,
      sym__sectionend,
    STATE(68), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(343), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2355] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(349), 2,
      sym__stars,
      sym__sectionend,
    STATE(110), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(347), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2383] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(353), 2,
      sym__stars,
      sym__sectionend,
    STATE(45), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(351), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2411] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(357), 2,
      sym__stars,
      sym__sectionend,
    STATE(68), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(355), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2439] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(361), 2,
      sym__stars,
      sym__sectionend,
    STATE(48), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(359), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2467] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(365), 2,
      sym__stars,
      sym__sectionend,
    STATE(50), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(363), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2495] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(369), 2,
      sym__stars,
      sym__sectionend,
    STATE(52), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(367), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2523] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(373), 2,
      sym__stars,
      sym__sectionend,
    STATE(54), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(371), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2551] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(377), 2,
      sym__stars,
      sym__sectionend,
    STATE(56), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(375), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2579] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(381), 2,
      sym__stars,
      sym__sectionend,
    STATE(57), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(379), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2607] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(385), 2,
      sym__stars,
      sym__sectionend,
    STATE(59), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(383), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2635] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(389), 2,
      sym__stars,
      sym__sectionend,
    STATE(60), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(387), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2663] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(393), 2,
      sym__stars,
      sym__sectionend,
    STATE(68), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(391), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2691] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(397), 2,
      sym__stars,
      sym__sectionend,
    STATE(61), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(395), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2719] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(401), 2,
      sym__stars,
      sym__sectionend,
    STATE(68), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(399), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2747] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(405), 2,
      sym__stars,
      sym__sectionend,
    STATE(64), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(403), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2775] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(409), 2,
      sym__stars,
      sym__sectionend,
    STATE(65), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(407), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2803] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(413), 2,
      sym__stars,
      sym__sectionend,
    STATE(67), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(411), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2831] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(415), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(132), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(417), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2859] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(421), 2,
      sym__stars,
      sym__sectionend,
    STATE(68), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(419), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2887] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(425), 2,
      sym__stars,
      sym__sectionend,
    STATE(68), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(423), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2915] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(429), 2,
      sym__stars,
      sym__sectionend,
    STATE(112), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(427), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2943] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(433), 2,
      sym__stars,
      sym__sectionend,
    STATE(68), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(431), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2971] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(435), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(142), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(437), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [2999] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(441), 2,
      sym__stars,
      sym__sectionend,
    STATE(72), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(439), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3027] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(443), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(144), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(445), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3055] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(443), 2,
      sym__stars,
      sym__sectionend,
    STATE(81), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(445), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3083] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(435), 2,
      sym__stars,
      sym__sectionend,
    STATE(83), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(437), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3111] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(415), 2,
      sym__stars,
      sym__sectionend,
    STATE(88), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(417), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3139] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(449), 2,
      sym__stars,
      sym__sectionend,
    STATE(68), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(447), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3167] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(345), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(167), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(343), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3195] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(425), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(167), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(423), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3223] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(453), 2,
      sym__stars,
      sym__sectionend,
    STATE(89), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(451), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3251] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(455), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(167), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(457), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3279] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(459), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(167), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(461), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3307] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(463), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(99), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(465), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3335] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(467), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(167), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(469), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3363] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(471), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(167), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(473), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3391] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(475), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(167), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(477), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3419] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(441), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(169), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(439), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3447] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(479), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(167), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(481), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3475] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(485), 2,
      sym__stars,
      sym__sectionend,
    STATE(68), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(483), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3503] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(487), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(167), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(489), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3531] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(455), 2,
      sym__stars,
      sym__sectionend,
    STATE(68), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(457), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3559] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(491), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(167), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(493), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3587] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(497), 2,
      sym__stars,
      sym__sectionend,
    STATE(68), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(495), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3615] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(497), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(167), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(495), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3643] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(491), 2,
      sym__stars,
      sym__sectionend,
    STATE(68), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(493), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3671] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(453), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(100), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(451), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3699] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(449), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(167), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(447), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3727] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(487), 2,
      sym__stars,
      sym__sectionend,
    STATE(68), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(489), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3755] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(433), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(167), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(431), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3783] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(238), 2,
      sym__stars,
      sym__sectionend,
    STATE(68), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(240), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3811] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(479), 2,
      sym__stars,
      sym__sectionend,
    STATE(68), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(481), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3839] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(475), 2,
      sym__stars,
      sym__sectionend,
    STATE(68), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(477), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3867] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(471), 2,
      sym__stars,
      sym__sectionend,
    STATE(68), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(473), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3895] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(467), 2,
      sym__stars,
      sym__sectionend,
    STATE(68), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(469), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3923] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(429), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(102), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(427), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3951] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(485), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(167), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(483), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [3979] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(246), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(167), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(244), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4007] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(250), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(103), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(248), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4035] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(254), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(105), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(252), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4063] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(258), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(167), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(256), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4091] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(421), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(167), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(419), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4119] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(262), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(106), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(260), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4147] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(266), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(167), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(264), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4175] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(413), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(165), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(411), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4203] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(270), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(107), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(268), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4231] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(409), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(161), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(407), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4259] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(405), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(159), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(403), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4287] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(274), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(167), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(272), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4315] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(278), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(109), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(276), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4343] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(282), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(167), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(280), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4371] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(401), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(167), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(399), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4399] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(397), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(154), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(395), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4427] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(393), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(167), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(391), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4455] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(389), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(153), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(387), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4483] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(385), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(152), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(383), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4511] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(286), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(44), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(284), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4539] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(290), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(167), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(288), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4567] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(236), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(111), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(232), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4595] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(294), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(167), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(292), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4623] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(298), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(113), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(296), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4651] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(302), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(167), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(300), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4679] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(306), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(167), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(304), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4707] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(310), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(167), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(308), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4735] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(381), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(150), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(379), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4763] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(314), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(115), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(312), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4791] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(318), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(118), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(316), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4819] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(377), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(148), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(375), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4847] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(322), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(167), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(320), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4875] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(373), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(141), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(371), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4903] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(326), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(167), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(324), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4931] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(369), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(139), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(367), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4959] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(330), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(120), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(328), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [4987] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(365), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(134), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(363), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [5015] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(334), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(167), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(332), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [5043] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(361), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(131), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(359), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [5071] = 4,
    ACTIONS(499), 1,
      sym__indent,
    ACTIONS(341), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(167), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(336), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [5099] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(463), 2,
      sym__stars,
      sym__sectionend,
    STATE(69), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(465), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [5127] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(357), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(167), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(355), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [5155] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(353), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(128), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(351), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [5183] = 4,
    ACTIONS(242), 1,
      sym__indent,
    ACTIONS(349), 2,
      sym__stars,
      ts_builtin_sym_end,
    STATE(127), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(347), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [5211] = 4,
    ACTIONS(234), 1,
      sym__indent,
    ACTIONS(459), 2,
      sym__stars,
      sym__sectionend,
    STATE(68), 2,
      sym__key_value_line,
      aux_sym__key_value_list,
    ACTIONS(461), 14,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [5239] = 10,
    ACTIONS(502), 1,
      sym__eol,
    ACTIONS(508), 1,
      sym_number,
    ACTIONS(510), 1,
      anon_sym_LPAREN,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    STATE(353), 1,
      sym_amount,
    STATE(631), 1,
      sym_comment,
    ACTIONS(504), 2,
      sym_plus,
      sym_minus,
    STATE(187), 2,
      sym_custom_value,
      aux_sym_custom_repeat1,
    ACTIONS(506), 4,
      sym_bool,
      sym_date,
      sym_account,
      sym_string,
    STATE(330), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [5278] = 10,
    ACTIONS(508), 1,
      sym_number,
    ACTIONS(510), 1,
      anon_sym_LPAREN,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(514), 1,
      sym__eol,
    STATE(353), 1,
      sym_amount,
    STATE(585), 1,
      sym_comment,
    ACTIONS(504), 2,
      sym_plus,
      sym_minus,
    STATE(187), 2,
      sym_custom_value,
      aux_sym_custom_repeat1,
    ACTIONS(506), 4,
      sym_bool,
      sym_date,
      sym_account,
      sym_string,
    STATE(330), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [5317] = 10,
    ACTIONS(508), 1,
      sym_number,
    ACTIONS(510), 1,
      anon_sym_LPAREN,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(516), 1,
      sym__eol,
    STATE(353), 1,
      sym_amount,
    STATE(526), 1,
      sym_comment,
    ACTIONS(504), 2,
      sym_plus,
      sym_minus,
    STATE(173), 2,
      sym_custom_value,
      aux_sym_custom_repeat1,
    ACTIONS(506), 4,
      sym_bool,
      sym_date,
      sym_account,
      sym_string,
    STATE(330), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [5356] = 10,
    ACTIONS(508), 1,
      sym_number,
    ACTIONS(510), 1,
      anon_sym_LPAREN,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(518), 1,
      sym__eol,
    STATE(353), 1,
      sym_amount,
    STATE(566), 1,
      sym_comment,
    ACTIONS(504), 2,
      sym_plus,
      sym_minus,
    STATE(174), 2,
      sym_custom_value,
      aux_sym_custom_repeat1,
    ACTIONS(506), 4,
      sym_bool,
      sym_date,
      sym_account,
      sym_string,
    STATE(330), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [5395] = 2,
    ACTIONS(522), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(520), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [5417] = 2,
    ACTIONS(526), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(524), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [5439] = 8,
    ACTIONS(534), 1,
      sym_number,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    STATE(529), 1,
      sym_amount,
    STATE(530), 1,
      sym_value,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    ACTIONS(530), 3,
      sym__none,
      sym_bool,
      sym_currency,
    ACTIONS(532), 4,
      sym_date,
      sym_account,
      sym_string,
      sym_tag,
    STATE(382), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [5473] = 2,
    ACTIONS(540), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(538), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [5495] = 2,
    ACTIONS(542), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(544), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [5517] = 2,
    ACTIONS(546), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(548), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [5539] = 2,
    ACTIONS(550), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(552), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [5561] = 2,
    ACTIONS(556), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(554), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [5583] = 2,
    ACTIONS(558), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(560), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [5605] = 2,
    ACTIONS(540), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(538), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [5627] = 8,
    ACTIONS(570), 1,
      sym_number,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    STATE(353), 1,
      sym_amount,
    ACTIONS(562), 2,
      sym__eol,
      anon_sym_SEMI,
    ACTIONS(564), 2,
      sym_plus,
      sym_minus,
    STATE(187), 2,
      sym_custom_value,
      aux_sym_custom_repeat1,
    ACTIONS(567), 4,
      sym_bool,
      sym_date,
      sym_account,
      sym_string,
    STATE(330), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [5661] = 2,
    ACTIONS(576), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(578), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [5683] = 2,
    ACTIONS(556), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(554), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [5705] = 2,
    ACTIONS(580), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(582), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [5727] = 2,
    ACTIONS(584), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(586), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [5749] = 2,
    ACTIONS(588), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(590), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [5771] = 2,
    ACTIONS(592), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(594), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [5793] = 2,
    ACTIONS(596), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(598), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [5815] = 2,
    ACTIONS(600), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(602), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [5837] = 2,
    ACTIONS(604), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(606), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [5859] = 13,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(608), 1,
      sym__eol,
    ACTIONS(610), 1,
      sym_atat,
    ACTIONS(612), 1,
      sym_at,
    ACTIONS(614), 1,
      sym_number,
    ACTIONS(616), 1,
      anon_sym_LBRACE,
    ACTIONS(618), 1,
      anon_sym_LBRACE_LBRACE,
    STATE(370), 1,
      sym_incomplete_amount,
    STATE(409), 1,
      sym_cost_spec,
    STATE(609), 1,
      sym_comment,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    STATE(397), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [5903] = 2,
    ACTIONS(620), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(622), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [5925] = 2,
    ACTIONS(624), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(626), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [5947] = 2,
    ACTIONS(628), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(630), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [5969] = 13,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(614), 1,
      sym_number,
    ACTIONS(616), 1,
      anon_sym_LBRACE,
    ACTIONS(618), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(632), 1,
      sym__eol,
    ACTIONS(634), 1,
      sym_atat,
    ACTIONS(636), 1,
      sym_at,
    STATE(367), 1,
      sym_incomplete_amount,
    STATE(412), 1,
      sym_cost_spec,
    STATE(597), 1,
      sym_comment,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    STATE(397), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [6013] = 2,
    ACTIONS(638), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(640), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6035] = 2,
    ACTIONS(642), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(644), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6057] = 2,
    ACTIONS(646), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(648), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6079] = 2,
    ACTIONS(650), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(652), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6101] = 2,
    ACTIONS(654), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(656), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6123] = 2,
    ACTIONS(658), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(660), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6145] = 2,
    ACTIONS(662), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(664), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6167] = 2,
    ACTIONS(666), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(668), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6189] = 2,
    ACTIONS(670), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(672), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6211] = 2,
    ACTIONS(674), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(676), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6233] = 2,
    ACTIONS(680), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(678), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6255] = 2,
    ACTIONS(682), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(684), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6277] = 2,
    ACTIONS(522), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(520), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6299] = 2,
    ACTIONS(688), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(686), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6321] = 2,
    ACTIONS(692), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(690), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6343] = 2,
    ACTIONS(694), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(696), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6365] = 2,
    ACTIONS(698), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(700), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6387] = 2,
    ACTIONS(704), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(702), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6409] = 2,
    ACTIONS(706), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(708), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6431] = 2,
    ACTIONS(712), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(710), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6453] = 2,
    ACTIONS(716), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(714), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6475] = 2,
    ACTIONS(718), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(720), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6497] = 2,
    ACTIONS(722), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(724), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6519] = 2,
    ACTIONS(728), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(726), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6541] = 2,
    ACTIONS(680), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(678), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6563] = 2,
    ACTIONS(526), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(524), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6585] = 11,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(732), 1,
      sym_currency,
    ACTIONS(734), 1,
      sym_number,
    ACTIONS(736), 1,
      anon_sym_POUND,
    ACTIONS(738), 1,
      anon_sym_RBRACE,
    STATE(424), 1,
      sym_cost_comp,
    STATE(461), 1,
      sym_compound_amount,
    STATE(524), 1,
      sym__cost_comp_list,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    ACTIONS(730), 3,
      anon_sym_STAR,
      sym_date,
      sym_string,
    STATE(354), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [6625] = 11,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(732), 1,
      sym_currency,
    ACTIONS(734), 1,
      sym_number,
    ACTIONS(736), 1,
      anon_sym_POUND,
    ACTIONS(738), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(424), 1,
      sym_cost_comp,
    STATE(461), 1,
      sym_compound_amount,
    STATE(523), 1,
      sym__cost_comp_list,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    ACTIONS(730), 3,
      anon_sym_STAR,
      sym_date,
      sym_string,
    STATE(354), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [6665] = 2,
    ACTIONS(742), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(740), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6687] = 2,
    ACTIONS(746), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(744), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6709] = 2,
    ACTIONS(748), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(750), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6731] = 2,
    ACTIONS(542), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(544), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6753] = 2,
    ACTIONS(688), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(686), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6775] = 13,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(614), 1,
      sym_number,
    ACTIONS(616), 1,
      anon_sym_LBRACE,
    ACTIONS(618), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(752), 1,
      sym__eol,
    ACTIONS(754), 1,
      sym_atat,
    ACTIONS(756), 1,
      sym_at,
    STATE(369), 1,
      sym_incomplete_amount,
    STATE(413), 1,
      sym_cost_spec,
    STATE(520), 1,
      sym_comment,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    STATE(397), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [6819] = 2,
    ACTIONS(692), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(690), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6841] = 2,
    ACTIONS(704), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(702), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6863] = 2,
    ACTIONS(760), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(758), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6885] = 2,
    ACTIONS(546), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(548), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6907] = 2,
    ACTIONS(764), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(762), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6929] = 2,
    ACTIONS(550), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(552), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6951] = 2,
    ACTIONS(712), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(710), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6973] = 2,
    ACTIONS(558), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(560), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [6995] = 2,
    ACTIONS(576), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(578), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7017] = 2,
    ACTIONS(580), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(582), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7039] = 2,
    ACTIONS(584), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(586), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7061] = 2,
    ACTIONS(588), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(590), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7083] = 2,
    ACTIONS(592), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(594), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7105] = 2,
    ACTIONS(766), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(768), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7127] = 2,
    ACTIONS(596), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(598), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7149] = 2,
    ACTIONS(770), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(772), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7171] = 2,
    ACTIONS(776), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(774), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7193] = 2,
    ACTIONS(780), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(778), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7215] = 2,
    ACTIONS(600), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(602), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7237] = 2,
    ACTIONS(604), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(606), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7259] = 2,
    ACTIONS(620), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(622), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7281] = 2,
    ACTIONS(624), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(626), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7303] = 2,
    ACTIONS(716), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(714), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7325] = 2,
    ACTIONS(628), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(630), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7347] = 2,
    ACTIONS(638), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(640), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7369] = 2,
    ACTIONS(642), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(644), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7391] = 2,
    ACTIONS(646), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(648), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7413] = 2,
    ACTIONS(650), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(652), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7435] = 2,
    ACTIONS(782), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(784), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7457] = 2,
    ACTIONS(654), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(656), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7479] = 2,
    ACTIONS(786), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(788), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7501] = 2,
    ACTIONS(658), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(660), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7523] = 2,
    ACTIONS(662), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(664), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7545] = 2,
    ACTIONS(666), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(668), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7567] = 2,
    ACTIONS(792), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(790), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7589] = 2,
    ACTIONS(728), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(726), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7611] = 2,
    ACTIONS(792), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(790), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7633] = 2,
    ACTIONS(670), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(672), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7655] = 2,
    ACTIONS(674), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(676), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7677] = 2,
    ACTIONS(742), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(740), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7699] = 2,
    ACTIONS(786), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(788), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7721] = 2,
    ACTIONS(682), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(684), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7743] = 2,
    ACTIONS(746), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(744), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7765] = 2,
    ACTIONS(760), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(758), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7787] = 2,
    ACTIONS(782), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(784), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7809] = 2,
    ACTIONS(780), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(778), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7831] = 2,
    ACTIONS(694), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(696), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7853] = 2,
    ACTIONS(698), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(700), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7875] = 2,
    ACTIONS(706), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(708), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7897] = 2,
    ACTIONS(770), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(772), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7919] = 2,
    ACTIONS(718), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(720), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7941] = 2,
    ACTIONS(764), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(762), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7963] = 2,
    ACTIONS(722), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(724), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [7985] = 2,
    ACTIONS(776), 2,
      sym__stars,
      ts_builtin_sym_end,
    ACTIONS(774), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [8007] = 13,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(614), 1,
      sym_number,
    ACTIONS(616), 1,
      anon_sym_LBRACE,
    ACTIONS(618), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(794), 1,
      sym__eol,
    ACTIONS(796), 1,
      sym_atat,
    ACTIONS(798), 1,
      sym_at,
    STATE(364), 1,
      sym_incomplete_amount,
    STATE(418), 1,
      sym_cost_spec,
    STATE(515), 1,
      sym_comment,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    STATE(397), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [8051] = 2,
    ACTIONS(766), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(768), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [8073] = 2,
    ACTIONS(748), 2,
      sym__stars,
      sym__sectionend,
    ACTIONS(750), 15,
      anon_sym_LF,
      anon_sym_CR,
      sym__eol,
      sym__indent,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [8095] = 2,
    ACTIONS(802), 3,
      sym__stars,
      sym__sectionend,
      anon_sym_CR,
    ACTIONS(800), 13,
      anon_sym_LF,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [8116] = 2,
    ACTIONS(806), 3,
      sym__stars,
      sym__sectionend,
      anon_sym_CR,
    ACTIONS(804), 13,
      anon_sym_LF,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [8137] = 2,
    ACTIONS(810), 3,
      sym__stars,
      sym__sectionend,
      anon_sym_CR,
    ACTIONS(808), 13,
      anon_sym_LF,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [8158] = 2,
    ACTIONS(812), 3,
      sym__stars,
      ts_builtin_sym_end,
      anon_sym_CR,
    ACTIONS(814), 13,
      anon_sym_LF,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [8179] = 2,
    ACTIONS(818), 3,
      sym__stars,
      sym__sectionend,
      anon_sym_CR,
    ACTIONS(816), 13,
      anon_sym_LF,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [8200] = 2,
    ACTIONS(822), 3,
      sym__stars,
      sym__sectionend,
      anon_sym_CR,
    ACTIONS(820), 13,
      anon_sym_LF,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [8221] = 14,
    ACTIONS(826), 1,
      sym_flag,
    ACTIONS(828), 1,
      anon_sym_open,
    ACTIONS(830), 1,
      anon_sym_close,
    ACTIONS(832), 1,
      anon_sym_commodity,
    ACTIONS(834), 1,
      anon_sym_pad,
    ACTIONS(836), 1,
      anon_sym_balance,
    ACTIONS(838), 1,
      anon_sym_price,
    ACTIONS(840), 1,
      anon_sym_event,
    ACTIONS(842), 1,
      anon_sym_query,
    ACTIONS(844), 1,
      anon_sym_note,
    ACTIONS(846), 1,
      anon_sym_document,
    ACTIONS(848), 1,
      anon_sym_custom,
    STATE(356), 1,
      sym_txn,
    ACTIONS(824), 3,
      anon_sym_STAR,
      anon_sym_txn,
      anon_sym_POUND,
  [8266] = 2,
    ACTIONS(852), 3,
      sym__stars,
      sym__sectionend,
      anon_sym_CR,
    ACTIONS(850), 13,
      anon_sym_LF,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [8287] = 2,
    ACTIONS(856), 3,
      sym__stars,
      sym__sectionend,
      anon_sym_CR,
    ACTIONS(854), 13,
      anon_sym_LF,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [8308] = 2,
    ACTIONS(858), 3,
      sym__stars,
      ts_builtin_sym_end,
      anon_sym_CR,
    ACTIONS(860), 13,
      anon_sym_LF,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [8329] = 2,
    ACTIONS(864), 3,
      sym__stars,
      sym__sectionend,
      anon_sym_CR,
    ACTIONS(862), 13,
      anon_sym_LF,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [8350] = 2,
    ACTIONS(866), 3,
      sym__stars,
      ts_builtin_sym_end,
      anon_sym_CR,
    ACTIONS(868), 13,
      anon_sym_LF,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [8371] = 2,
    ACTIONS(872), 3,
      sym__stars,
      sym__sectionend,
      anon_sym_CR,
    ACTIONS(870), 13,
      anon_sym_LF,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [8392] = 2,
    ACTIONS(852), 3,
      sym__stars,
      ts_builtin_sym_end,
      anon_sym_CR,
    ACTIONS(850), 13,
      anon_sym_LF,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [8413] = 2,
    ACTIONS(810), 3,
      sym__stars,
      ts_builtin_sym_end,
      anon_sym_CR,
    ACTIONS(808), 13,
      anon_sym_LF,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [8434] = 2,
    ACTIONS(874), 3,
      sym__stars,
      ts_builtin_sym_end,
      anon_sym_CR,
    ACTIONS(876), 13,
      anon_sym_LF,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [8455] = 2,
    ACTIONS(856), 3,
      sym__stars,
      ts_builtin_sym_end,
      anon_sym_CR,
    ACTIONS(854), 13,
      anon_sym_LF,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [8476] = 2,
    ACTIONS(878), 3,
      sym__stars,
      ts_builtin_sym_end,
      anon_sym_CR,
    ACTIONS(880), 13,
      anon_sym_LF,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [8497] = 2,
    ACTIONS(874), 3,
      sym__stars,
      sym__sectionend,
      anon_sym_CR,
    ACTIONS(876), 13,
      anon_sym_LF,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [8518] = 2,
    ACTIONS(806), 3,
      sym__stars,
      ts_builtin_sym_end,
      anon_sym_CR,
    ACTIONS(804), 13,
      anon_sym_LF,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [8539] = 14,
    ACTIONS(826), 1,
      sym_flag,
    ACTIONS(882), 1,
      anon_sym_open,
    ACTIONS(884), 1,
      anon_sym_close,
    ACTIONS(886), 1,
      anon_sym_commodity,
    ACTIONS(888), 1,
      anon_sym_pad,
    ACTIONS(890), 1,
      anon_sym_balance,
    ACTIONS(892), 1,
      anon_sym_price,
    ACTIONS(894), 1,
      anon_sym_event,
    ACTIONS(896), 1,
      anon_sym_query,
    ACTIONS(898), 1,
      anon_sym_note,
    ACTIONS(900), 1,
      anon_sym_document,
    ACTIONS(902), 1,
      anon_sym_custom,
    STATE(357), 1,
      sym_txn,
    ACTIONS(824), 3,
      anon_sym_STAR,
      anon_sym_txn,
      anon_sym_POUND,
  [8584] = 2,
    ACTIONS(906), 3,
      sym__stars,
      sym__sectionend,
      anon_sym_CR,
    ACTIONS(904), 13,
      anon_sym_LF,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [8605] = 2,
    ACTIONS(818), 3,
      sym__stars,
      ts_builtin_sym_end,
      anon_sym_CR,
    ACTIONS(816), 13,
      anon_sym_LF,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [8626] = 2,
    ACTIONS(908), 3,
      sym__stars,
      ts_builtin_sym_end,
      anon_sym_CR,
    ACTIONS(910), 13,
      anon_sym_LF,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [8647] = 2,
    ACTIONS(912), 3,
      sym__stars,
      ts_builtin_sym_end,
      anon_sym_CR,
    ACTIONS(914), 13,
      anon_sym_LF,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [8668] = 2,
    ACTIONS(906), 3,
      sym__stars,
      ts_builtin_sym_end,
      anon_sym_CR,
    ACTIONS(904), 13,
      anon_sym_LF,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [8689] = 2,
    ACTIONS(918), 3,
      sym__stars,
      sym__sectionend,
      anon_sym_CR,
    ACTIONS(916), 13,
      anon_sym_LF,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [8710] = 2,
    ACTIONS(822), 3,
      sym__stars,
      ts_builtin_sym_end,
      anon_sym_CR,
    ACTIONS(820), 13,
      anon_sym_LF,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [8731] = 2,
    ACTIONS(864), 3,
      sym__stars,
      ts_builtin_sym_end,
      anon_sym_CR,
    ACTIONS(862), 13,
      anon_sym_LF,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [8752] = 2,
    ACTIONS(912), 3,
      sym__stars,
      sym__sectionend,
      anon_sym_CR,
    ACTIONS(914), 13,
      anon_sym_LF,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [8773] = 2,
    ACTIONS(802), 3,
      sym__stars,
      ts_builtin_sym_end,
      anon_sym_CR,
    ACTIONS(800), 13,
      anon_sym_LF,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [8794] = 2,
    ACTIONS(878), 3,
      sym__stars,
      sym__sectionend,
      anon_sym_CR,
    ACTIONS(880), 13,
      anon_sym_LF,
      sym__eol,
      sym_flag,
      sym_date,
      anon_sym_COLON,
      anon_sym_pushtag,
      anon_sym_poptag,
      anon_sym_pushmeta,
      anon_sym_popmeta,
      anon_sym_option,
      anon_sym_include,
      anon_sym_plugin,
      anon_sym_SEMI,
  [8815] = 9,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(732), 1,
      sym_currency,
    ACTIONS(734), 1,
      sym_number,
    ACTIONS(736), 1,
      anon_sym_POUND,
    STATE(461), 1,
      sym_compound_amount,
    STATE(476), 1,
      sym_cost_comp,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    ACTIONS(730), 3,
      anon_sym_STAR,
      sym_date,
      sym_string,
    STATE(354), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [8849] = 5,
    ACTIONS(922), 1,
      anon_sym_STAR,
    ACTIONS(924), 1,
      sym_slash,
    STATE(372), 1,
      sym_asterisk,
    ACTIONS(926), 3,
      sym_bool,
      sym_currency,
      sym_number,
    ACTIONS(920), 8,
      sym__eol,
      sym_plus,
      sym_minus,
      sym_date,
      sym_account,
      sym_string,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [8874] = 3,
    STATE(372), 1,
      sym_asterisk,
    ACTIONS(926), 3,
      sym_bool,
      sym_currency,
      sym_number,
    ACTIONS(920), 10,
      sym__eol,
      anon_sym_STAR,
      sym_slash,
      sym_plus,
      sym_minus,
      sym_date,
      sym_account,
      sym_string,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [8895] = 12,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(928), 1,
      sym__eol,
    ACTIONS(930), 1,
      anon_sym_STAR,
    ACTIONS(934), 1,
      sym_account,
    ACTIONS(938), 1,
      sym_key,
    STATE(417), 1,
      aux_sym_tags_links_repeat1,
    STATE(587), 1,
      sym_tags_links,
    STATE(588), 1,
      sym_key_value,
    STATE(589), 1,
      sym_comment,
    STATE(662), 1,
      sym_optflag,
    ACTIONS(932), 2,
      sym_flag,
      anon_sym_POUND,
    ACTIONS(936), 2,
      sym_tag,
      sym_link,
  [8934] = 12,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(930), 1,
      anon_sym_STAR,
    ACTIONS(938), 1,
      sym_key,
    ACTIONS(940), 1,
      sym__eol,
    ACTIONS(942), 1,
      sym_account,
    STATE(417), 1,
      aux_sym_tags_links_repeat1,
    STATE(534), 1,
      sym_tags_links,
    STATE(655), 1,
      sym_comment,
    STATE(656), 1,
      sym_key_value,
    STATE(661), 1,
      sym_optflag,
    ACTIONS(932), 2,
      sym_flag,
      anon_sym_POUND,
    ACTIONS(936), 2,
      sym_tag,
      sym_link,
  [8973] = 7,
    ACTIONS(922), 1,
      anon_sym_STAR,
    ACTIONS(924), 1,
      sym_slash,
    ACTIONS(950), 1,
      sym_currency,
    STATE(372), 1,
      sym_asterisk,
    ACTIONS(946), 2,
      sym_plus,
      sym_minus,
    ACTIONS(948), 2,
      sym_bool,
      sym_number,
    ACTIONS(944), 6,
      sym__eol,
      sym_date,
      sym_account,
      sym_string,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [9002] = 3,
    STATE(372), 1,
      sym_asterisk,
    ACTIONS(954), 3,
      sym_bool,
      sym_currency,
      sym_number,
    ACTIONS(952), 10,
      sym__eol,
      anon_sym_STAR,
      sym_slash,
      sym_plus,
      sym_minus,
      sym_date,
      sym_account,
      sym_string,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [9023] = 3,
    ACTIONS(954), 1,
      anon_sym_RBRACE,
    STATE(373), 1,
      sym_asterisk,
    ACTIONS(952), 11,
      sym__eol,
      anon_sym_STAR,
      sym_slash,
      sym_plus,
      sym_minus,
      sym_currency,
      anon_sym_POUND,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_RBRACE_RBRACE,
  [9043] = 9,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(614), 1,
      sym_number,
    ACTIONS(956), 1,
      sym__eol,
    STATE(434), 1,
      sym_price_annotation,
    STATE(491), 1,
      sym_incomplete_amount,
    STATE(612), 1,
      sym_comment,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    STATE(397), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [9075] = 9,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(614), 1,
      sym_number,
    ACTIONS(958), 1,
      sym__eol,
    STATE(447), 1,
      sym_price_annotation,
    STATE(491), 1,
      sym_incomplete_amount,
    STATE(514), 1,
      sym_comment,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    STATE(397), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [9107] = 9,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(614), 1,
      sym_number,
    ACTIONS(960), 1,
      sym__eol,
    STATE(440), 1,
      sym_price_annotation,
    STATE(491), 1,
      sym_incomplete_amount,
    STATE(516), 1,
      sym_comment,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    STATE(397), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [9139] = 9,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(614), 1,
      sym_number,
    ACTIONS(962), 1,
      sym__eol,
    STATE(449), 1,
      sym_price_annotation,
    STATE(491), 1,
      sym_incomplete_amount,
    STATE(518), 1,
      sym_comment,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    STATE(397), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [9171] = 9,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(614), 1,
      sym_number,
    ACTIONS(964), 1,
      sym__eol,
    STATE(429), 1,
      sym_price_annotation,
    STATE(491), 1,
      sym_incomplete_amount,
    STATE(544), 1,
      sym_comment,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    STATE(397), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [9203] = 9,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(614), 1,
      sym_number,
    ACTIONS(966), 1,
      sym__eol,
    STATE(478), 1,
      sym_price_annotation,
    STATE(491), 1,
      sym_incomplete_amount,
    STATE(638), 1,
      sym_comment,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    STATE(397), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [9235] = 9,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(614), 1,
      sym_number,
    ACTIONS(968), 1,
      sym__eol,
    STATE(477), 1,
      sym_price_annotation,
    STATE(491), 1,
      sym_incomplete_amount,
    STATE(634), 1,
      sym_comment,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    STATE(397), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [9267] = 2,
    ACTIONS(972), 3,
      sym_bool,
      sym_currency,
      sym_number,
    ACTIONS(970), 10,
      sym__eol,
      anon_sym_STAR,
      sym_slash,
      sym_plus,
      sym_minus,
      sym_date,
      sym_account,
      sym_string,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [9285] = 5,
    ACTIONS(922), 1,
      anon_sym_STAR,
    ACTIONS(926), 1,
      anon_sym_RBRACE,
    ACTIONS(974), 1,
      sym_slash,
    STATE(373), 1,
      sym_asterisk,
    ACTIONS(920), 9,
      sym__eol,
      sym_plus,
      sym_minus,
      sym_currency,
      anon_sym_POUND,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_RBRACE_RBRACE,
  [9309] = 9,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(614), 1,
      sym_number,
    ACTIONS(976), 1,
      sym__eol,
    STATE(439), 1,
      sym_price_annotation,
    STATE(491), 1,
      sym_incomplete_amount,
    STATE(602), 1,
      sym_comment,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    STATE(397), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [9341] = 9,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(614), 1,
      sym_number,
    ACTIONS(978), 1,
      sym__eol,
    STATE(443), 1,
      sym_price_annotation,
    STATE(491), 1,
      sym_incomplete_amount,
    STATE(586), 1,
      sym_comment,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    STATE(397), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [9373] = 3,
    ACTIONS(926), 1,
      anon_sym_RBRACE,
    STATE(373), 1,
      sym_asterisk,
    ACTIONS(920), 11,
      sym__eol,
      anon_sym_STAR,
      sym_slash,
      sym_plus,
      sym_minus,
      sym_currency,
      anon_sym_POUND,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_RBRACE_RBRACE,
  [9393] = 9,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(614), 1,
      sym_number,
    ACTIONS(980), 1,
      sym__eol,
    STATE(475), 1,
      sym_price_annotation,
    STATE(491), 1,
      sym_incomplete_amount,
    STATE(630), 1,
      sym_comment,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    STATE(397), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [9425] = 9,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(614), 1,
      sym_number,
    ACTIONS(982), 1,
      sym__eol,
    STATE(433), 1,
      sym_price_annotation,
    STATE(491), 1,
      sym_incomplete_amount,
    STATE(525), 1,
      sym_comment,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    STATE(397), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [9457] = 9,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(614), 1,
      sym_number,
    ACTIONS(984), 1,
      sym__eol,
    STATE(471), 1,
      sym_price_annotation,
    STATE(491), 1,
      sym_incomplete_amount,
    STATE(626), 1,
      sym_comment,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    STATE(397), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [9489] = 9,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(614), 1,
      sym_number,
    ACTIONS(986), 1,
      sym__eol,
    STATE(430), 1,
      sym_price_annotation,
    STATE(491), 1,
      sym_incomplete_amount,
    STATE(618), 1,
      sym_comment,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    STATE(397), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [9521] = 9,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(614), 1,
      sym_number,
    ACTIONS(988), 1,
      sym__eol,
    STATE(454), 1,
      sym_price_annotation,
    STATE(491), 1,
      sym_incomplete_amount,
    STATE(574), 1,
      sym_comment,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    STATE(397), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [9553] = 9,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(614), 1,
      sym_number,
    ACTIONS(990), 1,
      sym__eol,
    STATE(432), 1,
      sym_price_annotation,
    STATE(491), 1,
      sym_incomplete_amount,
    STATE(616), 1,
      sym_comment,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    STATE(397), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [9585] = 9,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(614), 1,
      sym_number,
    ACTIONS(992), 1,
      sym__eol,
    STATE(438), 1,
      sym_price_annotation,
    STATE(491), 1,
      sym_incomplete_amount,
    STATE(600), 1,
      sym_comment,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    STATE(397), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [9617] = 2,
    ACTIONS(972), 1,
      anon_sym_RBRACE,
    ACTIONS(970), 11,
      sym__eol,
      anon_sym_STAR,
      sym_slash,
      sym_plus,
      sym_minus,
      sym_currency,
      anon_sym_POUND,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_RBRACE_RBRACE,
  [9634] = 2,
    ACTIONS(948), 1,
      sym_number,
    ACTIONS(944), 9,
      sym__eol,
      sym_plus,
      sym_minus,
      sym_bool,
      sym_date,
      sym_account,
      sym_string,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [9649] = 8,
    ACTIONS(922), 1,
      anon_sym_STAR,
    ACTIONS(974), 1,
      sym_slash,
    ACTIONS(996), 1,
      sym_currency,
    ACTIONS(998), 1,
      anon_sym_POUND,
    ACTIONS(1002), 1,
      anon_sym_RBRACE,
    STATE(373), 1,
      sym_asterisk,
    ACTIONS(994), 2,
      sym_plus,
      sym_minus,
    ACTIONS(1000), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE_RBRACE,
  [9676] = 2,
    ACTIONS(1006), 1,
      sym_number,
    ACTIONS(1004), 9,
      sym__eol,
      sym_plus,
      sym_minus,
      sym_bool,
      sym_date,
      sym_account,
      sym_string,
      anon_sym_LPAREN,
      anon_sym_SEMI,
  [9691] = 8,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1008), 1,
      sym__eol,
    ACTIONS(1010), 1,
      sym_string,
    STATE(384), 1,
      sym__txn_strings,
    STATE(417), 1,
      aux_sym_tags_links_repeat1,
    STATE(457), 1,
      sym_tags_links,
    STATE(548), 1,
      sym_comment,
    ACTIONS(936), 2,
      sym_tag,
      sym_link,
  [9717] = 8,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1010), 1,
      sym_string,
    ACTIONS(1012), 1,
      sym__eol,
    STATE(379), 1,
      sym__txn_strings,
    STATE(417), 1,
      aux_sym_tags_links_repeat1,
    STATE(458), 1,
      sym_tags_links,
    STATE(625), 1,
      sym_comment,
    ACTIONS(936), 2,
      sym_tag,
      sym_link,
  [9743] = 5,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(1014), 1,
      sym_currency,
    ACTIONS(1016), 1,
      sym_number,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    STATE(396), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [9763] = 5,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(1018), 1,
      sym_currency,
    ACTIONS(1020), 1,
      sym_number,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    STATE(394), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [9783] = 5,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(1022), 1,
      sym_number,
    STATE(470), 1,
      sym_amount_tolerance,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    STATE(377), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [9803] = 5,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(1024), 1,
      sym_number,
    STATE(451), 1,
      sym_amount,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    STATE(401), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [9823] = 5,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(1024), 1,
      sym_number,
    STATE(472), 1,
      sym_amount,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    STATE(401), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [9843] = 5,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(1022), 1,
      sym_number,
    STATE(452), 1,
      sym_amount_tolerance,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    STATE(377), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [9863] = 8,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(616), 1,
      anon_sym_LBRACE,
    ACTIONS(618), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1026), 1,
      sym__eol,
    ACTIONS(1028), 1,
      sym_atat,
    ACTIONS(1030), 1,
      sym_at,
    STATE(410), 1,
      sym_cost_spec,
    STATE(522), 1,
      sym_comment,
  [9888] = 4,
    ACTIONS(510), 1,
      anon_sym_LPAREN,
    ACTIONS(1032), 1,
      sym_number,
    ACTIONS(504), 2,
      sym_plus,
      sym_minus,
    STATE(326), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [9905] = 4,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(1034), 1,
      sym_number,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    STATE(391), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [9922] = 8,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(616), 1,
      anon_sym_LBRACE,
    ACTIONS(618), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1036), 1,
      sym__eol,
    ACTIONS(1038), 1,
      sym_atat,
    ACTIONS(1040), 1,
      sym_at,
    STATE(407), 1,
      sym_cost_spec,
    STATE(603), 1,
      sym_comment,
  [9947] = 4,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(1042), 1,
      sym_number,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    STATE(341), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [9964] = 8,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(616), 1,
      anon_sym_LBRACE,
    ACTIONS(618), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1044), 1,
      sym__eol,
    ACTIONS(1046), 1,
      sym_atat,
    ACTIONS(1048), 1,
      sym_at,
    STATE(408), 1,
      sym_cost_spec,
    STATE(510), 1,
      sym_comment,
  [9989] = 8,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(616), 1,
      anon_sym_LBRACE,
    ACTIONS(618), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(1050), 1,
      sym__eol,
    ACTIONS(1052), 1,
      sym_atat,
    ACTIONS(1054), 1,
      sym_at,
    STATE(416), 1,
      sym_cost_spec,
    STATE(621), 1,
      sym_comment,
  [10014] = 4,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(1056), 1,
      sym_number,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    STATE(388), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [10031] = 4,
    ACTIONS(510), 1,
      anon_sym_LPAREN,
    ACTIONS(1058), 1,
      sym_number,
    ACTIONS(504), 2,
      sym_plus,
      sym_minus,
    STATE(327), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [10048] = 4,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(1060), 1,
      sym_number,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    STATE(344), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [10065] = 4,
    ACTIONS(510), 1,
      anon_sym_LPAREN,
    ACTIONS(1062), 1,
      sym_number,
    ACTIONS(504), 2,
      sym_plus,
      sym_minus,
    STATE(331), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [10082] = 4,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(1064), 1,
      sym_number,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    STATE(389), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [10099] = 4,
    ACTIONS(536), 1,
      anon_sym_LPAREN,
    ACTIONS(1066), 1,
      sym_number,
    ACTIONS(528), 2,
      sym_plus,
      sym_minus,
    STATE(332), 4,
      sym__number_expr,
      sym__paren__number_expr,
      sym_unary_number_expr,
      sym_binary_number_expr,
  [10116] = 6,
    ACTIONS(922), 1,
      anon_sym_STAR,
    ACTIONS(974), 1,
      sym_slash,
    ACTIONS(1068), 1,
      sym_currency,
    ACTIONS(1070), 1,
      anon_sym_TILDE,
    STATE(373), 1,
      sym_asterisk,
    ACTIONS(994), 2,
      sym_plus,
      sym_minus,
  [10136] = 7,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1072), 1,
      sym__eol,
    ACTIONS(1074), 1,
      sym_currency,
    ACTIONS(1076), 1,
      sym_string,
    STATE(414), 1,
      aux_sym_open_repeat2,
    STATE(444), 1,
      sym_opt_booking,
    STATE(575), 1,
      sym_comment,
  [10158] = 6,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1078), 1,
      sym__eol,
    STATE(417), 1,
      aux_sym_tags_links_repeat1,
    STATE(446), 1,
      sym_tags_links,
    STATE(527), 1,
      sym_comment,
    ACTIONS(936), 2,
      sym_tag,
      sym_link,
  [10178] = 7,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1074), 1,
      sym_currency,
    ACTIONS(1076), 1,
      sym_string,
    ACTIONS(1080), 1,
      sym__eol,
    STATE(385), 1,
      aux_sym_open_repeat2,
    STATE(474), 1,
      sym_opt_booking,
    STATE(660), 1,
      sym_comment,
  [10200] = 6,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1082), 1,
      sym__eol,
    STATE(417), 1,
      aux_sym_tags_links_repeat1,
    STATE(435), 1,
      sym_tags_links,
    STATE(619), 1,
      sym_comment,
    ACTIONS(936), 2,
      sym_tag,
      sym_link,
  [10220] = 6,
    ACTIONS(922), 1,
      anon_sym_STAR,
    ACTIONS(974), 1,
      sym_slash,
    ACTIONS(1084), 1,
      sym__eol,
    ACTIONS(1086), 1,
      sym_currency,
    STATE(373), 1,
      sym_asterisk,
    ACTIONS(994), 2,
      sym_plus,
      sym_minus,
  [10240] = 7,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1074), 1,
      sym_currency,
    ACTIONS(1076), 1,
      sym_string,
    ACTIONS(1088), 1,
      sym__eol,
    STATE(378), 1,
      aux_sym_open_repeat2,
    STATE(456), 1,
      sym_opt_booking,
    STATE(554), 1,
      sym_comment,
  [10262] = 6,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1090), 1,
      sym__eol,
    STATE(417), 1,
      aux_sym_tags_links_repeat1,
    STATE(445), 1,
      sym_tags_links,
    STATE(570), 1,
      sym_comment,
    ACTIONS(936), 2,
      sym_tag,
      sym_link,
  [10282] = 7,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1074), 1,
      sym_currency,
    ACTIONS(1076), 1,
      sym_string,
    ACTIONS(1092), 1,
      sym__eol,
    STATE(414), 1,
      aux_sym_open_repeat2,
    STATE(455), 1,
      sym_opt_booking,
    STATE(559), 1,
      sym_comment,
  [10304] = 6,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1094), 1,
      sym__eol,
    STATE(417), 1,
      aux_sym_tags_links_repeat1,
    STATE(442), 1,
      sym_tags_links,
    STATE(496), 1,
      sym_comment,
    ACTIONS(936), 2,
      sym_tag,
      sym_link,
  [10324] = 6,
    ACTIONS(29), 1,
      sym__stars,
    ACTIONS(1096), 1,
      sym__sectionend,
    STATE(5), 1,
      sym_headline,
    STATE(400), 1,
      aux_sym_section_repeat2,
    STATE(489), 1,
      sym_section,
    STATE(505), 1,
      sym__org_stars,
  [10343] = 5,
    ACTIONS(922), 1,
      anon_sym_STAR,
    ACTIONS(974), 1,
      sym_slash,
    ACTIONS(1098), 1,
      sym_currency,
    STATE(373), 1,
      sym_asterisk,
    ACTIONS(994), 2,
      sym_plus,
      sym_minus,
  [10360] = 5,
    ACTIONS(922), 1,
      anon_sym_STAR,
    ACTIONS(974), 1,
      sym_slash,
    ACTIONS(1100), 1,
      anon_sym_RPAREN,
    STATE(373), 1,
      sym_asterisk,
    ACTIONS(994), 2,
      sym_plus,
      sym_minus,
  [10377] = 3,
    ACTIONS(1104), 1,
      anon_sym_COMMA,
    STATE(390), 1,
      aux_sym_open_repeat1,
    ACTIONS(1102), 4,
      sym__eol,
      sym_currency,
      sym_string,
      anon_sym_SEMI,
  [10390] = 5,
    ACTIONS(922), 1,
      anon_sym_STAR,
    ACTIONS(974), 1,
      sym_slash,
    ACTIONS(1107), 1,
      anon_sym_RPAREN,
    STATE(373), 1,
      sym_asterisk,
    ACTIONS(994), 2,
      sym_plus,
      sym_minus,
  [10407] = 5,
    ACTIONS(1111), 1,
      aux_sym__any_token1,
    STATE(305), 1,
      sym__nl,
    STATE(463), 1,
      sym_item,
    STATE(482), 1,
      sym__any,
    ACTIONS(1109), 2,
      anon_sym_LF,
      anon_sym_CR,
  [10424] = 3,
    ACTIONS(1115), 1,
      anon_sym_COMMA,
    STATE(390), 1,
      aux_sym_open_repeat1,
    ACTIONS(1113), 4,
      sym__eol,
      sym_currency,
      sym_string,
      anon_sym_SEMI,
  [10437] = 5,
    ACTIONS(922), 1,
      anon_sym_STAR,
    ACTIONS(974), 1,
      sym_slash,
    ACTIONS(1117), 1,
      sym_currency,
    STATE(373), 1,
      sym_asterisk,
    ACTIONS(994), 2,
      sym_plus,
      sym_minus,
  [10454] = 6,
    ACTIONS(29), 1,
      sym__stars,
    ACTIONS(1119), 1,
      sym__sectionend,
    STATE(5), 1,
      sym_headline,
    STATE(400), 1,
      aux_sym_section_repeat2,
    STATE(489), 1,
      sym_section,
    STATE(505), 1,
      sym__org_stars,
  [10473] = 5,
    ACTIONS(922), 1,
      anon_sym_STAR,
    ACTIONS(974), 1,
      sym_slash,
    ACTIONS(1121), 1,
      sym_currency,
    STATE(373), 1,
      sym_asterisk,
    ACTIONS(994), 2,
      sym_plus,
      sym_minus,
  [10490] = 5,
    ACTIONS(922), 1,
      anon_sym_STAR,
    ACTIONS(974), 1,
      sym_slash,
    ACTIONS(1123), 1,
      sym_currency,
    STATE(373), 1,
      sym_asterisk,
    ACTIONS(994), 2,
      sym_plus,
      sym_minus,
  [10507] = 6,
    ACTIONS(29), 1,
      sym__stars,
    ACTIONS(1125), 1,
      sym__sectionend,
    STATE(5), 1,
      sym_headline,
    STATE(400), 1,
      aux_sym_section_repeat2,
    STATE(489), 1,
      sym_section,
    STATE(505), 1,
      sym__org_stars,
  [10526] = 3,
    ACTIONS(1115), 1,
      anon_sym_COMMA,
    STATE(393), 1,
      aux_sym_open_repeat1,
    ACTIONS(1127), 4,
      sym__eol,
      sym_currency,
      sym_string,
      anon_sym_SEMI,
  [10539] = 6,
    ACTIONS(1129), 1,
      sym__stars,
    ACTIONS(1132), 1,
      sym__sectionend,
    STATE(5), 1,
      sym_headline,
    STATE(400), 1,
      aux_sym_section_repeat2,
    STATE(489), 1,
      sym_section,
    STATE(505), 1,
      sym__org_stars,
  [10558] = 5,
    ACTIONS(922), 1,
      anon_sym_STAR,
    ACTIONS(974), 1,
      sym_slash,
    ACTIONS(1086), 1,
      sym_currency,
    STATE(373), 1,
      sym_asterisk,
    ACTIONS(994), 2,
      sym_plus,
      sym_minus,
  [10575] = 6,
    ACTIONS(29), 1,
      sym__stars,
    ACTIONS(1134), 1,
      sym__sectionend,
    STATE(5), 1,
      sym_headline,
    STATE(400), 1,
      aux_sym_section_repeat2,
    STATE(489), 1,
      sym_section,
    STATE(505), 1,
      sym__org_stars,
  [10594] = 2,
    ACTIONS(1138), 2,
      sym_at,
      anon_sym_LBRACE,
    ACTIONS(1136), 4,
      sym__eol,
      sym_atat,
      anon_sym_LBRACE_LBRACE,
      anon_sym_SEMI,
  [10605] = 2,
    ACTIONS(1142), 1,
      sym_string,
    ACTIONS(1140), 4,
      sym__eol,
      sym_tag,
      sym_link,
      anon_sym_SEMI,
  [10615] = 1,
    ACTIONS(1144), 5,
      sym__eol,
      sym_string,
      sym_tag,
      sym_link,
      anon_sym_SEMI,
  [10623] = 5,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(938), 1,
      sym_key,
    ACTIONS(1146), 1,
      sym__eol,
    STATE(588), 1,
      sym_key_value,
    STATE(591), 1,
      sym_comment,
  [10639] = 5,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1148), 1,
      sym__eol,
    ACTIONS(1150), 1,
      sym_atat,
    ACTIONS(1152), 1,
      sym_at,
    STATE(614), 1,
      sym_comment,
  [10655] = 5,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1154), 1,
      sym__eol,
    ACTIONS(1156), 1,
      sym_atat,
    ACTIONS(1158), 1,
      sym_at,
    STATE(577), 1,
      sym_comment,
  [10671] = 5,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1160), 1,
      sym__eol,
    ACTIONS(1162), 1,
      sym_atat,
    ACTIONS(1164), 1,
      sym_at,
    STATE(623), 1,
      sym_comment,
  [10687] = 5,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1166), 1,
      sym__eol,
    ACTIONS(1168), 1,
      sym_atat,
    ACTIONS(1170), 1,
      sym_at,
    STATE(517), 1,
      sym_comment,
  [10703] = 3,
    STATE(411), 1,
      aux_sym_tags_links_repeat1,
    ACTIONS(1172), 2,
      sym__eol,
      anon_sym_SEMI,
    ACTIONS(1174), 2,
      sym_tag,
      sym_link,
  [10715] = 5,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1177), 1,
      sym__eol,
    ACTIONS(1179), 1,
      sym_atat,
    ACTIONS(1181), 1,
      sym_at,
    STATE(605), 1,
      sym_comment,
  [10731] = 5,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1183), 1,
      sym__eol,
    ACTIONS(1185), 1,
      sym_atat,
    ACTIONS(1187), 1,
      sym_at,
    STATE(509), 1,
      sym_comment,
  [10747] = 3,
    ACTIONS(1189), 1,
      sym_currency,
    STATE(414), 1,
      aux_sym_open_repeat2,
    ACTIONS(1113), 3,
      sym__eol,
      sym_string,
      anon_sym_SEMI,
  [10759] = 1,
    ACTIONS(1102), 5,
      sym__eol,
      sym_currency,
      sym_string,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [10767] = 5,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1192), 1,
      sym__eol,
    ACTIONS(1194), 1,
      sym_atat,
    ACTIONS(1196), 1,
      sym_at,
    STATE(632), 1,
      sym_comment,
  [10783] = 3,
    STATE(411), 1,
      aux_sym_tags_links_repeat1,
    ACTIONS(1198), 2,
      sym__eol,
      anon_sym_SEMI,
    ACTIONS(1200), 2,
      sym_tag,
      sym_link,
  [10795] = 5,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1202), 1,
      sym__eol,
    ACTIONS(1204), 1,
      sym_atat,
    ACTIONS(1206), 1,
      sym_at,
    STATE(521), 1,
      sym_comment,
  [10811] = 5,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(938), 1,
      sym_key,
    ACTIONS(1208), 1,
      sym__eol,
    STATE(622), 1,
      sym_comment,
    STATE(656), 1,
      sym_key_value,
  [10827] = 4,
    ACTIONS(1210), 1,
      anon_sym_COMMA,
    ACTIONS(1212), 1,
      anon_sym_RBRACE,
    ACTIONS(1214), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(422), 1,
      aux_sym__cost_comp_list_repeat1,
  [10840] = 2,
    ACTIONS(1218), 1,
      sym_at,
    ACTIONS(1216), 3,
      sym__eol,
      sym_atat,
      anon_sym_SEMI,
  [10849] = 4,
    ACTIONS(1220), 1,
      anon_sym_COMMA,
    ACTIONS(1223), 1,
      anon_sym_RBRACE,
    ACTIONS(1225), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(422), 1,
      aux_sym__cost_comp_list_repeat1,
  [10862] = 1,
    ACTIONS(1227), 4,
      sym__eol,
      sym_tag,
      sym_link,
      anon_sym_SEMI,
  [10869] = 4,
    ACTIONS(1210), 1,
      anon_sym_COMMA,
    ACTIONS(1229), 1,
      anon_sym_RBRACE,
    ACTIONS(1231), 1,
      anon_sym_RBRACE_RBRACE,
    STATE(420), 1,
      aux_sym__cost_comp_list_repeat1,
  [10882] = 1,
    ACTIONS(1233), 4,
      sym_plus,
      sym_minus,
      sym_number,
      anon_sym_LPAREN,
  [10889] = 1,
    ACTIONS(1235), 4,
      sym__eol,
      sym_tag,
      sym_link,
      anon_sym_SEMI,
  [10896] = 2,
    ACTIONS(1239), 1,
      sym_at,
    ACTIONS(1237), 3,
      sym__eol,
      sym_atat,
      anon_sym_SEMI,
  [10905] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1241), 1,
      sym__eol,
    STATE(581), 1,
      sym_comment,
  [10915] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1243), 1,
      sym__eol,
    STATE(596), 1,
      sym_comment,
  [10925] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1245), 1,
      sym__eol,
    STATE(628), 1,
      sym_comment,
  [10935] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1247), 1,
      sym__eol,
    STATE(601), 1,
      sym_comment,
  [10945] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1249), 1,
      sym__eol,
    STATE(627), 1,
      sym_comment,
  [10955] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1251), 1,
      sym__eol,
    STATE(519), 1,
      sym_comment,
  [10965] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1253), 1,
      sym__eol,
    STATE(624), 1,
      sym_comment,
  [10975] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1255), 1,
      sym__eol,
    STATE(542), 1,
      sym_comment,
  [10985] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1257), 1,
      sym__eol,
    STATE(629), 1,
      sym_comment,
  [10995] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1259), 1,
      sym__eol,
    STATE(633), 1,
      sym_comment,
  [11005] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1261), 1,
      sym__eol,
    STATE(610), 1,
      sym_comment,
  [11015] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1263), 1,
      sym__eol,
    STATE(611), 1,
      sym_comment,
  [11025] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1265), 1,
      sym__eol,
    STATE(545), 1,
      sym_comment,
  [11035] = 2,
    ACTIONS(1269), 1,
      anon_sym_RBRACE,
    ACTIONS(1267), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE_RBRACE,
  [11043] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1271), 1,
      sym__eol,
    STATE(593), 1,
      sym_comment,
  [11053] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1273), 1,
      sym__eol,
    STATE(608), 1,
      sym_comment,
  [11063] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1275), 1,
      sym__eol,
    STATE(592), 1,
      sym_comment,
  [11073] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1277), 1,
      sym__eol,
    STATE(590), 1,
      sym_comment,
  [11083] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1279), 1,
      sym__eol,
    STATE(642), 1,
      sym_comment,
  [11093] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1281), 1,
      sym__eol,
    STATE(547), 1,
      sym_comment,
  [11103] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1283), 1,
      sym__eol,
    STATE(582), 1,
      sym_comment,
  [11113] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1285), 1,
      sym__eol,
    STATE(497), 1,
      sym_comment,
  [11123] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1287), 1,
      sym__eol,
    STATE(580), 1,
      sym_comment,
  [11133] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1289), 1,
      sym__eol,
    STATE(579), 1,
      sym_comment,
  [11143] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1291), 1,
      sym__eol,
    STATE(578), 1,
      sym_comment,
  [11153] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1293), 1,
      sym__eol,
    STATE(576), 1,
      sym_comment,
  [11163] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1295), 1,
      sym__eol,
    STATE(599), 1,
      sym_comment,
  [11173] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1297), 1,
      sym__eol,
    STATE(595), 1,
      sym_comment,
  [11183] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1299), 1,
      sym__eol,
    STATE(573), 1,
      sym_comment,
  [11193] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1301), 1,
      sym__eol,
    STATE(571), 1,
      sym_comment,
  [11203] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1303), 1,
      sym__eol,
    STATE(528), 1,
      sym_comment,
  [11213] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1305), 1,
      sym__eol,
    STATE(557), 1,
      sym_comment,
  [11223] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1307), 1,
      sym__eol,
    STATE(556), 1,
      sym_comment,
  [11233] = 2,
    ACTIONS(1311), 1,
      anon_sym_RBRACE,
    ACTIONS(1309), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE_RBRACE,
  [11241] = 2,
    ACTIONS(1315), 1,
      anon_sym_RBRACE,
    ACTIONS(1313), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE_RBRACE,
  [11249] = 3,
    ACTIONS(1317), 1,
      anon_sym_LF,
    ACTIONS(1319), 1,
      anon_sym_CR,
    STATE(319), 1,
      sym__nl,
  [11259] = 2,
    ACTIONS(1323), 1,
      anon_sym_RBRACE,
    ACTIONS(1321), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE_RBRACE,
  [11267] = 2,
    ACTIONS(1327), 1,
      anon_sym_RBRACE,
    ACTIONS(1325), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE_RBRACE,
  [11275] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1329), 1,
      sym__eol,
    STATE(568), 1,
      sym_comment,
  [11285] = 2,
    ACTIONS(1333), 1,
      anon_sym_RBRACE,
    ACTIONS(1331), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE_RBRACE,
  [11293] = 2,
    ACTIONS(1337), 1,
      anon_sym_RBRACE,
    ACTIONS(1335), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE_RBRACE,
  [11301] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1339), 1,
      sym__eol,
    STATE(604), 1,
      sym_comment,
  [11311] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1341), 1,
      sym__eol,
    STATE(594), 1,
      sym_comment,
  [11321] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1343), 1,
      sym__eol,
    STATE(635), 1,
      sym_comment,
  [11331] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1345), 1,
      sym__eol,
    STATE(598), 1,
      sym_comment,
  [11341] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1347), 1,
      sym__eol,
    STATE(606), 1,
      sym_comment,
  [11351] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1349), 1,
      sym__eol,
    STATE(552), 1,
      sym_comment,
  [11361] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1351), 1,
      sym__eol,
    STATE(636), 1,
      sym_comment,
  [11371] = 2,
    ACTIONS(1223), 1,
      anon_sym_RBRACE,
    ACTIONS(1225), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE_RBRACE,
  [11379] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1353), 1,
      sym__eol,
    STATE(639), 1,
      sym_comment,
  [11389] = 3,
    ACTIONS(512), 1,
      anon_sym_SEMI,
    ACTIONS(1355), 1,
      sym__eol,
    STATE(640), 1,
      sym_comment,
  [11399] = 2,
    ACTIONS(938), 1,
      sym_key,
    STATE(495), 1,
      sym_key_value,
  [11406] = 2,
    ACTIONS(938), 1,
      sym_key,
    STATE(563), 1,
      sym_key_value,
  [11413] = 1,
    ACTIONS(858), 2,
      sym__stars,
      sym__sectionend,
  [11418] = 2,
    ACTIONS(1357), 1,
      anon_sym_LF,
    ACTIONS(1359), 1,
      anon_sym_CR,
  [11425] = 1,
    ACTIONS(1361), 2,
      sym__eol,
      anon_sym_SEMI,
  [11430] = 2,
    ACTIONS(1363), 1,
      sym_string,
    STATE(386), 1,
      sym_filename,
  [11437] = 1,
    ACTIONS(866), 2,
      sym__stars,
      sym__sectionend,
  [11442] = 1,
    ACTIONS(1365), 2,
      sym__eol,
      anon_sym_SEMI,
  [11447] = 2,
    ACTIONS(1367), 1,
      sym__eol,
    ACTIONS(1369), 1,
      sym_string,
  [11454] = 1,
    ACTIONS(812), 2,
      sym__stars,
      sym__sectionend,
  [11459] = 1,
    ACTIONS(1371), 2,
      sym__stars,
      sym__sectionend,
  [11464] = 2,
    ACTIONS(1373), 1,
      sym__eol,
    ACTIONS(1375), 1,
      sym_string,
  [11471] = 1,
    ACTIONS(1377), 2,
      sym__eol,
      anon_sym_SEMI,
  [11476] = 1,
    ACTIONS(1379), 2,
      sym__eol,
      anon_sym_SEMI,
  [11481] = 1,
    ACTIONS(908), 2,
      sym__stars,
      sym__sectionend,
  [11486] = 2,
    ACTIONS(1363), 1,
      sym_string,
    STATE(381), 1,
      sym_filename,
  [11493] = 1,
    ACTIONS(1381), 1,
      sym__eol,
  [11497] = 1,
    ACTIONS(1383), 1,
      sym__eol,
  [11501] = 1,
    ACTIONS(1385), 1,
      sym__eol,
  [11505] = 1,
    ACTIONS(1387), 1,
      sym_account,
  [11509] = 1,
    ACTIONS(1389), 1,
      sym_currency,
  [11513] = 1,
    ACTIONS(1391), 1,
      sym_account,
  [11517] = 1,
    ACTIONS(1393), 1,
      sym_account,
  [11521] = 1,
    ACTIONS(1395), 1,
      sym__eol,
  [11525] = 1,
    ACTIONS(1397), 1,
      aux_sym_headline_token1,
  [11529] = 1,
    ACTIONS(1399), 1,
      sym__eol,
  [11533] = 1,
    ACTIONS(1401), 1,
      aux_sym_headline_token1,
  [11537] = 1,
    ACTIONS(1403), 1,
      ts_builtin_sym_end,
  [11541] = 1,
    ACTIONS(1405), 1,
      aux_sym__any_token1,
  [11545] = 1,
    ACTIONS(1407), 1,
      sym_string,
  [11549] = 1,
    ACTIONS(1409), 1,
      sym__eol,
  [11553] = 1,
    ACTIONS(1411), 1,
      sym__eol,
  [11557] = 1,
    ACTIONS(1413), 1,
      sym_string,
  [11561] = 1,
    ACTIONS(1415), 1,
      sym_string,
  [11565] = 1,
    ACTIONS(1417), 1,
      sym_key,
  [11569] = 1,
    ACTIONS(1419), 1,
      sym__eol,
  [11573] = 1,
    ACTIONS(1421), 1,
      sym__eol,
  [11577] = 1,
    ACTIONS(1423), 1,
      sym__eol,
  [11581] = 1,
    ACTIONS(1425), 1,
      sym__eol,
  [11585] = 1,
    ACTIONS(1427), 1,
      sym__eol,
  [11589] = 1,
    ACTIONS(1429), 1,
      sym__eol,
  [11593] = 1,
    ACTIONS(1431), 1,
      sym__eol,
  [11597] = 1,
    ACTIONS(1433), 1,
      sym__eol,
  [11601] = 1,
    ACTIONS(1435), 1,
      sym__eol,
  [11605] = 1,
    ACTIONS(1437), 1,
      anon_sym_RBRACE_RBRACE,
  [11609] = 1,
    ACTIONS(1437), 1,
      anon_sym_RBRACE,
  [11613] = 1,
    ACTIONS(1439), 1,
      sym__eol,
  [11617] = 1,
    ACTIONS(1441), 1,
      sym__eol,
  [11621] = 1,
    ACTIONS(1443), 1,
      sym__eol,
  [11625] = 1,
    ACTIONS(1445), 1,
      sym__eol,
  [11629] = 1,
    ACTIONS(1084), 1,
      sym__eol,
  [11633] = 1,
    ACTIONS(1447), 1,
      sym__eol,
  [11637] = 1,
    ACTIONS(1449), 1,
      sym_tag,
  [11641] = 1,
    ACTIONS(1451), 1,
      sym__eol,
  [11645] = 1,
    ACTIONS(1453), 1,
      sym__eol,
  [11649] = 1,
    ACTIONS(1455), 1,
      sym__eol,
  [11653] = 1,
    ACTIONS(1457), 1,
      sym__eol,
  [11657] = 1,
    ACTIONS(1459), 1,
      sym__eol,
  [11661] = 1,
    ACTIONS(1461), 1,
      sym__eol,
  [11665] = 1,
    ACTIONS(1463), 1,
      sym__eol,
  [11669] = 1,
    ACTIONS(1465), 1,
      sym_currency,
  [11673] = 1,
    ACTIONS(1467), 1,
      sym_tag,
  [11677] = 1,
    ACTIONS(1469), 1,
      sym_string,
  [11681] = 1,
    ACTIONS(1471), 1,
      sym__eol,
  [11685] = 1,
    ACTIONS(1473), 1,
      sym_string,
  [11689] = 1,
    ACTIONS(1475), 1,
      sym__eol,
  [11693] = 1,
    ACTIONS(1477), 1,
      sym__eol,
  [11697] = 1,
    ACTIONS(1479), 1,
      sym_currency,
  [11701] = 1,
    ACTIONS(1481), 1,
      sym__eol,
  [11705] = 1,
    ACTIONS(1483), 1,
      sym__eol,
  [11709] = 1,
    ACTIONS(1485), 1,
      sym__eol,
  [11713] = 1,
    ACTIONS(1487), 1,
      sym__eol,
  [11717] = 1,
    ACTIONS(1489), 1,
      sym__eol,
  [11721] = 1,
    ACTIONS(1491), 1,
      sym__eol,
  [11725] = 1,
    ACTIONS(1493), 1,
      sym_account,
  [11729] = 1,
    ACTIONS(1495), 1,
      sym__eol,
  [11733] = 1,
    ACTIONS(1497), 1,
      sym_account,
  [11737] = 1,
    ACTIONS(1499), 1,
      sym__eol,
  [11741] = 1,
    ACTIONS(1501), 1,
      sym__eol,
  [11745] = 1,
    ACTIONS(1503), 1,
      sym_string,
  [11749] = 1,
    ACTIONS(1505), 1,
      sym__eol,
  [11753] = 1,
    ACTIONS(1507), 1,
      sym__eol,
  [11757] = 1,
    ACTIONS(1509), 1,
      sym__eol,
  [11761] = 1,
    ACTIONS(1511), 1,
      anon_sym_COLON,
  [11765] = 1,
    ACTIONS(1513), 1,
      sym__eol,
  [11769] = 1,
    ACTIONS(1515), 1,
      anon_sym_COLON,
  [11773] = 1,
    ACTIONS(1517), 1,
      sym_string,
  [11777] = 1,
    ACTIONS(1519), 1,
      sym__eol,
  [11781] = 1,
    ACTIONS(1521), 1,
      aux_sym__any_token1,
  [11785] = 1,
    ACTIONS(1523), 1,
      sym__eol,
  [11789] = 1,
    ACTIONS(1525), 1,
      sym__eol,
  [11793] = 1,
    ACTIONS(1527), 1,
      sym__eol,
  [11797] = 1,
    ACTIONS(1529), 1,
      sym__eol,
  [11801] = 1,
    ACTIONS(1531), 1,
      sym__eol,
  [11805] = 1,
    ACTIONS(1533), 1,
      sym__eol,
  [11809] = 1,
    ACTIONS(1535), 1,
      sym__eol,
  [11813] = 1,
    ACTIONS(1537), 1,
      sym__eol,
  [11817] = 1,
    ACTIONS(1539), 1,
      sym__eol,
  [11821] = 1,
    ACTIONS(1541), 1,
      sym__eol,
  [11825] = 1,
    ACTIONS(1543), 1,
      sym__eol,
  [11829] = 1,
    ACTIONS(1545), 1,
      sym__eol,
  [11833] = 1,
    ACTIONS(1547), 1,
      sym__eol,
  [11837] = 1,
    ACTIONS(1549), 1,
      sym__eol,
  [11841] = 1,
    ACTIONS(1551), 1,
      sym__eol,
  [11845] = 1,
    ACTIONS(1553), 1,
      aux_sym__org_stars_token1,
  [11849] = 1,
    ACTIONS(1555), 1,
      sym_account,
  [11853] = 1,
    ACTIONS(1557), 1,
      sym__eol,
  [11857] = 1,
    ACTIONS(1559), 1,
      sym__eol,
  [11861] = 1,
    ACTIONS(1561), 1,
      sym__eol,
  [11865] = 1,
    ACTIONS(1563), 1,
      sym__eol,
  [11869] = 1,
    ACTIONS(1565), 1,
      sym__eol,
  [11873] = 1,
    ACTIONS(1567), 1,
      sym__eol,
  [11877] = 1,
    ACTIONS(1569), 1,
      sym__eol,
  [11881] = 1,
    ACTIONS(1571), 1,
      sym__eol,
  [11885] = 1,
    ACTIONS(1573), 1,
      sym__eol,
  [11889] = 1,
    ACTIONS(1575), 1,
      sym__eol,
  [11893] = 1,
    ACTIONS(1577), 1,
      sym__eol,
  [11897] = 1,
    ACTIONS(1579), 1,
      sym__eol,
  [11901] = 1,
    ACTIONS(1581), 1,
      sym__eol,
  [11905] = 1,
    ACTIONS(1583), 1,
      sym__eol,
  [11909] = 1,
    ACTIONS(1585), 1,
      sym__eol,
  [11913] = 1,
    ACTIONS(1587), 1,
      sym__eol,
  [11917] = 1,
    ACTIONS(1589), 1,
      sym__eol,
  [11921] = 1,
    ACTIONS(1591), 1,
      sym__eol,
  [11925] = 1,
    ACTIONS(1593), 1,
      sym__eol,
  [11929] = 1,
    ACTIONS(1595), 1,
      sym__eol,
  [11933] = 1,
    ACTIONS(1597), 1,
      sym__eol,
  [11937] = 1,
    ACTIONS(1599), 1,
      sym__eol,
  [11941] = 1,
    ACTIONS(1601), 1,
      sym_account,
  [11945] = 1,
    ACTIONS(1603), 1,
      sym__eol,
  [11949] = 1,
    ACTIONS(1605), 1,
      sym__eol,
  [11953] = 1,
    ACTIONS(1607), 1,
      sym__eol,
  [11957] = 1,
    ACTIONS(1609), 1,
      sym__eol,
  [11961] = 1,
    ACTIONS(1611), 1,
      sym__eol,
  [11965] = 1,
    ACTIONS(1613), 1,
      sym_string,
  [11969] = 1,
    ACTIONS(1615), 1,
      sym__eol,
  [11973] = 1,
    ACTIONS(1617), 1,
      sym_string,
  [11977] = 1,
    ACTIONS(1619), 1,
      sym__eol,
  [11981] = 1,
    ACTIONS(1621), 1,
      sym_string,
  [11985] = 1,
    ACTIONS(1623), 1,
      sym__eol,
  [11989] = 1,
    ACTIONS(1625), 1,
      sym__eol,
  [11993] = 1,
    ACTIONS(1627), 1,
      sym_account,
  [11997] = 1,
    ACTIONS(1629), 1,
      sym__eol,
  [12001] = 1,
    ACTIONS(1631), 1,
      sym__eol,
  [12005] = 1,
    ACTIONS(1633), 1,
      sym__eol,
  [12009] = 1,
    ACTIONS(1635), 1,
      sym__eol,
  [12013] = 1,
    ACTIONS(1637), 1,
      sym__eol,
  [12017] = 1,
    ACTIONS(1639), 1,
      sym__eol,
  [12021] = 1,
    ACTIONS(1641), 1,
      sym__eol,
  [12025] = 1,
    ACTIONS(1643), 1,
      sym__eol,
  [12029] = 1,
    ACTIONS(1645), 1,
      sym__eol,
  [12033] = 1,
    ACTIONS(1647), 1,
      sym__eol,
  [12037] = 1,
    ACTIONS(1649), 1,
      sym__eol,
  [12041] = 1,
    ACTIONS(1651), 1,
      sym__eol,
  [12045] = 1,
    ACTIONS(1653), 1,
      sym__eol,
  [12049] = 1,
    ACTIONS(1655), 1,
      sym__eol,
  [12053] = 1,
    ACTIONS(1657), 1,
      sym__eol,
  [12057] = 1,
    ACTIONS(1659), 1,
      sym__eol,
  [12061] = 1,
    ACTIONS(1661), 1,
      sym__eol,
  [12065] = 1,
    ACTIONS(1663), 1,
      sym__eol,
  [12069] = 1,
    ACTIONS(1665), 1,
      sym__eol,
  [12073] = 1,
    ACTIONS(1667), 1,
      sym__eol,
  [12077] = 1,
    ACTIONS(1669), 1,
      aux_sym__any_token1,
  [12081] = 1,
    ACTIONS(1671), 1,
      sym__eol,
  [12085] = 1,
    ACTIONS(1673), 1,
      sym_tag,
  [12089] = 1,
    ACTIONS(1675), 1,
      sym_tag,
  [12093] = 1,
    ACTIONS(1677), 1,
      sym__eol,
  [12097] = 1,
    ACTIONS(1679), 1,
      sym_string,
  [12101] = 1,
    ACTIONS(1681), 1,
      sym_string,
  [12105] = 1,
    ACTIONS(1683), 1,
      sym_account,
  [12109] = 1,
    ACTIONS(1685), 1,
      sym_account,
  [12113] = 1,
    ACTIONS(1687), 1,
      sym_currency,
  [12117] = 1,
    ACTIONS(1689), 1,
      sym_string,
  [12121] = 1,
    ACTIONS(1691), 1,
      anon_sym_COLON,
  [12125] = 1,
    ACTIONS(1693), 1,
      sym_string,
  [12129] = 1,
    ACTIONS(1695), 1,
      sym_account,
  [12133] = 1,
    ACTIONS(1697), 1,
      sym__eol,
  [12137] = 1,
    ACTIONS(1699), 1,
      sym__eol,
  [12141] = 1,
    ACTIONS(1701), 1,
      sym_string,
  [12145] = 1,
    ACTIONS(1703), 1,
      sym_string,
  [12149] = 1,
    ACTIONS(1705), 1,
      sym_string,
  [12153] = 1,
    ACTIONS(1707), 1,
      sym__eol,
  [12157] = 1,
    ACTIONS(1709), 1,
      sym_account,
  [12161] = 1,
    ACTIONS(1711), 1,
      sym_account,
  [12165] = 1,
    ACTIONS(1713), 1,
      sym_key,
  [12169] = 1,
    ACTIONS(1715), 1,
      sym_string,
  [12173] = 1,
    ACTIONS(1717), 1,
      sym_account,
  [12177] = 1,
    ACTIONS(1719), 1,
      sym_account,
  [12181] = 1,
    ACTIONS(1721), 1,
      sym_currency,
  [12185] = 1,
    ACTIONS(1723), 1,
      sym_string,
  [12189] = 1,
    ACTIONS(1725), 1,
      sym_string,
  [12193] = 1,
    ACTIONS(1727), 1,
      sym_account,
  [12197] = 1,
    ACTIONS(1729), 1,
      sym_account,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2)] = 0,
  [SMALL_STATE(3)] = 91,
  [SMALL_STATE(4)] = 182,
  [SMALL_STATE(5)] = 273,
  [SMALL_STATE(6)] = 364,
  [SMALL_STATE(7)] = 450,
  [SMALL_STATE(8)] = 536,
  [SMALL_STATE(9)] = 613,
  [SMALL_STATE(10)] = 642,
  [SMALL_STATE(11)] = 671,
  [SMALL_STATE(12)] = 700,
  [SMALL_STATE(13)] = 729,
  [SMALL_STATE(14)] = 758,
  [SMALL_STATE(15)] = 787,
  [SMALL_STATE(16)] = 816,
  [SMALL_STATE(17)] = 845,
  [SMALL_STATE(18)] = 874,
  [SMALL_STATE(19)] = 903,
  [SMALL_STATE(20)] = 932,
  [SMALL_STATE(21)] = 961,
  [SMALL_STATE(22)] = 990,
  [SMALL_STATE(23)] = 1019,
  [SMALL_STATE(24)] = 1048,
  [SMALL_STATE(25)] = 1077,
  [SMALL_STATE(26)] = 1106,
  [SMALL_STATE(27)] = 1135,
  [SMALL_STATE(28)] = 1164,
  [SMALL_STATE(29)] = 1193,
  [SMALL_STATE(30)] = 1222,
  [SMALL_STATE(31)] = 1251,
  [SMALL_STATE(32)] = 1280,
  [SMALL_STATE(33)] = 1309,
  [SMALL_STATE(34)] = 1338,
  [SMALL_STATE(35)] = 1367,
  [SMALL_STATE(36)] = 1396,
  [SMALL_STATE(37)] = 1425,
  [SMALL_STATE(38)] = 1454,
  [SMALL_STATE(39)] = 1483,
  [SMALL_STATE(40)] = 1512,
  [SMALL_STATE(41)] = 1541,
  [SMALL_STATE(42)] = 1570,
  [SMALL_STATE(43)] = 1599,
  [SMALL_STATE(44)] = 1627,
  [SMALL_STATE(45)] = 1655,
  [SMALL_STATE(46)] = 1683,
  [SMALL_STATE(47)] = 1711,
  [SMALL_STATE(48)] = 1739,
  [SMALL_STATE(49)] = 1767,
  [SMALL_STATE(50)] = 1795,
  [SMALL_STATE(51)] = 1823,
  [SMALL_STATE(52)] = 1851,
  [SMALL_STATE(53)] = 1879,
  [SMALL_STATE(54)] = 1907,
  [SMALL_STATE(55)] = 1935,
  [SMALL_STATE(56)] = 1963,
  [SMALL_STATE(57)] = 1991,
  [SMALL_STATE(58)] = 2019,
  [SMALL_STATE(59)] = 2047,
  [SMALL_STATE(60)] = 2075,
  [SMALL_STATE(61)] = 2103,
  [SMALL_STATE(62)] = 2131,
  [SMALL_STATE(63)] = 2159,
  [SMALL_STATE(64)] = 2187,
  [SMALL_STATE(65)] = 2215,
  [SMALL_STATE(66)] = 2243,
  [SMALL_STATE(67)] = 2271,
  [SMALL_STATE(68)] = 2299,
  [SMALL_STATE(69)] = 2327,
  [SMALL_STATE(70)] = 2355,
  [SMALL_STATE(71)] = 2383,
  [SMALL_STATE(72)] = 2411,
  [SMALL_STATE(73)] = 2439,
  [SMALL_STATE(74)] = 2467,
  [SMALL_STATE(75)] = 2495,
  [SMALL_STATE(76)] = 2523,
  [SMALL_STATE(77)] = 2551,
  [SMALL_STATE(78)] = 2579,
  [SMALL_STATE(79)] = 2607,
  [SMALL_STATE(80)] = 2635,
  [SMALL_STATE(81)] = 2663,
  [SMALL_STATE(82)] = 2691,
  [SMALL_STATE(83)] = 2719,
  [SMALL_STATE(84)] = 2747,
  [SMALL_STATE(85)] = 2775,
  [SMALL_STATE(86)] = 2803,
  [SMALL_STATE(87)] = 2831,
  [SMALL_STATE(88)] = 2859,
  [SMALL_STATE(89)] = 2887,
  [SMALL_STATE(90)] = 2915,
  [SMALL_STATE(91)] = 2943,
  [SMALL_STATE(92)] = 2971,
  [SMALL_STATE(93)] = 2999,
  [SMALL_STATE(94)] = 3027,
  [SMALL_STATE(95)] = 3055,
  [SMALL_STATE(96)] = 3083,
  [SMALL_STATE(97)] = 3111,
  [SMALL_STATE(98)] = 3139,
  [SMALL_STATE(99)] = 3167,
  [SMALL_STATE(100)] = 3195,
  [SMALL_STATE(101)] = 3223,
  [SMALL_STATE(102)] = 3251,
  [SMALL_STATE(103)] = 3279,
  [SMALL_STATE(104)] = 3307,
  [SMALL_STATE(105)] = 3335,
  [SMALL_STATE(106)] = 3363,
  [SMALL_STATE(107)] = 3391,
  [SMALL_STATE(108)] = 3419,
  [SMALL_STATE(109)] = 3447,
  [SMALL_STATE(110)] = 3475,
  [SMALL_STATE(111)] = 3503,
  [SMALL_STATE(112)] = 3531,
  [SMALL_STATE(113)] = 3559,
  [SMALL_STATE(114)] = 3587,
  [SMALL_STATE(115)] = 3615,
  [SMALL_STATE(116)] = 3643,
  [SMALL_STATE(117)] = 3671,
  [SMALL_STATE(118)] = 3699,
  [SMALL_STATE(119)] = 3727,
  [SMALL_STATE(120)] = 3755,
  [SMALL_STATE(121)] = 3783,
  [SMALL_STATE(122)] = 3811,
  [SMALL_STATE(123)] = 3839,
  [SMALL_STATE(124)] = 3867,
  [SMALL_STATE(125)] = 3895,
  [SMALL_STATE(126)] = 3923,
  [SMALL_STATE(127)] = 3951,
  [SMALL_STATE(128)] = 3979,
  [SMALL_STATE(129)] = 4007,
  [SMALL_STATE(130)] = 4035,
  [SMALL_STATE(131)] = 4063,
  [SMALL_STATE(132)] = 4091,
  [SMALL_STATE(133)] = 4119,
  [SMALL_STATE(134)] = 4147,
  [SMALL_STATE(135)] = 4175,
  [SMALL_STATE(136)] = 4203,
  [SMALL_STATE(137)] = 4231,
  [SMALL_STATE(138)] = 4259,
  [SMALL_STATE(139)] = 4287,
  [SMALL_STATE(140)] = 4315,
  [SMALL_STATE(141)] = 4343,
  [SMALL_STATE(142)] = 4371,
  [SMALL_STATE(143)] = 4399,
  [SMALL_STATE(144)] = 4427,
  [SMALL_STATE(145)] = 4455,
  [SMALL_STATE(146)] = 4483,
  [SMALL_STATE(147)] = 4511,
  [SMALL_STATE(148)] = 4539,
  [SMALL_STATE(149)] = 4567,
  [SMALL_STATE(150)] = 4595,
  [SMALL_STATE(151)] = 4623,
  [SMALL_STATE(152)] = 4651,
  [SMALL_STATE(153)] = 4679,
  [SMALL_STATE(154)] = 4707,
  [SMALL_STATE(155)] = 4735,
  [SMALL_STATE(156)] = 4763,
  [SMALL_STATE(157)] = 4791,
  [SMALL_STATE(158)] = 4819,
  [SMALL_STATE(159)] = 4847,
  [SMALL_STATE(160)] = 4875,
  [SMALL_STATE(161)] = 4903,
  [SMALL_STATE(162)] = 4931,
  [SMALL_STATE(163)] = 4959,
  [SMALL_STATE(164)] = 4987,
  [SMALL_STATE(165)] = 5015,
  [SMALL_STATE(166)] = 5043,
  [SMALL_STATE(167)] = 5071,
  [SMALL_STATE(168)] = 5099,
  [SMALL_STATE(169)] = 5127,
  [SMALL_STATE(170)] = 5155,
  [SMALL_STATE(171)] = 5183,
  [SMALL_STATE(172)] = 5211,
  [SMALL_STATE(173)] = 5239,
  [SMALL_STATE(174)] = 5278,
  [SMALL_STATE(175)] = 5317,
  [SMALL_STATE(176)] = 5356,
  [SMALL_STATE(177)] = 5395,
  [SMALL_STATE(178)] = 5417,
  [SMALL_STATE(179)] = 5439,
  [SMALL_STATE(180)] = 5473,
  [SMALL_STATE(181)] = 5495,
  [SMALL_STATE(182)] = 5517,
  [SMALL_STATE(183)] = 5539,
  [SMALL_STATE(184)] = 5561,
  [SMALL_STATE(185)] = 5583,
  [SMALL_STATE(186)] = 5605,
  [SMALL_STATE(187)] = 5627,
  [SMALL_STATE(188)] = 5661,
  [SMALL_STATE(189)] = 5683,
  [SMALL_STATE(190)] = 5705,
  [SMALL_STATE(191)] = 5727,
  [SMALL_STATE(192)] = 5749,
  [SMALL_STATE(193)] = 5771,
  [SMALL_STATE(194)] = 5793,
  [SMALL_STATE(195)] = 5815,
  [SMALL_STATE(196)] = 5837,
  [SMALL_STATE(197)] = 5859,
  [SMALL_STATE(198)] = 5903,
  [SMALL_STATE(199)] = 5925,
  [SMALL_STATE(200)] = 5947,
  [SMALL_STATE(201)] = 5969,
  [SMALL_STATE(202)] = 6013,
  [SMALL_STATE(203)] = 6035,
  [SMALL_STATE(204)] = 6057,
  [SMALL_STATE(205)] = 6079,
  [SMALL_STATE(206)] = 6101,
  [SMALL_STATE(207)] = 6123,
  [SMALL_STATE(208)] = 6145,
  [SMALL_STATE(209)] = 6167,
  [SMALL_STATE(210)] = 6189,
  [SMALL_STATE(211)] = 6211,
  [SMALL_STATE(212)] = 6233,
  [SMALL_STATE(213)] = 6255,
  [SMALL_STATE(214)] = 6277,
  [SMALL_STATE(215)] = 6299,
  [SMALL_STATE(216)] = 6321,
  [SMALL_STATE(217)] = 6343,
  [SMALL_STATE(218)] = 6365,
  [SMALL_STATE(219)] = 6387,
  [SMALL_STATE(220)] = 6409,
  [SMALL_STATE(221)] = 6431,
  [SMALL_STATE(222)] = 6453,
  [SMALL_STATE(223)] = 6475,
  [SMALL_STATE(224)] = 6497,
  [SMALL_STATE(225)] = 6519,
  [SMALL_STATE(226)] = 6541,
  [SMALL_STATE(227)] = 6563,
  [SMALL_STATE(228)] = 6585,
  [SMALL_STATE(229)] = 6625,
  [SMALL_STATE(230)] = 6665,
  [SMALL_STATE(231)] = 6687,
  [SMALL_STATE(232)] = 6709,
  [SMALL_STATE(233)] = 6731,
  [SMALL_STATE(234)] = 6753,
  [SMALL_STATE(235)] = 6775,
  [SMALL_STATE(236)] = 6819,
  [SMALL_STATE(237)] = 6841,
  [SMALL_STATE(238)] = 6863,
  [SMALL_STATE(239)] = 6885,
  [SMALL_STATE(240)] = 6907,
  [SMALL_STATE(241)] = 6929,
  [SMALL_STATE(242)] = 6951,
  [SMALL_STATE(243)] = 6973,
  [SMALL_STATE(244)] = 6995,
  [SMALL_STATE(245)] = 7017,
  [SMALL_STATE(246)] = 7039,
  [SMALL_STATE(247)] = 7061,
  [SMALL_STATE(248)] = 7083,
  [SMALL_STATE(249)] = 7105,
  [SMALL_STATE(250)] = 7127,
  [SMALL_STATE(251)] = 7149,
  [SMALL_STATE(252)] = 7171,
  [SMALL_STATE(253)] = 7193,
  [SMALL_STATE(254)] = 7215,
  [SMALL_STATE(255)] = 7237,
  [SMALL_STATE(256)] = 7259,
  [SMALL_STATE(257)] = 7281,
  [SMALL_STATE(258)] = 7303,
  [SMALL_STATE(259)] = 7325,
  [SMALL_STATE(260)] = 7347,
  [SMALL_STATE(261)] = 7369,
  [SMALL_STATE(262)] = 7391,
  [SMALL_STATE(263)] = 7413,
  [SMALL_STATE(264)] = 7435,
  [SMALL_STATE(265)] = 7457,
  [SMALL_STATE(266)] = 7479,
  [SMALL_STATE(267)] = 7501,
  [SMALL_STATE(268)] = 7523,
  [SMALL_STATE(269)] = 7545,
  [SMALL_STATE(270)] = 7567,
  [SMALL_STATE(271)] = 7589,
  [SMALL_STATE(272)] = 7611,
  [SMALL_STATE(273)] = 7633,
  [SMALL_STATE(274)] = 7655,
  [SMALL_STATE(275)] = 7677,
  [SMALL_STATE(276)] = 7699,
  [SMALL_STATE(277)] = 7721,
  [SMALL_STATE(278)] = 7743,
  [SMALL_STATE(279)] = 7765,
  [SMALL_STATE(280)] = 7787,
  [SMALL_STATE(281)] = 7809,
  [SMALL_STATE(282)] = 7831,
  [SMALL_STATE(283)] = 7853,
  [SMALL_STATE(284)] = 7875,
  [SMALL_STATE(285)] = 7897,
  [SMALL_STATE(286)] = 7919,
  [SMALL_STATE(287)] = 7941,
  [SMALL_STATE(288)] = 7963,
  [SMALL_STATE(289)] = 7985,
  [SMALL_STATE(290)] = 8007,
  [SMALL_STATE(291)] = 8051,
  [SMALL_STATE(292)] = 8073,
  [SMALL_STATE(293)] = 8095,
  [SMALL_STATE(294)] = 8116,
  [SMALL_STATE(295)] = 8137,
  [SMALL_STATE(296)] = 8158,
  [SMALL_STATE(297)] = 8179,
  [SMALL_STATE(298)] = 8200,
  [SMALL_STATE(299)] = 8221,
  [SMALL_STATE(300)] = 8266,
  [SMALL_STATE(301)] = 8287,
  [SMALL_STATE(302)] = 8308,
  [SMALL_STATE(303)] = 8329,
  [SMALL_STATE(304)] = 8350,
  [SMALL_STATE(305)] = 8371,
  [SMALL_STATE(306)] = 8392,
  [SMALL_STATE(307)] = 8413,
  [SMALL_STATE(308)] = 8434,
  [SMALL_STATE(309)] = 8455,
  [SMALL_STATE(310)] = 8476,
  [SMALL_STATE(311)] = 8497,
  [SMALL_STATE(312)] = 8518,
  [SMALL_STATE(313)] = 8539,
  [SMALL_STATE(314)] = 8584,
  [SMALL_STATE(315)] = 8605,
  [SMALL_STATE(316)] = 8626,
  [SMALL_STATE(317)] = 8647,
  [SMALL_STATE(318)] = 8668,
  [SMALL_STATE(319)] = 8689,
  [SMALL_STATE(320)] = 8710,
  [SMALL_STATE(321)] = 8731,
  [SMALL_STATE(322)] = 8752,
  [SMALL_STATE(323)] = 8773,
  [SMALL_STATE(324)] = 8794,
  [SMALL_STATE(325)] = 8815,
  [SMALL_STATE(326)] = 8849,
  [SMALL_STATE(327)] = 8874,
  [SMALL_STATE(328)] = 8895,
  [SMALL_STATE(329)] = 8934,
  [SMALL_STATE(330)] = 8973,
  [SMALL_STATE(331)] = 9002,
  [SMALL_STATE(332)] = 9023,
  [SMALL_STATE(333)] = 9043,
  [SMALL_STATE(334)] = 9075,
  [SMALL_STATE(335)] = 9107,
  [SMALL_STATE(336)] = 9139,
  [SMALL_STATE(337)] = 9171,
  [SMALL_STATE(338)] = 9203,
  [SMALL_STATE(339)] = 9235,
  [SMALL_STATE(340)] = 9267,
  [SMALL_STATE(341)] = 9285,
  [SMALL_STATE(342)] = 9309,
  [SMALL_STATE(343)] = 9341,
  [SMALL_STATE(344)] = 9373,
  [SMALL_STATE(345)] = 9393,
  [SMALL_STATE(346)] = 9425,
  [SMALL_STATE(347)] = 9457,
  [SMALL_STATE(348)] = 9489,
  [SMALL_STATE(349)] = 9521,
  [SMALL_STATE(350)] = 9553,
  [SMALL_STATE(351)] = 9585,
  [SMALL_STATE(352)] = 9617,
  [SMALL_STATE(353)] = 9634,
  [SMALL_STATE(354)] = 9649,
  [SMALL_STATE(355)] = 9676,
  [SMALL_STATE(356)] = 9691,
  [SMALL_STATE(357)] = 9717,
  [SMALL_STATE(358)] = 9743,
  [SMALL_STATE(359)] = 9763,
  [SMALL_STATE(360)] = 9783,
  [SMALL_STATE(361)] = 9803,
  [SMALL_STATE(362)] = 9823,
  [SMALL_STATE(363)] = 9843,
  [SMALL_STATE(364)] = 9863,
  [SMALL_STATE(365)] = 9888,
  [SMALL_STATE(366)] = 9905,
  [SMALL_STATE(367)] = 9922,
  [SMALL_STATE(368)] = 9947,
  [SMALL_STATE(369)] = 9964,
  [SMALL_STATE(370)] = 9989,
  [SMALL_STATE(371)] = 10014,
  [SMALL_STATE(372)] = 10031,
  [SMALL_STATE(373)] = 10048,
  [SMALL_STATE(374)] = 10065,
  [SMALL_STATE(375)] = 10082,
  [SMALL_STATE(376)] = 10099,
  [SMALL_STATE(377)] = 10116,
  [SMALL_STATE(378)] = 10136,
  [SMALL_STATE(379)] = 10158,
  [SMALL_STATE(380)] = 10178,
  [SMALL_STATE(381)] = 10200,
  [SMALL_STATE(382)] = 10220,
  [SMALL_STATE(383)] = 10240,
  [SMALL_STATE(384)] = 10262,
  [SMALL_STATE(385)] = 10282,
  [SMALL_STATE(386)] = 10304,
  [SMALL_STATE(387)] = 10324,
  [SMALL_STATE(388)] = 10343,
  [SMALL_STATE(389)] = 10360,
  [SMALL_STATE(390)] = 10377,
  [SMALL_STATE(391)] = 10390,
  [SMALL_STATE(392)] = 10407,
  [SMALL_STATE(393)] = 10424,
  [SMALL_STATE(394)] = 10437,
  [SMALL_STATE(395)] = 10454,
  [SMALL_STATE(396)] = 10473,
  [SMALL_STATE(397)] = 10490,
  [SMALL_STATE(398)] = 10507,
  [SMALL_STATE(399)] = 10526,
  [SMALL_STATE(400)] = 10539,
  [SMALL_STATE(401)] = 10558,
  [SMALL_STATE(402)] = 10575,
  [SMALL_STATE(403)] = 10594,
  [SMALL_STATE(404)] = 10605,
  [SMALL_STATE(405)] = 10615,
  [SMALL_STATE(406)] = 10623,
  [SMALL_STATE(407)] = 10639,
  [SMALL_STATE(408)] = 10655,
  [SMALL_STATE(409)] = 10671,
  [SMALL_STATE(410)] = 10687,
  [SMALL_STATE(411)] = 10703,
  [SMALL_STATE(412)] = 10715,
  [SMALL_STATE(413)] = 10731,
  [SMALL_STATE(414)] = 10747,
  [SMALL_STATE(415)] = 10759,
  [SMALL_STATE(416)] = 10767,
  [SMALL_STATE(417)] = 10783,
  [SMALL_STATE(418)] = 10795,
  [SMALL_STATE(419)] = 10811,
  [SMALL_STATE(420)] = 10827,
  [SMALL_STATE(421)] = 10840,
  [SMALL_STATE(422)] = 10849,
  [SMALL_STATE(423)] = 10862,
  [SMALL_STATE(424)] = 10869,
  [SMALL_STATE(425)] = 10882,
  [SMALL_STATE(426)] = 10889,
  [SMALL_STATE(427)] = 10896,
  [SMALL_STATE(428)] = 10905,
  [SMALL_STATE(429)] = 10915,
  [SMALL_STATE(430)] = 10925,
  [SMALL_STATE(431)] = 10935,
  [SMALL_STATE(432)] = 10945,
  [SMALL_STATE(433)] = 10955,
  [SMALL_STATE(434)] = 10965,
  [SMALL_STATE(435)] = 10975,
  [SMALL_STATE(436)] = 10985,
  [SMALL_STATE(437)] = 10995,
  [SMALL_STATE(438)] = 11005,
  [SMALL_STATE(439)] = 11015,
  [SMALL_STATE(440)] = 11025,
  [SMALL_STATE(441)] = 11035,
  [SMALL_STATE(442)] = 11043,
  [SMALL_STATE(443)] = 11053,
  [SMALL_STATE(444)] = 11063,
  [SMALL_STATE(445)] = 11073,
  [SMALL_STATE(446)] = 11083,
  [SMALL_STATE(447)] = 11093,
  [SMALL_STATE(448)] = 11103,
  [SMALL_STATE(449)] = 11113,
  [SMALL_STATE(450)] = 11123,
  [SMALL_STATE(451)] = 11133,
  [SMALL_STATE(452)] = 11143,
  [SMALL_STATE(453)] = 11153,
  [SMALL_STATE(454)] = 11163,
  [SMALL_STATE(455)] = 11173,
  [SMALL_STATE(456)] = 11183,
  [SMALL_STATE(457)] = 11193,
  [SMALL_STATE(458)] = 11203,
  [SMALL_STATE(459)] = 11213,
  [SMALL_STATE(460)] = 11223,
  [SMALL_STATE(461)] = 11233,
  [SMALL_STATE(462)] = 11241,
  [SMALL_STATE(463)] = 11249,
  [SMALL_STATE(464)] = 11259,
  [SMALL_STATE(465)] = 11267,
  [SMALL_STATE(466)] = 11275,
  [SMALL_STATE(467)] = 11285,
  [SMALL_STATE(468)] = 11293,
  [SMALL_STATE(469)] = 11301,
  [SMALL_STATE(470)] = 11311,
  [SMALL_STATE(471)] = 11321,
  [SMALL_STATE(472)] = 11331,
  [SMALL_STATE(473)] = 11341,
  [SMALL_STATE(474)] = 11351,
  [SMALL_STATE(475)] = 11361,
  [SMALL_STATE(476)] = 11371,
  [SMALL_STATE(477)] = 11379,
  [SMALL_STATE(478)] = 11389,
  [SMALL_STATE(479)] = 11399,
  [SMALL_STATE(480)] = 11406,
  [SMALL_STATE(481)] = 11413,
  [SMALL_STATE(482)] = 11418,
  [SMALL_STATE(483)] = 11425,
  [SMALL_STATE(484)] = 11430,
  [SMALL_STATE(485)] = 11437,
  [SMALL_STATE(486)] = 11442,
  [SMALL_STATE(487)] = 11447,
  [SMALL_STATE(488)] = 11454,
  [SMALL_STATE(489)] = 11459,
  [SMALL_STATE(490)] = 11464,
  [SMALL_STATE(491)] = 11471,
  [SMALL_STATE(492)] = 11476,
  [SMALL_STATE(493)] = 11481,
  [SMALL_STATE(494)] = 11486,
  [SMALL_STATE(495)] = 11493,
  [SMALL_STATE(496)] = 11497,
  [SMALL_STATE(497)] = 11501,
  [SMALL_STATE(498)] = 11505,
  [SMALL_STATE(499)] = 11509,
  [SMALL_STATE(500)] = 11513,
  [SMALL_STATE(501)] = 11517,
  [SMALL_STATE(502)] = 11521,
  [SMALL_STATE(503)] = 11525,
  [SMALL_STATE(504)] = 11529,
  [SMALL_STATE(505)] = 11533,
  [SMALL_STATE(506)] = 11537,
  [SMALL_STATE(507)] = 11541,
  [SMALL_STATE(508)] = 11545,
  [SMALL_STATE(509)] = 11549,
  [SMALL_STATE(510)] = 11553,
  [SMALL_STATE(511)] = 11557,
  [SMALL_STATE(512)] = 11561,
  [SMALL_STATE(513)] = 11565,
  [SMALL_STATE(514)] = 11569,
  [SMALL_STATE(515)] = 11573,
  [SMALL_STATE(516)] = 11577,
  [SMALL_STATE(517)] = 11581,
  [SMALL_STATE(518)] = 11585,
  [SMALL_STATE(519)] = 11589,
  [SMALL_STATE(520)] = 11593,
  [SMALL_STATE(521)] = 11597,
  [SMALL_STATE(522)] = 11601,
  [SMALL_STATE(523)] = 11605,
  [SMALL_STATE(524)] = 11609,
  [SMALL_STATE(525)] = 11613,
  [SMALL_STATE(526)] = 11617,
  [SMALL_STATE(527)] = 11621,
  [SMALL_STATE(528)] = 11625,
  [SMALL_STATE(529)] = 11629,
  [SMALL_STATE(530)] = 11633,
  [SMALL_STATE(531)] = 11637,
  [SMALL_STATE(532)] = 11641,
  [SMALL_STATE(533)] = 11645,
  [SMALL_STATE(534)] = 11649,
  [SMALL_STATE(535)] = 11653,
  [SMALL_STATE(536)] = 11657,
  [SMALL_STATE(537)] = 11661,
  [SMALL_STATE(538)] = 11665,
  [SMALL_STATE(539)] = 11669,
  [SMALL_STATE(540)] = 11673,
  [SMALL_STATE(541)] = 11677,
  [SMALL_STATE(542)] = 11681,
  [SMALL_STATE(543)] = 11685,
  [SMALL_STATE(544)] = 11689,
  [SMALL_STATE(545)] = 11693,
  [SMALL_STATE(546)] = 11697,
  [SMALL_STATE(547)] = 11701,
  [SMALL_STATE(548)] = 11705,
  [SMALL_STATE(549)] = 11709,
  [SMALL_STATE(550)] = 11713,
  [SMALL_STATE(551)] = 11717,
  [SMALL_STATE(552)] = 11721,
  [SMALL_STATE(553)] = 11725,
  [SMALL_STATE(554)] = 11729,
  [SMALL_STATE(555)] = 11733,
  [SMALL_STATE(556)] = 11737,
  [SMALL_STATE(557)] = 11741,
  [SMALL_STATE(558)] = 11745,
  [SMALL_STATE(559)] = 11749,
  [SMALL_STATE(560)] = 11753,
  [SMALL_STATE(561)] = 11757,
  [SMALL_STATE(562)] = 11761,
  [SMALL_STATE(563)] = 11765,
  [SMALL_STATE(564)] = 11769,
  [SMALL_STATE(565)] = 11773,
  [SMALL_STATE(566)] = 11777,
  [SMALL_STATE(567)] = 11781,
  [SMALL_STATE(568)] = 11785,
  [SMALL_STATE(569)] = 11789,
  [SMALL_STATE(570)] = 11793,
  [SMALL_STATE(571)] = 11797,
  [SMALL_STATE(572)] = 11801,
  [SMALL_STATE(573)] = 11805,
  [SMALL_STATE(574)] = 11809,
  [SMALL_STATE(575)] = 11813,
  [SMALL_STATE(576)] = 11817,
  [SMALL_STATE(577)] = 11821,
  [SMALL_STATE(578)] = 11825,
  [SMALL_STATE(579)] = 11829,
  [SMALL_STATE(580)] = 11833,
  [SMALL_STATE(581)] = 11837,
  [SMALL_STATE(582)] = 11841,
  [SMALL_STATE(583)] = 11845,
  [SMALL_STATE(584)] = 11849,
  [SMALL_STATE(585)] = 11853,
  [SMALL_STATE(586)] = 11857,
  [SMALL_STATE(587)] = 11861,
  [SMALL_STATE(588)] = 11865,
  [SMALL_STATE(589)] = 11869,
  [SMALL_STATE(590)] = 11873,
  [SMALL_STATE(591)] = 11877,
  [SMALL_STATE(592)] = 11881,
  [SMALL_STATE(593)] = 11885,
  [SMALL_STATE(594)] = 11889,
  [SMALL_STATE(595)] = 11893,
  [SMALL_STATE(596)] = 11897,
  [SMALL_STATE(597)] = 11901,
  [SMALL_STATE(598)] = 11905,
  [SMALL_STATE(599)] = 11909,
  [SMALL_STATE(600)] = 11913,
  [SMALL_STATE(601)] = 11917,
  [SMALL_STATE(602)] = 11921,
  [SMALL_STATE(603)] = 11925,
  [SMALL_STATE(604)] = 11929,
  [SMALL_STATE(605)] = 11933,
  [SMALL_STATE(606)] = 11937,
  [SMALL_STATE(607)] = 11941,
  [SMALL_STATE(608)] = 11945,
  [SMALL_STATE(609)] = 11949,
  [SMALL_STATE(610)] = 11953,
  [SMALL_STATE(611)] = 11957,
  [SMALL_STATE(612)] = 11961,
  [SMALL_STATE(613)] = 11965,
  [SMALL_STATE(614)] = 11969,
  [SMALL_STATE(615)] = 11973,
  [SMALL_STATE(616)] = 11977,
  [SMALL_STATE(617)] = 11981,
  [SMALL_STATE(618)] = 11985,
  [SMALL_STATE(619)] = 11989,
  [SMALL_STATE(620)] = 11993,
  [SMALL_STATE(621)] = 11997,
  [SMALL_STATE(622)] = 12001,
  [SMALL_STATE(623)] = 12005,
  [SMALL_STATE(624)] = 12009,
  [SMALL_STATE(625)] = 12013,
  [SMALL_STATE(626)] = 12017,
  [SMALL_STATE(627)] = 12021,
  [SMALL_STATE(628)] = 12025,
  [SMALL_STATE(629)] = 12029,
  [SMALL_STATE(630)] = 12033,
  [SMALL_STATE(631)] = 12037,
  [SMALL_STATE(632)] = 12041,
  [SMALL_STATE(633)] = 12045,
  [SMALL_STATE(634)] = 12049,
  [SMALL_STATE(635)] = 12053,
  [SMALL_STATE(636)] = 12057,
  [SMALL_STATE(637)] = 12061,
  [SMALL_STATE(638)] = 12065,
  [SMALL_STATE(639)] = 12069,
  [SMALL_STATE(640)] = 12073,
  [SMALL_STATE(641)] = 12077,
  [SMALL_STATE(642)] = 12081,
  [SMALL_STATE(643)] = 12085,
  [SMALL_STATE(644)] = 12089,
  [SMALL_STATE(645)] = 12093,
  [SMALL_STATE(646)] = 12097,
  [SMALL_STATE(647)] = 12101,
  [SMALL_STATE(648)] = 12105,
  [SMALL_STATE(649)] = 12109,
  [SMALL_STATE(650)] = 12113,
  [SMALL_STATE(651)] = 12117,
  [SMALL_STATE(652)] = 12121,
  [SMALL_STATE(653)] = 12125,
  [SMALL_STATE(654)] = 12129,
  [SMALL_STATE(655)] = 12133,
  [SMALL_STATE(656)] = 12137,
  [SMALL_STATE(657)] = 12141,
  [SMALL_STATE(658)] = 12145,
  [SMALL_STATE(659)] = 12149,
  [SMALL_STATE(660)] = 12153,
  [SMALL_STATE(661)] = 12157,
  [SMALL_STATE(662)] = 12161,
  [SMALL_STATE(663)] = 12165,
  [SMALL_STATE(664)] = 12169,
  [SMALL_STATE(665)] = 12173,
  [SMALL_STATE(666)] = 12177,
  [SMALL_STATE(667)] = 12181,
  [SMALL_STATE(668)] = 12185,
  [SMALL_STATE(669)] = 12189,
  [SMALL_STATE(670)] = 12193,
  [SMALL_STATE(671)] = 12197,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file, 0, 0, 0),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [69] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0),
  [71] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0), SHIFT_REPEAT(6),
  [74] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0), SHIFT_REPEAT(6),
  [77] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0), SHIFT_REPEAT(567),
  [80] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0), SHIFT_REPEAT(313),
  [83] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0), SHIFT_REPEAT(540),
  [86] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0), SHIFT_REPEAT(531),
  [89] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0), SHIFT_REPEAT(480),
  [92] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0), SHIFT_REPEAT(513),
  [95] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0), SHIFT_REPEAT(512),
  [98] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0), SHIFT_REPEAT(511),
  [101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0), SHIFT_REPEAT(508),
  [104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0), SHIFT_REPEAT(507),
  [107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0), SHIFT_REPEAT(583),
  [110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file, 1, 0, 0),
  [112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_section_repeat1, 2, 0, 0), SHIFT_REPEAT(8),
  [119] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_section_repeat1, 2, 0, 0), SHIFT_REPEAT(8),
  [122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_section_repeat1, 2, 0, 0), SHIFT_REPEAT(641),
  [125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_section_repeat1, 2, 0, 0), SHIFT_REPEAT(299),
  [128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_section_repeat1, 2, 0, 0), SHIFT_REPEAT(643),
  [131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_section_repeat1, 2, 0, 0), SHIFT_REPEAT(644),
  [134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_section_repeat1, 2, 0, 0), SHIFT_REPEAT(479),
  [137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_section_repeat1, 2, 0, 0), SHIFT_REPEAT(663),
  [140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_section_repeat1, 2, 0, 0), SHIFT_REPEAT(664),
  [143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_section_repeat1, 2, 0, 0), SHIFT_REPEAT(646),
  [146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_section_repeat1, 2, 0, 0), SHIFT_REPEAT(647),
  [149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_section_repeat1, 2, 0, 0), SHIFT_REPEAT(507),
  [152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_section_repeat1, 2, 0, 0),
  [154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transaction, 4, 0, 12),
  [156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transaction, 4, 0, 12),
  [158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transaction, 6, 0, 71),
  [162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transaction, 6, 0, 71),
  [166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transaction, 7, 0, 92),
  [168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transaction, 7, 0, 92),
  [170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transaction, 5, 0, 39),
  [172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transaction, 5, 0, 39),
  [174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transaction, 5, 0, 40),
  [176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transaction, 5, 0, 40),
  [178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transaction, 6, 0, 68),
  [180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transaction, 6, 0, 68),
  [182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transaction, 6, 0, 69),
  [184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transaction, 6, 0, 69),
  [186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transaction, 6, 0, 70),
  [188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transaction, 6, 0, 70),
  [190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transaction, 4, 0, 14),
  [192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transaction, 4, 0, 14),
  [194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transaction, 4, 0, 13),
  [196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transaction, 4, 0, 13),
  [198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transaction, 5, 0, 35),
  [200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transaction, 5, 0, 35),
  [202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transaction, 4, 0, 10),
  [204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transaction, 4, 0, 10),
  [206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transaction, 3, 0, 3),
  [208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transaction, 3, 0, 3),
  [210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transaction, 5, 0, 38),
  [212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transaction, 5, 0, 38),
  [214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transaction, 5, 0, 36),
  [216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transaction, 5, 0, 36),
  [218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 34),
  [220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 34), SHIFT_REPEAT(328),
  [223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 34),
  [225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transaction, 5, 0, 37),
  [227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transaction, 5, 0, 37),
  [229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 34), SHIFT_REPEAT(329),
  [232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_balance, 6, 0, 51),
  [234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_balance, 6, 0, 51),
  [238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_price, 7, 0, 78),
  [240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_price, 7, 0, 78),
  [242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_custom, 6, 0, 63),
  [246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_custom, 6, 0, 63),
  [248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_document, 6, 0, 62),
  [250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 6, 0, 62),
  [252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_document, 6, 0, 61),
  [254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 6, 0, 61),
  [256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_document, 6, 0, 60),
  [258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 6, 0, 60),
  [260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_note, 6, 0, 59),
  [262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_note, 6, 0, 59),
  [264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_note, 6, 0, 58),
  [266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_note, 6, 0, 58),
  [268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_query, 6, 0, 57),
  [270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_query, 6, 0, 57),
  [272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_query, 6, 0, 56),
  [274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_query, 6, 0, 56),
  [276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event, 6, 0, 55),
  [278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event, 6, 0, 55),
  [280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event, 6, 0, 54),
  [282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event, 6, 0, 54),
  [284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_price, 6, 0, 53),
  [286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_price, 6, 0, 53),
  [288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_price, 6, 0, 52),
  [290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_price, 6, 0, 52),
  [292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_balance, 6, 0, 50),
  [294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_balance, 6, 0, 50),
  [296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pad, 6, 0, 49),
  [298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pad, 6, 0, 49),
  [300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pad, 6, 0, 48),
  [302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pad, 6, 0, 48),
  [304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_commodity, 6, 0, 47),
  [306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_commodity, 6, 0, 47),
  [308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_close, 6, 0, 43),
  [310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_close, 6, 0, 43),
  [312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open, 6, 0, 46),
  [314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open, 6, 0, 46),
  [316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open, 6, 0, 45),
  [318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open, 6, 0, 45),
  [320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open, 6, 0, 44),
  [322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open, 6, 0, 44),
  [324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open, 6, 0, 43),
  [326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open, 6, 0, 43),
  [328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open, 6, 0, 42),
  [330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open, 6, 0, 42),
  [332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open, 6, 0, 41),
  [334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open, 6, 0, 41),
  [336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__key_value_list, 2, 0, 34),
  [338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__key_value_list, 2, 0, 34), SHIFT_REPEAT(406),
  [341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__key_value_list, 2, 0, 34),
  [343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_document, 8, 0, 94),
  [345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 8, 0, 94),
  [347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_custom, 5, 0, 33),
  [349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_custom, 5, 0, 33),
  [351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_custom, 5, 0, 32),
  [353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_custom, 5, 0, 32),
  [355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_custom, 5, 0, 31),
  [357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_custom, 5, 0, 31),
  [359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_document, 5, 0, 30),
  [361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 5, 0, 30),
  [363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_note, 5, 0, 29),
  [365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_note, 5, 0, 29),
  [367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_query, 5, 0, 28),
  [369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_query, 5, 0, 28),
  [371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event, 5, 0, 27),
  [373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event, 5, 0, 27),
  [375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_price, 5, 0, 26),
  [377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_price, 5, 0, 26),
  [379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_balance, 5, 0, 25),
  [381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_balance, 5, 0, 25),
  [383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pad, 5, 0, 24),
  [385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pad, 5, 0, 24),
  [387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_commodity, 5, 0, 23),
  [389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_commodity, 5, 0, 23),
  [391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_commodity, 5, 0, 22),
  [393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_commodity, 5, 0, 22),
  [395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_close, 5, 0, 20),
  [397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_close, 5, 0, 20),
  [399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_close, 5, 0, 18),
  [401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_close, 5, 0, 18),
  [403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open, 5, 0, 21),
  [405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open, 5, 0, 21),
  [407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open, 5, 0, 20),
  [409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open, 5, 0, 20),
  [411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open, 5, 0, 19),
  [413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open, 5, 0, 19),
  [415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open, 4, 0, 7),
  [417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open, 4, 0, 7),
  [419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open, 5, 0, 18),
  [421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open, 5, 0, 18),
  [423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open, 8, 0, 93),
  [425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open, 8, 0, 93),
  [427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_custom, 6, 0, 65),
  [429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_custom, 6, 0, 65),
  [431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open, 7, 0, 72),
  [433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open, 7, 0, 72),
  [435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_close, 4, 0, 7),
  [437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_close, 4, 0, 7),
  [439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_custom, 4, 0, 9),
  [441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_custom, 4, 0, 9),
  [443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_commodity, 4, 0, 8),
  [445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_commodity, 4, 0, 8),
  [447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open, 7, 0, 73),
  [449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open, 7, 0, 73),
  [451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open, 7, 0, 74),
  [453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open, 7, 0, 74),
  [455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_custom, 7, 0, 85),
  [457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_custom, 7, 0, 85),
  [459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 7, 0, 84),
  [461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_document, 7, 0, 84),
  [463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 7, 0, 83),
  [465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_document, 7, 0, 83),
  [467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 7, 0, 82),
  [469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_document, 7, 0, 82),
  [471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_note, 7, 0, 81),
  [473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_note, 7, 0, 81),
  [475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_query, 7, 0, 80),
  [477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_query, 7, 0, 80),
  [479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event, 7, 0, 79),
  [481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event, 7, 0, 79),
  [483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_custom, 6, 0, 64),
  [485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_custom, 6, 0, 64),
  [487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_balance, 7, 0, 77),
  [489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_balance, 7, 0, 77),
  [491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pad, 7, 0, 76),
  [493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pad, 7, 0, 76),
  [495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open, 7, 0, 75),
  [497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open, 7, 0, 75),
  [499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__key_value_list, 2, 0, 34), SHIFT_REPEAT(419),
  [502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 6, 0, 111),
  [522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 6, 0, 111),
  [524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 5, 0, 104),
  [526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 5, 0, 104),
  [528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0),
  [540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0),
  [542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 9, 0, 135),
  [544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 9, 0, 135),
  [546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 8, 0, 134),
  [548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 8, 0, 134),
  [550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 8, 0, 133),
  [552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 8, 0, 133),
  [554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__key_value_list, 2, 0, 0),
  [556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__key_value_list, 2, 0, 0),
  [558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 8, 0, 132),
  [560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 8, 0, 132),
  [562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_custom_repeat1, 2, 0, 0),
  [564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_custom_repeat1, 2, 0, 0), SHIFT_REPEAT(374),
  [567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_custom_repeat1, 2, 0, 0), SHIFT_REPEAT(353),
  [570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_custom_repeat1, 2, 0, 0), SHIFT_REPEAT(330),
  [573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_custom_repeat1, 2, 0, 0), SHIFT_REPEAT(366),
  [576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 8, 0, 131),
  [578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 8, 0, 131),
  [580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 8, 0, 130),
  [582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 8, 0, 130),
  [584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 7, 0, 129),
  [586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 7, 0, 129),
  [588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 7, 0, 128),
  [590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 7, 0, 128),
  [592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 7, 0, 127),
  [594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 7, 0, 127),
  [596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 7, 0, 116),
  [598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 7, 0, 116),
  [600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 7, 0, 126),
  [602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 7, 0, 126),
  [604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 7, 0, 125),
  [606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 7, 0, 125),
  [608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 7, 0, 124),
  [622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 7, 0, 124),
  [624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 7, 0, 123),
  [626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 7, 0, 123),
  [628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 7, 0, 122),
  [630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 7, 0, 122),
  [632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 7, 0, 121),
  [640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 7, 0, 121),
  [642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 7, 0, 120),
  [644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 7, 0, 120),
  [646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 6, 0, 118),
  [648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 6, 0, 118),
  [650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 6, 0, 104),
  [652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 6, 0, 104),
  [654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 6, 0, 117),
  [656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 6, 0, 117),
  [658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 6, 0, 116),
  [660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 6, 0, 116),
  [662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 6, 0, 103),
  [664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 6, 0, 103),
  [666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 6, 0, 115),
  [668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 6, 0, 115),
  [670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 6, 0, 114),
  [672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 6, 0, 114),
  [674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 6, 0, 113),
  [676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 6, 0, 113),
  [678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 3, 0, 66),
  [680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 3, 0, 66),
  [682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 6, 0, 112),
  [684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 6, 0, 112),
  [686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_transaction_repeat1, 3, 0, 0),
  [688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 3, 0, 0),
  [690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__key_value_line, 3, 0, 0),
  [692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_value_line, 3, 0, 0),
  [694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 6, 0, 100),
  [696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 6, 0, 100),
  [698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 6, 0, 110),
  [700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 6, 0, 110),
  [702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_transaction_repeat1, 3, 0, 67),
  [704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 3, 0, 67),
  [706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 6, 0, 109),
  [708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 6, 0, 109),
  [710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__key_value_list, 3, 0, 67),
  [712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__key_value_list, 3, 0, 67),
  [714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 4, 0, 66),
  [716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 4, 0, 66),
  [718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 6, 0, 106),
  [720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 6, 0, 106),
  [722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 5, 0, 105),
  [724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 5, 0, 105),
  [726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 4, 0, 88),
  [728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 4, 0, 88),
  [730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 4, 0, 89),
  [742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 4, 0, 89),
  [744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 4, 0, 90),
  [746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 4, 0, 90),
  [748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 5, 0, 103),
  [750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 5, 0, 103),
  [752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 4, 0, 91),
  [760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 4, 0, 91),
  [762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 5, 0, 95),
  [764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 5, 0, 95),
  [766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 5, 0, 91),
  [768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 5, 0, 91),
  [770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 5, 0, 102),
  [772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 5, 0, 102),
  [774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 5, 0, 96),
  [776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 5, 0, 96),
  [778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 5, 0, 88),
  [780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 5, 0, 88),
  [782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 5, 0, 89),
  [784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 5, 0, 89),
  [786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 5, 0, 101),
  [788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 5, 0, 101),
  [790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_posting, 5, 0, 100),
  [792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_posting, 5, 0, 100),
  [794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__directive, 1, 0, 0),
  [802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__directive, 1, 0, 0),
  [804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_plugin, 3, 0, 0),
  [806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_plugin, 3, 0, 0),
  [808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pushmeta, 3, 0, 0),
  [810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pushmeta, 3, 0, 0),
  [812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_section, 3, 0, 1),
  [814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_section, 3, 0, 1),
  [816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_poptag, 3, 0, 0),
  [818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_poptag, 3, 0, 0),
  [820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pushtag, 3, 0, 0),
  [822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pushtag, 3, 0, 0),
  [824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__skipped_lines, 3, 0, 0),
  [852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__skipped_lines, 3, 0, 0),
  [854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__skipped_lines, 2, 0, 0),
  [856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__skipped_lines, 2, 0, 0),
  [858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_section, 3, 0, 5),
  [860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_section, 3, 0, 5),
  [862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__entry, 1, 0, 0),
  [864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__entry, 1, 0, 0),
  [866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_section, 4, 0, 17),
  [868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_section, 4, 0, 17),
  [870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_headline, 3, 0, 0),
  [872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_headline, 3, 0, 0),
  [874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include, 3, 0, 0),
  [876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include, 3, 0, 0),
  [878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_popmeta, 4, 0, 0),
  [880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_popmeta, 4, 0, 0),
  [882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_plugin, 4, 0, 0),
  [906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_plugin, 4, 0, 0),
  [908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_section, 2, 0, 1),
  [910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_section, 2, 0, 1),
  [912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_option, 4, 0, 15),
  [914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_option, 4, 0, 15),
  [916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_headline, 4, 0, 16),
  [918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_headline, 4, 0, 16),
  [920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_number_expr, 3, 0, 0),
  [922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_number_expr, 3, 0, 0),
  [928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_custom_value, 1, 0, 0),
  [946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_custom_value, 1, 0, 0),
  [950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_number_expr, 2, 0, 0),
  [954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_number_expr, 2, 0, 0),
  [956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__paren__number_expr, 3, 0, 0),
  [972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__paren__number_expr, 3, 0, 0),
  [974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [1000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_amount, 1, 0, 87),
  [1002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_amount, 1, 0, 87),
  [1004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_amount, 2, 0, 0),
  [1006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_amount, 2, 0, 0),
  [1008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [1010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [1012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [1014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [1016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [1018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [1020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [1022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [1024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [1026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [1028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [1030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [1032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [1034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [1036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [1038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [1040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [1042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [1044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [1046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [1048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [1050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [1052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [1054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [1056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [1058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [1060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [1062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [1064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [1066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [1068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [1070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [1072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [1074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [1076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [1078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [1082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [1084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value, 1, 0, 0),
  [1086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [1088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [1094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [1096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [1100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [1102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_open_repeat1, 2, 0, 0),
  [1104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_open_repeat1, 2, 0, 0), SHIFT_REPEAT(546),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [1113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_open_repeat2, 2, 0, 0),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [1125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [1127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_open_repeat2, 1, 0, 0),
  [1129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_section_repeat2, 2, 0, 6), SHIFT_REPEAT(583),
  [1132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_section_repeat2, 2, 0, 6),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [1136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_incomplete_amount, 2, 0, 0),
  [1138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_incomplete_amount, 2, 0, 0),
  [1140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__txn_strings, 1, 0, 4),
  [1142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [1144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_txn, 1, 0, 0),
  [1146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [1148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [1150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [1152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [1154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [1158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [1160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [1162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [1164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [1166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [1170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [1172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tags_links_repeat1, 2, 0, 0),
  [1174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tags_links_repeat1, 2, 0, 0), SHIFT_REPEAT(411),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [1189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_open_repeat2, 2, 0, 0), SHIFT_REPEAT(399),
  [1192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [1194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [1196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [1198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tags_links, 1, 0, 0),
  [1200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [1202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [1204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [1206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [1208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [1210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [1212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__cost_comp_list, 2, 0, 0),
  [1214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cost_comp_list, 2, 0, 0),
  [1216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cost_spec, 3, 0, 99),
  [1218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cost_spec, 3, 0, 99),
  [1220] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__cost_comp_list_repeat1, 2, 0, 0), SHIFT_REPEAT(325),
  [1223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__cost_comp_list_repeat1, 2, 0, 0),
  [1225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__cost_comp_list_repeat1, 2, 0, 0),
  [1227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_filename, 1, 0, 0),
  [1229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__cost_comp_list, 1, 0, 0),
  [1231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cost_comp_list, 1, 0, 0),
  [1233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asterisk, 1, 0, 0),
  [1235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__txn_strings, 2, 0, 11),
  [1237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cost_spec, 2, 0, 0),
  [1239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cost_spec, 2, 0, 0),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [1267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_amount, 4, 0, 119),
  [1269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_amount, 4, 0, 119),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [1283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [1285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [1287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [1297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [1299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [1301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [1303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [1307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [1309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cost_comp, 1, 0, 0),
  [1311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cost_comp, 1, 0, 0),
  [1313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_amount, 1, 0, 86),
  [1315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_amount, 1, 0, 86),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [1321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_amount, 3, 0, 107),
  [1323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_amount, 3, 0, 107),
  [1325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_amount, 3, 0, 108),
  [1327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_amount, 3, 0, 108),
  [1329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_amount, 2, 0, 98),
  [1333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_amount, 2, 0, 98),
  [1335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_amount, 2, 0, 97),
  [1337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_amount, 2, 0, 97),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [1341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [1343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [1349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [1353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [1355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [1357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item, 1, 0, 0),
  [1359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item, 1, 0, 0),
  [1361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_amount_tolerance, 4, 0, 0),
  [1363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [1365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opt_booking, 1, 0, 0),
  [1367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [1371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_section_repeat2, 1, 0, 2),
  [1373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [1375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [1377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_price_annotation, 1, 0, 0),
  [1379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_amount_tolerance, 2, 0, 0),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [1383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [1395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [1397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__org_stars, 2, 0, 0),
  [1399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [1401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [1403] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [1405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [1407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [1411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [1413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [1415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [1417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [1419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [1423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [1427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [1429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [1435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [1447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_key_value, 3, 0, 0),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [1451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [1455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [1457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [1459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [1463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [1493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [1499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [1501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [1511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [1513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [1515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [1517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [1519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [1521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [1527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [1531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 2, 0, 0),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [1535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [1539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [1545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [1549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [1555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [1557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [1565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [1567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [1569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [1571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [1575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [1593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [1595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [1603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [1607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [1615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [1617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [1625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optflag, 1, 0, 0),
  [1629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [1633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [1635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [1643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [1645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [1649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [1661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [1663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [1665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [1667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [1671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [1673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [1675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [1677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [1679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [1683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [1685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [1687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [1695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [1699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [1717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [1727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [1729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__stars = 0,
  ts_external_token__sectionend = 1,
  ts_external_token__eof = 2,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__stars] = sym__stars,
  [ts_external_token__sectionend] = sym__sectionend,
  [ts_external_token__eof] = sym__eof,
};

static const bool ts_external_scanner_states[4][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__stars] = true,
    [ts_external_token__sectionend] = true,
    [ts_external_token__eof] = true,
  },
  [2] = {
    [ts_external_token__stars] = true,
  },
  [3] = {
    [ts_external_token__stars] = true,
    [ts_external_token__sectionend] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_beancount_external_scanner_create(void);
void tree_sitter_beancount_external_scanner_destroy(void *);
bool tree_sitter_beancount_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_beancount_external_scanner_serialize(void *, char *);
void tree_sitter_beancount_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_beancount(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_beancount_external_scanner_create,
      tree_sitter_beancount_external_scanner_destroy,
      tree_sitter_beancount_external_scanner_scan,
      tree_sitter_beancount_external_scanner_serialize,
      tree_sitter_beancount_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
