#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1431
#define LARGE_STATE_COUNT 124
#define SYMBOL_COUNT 206
#define ALIAS_COUNT 3
#define TOKEN_COUNT 105
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 20
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 89

enum ts_symbol_identifiers {
  sym__identifier = 1,
  sym_comment = 2,
  sym_true = 3,
  sym_false = 4,
  sym_null = 5,
  sym_underscore = 6,
  sym_static_keyword = 7,
  anon_sym_remote = 8,
  anon_sym_master = 9,
  anon_sym_puppet = 10,
  anon_sym_remotesync = 11,
  anon_sym_mastersync = 12,
  anon_sym_puppetsync = 13,
  sym_escape_sequence = 14,
  sym_float = 15,
  sym_integer = 16,
  anon_sym_AMP = 17,
  sym_node_path = 18,
  sym_get_node = 19,
  anon_sym_SEMI = 20,
  anon_sym_AT = 21,
  anon_sym_COLON_EQ = 22,
  anon_sym_COLON = 23,
  anon_sym_EQ = 24,
  anon_sym_set = 25,
  anon_sym_get = 26,
  anon_sym_COMMA = 27,
  anon_sym_setget = 28,
  anon_sym_var = 29,
  anon_sym_export = 30,
  anon_sym_onready = 31,
  anon_sym_const = 32,
  anon_sym_return = 33,
  anon_sym_pass = 34,
  anon_sym_break = 35,
  sym_breakpoint_statement = 36,
  anon_sym_continue = 37,
  sym_tool_statement = 38,
  anon_sym_signal = 39,
  anon_sym_class_name = 40,
  anon_sym_extends = 41,
  anon_sym_if = 42,
  anon_sym_elif = 43,
  anon_sym_else = 44,
  anon_sym_for = 45,
  anon_sym_in = 46,
  anon_sym_while = 47,
  anon_sym_class = 48,
  anon_sym_enum = 49,
  anon_sym_LBRACE = 50,
  anon_sym_RBRACE = 51,
  anon_sym_match = 52,
  anon_sym_when = 53,
  sym_pattern_open_ending = 54,
  anon_sym_LBRACK = 55,
  anon_sym_RBRACK = 56,
  anon_sym_and = 57,
  anon_sym_AMP_AMP = 58,
  anon_sym_or = 59,
  anon_sym_PIPE_PIPE = 60,
  anon_sym_PLUS = 61,
  anon_sym_DASH = 62,
  anon_sym_STAR = 63,
  anon_sym_SLASH = 64,
  anon_sym_PERCENT = 65,
  anon_sym_PIPE = 66,
  anon_sym_CARET = 67,
  anon_sym_LT_LT = 68,
  anon_sym_GT_GT = 69,
  anon_sym_LT = 70,
  anon_sym_LT_EQ = 71,
  anon_sym_EQ_EQ = 72,
  anon_sym_BANG_EQ = 73,
  anon_sym_GT_EQ = 74,
  anon_sym_GT = 75,
  anon_sym_as = 76,
  anon_sym_is = 77,
  anon_sym_not = 78,
  anon_sym_BANG = 79,
  anon_sym_TILDE = 80,
  anon_sym_DOT = 81,
  anon_sym_LPAREN = 82,
  anon_sym_RPAREN = 83,
  anon_sym_await = 84,
  anon_sym_PLUS_EQ = 85,
  anon_sym_DASH_EQ = 86,
  anon_sym_STAR_EQ = 87,
  anon_sym_SLASH_EQ = 88,
  anon_sym_PERCENT_EQ = 89,
  anon_sym_GT_GT_EQ = 90,
  anon_sym_LT_LT_EQ = 91,
  anon_sym_AMP_EQ = 92,
  anon_sym_CARET_EQ = 93,
  anon_sym_PIPE_EQ = 94,
  anon_sym_DASH_GT = 95,
  anon_sym_func = 96,
  anon_sym__init = 97,
  sym__newline = 98,
  sym__indent = 99,
  sym__dedent = 100,
  sym__string_start = 101,
  sym__string_content = 102,
  sym__string_end = 103,
  sym__body_end = 104,
  sym_source = 105,
  sym_identifier = 106,
  sym_name = 107,
  sym_remote_keyword = 108,
  sym_string = 109,
  sym_string_name = 110,
  sym_type = 111,
  sym__statement = 112,
  sym_body = 113,
  sym__simple_statements = 114,
  sym_expression_statement = 115,
  sym_annotation = 116,
  aux_sym__annotations = 117,
  sym_annotations = 118,
  sym_inferred_type = 119,
  sym__variable_assignment = 120,
  sym__variable_inferred_type_assignment = 121,
  sym__variable_typed_assignment = 122,
  sym__variable_typed_definition = 123,
  sym_set_body = 124,
  sym_get_body = 125,
  sym__set_assign = 126,
  sym__get_assign = 127,
  sym__setget_body = 128,
  sym_setter = 129,
  sym_getter = 130,
  sym_setget = 131,
  sym__variable_statement = 132,
  sym_variable_statement = 133,
  sym_export_variable_statement = 134,
  sym_onready_variable_statement = 135,
  sym_const_statement = 136,
  sym_return_statement = 137,
  sym_pass_statement = 138,
  sym_break_statement = 139,
  sym_continue_statement = 140,
  sym_signal_statement = 141,
  sym_class_name_statement = 142,
  sym_extends_statement = 143,
  sym_if_statement = 144,
  sym_elif_clause = 145,
  sym_else_clause = 146,
  sym_for_statement = 147,
  sym_while_statement = 148,
  sym_class_definition = 149,
  sym_enum_definition = 150,
  sym_enumerator_list = 151,
  sym__enumerator_expression = 152,
  sym_enumerator = 153,
  sym_match_statement = 154,
  sym_match_body = 155,
  sym_pattern_guard = 156,
  sym_pattern_section = 157,
  sym__pattern = 158,
  sym_pattern_binding = 159,
  sym_pattern_array = 160,
  sym_pattern_dictionary = 161,
  sym_pattern_pair = 162,
  sym__expression = 163,
  sym__primary_expression = 164,
  sym__rhs_expression = 165,
  sym__attribute_expression = 166,
  sym_binary_operator = 167,
  sym_unary_operator = 168,
  sym_subscript = 169,
  sym_attribute_call = 170,
  sym_attribute_subscript = 171,
  sym_attribute = 172,
  sym_conditional_expression = 173,
  sym_parenthesized_expression = 174,
  sym_await_expression = 175,
  sym_assignment = 176,
  sym_augmented_assignment = 177,
  sym_pair = 178,
  sym_dictionary = 179,
  sym_array = 180,
  sym_typed_parameter = 181,
  sym_default_parameter = 182,
  sym_typed_default_parameter = 183,
  sym__parameters = 184,
  sym_parameters = 185,
  sym__return_type = 186,
  sym_function_definition = 187,
  sym_lambda = 188,
  sym_constructor_definition = 189,
  sym_arguments = 190,
  sym_base_call = 191,
  sym_call = 192,
  aux_sym_source_repeat1 = 193,
  aux_sym_string_repeat1 = 194,
  aux_sym__simple_statements_repeat1 = 195,
  aux_sym_if_statement_repeat1 = 196,
  aux_sym_enumerator_list_repeat1 = 197,
  aux_sym_match_body_repeat1 = 198,
  aux_sym_pattern_section_repeat1 = 199,
  aux_sym_pattern_array_repeat1 = 200,
  aux_sym_pattern_dictionary_repeat1 = 201,
  aux_sym_attribute_repeat1 = 202,
  aux_sym_dictionary_repeat1 = 203,
  aux_sym_array_repeat1 = 204,
  aux_sym_parameters_repeat1 = 205,
  anon_alias_sym_LPAREN_RPAREN = 206,
  anon_alias_sym_body = 207,
  anon_alias_sym_value = 208,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__identifier] = "_identifier",
  [sym_comment] = "comment",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_underscore] = "underscore",
  [sym_static_keyword] = "static_keyword",
  [anon_sym_remote] = "remote",
  [anon_sym_master] = "master",
  [anon_sym_puppet] = "puppet",
  [anon_sym_remotesync] = "remotesync",
  [anon_sym_mastersync] = "mastersync",
  [anon_sym_puppetsync] = "puppetsync",
  [sym_escape_sequence] = "escape_sequence",
  [sym_float] = "float",
  [sym_integer] = "integer",
  [anon_sym_AMP] = "&",
  [sym_node_path] = "node_path",
  [sym_get_node] = "get_node",
  [anon_sym_SEMI] = ";",
  [anon_sym_AT] = "@",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_COLON] = ":",
  [anon_sym_EQ] = "=",
  [anon_sym_set] = "set",
  [anon_sym_get] = "get",
  [anon_sym_COMMA] = ",",
  [anon_sym_setget] = "setget",
  [anon_sym_var] = "var",
  [anon_sym_export] = "export",
  [anon_sym_onready] = "onready",
  [anon_sym_const] = "const",
  [anon_sym_return] = "return",
  [anon_sym_pass] = "pass",
  [anon_sym_break] = "break",
  [sym_breakpoint_statement] = "breakpoint_statement",
  [anon_sym_continue] = "continue",
  [sym_tool_statement] = "tool_statement",
  [anon_sym_signal] = "signal",
  [anon_sym_class_name] = "class_name",
  [anon_sym_extends] = "extends",
  [anon_sym_if] = "if",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_while] = "while",
  [anon_sym_class] = "class",
  [anon_sym_enum] = "enum",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_match] = "match",
  [anon_sym_when] = "when",
  [sym_pattern_open_ending] = "pattern_open_ending",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_and] = "and",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_or] = "or",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_GT] = ">",
  [anon_sym_as] = "as",
  [anon_sym_is] = "is",
  [anon_sym_not] = "not",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DOT] = ".",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_func] = "func",
  [anon_sym__init] = "_init",
  [sym__newline] = "_newline",
  [sym__indent] = "_indent",
  [sym__dedent] = "_dedent",
  [sym__string_start] = "\"",
  [sym__string_content] = "_string_content",
  [sym__string_end] = "\"",
  [sym__body_end] = "_body_end",
  [sym_source] = "source",
  [sym_identifier] = "identifier",
  [sym_name] = "name",
  [sym_remote_keyword] = "remote_keyword",
  [sym_string] = "string",
  [sym_string_name] = "string_name",
  [sym_type] = "type",
  [sym__statement] = "_statement",
  [sym_body] = "body",
  [sym__simple_statements] = "_simple_statements",
  [sym_expression_statement] = "expression_statement",
  [sym_annotation] = "annotation",
  [aux_sym__annotations] = "_annotations",
  [sym_annotations] = "annotations",
  [sym_inferred_type] = "inferred_type",
  [sym__variable_assignment] = "_variable_assignment",
  [sym__variable_inferred_type_assignment] = "_variable_inferred_type_assignment",
  [sym__variable_typed_assignment] = "_variable_typed_assignment",
  [sym__variable_typed_definition] = "_variable_typed_definition",
  [sym_set_body] = "set_body",
  [sym_get_body] = "get_body",
  [sym__set_assign] = "_set_assign",
  [sym__get_assign] = "_get_assign",
  [sym__setget_body] = "_setget_body",
  [sym_setter] = "setter",
  [sym_getter] = "getter",
  [sym_setget] = "setget",
  [sym__variable_statement] = "_variable_statement",
  [sym_variable_statement] = "variable_statement",
  [sym_export_variable_statement] = "export_variable_statement",
  [sym_onready_variable_statement] = "onready_variable_statement",
  [sym_const_statement] = "const_statement",
  [sym_return_statement] = "return_statement",
  [sym_pass_statement] = "pass_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_signal_statement] = "signal_statement",
  [sym_class_name_statement] = "class_name_statement",
  [sym_extends_statement] = "extends_statement",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_for_statement] = "for_statement",
  [sym_while_statement] = "while_statement",
  [sym_class_definition] = "class_definition",
  [sym_enum_definition] = "enum_definition",
  [sym_enumerator_list] = "enumerator_list",
  [sym__enumerator_expression] = "_enumerator_expression",
  [sym_enumerator] = "enumerator",
  [sym_match_statement] = "match_statement",
  [sym_match_body] = "match_body",
  [sym_pattern_guard] = "pattern_guard",
  [sym_pattern_section] = "pattern_section",
  [sym__pattern] = "_pattern",
  [sym_pattern_binding] = "pattern_binding",
  [sym_pattern_array] = "pattern_array",
  [sym_pattern_dictionary] = "pattern_dictionary",
  [sym_pattern_pair] = "pattern_pair",
  [sym__expression] = "_expression",
  [sym__primary_expression] = "_primary_expression",
  [sym__rhs_expression] = "_rhs_expression",
  [sym__attribute_expression] = "_attribute_expression",
  [sym_binary_operator] = "binary_operator",
  [sym_unary_operator] = "unary_operator",
  [sym_subscript] = "subscript",
  [sym_attribute_call] = "attribute_call",
  [sym_attribute_subscript] = "attribute_subscript",
  [sym_attribute] = "attribute",
  [sym_conditional_expression] = "conditional_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_await_expression] = "await_expression",
  [sym_assignment] = "assignment",
  [sym_augmented_assignment] = "augmented_assignment",
  [sym_pair] = "pair",
  [sym_dictionary] = "dictionary",
  [sym_array] = "array",
  [sym_typed_parameter] = "typed_parameter",
  [sym_default_parameter] = "default_parameter",
  [sym_typed_default_parameter] = "typed_default_parameter",
  [sym__parameters] = "_parameters",
  [sym_parameters] = "parameters",
  [sym__return_type] = "_return_type",
  [sym_function_definition] = "function_definition",
  [sym_lambda] = "lambda",
  [sym_constructor_definition] = "constructor_definition",
  [sym_arguments] = "arguments",
  [sym_base_call] = "base_call",
  [sym_call] = "call",
  [aux_sym_source_repeat1] = "source_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym__simple_statements_repeat1] = "_simple_statements_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_enumerator_list_repeat1] = "enumerator_list_repeat1",
  [aux_sym_match_body_repeat1] = "match_body_repeat1",
  [aux_sym_pattern_section_repeat1] = "pattern_section_repeat1",
  [aux_sym_pattern_array_repeat1] = "pattern_array_repeat1",
  [aux_sym_pattern_dictionary_repeat1] = "pattern_dictionary_repeat1",
  [aux_sym_attribute_repeat1] = "attribute_repeat1",
  [aux_sym_dictionary_repeat1] = "dictionary_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_parameters_repeat1] = "parameters_repeat1",
  [anon_alias_sym_LPAREN_RPAREN] = "()",
  [anon_alias_sym_body] = "body",
  [anon_alias_sym_value] = "value",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__identifier] = sym__identifier,
  [sym_comment] = sym_comment,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_underscore] = sym_underscore,
  [sym_static_keyword] = sym_static_keyword,
  [anon_sym_remote] = anon_sym_remote,
  [anon_sym_master] = anon_sym_master,
  [anon_sym_puppet] = anon_sym_puppet,
  [anon_sym_remotesync] = anon_sym_remotesync,
  [anon_sym_mastersync] = anon_sym_mastersync,
  [anon_sym_puppetsync] = anon_sym_puppetsync,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_float] = sym_float,
  [sym_integer] = sym_integer,
  [anon_sym_AMP] = anon_sym_AMP,
  [sym_node_path] = sym_node_path,
  [sym_get_node] = sym_get_node,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_set] = anon_sym_set,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_setget] = anon_sym_setget,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_onready] = anon_sym_onready,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_pass] = anon_sym_pass,
  [anon_sym_break] = anon_sym_break,
  [sym_breakpoint_statement] = sym_breakpoint_statement,
  [anon_sym_continue] = anon_sym_continue,
  [sym_tool_statement] = sym_tool_statement,
  [anon_sym_signal] = anon_sym_signal,
  [anon_sym_class_name] = anon_sym_class_name,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_elif] = anon_sym_elif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_when] = anon_sym_when,
  [sym_pattern_open_ending] = sym_pattern_open_ending,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_func] = anon_sym_func,
  [anon_sym__init] = anon_sym__init,
  [sym__newline] = sym__newline,
  [sym__indent] = sym__indent,
  [sym__dedent] = sym__dedent,
  [sym__string_start] = sym__string_start,
  [sym__string_content] = sym__string_content,
  [sym__string_end] = sym__string_start,
  [sym__body_end] = sym__body_end,
  [sym_source] = sym_source,
  [sym_identifier] = sym_identifier,
  [sym_name] = sym_name,
  [sym_remote_keyword] = sym_remote_keyword,
  [sym_string] = sym_string,
  [sym_string_name] = sym_string_name,
  [sym_type] = sym_type,
  [sym__statement] = sym__statement,
  [sym_body] = sym_body,
  [sym__simple_statements] = sym__simple_statements,
  [sym_expression_statement] = sym_expression_statement,
  [sym_annotation] = sym_annotation,
  [aux_sym__annotations] = aux_sym__annotations,
  [sym_annotations] = sym_annotations,
  [sym_inferred_type] = sym_inferred_type,
  [sym__variable_assignment] = sym__variable_assignment,
  [sym__variable_inferred_type_assignment] = sym__variable_inferred_type_assignment,
  [sym__variable_typed_assignment] = sym__variable_typed_assignment,
  [sym__variable_typed_definition] = sym__variable_typed_definition,
  [sym_set_body] = sym_set_body,
  [sym_get_body] = sym_get_body,
  [sym__set_assign] = sym__set_assign,
  [sym__get_assign] = sym__get_assign,
  [sym__setget_body] = sym__setget_body,
  [sym_setter] = sym_setter,
  [sym_getter] = sym_getter,
  [sym_setget] = sym_setget,
  [sym__variable_statement] = sym__variable_statement,
  [sym_variable_statement] = sym_variable_statement,
  [sym_export_variable_statement] = sym_export_variable_statement,
  [sym_onready_variable_statement] = sym_onready_variable_statement,
  [sym_const_statement] = sym_const_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_pass_statement] = sym_pass_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_signal_statement] = sym_signal_statement,
  [sym_class_name_statement] = sym_class_name_statement,
  [sym_extends_statement] = sym_extends_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_elif_clause] = sym_elif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_for_statement] = sym_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_class_definition] = sym_class_definition,
  [sym_enum_definition] = sym_enum_definition,
  [sym_enumerator_list] = sym_enumerator_list,
  [sym__enumerator_expression] = sym__enumerator_expression,
  [sym_enumerator] = sym_enumerator,
  [sym_match_statement] = sym_match_statement,
  [sym_match_body] = sym_match_body,
  [sym_pattern_guard] = sym_pattern_guard,
  [sym_pattern_section] = sym_pattern_section,
  [sym__pattern] = sym__pattern,
  [sym_pattern_binding] = sym_pattern_binding,
  [sym_pattern_array] = sym_pattern_array,
  [sym_pattern_dictionary] = sym_pattern_dictionary,
  [sym_pattern_pair] = sym_pattern_pair,
  [sym__expression] = sym__expression,
  [sym__primary_expression] = sym__primary_expression,
  [sym__rhs_expression] = sym__rhs_expression,
  [sym__attribute_expression] = sym__attribute_expression,
  [sym_binary_operator] = sym_binary_operator,
  [sym_unary_operator] = sym_unary_operator,
  [sym_subscript] = sym_subscript,
  [sym_attribute_call] = sym_attribute_call,
  [sym_attribute_subscript] = sym_attribute_subscript,
  [sym_attribute] = sym_attribute,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_assignment] = sym_assignment,
  [sym_augmented_assignment] = sym_augmented_assignment,
  [sym_pair] = sym_pair,
  [sym_dictionary] = sym_dictionary,
  [sym_array] = sym_array,
  [sym_typed_parameter] = sym_typed_parameter,
  [sym_default_parameter] = sym_default_parameter,
  [sym_typed_default_parameter] = sym_typed_default_parameter,
  [sym__parameters] = sym__parameters,
  [sym_parameters] = sym_parameters,
  [sym__return_type] = sym__return_type,
  [sym_function_definition] = sym_function_definition,
  [sym_lambda] = sym_lambda,
  [sym_constructor_definition] = sym_constructor_definition,
  [sym_arguments] = sym_arguments,
  [sym_base_call] = sym_base_call,
  [sym_call] = sym_call,
  [aux_sym_source_repeat1] = aux_sym_source_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym__simple_statements_repeat1] = aux_sym__simple_statements_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_enumerator_list_repeat1] = aux_sym_enumerator_list_repeat1,
  [aux_sym_match_body_repeat1] = aux_sym_match_body_repeat1,
  [aux_sym_pattern_section_repeat1] = aux_sym_pattern_section_repeat1,
  [aux_sym_pattern_array_repeat1] = aux_sym_pattern_array_repeat1,
  [aux_sym_pattern_dictionary_repeat1] = aux_sym_pattern_dictionary_repeat1,
  [aux_sym_attribute_repeat1] = aux_sym_attribute_repeat1,
  [aux_sym_dictionary_repeat1] = aux_sym_dictionary_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_parameters_repeat1] = aux_sym_parameters_repeat1,
  [anon_alias_sym_LPAREN_RPAREN] = anon_alias_sym_LPAREN_RPAREN,
  [anon_alias_sym_body] = anon_alias_sym_body,
  [anon_alias_sym_value] = anon_alias_sym_value,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_underscore] = {
    .visible = true,
    .named = true,
  },
  [sym_static_keyword] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_remote] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_master] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_puppet] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_remotesync] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mastersync] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_puppetsync] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [sym_node_path] = {
    .visible = true,
    .named = true,
  },
  [sym_get_node] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_setget] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_onready] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pass] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [sym_breakpoint_statement] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [sym_tool_statement] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_signal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class_name] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = false,
  },
  [sym_pattern_open_ending] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_func] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__init] = {
    .visible = true,
    .named = false,
  },
  [sym__newline] = {
    .visible = false,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym__dedent] = {
    .visible = false,
    .named = true,
  },
  [sym__string_start] = {
    .visible = true,
    .named = false,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym__string_end] = {
    .visible = true,
    .named = false,
  },
  [sym__body_end] = {
    .visible = false,
    .named = true,
  },
  [sym_source] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_name] = {
    .visible = true,
    .named = true,
  },
  [sym_remote_keyword] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_name] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym_body] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_statements] = {
    .visible = false,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__annotations] = {
    .visible = false,
    .named = false,
  },
  [sym_annotations] = {
    .visible = true,
    .named = true,
  },
  [sym_inferred_type] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_assignment] = {
    .visible = false,
    .named = true,
  },
  [sym__variable_inferred_type_assignment] = {
    .visible = false,
    .named = true,
  },
  [sym__variable_typed_assignment] = {
    .visible = false,
    .named = true,
  },
  [sym__variable_typed_definition] = {
    .visible = false,
    .named = true,
  },
  [sym_set_body] = {
    .visible = true,
    .named = true,
  },
  [sym_get_body] = {
    .visible = true,
    .named = true,
  },
  [sym__set_assign] = {
    .visible = false,
    .named = true,
  },
  [sym__get_assign] = {
    .visible = false,
    .named = true,
  },
  [sym__setget_body] = {
    .visible = false,
    .named = true,
  },
  [sym_setter] = {
    .visible = true,
    .named = true,
  },
  [sym_getter] = {
    .visible = true,
    .named = true,
  },
  [sym_setget] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_export_variable_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_onready_variable_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_const_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_pass_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_signal_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_class_name_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym__enumerator_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_match_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_match_body] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern_guard] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern_section] = {
    .visible = true,
    .named = true,
  },
  [sym__pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_pattern_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern_array] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern_dictionary] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern_pair] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__rhs_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__attribute_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_binary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_call] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__parameters] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym__return_type] = {
    .visible = false,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_base_call] = {
    .visible = true,
    .named = true,
  },
  [sym_call] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__simple_statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pattern_section_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pattern_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pattern_dictionary_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dictionary_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [anon_alias_sym_LPAREN_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_body] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_value] = {
    .visible = true,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_body = 2,
  field_condition = 3,
  field_constructor_arguments = 4,
  field_export_arguments = 5,
  field_extends = 6,
  field_get = 7,
  field_icon_path = 8,
  field_key = 9,
  field_left = 10,
  field_name = 11,
  field_op = 12,
  field_parameters = 13,
  field_return_type = 14,
  field_right = 15,
  field_set = 16,
  field_setget = 17,
  field_static = 18,
  field_type = 19,
  field_value = 20,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_constructor_arguments] = "constructor_arguments",
  [field_export_arguments] = "export_arguments",
  [field_extends] = "extends",
  [field_get] = "get",
  [field_icon_path] = "icon_path",
  [field_key] = "key",
  [field_left] = "left",
  [field_name] = "name",
  [field_op] = "op",
  [field_parameters] = "parameters",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_set] = "set",
  [field_setget] = "setget",
  [field_static] = "static",
  [field_type] = "type",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 5},
  [3] = {.index = 5, .length = 1},
  [4] = {.index = 6, .length = 5},
  [5] = {.index = 11, .length = 1},
  [6] = {.index = 12, .length = 2},
  [7] = {.index = 14, .length = 2},
  [8] = {.index = 16, .length = 3},
  [9] = {.index = 19, .length = 2},
  [10] = {.index = 21, .length = 2},
  [11] = {.index = 23, .length = 2},
  [12] = {.index = 25, .length = 5},
  [13] = {.index = 30, .length = 6},
  [14] = {.index = 36, .length = 1},
  [15] = {.index = 37, .length = 2},
  [16] = {.index = 39, .length = 1},
  [17] = {.index = 40, .length = 2},
  [18] = {.index = 42, .length = 3},
  [19] = {.index = 45, .length = 3},
  [20] = {.index = 48, .length = 4},
  [21] = {.index = 52, .length = 3},
  [22] = {.index = 55, .length = 1},
  [23] = {.index = 56, .length = 1},
  [24] = {.index = 57, .length = 2},
  [25] = {.index = 59, .length = 3},
  [26] = {.index = 62, .length = 4},
  [27] = {.index = 66, .length = 6},
  [28] = {.index = 72, .length = 1},
  [29] = {.index = 73, .length = 2},
  [30] = {.index = 75, .length = 2},
  [31] = {.index = 77, .length = 2},
  [32] = {.index = 79, .length = 2},
  [33] = {.index = 81, .length = 2},
  [34] = {.index = 83, .length = 1},
  [35] = {.index = 84, .length = 2},
  [36] = {.index = 86, .length = 2},
  [37] = {.index = 88, .length = 3},
  [38] = {.index = 91, .length = 2},
  [39] = {.index = 93, .length = 4},
  [40] = {.index = 97, .length = 4},
  [41] = {.index = 101, .length = 5},
  [42] = {.index = 106, .length = 2},
  [43] = {.index = 108, .length = 1},
  [44] = {.index = 109, .length = 3},
  [45] = {.index = 112, .length = 3},
  [46] = {.index = 115, .length = 3},
  [47] = {.index = 118, .length = 1},
  [48] = {.index = 119, .length = 1},
  [49] = {.index = 120, .length = 3},
  [50] = {.index = 123, .length = 3},
  [51] = {.index = 126, .length = 3},
  [52] = {.index = 129, .length = 4},
  [53] = {.index = 133, .length = 3},
  [54] = {.index = 136, .length = 3},
  [55] = {.index = 139, .length = 4},
  [56] = {.index = 143, .length = 3},
  [57] = {.index = 146, .length = 3},
  [58] = {.index = 149, .length = 2},
  [59] = {.index = 151, .length = 1},
  [60] = {.index = 152, .length = 1},
  [61] = {.index = 153, .length = 2},
  [62] = {.index = 155, .length = 1},
  [63] = {.index = 156, .length = 4},
  [64] = {.index = 160, .length = 2},
  [65] = {.index = 162, .length = 3},
  [66] = {.index = 165, .length = 4},
  [67] = {.index = 169, .length = 4},
  [68] = {.index = 173, .length = 5},
  [69] = {.index = 178, .length = 4},
  [70] = {.index = 182, .length = 3},
  [71] = {.index = 185, .length = 3},
  [73] = {.index = 188, .length = 2},
  [74] = {.index = 190, .length = 2},
  [75] = {.index = 192, .length = 1},
  [76] = {.index = 193, .length = 1},
  [77] = {.index = 194, .length = 2},
  [78] = {.index = 196, .length = 3},
  [79] = {.index = 199, .length = 3},
  [80] = {.index = 202, .length = 4},
  [83] = {.index = 206, .length = 2},
  [84] = {.index = 208, .length = 2},
  [85] = {.index = 210, .length = 4},
  [86] = {.index = 214, .length = 1},
  [87] = {.index = 215, .length = 1},
  [88] = {.index = 216, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 0, .inherited = true},
    {field_setget, 0, .inherited = true},
    {field_static, 0, .inherited = true},
    {field_type, 0, .inherited = true},
    {field_value, 0, .inherited = true},
  [5] =
    {field_name, 1},
  [6] =
    {field_name, 1, .inherited = true},
    {field_setget, 1, .inherited = true},
    {field_static, 1, .inherited = true},
    {field_type, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [11] =
    {field_body, 1},
  [12] =
    {field_name, 2},
    {field_static, 0},
  [14] =
    {field_name, 1},
    {field_value, 2, .inherited = true},
  [16] =
    {field_name, 1},
    {field_type, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [19] =
    {field_type, 0, .inherited = true},
    {field_value, 0, .inherited = true},
  [21] =
    {field_get, 0, .inherited = true},
    {field_set, 0, .inherited = true},
  [23] =
    {field_name, 1},
    {field_setget, 2},
  [25] =
    {field_name, 2, .inherited = true},
    {field_setget, 2, .inherited = true},
    {field_static, 2, .inherited = true},
    {field_type, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [30] =
    {field_export_arguments, 1},
    {field_name, 2, .inherited = true},
    {field_setget, 2, .inherited = true},
    {field_static, 2, .inherited = true},
    {field_type, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [36] =
    {field_left, 0},
  [37] =
    {field_body, 2},
    {field_name, 1},
  [39] =
    {field_name, 2},
  [40] =
    {field_left, 0},
    {field_right, 2},
  [42] =
    {field_left, 0},
    {field_op, 1},
    {field_right, 2},
  [45] =
    {field_name, 2},
    {field_static, 0},
    {field_value, 3, .inherited = true},
  [48] =
    {field_name, 2},
    {field_static, 0},
    {field_type, 3, .inherited = true},
    {field_value, 3, .inherited = true},
  [52] =
    {field_name, 2},
    {field_setget, 3},
    {field_static, 0},
  [55] =
    {field_type, 1},
  [56] =
    {field_value, 1},
  [57] =
    {field_type, 0},
    {field_value, 1},
  [59] =
    {field_name, 1},
    {field_setget, 3},
    {field_value, 2, .inherited = true},
  [62] =
    {field_name, 1},
    {field_setget, 3},
    {field_type, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [66] =
    {field_export_arguments, 1},
    {field_name, 3, .inherited = true},
    {field_setget, 3, .inherited = true},
    {field_static, 3, .inherited = true},
    {field_type, 3, .inherited = true},
    {field_value, 3, .inherited = true},
  [72] =
    {field_icon_path, 3},
  [73] =
    {field_body, 3},
    {field_condition, 1},
  [75] =
    {field_body, 3},
    {field_name, 1},
  [77] =
    {field_key, 0},
    {field_value, 2},
  [79] =
    {field_body, 3},
    {field_value, 1},
  [81] =
    {field_body, 3},
    {field_parameters, 1},
  [83] =
    {field_return_type, 1},
  [84] =
    {field_name, 3},
    {field_static, 1},
  [86] =
    {field_name, 2},
    {field_value, 3, .inherited = true},
  [88] =
    {field_name, 2},
    {field_type, 3, .inherited = true},
    {field_value, 3, .inherited = true},
  [91] =
    {field_name, 2},
    {field_setget, 3},
  [93] =
    {field_left, 0},
    {field_op, 1},
    {field_op, 2},
    {field_right, 3},
  [97] =
    {field_name, 2},
    {field_setget, 4},
    {field_static, 0},
    {field_value, 3, .inherited = true},
  [101] =
    {field_name, 2},
    {field_setget, 4},
    {field_static, 0},
    {field_type, 3, .inherited = true},
    {field_value, 3, .inherited = true},
  [106] =
    {field_body, 4},
    {field_parameters, 2},
  [108] =
    {field_alternative, 0},
  [109] =
    {field_alternative, 4},
    {field_body, 3},
    {field_condition, 1},
  [112] =
    {field_alternative, 4, .inherited = true},
    {field_body, 3},
    {field_condition, 1},
  [115] =
    {field_body, 4},
    {field_extends, 2},
    {field_name, 1},
  [118] =
    {field_type, 2},
  [119] =
    {field_value, 2},
  [120] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
  [123] =
    {field_body, 4},
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [126] =
    {field_name, 3},
    {field_static, 1},
    {field_value, 4, .inherited = true},
  [129] =
    {field_name, 3},
    {field_static, 1},
    {field_type, 4, .inherited = true},
    {field_value, 4, .inherited = true},
  [133] =
    {field_name, 3},
    {field_setget, 4},
    {field_static, 1},
  [136] =
    {field_name, 2},
    {field_setget, 4},
    {field_value, 3, .inherited = true},
  [139] =
    {field_name, 2},
    {field_setget, 4},
    {field_type, 3, .inherited = true},
    {field_value, 3, .inherited = true},
  [143] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
  [146] =
    {field_body, 5},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [149] =
    {field_body, 5},
    {field_parameters, 3},
  [151] =
    {field_set, 2},
  [152] =
    {field_get, 2},
  [153] =
    {field_type, 1},
    {field_value, 3},
  [155] =
    {field_return_type, 2, .inherited = true},
  [156] =
    {field_alternative, 4, .inherited = true},
    {field_alternative, 5},
    {field_body, 3},
    {field_condition, 1},
  [160] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [162] =
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [165] =
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [169] =
    {field_name, 3},
    {field_setget, 5},
    {field_static, 1},
    {field_value, 4, .inherited = true},
  [173] =
    {field_name, 3},
    {field_setget, 5},
    {field_static, 1},
    {field_type, 4, .inherited = true},
    {field_value, 4, .inherited = true},
  [178] =
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [182] =
    {field_body, 6},
    {field_name, 3},
    {field_parameters, 4},
  [185] =
    {field_body, 6},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [188] =
    {field_get, 3},
    {field_set, 2},
  [190] =
    {field_get, 2},
    {field_set, 3},
  [192] =
    {field_return_type, 3, .inherited = true},
  [193] =
    {field_body, 2},
  [194] =
    {field_type, 2},
    {field_value, 4},
  [196] =
    {field_body, 6},
    {field_constructor_arguments, 4},
    {field_parameters, 2},
  [199] =
    {field_body, 6},
    {field_parameters, 2},
    {field_return_type, 4},
  [202] =
    {field_body, 7},
    {field_name, 3},
    {field_parameters, 4},
    {field_return_type, 5, .inherited = true},
  [206] =
    {field_get, 4, .inherited = true},
    {field_set, 2, .inherited = true},
  [208] =
    {field_get, 2, .inherited = true},
    {field_set, 4, .inherited = true},
  [210] =
    {field_body, 7},
    {field_left, 1},
    {field_right, 5},
    {field_type, 3},
  [214] =
    {field_body, 3},
  [215] =
    {field_body, 4},
  [216] =
    {field_body, 8},
    {field_constructor_arguments, 4},
    {field_parameters, 2},
    {field_return_type, 6},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [2] = {
    [1] = anon_alias_sym_value,
  },
  [72] = {
    [2] = anon_alias_sym_body,
  },
  [81] = {
    [3] = anon_alias_sym_body,
  },
  [82] = {
    [1] = anon_alias_sym_LPAREN_RPAREN,
    [3] = anon_alias_sym_body,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_string, 2,
    sym_string,
    anon_alias_sym_value,
  sym_body, 2,
    sym_body,
    anon_alias_sym_body,
  sym_parameters, 2,
    sym_parameters,
    anon_alias_sym_LPAREN_RPAREN,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 5,
  [6] = 6,
  [7] = 5,
  [8] = 5,
  [9] = 2,
  [10] = 5,
  [11] = 2,
  [12] = 5,
  [13] = 2,
  [14] = 5,
  [15] = 2,
  [16] = 5,
  [17] = 2,
  [18] = 5,
  [19] = 2,
  [20] = 5,
  [21] = 2,
  [22] = 5,
  [23] = 6,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 26,
  [53] = 27,
  [54] = 28,
  [55] = 29,
  [56] = 30,
  [57] = 33,
  [58] = 35,
  [59] = 36,
  [60] = 37,
  [61] = 40,
  [62] = 41,
  [63] = 44,
  [64] = 25,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 65,
  [72] = 72,
  [73] = 32,
  [74] = 69,
  [75] = 66,
  [76] = 70,
  [77] = 65,
  [78] = 67,
  [79] = 32,
  [80] = 69,
  [81] = 68,
  [82] = 70,
  [83] = 65,
  [84] = 69,
  [85] = 32,
  [86] = 69,
  [87] = 70,
  [88] = 65,
  [89] = 32,
  [90] = 69,
  [91] = 70,
  [92] = 65,
  [93] = 32,
  [94] = 45,
  [95] = 46,
  [96] = 70,
  [97] = 47,
  [98] = 48,
  [99] = 49,
  [100] = 50,
  [101] = 51,
  [102] = 72,
  [103] = 103,
  [104] = 104,
  [105] = 103,
  [106] = 104,
  [107] = 103,
  [108] = 104,
  [109] = 103,
  [110] = 104,
  [111] = 103,
  [112] = 103,
  [113] = 103,
  [114] = 104,
  [115] = 103,
  [116] = 104,
  [117] = 104,
  [118] = 103,
  [119] = 104,
  [120] = 104,
  [121] = 103,
  [122] = 104,
  [123] = 123,
  [124] = 124,
  [125] = 125,
  [126] = 124,
  [127] = 127,
  [128] = 125,
  [129] = 127,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 134,
  [139] = 132,
  [140] = 137,
  [141] = 136,
  [142] = 131,
  [143] = 130,
  [144] = 135,
  [145] = 133,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 170,
  [178] = 168,
  [179] = 173,
  [180] = 174,
  [181] = 175,
  [182] = 176,
  [183] = 147,
  [184] = 169,
  [185] = 149,
  [186] = 171,
  [187] = 172,
  [188] = 150,
  [189] = 151,
  [190] = 148,
  [191] = 152,
  [192] = 153,
  [193] = 154,
  [194] = 155,
  [195] = 156,
  [196] = 157,
  [197] = 158,
  [198] = 159,
  [199] = 160,
  [200] = 161,
  [201] = 162,
  [202] = 163,
  [203] = 164,
  [204] = 146,
  [205] = 165,
  [206] = 166,
  [207] = 167,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 214,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 217,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 253,
  [255] = 253,
  [256] = 256,
  [257] = 210,
  [258] = 258,
  [259] = 253,
  [260] = 256,
  [261] = 253,
  [262] = 258,
  [263] = 253,
  [264] = 256,
  [265] = 209,
  [266] = 258,
  [267] = 256,
  [268] = 253,
  [269] = 256,
  [270] = 256,
  [271] = 258,
  [272] = 212,
  [273] = 258,
  [274] = 258,
  [275] = 258,
  [276] = 256,
  [277] = 211,
  [278] = 278,
  [279] = 279,
  [280] = 279,
  [281] = 279,
  [282] = 282,
  [283] = 282,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 285,
  [288] = 279,
  [289] = 285,
  [290] = 290,
  [291] = 290,
  [292] = 282,
  [293] = 282,
  [294] = 285,
  [295] = 279,
  [296] = 284,
  [297] = 284,
  [298] = 279,
  [299] = 284,
  [300] = 282,
  [301] = 284,
  [302] = 284,
  [303] = 285,
  [304] = 278,
  [305] = 290,
  [306] = 278,
  [307] = 278,
  [308] = 285,
  [309] = 279,
  [310] = 278,
  [311] = 290,
  [312] = 282,
  [313] = 284,
  [314] = 290,
  [315] = 278,
  [316] = 278,
  [317] = 290,
  [318] = 290,
  [319] = 285,
  [320] = 282,
  [321] = 321,
  [322] = 321,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 324,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 324,
  [332] = 328,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 321,
  [337] = 321,
  [338] = 321,
  [339] = 321,
  [340] = 321,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 342,
  [345] = 342,
  [346] = 343,
  [347] = 347,
  [348] = 348,
  [349] = 343,
  [350] = 350,
  [351] = 342,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 343,
  [356] = 356,
  [357] = 343,
  [358] = 343,
  [359] = 359,
  [360] = 356,
  [361] = 354,
  [362] = 347,
  [363] = 350,
  [364] = 342,
  [365] = 359,
  [366] = 356,
  [367] = 343,
  [368] = 359,
  [369] = 356,
  [370] = 359,
  [371] = 359,
  [372] = 356,
  [373] = 342,
  [374] = 359,
  [375] = 356,
  [376] = 342,
  [377] = 359,
  [378] = 356,
  [379] = 353,
  [380] = 348,
  [381] = 352,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 385,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 389,
  [392] = 388,
  [393] = 208,
  [394] = 394,
  [395] = 395,
  [396] = 386,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 397,
  [403] = 403,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 398,
  [409] = 399,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 400,
  [415] = 410,
  [416] = 401,
  [417] = 397,
  [418] = 403,
  [419] = 404,
  [420] = 405,
  [421] = 406,
  [422] = 407,
  [423] = 398,
  [424] = 399,
  [425] = 410,
  [426] = 411,
  [427] = 412,
  [428] = 413,
  [429] = 411,
  [430] = 400,
  [431] = 401,
  [432] = 397,
  [433] = 403,
  [434] = 404,
  [435] = 405,
  [436] = 406,
  [437] = 407,
  [438] = 398,
  [439] = 399,
  [440] = 410,
  [441] = 411,
  [442] = 412,
  [443] = 413,
  [444] = 412,
  [445] = 400,
  [446] = 401,
  [447] = 397,
  [448] = 403,
  [449] = 404,
  [450] = 405,
  [451] = 406,
  [452] = 407,
  [453] = 398,
  [454] = 399,
  [455] = 410,
  [456] = 411,
  [457] = 412,
  [458] = 413,
  [459] = 400,
  [460] = 407,
  [461] = 397,
  [462] = 403,
  [463] = 404,
  [464] = 405,
  [465] = 406,
  [466] = 407,
  [467] = 398,
  [468] = 399,
  [469] = 410,
  [470] = 411,
  [471] = 412,
  [472] = 413,
  [473] = 400,
  [474] = 400,
  [475] = 401,
  [476] = 397,
  [477] = 403,
  [478] = 404,
  [479] = 405,
  [480] = 406,
  [481] = 407,
  [482] = 398,
  [483] = 399,
  [484] = 410,
  [485] = 411,
  [486] = 412,
  [487] = 413,
  [488] = 488,
  [489] = 488,
  [490] = 488,
  [491] = 401,
  [492] = 488,
  [493] = 403,
  [494] = 488,
  [495] = 404,
  [496] = 413,
  [497] = 488,
  [498] = 488,
  [499] = 405,
  [500] = 406,
  [501] = 401,
  [502] = 502,
  [503] = 208,
  [504] = 223,
  [505] = 217,
  [506] = 217,
  [507] = 218,
  [508] = 223,
  [509] = 218,
  [510] = 510,
  [511] = 232,
  [512] = 214,
  [513] = 216,
  [514] = 220,
  [515] = 226,
  [516] = 215,
  [517] = 217,
  [518] = 224,
  [519] = 228,
  [520] = 225,
  [521] = 227,
  [522] = 214,
  [523] = 216,
  [524] = 220,
  [525] = 226,
  [526] = 215,
  [527] = 219,
  [528] = 229,
  [529] = 219,
  [530] = 230,
  [531] = 218,
  [532] = 223,
  [533] = 221,
  [534] = 217,
  [535] = 229,
  [536] = 217,
  [537] = 217,
  [538] = 217,
  [539] = 213,
  [540] = 213,
  [541] = 230,
  [542] = 215,
  [543] = 233,
  [544] = 213,
  [545] = 209,
  [546] = 230,
  [547] = 250,
  [548] = 221,
  [549] = 219,
  [550] = 210,
  [551] = 226,
  [552] = 236,
  [553] = 229,
  [554] = 224,
  [555] = 228,
  [556] = 225,
  [557] = 227,
  [558] = 214,
  [559] = 216,
  [560] = 220,
  [561] = 226,
  [562] = 215,
  [563] = 219,
  [564] = 229,
  [565] = 208,
  [566] = 230,
  [567] = 212,
  [568] = 233,
  [569] = 224,
  [570] = 218,
  [571] = 228,
  [572] = 250,
  [573] = 221,
  [574] = 232,
  [575] = 225,
  [576] = 223,
  [577] = 227,
  [578] = 221,
  [579] = 213,
  [580] = 217,
  [581] = 224,
  [582] = 228,
  [583] = 225,
  [584] = 227,
  [585] = 214,
  [586] = 236,
  [587] = 216,
  [588] = 220,
  [589] = 211,
  [590] = 250,
  [591] = 240,
  [592] = 241,
  [593] = 213,
  [594] = 238,
  [595] = 231,
  [596] = 213,
  [597] = 234,
  [598] = 249,
  [599] = 237,
  [600] = 212,
  [601] = 246,
  [602] = 247,
  [603] = 245,
  [604] = 251,
  [605] = 224,
  [606] = 228,
  [607] = 225,
  [608] = 227,
  [609] = 214,
  [610] = 216,
  [611] = 220,
  [612] = 226,
  [613] = 215,
  [614] = 219,
  [615] = 229,
  [616] = 230,
  [617] = 218,
  [618] = 223,
  [619] = 221,
  [620] = 248,
  [621] = 238,
  [622] = 231,
  [623] = 249,
  [624] = 252,
  [625] = 242,
  [626] = 244,
  [627] = 224,
  [628] = 228,
  [629] = 225,
  [630] = 227,
  [631] = 214,
  [632] = 216,
  [633] = 220,
  [634] = 226,
  [635] = 215,
  [636] = 234,
  [637] = 219,
  [638] = 237,
  [639] = 212,
  [640] = 246,
  [641] = 247,
  [642] = 245,
  [643] = 251,
  [644] = 229,
  [645] = 252,
  [646] = 230,
  [647] = 218,
  [648] = 223,
  [649] = 221,
  [650] = 233,
  [651] = 209,
  [652] = 235,
  [653] = 239,
  [654] = 239,
  [655] = 210,
  [656] = 240,
  [657] = 241,
  [658] = 211,
  [659] = 236,
  [660] = 217,
  [661] = 217,
  [662] = 248,
  [663] = 217,
  [664] = 248,
  [665] = 238,
  [666] = 231,
  [667] = 249,
  [668] = 252,
  [669] = 502,
  [670] = 242,
  [671] = 244,
  [672] = 238,
  [673] = 231,
  [674] = 249,
  [675] = 252,
  [676] = 242,
  [677] = 244,
  [678] = 242,
  [679] = 244,
  [680] = 234,
  [681] = 237,
  [682] = 246,
  [683] = 247,
  [684] = 245,
  [685] = 251,
  [686] = 233,
  [687] = 208,
  [688] = 209,
  [689] = 234,
  [690] = 217,
  [691] = 237,
  [692] = 246,
  [693] = 247,
  [694] = 245,
  [695] = 251,
  [696] = 235,
  [697] = 239,
  [698] = 235,
  [699] = 239,
  [700] = 250,
  [701] = 701,
  [702] = 248,
  [703] = 232,
  [704] = 210,
  [705] = 240,
  [706] = 706,
  [707] = 240,
  [708] = 241,
  [709] = 241,
  [710] = 211,
  [711] = 236,
  [712] = 235,
  [713] = 232,
  [714] = 237,
  [715] = 236,
  [716] = 245,
  [717] = 251,
  [718] = 242,
  [719] = 231,
  [720] = 249,
  [721] = 252,
  [722] = 242,
  [723] = 244,
  [724] = 234,
  [725] = 502,
  [726] = 234,
  [727] = 237,
  [728] = 510,
  [729] = 233,
  [730] = 212,
  [731] = 209,
  [732] = 235,
  [733] = 239,
  [734] = 250,
  [735] = 246,
  [736] = 232,
  [737] = 210,
  [738] = 240,
  [739] = 241,
  [740] = 233,
  [741] = 211,
  [742] = 252,
  [743] = 235,
  [744] = 239,
  [745] = 250,
  [746] = 236,
  [747] = 232,
  [748] = 210,
  [749] = 208,
  [750] = 240,
  [751] = 247,
  [752] = 212,
  [753] = 241,
  [754] = 245,
  [755] = 251,
  [756] = 248,
  [757] = 244,
  [758] = 238,
  [759] = 211,
  [760] = 760,
  [761] = 246,
  [762] = 208,
  [763] = 248,
  [764] = 238,
  [765] = 231,
  [766] = 247,
  [767] = 249,
  [768] = 209,
  [769] = 769,
  [770] = 769,
  [771] = 769,
  [772] = 701,
  [773] = 769,
  [774] = 769,
  [775] = 775,
  [776] = 510,
  [777] = 769,
  [778] = 769,
  [779] = 779,
  [780] = 502,
  [781] = 779,
  [782] = 779,
  [783] = 779,
  [784] = 510,
  [785] = 785,
  [786] = 786,
  [787] = 787,
  [788] = 788,
  [789] = 787,
  [790] = 790,
  [791] = 791,
  [792] = 791,
  [793] = 790,
  [794] = 791,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 130,
  [811] = 133,
  [812] = 132,
  [813] = 136,
  [814] = 814,
  [815] = 137,
  [816] = 131,
  [817] = 817,
  [818] = 817,
  [819] = 817,
  [820] = 817,
  [821] = 817,
  [822] = 817,
  [823] = 817,
  [824] = 817,
  [825] = 825,
  [826] = 817,
  [827] = 827,
  [828] = 817,
  [829] = 829,
  [830] = 830,
  [831] = 831,
  [832] = 831,
  [833] = 833,
  [834] = 834,
  [835] = 835,
  [836] = 836,
  [837] = 837,
  [838] = 838,
  [839] = 839,
  [840] = 840,
  [841] = 841,
  [842] = 842,
  [843] = 843,
  [844] = 844,
  [845] = 845,
  [846] = 846,
  [847] = 847,
  [848] = 843,
  [849] = 841,
  [850] = 850,
  [851] = 851,
  [852] = 852,
  [853] = 853,
  [854] = 854,
  [855] = 842,
  [856] = 856,
  [857] = 857,
  [858] = 827,
  [859] = 859,
  [860] = 860,
  [861] = 861,
  [862] = 862,
  [863] = 863,
  [864] = 825,
  [865] = 859,
  [866] = 830,
  [867] = 133,
  [868] = 868,
  [869] = 869,
  [870] = 870,
  [871] = 871,
  [872] = 872,
  [873] = 136,
  [874] = 874,
  [875] = 131,
  [876] = 137,
  [877] = 877,
  [878] = 878,
  [879] = 132,
  [880] = 880,
  [881] = 881,
  [882] = 882,
  [883] = 883,
  [884] = 130,
  [885] = 883,
  [886] = 886,
  [887] = 887,
  [888] = 830,
  [889] = 889,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 889,
  [895] = 887,
  [896] = 890,
  [897] = 897,
  [898] = 891,
  [899] = 891,
  [900] = 900,
  [901] = 891,
  [902] = 887,
  [903] = 889,
  [904] = 838,
  [905] = 891,
  [906] = 906,
  [907] = 891,
  [908] = 908,
  [909] = 909,
  [910] = 893,
  [911] = 890,
  [912] = 909,
  [913] = 913,
  [914] = 914,
  [915] = 913,
  [916] = 891,
  [917] = 890,
  [918] = 918,
  [919] = 887,
  [920] = 918,
  [921] = 918,
  [922] = 918,
  [923] = 887,
  [924] = 887,
  [925] = 925,
  [926] = 891,
  [927] = 927,
  [928] = 890,
  [929] = 889,
  [930] = 889,
  [931] = 890,
  [932] = 887,
  [933] = 891,
  [934] = 889,
  [935] = 935,
  [936] = 887,
  [937] = 918,
  [938] = 891,
  [939] = 887,
  [940] = 890,
  [941] = 941,
  [942] = 927,
  [943] = 889,
  [944] = 941,
  [945] = 906,
  [946] = 918,
  [947] = 906,
  [948] = 887,
  [949] = 906,
  [950] = 906,
  [951] = 906,
  [952] = 952,
  [953] = 889,
  [954] = 918,
  [955] = 918,
  [956] = 956,
  [957] = 957,
  [958] = 801,
  [959] = 959,
  [960] = 960,
  [961] = 961,
  [962] = 962,
  [963] = 963,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 972,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 133,
  [978] = 799,
  [979] = 979,
  [980] = 136,
  [981] = 799,
  [982] = 132,
  [983] = 208,
  [984] = 249,
  [985] = 137,
  [986] = 237,
  [987] = 131,
  [988] = 130,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 796,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 956,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 801,
  [1008] = 967,
  [1009] = 979,
  [1010] = 1010,
  [1011] = 991,
  [1012] = 999,
  [1013] = 1000,
  [1014] = 1005,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 966,
  [1023] = 1003,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 959,
  [1030] = 962,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 994,
  [1034] = 1001,
  [1035] = 1002,
  [1036] = 956,
  [1037] = 979,
  [1038] = 1038,
  [1039] = 991,
  [1040] = 1040,
  [1041] = 1018,
  [1042] = 1042,
  [1043] = 1027,
  [1044] = 1028,
  [1045] = 959,
  [1046] = 962,
  [1047] = 1001,
  [1048] = 1048,
  [1049] = 796,
  [1050] = 1050,
  [1051] = 1001,
  [1052] = 1002,
  [1053] = 956,
  [1054] = 862,
  [1055] = 979,
  [1056] = 1056,
  [1057] = 991,
  [1058] = 1018,
  [1059] = 1059,
  [1060] = 801,
  [1061] = 1061,
  [1062] = 1016,
  [1063] = 1002,
  [1064] = 1064,
  [1065] = 965,
  [1066] = 1017,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1001,
  [1072] = 1002,
  [1073] = 956,
  [1074] = 1074,
  [1075] = 979,
  [1076] = 1076,
  [1077] = 991,
  [1078] = 1078,
  [1079] = 1018,
  [1080] = 956,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1056,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1001,
  [1087] = 1002,
  [1088] = 1088,
  [1089] = 799,
  [1090] = 979,
  [1091] = 991,
  [1092] = 1018,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 799,
  [1096] = 1096,
  [1097] = 1018,
  [1098] = 1098,
  [1099] = 1001,
  [1100] = 1002,
  [1101] = 956,
  [1102] = 1102,
  [1103] = 979,
  [1104] = 991,
  [1105] = 1018,
  [1106] = 862,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 1027,
  [1115] = 1028,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1031,
  [1121] = 1032,
  [1122] = 1122,
  [1123] = 1038,
  [1124] = 1119,
  [1125] = 1108,
  [1126] = 1102,
  [1127] = 1127,
  [1128] = 1122,
  [1129] = 1129,
  [1130] = 796,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 862,
  [1135] = 1119,
  [1136] = 1102,
  [1137] = 1137,
  [1138] = 1020,
  [1139] = 1119,
  [1140] = 1102,
  [1141] = 1141,
  [1142] = 1119,
  [1143] = 1102,
  [1144] = 801,
  [1145] = 1145,
  [1146] = 1119,
  [1147] = 1102,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1129,
  [1151] = 1151,
  [1152] = 796,
  [1153] = 1107,
  [1154] = 1064,
  [1155] = 1155,
  [1156] = 799,
  [1157] = 1157,
  [1158] = 1157,
  [1159] = 132,
  [1160] = 1160,
  [1161] = 1161,
  [1162] = 1042,
  [1163] = 1163,
  [1164] = 130,
  [1165] = 1161,
  [1166] = 801,
  [1167] = 862,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1163,
  [1171] = 1163,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 137,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 872,
  [1181] = 1181,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1175,
  [1185] = 877,
  [1186] = 1112,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 1113,
  [1190] = 1161,
  [1191] = 1191,
  [1192] = 1175,
  [1193] = 1163,
  [1194] = 1116,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1196,
  [1198] = 881,
  [1199] = 1175,
  [1200] = 131,
  [1201] = 957,
  [1202] = 1202,
  [1203] = 1181,
  [1204] = 1182,
  [1205] = 1181,
  [1206] = 1182,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1161,
  [1210] = 1210,
  [1211] = 1042,
  [1212] = 961,
  [1213] = 1163,
  [1214] = 1214,
  [1215] = 130,
  [1216] = 1216,
  [1217] = 1175,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 133,
  [1223] = 1181,
  [1224] = 1182,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 871,
  [1229] = 136,
  [1230] = 1230,
  [1231] = 872,
  [1232] = 877,
  [1233] = 1161,
  [1234] = 881,
  [1235] = 1163,
  [1236] = 132,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1239,
  [1240] = 1175,
  [1241] = 137,
  [1242] = 796,
  [1243] = 1112,
  [1244] = 1181,
  [1245] = 1181,
  [1246] = 1182,
  [1247] = 1113,
  [1248] = 1157,
  [1249] = 972,
  [1250] = 1116,
  [1251] = 131,
  [1252] = 1252,
  [1253] = 801,
  [1254] = 1254,
  [1255] = 1163,
  [1256] = 1182,
  [1257] = 1187,
  [1258] = 1163,
  [1259] = 1259,
  [1260] = 1208,
  [1261] = 1210,
  [1262] = 957,
  [1263] = 961,
  [1264] = 1264,
  [1265] = 1163,
  [1266] = 1237,
  [1267] = 1155,
  [1268] = 1254,
  [1269] = 972,
  [1270] = 1163,
  [1271] = 1163,
  [1272] = 1163,
  [1273] = 1163,
  [1274] = 1195,
  [1275] = 974,
  [1276] = 1264,
  [1277] = 1277,
  [1278] = 130,
  [1279] = 974,
  [1280] = 1168,
  [1281] = 1281,
  [1282] = 1282,
  [1283] = 1218,
  [1284] = 1284,
  [1285] = 1161,
  [1286] = 1281,
  [1287] = 1287,
  [1288] = 1191,
  [1289] = 1161,
  [1290] = 1277,
  [1291] = 1214,
  [1292] = 1282,
  [1293] = 1252,
  [1294] = 1294,
  [1295] = 1163,
  [1296] = 1195,
  [1297] = 133,
  [1298] = 1298,
  [1299] = 1178,
  [1300] = 131,
  [1301] = 796,
  [1302] = 1195,
  [1303] = 1175,
  [1304] = 133,
  [1305] = 871,
  [1306] = 1306,
  [1307] = 1195,
  [1308] = 1284,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1311,
  [1312] = 830,
  [1313] = 1195,
  [1314] = 862,
  [1315] = 871,
  [1316] = 1181,
  [1317] = 1182,
  [1318] = 136,
  [1319] = 1195,
  [1320] = 1320,
  [1321] = 799,
  [1322] = 1322,
  [1323] = 872,
  [1324] = 877,
  [1325] = 1230,
  [1326] = 132,
  [1327] = 881,
  [1328] = 1287,
  [1329] = 1329,
  [1330] = 1155,
  [1331] = 1155,
  [1332] = 1155,
  [1333] = 136,
  [1334] = 1155,
  [1335] = 1335,
  [1336] = 1160,
  [1337] = 1188,
  [1338] = 137,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1343,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1347,
  [1348] = 1348,
  [1349] = 1349,
  [1350] = 1347,
  [1351] = 1351,
  [1352] = 132,
  [1353] = 1353,
  [1354] = 1354,
  [1355] = 1355,
  [1356] = 877,
  [1357] = 1357,
  [1358] = 1351,
  [1359] = 1359,
  [1360] = 1019,
  [1361] = 952,
  [1362] = 1362,
  [1363] = 130,
  [1364] = 1364,
  [1365] = 1341,
  [1366] = 137,
  [1367] = 131,
  [1368] = 1353,
  [1369] = 1347,
  [1370] = 1351,
  [1371] = 1347,
  [1372] = 133,
  [1373] = 130,
  [1374] = 1353,
  [1375] = 1347,
  [1376] = 1376,
  [1377] = 1353,
  [1378] = 1355,
  [1379] = 1351,
  [1380] = 1346,
  [1381] = 881,
  [1382] = 952,
  [1383] = 1364,
  [1384] = 1384,
  [1385] = 136,
  [1386] = 1353,
  [1387] = 1387,
  [1388] = 872,
  [1389] = 1389,
  [1390] = 1389,
  [1391] = 1391,
  [1392] = 881,
  [1393] = 133,
  [1394] = 1394,
  [1395] = 1353,
  [1396] = 1396,
  [1397] = 1351,
  [1398] = 1398,
  [1399] = 1347,
  [1400] = 1391,
  [1401] = 1026,
  [1402] = 1396,
  [1403] = 131,
  [1404] = 1394,
  [1405] = 1405,
  [1406] = 136,
  [1407] = 137,
  [1408] = 1408,
  [1409] = 1384,
  [1410] = 1410,
  [1411] = 1411,
  [1412] = 1019,
  [1413] = 1347,
  [1414] = 1376,
  [1415] = 1344,
  [1416] = 1416,
  [1417] = 1417,
  [1418] = 871,
  [1419] = 1419,
  [1420] = 872,
  [1421] = 1421,
  [1422] = 871,
  [1423] = 1349,
  [1424] = 1340,
  [1425] = 132,
  [1426] = 877,
  [1427] = 1427,
  [1428] = 1428,
  [1429] = 1357,
  [1430] = 1351,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(51);
      ADVANCE_MAP(
        '!', 119,
        '#', 53,
        '%', 100,
        '&', 69,
        '(', 123,
        ')', 124,
        '*', 96,
        '+', 91,
        ',', 82,
        '-', 93,
        '.', 122,
        '/', 98,
        '0', 62,
        ':', 79,
        ';', 74,
        '<', 110,
        '=', 81,
        '>', 116,
        '@', 76,
        '[', 86,
      );
      if (lookahead == '\\') SKIP(47);
      if (lookahead == ']') ADVANCE(87);
      if (lookahead == '^') ADVANCE(104);
      if (lookahead == '{') ADVANCE(83);
      if (lookahead == '|') ADVANCE(101);
      if (lookahead == '}') ADVANCE(84);
      if (lookahead == '~') ADVANCE(120);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(0);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(63);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(52);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(8);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(8);
      if (lookahead == '\r') SKIP(1);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(9);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(9);
      if (lookahead == '\r') SKIP(3);
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(56);
      if (lookahead == '\r') ADVANCE(55);
      if (lookahead == 'U') ADVANCE(57);
      if (lookahead == 'o') ADVANCE(37);
      if (lookahead == 'u') ADVANCE(43);
      if (lookahead == 'x') ADVANCE(41);
      if (lookahead != 0) ADVANCE(54);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(15);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(15);
      if (lookahead == '\r') SKIP(6);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 20,
        '#', 53,
        '%', 100,
        '&', 69,
        '(', 123,
        ')', 124,
        '*', 96,
        '+', 91,
        ',', 82,
        '-', 92,
        '.', 121,
        '/', 98,
        ':', 78,
        ';', 74,
        '<', 110,
        '=', 81,
        '>', 116,
        '@', 75,
        '[', 86,
      );
      if (lookahead == '\\') SKIP(2);
      if (lookahead == ']') ADVANCE(87);
      if (lookahead == '^') ADVANCE(105);
      if (lookahead == '|') ADVANCE(101);
      if (lookahead == '}') ADVANCE(84);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(8);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(52);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 20,
        '#', 53,
        '%', 99,
        '&', 68,
        '(', 123,
        '*', 95,
        '+', 90,
        '-', 94,
        '.', 121,
        '/', 97,
        ':', 78,
        '<', 111,
        '=', 81,
        '>', 117,
        '@', 75,
        '[', 86,
      );
      if (lookahead == '\\') SKIP(4);
      if (lookahead == '^') ADVANCE(103);
      if (lookahead == '|') ADVANCE(102);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(52);
      END_STATE();
    case 10:
      if (lookahead == '"') ADVANCE(11);
      if (lookahead == '\'') ADVANCE(17);
      if (lookahead == '=') ADVANCE(133);
      END_STATE();
    case 11:
      if (lookahead == '"') ADVANCE(71);
      if (lookahead == ' ' ||
          ('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(11);
      END_STATE();
    case 12:
      if (lookahead == '"') ADVANCE(72);
      if (lookahead == ' ' ||
          ('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(12);
      END_STATE();
    case 13:
      if (lookahead == '"') ADVANCE(12);
      if (lookahead == '\'') ADVANCE(18);
      if (lookahead == '=') ADVANCE(129);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(73);
      END_STATE();
    case 14:
      if (lookahead == '"') ADVANCE(12);
      if (lookahead == '\'') ADVANCE(18);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(73);
      END_STATE();
    case 15:
      if (lookahead == '#') ADVANCE(53);
      if (lookahead == '-') ADVANCE(26);
      if (lookahead == '.') ADVANCE(121);
      if (lookahead == ':') ADVANCE(78);
      if (lookahead == '\\') SKIP(7);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(15);
      END_STATE();
    case 16:
      if (lookahead == '#') ADVANCE(53);
      if (lookahead == '\\') ADVANCE(5);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(16);
      END_STATE();
    case 17:
      if (lookahead == '\'') ADVANCE(71);
      if (lookahead == ' ' ||
          ('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(17);
      END_STATE();
    case 18:
      if (lookahead == '\'') ADVANCE(72);
      if (lookahead == ' ' ||
          ('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(18);
      END_STATE();
    case 19:
      if (lookahead == '<') ADVANCE(24);
      END_STATE();
    case 20:
      if (lookahead == '=') ADVANCE(114);
      END_STATE();
    case 21:
      if (lookahead == '=') ADVANCE(127);
      END_STATE();
    case 22:
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 23:
      if (lookahead == '=') ADVANCE(134);
      END_STATE();
    case 24:
      if (lookahead == '=') ADVANCE(131);
      END_STATE();
    case 25:
      if (lookahead == '=') ADVANCE(130);
      END_STATE();
    case 26:
      if (lookahead == '>') ADVANCE(135);
      END_STATE();
    case 27:
      if (lookahead == '>') ADVANCE(25);
      END_STATE();
    case 28:
      if (lookahead == '_') ADVANCE(32);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(65);
      END_STATE();
    case 29:
      if (lookahead == '_') ADVANCE(33);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(66);
      END_STATE();
    case 30:
      if (lookahead == '_') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(67);
      END_STATE();
    case 31:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(34);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(59);
      END_STATE();
    case 32:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(65);
      END_STATE();
    case 33:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(66);
      END_STATE();
    case 34:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(59);
      END_STATE();
    case 35:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(54);
      END_STATE();
    case 36:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(35);
      END_STATE();
    case 37:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(36);
      END_STATE();
    case 38:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(67);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(54);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(39);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(41);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(42);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(40);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(44);
      END_STATE();
    case 46:
      if (eof) ADVANCE(51);
      if (lookahead == '\n') SKIP(0);
      END_STATE();
    case 47:
      if (eof) ADVANCE(51);
      if (lookahead == '\n') SKIP(0);
      if (lookahead == '\r') SKIP(46);
      END_STATE();
    case 48:
      if (eof) ADVANCE(51);
      if (lookahead == '\n') SKIP(50);
      END_STATE();
    case 49:
      if (eof) ADVANCE(51);
      if (lookahead == '\n') SKIP(50);
      if (lookahead == '\r') SKIP(48);
      END_STATE();
    case 50:
      if (eof) ADVANCE(51);
      ADVANCE_MAP(
        '!', 118,
        '#', 53,
        '$', 14,
        '%', 13,
        '&', 70,
        '(', 123,
        ')', 124,
        '*', 21,
        '+', 91,
        ',', 82,
        '-', 92,
        '.', 122,
        '/', 22,
        '0', 62,
        ':', 78,
        ';', 74,
        '<', 19,
        '=', 80,
        '>', 27,
        '@', 76,
        '[', 86,
      );
      if (lookahead == '\\') SKIP(49);
      if (lookahead == ']') ADVANCE(87);
      if (lookahead == '^') ADVANCE(10);
      if (lookahead == '{') ADVANCE(83);
      if (lookahead == '|') ADVANCE(23);
      if (lookahead == '}') ADVANCE(84);
      if (lookahead == '~') ADVANCE(120);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(50);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(63);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(52);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(sym__identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(52);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(53);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n') ADVANCE(56);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(5);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(45);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(60);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(31);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(58);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(61);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(59);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(31);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(58);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(sym_float);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(59);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 60,
        '_', 64,
        'B', 28,
        'b', 28,
        'E', 31,
        'e', 31,
        'O', 29,
        'o', 29,
        'X', 30,
        'x', 30,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(63);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(60);
      if (lookahead == '_') ADVANCE(64);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(31);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(63);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(60);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(31);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(63);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(32);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(65);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(33);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(66);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(67);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(88);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(88);
      if (lookahead == '=') ADVANCE(132);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '=') ADVANCE(132);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(sym_node_path);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(sym_get_node);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(sym_get_node);
      if (('/' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(73);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '"') ADVANCE(11);
      if (lookahead == '\'') ADVANCE(17);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(77);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(113);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(sym_pattern_open_ending);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(125);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(126);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(126);
      if (lookahead == '>') ADVANCE(135);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(135);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(127);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(134);
      if (lookahead == '|') ADVANCE(89);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(89);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '"') ADVANCE(11);
      if (lookahead == '\'') ADVANCE(17);
      if (lookahead == '=') ADVANCE(133);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(133);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(131);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(130);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(107);
      if (lookahead == '=') ADVANCE(112);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(106);
      if (lookahead == '=') ADVANCE(112);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(115);
      if (lookahead == '>') ADVANCE(109);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(115);
      if (lookahead == '>') ADVANCE(108);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(114);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(85);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(58);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == '\\') SKIP(1);
      if (lookahead == '_') ADVANCE(2);
      if (lookahead == 'a') ADVANCE(3);
      if (lookahead == 'b') ADVANCE(4);
      if (lookahead == 'c') ADVANCE(5);
      if (lookahead == 'e') ADVANCE(6);
      if (lookahead == 'f') ADVANCE(7);
      if (lookahead == 'g') ADVANCE(8);
      if (lookahead == 'i') ADVANCE(9);
      if (lookahead == 'm') ADVANCE(10);
      if (lookahead == 'n') ADVANCE(11);
      if (lookahead == 'o') ADVANCE(12);
      if (lookahead == 'p') ADVANCE(13);
      if (lookahead == 'r') ADVANCE(14);
      if (lookahead == 's') ADVANCE(15);
      if (lookahead == 't') ADVANCE(16);
      if (lookahead == 'v') ADVANCE(17);
      if (lookahead == 'w') ADVANCE(18);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(0);
      if (lookahead == '\r') SKIP(19);
      END_STATE();
    case 2:
      ACCEPT_TOKEN(sym_underscore);
      if (lookahead == 'i') ADVANCE(20);
      END_STATE();
    case 3:
      if (lookahead == 'n') ADVANCE(21);
      if (lookahead == 's') ADVANCE(22);
      if (lookahead == 'w') ADVANCE(23);
      END_STATE();
    case 4:
      if (lookahead == 'r') ADVANCE(24);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(25);
      if (lookahead == 'o') ADVANCE(26);
      END_STATE();
    case 6:
      if (lookahead == 'l') ADVANCE(27);
      if (lookahead == 'n') ADVANCE(28);
      if (lookahead == 'x') ADVANCE(29);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(30);
      if (lookahead == 'o') ADVANCE(31);
      if (lookahead == 'u') ADVANCE(32);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(33);
      END_STATE();
    case 9:
      if (lookahead == 'f') ADVANCE(34);
      if (lookahead == 'n') ADVANCE(35);
      if (lookahead == 's') ADVANCE(36);
      END_STATE();
    case 10:
      if (lookahead == 'a') ADVANCE(37);
      END_STATE();
    case 11:
      if (lookahead == 'o') ADVANCE(38);
      if (lookahead == 'u') ADVANCE(39);
      END_STATE();
    case 12:
      if (lookahead == 'n') ADVANCE(40);
      if (lookahead == 'r') ADVANCE(41);
      END_STATE();
    case 13:
      if (lookahead == 'a') ADVANCE(42);
      if (lookahead == 'u') ADVANCE(43);
      END_STATE();
    case 14:
      if (lookahead == 'e') ADVANCE(44);
      END_STATE();
    case 15:
      if (lookahead == 'e') ADVANCE(45);
      if (lookahead == 'i') ADVANCE(46);
      if (lookahead == 't') ADVANCE(47);
      END_STATE();
    case 16:
      if (lookahead == 'o') ADVANCE(48);
      if (lookahead == 'r') ADVANCE(49);
      END_STATE();
    case 17:
      if (lookahead == 'a') ADVANCE(50);
      END_STATE();
    case 18:
      if (lookahead == 'h') ADVANCE(51);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(0);
      END_STATE();
    case 20:
      if (lookahead == 'n') ADVANCE(52);
      END_STATE();
    case 21:
      if (lookahead == 'd') ADVANCE(53);
      END_STATE();
    case 22:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 23:
      if (lookahead == 'a') ADVANCE(54);
      END_STATE();
    case 24:
      if (lookahead == 'e') ADVANCE(55);
      END_STATE();
    case 25:
      if (lookahead == 'a') ADVANCE(56);
      END_STATE();
    case 26:
      if (lookahead == 'n') ADVANCE(57);
      END_STATE();
    case 27:
      if (lookahead == 'i') ADVANCE(58);
      if (lookahead == 's') ADVANCE(59);
      END_STATE();
    case 28:
      if (lookahead == 'u') ADVANCE(60);
      END_STATE();
    case 29:
      if (lookahead == 'p') ADVANCE(61);
      if (lookahead == 't') ADVANCE(62);
      END_STATE();
    case 30:
      if (lookahead == 'l') ADVANCE(63);
      END_STATE();
    case 31:
      if (lookahead == 'r') ADVANCE(64);
      END_STATE();
    case 32:
      if (lookahead == 'n') ADVANCE(65);
      END_STATE();
    case 33:
      if (lookahead == 't') ADVANCE(66);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 37:
      if (lookahead == 's') ADVANCE(67);
      if (lookahead == 't') ADVANCE(68);
      END_STATE();
    case 38:
      if (lookahead == 't') ADVANCE(69);
      END_STATE();
    case 39:
      if (lookahead == 'l') ADVANCE(70);
      END_STATE();
    case 40:
      if (lookahead == 'r') ADVANCE(71);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 42:
      if (lookahead == 's') ADVANCE(72);
      END_STATE();
    case 43:
      if (lookahead == 'p') ADVANCE(73);
      END_STATE();
    case 44:
      if (lookahead == 'm') ADVANCE(74);
      if (lookahead == 't') ADVANCE(75);
      END_STATE();
    case 45:
      if (lookahead == 't') ADVANCE(76);
      END_STATE();
    case 46:
      if (lookahead == 'g') ADVANCE(77);
      END_STATE();
    case 47:
      if (lookahead == 'a') ADVANCE(78);
      END_STATE();
    case 48:
      if (lookahead == 'o') ADVANCE(79);
      END_STATE();
    case 49:
      if (lookahead == 'u') ADVANCE(80);
      END_STATE();
    case 50:
      if (lookahead == 'r') ADVANCE(81);
      END_STATE();
    case 51:
      if (lookahead == 'e') ADVANCE(82);
      if (lookahead == 'i') ADVANCE(83);
      END_STATE();
    case 52:
      if (lookahead == 'i') ADVANCE(84);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 54:
      if (lookahead == 'i') ADVANCE(85);
      END_STATE();
    case 55:
      if (lookahead == 'a') ADVANCE(86);
      END_STATE();
    case 56:
      if (lookahead == 's') ADVANCE(87);
      END_STATE();
    case 57:
      if (lookahead == 's') ADVANCE(88);
      if (lookahead == 't') ADVANCE(89);
      END_STATE();
    case 58:
      if (lookahead == 'f') ADVANCE(90);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(91);
      END_STATE();
    case 60:
      if (lookahead == 'm') ADVANCE(92);
      END_STATE();
    case 61:
      if (lookahead == 'o') ADVANCE(93);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(94);
      END_STATE();
    case 63:
      if (lookahead == 's') ADVANCE(95);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 65:
      if (lookahead == 'c') ADVANCE(96);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 67:
      if (lookahead == 't') ADVANCE(97);
      END_STATE();
    case 68:
      if (lookahead == 'c') ADVANCE(98);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 70:
      if (lookahead == 'l') ADVANCE(99);
      END_STATE();
    case 71:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 72:
      if (lookahead == 's') ADVANCE(101);
      END_STATE();
    case 73:
      if (lookahead == 'p') ADVANCE(102);
      END_STATE();
    case 74:
      if (lookahead == 'o') ADVANCE(103);
      END_STATE();
    case 75:
      if (lookahead == 'u') ADVANCE(104);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_set);
      if (lookahead == 'g') ADVANCE(105);
      END_STATE();
    case 77:
      if (lookahead == 'n') ADVANCE(106);
      END_STATE();
    case 78:
      if (lookahead == 't') ADVANCE(107);
      END_STATE();
    case 79:
      if (lookahead == 'l') ADVANCE(108);
      END_STATE();
    case 80:
      if (lookahead == 'e') ADVANCE(109);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 82:
      if (lookahead == 'n') ADVANCE(110);
      END_STATE();
    case 83:
      if (lookahead == 'l') ADVANCE(111);
      END_STATE();
    case 84:
      if (lookahead == 't') ADVANCE(112);
      END_STATE();
    case 85:
      if (lookahead == 't') ADVANCE(113);
      END_STATE();
    case 86:
      if (lookahead == 'k') ADVANCE(114);
      END_STATE();
    case 87:
      if (lookahead == 's') ADVANCE(115);
      END_STATE();
    case 88:
      if (lookahead == 't') ADVANCE(116);
      END_STATE();
    case 89:
      if (lookahead == 'i') ADVANCE(117);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 93:
      if (lookahead == 'r') ADVANCE(118);
      END_STATE();
    case 94:
      if (lookahead == 'n') ADVANCE(119);
      END_STATE();
    case 95:
      if (lookahead == 'e') ADVANCE(120);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_func);
      END_STATE();
    case 97:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 98:
      if (lookahead == 'h') ADVANCE(122);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 100:
      if (lookahead == 'a') ADVANCE(123);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_pass);
      END_STATE();
    case 102:
      if (lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 103:
      if (lookahead == 't') ADVANCE(125);
      END_STATE();
    case 104:
      if (lookahead == 'r') ADVANCE(126);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(127);
      END_STATE();
    case 106:
      if (lookahead == 'a') ADVANCE(128);
      END_STATE();
    case 107:
      if (lookahead == 'i') ADVANCE(129);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_tool_statement);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 111:
      if (lookahead == 'e') ADVANCE(130);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym__init);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_break);
      if (lookahead == 'p') ADVANCE(131);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_class);
      if (lookahead == '_') ADVANCE(132);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 117:
      if (lookahead == 'n') ADVANCE(133);
      END_STATE();
    case 118:
      if (lookahead == 't') ADVANCE(134);
      END_STATE();
    case 119:
      if (lookahead == 'd') ADVANCE(135);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 121:
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 123:
      if (lookahead == 'd') ADVANCE(137);
      END_STATE();
    case 124:
      if (lookahead == 't') ADVANCE(138);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(139);
      END_STATE();
    case 126:
      if (lookahead == 'n') ADVANCE(140);
      END_STATE();
    case 127:
      if (lookahead == 't') ADVANCE(141);
      END_STATE();
    case 128:
      if (lookahead == 'l') ADVANCE(142);
      END_STATE();
    case 129:
      if (lookahead == 'c') ADVANCE(143);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 131:
      if (lookahead == 'o') ADVANCE(144);
      END_STATE();
    case 132:
      if (lookahead == 'n') ADVANCE(145);
      END_STATE();
    case 133:
      if (lookahead == 'u') ADVANCE(146);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 135:
      if (lookahead == 's') ADVANCE(147);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_master);
      if (lookahead == 's') ADVANCE(148);
      END_STATE();
    case 137:
      if (lookahead == 'y') ADVANCE(149);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_puppet);
      if (lookahead == 's') ADVANCE(150);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_remote);
      if (lookahead == 's') ADVANCE(151);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_setget);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_signal);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_static_keyword);
      END_STATE();
    case 144:
      if (lookahead == 'i') ADVANCE(152);
      END_STATE();
    case 145:
      if (lookahead == 'a') ADVANCE(153);
      END_STATE();
    case 146:
      if (lookahead == 'e') ADVANCE(154);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 148:
      if (lookahead == 'y') ADVANCE(155);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_onready);
      END_STATE();
    case 150:
      if (lookahead == 'y') ADVANCE(156);
      END_STATE();
    case 151:
      if (lookahead == 'y') ADVANCE(157);
      END_STATE();
    case 152:
      if (lookahead == 'n') ADVANCE(158);
      END_STATE();
    case 153:
      if (lookahead == 'm') ADVANCE(159);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 155:
      if (lookahead == 'n') ADVANCE(160);
      END_STATE();
    case 156:
      if (lookahead == 'n') ADVANCE(161);
      END_STATE();
    case 157:
      if (lookahead == 'n') ADVANCE(162);
      END_STATE();
    case 158:
      if (lookahead == 't') ADVANCE(163);
      END_STATE();
    case 159:
      if (lookahead == 'e') ADVANCE(164);
      END_STATE();
    case 160:
      if (lookahead == 'c') ADVANCE(165);
      END_STATE();
    case 161:
      if (lookahead == 'c') ADVANCE(166);
      END_STATE();
    case 162:
      if (lookahead == 'c') ADVANCE(167);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_breakpoint_statement);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_class_name);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_mastersync);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_puppetsync);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_remotesync);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 50, .external_lex_state = 2},
  [2] = {.lex_state = 50, .external_lex_state = 3},
  [3] = {.lex_state = 50, .external_lex_state = 3},
  [4] = {.lex_state = 50, .external_lex_state = 3},
  [5] = {.lex_state = 50, .external_lex_state = 3},
  [6] = {.lex_state = 50, .external_lex_state = 3},
  [7] = {.lex_state = 50, .external_lex_state = 3},
  [8] = {.lex_state = 50, .external_lex_state = 3},
  [9] = {.lex_state = 50, .external_lex_state = 3},
  [10] = {.lex_state = 50, .external_lex_state = 3},
  [11] = {.lex_state = 50, .external_lex_state = 3},
  [12] = {.lex_state = 50, .external_lex_state = 3},
  [13] = {.lex_state = 50, .external_lex_state = 3},
  [14] = {.lex_state = 50, .external_lex_state = 3},
  [15] = {.lex_state = 50, .external_lex_state = 3},
  [16] = {.lex_state = 50, .external_lex_state = 3},
  [17] = {.lex_state = 50, .external_lex_state = 3},
  [18] = {.lex_state = 50, .external_lex_state = 3},
  [19] = {.lex_state = 50, .external_lex_state = 3},
  [20] = {.lex_state = 50, .external_lex_state = 3},
  [21] = {.lex_state = 50, .external_lex_state = 3},
  [22] = {.lex_state = 50, .external_lex_state = 3},
  [23] = {.lex_state = 50, .external_lex_state = 2},
  [24] = {.lex_state = 50, .external_lex_state = 2},
  [25] = {.lex_state = 50, .external_lex_state = 4},
  [26] = {.lex_state = 50, .external_lex_state = 4},
  [27] = {.lex_state = 50, .external_lex_state = 4},
  [28] = {.lex_state = 50, .external_lex_state = 4},
  [29] = {.lex_state = 50, .external_lex_state = 4},
  [30] = {.lex_state = 50, .external_lex_state = 4},
  [31] = {.lex_state = 50, .external_lex_state = 4},
  [32] = {.lex_state = 50, .external_lex_state = 4},
  [33] = {.lex_state = 50, .external_lex_state = 4},
  [34] = {.lex_state = 50, .external_lex_state = 4},
  [35] = {.lex_state = 50, .external_lex_state = 4},
  [36] = {.lex_state = 50, .external_lex_state = 4},
  [37] = {.lex_state = 50, .external_lex_state = 4},
  [38] = {.lex_state = 50, .external_lex_state = 4},
  [39] = {.lex_state = 50, .external_lex_state = 4},
  [40] = {.lex_state = 50, .external_lex_state = 4},
  [41] = {.lex_state = 50, .external_lex_state = 4},
  [42] = {.lex_state = 50, .external_lex_state = 4},
  [43] = {.lex_state = 50, .external_lex_state = 4},
  [44] = {.lex_state = 50, .external_lex_state = 4},
  [45] = {.lex_state = 50, .external_lex_state = 4},
  [46] = {.lex_state = 50, .external_lex_state = 4},
  [47] = {.lex_state = 50, .external_lex_state = 4},
  [48] = {.lex_state = 50, .external_lex_state = 4},
  [49] = {.lex_state = 50, .external_lex_state = 4},
  [50] = {.lex_state = 50, .external_lex_state = 4},
  [51] = {.lex_state = 50, .external_lex_state = 4},
  [52] = {.lex_state = 50, .external_lex_state = 4},
  [53] = {.lex_state = 50, .external_lex_state = 4},
  [54] = {.lex_state = 50, .external_lex_state = 4},
  [55] = {.lex_state = 50, .external_lex_state = 4},
  [56] = {.lex_state = 50, .external_lex_state = 4},
  [57] = {.lex_state = 50, .external_lex_state = 4},
  [58] = {.lex_state = 50, .external_lex_state = 4},
  [59] = {.lex_state = 50, .external_lex_state = 4},
  [60] = {.lex_state = 50, .external_lex_state = 4},
  [61] = {.lex_state = 50, .external_lex_state = 4},
  [62] = {.lex_state = 50, .external_lex_state = 4},
  [63] = {.lex_state = 50, .external_lex_state = 4},
  [64] = {.lex_state = 50, .external_lex_state = 4},
  [65] = {.lex_state = 50, .external_lex_state = 4},
  [66] = {.lex_state = 50, .external_lex_state = 4},
  [67] = {.lex_state = 50, .external_lex_state = 4},
  [68] = {.lex_state = 50, .external_lex_state = 4},
  [69] = {.lex_state = 50, .external_lex_state = 4},
  [70] = {.lex_state = 50, .external_lex_state = 4},
  [71] = {.lex_state = 50, .external_lex_state = 4},
  [72] = {.lex_state = 50, .external_lex_state = 4},
  [73] = {.lex_state = 50, .external_lex_state = 4},
  [74] = {.lex_state = 50, .external_lex_state = 4},
  [75] = {.lex_state = 50, .external_lex_state = 4},
  [76] = {.lex_state = 50, .external_lex_state = 4},
  [77] = {.lex_state = 50, .external_lex_state = 4},
  [78] = {.lex_state = 50, .external_lex_state = 4},
  [79] = {.lex_state = 50, .external_lex_state = 4},
  [80] = {.lex_state = 50, .external_lex_state = 4},
  [81] = {.lex_state = 50, .external_lex_state = 4},
  [82] = {.lex_state = 50, .external_lex_state = 4},
  [83] = {.lex_state = 50, .external_lex_state = 4},
  [84] = {.lex_state = 50, .external_lex_state = 4},
  [85] = {.lex_state = 50, .external_lex_state = 4},
  [86] = {.lex_state = 50, .external_lex_state = 4},
  [87] = {.lex_state = 50, .external_lex_state = 4},
  [88] = {.lex_state = 50, .external_lex_state = 4},
  [89] = {.lex_state = 50, .external_lex_state = 4},
  [90] = {.lex_state = 50, .external_lex_state = 4},
  [91] = {.lex_state = 50, .external_lex_state = 4},
  [92] = {.lex_state = 50, .external_lex_state = 4},
  [93] = {.lex_state = 50, .external_lex_state = 4},
  [94] = {.lex_state = 50, .external_lex_state = 4},
  [95] = {.lex_state = 50, .external_lex_state = 4},
  [96] = {.lex_state = 50, .external_lex_state = 4},
  [97] = {.lex_state = 50, .external_lex_state = 4},
  [98] = {.lex_state = 50, .external_lex_state = 4},
  [99] = {.lex_state = 50, .external_lex_state = 4},
  [100] = {.lex_state = 50, .external_lex_state = 4},
  [101] = {.lex_state = 50, .external_lex_state = 4},
  [102] = {.lex_state = 50, .external_lex_state = 4},
  [103] = {.lex_state = 50, .external_lex_state = 5},
  [104] = {.lex_state = 50, .external_lex_state = 5},
  [105] = {.lex_state = 50, .external_lex_state = 5},
  [106] = {.lex_state = 50, .external_lex_state = 5},
  [107] = {.lex_state = 50, .external_lex_state = 5},
  [108] = {.lex_state = 50, .external_lex_state = 5},
  [109] = {.lex_state = 50, .external_lex_state = 5},
  [110] = {.lex_state = 50, .external_lex_state = 5},
  [111] = {.lex_state = 50, .external_lex_state = 5},
  [112] = {.lex_state = 50, .external_lex_state = 5},
  [113] = {.lex_state = 50, .external_lex_state = 5},
  [114] = {.lex_state = 50, .external_lex_state = 5},
  [115] = {.lex_state = 50, .external_lex_state = 5},
  [116] = {.lex_state = 50, .external_lex_state = 5},
  [117] = {.lex_state = 50, .external_lex_state = 5},
  [118] = {.lex_state = 50, .external_lex_state = 5},
  [119] = {.lex_state = 50, .external_lex_state = 5},
  [120] = {.lex_state = 50, .external_lex_state = 5},
  [121] = {.lex_state = 50, .external_lex_state = 5},
  [122] = {.lex_state = 50, .external_lex_state = 5},
  [123] = {.lex_state = 50, .external_lex_state = 2},
  [124] = {.lex_state = 50, .external_lex_state = 3},
  [125] = {.lex_state = 50, .external_lex_state = 3},
  [126] = {.lex_state = 50, .external_lex_state = 2},
  [127] = {.lex_state = 50, .external_lex_state = 3},
  [128] = {.lex_state = 50, .external_lex_state = 2},
  [129] = {.lex_state = 50, .external_lex_state = 2},
  [130] = {.lex_state = 50, .external_lex_state = 3},
  [131] = {.lex_state = 50, .external_lex_state = 3},
  [132] = {.lex_state = 50, .external_lex_state = 3},
  [133] = {.lex_state = 50, .external_lex_state = 3},
  [134] = {.lex_state = 50, .external_lex_state = 3},
  [135] = {.lex_state = 50, .external_lex_state = 3},
  [136] = {.lex_state = 50, .external_lex_state = 3},
  [137] = {.lex_state = 50, .external_lex_state = 3},
  [138] = {.lex_state = 50, .external_lex_state = 2},
  [139] = {.lex_state = 50, .external_lex_state = 2},
  [140] = {.lex_state = 50, .external_lex_state = 2},
  [141] = {.lex_state = 50, .external_lex_state = 2},
  [142] = {.lex_state = 50, .external_lex_state = 2},
  [143] = {.lex_state = 50, .external_lex_state = 2},
  [144] = {.lex_state = 50, .external_lex_state = 2},
  [145] = {.lex_state = 50, .external_lex_state = 2},
  [146] = {.lex_state = 50, .external_lex_state = 3},
  [147] = {.lex_state = 50, .external_lex_state = 3},
  [148] = {.lex_state = 50, .external_lex_state = 3},
  [149] = {.lex_state = 50, .external_lex_state = 3},
  [150] = {.lex_state = 50, .external_lex_state = 3},
  [151] = {.lex_state = 50, .external_lex_state = 3},
  [152] = {.lex_state = 50, .external_lex_state = 3},
  [153] = {.lex_state = 50, .external_lex_state = 3},
  [154] = {.lex_state = 50, .external_lex_state = 3},
  [155] = {.lex_state = 50, .external_lex_state = 3},
  [156] = {.lex_state = 50, .external_lex_state = 3},
  [157] = {.lex_state = 50, .external_lex_state = 3},
  [158] = {.lex_state = 50, .external_lex_state = 3},
  [159] = {.lex_state = 50, .external_lex_state = 3},
  [160] = {.lex_state = 50, .external_lex_state = 3},
  [161] = {.lex_state = 50, .external_lex_state = 3},
  [162] = {.lex_state = 50, .external_lex_state = 3},
  [163] = {.lex_state = 50, .external_lex_state = 3},
  [164] = {.lex_state = 50, .external_lex_state = 3},
  [165] = {.lex_state = 50, .external_lex_state = 3},
  [166] = {.lex_state = 50, .external_lex_state = 3},
  [167] = {.lex_state = 50, .external_lex_state = 3},
  [168] = {.lex_state = 50, .external_lex_state = 3},
  [169] = {.lex_state = 50, .external_lex_state = 3},
  [170] = {.lex_state = 50, .external_lex_state = 3},
  [171] = {.lex_state = 50, .external_lex_state = 3},
  [172] = {.lex_state = 50, .external_lex_state = 3},
  [173] = {.lex_state = 50, .external_lex_state = 3},
  [174] = {.lex_state = 50, .external_lex_state = 3},
  [175] = {.lex_state = 50, .external_lex_state = 3},
  [176] = {.lex_state = 50, .external_lex_state = 3},
  [177] = {.lex_state = 50, .external_lex_state = 2},
  [178] = {.lex_state = 50, .external_lex_state = 2},
  [179] = {.lex_state = 50, .external_lex_state = 2},
  [180] = {.lex_state = 50, .external_lex_state = 2},
  [181] = {.lex_state = 50, .external_lex_state = 2},
  [182] = {.lex_state = 50, .external_lex_state = 2},
  [183] = {.lex_state = 50, .external_lex_state = 2},
  [184] = {.lex_state = 50, .external_lex_state = 2},
  [185] = {.lex_state = 50, .external_lex_state = 2},
  [186] = {.lex_state = 50, .external_lex_state = 2},
  [187] = {.lex_state = 50, .external_lex_state = 2},
  [188] = {.lex_state = 50, .external_lex_state = 2},
  [189] = {.lex_state = 50, .external_lex_state = 2},
  [190] = {.lex_state = 50, .external_lex_state = 2},
  [191] = {.lex_state = 50, .external_lex_state = 2},
  [192] = {.lex_state = 50, .external_lex_state = 2},
  [193] = {.lex_state = 50, .external_lex_state = 2},
  [194] = {.lex_state = 50, .external_lex_state = 2},
  [195] = {.lex_state = 50, .external_lex_state = 2},
  [196] = {.lex_state = 50, .external_lex_state = 2},
  [197] = {.lex_state = 50, .external_lex_state = 2},
  [198] = {.lex_state = 50, .external_lex_state = 2},
  [199] = {.lex_state = 50, .external_lex_state = 2},
  [200] = {.lex_state = 50, .external_lex_state = 2},
  [201] = {.lex_state = 50, .external_lex_state = 2},
  [202] = {.lex_state = 50, .external_lex_state = 2},
  [203] = {.lex_state = 50, .external_lex_state = 2},
  [204] = {.lex_state = 50, .external_lex_state = 2},
  [205] = {.lex_state = 50, .external_lex_state = 2},
  [206] = {.lex_state = 50, .external_lex_state = 2},
  [207] = {.lex_state = 50, .external_lex_state = 2},
  [208] = {.lex_state = 8, .external_lex_state = 6},
  [209] = {.lex_state = 8, .external_lex_state = 6},
  [210] = {.lex_state = 8, .external_lex_state = 6},
  [211] = {.lex_state = 8, .external_lex_state = 6},
  [212] = {.lex_state = 8, .external_lex_state = 6},
  [213] = {.lex_state = 8, .external_lex_state = 6},
  [214] = {.lex_state = 8, .external_lex_state = 6},
  [215] = {.lex_state = 8, .external_lex_state = 6},
  [216] = {.lex_state = 8, .external_lex_state = 6},
  [217] = {.lex_state = 8, .external_lex_state = 6},
  [218] = {.lex_state = 8, .external_lex_state = 6},
  [219] = {.lex_state = 8, .external_lex_state = 6},
  [220] = {.lex_state = 8, .external_lex_state = 6},
  [221] = {.lex_state = 8, .external_lex_state = 6},
  [222] = {.lex_state = 8, .external_lex_state = 6},
  [223] = {.lex_state = 8, .external_lex_state = 6},
  [224] = {.lex_state = 8, .external_lex_state = 6},
  [225] = {.lex_state = 8, .external_lex_state = 6},
  [226] = {.lex_state = 8, .external_lex_state = 6},
  [227] = {.lex_state = 8, .external_lex_state = 6},
  [228] = {.lex_state = 8, .external_lex_state = 6},
  [229] = {.lex_state = 8, .external_lex_state = 6},
  [230] = {.lex_state = 8, .external_lex_state = 6},
  [231] = {.lex_state = 8, .external_lex_state = 6},
  [232] = {.lex_state = 8, .external_lex_state = 6},
  [233] = {.lex_state = 8, .external_lex_state = 6},
  [234] = {.lex_state = 8, .external_lex_state = 6},
  [235] = {.lex_state = 8, .external_lex_state = 6},
  [236] = {.lex_state = 8, .external_lex_state = 6},
  [237] = {.lex_state = 8, .external_lex_state = 6},
  [238] = {.lex_state = 8, .external_lex_state = 6},
  [239] = {.lex_state = 8, .external_lex_state = 6},
  [240] = {.lex_state = 8, .external_lex_state = 6},
  [241] = {.lex_state = 8, .external_lex_state = 6},
  [242] = {.lex_state = 8, .external_lex_state = 6},
  [243] = {.lex_state = 50, .external_lex_state = 5},
  [244] = {.lex_state = 8, .external_lex_state = 6},
  [245] = {.lex_state = 8, .external_lex_state = 6},
  [246] = {.lex_state = 8, .external_lex_state = 6},
  [247] = {.lex_state = 8, .external_lex_state = 6},
  [248] = {.lex_state = 8, .external_lex_state = 6},
  [249] = {.lex_state = 8, .external_lex_state = 6},
  [250] = {.lex_state = 8, .external_lex_state = 6},
  [251] = {.lex_state = 8, .external_lex_state = 6},
  [252] = {.lex_state = 8, .external_lex_state = 6},
  [253] = {.lex_state = 50, .external_lex_state = 7},
  [254] = {.lex_state = 50, .external_lex_state = 7},
  [255] = {.lex_state = 50, .external_lex_state = 7},
  [256] = {.lex_state = 50, .external_lex_state = 7},
  [257] = {.lex_state = 9, .external_lex_state = 8},
  [258] = {.lex_state = 50, .external_lex_state = 7},
  [259] = {.lex_state = 50, .external_lex_state = 7},
  [260] = {.lex_state = 50, .external_lex_state = 7},
  [261] = {.lex_state = 50, .external_lex_state = 7},
  [262] = {.lex_state = 50, .external_lex_state = 7},
  [263] = {.lex_state = 50, .external_lex_state = 7},
  [264] = {.lex_state = 50, .external_lex_state = 7},
  [265] = {.lex_state = 9, .external_lex_state = 8},
  [266] = {.lex_state = 50, .external_lex_state = 7},
  [267] = {.lex_state = 50, .external_lex_state = 7},
  [268] = {.lex_state = 50, .external_lex_state = 7},
  [269] = {.lex_state = 50, .external_lex_state = 7},
  [270] = {.lex_state = 50, .external_lex_state = 7},
  [271] = {.lex_state = 50, .external_lex_state = 7},
  [272] = {.lex_state = 9, .external_lex_state = 8},
  [273] = {.lex_state = 50, .external_lex_state = 7},
  [274] = {.lex_state = 50, .external_lex_state = 7},
  [275] = {.lex_state = 50, .external_lex_state = 7},
  [276] = {.lex_state = 50, .external_lex_state = 7},
  [277] = {.lex_state = 9, .external_lex_state = 8},
  [278] = {.lex_state = 50, .external_lex_state = 9},
  [279] = {.lex_state = 50, .external_lex_state = 10},
  [280] = {.lex_state = 50, .external_lex_state = 10},
  [281] = {.lex_state = 50, .external_lex_state = 10},
  [282] = {.lex_state = 50, .external_lex_state = 9},
  [283] = {.lex_state = 50, .external_lex_state = 9},
  [284] = {.lex_state = 50, .external_lex_state = 10},
  [285] = {.lex_state = 50, .external_lex_state = 9},
  [286] = {.lex_state = 50, .external_lex_state = 2},
  [287] = {.lex_state = 50, .external_lex_state = 9},
  [288] = {.lex_state = 50, .external_lex_state = 10},
  [289] = {.lex_state = 50, .external_lex_state = 9},
  [290] = {.lex_state = 50, .external_lex_state = 10},
  [291] = {.lex_state = 50, .external_lex_state = 10},
  [292] = {.lex_state = 50, .external_lex_state = 9},
  [293] = {.lex_state = 50, .external_lex_state = 9},
  [294] = {.lex_state = 50, .external_lex_state = 9},
  [295] = {.lex_state = 50, .external_lex_state = 10},
  [296] = {.lex_state = 50, .external_lex_state = 10},
  [297] = {.lex_state = 50, .external_lex_state = 10},
  [298] = {.lex_state = 50, .external_lex_state = 10},
  [299] = {.lex_state = 50, .external_lex_state = 10},
  [300] = {.lex_state = 50, .external_lex_state = 9},
  [301] = {.lex_state = 50, .external_lex_state = 10},
  [302] = {.lex_state = 50, .external_lex_state = 10},
  [303] = {.lex_state = 50, .external_lex_state = 9},
  [304] = {.lex_state = 50, .external_lex_state = 9},
  [305] = {.lex_state = 50, .external_lex_state = 10},
  [306] = {.lex_state = 50, .external_lex_state = 9},
  [307] = {.lex_state = 50, .external_lex_state = 9},
  [308] = {.lex_state = 50, .external_lex_state = 9},
  [309] = {.lex_state = 50, .external_lex_state = 10},
  [310] = {.lex_state = 50, .external_lex_state = 9},
  [311] = {.lex_state = 50, .external_lex_state = 10},
  [312] = {.lex_state = 50, .external_lex_state = 9},
  [313] = {.lex_state = 50, .external_lex_state = 10},
  [314] = {.lex_state = 50, .external_lex_state = 10},
  [315] = {.lex_state = 50, .external_lex_state = 9},
  [316] = {.lex_state = 50, .external_lex_state = 9},
  [317] = {.lex_state = 50, .external_lex_state = 10},
  [318] = {.lex_state = 50, .external_lex_state = 10},
  [319] = {.lex_state = 50, .external_lex_state = 9},
  [320] = {.lex_state = 50, .external_lex_state = 9},
  [321] = {.lex_state = 50, .external_lex_state = 2},
  [322] = {.lex_state = 50, .external_lex_state = 2},
  [323] = {.lex_state = 50, .external_lex_state = 2},
  [324] = {.lex_state = 50, .external_lex_state = 7},
  [325] = {.lex_state = 50, .external_lex_state = 2},
  [326] = {.lex_state = 50, .external_lex_state = 2},
  [327] = {.lex_state = 50, .external_lex_state = 7},
  [328] = {.lex_state = 50, .external_lex_state = 2},
  [329] = {.lex_state = 50, .external_lex_state = 2},
  [330] = {.lex_state = 50, .external_lex_state = 2},
  [331] = {.lex_state = 50, .external_lex_state = 7},
  [332] = {.lex_state = 50, .external_lex_state = 2},
  [333] = {.lex_state = 50, .external_lex_state = 2},
  [334] = {.lex_state = 50, .external_lex_state = 2},
  [335] = {.lex_state = 50, .external_lex_state = 2},
  [336] = {.lex_state = 50, .external_lex_state = 2},
  [337] = {.lex_state = 50, .external_lex_state = 2},
  [338] = {.lex_state = 50, .external_lex_state = 2},
  [339] = {.lex_state = 50, .external_lex_state = 2},
  [340] = {.lex_state = 50, .external_lex_state = 2},
  [341] = {.lex_state = 50, .external_lex_state = 2},
  [342] = {.lex_state = 50, .external_lex_state = 2},
  [343] = {.lex_state = 50, .external_lex_state = 2},
  [344] = {.lex_state = 50, .external_lex_state = 2},
  [345] = {.lex_state = 50, .external_lex_state = 2},
  [346] = {.lex_state = 50, .external_lex_state = 2},
  [347] = {.lex_state = 50, .external_lex_state = 2},
  [348] = {.lex_state = 50, .external_lex_state = 2},
  [349] = {.lex_state = 50, .external_lex_state = 2},
  [350] = {.lex_state = 50, .external_lex_state = 2},
  [351] = {.lex_state = 50, .external_lex_state = 2},
  [352] = {.lex_state = 50, .external_lex_state = 2},
  [353] = {.lex_state = 50, .external_lex_state = 2},
  [354] = {.lex_state = 50, .external_lex_state = 2},
  [355] = {.lex_state = 50, .external_lex_state = 2},
  [356] = {.lex_state = 50, .external_lex_state = 2},
  [357] = {.lex_state = 50, .external_lex_state = 2},
  [358] = {.lex_state = 50, .external_lex_state = 2},
  [359] = {.lex_state = 50, .external_lex_state = 2},
  [360] = {.lex_state = 50, .external_lex_state = 2},
  [361] = {.lex_state = 50, .external_lex_state = 2},
  [362] = {.lex_state = 50, .external_lex_state = 2},
  [363] = {.lex_state = 50, .external_lex_state = 2},
  [364] = {.lex_state = 50, .external_lex_state = 2},
  [365] = {.lex_state = 50, .external_lex_state = 2},
  [366] = {.lex_state = 50, .external_lex_state = 2},
  [367] = {.lex_state = 50, .external_lex_state = 2},
  [368] = {.lex_state = 50, .external_lex_state = 2},
  [369] = {.lex_state = 50, .external_lex_state = 2},
  [370] = {.lex_state = 50, .external_lex_state = 2},
  [371] = {.lex_state = 50, .external_lex_state = 2},
  [372] = {.lex_state = 50, .external_lex_state = 2},
  [373] = {.lex_state = 50, .external_lex_state = 2},
  [374] = {.lex_state = 50, .external_lex_state = 2},
  [375] = {.lex_state = 50, .external_lex_state = 2},
  [376] = {.lex_state = 50, .external_lex_state = 2},
  [377] = {.lex_state = 50, .external_lex_state = 2},
  [378] = {.lex_state = 50, .external_lex_state = 2},
  [379] = {.lex_state = 50, .external_lex_state = 2},
  [380] = {.lex_state = 50, .external_lex_state = 2},
  [381] = {.lex_state = 50, .external_lex_state = 2},
  [382] = {.lex_state = 50, .external_lex_state = 2},
  [383] = {.lex_state = 50, .external_lex_state = 11},
  [384] = {.lex_state = 50, .external_lex_state = 2},
  [385] = {.lex_state = 50, .external_lex_state = 2},
  [386] = {.lex_state = 50, .external_lex_state = 2},
  [387] = {.lex_state = 50, .external_lex_state = 2},
  [388] = {.lex_state = 50, .external_lex_state = 2},
  [389] = {.lex_state = 50, .external_lex_state = 2},
  [390] = {.lex_state = 50, .external_lex_state = 2},
  [391] = {.lex_state = 50, .external_lex_state = 2},
  [392] = {.lex_state = 50, .external_lex_state = 2},
  [393] = {.lex_state = 8, .external_lex_state = 8},
  [394] = {.lex_state = 50, .external_lex_state = 2},
  [395] = {.lex_state = 50, .external_lex_state = 2},
  [396] = {.lex_state = 50, .external_lex_state = 2},
  [397] = {.lex_state = 50, .external_lex_state = 2},
  [398] = {.lex_state = 50, .external_lex_state = 2},
  [399] = {.lex_state = 50, .external_lex_state = 2},
  [400] = {.lex_state = 50, .external_lex_state = 2},
  [401] = {.lex_state = 50, .external_lex_state = 2},
  [402] = {.lex_state = 50, .external_lex_state = 2},
  [403] = {.lex_state = 50, .external_lex_state = 2},
  [404] = {.lex_state = 50, .external_lex_state = 2},
  [405] = {.lex_state = 50, .external_lex_state = 2},
  [406] = {.lex_state = 50, .external_lex_state = 2},
  [407] = {.lex_state = 50, .external_lex_state = 2},
  [408] = {.lex_state = 50, .external_lex_state = 2},
  [409] = {.lex_state = 50, .external_lex_state = 2},
  [410] = {.lex_state = 50, .external_lex_state = 2},
  [411] = {.lex_state = 50, .external_lex_state = 2},
  [412] = {.lex_state = 50, .external_lex_state = 2},
  [413] = {.lex_state = 50, .external_lex_state = 2},
  [414] = {.lex_state = 50, .external_lex_state = 2},
  [415] = {.lex_state = 50, .external_lex_state = 2},
  [416] = {.lex_state = 50, .external_lex_state = 2},
  [417] = {.lex_state = 50, .external_lex_state = 2},
  [418] = {.lex_state = 50, .external_lex_state = 2},
  [419] = {.lex_state = 50, .external_lex_state = 2},
  [420] = {.lex_state = 50, .external_lex_state = 2},
  [421] = {.lex_state = 50, .external_lex_state = 2},
  [422] = {.lex_state = 50, .external_lex_state = 2},
  [423] = {.lex_state = 50, .external_lex_state = 2},
  [424] = {.lex_state = 50, .external_lex_state = 2},
  [425] = {.lex_state = 50, .external_lex_state = 2},
  [426] = {.lex_state = 50, .external_lex_state = 2},
  [427] = {.lex_state = 50, .external_lex_state = 2},
  [428] = {.lex_state = 50, .external_lex_state = 2},
  [429] = {.lex_state = 50, .external_lex_state = 2},
  [430] = {.lex_state = 50, .external_lex_state = 2},
  [431] = {.lex_state = 50, .external_lex_state = 2},
  [432] = {.lex_state = 50, .external_lex_state = 2},
  [433] = {.lex_state = 50, .external_lex_state = 2},
  [434] = {.lex_state = 50, .external_lex_state = 2},
  [435] = {.lex_state = 50, .external_lex_state = 2},
  [436] = {.lex_state = 50, .external_lex_state = 2},
  [437] = {.lex_state = 50, .external_lex_state = 2},
  [438] = {.lex_state = 50, .external_lex_state = 2},
  [439] = {.lex_state = 50, .external_lex_state = 2},
  [440] = {.lex_state = 50, .external_lex_state = 2},
  [441] = {.lex_state = 50, .external_lex_state = 2},
  [442] = {.lex_state = 50, .external_lex_state = 2},
  [443] = {.lex_state = 50, .external_lex_state = 2},
  [444] = {.lex_state = 50, .external_lex_state = 2},
  [445] = {.lex_state = 50, .external_lex_state = 2},
  [446] = {.lex_state = 50, .external_lex_state = 2},
  [447] = {.lex_state = 50, .external_lex_state = 2},
  [448] = {.lex_state = 50, .external_lex_state = 2},
  [449] = {.lex_state = 50, .external_lex_state = 2},
  [450] = {.lex_state = 50, .external_lex_state = 2},
  [451] = {.lex_state = 50, .external_lex_state = 2},
  [452] = {.lex_state = 50, .external_lex_state = 2},
  [453] = {.lex_state = 50, .external_lex_state = 2},
  [454] = {.lex_state = 50, .external_lex_state = 2},
  [455] = {.lex_state = 50, .external_lex_state = 2},
  [456] = {.lex_state = 50, .external_lex_state = 2},
  [457] = {.lex_state = 50, .external_lex_state = 2},
  [458] = {.lex_state = 50, .external_lex_state = 2},
  [459] = {.lex_state = 50, .external_lex_state = 2},
  [460] = {.lex_state = 50, .external_lex_state = 2},
  [461] = {.lex_state = 50, .external_lex_state = 2},
  [462] = {.lex_state = 50, .external_lex_state = 2},
  [463] = {.lex_state = 50, .external_lex_state = 2},
  [464] = {.lex_state = 50, .external_lex_state = 2},
  [465] = {.lex_state = 50, .external_lex_state = 2},
  [466] = {.lex_state = 50, .external_lex_state = 2},
  [467] = {.lex_state = 50, .external_lex_state = 2},
  [468] = {.lex_state = 50, .external_lex_state = 2},
  [469] = {.lex_state = 50, .external_lex_state = 2},
  [470] = {.lex_state = 50, .external_lex_state = 2},
  [471] = {.lex_state = 50, .external_lex_state = 2},
  [472] = {.lex_state = 50, .external_lex_state = 2},
  [473] = {.lex_state = 50, .external_lex_state = 2},
  [474] = {.lex_state = 50, .external_lex_state = 2},
  [475] = {.lex_state = 50, .external_lex_state = 2},
  [476] = {.lex_state = 50, .external_lex_state = 2},
  [477] = {.lex_state = 50, .external_lex_state = 2},
  [478] = {.lex_state = 50, .external_lex_state = 2},
  [479] = {.lex_state = 50, .external_lex_state = 2},
  [480] = {.lex_state = 50, .external_lex_state = 2},
  [481] = {.lex_state = 50, .external_lex_state = 2},
  [482] = {.lex_state = 50, .external_lex_state = 2},
  [483] = {.lex_state = 50, .external_lex_state = 2},
  [484] = {.lex_state = 50, .external_lex_state = 2},
  [485] = {.lex_state = 50, .external_lex_state = 2},
  [486] = {.lex_state = 50, .external_lex_state = 2},
  [487] = {.lex_state = 50, .external_lex_state = 2},
  [488] = {.lex_state = 50, .external_lex_state = 2},
  [489] = {.lex_state = 50, .external_lex_state = 2},
  [490] = {.lex_state = 50, .external_lex_state = 2},
  [491] = {.lex_state = 50, .external_lex_state = 2},
  [492] = {.lex_state = 50, .external_lex_state = 2},
  [493] = {.lex_state = 50, .external_lex_state = 2},
  [494] = {.lex_state = 50, .external_lex_state = 2},
  [495] = {.lex_state = 50, .external_lex_state = 2},
  [496] = {.lex_state = 50, .external_lex_state = 2},
  [497] = {.lex_state = 50, .external_lex_state = 2},
  [498] = {.lex_state = 50, .external_lex_state = 2},
  [499] = {.lex_state = 50, .external_lex_state = 2},
  [500] = {.lex_state = 50, .external_lex_state = 2},
  [501] = {.lex_state = 50, .external_lex_state = 2},
  [502] = {.lex_state = 8, .external_lex_state = 6},
  [503] = {.lex_state = 8, .external_lex_state = 12},
  [504] = {.lex_state = 8, .external_lex_state = 12},
  [505] = {.lex_state = 8, .external_lex_state = 12},
  [506] = {.lex_state = 8, .external_lex_state = 8},
  [507] = {.lex_state = 8, .external_lex_state = 8},
  [508] = {.lex_state = 8, .external_lex_state = 8},
  [509] = {.lex_state = 8, .external_lex_state = 12},
  [510] = {.lex_state = 8, .external_lex_state = 6},
  [511] = {.lex_state = 8, .external_lex_state = 12},
  [512] = {.lex_state = 8, .external_lex_state = 12},
  [513] = {.lex_state = 8, .external_lex_state = 12},
  [514] = {.lex_state = 8, .external_lex_state = 12},
  [515] = {.lex_state = 8, .external_lex_state = 12},
  [516] = {.lex_state = 8, .external_lex_state = 12},
  [517] = {.lex_state = 8, .external_lex_state = 8},
  [518] = {.lex_state = 8, .external_lex_state = 13},
  [519] = {.lex_state = 8, .external_lex_state = 13},
  [520] = {.lex_state = 8, .external_lex_state = 13},
  [521] = {.lex_state = 8, .external_lex_state = 13},
  [522] = {.lex_state = 8, .external_lex_state = 13},
  [523] = {.lex_state = 8, .external_lex_state = 13},
  [524] = {.lex_state = 8, .external_lex_state = 13},
  [525] = {.lex_state = 8, .external_lex_state = 13},
  [526] = {.lex_state = 8, .external_lex_state = 13},
  [527] = {.lex_state = 8, .external_lex_state = 13},
  [528] = {.lex_state = 8, .external_lex_state = 13},
  [529] = {.lex_state = 8, .external_lex_state = 12},
  [530] = {.lex_state = 8, .external_lex_state = 13},
  [531] = {.lex_state = 8, .external_lex_state = 13},
  [532] = {.lex_state = 8, .external_lex_state = 13},
  [533] = {.lex_state = 8, .external_lex_state = 13},
  [534] = {.lex_state = 8, .external_lex_state = 14},
  [535] = {.lex_state = 8, .external_lex_state = 12},
  [536] = {.lex_state = 8, .external_lex_state = 12},
  [537] = {.lex_state = 8, .external_lex_state = 13},
  [538] = {.lex_state = 8, .external_lex_state = 13},
  [539] = {.lex_state = 8, .external_lex_state = 14},
  [540] = {.lex_state = 8, .external_lex_state = 8},
  [541] = {.lex_state = 8, .external_lex_state = 12},
  [542] = {.lex_state = 8, .external_lex_state = 14},
  [543] = {.lex_state = 8, .external_lex_state = 12},
  [544] = {.lex_state = 8, .external_lex_state = 13},
  [545] = {.lex_state = 8, .external_lex_state = 12},
  [546] = {.lex_state = 8, .external_lex_state = 14},
  [547] = {.lex_state = 8, .external_lex_state = 12},
  [548] = {.lex_state = 8, .external_lex_state = 12},
  [549] = {.lex_state = 8, .external_lex_state = 14},
  [550] = {.lex_state = 8, .external_lex_state = 12},
  [551] = {.lex_state = 8, .external_lex_state = 14},
  [552] = {.lex_state = 8, .external_lex_state = 12},
  [553] = {.lex_state = 8, .external_lex_state = 14},
  [554] = {.lex_state = 8, .external_lex_state = 8},
  [555] = {.lex_state = 8, .external_lex_state = 8},
  [556] = {.lex_state = 8, .external_lex_state = 8},
  [557] = {.lex_state = 8, .external_lex_state = 8},
  [558] = {.lex_state = 8, .external_lex_state = 8},
  [559] = {.lex_state = 8, .external_lex_state = 8},
  [560] = {.lex_state = 8, .external_lex_state = 8},
  [561] = {.lex_state = 8, .external_lex_state = 8},
  [562] = {.lex_state = 8, .external_lex_state = 8},
  [563] = {.lex_state = 8, .external_lex_state = 8},
  [564] = {.lex_state = 8, .external_lex_state = 8},
  [565] = {.lex_state = 8, .external_lex_state = 13},
  [566] = {.lex_state = 8, .external_lex_state = 8},
  [567] = {.lex_state = 8, .external_lex_state = 12},
  [568] = {.lex_state = 8, .external_lex_state = 8},
  [569] = {.lex_state = 8, .external_lex_state = 12},
  [570] = {.lex_state = 8, .external_lex_state = 14},
  [571] = {.lex_state = 8, .external_lex_state = 12},
  [572] = {.lex_state = 8, .external_lex_state = 8},
  [573] = {.lex_state = 8, .external_lex_state = 8},
  [574] = {.lex_state = 8, .external_lex_state = 8},
  [575] = {.lex_state = 8, .external_lex_state = 12},
  [576] = {.lex_state = 8, .external_lex_state = 14},
  [577] = {.lex_state = 8, .external_lex_state = 12},
  [578] = {.lex_state = 8, .external_lex_state = 14},
  [579] = {.lex_state = 8, .external_lex_state = 12},
  [580] = {.lex_state = 8, .external_lex_state = 14},
  [581] = {.lex_state = 8, .external_lex_state = 14},
  [582] = {.lex_state = 8, .external_lex_state = 14},
  [583] = {.lex_state = 8, .external_lex_state = 14},
  [584] = {.lex_state = 8, .external_lex_state = 14},
  [585] = {.lex_state = 8, .external_lex_state = 14},
  [586] = {.lex_state = 8, .external_lex_state = 8},
  [587] = {.lex_state = 8, .external_lex_state = 14},
  [588] = {.lex_state = 8, .external_lex_state = 14},
  [589] = {.lex_state = 8, .external_lex_state = 12},
  [590] = {.lex_state = 8, .external_lex_state = 13},
  [591] = {.lex_state = 8, .external_lex_state = 12},
  [592] = {.lex_state = 8, .external_lex_state = 12},
  [593] = {.lex_state = 8, .external_lex_state = 15},
  [594] = {.lex_state = 8, .external_lex_state = 14},
  [595] = {.lex_state = 8, .external_lex_state = 14},
  [596] = {.lex_state = 8, .external_lex_state = 16},
  [597] = {.lex_state = 8, .external_lex_state = 14},
  [598] = {.lex_state = 8, .external_lex_state = 14},
  [599] = {.lex_state = 8, .external_lex_state = 14},
  [600] = {.lex_state = 8, .external_lex_state = 14},
  [601] = {.lex_state = 8, .external_lex_state = 14},
  [602] = {.lex_state = 8, .external_lex_state = 14},
  [603] = {.lex_state = 8, .external_lex_state = 14},
  [604] = {.lex_state = 8, .external_lex_state = 14},
  [605] = {.lex_state = 8, .external_lex_state = 16},
  [606] = {.lex_state = 8, .external_lex_state = 16},
  [607] = {.lex_state = 8, .external_lex_state = 16},
  [608] = {.lex_state = 8, .external_lex_state = 16},
  [609] = {.lex_state = 8, .external_lex_state = 16},
  [610] = {.lex_state = 8, .external_lex_state = 16},
  [611] = {.lex_state = 8, .external_lex_state = 16},
  [612] = {.lex_state = 8, .external_lex_state = 16},
  [613] = {.lex_state = 8, .external_lex_state = 16},
  [614] = {.lex_state = 8, .external_lex_state = 16},
  [615] = {.lex_state = 8, .external_lex_state = 16},
  [616] = {.lex_state = 8, .external_lex_state = 16},
  [617] = {.lex_state = 8, .external_lex_state = 16},
  [618] = {.lex_state = 8, .external_lex_state = 16},
  [619] = {.lex_state = 8, .external_lex_state = 16},
  [620] = {.lex_state = 8, .external_lex_state = 13},
  [621] = {.lex_state = 8, .external_lex_state = 13},
  [622] = {.lex_state = 8, .external_lex_state = 13},
  [623] = {.lex_state = 8, .external_lex_state = 13},
  [624] = {.lex_state = 8, .external_lex_state = 13},
  [625] = {.lex_state = 8, .external_lex_state = 13},
  [626] = {.lex_state = 8, .external_lex_state = 13},
  [627] = {.lex_state = 8, .external_lex_state = 15},
  [628] = {.lex_state = 8, .external_lex_state = 15},
  [629] = {.lex_state = 8, .external_lex_state = 15},
  [630] = {.lex_state = 8, .external_lex_state = 15},
  [631] = {.lex_state = 8, .external_lex_state = 15},
  [632] = {.lex_state = 8, .external_lex_state = 15},
  [633] = {.lex_state = 8, .external_lex_state = 15},
  [634] = {.lex_state = 8, .external_lex_state = 15},
  [635] = {.lex_state = 8, .external_lex_state = 15},
  [636] = {.lex_state = 8, .external_lex_state = 13},
  [637] = {.lex_state = 8, .external_lex_state = 15},
  [638] = {.lex_state = 8, .external_lex_state = 13},
  [639] = {.lex_state = 8, .external_lex_state = 13},
  [640] = {.lex_state = 8, .external_lex_state = 13},
  [641] = {.lex_state = 8, .external_lex_state = 13},
  [642] = {.lex_state = 8, .external_lex_state = 13},
  [643] = {.lex_state = 8, .external_lex_state = 13},
  [644] = {.lex_state = 8, .external_lex_state = 15},
  [645] = {.lex_state = 8, .external_lex_state = 14},
  [646] = {.lex_state = 8, .external_lex_state = 15},
  [647] = {.lex_state = 8, .external_lex_state = 15},
  [648] = {.lex_state = 8, .external_lex_state = 15},
  [649] = {.lex_state = 8, .external_lex_state = 15},
  [650] = {.lex_state = 8, .external_lex_state = 13},
  [651] = {.lex_state = 8, .external_lex_state = 13},
  [652] = {.lex_state = 8, .external_lex_state = 13},
  [653] = {.lex_state = 8, .external_lex_state = 13},
  [654] = {.lex_state = 8, .external_lex_state = 12},
  [655] = {.lex_state = 8, .external_lex_state = 13},
  [656] = {.lex_state = 8, .external_lex_state = 13},
  [657] = {.lex_state = 8, .external_lex_state = 13},
  [658] = {.lex_state = 8, .external_lex_state = 13},
  [659] = {.lex_state = 8, .external_lex_state = 13},
  [660] = {.lex_state = 8, .external_lex_state = 15},
  [661] = {.lex_state = 8, .external_lex_state = 16},
  [662] = {.lex_state = 8, .external_lex_state = 12},
  [663] = {.lex_state = 8, .external_lex_state = 16},
  [664] = {.lex_state = 8, .external_lex_state = 8},
  [665] = {.lex_state = 8, .external_lex_state = 8},
  [666] = {.lex_state = 8, .external_lex_state = 8},
  [667] = {.lex_state = 8, .external_lex_state = 8},
  [668] = {.lex_state = 8, .external_lex_state = 8},
  [669] = {.lex_state = 8, .external_lex_state = 12},
  [670] = {.lex_state = 8, .external_lex_state = 8},
  [671] = {.lex_state = 8, .external_lex_state = 8},
  [672] = {.lex_state = 8, .external_lex_state = 12},
  [673] = {.lex_state = 8, .external_lex_state = 12},
  [674] = {.lex_state = 8, .external_lex_state = 12},
  [675] = {.lex_state = 8, .external_lex_state = 12},
  [676] = {.lex_state = 8, .external_lex_state = 12},
  [677] = {.lex_state = 8, .external_lex_state = 12},
  [678] = {.lex_state = 8, .external_lex_state = 14},
  [679] = {.lex_state = 8, .external_lex_state = 14},
  [680] = {.lex_state = 8, .external_lex_state = 8},
  [681] = {.lex_state = 8, .external_lex_state = 8},
  [682] = {.lex_state = 8, .external_lex_state = 8},
  [683] = {.lex_state = 8, .external_lex_state = 8},
  [684] = {.lex_state = 8, .external_lex_state = 8},
  [685] = {.lex_state = 8, .external_lex_state = 8},
  [686] = {.lex_state = 8, .external_lex_state = 14},
  [687] = {.lex_state = 8, .external_lex_state = 14},
  [688] = {.lex_state = 8, .external_lex_state = 14},
  [689] = {.lex_state = 8, .external_lex_state = 12},
  [690] = {.lex_state = 8, .external_lex_state = 15},
  [691] = {.lex_state = 8, .external_lex_state = 12},
  [692] = {.lex_state = 8, .external_lex_state = 12},
  [693] = {.lex_state = 8, .external_lex_state = 12},
  [694] = {.lex_state = 8, .external_lex_state = 12},
  [695] = {.lex_state = 8, .external_lex_state = 12},
  [696] = {.lex_state = 8, .external_lex_state = 14},
  [697] = {.lex_state = 8, .external_lex_state = 14},
  [698] = {.lex_state = 8, .external_lex_state = 8},
  [699] = {.lex_state = 8, .external_lex_state = 8},
  [700] = {.lex_state = 8, .external_lex_state = 14},
  [701] = {.lex_state = 8, .external_lex_state = 6},
  [702] = {.lex_state = 8, .external_lex_state = 14},
  [703] = {.lex_state = 8, .external_lex_state = 14},
  [704] = {.lex_state = 8, .external_lex_state = 14},
  [705] = {.lex_state = 8, .external_lex_state = 14},
  [706] = {.lex_state = 8, .external_lex_state = 8},
  [707] = {.lex_state = 8, .external_lex_state = 8},
  [708] = {.lex_state = 8, .external_lex_state = 8},
  [709] = {.lex_state = 8, .external_lex_state = 14},
  [710] = {.lex_state = 8, .external_lex_state = 14},
  [711] = {.lex_state = 8, .external_lex_state = 14},
  [712] = {.lex_state = 8, .external_lex_state = 12},
  [713] = {.lex_state = 8, .external_lex_state = 13},
  [714] = {.lex_state = 8, .external_lex_state = 16},
  [715] = {.lex_state = 8, .external_lex_state = 15},
  [716] = {.lex_state = 8, .external_lex_state = 15},
  [717] = {.lex_state = 8, .external_lex_state = 15},
  [718] = {.lex_state = 8, .external_lex_state = 15},
  [719] = {.lex_state = 8, .external_lex_state = 16},
  [720] = {.lex_state = 8, .external_lex_state = 16},
  [721] = {.lex_state = 8, .external_lex_state = 16},
  [722] = {.lex_state = 8, .external_lex_state = 16},
  [723] = {.lex_state = 8, .external_lex_state = 16},
  [724] = {.lex_state = 8, .external_lex_state = 15},
  [725] = {.lex_state = 8, .external_lex_state = 8},
  [726] = {.lex_state = 8, .external_lex_state = 16},
  [727] = {.lex_state = 8, .external_lex_state = 15},
  [728] = {.lex_state = 8, .external_lex_state = 12},
  [729] = {.lex_state = 8, .external_lex_state = 16},
  [730] = {.lex_state = 8, .external_lex_state = 16},
  [731] = {.lex_state = 8, .external_lex_state = 16},
  [732] = {.lex_state = 8, .external_lex_state = 16},
  [733] = {.lex_state = 8, .external_lex_state = 16},
  [734] = {.lex_state = 8, .external_lex_state = 16},
  [735] = {.lex_state = 8, .external_lex_state = 16},
  [736] = {.lex_state = 8, .external_lex_state = 16},
  [737] = {.lex_state = 8, .external_lex_state = 16},
  [738] = {.lex_state = 8, .external_lex_state = 16},
  [739] = {.lex_state = 8, .external_lex_state = 16},
  [740] = {.lex_state = 8, .external_lex_state = 15},
  [741] = {.lex_state = 8, .external_lex_state = 16},
  [742] = {.lex_state = 8, .external_lex_state = 15},
  [743] = {.lex_state = 8, .external_lex_state = 15},
  [744] = {.lex_state = 8, .external_lex_state = 15},
  [745] = {.lex_state = 8, .external_lex_state = 15},
  [746] = {.lex_state = 8, .external_lex_state = 16},
  [747] = {.lex_state = 8, .external_lex_state = 15},
  [748] = {.lex_state = 8, .external_lex_state = 15},
  [749] = {.lex_state = 8, .external_lex_state = 16},
  [750] = {.lex_state = 8, .external_lex_state = 15},
  [751] = {.lex_state = 8, .external_lex_state = 16},
  [752] = {.lex_state = 8, .external_lex_state = 15},
  [753] = {.lex_state = 8, .external_lex_state = 15},
  [754] = {.lex_state = 8, .external_lex_state = 16},
  [755] = {.lex_state = 8, .external_lex_state = 16},
  [756] = {.lex_state = 8, .external_lex_state = 16},
  [757] = {.lex_state = 8, .external_lex_state = 15},
  [758] = {.lex_state = 8, .external_lex_state = 16},
  [759] = {.lex_state = 8, .external_lex_state = 15},
  [760] = {.lex_state = 8, .external_lex_state = 13},
  [761] = {.lex_state = 8, .external_lex_state = 15},
  [762] = {.lex_state = 8, .external_lex_state = 15},
  [763] = {.lex_state = 8, .external_lex_state = 15},
  [764] = {.lex_state = 8, .external_lex_state = 15},
  [765] = {.lex_state = 8, .external_lex_state = 15},
  [766] = {.lex_state = 8, .external_lex_state = 15},
  [767] = {.lex_state = 8, .external_lex_state = 15},
  [768] = {.lex_state = 8, .external_lex_state = 15},
  [769] = {.lex_state = 8, .external_lex_state = 16},
  [770] = {.lex_state = 8, .external_lex_state = 16},
  [771] = {.lex_state = 8, .external_lex_state = 16},
  [772] = {.lex_state = 8, .external_lex_state = 8},
  [773] = {.lex_state = 8, .external_lex_state = 16},
  [774] = {.lex_state = 8, .external_lex_state = 16},
  [775] = {.lex_state = 8, .external_lex_state = 13},
  [776] = {.lex_state = 8, .external_lex_state = 8},
  [777] = {.lex_state = 8, .external_lex_state = 16},
  [778] = {.lex_state = 8, .external_lex_state = 16},
  [779] = {.lex_state = 8, .external_lex_state = 8},
  [780] = {.lex_state = 8, .external_lex_state = 8},
  [781] = {.lex_state = 8, .external_lex_state = 8},
  [782] = {.lex_state = 8, .external_lex_state = 8},
  [783] = {.lex_state = 8, .external_lex_state = 8},
  [784] = {.lex_state = 8, .external_lex_state = 8},
  [785] = {.lex_state = 50, .external_lex_state = 2},
  [786] = {.lex_state = 50, .external_lex_state = 2},
  [787] = {.lex_state = 0, .external_lex_state = 17},
  [788] = {.lex_state = 0, .external_lex_state = 17},
  [789] = {.lex_state = 0, .external_lex_state = 17},
  [790] = {.lex_state = 0, .external_lex_state = 2},
  [791] = {.lex_state = 0, .external_lex_state = 9},
  [792] = {.lex_state = 0, .external_lex_state = 9},
  [793] = {.lex_state = 0, .external_lex_state = 2},
  [794] = {.lex_state = 0, .external_lex_state = 9},
  [795] = {.lex_state = 0, .external_lex_state = 2},
  [796] = {.lex_state = 50, .external_lex_state = 6},
  [797] = {.lex_state = 0, .external_lex_state = 8},
  [798] = {.lex_state = 0, .external_lex_state = 2},
  [799] = {.lex_state = 50, .external_lex_state = 6},
  [800] = {.lex_state = 0, .external_lex_state = 2},
  [801] = {.lex_state = 50, .external_lex_state = 6},
  [802] = {.lex_state = 0, .external_lex_state = 8},
  [803] = {.lex_state = 0, .external_lex_state = 6},
  [804] = {.lex_state = 0, .external_lex_state = 6},
  [805] = {.lex_state = 0, .external_lex_state = 6},
  [806] = {.lex_state = 0, .external_lex_state = 6},
  [807] = {.lex_state = 0, .external_lex_state = 6},
  [808] = {.lex_state = 0, .external_lex_state = 17},
  [809] = {.lex_state = 0, .external_lex_state = 17},
  [810] = {.lex_state = 0, .external_lex_state = 17},
  [811] = {.lex_state = 0, .external_lex_state = 17},
  [812] = {.lex_state = 0, .external_lex_state = 17},
  [813] = {.lex_state = 0, .external_lex_state = 17},
  [814] = {.lex_state = 0, .external_lex_state = 17},
  [815] = {.lex_state = 0, .external_lex_state = 17},
  [816] = {.lex_state = 0, .external_lex_state = 17},
  [817] = {.lex_state = 0, .external_lex_state = 6},
  [818] = {.lex_state = 0, .external_lex_state = 6},
  [819] = {.lex_state = 0, .external_lex_state = 6},
  [820] = {.lex_state = 0, .external_lex_state = 6},
  [821] = {.lex_state = 0, .external_lex_state = 6},
  [822] = {.lex_state = 0, .external_lex_state = 6},
  [823] = {.lex_state = 0, .external_lex_state = 6},
  [824] = {.lex_state = 0, .external_lex_state = 6},
  [825] = {.lex_state = 0, .external_lex_state = 6},
  [826] = {.lex_state = 0, .external_lex_state = 6},
  [827] = {.lex_state = 0, .external_lex_state = 6},
  [828] = {.lex_state = 0, .external_lex_state = 6},
  [829] = {.lex_state = 0, .external_lex_state = 6},
  [830] = {.lex_state = 0, .external_lex_state = 6},
  [831] = {.lex_state = 0, .external_lex_state = 8},
  [832] = {.lex_state = 0, .external_lex_state = 8},
  [833] = {.lex_state = 50, .external_lex_state = 6},
  [834] = {.lex_state = 0, .external_lex_state = 8},
  [835] = {.lex_state = 50, .external_lex_state = 6},
  [836] = {.lex_state = 50, .external_lex_state = 6},
  [837] = {.lex_state = 50, .external_lex_state = 6},
  [838] = {.lex_state = 0, .external_lex_state = 6},
  [839] = {.lex_state = 50, .external_lex_state = 6},
  [840] = {.lex_state = 0, .external_lex_state = 8},
  [841] = {.lex_state = 0, .external_lex_state = 15},
  [842] = {.lex_state = 0, .external_lex_state = 15},
  [843] = {.lex_state = 0, .external_lex_state = 15},
  [844] = {.lex_state = 50, .external_lex_state = 6},
  [845] = {.lex_state = 50, .external_lex_state = 6},
  [846] = {.lex_state = 50, .external_lex_state = 6},
  [847] = {.lex_state = 50, .external_lex_state = 6},
  [848] = {.lex_state = 0, .external_lex_state = 15},
  [849] = {.lex_state = 0, .external_lex_state = 15},
  [850] = {.lex_state = 50, .external_lex_state = 6},
  [851] = {.lex_state = 0, .external_lex_state = 8},
  [852] = {.lex_state = 0, .external_lex_state = 8},
  [853] = {.lex_state = 0, .external_lex_state = 8},
  [854] = {.lex_state = 50, .external_lex_state = 6},
  [855] = {.lex_state = 0, .external_lex_state = 15},
  [856] = {.lex_state = 50, .external_lex_state = 6},
  [857] = {.lex_state = 0, .external_lex_state = 8},
  [858] = {.lex_state = 0, .external_lex_state = 8},
  [859] = {.lex_state = 0, .external_lex_state = 8},
  [860] = {.lex_state = 0, .external_lex_state = 8},
  [861] = {.lex_state = 0, .external_lex_state = 8},
  [862] = {.lex_state = 50, .external_lex_state = 6},
  [863] = {.lex_state = 50, .external_lex_state = 6},
  [864] = {.lex_state = 0, .external_lex_state = 8},
  [865] = {.lex_state = 0, .external_lex_state = 8},
  [866] = {.lex_state = 0, .external_lex_state = 8},
  [867] = {.lex_state = 50, .external_lex_state = 6},
  [868] = {.lex_state = 0, .external_lex_state = 6},
  [869] = {.lex_state = 50, .external_lex_state = 6},
  [870] = {.lex_state = 50, .external_lex_state = 18},
  [871] = {.lex_state = 50, .external_lex_state = 6},
  [872] = {.lex_state = 50, .external_lex_state = 6},
  [873] = {.lex_state = 50, .external_lex_state = 6},
  [874] = {.lex_state = 50, .external_lex_state = 6},
  [875] = {.lex_state = 50, .external_lex_state = 6},
  [876] = {.lex_state = 50, .external_lex_state = 6},
  [877] = {.lex_state = 50, .external_lex_state = 6},
  [878] = {.lex_state = 50, .external_lex_state = 18},
  [879] = {.lex_state = 50, .external_lex_state = 6},
  [880] = {.lex_state = 50, .external_lex_state = 6},
  [881] = {.lex_state = 50, .external_lex_state = 6},
  [882] = {.lex_state = 50, .external_lex_state = 6},
  [883] = {.lex_state = 0, .external_lex_state = 8},
  [884] = {.lex_state = 50, .external_lex_state = 6},
  [885] = {.lex_state = 0, .external_lex_state = 8},
  [886] = {.lex_state = 16, .external_lex_state = 19},
  [887] = {.lex_state = 0, .external_lex_state = 6},
  [888] = {.lex_state = 0, .external_lex_state = 20},
  [889] = {.lex_state = 16, .external_lex_state = 19},
  [890] = {.lex_state = 0, .external_lex_state = 8},
  [891] = {.lex_state = 0, .external_lex_state = 6},
  [892] = {.lex_state = 50, .external_lex_state = 18},
  [893] = {.lex_state = 0, .external_lex_state = 8},
  [894] = {.lex_state = 16, .external_lex_state = 19},
  [895] = {.lex_state = 0, .external_lex_state = 6},
  [896] = {.lex_state = 0, .external_lex_state = 8},
  [897] = {.lex_state = 50, .external_lex_state = 12},
  [898] = {.lex_state = 0, .external_lex_state = 6},
  [899] = {.lex_state = 0, .external_lex_state = 6},
  [900] = {.lex_state = 50, .external_lex_state = 8},
  [901] = {.lex_state = 0, .external_lex_state = 6},
  [902] = {.lex_state = 0, .external_lex_state = 6},
  [903] = {.lex_state = 16, .external_lex_state = 19},
  [904] = {.lex_state = 0, .external_lex_state = 8},
  [905] = {.lex_state = 0, .external_lex_state = 6},
  [906] = {.lex_state = 0, .external_lex_state = 8},
  [907] = {.lex_state = 0, .external_lex_state = 6},
  [908] = {.lex_state = 0, .external_lex_state = 6},
  [909] = {.lex_state = 0, .external_lex_state = 8},
  [910] = {.lex_state = 0, .external_lex_state = 8},
  [911] = {.lex_state = 0, .external_lex_state = 8},
  [912] = {.lex_state = 0, .external_lex_state = 8},
  [913] = {.lex_state = 0, .external_lex_state = 21},
  [914] = {.lex_state = 0, .external_lex_state = 20},
  [915] = {.lex_state = 0, .external_lex_state = 21},
  [916] = {.lex_state = 0, .external_lex_state = 6},
  [917] = {.lex_state = 0, .external_lex_state = 8},
  [918] = {.lex_state = 16, .external_lex_state = 19},
  [919] = {.lex_state = 0, .external_lex_state = 6},
  [920] = {.lex_state = 16, .external_lex_state = 19},
  [921] = {.lex_state = 16, .external_lex_state = 19},
  [922] = {.lex_state = 16, .external_lex_state = 19},
  [923] = {.lex_state = 0, .external_lex_state = 6},
  [924] = {.lex_state = 0, .external_lex_state = 6},
  [925] = {.lex_state = 0, .external_lex_state = 8},
  [926] = {.lex_state = 0, .external_lex_state = 6},
  [927] = {.lex_state = 0, .external_lex_state = 21},
  [928] = {.lex_state = 0, .external_lex_state = 8},
  [929] = {.lex_state = 16, .external_lex_state = 19},
  [930] = {.lex_state = 16, .external_lex_state = 19},
  [931] = {.lex_state = 0, .external_lex_state = 8},
  [932] = {.lex_state = 0, .external_lex_state = 6},
  [933] = {.lex_state = 0, .external_lex_state = 6},
  [934] = {.lex_state = 16, .external_lex_state = 19},
  [935] = {.lex_state = 0, .external_lex_state = 20},
  [936] = {.lex_state = 0, .external_lex_state = 6},
  [937] = {.lex_state = 16, .external_lex_state = 19},
  [938] = {.lex_state = 0, .external_lex_state = 6},
  [939] = {.lex_state = 0, .external_lex_state = 6},
  [940] = {.lex_state = 0, .external_lex_state = 8},
  [941] = {.lex_state = 0, .external_lex_state = 8},
  [942] = {.lex_state = 0, .external_lex_state = 21},
  [943] = {.lex_state = 16, .external_lex_state = 19},
  [944] = {.lex_state = 0, .external_lex_state = 8},
  [945] = {.lex_state = 0, .external_lex_state = 8},
  [946] = {.lex_state = 16, .external_lex_state = 19},
  [947] = {.lex_state = 0, .external_lex_state = 8},
  [948] = {.lex_state = 0, .external_lex_state = 6},
  [949] = {.lex_state = 0, .external_lex_state = 8},
  [950] = {.lex_state = 0, .external_lex_state = 8},
  [951] = {.lex_state = 0, .external_lex_state = 8},
  [952] = {.lex_state = 0, .external_lex_state = 20},
  [953] = {.lex_state = 16, .external_lex_state = 19},
  [954] = {.lex_state = 16, .external_lex_state = 19},
  [955] = {.lex_state = 16, .external_lex_state = 19},
  [956] = {.lex_state = 0, .external_lex_state = 12},
  [957] = {.lex_state = 50, .external_lex_state = 18},
  [958] = {.lex_state = 0, .external_lex_state = 13},
  [959] = {.lex_state = 0, .external_lex_state = 13},
  [960] = {.lex_state = 0, .external_lex_state = 6},
  [961] = {.lex_state = 50, .external_lex_state = 18},
  [962] = {.lex_state = 0, .external_lex_state = 14},
  [963] = {.lex_state = 0, .external_lex_state = 13},
  [964] = {.lex_state = 50, .external_lex_state = 18},
  [965] = {.lex_state = 15, .external_lex_state = 8},
  [966] = {.lex_state = 0, .external_lex_state = 12},
  [967] = {.lex_state = 0, .external_lex_state = 13},
  [968] = {.lex_state = 0, .external_lex_state = 6},
  [969] = {.lex_state = 0, .external_lex_state = 6},
  [970] = {.lex_state = 0, .external_lex_state = 6},
  [971] = {.lex_state = 0, .external_lex_state = 6},
  [972] = {.lex_state = 50, .external_lex_state = 18},
  [973] = {.lex_state = 0, .external_lex_state = 13},
  [974] = {.lex_state = 50, .external_lex_state = 18},
  [975] = {.lex_state = 0, .external_lex_state = 14},
  [976] = {.lex_state = 0, .external_lex_state = 6},
  [977] = {.lex_state = 0, .external_lex_state = 22},
  [978] = {.lex_state = 0, .external_lex_state = 14},
  [979] = {.lex_state = 0, .external_lex_state = 13},
  [980] = {.lex_state = 0, .external_lex_state = 22},
  [981] = {.lex_state = 0, .external_lex_state = 13},
  [982] = {.lex_state = 0, .external_lex_state = 22},
  [983] = {.lex_state = 50, .external_lex_state = 18},
  [984] = {.lex_state = 50, .external_lex_state = 18},
  [985] = {.lex_state = 0, .external_lex_state = 22},
  [986] = {.lex_state = 50, .external_lex_state = 18},
  [987] = {.lex_state = 0, .external_lex_state = 22},
  [988] = {.lex_state = 0, .external_lex_state = 22},
  [989] = {.lex_state = 0, .external_lex_state = 6},
  [990] = {.lex_state = 0, .external_lex_state = 6},
  [991] = {.lex_state = 0, .external_lex_state = 14},
  [992] = {.lex_state = 0, .external_lex_state = 6},
  [993] = {.lex_state = 0, .external_lex_state = 6},
  [994] = {.lex_state = 15, .external_lex_state = 8},
  [995] = {.lex_state = 50, .external_lex_state = 8},
  [996] = {.lex_state = 0, .external_lex_state = 6},
  [997] = {.lex_state = 0, .external_lex_state = 6},
  [998] = {.lex_state = 0, .external_lex_state = 6},
  [999] = {.lex_state = 0, .external_lex_state = 12},
  [1000] = {.lex_state = 15, .external_lex_state = 8},
  [1001] = {.lex_state = 0, .external_lex_state = 13},
  [1002] = {.lex_state = 0, .external_lex_state = 14},
  [1003] = {.lex_state = 15, .external_lex_state = 8},
  [1004] = {.lex_state = 0, .external_lex_state = 12},
  [1005] = {.lex_state = 15, .external_lex_state = 8},
  [1006] = {.lex_state = 0, .external_lex_state = 8},
  [1007] = {.lex_state = 50, .external_lex_state = 8},
  [1008] = {.lex_state = 0, .external_lex_state = 13},
  [1009] = {.lex_state = 0, .external_lex_state = 13},
  [1010] = {.lex_state = 0, .external_lex_state = 22},
  [1011] = {.lex_state = 0, .external_lex_state = 14},
  [1012] = {.lex_state = 0, .external_lex_state = 12},
  [1013] = {.lex_state = 15, .external_lex_state = 8},
  [1014] = {.lex_state = 15, .external_lex_state = 8},
  [1015] = {.lex_state = 0, .external_lex_state = 22},
  [1016] = {.lex_state = 15, .external_lex_state = 8},
  [1017] = {.lex_state = 15, .external_lex_state = 8},
  [1018] = {.lex_state = 0, .external_lex_state = 12},
  [1019] = {.lex_state = 0, .external_lex_state = 6},
  [1020] = {.lex_state = 0, .external_lex_state = 13},
  [1021] = {.lex_state = 0, .external_lex_state = 6},
  [1022] = {.lex_state = 0, .external_lex_state = 12},
  [1023] = {.lex_state = 15, .external_lex_state = 8},
  [1024] = {.lex_state = 0, .external_lex_state = 6},
  [1025] = {.lex_state = 0, .external_lex_state = 6},
  [1026] = {.lex_state = 0, .external_lex_state = 6},
  [1027] = {.lex_state = 0, .external_lex_state = 13},
  [1028] = {.lex_state = 0, .external_lex_state = 14},
  [1029] = {.lex_state = 0, .external_lex_state = 13},
  [1030] = {.lex_state = 0, .external_lex_state = 14},
  [1031] = {.lex_state = 50, .external_lex_state = 8},
  [1032] = {.lex_state = 0, .external_lex_state = 8},
  [1033] = {.lex_state = 0, .external_lex_state = 6},
  [1034] = {.lex_state = 0, .external_lex_state = 13},
  [1035] = {.lex_state = 0, .external_lex_state = 14},
  [1036] = {.lex_state = 0, .external_lex_state = 12},
  [1037] = {.lex_state = 0, .external_lex_state = 13},
  [1038] = {.lex_state = 15, .external_lex_state = 8},
  [1039] = {.lex_state = 0, .external_lex_state = 14},
  [1040] = {.lex_state = 0, .external_lex_state = 13},
  [1041] = {.lex_state = 0, .external_lex_state = 12},
  [1042] = {.lex_state = 50, .external_lex_state = 18},
  [1043] = {.lex_state = 0, .external_lex_state = 13},
  [1044] = {.lex_state = 0, .external_lex_state = 14},
  [1045] = {.lex_state = 0, .external_lex_state = 13},
  [1046] = {.lex_state = 0, .external_lex_state = 14},
  [1047] = {.lex_state = 0, .external_lex_state = 13},
  [1048] = {.lex_state = 0, .external_lex_state = 18},
  [1049] = {.lex_state = 0, .external_lex_state = 12},
  [1050] = {.lex_state = 0, .external_lex_state = 12},
  [1051] = {.lex_state = 0, .external_lex_state = 13},
  [1052] = {.lex_state = 0, .external_lex_state = 14},
  [1053] = {.lex_state = 0, .external_lex_state = 12},
  [1054] = {.lex_state = 0, .external_lex_state = 12},
  [1055] = {.lex_state = 0, .external_lex_state = 13},
  [1056] = {.lex_state = 15, .external_lex_state = 8},
  [1057] = {.lex_state = 0, .external_lex_state = 14},
  [1058] = {.lex_state = 0, .external_lex_state = 12},
  [1059] = {.lex_state = 0, .external_lex_state = 6},
  [1060] = {.lex_state = 0, .external_lex_state = 12},
  [1061] = {.lex_state = 0, .external_lex_state = 12},
  [1062] = {.lex_state = 15, .external_lex_state = 8},
  [1063] = {.lex_state = 0, .external_lex_state = 14},
  [1064] = {.lex_state = 0, .external_lex_state = 14},
  [1065] = {.lex_state = 0, .external_lex_state = 6},
  [1066] = {.lex_state = 15, .external_lex_state = 8},
  [1067] = {.lex_state = 0, .external_lex_state = 6},
  [1068] = {.lex_state = 0, .external_lex_state = 6},
  [1069] = {.lex_state = 0, .external_lex_state = 6},
  [1070] = {.lex_state = 0, .external_lex_state = 6},
  [1071] = {.lex_state = 0, .external_lex_state = 13},
  [1072] = {.lex_state = 0, .external_lex_state = 14},
  [1073] = {.lex_state = 0, .external_lex_state = 12},
  [1074] = {.lex_state = 0, .external_lex_state = 6},
  [1075] = {.lex_state = 0, .external_lex_state = 13},
  [1076] = {.lex_state = 0, .external_lex_state = 6},
  [1077] = {.lex_state = 0, .external_lex_state = 14},
  [1078] = {.lex_state = 0, .external_lex_state = 6},
  [1079] = {.lex_state = 0, .external_lex_state = 12},
  [1080] = {.lex_state = 0, .external_lex_state = 12},
  [1081] = {.lex_state = 0, .external_lex_state = 6},
  [1082] = {.lex_state = 0, .external_lex_state = 6},
  [1083] = {.lex_state = 0, .external_lex_state = 6},
  [1084] = {.lex_state = 0, .external_lex_state = 6},
  [1085] = {.lex_state = 50, .external_lex_state = 8},
  [1086] = {.lex_state = 0, .external_lex_state = 13},
  [1087] = {.lex_state = 0, .external_lex_state = 14},
  [1088] = {.lex_state = 0, .external_lex_state = 6},
  [1089] = {.lex_state = 50, .external_lex_state = 8},
  [1090] = {.lex_state = 0, .external_lex_state = 13},
  [1091] = {.lex_state = 0, .external_lex_state = 14},
  [1092] = {.lex_state = 0, .external_lex_state = 12},
  [1093] = {.lex_state = 0, .external_lex_state = 6},
  [1094] = {.lex_state = 0, .external_lex_state = 6},
  [1095] = {.lex_state = 0, .external_lex_state = 12},
  [1096] = {.lex_state = 0, .external_lex_state = 6},
  [1097] = {.lex_state = 0, .external_lex_state = 12},
  [1098] = {.lex_state = 0, .external_lex_state = 6},
  [1099] = {.lex_state = 0, .external_lex_state = 13},
  [1100] = {.lex_state = 0, .external_lex_state = 14},
  [1101] = {.lex_state = 0, .external_lex_state = 12},
  [1102] = {.lex_state = 15, .external_lex_state = 8},
  [1103] = {.lex_state = 0, .external_lex_state = 13},
  [1104] = {.lex_state = 0, .external_lex_state = 14},
  [1105] = {.lex_state = 0, .external_lex_state = 12},
  [1106] = {.lex_state = 0, .external_lex_state = 13},
  [1107] = {.lex_state = 0, .external_lex_state = 8},
  [1108] = {.lex_state = 0, .external_lex_state = 6},
  [1109] = {.lex_state = 0, .external_lex_state = 6},
  [1110] = {.lex_state = 0, .external_lex_state = 6},
  [1111] = {.lex_state = 0, .external_lex_state = 8},
  [1112] = {.lex_state = 50, .external_lex_state = 18},
  [1113] = {.lex_state = 50, .external_lex_state = 18},
  [1114] = {.lex_state = 0, .external_lex_state = 13},
  [1115] = {.lex_state = 0, .external_lex_state = 14},
  [1116] = {.lex_state = 50, .external_lex_state = 18},
  [1117] = {.lex_state = 0, .external_lex_state = 6},
  [1118] = {.lex_state = 0, .external_lex_state = 6},
  [1119] = {.lex_state = 15, .external_lex_state = 8},
  [1120] = {.lex_state = 50, .external_lex_state = 8},
  [1121] = {.lex_state = 0, .external_lex_state = 8},
  [1122] = {.lex_state = 15, .external_lex_state = 8},
  [1123] = {.lex_state = 15, .external_lex_state = 8},
  [1124] = {.lex_state = 15, .external_lex_state = 8},
  [1125] = {.lex_state = 15, .external_lex_state = 8},
  [1126] = {.lex_state = 15, .external_lex_state = 8},
  [1127] = {.lex_state = 0, .external_lex_state = 6},
  [1128] = {.lex_state = 15, .external_lex_state = 8},
  [1129] = {.lex_state = 0, .external_lex_state = 8},
  [1130] = {.lex_state = 0, .external_lex_state = 14},
  [1131] = {.lex_state = 0, .external_lex_state = 6},
  [1132] = {.lex_state = 0, .external_lex_state = 6},
  [1133] = {.lex_state = 0, .external_lex_state = 6},
  [1134] = {.lex_state = 0, .external_lex_state = 14},
  [1135] = {.lex_state = 15, .external_lex_state = 8},
  [1136] = {.lex_state = 15, .external_lex_state = 8},
  [1137] = {.lex_state = 0, .external_lex_state = 6},
  [1138] = {.lex_state = 0, .external_lex_state = 13},
  [1139] = {.lex_state = 15, .external_lex_state = 8},
  [1140] = {.lex_state = 15, .external_lex_state = 8},
  [1141] = {.lex_state = 0, .external_lex_state = 6},
  [1142] = {.lex_state = 15, .external_lex_state = 8},
  [1143] = {.lex_state = 15, .external_lex_state = 8},
  [1144] = {.lex_state = 0, .external_lex_state = 14},
  [1145] = {.lex_state = 0, .external_lex_state = 13},
  [1146] = {.lex_state = 15, .external_lex_state = 8},
  [1147] = {.lex_state = 15, .external_lex_state = 8},
  [1148] = {.lex_state = 0, .external_lex_state = 6},
  [1149] = {.lex_state = 0, .external_lex_state = 6},
  [1150] = {.lex_state = 0, .external_lex_state = 8},
  [1151] = {.lex_state = 0, .external_lex_state = 6},
  [1152] = {.lex_state = 0, .external_lex_state = 13},
  [1153] = {.lex_state = 0, .external_lex_state = 8},
  [1154] = {.lex_state = 0, .external_lex_state = 12},
  [1155] = {.lex_state = 0, .external_lex_state = 8},
  [1156] = {.lex_state = 0, .external_lex_state = 15},
  [1157] = {.lex_state = 0, .external_lex_state = 8},
  [1158] = {.lex_state = 0, .external_lex_state = 8},
  [1159] = {.lex_state = 0, .external_lex_state = 14},
  [1160] = {.lex_state = 0, .external_lex_state = 8},
  [1161] = {.lex_state = 0, .external_lex_state = 2},
  [1162] = {.lex_state = 0, .external_lex_state = 13},
  [1163] = {.lex_state = 0, .external_lex_state = 8},
  [1164] = {.lex_state = 0, .external_lex_state = 12},
  [1165] = {.lex_state = 0, .external_lex_state = 2},
  [1166] = {.lex_state = 0, .external_lex_state = 15},
  [1167] = {.lex_state = 50, .external_lex_state = 8},
  [1168] = {.lex_state = 50, .external_lex_state = 8},
  [1169] = {.lex_state = 0, .external_lex_state = 8},
  [1170] = {.lex_state = 0, .external_lex_state = 8},
  [1171] = {.lex_state = 0, .external_lex_state = 8},
  [1172] = {.lex_state = 0, .external_lex_state = 12},
  [1173] = {.lex_state = 0, .external_lex_state = 12},
  [1174] = {.lex_state = 0, .external_lex_state = 22},
  [1175] = {.lex_state = 0, .external_lex_state = 8},
  [1176] = {.lex_state = 50, .external_lex_state = 8},
  [1177] = {.lex_state = 0, .external_lex_state = 14},
  [1178] = {.lex_state = 0, .external_lex_state = 8},
  [1179] = {.lex_state = 0, .external_lex_state = 12},
  [1180] = {.lex_state = 0, .external_lex_state = 14},
  [1181] = {.lex_state = 0, .external_lex_state = 8},
  [1182] = {.lex_state = 0, .external_lex_state = 16},
  [1183] = {.lex_state = 0, .external_lex_state = 12},
  [1184] = {.lex_state = 0, .external_lex_state = 8},
  [1185] = {.lex_state = 0, .external_lex_state = 14},
  [1186] = {.lex_state = 0, .external_lex_state = 13},
  [1187] = {.lex_state = 15, .external_lex_state = 8},
  [1188] = {.lex_state = 0, .external_lex_state = 12},
  [1189] = {.lex_state = 0, .external_lex_state = 13},
  [1190] = {.lex_state = 0, .external_lex_state = 2},
  [1191] = {.lex_state = 0, .external_lex_state = 8},
  [1192] = {.lex_state = 0, .external_lex_state = 8},
  [1193] = {.lex_state = 0, .external_lex_state = 8},
  [1194] = {.lex_state = 0, .external_lex_state = 13},
  [1195] = {.lex_state = 0, .external_lex_state = 8},
  [1196] = {.lex_state = 0, .external_lex_state = 23},
  [1197] = {.lex_state = 0, .external_lex_state = 23},
  [1198] = {.lex_state = 0, .external_lex_state = 14},
  [1199] = {.lex_state = 0, .external_lex_state = 8},
  [1200] = {.lex_state = 0, .external_lex_state = 14},
  [1201] = {.lex_state = 0, .external_lex_state = 13},
  [1202] = {.lex_state = 0, .external_lex_state = 13},
  [1203] = {.lex_state = 0, .external_lex_state = 8},
  [1204] = {.lex_state = 0, .external_lex_state = 16},
  [1205] = {.lex_state = 0, .external_lex_state = 8},
  [1206] = {.lex_state = 0, .external_lex_state = 16},
  [1207] = {.lex_state = 0, .external_lex_state = 8},
  [1208] = {.lex_state = 0, .external_lex_state = 8},
  [1209] = {.lex_state = 0, .external_lex_state = 2},
  [1210] = {.lex_state = 0, .external_lex_state = 8},
  [1211] = {.lex_state = 0, .external_lex_state = 14},
  [1212] = {.lex_state = 0, .external_lex_state = 13},
  [1213] = {.lex_state = 0, .external_lex_state = 8},
  [1214] = {.lex_state = 0, .external_lex_state = 8},
  [1215] = {.lex_state = 0, .external_lex_state = 14},
  [1216] = {.lex_state = 0, .external_lex_state = 8},
  [1217] = {.lex_state = 0, .external_lex_state = 8},
  [1218] = {.lex_state = 50, .external_lex_state = 8},
  [1219] = {.lex_state = 0, .external_lex_state = 13},
  [1220] = {.lex_state = 0, .external_lex_state = 14},
  [1221] = {.lex_state = 0, .external_lex_state = 8},
  [1222] = {.lex_state = 0, .external_lex_state = 13},
  [1223] = {.lex_state = 0, .external_lex_state = 8},
  [1224] = {.lex_state = 0, .external_lex_state = 16},
  [1225] = {.lex_state = 0, .external_lex_state = 8},
  [1226] = {.lex_state = 0, .external_lex_state = 8},
  [1227] = {.lex_state = 0, .external_lex_state = 8},
  [1228] = {.lex_state = 0, .external_lex_state = 12},
  [1229] = {.lex_state = 0, .external_lex_state = 13},
  [1230] = {.lex_state = 0, .external_lex_state = 8},
  [1231] = {.lex_state = 0, .external_lex_state = 12},
  [1232] = {.lex_state = 0, .external_lex_state = 12},
  [1233] = {.lex_state = 0, .external_lex_state = 2},
  [1234] = {.lex_state = 0, .external_lex_state = 12},
  [1235] = {.lex_state = 0, .external_lex_state = 8},
  [1236] = {.lex_state = 0, .external_lex_state = 13},
  [1237] = {.lex_state = 50, .external_lex_state = 8},
  [1238] = {.lex_state = 0, .external_lex_state = 8},
  [1239] = {.lex_state = 0, .external_lex_state = 8},
  [1240] = {.lex_state = 0, .external_lex_state = 8},
  [1241] = {.lex_state = 0, .external_lex_state = 13},
  [1242] = {.lex_state = 0, .external_lex_state = 16},
  [1243] = {.lex_state = 0, .external_lex_state = 14},
  [1244] = {.lex_state = 0, .external_lex_state = 8},
  [1245] = {.lex_state = 0, .external_lex_state = 8},
  [1246] = {.lex_state = 0, .external_lex_state = 16},
  [1247] = {.lex_state = 0, .external_lex_state = 14},
  [1248] = {.lex_state = 0, .external_lex_state = 8},
  [1249] = {.lex_state = 0, .external_lex_state = 13},
  [1250] = {.lex_state = 0, .external_lex_state = 14},
  [1251] = {.lex_state = 0, .external_lex_state = 13},
  [1252] = {.lex_state = 0, .external_lex_state = 8},
  [1253] = {.lex_state = 0, .external_lex_state = 16},
  [1254] = {.lex_state = 50, .external_lex_state = 8},
  [1255] = {.lex_state = 0, .external_lex_state = 8},
  [1256] = {.lex_state = 0, .external_lex_state = 16},
  [1257] = {.lex_state = 15, .external_lex_state = 8},
  [1258] = {.lex_state = 0, .external_lex_state = 8},
  [1259] = {.lex_state = 50, .external_lex_state = 8},
  [1260] = {.lex_state = 0, .external_lex_state = 8},
  [1261] = {.lex_state = 0, .external_lex_state = 8},
  [1262] = {.lex_state = 0, .external_lex_state = 14},
  [1263] = {.lex_state = 0, .external_lex_state = 14},
  [1264] = {.lex_state = 50, .external_lex_state = 8},
  [1265] = {.lex_state = 0, .external_lex_state = 8},
  [1266] = {.lex_state = 50, .external_lex_state = 8},
  [1267] = {.lex_state = 0, .external_lex_state = 8},
  [1268] = {.lex_state = 50, .external_lex_state = 8},
  [1269] = {.lex_state = 0, .external_lex_state = 14},
  [1270] = {.lex_state = 0, .external_lex_state = 8},
  [1271] = {.lex_state = 0, .external_lex_state = 8},
  [1272] = {.lex_state = 0, .external_lex_state = 8},
  [1273] = {.lex_state = 0, .external_lex_state = 8},
  [1274] = {.lex_state = 0, .external_lex_state = 8},
  [1275] = {.lex_state = 0, .external_lex_state = 14},
  [1276] = {.lex_state = 50, .external_lex_state = 8},
  [1277] = {.lex_state = 50, .external_lex_state = 8},
  [1278] = {.lex_state = 0, .external_lex_state = 13},
  [1279] = {.lex_state = 0, .external_lex_state = 13},
  [1280] = {.lex_state = 50, .external_lex_state = 8},
  [1281] = {.lex_state = 0, .external_lex_state = 8},
  [1282] = {.lex_state = 0, .external_lex_state = 8},
  [1283] = {.lex_state = 50, .external_lex_state = 8},
  [1284] = {.lex_state = 0, .external_lex_state = 8},
  [1285] = {.lex_state = 0, .external_lex_state = 2},
  [1286] = {.lex_state = 0, .external_lex_state = 8},
  [1287] = {.lex_state = 50, .external_lex_state = 8},
  [1288] = {.lex_state = 0, .external_lex_state = 8},
  [1289] = {.lex_state = 0, .external_lex_state = 2},
  [1290] = {.lex_state = 50, .external_lex_state = 8},
  [1291] = {.lex_state = 0, .external_lex_state = 8},
  [1292] = {.lex_state = 0, .external_lex_state = 8},
  [1293] = {.lex_state = 0, .external_lex_state = 8},
  [1294] = {.lex_state = 0, .external_lex_state = 22},
  [1295] = {.lex_state = 0, .external_lex_state = 8},
  [1296] = {.lex_state = 0, .external_lex_state = 8},
  [1297] = {.lex_state = 0, .external_lex_state = 14},
  [1298] = {.lex_state = 0, .external_lex_state = 13},
  [1299] = {.lex_state = 0, .external_lex_state = 8},
  [1300] = {.lex_state = 0, .external_lex_state = 12},
  [1301] = {.lex_state = 0, .external_lex_state = 15},
  [1302] = {.lex_state = 0, .external_lex_state = 8},
  [1303] = {.lex_state = 0, .external_lex_state = 8},
  [1304] = {.lex_state = 0, .external_lex_state = 12},
  [1305] = {.lex_state = 0, .external_lex_state = 14},
  [1306] = {.lex_state = 0, .external_lex_state = 13},
  [1307] = {.lex_state = 0, .external_lex_state = 8},
  [1308] = {.lex_state = 0, .external_lex_state = 8},
  [1309] = {.lex_state = 0, .external_lex_state = 13},
  [1310] = {.lex_state = 0, .external_lex_state = 2},
  [1311] = {.lex_state = 0, .external_lex_state = 13},
  [1312] = {.lex_state = 50, .external_lex_state = 8},
  [1313] = {.lex_state = 0, .external_lex_state = 8},
  [1314] = {.lex_state = 0, .external_lex_state = 15},
  [1315] = {.lex_state = 0, .external_lex_state = 13},
  [1316] = {.lex_state = 0, .external_lex_state = 8},
  [1317] = {.lex_state = 0, .external_lex_state = 16},
  [1318] = {.lex_state = 0, .external_lex_state = 12},
  [1319] = {.lex_state = 0, .external_lex_state = 8},
  [1320] = {.lex_state = 0, .external_lex_state = 22},
  [1321] = {.lex_state = 0, .external_lex_state = 16},
  [1322] = {.lex_state = 0, .external_lex_state = 8},
  [1323] = {.lex_state = 0, .external_lex_state = 13},
  [1324] = {.lex_state = 0, .external_lex_state = 13},
  [1325] = {.lex_state = 0, .external_lex_state = 8},
  [1326] = {.lex_state = 0, .external_lex_state = 12},
  [1327] = {.lex_state = 0, .external_lex_state = 13},
  [1328] = {.lex_state = 50, .external_lex_state = 8},
  [1329] = {.lex_state = 0, .external_lex_state = 8},
  [1330] = {.lex_state = 0, .external_lex_state = 8},
  [1331] = {.lex_state = 0, .external_lex_state = 8},
  [1332] = {.lex_state = 0, .external_lex_state = 8},
  [1333] = {.lex_state = 0, .external_lex_state = 14},
  [1334] = {.lex_state = 0, .external_lex_state = 8},
  [1335] = {.lex_state = 0, .external_lex_state = 8},
  [1336] = {.lex_state = 0, .external_lex_state = 8},
  [1337] = {.lex_state = 0, .external_lex_state = 14},
  [1338] = {.lex_state = 0, .external_lex_state = 12},
  [1339] = {.lex_state = 0, .external_lex_state = 8},
  [1340] = {.lex_state = 50, .external_lex_state = 8},
  [1341] = {.lex_state = 50, .external_lex_state = 8},
  [1342] = {.lex_state = 0, .external_lex_state = 8},
  [1343] = {.lex_state = 50, .external_lex_state = 8},
  [1344] = {.lex_state = 0, .external_lex_state = 8},
  [1345] = {.lex_state = 50, .external_lex_state = 8},
  [1346] = {.lex_state = 50, .external_lex_state = 8},
  [1347] = {.lex_state = 0, .external_lex_state = 15},
  [1348] = {.lex_state = 50, .external_lex_state = 8},
  [1349] = {.lex_state = 50, .external_lex_state = 8},
  [1350] = {.lex_state = 0, .external_lex_state = 15},
  [1351] = {.lex_state = 50, .external_lex_state = 8},
  [1352] = {.lex_state = 50, .external_lex_state = 8},
  [1353] = {.lex_state = 50, .external_lex_state = 8},
  [1354] = {.lex_state = 50, .external_lex_state = 8},
  [1355] = {.lex_state = 50, .external_lex_state = 8},
  [1356] = {.lex_state = 0, .external_lex_state = 15},
  [1357] = {.lex_state = 50, .external_lex_state = 8},
  [1358] = {.lex_state = 50, .external_lex_state = 8},
  [1359] = {.lex_state = 0, .external_lex_state = 18},
  [1360] = {.lex_state = 0, .external_lex_state = 22},
  [1361] = {.lex_state = 0, .external_lex_state = 22},
  [1362] = {.lex_state = 0, .external_lex_state = 22},
  [1363] = {.lex_state = 50, .external_lex_state = 8},
  [1364] = {.lex_state = 50, .external_lex_state = 8},
  [1365] = {.lex_state = 50, .external_lex_state = 8},
  [1366] = {.lex_state = 0, .external_lex_state = 15},
  [1367] = {.lex_state = 50, .external_lex_state = 8},
  [1368] = {.lex_state = 50, .external_lex_state = 8},
  [1369] = {.lex_state = 0, .external_lex_state = 15},
  [1370] = {.lex_state = 50, .external_lex_state = 8},
  [1371] = {.lex_state = 0, .external_lex_state = 15},
  [1372] = {.lex_state = 0, .external_lex_state = 15},
  [1373] = {.lex_state = 0, .external_lex_state = 15},
  [1374] = {.lex_state = 50, .external_lex_state = 8},
  [1375] = {.lex_state = 0, .external_lex_state = 15},
  [1376] = {.lex_state = 50, .external_lex_state = 8},
  [1377] = {.lex_state = 50, .external_lex_state = 8},
  [1378] = {.lex_state = 50, .external_lex_state = 8},
  [1379] = {.lex_state = 50, .external_lex_state = 8},
  [1380] = {.lex_state = 50, .external_lex_state = 8},
  [1381] = {.lex_state = 0, .external_lex_state = 15},
  [1382] = {.lex_state = 0, .external_lex_state = 18},
  [1383] = {.lex_state = 50, .external_lex_state = 8},
  [1384] = {.lex_state = 0, .external_lex_state = 8},
  [1385] = {.lex_state = 50, .external_lex_state = 8},
  [1386] = {.lex_state = 50, .external_lex_state = 8},
  [1387] = {.lex_state = 0, .external_lex_state = 18},
  [1388] = {.lex_state = 0, .external_lex_state = 15},
  [1389] = {.lex_state = 0, .external_lex_state = 22},
  [1390] = {.lex_state = 0, .external_lex_state = 18},
  [1391] = {.lex_state = 0, .external_lex_state = 22},
  [1392] = {.lex_state = 50, .external_lex_state = 8},
  [1393] = {.lex_state = 50, .external_lex_state = 8},
  [1394] = {.lex_state = 50, .external_lex_state = 8},
  [1395] = {.lex_state = 50, .external_lex_state = 8},
  [1396] = {.lex_state = 50, .external_lex_state = 8},
  [1397] = {.lex_state = 50, .external_lex_state = 8},
  [1398] = {.lex_state = 0, .external_lex_state = 22},
  [1399] = {.lex_state = 0, .external_lex_state = 15},
  [1400] = {.lex_state = 0, .external_lex_state = 18},
  [1401] = {.lex_state = 50, .external_lex_state = 8},
  [1402] = {.lex_state = 50, .external_lex_state = 8},
  [1403] = {.lex_state = 0, .external_lex_state = 15},
  [1404] = {.lex_state = 50, .external_lex_state = 8},
  [1405] = {.lex_state = 0, .external_lex_state = 8},
  [1406] = {.lex_state = 0, .external_lex_state = 15},
  [1407] = {.lex_state = 50, .external_lex_state = 8},
  [1408] = {.lex_state = 50, .external_lex_state = 8},
  [1409] = {.lex_state = 0, .external_lex_state = 8},
  [1410] = {.lex_state = 50, .external_lex_state = 8},
  [1411] = {.lex_state = 0, .external_lex_state = 8},
  [1412] = {.lex_state = 0, .external_lex_state = 18},
  [1413] = {.lex_state = 0, .external_lex_state = 15},
  [1414] = {.lex_state = 50, .external_lex_state = 8},
  [1415] = {.lex_state = 0, .external_lex_state = 8},
  [1416] = {.lex_state = 0, .external_lex_state = 22},
  [1417] = {.lex_state = 0, .external_lex_state = 8},
  [1418] = {.lex_state = 0, .external_lex_state = 15},
  [1419] = {.lex_state = 0, .external_lex_state = 22},
  [1420] = {.lex_state = 50, .external_lex_state = 8},
  [1421] = {.lex_state = 0, .external_lex_state = 8},
  [1422] = {.lex_state = 50, .external_lex_state = 8},
  [1423] = {.lex_state = 50, .external_lex_state = 8},
  [1424] = {.lex_state = 50, .external_lex_state = 8},
  [1425] = {.lex_state = 0, .external_lex_state = 15},
  [1426] = {.lex_state = 50, .external_lex_state = 8},
  [1427] = {.lex_state = 0, .external_lex_state = 23},
  [1428] = {.lex_state = 0, .external_lex_state = 8},
  [1429] = {.lex_state = 50, .external_lex_state = 8},
  [1430] = {.lex_state = 50, .external_lex_state = 8},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__identifier] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_underscore] = ACTIONS(1),
    [sym_static_keyword] = ACTIONS(1),
    [anon_sym_remote] = ACTIONS(1),
    [anon_sym_master] = ACTIONS(1),
    [anon_sym_puppet] = ACTIONS(1),
    [anon_sym_remotesync] = ACTIONS(1),
    [anon_sym_mastersync] = ACTIONS(1),
    [anon_sym_puppetsync] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [sym_node_path] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_setget] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_onready] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_pass] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [sym_breakpoint_statement] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [sym_tool_statement] = ACTIONS(1),
    [anon_sym_signal] = ACTIONS(1),
    [anon_sym_class_name] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [sym_pattern_open_ending] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_func] = ACTIONS(1),
    [anon_sym__init] = ACTIONS(1),
    [sym__newline] = ACTIONS(1),
    [sym__indent] = ACTIONS(1),
    [sym__dedent] = ACTIONS(1),
    [sym__string_start] = ACTIONS(1),
    [sym__string_content] = ACTIONS(1),
    [sym__string_end] = ACTIONS(1),
    [sym__body_end] = ACTIONS(1),
  },
  [1] = {
    [sym_source] = STATE(1428),
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(831),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym__statement] = STATE(24),
    [sym__simple_statements] = STATE(24),
    [sym_expression_statement] = STATE(919),
    [sym_annotation] = STATE(818),
    [aux_sym__annotations] = STATE(818),
    [sym_annotations] = STATE(1107),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(919),
    [sym_export_variable_statement] = STATE(919),
    [sym_onready_variable_statement] = STATE(919),
    [sym_const_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_signal_statement] = STATE(919),
    [sym_class_name_statement] = STATE(919),
    [sym_extends_statement] = STATE(919),
    [sym_if_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_class_definition] = STATE(24),
    [sym_enum_definition] = STATE(24),
    [sym_match_statement] = STATE(24),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_function_definition] = STATE(24),
    [sym_constructor_definition] = STATE(24),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [aux_sym_source_repeat1] = STATE(24),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(11),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(35),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_func] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [2] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(832),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym__statement] = STATE(6),
    [sym__simple_statements] = STATE(6),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1153),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym_if_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_class_definition] = STATE(6),
    [sym_enum_definition] = STATE(6),
    [sym_match_statement] = STATE(6),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_function_definition] = STATE(6),
    [sym_constructor_definition] = STATE(6),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [aux_sym_source_repeat1] = STATE(6),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(75),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_class] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_func] = ACTIONS(91),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(93),
  },
  [3] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(832),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym__statement] = STATE(6),
    [sym__simple_statements] = STATE(6),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1153),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym_if_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_class_definition] = STATE(6),
    [sym_enum_definition] = STATE(6),
    [sym_match_statement] = STATE(6),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_function_definition] = STATE(6),
    [sym_constructor_definition] = STATE(6),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [aux_sym_source_repeat1] = STATE(6),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(75),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_class] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_func] = ACTIONS(91),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(95),
  },
  [4] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(832),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym__statement] = STATE(6),
    [sym__simple_statements] = STATE(6),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1153),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym_if_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_class_definition] = STATE(6),
    [sym_enum_definition] = STATE(6),
    [sym_match_statement] = STATE(6),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_function_definition] = STATE(6),
    [sym_constructor_definition] = STATE(6),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [aux_sym_source_repeat1] = STATE(6),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(75),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_class] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_func] = ACTIONS(91),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(97),
  },
  [5] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(832),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym__statement] = STATE(3),
    [sym__simple_statements] = STATE(3),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1153),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym_if_statement] = STATE(3),
    [sym_for_statement] = STATE(3),
    [sym_while_statement] = STATE(3),
    [sym_class_definition] = STATE(3),
    [sym_enum_definition] = STATE(3),
    [sym_match_statement] = STATE(3),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_function_definition] = STATE(3),
    [sym_constructor_definition] = STATE(3),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [aux_sym_source_repeat1] = STATE(3),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(75),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_class] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_func] = ACTIONS(91),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(99),
  },
  [6] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(832),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym__statement] = STATE(6),
    [sym__simple_statements] = STATE(6),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1153),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym_if_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_class_definition] = STATE(6),
    [sym_enum_definition] = STATE(6),
    [sym_match_statement] = STATE(6),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_function_definition] = STATE(6),
    [sym_constructor_definition] = STATE(6),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [aux_sym_source_repeat1] = STATE(6),
    [sym__identifier] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(104),
    [sym_false] = ACTIONS(104),
    [sym_null] = ACTIONS(104),
    [sym_static_keyword] = ACTIONS(107),
    [anon_sym_remote] = ACTIONS(110),
    [anon_sym_master] = ACTIONS(110),
    [anon_sym_puppet] = ACTIONS(110),
    [anon_sym_remotesync] = ACTIONS(110),
    [anon_sym_mastersync] = ACTIONS(110),
    [anon_sym_puppetsync] = ACTIONS(110),
    [sym_float] = ACTIONS(113),
    [sym_integer] = ACTIONS(104),
    [anon_sym_AMP] = ACTIONS(116),
    [sym_node_path] = ACTIONS(113),
    [sym_get_node] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(119),
    [anon_sym_var] = ACTIONS(122),
    [anon_sym_export] = ACTIONS(125),
    [anon_sym_onready] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_return] = ACTIONS(134),
    [anon_sym_pass] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(140),
    [sym_breakpoint_statement] = ACTIONS(143),
    [anon_sym_continue] = ACTIONS(146),
    [sym_tool_statement] = ACTIONS(143),
    [anon_sym_signal] = ACTIONS(149),
    [anon_sym_class_name] = ACTIONS(152),
    [anon_sym_extends] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(158),
    [anon_sym_for] = ACTIONS(161),
    [anon_sym_while] = ACTIONS(164),
    [anon_sym_class] = ACTIONS(167),
    [anon_sym_enum] = ACTIONS(170),
    [anon_sym_LBRACE] = ACTIONS(173),
    [anon_sym_match] = ACTIONS(176),
    [anon_sym_LBRACK] = ACTIONS(179),
    [anon_sym_PLUS] = ACTIONS(182),
    [anon_sym_DASH] = ACTIONS(182),
    [anon_sym_not] = ACTIONS(185),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_DOT] = ACTIONS(188),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_await] = ACTIONS(194),
    [anon_sym_func] = ACTIONS(197),
    [sym__dedent] = ACTIONS(200),
    [sym__string_start] = ACTIONS(202),
    [sym__body_end] = ACTIONS(200),
  },
  [7] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(832),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym__statement] = STATE(4),
    [sym__simple_statements] = STATE(4),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1153),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym_if_statement] = STATE(4),
    [sym_for_statement] = STATE(4),
    [sym_while_statement] = STATE(4),
    [sym_class_definition] = STATE(4),
    [sym_enum_definition] = STATE(4),
    [sym_match_statement] = STATE(4),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_function_definition] = STATE(4),
    [sym_constructor_definition] = STATE(4),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [aux_sym_source_repeat1] = STATE(4),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(75),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_class] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_func] = ACTIONS(91),
    [sym__dedent] = ACTIONS(205),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(205),
  },
  [8] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(832),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym__statement] = STATE(9),
    [sym__simple_statements] = STATE(9),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1153),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym_if_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_class_definition] = STATE(9),
    [sym_enum_definition] = STATE(9),
    [sym_match_statement] = STATE(9),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_function_definition] = STATE(9),
    [sym_constructor_definition] = STATE(9),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [aux_sym_source_repeat1] = STATE(9),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(75),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_class] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_func] = ACTIONS(91),
    [sym__dedent] = ACTIONS(207),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(207),
  },
  [9] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(832),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym__statement] = STATE(6),
    [sym__simple_statements] = STATE(6),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1153),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym_if_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_class_definition] = STATE(6),
    [sym_enum_definition] = STATE(6),
    [sym_match_statement] = STATE(6),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_function_definition] = STATE(6),
    [sym_constructor_definition] = STATE(6),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [aux_sym_source_repeat1] = STATE(6),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(75),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_class] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_func] = ACTIONS(91),
    [sym__dedent] = ACTIONS(209),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(209),
  },
  [10] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(832),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym__statement] = STATE(11),
    [sym__simple_statements] = STATE(11),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1153),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym_if_statement] = STATE(11),
    [sym_for_statement] = STATE(11),
    [sym_while_statement] = STATE(11),
    [sym_class_definition] = STATE(11),
    [sym_enum_definition] = STATE(11),
    [sym_match_statement] = STATE(11),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_function_definition] = STATE(11),
    [sym_constructor_definition] = STATE(11),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [aux_sym_source_repeat1] = STATE(11),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(75),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_class] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_func] = ACTIONS(91),
    [sym__dedent] = ACTIONS(211),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(211),
  },
  [11] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(832),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym__statement] = STATE(6),
    [sym__simple_statements] = STATE(6),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1153),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym_if_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_class_definition] = STATE(6),
    [sym_enum_definition] = STATE(6),
    [sym_match_statement] = STATE(6),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_function_definition] = STATE(6),
    [sym_constructor_definition] = STATE(6),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [aux_sym_source_repeat1] = STATE(6),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(75),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_class] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_func] = ACTIONS(91),
    [sym__dedent] = ACTIONS(213),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(213),
  },
  [12] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(832),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym__statement] = STATE(13),
    [sym__simple_statements] = STATE(13),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1153),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym_if_statement] = STATE(13),
    [sym_for_statement] = STATE(13),
    [sym_while_statement] = STATE(13),
    [sym_class_definition] = STATE(13),
    [sym_enum_definition] = STATE(13),
    [sym_match_statement] = STATE(13),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_function_definition] = STATE(13),
    [sym_constructor_definition] = STATE(13),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [aux_sym_source_repeat1] = STATE(13),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(75),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_class] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_func] = ACTIONS(91),
    [sym__dedent] = ACTIONS(215),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(215),
  },
  [13] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(832),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym__statement] = STATE(6),
    [sym__simple_statements] = STATE(6),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1153),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym_if_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_class_definition] = STATE(6),
    [sym_enum_definition] = STATE(6),
    [sym_match_statement] = STATE(6),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_function_definition] = STATE(6),
    [sym_constructor_definition] = STATE(6),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [aux_sym_source_repeat1] = STATE(6),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(75),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_class] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_func] = ACTIONS(91),
    [sym__dedent] = ACTIONS(217),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(217),
  },
  [14] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(832),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym__statement] = STATE(15),
    [sym__simple_statements] = STATE(15),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1153),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym_if_statement] = STATE(15),
    [sym_for_statement] = STATE(15),
    [sym_while_statement] = STATE(15),
    [sym_class_definition] = STATE(15),
    [sym_enum_definition] = STATE(15),
    [sym_match_statement] = STATE(15),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_function_definition] = STATE(15),
    [sym_constructor_definition] = STATE(15),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [aux_sym_source_repeat1] = STATE(15),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(75),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_class] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_func] = ACTIONS(91),
    [sym__dedent] = ACTIONS(219),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(219),
  },
  [15] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(832),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym__statement] = STATE(6),
    [sym__simple_statements] = STATE(6),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1153),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym_if_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_class_definition] = STATE(6),
    [sym_enum_definition] = STATE(6),
    [sym_match_statement] = STATE(6),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_function_definition] = STATE(6),
    [sym_constructor_definition] = STATE(6),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [aux_sym_source_repeat1] = STATE(6),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(75),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_class] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_func] = ACTIONS(91),
    [sym__dedent] = ACTIONS(221),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(221),
  },
  [16] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(832),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym__statement] = STATE(17),
    [sym__simple_statements] = STATE(17),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1153),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym_if_statement] = STATE(17),
    [sym_for_statement] = STATE(17),
    [sym_while_statement] = STATE(17),
    [sym_class_definition] = STATE(17),
    [sym_enum_definition] = STATE(17),
    [sym_match_statement] = STATE(17),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_function_definition] = STATE(17),
    [sym_constructor_definition] = STATE(17),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [aux_sym_source_repeat1] = STATE(17),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(75),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_class] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_func] = ACTIONS(91),
    [sym__dedent] = ACTIONS(223),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(223),
  },
  [17] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(832),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym__statement] = STATE(6),
    [sym__simple_statements] = STATE(6),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1153),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym_if_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_class_definition] = STATE(6),
    [sym_enum_definition] = STATE(6),
    [sym_match_statement] = STATE(6),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_function_definition] = STATE(6),
    [sym_constructor_definition] = STATE(6),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [aux_sym_source_repeat1] = STATE(6),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(75),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_class] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_func] = ACTIONS(91),
    [sym__dedent] = ACTIONS(225),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(225),
  },
  [18] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(832),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym__statement] = STATE(19),
    [sym__simple_statements] = STATE(19),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1153),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym_if_statement] = STATE(19),
    [sym_for_statement] = STATE(19),
    [sym_while_statement] = STATE(19),
    [sym_class_definition] = STATE(19),
    [sym_enum_definition] = STATE(19),
    [sym_match_statement] = STATE(19),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_function_definition] = STATE(19),
    [sym_constructor_definition] = STATE(19),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [aux_sym_source_repeat1] = STATE(19),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(75),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_class] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_func] = ACTIONS(91),
    [sym__dedent] = ACTIONS(227),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(227),
  },
  [19] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(832),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym__statement] = STATE(6),
    [sym__simple_statements] = STATE(6),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1153),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym_if_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_class_definition] = STATE(6),
    [sym_enum_definition] = STATE(6),
    [sym_match_statement] = STATE(6),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_function_definition] = STATE(6),
    [sym_constructor_definition] = STATE(6),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [aux_sym_source_repeat1] = STATE(6),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(75),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_class] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_func] = ACTIONS(91),
    [sym__dedent] = ACTIONS(229),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(229),
  },
  [20] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(832),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym__statement] = STATE(21),
    [sym__simple_statements] = STATE(21),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1153),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym_if_statement] = STATE(21),
    [sym_for_statement] = STATE(21),
    [sym_while_statement] = STATE(21),
    [sym_class_definition] = STATE(21),
    [sym_enum_definition] = STATE(21),
    [sym_match_statement] = STATE(21),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_function_definition] = STATE(21),
    [sym_constructor_definition] = STATE(21),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [aux_sym_source_repeat1] = STATE(21),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(75),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_class] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_func] = ACTIONS(91),
    [sym__dedent] = ACTIONS(231),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(231),
  },
  [21] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(832),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym__statement] = STATE(6),
    [sym__simple_statements] = STATE(6),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1153),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym_if_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_class_definition] = STATE(6),
    [sym_enum_definition] = STATE(6),
    [sym_match_statement] = STATE(6),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_function_definition] = STATE(6),
    [sym_constructor_definition] = STATE(6),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [aux_sym_source_repeat1] = STATE(6),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(75),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_class] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_func] = ACTIONS(91),
    [sym__dedent] = ACTIONS(233),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(233),
  },
  [22] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(832),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym__statement] = STATE(2),
    [sym__simple_statements] = STATE(2),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1153),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym_if_statement] = STATE(2),
    [sym_for_statement] = STATE(2),
    [sym_while_statement] = STATE(2),
    [sym_class_definition] = STATE(2),
    [sym_enum_definition] = STATE(2),
    [sym_match_statement] = STATE(2),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_function_definition] = STATE(2),
    [sym_constructor_definition] = STATE(2),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [aux_sym_source_repeat1] = STATE(2),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(75),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_class] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_func] = ACTIONS(91),
    [sym__dedent] = ACTIONS(235),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(235),
  },
  [23] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(831),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym__statement] = STATE(23),
    [sym__simple_statements] = STATE(23),
    [sym_expression_statement] = STATE(919),
    [sym_annotation] = STATE(818),
    [aux_sym__annotations] = STATE(818),
    [sym_annotations] = STATE(1107),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(919),
    [sym_export_variable_statement] = STATE(919),
    [sym_onready_variable_statement] = STATE(919),
    [sym_const_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_signal_statement] = STATE(919),
    [sym_class_name_statement] = STATE(919),
    [sym_extends_statement] = STATE(919),
    [sym_if_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_class_definition] = STATE(23),
    [sym_enum_definition] = STATE(23),
    [sym_match_statement] = STATE(23),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_function_definition] = STATE(23),
    [sym_constructor_definition] = STATE(23),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [aux_sym_source_repeat1] = STATE(23),
    [ts_builtin_sym_end] = ACTIONS(200),
    [sym__identifier] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(104),
    [sym_false] = ACTIONS(104),
    [sym_null] = ACTIONS(104),
    [sym_static_keyword] = ACTIONS(237),
    [anon_sym_remote] = ACTIONS(110),
    [anon_sym_master] = ACTIONS(110),
    [anon_sym_puppet] = ACTIONS(110),
    [anon_sym_remotesync] = ACTIONS(110),
    [anon_sym_mastersync] = ACTIONS(110),
    [anon_sym_puppetsync] = ACTIONS(110),
    [sym_float] = ACTIONS(113),
    [sym_integer] = ACTIONS(104),
    [anon_sym_AMP] = ACTIONS(116),
    [sym_node_path] = ACTIONS(113),
    [sym_get_node] = ACTIONS(113),
    [anon_sym_AT] = ACTIONS(119),
    [anon_sym_var] = ACTIONS(122),
    [anon_sym_export] = ACTIONS(125),
    [anon_sym_onready] = ACTIONS(128),
    [anon_sym_const] = ACTIONS(131),
    [anon_sym_return] = ACTIONS(134),
    [anon_sym_pass] = ACTIONS(137),
    [anon_sym_break] = ACTIONS(140),
    [sym_breakpoint_statement] = ACTIONS(240),
    [anon_sym_continue] = ACTIONS(146),
    [sym_tool_statement] = ACTIONS(240),
    [anon_sym_signal] = ACTIONS(149),
    [anon_sym_class_name] = ACTIONS(152),
    [anon_sym_extends] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(243),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_while] = ACTIONS(249),
    [anon_sym_class] = ACTIONS(252),
    [anon_sym_enum] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(173),
    [anon_sym_match] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(179),
    [anon_sym_PLUS] = ACTIONS(182),
    [anon_sym_DASH] = ACTIONS(182),
    [anon_sym_not] = ACTIONS(185),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_DOT] = ACTIONS(188),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_await] = ACTIONS(194),
    [anon_sym_func] = ACTIONS(261),
    [sym__string_start] = ACTIONS(202),
  },
  [24] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(831),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym__statement] = STATE(23),
    [sym__simple_statements] = STATE(23),
    [sym_expression_statement] = STATE(919),
    [sym_annotation] = STATE(818),
    [aux_sym__annotations] = STATE(818),
    [sym_annotations] = STATE(1107),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(919),
    [sym_export_variable_statement] = STATE(919),
    [sym_onready_variable_statement] = STATE(919),
    [sym_const_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_signal_statement] = STATE(919),
    [sym_class_name_statement] = STATE(919),
    [sym_extends_statement] = STATE(919),
    [sym_if_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_class_definition] = STATE(23),
    [sym_enum_definition] = STATE(23),
    [sym_match_statement] = STATE(23),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_function_definition] = STATE(23),
    [sym_constructor_definition] = STATE(23),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [aux_sym_source_repeat1] = STATE(23),
    [ts_builtin_sym_end] = ACTIONS(264),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(11),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(35),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_for] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_class] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_match] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [anon_sym_func] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [25] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(126),
    [sym__simple_statements] = STATE(145),
    [sym_expression_statement] = STATE(919),
    [sym_annotation] = STATE(818),
    [aux_sym__annotations] = STATE(818),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(919),
    [sym_export_variable_statement] = STATE(919),
    [sym_onready_variable_statement] = STATE(919),
    [sym_const_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_signal_statement] = STATE(919),
    [sym_class_name_statement] = STATE(919),
    [sym_extends_statement] = STATE(919),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(35),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(268),
    [sym__indent] = ACTIONS(270),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(268),
  },
  [26] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(206),
    [sym__simple_statements] = STATE(145),
    [sym_expression_statement] = STATE(919),
    [sym_annotation] = STATE(818),
    [aux_sym__annotations] = STATE(818),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(919),
    [sym_export_variable_statement] = STATE(919),
    [sym_onready_variable_statement] = STATE(919),
    [sym_const_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_signal_statement] = STATE(919),
    [sym_class_name_statement] = STATE(919),
    [sym_extends_statement] = STATE(919),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(35),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(268),
    [sym__indent] = ACTIONS(270),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(268),
  },
  [27] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(204),
    [sym__simple_statements] = STATE(145),
    [sym_expression_statement] = STATE(919),
    [sym_annotation] = STATE(818),
    [aux_sym__annotations] = STATE(818),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(919),
    [sym_export_variable_statement] = STATE(919),
    [sym_onready_variable_statement] = STATE(919),
    [sym_const_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_signal_statement] = STATE(919),
    [sym_class_name_statement] = STATE(919),
    [sym_extends_statement] = STATE(919),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(35),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(268),
    [sym__indent] = ACTIONS(270),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(268),
  },
  [28] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(184),
    [sym__simple_statements] = STATE(145),
    [sym_expression_statement] = STATE(919),
    [sym_annotation] = STATE(818),
    [aux_sym__annotations] = STATE(818),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(919),
    [sym_export_variable_statement] = STATE(919),
    [sym_onready_variable_statement] = STATE(919),
    [sym_const_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_signal_statement] = STATE(919),
    [sym_class_name_statement] = STATE(919),
    [sym_extends_statement] = STATE(919),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(35),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(268),
    [sym__indent] = ACTIONS(270),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(268),
  },
  [29] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(177),
    [sym__simple_statements] = STATE(145),
    [sym_expression_statement] = STATE(919),
    [sym_annotation] = STATE(818),
    [aux_sym__annotations] = STATE(818),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(919),
    [sym_export_variable_statement] = STATE(919),
    [sym_onready_variable_statement] = STATE(919),
    [sym_const_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_signal_statement] = STATE(919),
    [sym_class_name_statement] = STATE(919),
    [sym_extends_statement] = STATE(919),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(35),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(268),
    [sym__indent] = ACTIONS(270),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(268),
  },
  [30] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(186),
    [sym__simple_statements] = STATE(145),
    [sym_expression_statement] = STATE(919),
    [sym_annotation] = STATE(818),
    [aux_sym__annotations] = STATE(818),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(919),
    [sym_export_variable_statement] = STATE(919),
    [sym_onready_variable_statement] = STATE(919),
    [sym_const_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_signal_statement] = STATE(919),
    [sym_class_name_statement] = STATE(919),
    [sym_extends_statement] = STATE(919),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(35),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(268),
    [sym__indent] = ACTIONS(270),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(268),
  },
  [31] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(1320),
    [sym__simple_statements] = STATE(977),
    [sym_expression_statement] = STATE(887),
    [sym_annotation] = STATE(821),
    [aux_sym__annotations] = STATE(821),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(887),
    [sym_export_variable_statement] = STATE(887),
    [sym_onready_variable_statement] = STATE(887),
    [sym_const_statement] = STATE(887),
    [sym_return_statement] = STATE(887),
    [sym_pass_statement] = STATE(887),
    [sym_break_statement] = STATE(887),
    [sym_continue_statement] = STATE(887),
    [sym_signal_statement] = STATE(887),
    [sym_class_name_statement] = STATE(887),
    [sym_extends_statement] = STATE(887),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(272),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(272),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(274),
    [sym__indent] = ACTIONS(276),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(274),
  },
  [32] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(881),
    [sym__simple_statements] = STATE(867),
    [sym_expression_statement] = STATE(936),
    [sym_annotation] = STATE(819),
    [aux_sym__annotations] = STATE(819),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(936),
    [sym_export_variable_statement] = STATE(936),
    [sym_onready_variable_statement] = STATE(936),
    [sym_const_statement] = STATE(936),
    [sym_return_statement] = STATE(936),
    [sym_pass_statement] = STATE(936),
    [sym_break_statement] = STATE(936),
    [sym_continue_statement] = STATE(936),
    [sym_signal_statement] = STATE(936),
    [sym_class_name_statement] = STATE(936),
    [sym_extends_statement] = STATE(936),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(278),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(278),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(280),
    [sym__indent] = ACTIONS(282),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(280),
  },
  [33] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(187),
    [sym__simple_statements] = STATE(145),
    [sym_expression_statement] = STATE(919),
    [sym_annotation] = STATE(818),
    [aux_sym__annotations] = STATE(818),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(919),
    [sym_export_variable_statement] = STATE(919),
    [sym_onready_variable_statement] = STATE(919),
    [sym_const_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_signal_statement] = STATE(919),
    [sym_class_name_statement] = STATE(919),
    [sym_extends_statement] = STATE(919),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(35),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(268),
    [sym__indent] = ACTIONS(270),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(268),
  },
  [34] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(814),
    [sym__simple_statements] = STATE(811),
    [sym_expression_statement] = STATE(902),
    [sym_annotation] = STATE(824),
    [aux_sym__annotations] = STATE(824),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(902),
    [sym_export_variable_statement] = STATE(902),
    [sym_onready_variable_statement] = STATE(902),
    [sym_const_statement] = STATE(902),
    [sym_return_statement] = STATE(902),
    [sym_pass_statement] = STATE(902),
    [sym_break_statement] = STATE(902),
    [sym_continue_statement] = STATE(902),
    [sym_signal_statement] = STATE(902),
    [sym_class_name_statement] = STATE(902),
    [sym_extends_statement] = STATE(902),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(284),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(284),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(286),
    [sym__indent] = ACTIONS(288),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(286),
  },
  [35] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(179),
    [sym__simple_statements] = STATE(145),
    [sym_expression_statement] = STATE(919),
    [sym_annotation] = STATE(818),
    [aux_sym__annotations] = STATE(818),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(919),
    [sym_export_variable_statement] = STATE(919),
    [sym_onready_variable_statement] = STATE(919),
    [sym_const_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_signal_statement] = STATE(919),
    [sym_class_name_statement] = STATE(919),
    [sym_extends_statement] = STATE(919),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(35),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(268),
    [sym__indent] = ACTIONS(270),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(268),
  },
  [36] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(180),
    [sym__simple_statements] = STATE(145),
    [sym_expression_statement] = STATE(919),
    [sym_annotation] = STATE(818),
    [aux_sym__annotations] = STATE(818),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(919),
    [sym_export_variable_statement] = STATE(919),
    [sym_onready_variable_statement] = STATE(919),
    [sym_const_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_signal_statement] = STATE(919),
    [sym_class_name_statement] = STATE(919),
    [sym_extends_statement] = STATE(919),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(35),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(268),
    [sym__indent] = ACTIONS(270),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(268),
  },
  [37] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(181),
    [sym__simple_statements] = STATE(145),
    [sym_expression_statement] = STATE(919),
    [sym_annotation] = STATE(818),
    [aux_sym__annotations] = STATE(818),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(919),
    [sym_export_variable_statement] = STATE(919),
    [sym_onready_variable_statement] = STATE(919),
    [sym_const_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_signal_statement] = STATE(919),
    [sym_class_name_statement] = STATE(919),
    [sym_extends_statement] = STATE(919),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(35),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(268),
    [sym__indent] = ACTIONS(270),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(268),
  },
  [38] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(1294),
    [sym__simple_statements] = STATE(977),
    [sym_expression_statement] = STATE(887),
    [sym_annotation] = STATE(821),
    [aux_sym__annotations] = STATE(821),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(887),
    [sym_export_variable_statement] = STATE(887),
    [sym_onready_variable_statement] = STATE(887),
    [sym_const_statement] = STATE(887),
    [sym_return_statement] = STATE(887),
    [sym_pass_statement] = STATE(887),
    [sym_break_statement] = STATE(887),
    [sym_continue_statement] = STATE(887),
    [sym_signal_statement] = STATE(887),
    [sym_class_name_statement] = STATE(887),
    [sym_extends_statement] = STATE(887),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(272),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(272),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(274),
    [sym__indent] = ACTIONS(276),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(274),
  },
  [39] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(1174),
    [sym__simple_statements] = STATE(977),
    [sym_expression_statement] = STATE(887),
    [sym_annotation] = STATE(821),
    [aux_sym__annotations] = STATE(821),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(887),
    [sym_export_variable_statement] = STATE(887),
    [sym_onready_variable_statement] = STATE(887),
    [sym_const_statement] = STATE(887),
    [sym_return_statement] = STATE(887),
    [sym_pass_statement] = STATE(887),
    [sym_break_statement] = STATE(887),
    [sym_continue_statement] = STATE(887),
    [sym_signal_statement] = STATE(887),
    [sym_class_name_statement] = STATE(887),
    [sym_extends_statement] = STATE(887),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(272),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(272),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(274),
    [sym__indent] = ACTIONS(276),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(274),
  },
  [40] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(138),
    [sym__simple_statements] = STATE(145),
    [sym_expression_statement] = STATE(919),
    [sym_annotation] = STATE(818),
    [aux_sym__annotations] = STATE(818),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(919),
    [sym_export_variable_statement] = STATE(919),
    [sym_onready_variable_statement] = STATE(919),
    [sym_const_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_signal_statement] = STATE(919),
    [sym_class_name_statement] = STATE(919),
    [sym_extends_statement] = STATE(919),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(35),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(268),
    [sym__indent] = ACTIONS(270),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(268),
  },
  [41] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(182),
    [sym__simple_statements] = STATE(145),
    [sym_expression_statement] = STATE(919),
    [sym_annotation] = STATE(818),
    [aux_sym__annotations] = STATE(818),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(919),
    [sym_export_variable_statement] = STATE(919),
    [sym_onready_variable_statement] = STATE(919),
    [sym_const_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_signal_statement] = STATE(919),
    [sym_class_name_statement] = STATE(919),
    [sym_extends_statement] = STATE(919),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(35),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(268),
    [sym__indent] = ACTIONS(270),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(268),
  },
  [42] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(808),
    [sym__simple_statements] = STATE(811),
    [sym_expression_statement] = STATE(902),
    [sym_annotation] = STATE(824),
    [aux_sym__annotations] = STATE(824),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(902),
    [sym_export_variable_statement] = STATE(902),
    [sym_onready_variable_statement] = STATE(902),
    [sym_const_statement] = STATE(902),
    [sym_return_statement] = STATE(902),
    [sym_pass_statement] = STATE(902),
    [sym_break_statement] = STATE(902),
    [sym_continue_statement] = STATE(902),
    [sym_signal_statement] = STATE(902),
    [sym_class_name_statement] = STATE(902),
    [sym_extends_statement] = STATE(902),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(284),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(284),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(286),
    [sym__indent] = ACTIONS(288),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(286),
  },
  [43] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(809),
    [sym__simple_statements] = STATE(811),
    [sym_expression_statement] = STATE(902),
    [sym_annotation] = STATE(824),
    [aux_sym__annotations] = STATE(824),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(902),
    [sym_export_variable_statement] = STATE(902),
    [sym_onready_variable_statement] = STATE(902),
    [sym_const_statement] = STATE(902),
    [sym_return_statement] = STATE(902),
    [sym_pass_statement] = STATE(902),
    [sym_break_statement] = STATE(902),
    [sym_continue_statement] = STATE(902),
    [sym_signal_statement] = STATE(902),
    [sym_class_name_statement] = STATE(902),
    [sym_extends_statement] = STATE(902),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(284),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(284),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(286),
    [sym__indent] = ACTIONS(288),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(286),
  },
  [44] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(183),
    [sym__simple_statements] = STATE(145),
    [sym_expression_statement] = STATE(919),
    [sym_annotation] = STATE(818),
    [aux_sym__annotations] = STATE(818),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(919),
    [sym_export_variable_statement] = STATE(919),
    [sym_onready_variable_statement] = STATE(919),
    [sym_const_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_signal_statement] = STATE(919),
    [sym_class_name_statement] = STATE(919),
    [sym_extends_statement] = STATE(919),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(35),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(268),
    [sym__indent] = ACTIONS(270),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(268),
  },
  [45] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(157),
    [sym__simple_statements] = STATE(133),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(290),
    [sym__indent] = ACTIONS(292),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(290),
  },
  [46] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(159),
    [sym__simple_statements] = STATE(133),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(290),
    [sym__indent] = ACTIONS(292),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(290),
  },
  [47] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(160),
    [sym__simple_statements] = STATE(133),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(290),
    [sym__indent] = ACTIONS(292),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(290),
  },
  [48] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(161),
    [sym__simple_statements] = STATE(133),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(290),
    [sym__indent] = ACTIONS(292),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(290),
  },
  [49] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(162),
    [sym__simple_statements] = STATE(133),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(290),
    [sym__indent] = ACTIONS(292),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(290),
  },
  [50] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(163),
    [sym__simple_statements] = STATE(133),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(290),
    [sym__indent] = ACTIONS(292),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(290),
  },
  [51] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(164),
    [sym__simple_statements] = STATE(133),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(290),
    [sym__indent] = ACTIONS(292),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(290),
  },
  [52] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(166),
    [sym__simple_statements] = STATE(133),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(290),
    [sym__indent] = ACTIONS(292),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(290),
  },
  [53] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(146),
    [sym__simple_statements] = STATE(133),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(290),
    [sym__indent] = ACTIONS(292),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(290),
  },
  [54] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(169),
    [sym__simple_statements] = STATE(133),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(290),
    [sym__indent] = ACTIONS(292),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(290),
  },
  [55] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(170),
    [sym__simple_statements] = STATE(133),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(290),
    [sym__indent] = ACTIONS(292),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(290),
  },
  [56] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(171),
    [sym__simple_statements] = STATE(133),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(290),
    [sym__indent] = ACTIONS(292),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(290),
  },
  [57] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(172),
    [sym__simple_statements] = STATE(133),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(290),
    [sym__indent] = ACTIONS(292),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(290),
  },
  [58] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(173),
    [sym__simple_statements] = STATE(133),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(290),
    [sym__indent] = ACTIONS(292),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(290),
  },
  [59] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(174),
    [sym__simple_statements] = STATE(133),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(290),
    [sym__indent] = ACTIONS(292),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(290),
  },
  [60] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(175),
    [sym__simple_statements] = STATE(133),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(290),
    [sym__indent] = ACTIONS(292),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(290),
  },
  [61] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(134),
    [sym__simple_statements] = STATE(133),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(290),
    [sym__indent] = ACTIONS(292),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(290),
  },
  [62] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(176),
    [sym__simple_statements] = STATE(133),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(290),
    [sym__indent] = ACTIONS(292),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(290),
  },
  [63] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(147),
    [sym__simple_statements] = STATE(133),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(290),
    [sym__indent] = ACTIONS(292),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(290),
  },
  [64] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(124),
    [sym__simple_statements] = STATE(133),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(290),
    [sym__indent] = ACTIONS(292),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(290),
  },
  [65] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(877),
    [sym__simple_statements] = STATE(867),
    [sym_expression_statement] = STATE(936),
    [sym_annotation] = STATE(819),
    [aux_sym__annotations] = STATE(819),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(936),
    [sym_export_variable_statement] = STATE(936),
    [sym_onready_variable_statement] = STATE(936),
    [sym_const_statement] = STATE(936),
    [sym_return_statement] = STATE(936),
    [sym_pass_statement] = STATE(936),
    [sym_break_statement] = STATE(936),
    [sym_continue_statement] = STATE(936),
    [sym_signal_statement] = STATE(936),
    [sym_class_name_statement] = STATE(936),
    [sym_extends_statement] = STATE(936),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(278),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(278),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(280),
    [sym__indent] = ACTIONS(282),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(280),
  },
  [66] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(151),
    [sym__simple_statements] = STATE(133),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(290),
    [sym__indent] = ACTIONS(292),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(290),
  },
  [67] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(154),
    [sym__simple_statements] = STATE(133),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(290),
    [sym__indent] = ACTIONS(292),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(290),
  },
  [68] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(155),
    [sym__simple_statements] = STATE(133),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(290),
    [sym__indent] = ACTIONS(292),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(290),
  },
  [69] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(1422),
    [sym__simple_statements] = STATE(1393),
    [sym_expression_statement] = STATE(924),
    [sym_annotation] = STATE(828),
    [aux_sym__annotations] = STATE(828),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(924),
    [sym_export_variable_statement] = STATE(924),
    [sym_onready_variable_statement] = STATE(924),
    [sym_const_statement] = STATE(924),
    [sym_return_statement] = STATE(924),
    [sym_pass_statement] = STATE(924),
    [sym_break_statement] = STATE(924),
    [sym_continue_statement] = STATE(924),
    [sym_signal_statement] = STATE(924),
    [sym_class_name_statement] = STATE(924),
    [sym_extends_statement] = STATE(924),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(294),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(294),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(296),
    [sym__indent] = ACTIONS(298),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(296),
  },
  [70] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(1420),
    [sym__simple_statements] = STATE(1393),
    [sym_expression_statement] = STATE(924),
    [sym_annotation] = STATE(828),
    [aux_sym__annotations] = STATE(828),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(924),
    [sym_export_variable_statement] = STATE(924),
    [sym_onready_variable_statement] = STATE(924),
    [sym_const_statement] = STATE(924),
    [sym_return_statement] = STATE(924),
    [sym_pass_statement] = STATE(924),
    [sym_break_statement] = STATE(924),
    [sym_continue_statement] = STATE(924),
    [sym_signal_statement] = STATE(924),
    [sym_class_name_statement] = STATE(924),
    [sym_extends_statement] = STATE(924),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(294),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(294),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(296),
    [sym__indent] = ACTIONS(298),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(296),
  },
  [71] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(1426),
    [sym__simple_statements] = STATE(1393),
    [sym_expression_statement] = STATE(924),
    [sym_annotation] = STATE(828),
    [aux_sym__annotations] = STATE(828),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(924),
    [sym_export_variable_statement] = STATE(924),
    [sym_onready_variable_statement] = STATE(924),
    [sym_const_statement] = STATE(924),
    [sym_return_statement] = STATE(924),
    [sym_pass_statement] = STATE(924),
    [sym_break_statement] = STATE(924),
    [sym_continue_statement] = STATE(924),
    [sym_signal_statement] = STATE(924),
    [sym_class_name_statement] = STATE(924),
    [sym_extends_statement] = STATE(924),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(294),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(294),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(296),
    [sym__indent] = ACTIONS(298),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(296),
  },
  [72] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(188),
    [sym__simple_statements] = STATE(145),
    [sym_expression_statement] = STATE(919),
    [sym_annotation] = STATE(818),
    [aux_sym__annotations] = STATE(818),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(919),
    [sym_export_variable_statement] = STATE(919),
    [sym_onready_variable_statement] = STATE(919),
    [sym_const_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_signal_statement] = STATE(919),
    [sym_class_name_statement] = STATE(919),
    [sym_extends_statement] = STATE(919),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(35),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(268),
    [sym__indent] = ACTIONS(270),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(268),
  },
  [73] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(1392),
    [sym__simple_statements] = STATE(1393),
    [sym_expression_statement] = STATE(924),
    [sym_annotation] = STATE(828),
    [aux_sym__annotations] = STATE(828),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(924),
    [sym_export_variable_statement] = STATE(924),
    [sym_onready_variable_statement] = STATE(924),
    [sym_const_statement] = STATE(924),
    [sym_return_statement] = STATE(924),
    [sym_pass_statement] = STATE(924),
    [sym_break_statement] = STATE(924),
    [sym_continue_statement] = STATE(924),
    [sym_signal_statement] = STATE(924),
    [sym_class_name_statement] = STATE(924),
    [sym_extends_statement] = STATE(924),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(294),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(294),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(296),
    [sym__indent] = ACTIONS(298),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(296),
  },
  [74] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(1305),
    [sym__simple_statements] = STATE(1297),
    [sym_expression_statement] = STATE(948),
    [sym_annotation] = STATE(823),
    [aux_sym__annotations] = STATE(823),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(948),
    [sym_export_variable_statement] = STATE(948),
    [sym_onready_variable_statement] = STATE(948),
    [sym_const_statement] = STATE(948),
    [sym_return_statement] = STATE(948),
    [sym_pass_statement] = STATE(948),
    [sym_break_statement] = STATE(948),
    [sym_continue_statement] = STATE(948),
    [sym_signal_statement] = STATE(948),
    [sym_class_name_statement] = STATE(948),
    [sym_extends_statement] = STATE(948),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(300),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(300),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(302),
    [sym__indent] = ACTIONS(304),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(302),
  },
  [75] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(189),
    [sym__simple_statements] = STATE(145),
    [sym_expression_statement] = STATE(919),
    [sym_annotation] = STATE(818),
    [aux_sym__annotations] = STATE(818),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(919),
    [sym_export_variable_statement] = STATE(919),
    [sym_onready_variable_statement] = STATE(919),
    [sym_const_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_signal_statement] = STATE(919),
    [sym_class_name_statement] = STATE(919),
    [sym_extends_statement] = STATE(919),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(35),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(268),
    [sym__indent] = ACTIONS(270),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(268),
  },
  [76] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(1180),
    [sym__simple_statements] = STATE(1297),
    [sym_expression_statement] = STATE(948),
    [sym_annotation] = STATE(823),
    [aux_sym__annotations] = STATE(823),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(948),
    [sym_export_variable_statement] = STATE(948),
    [sym_onready_variable_statement] = STATE(948),
    [sym_const_statement] = STATE(948),
    [sym_return_statement] = STATE(948),
    [sym_pass_statement] = STATE(948),
    [sym_break_statement] = STATE(948),
    [sym_continue_statement] = STATE(948),
    [sym_signal_statement] = STATE(948),
    [sym_class_name_statement] = STATE(948),
    [sym_extends_statement] = STATE(948),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(300),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(300),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(302),
    [sym__indent] = ACTIONS(304),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(302),
  },
  [77] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(1185),
    [sym__simple_statements] = STATE(1297),
    [sym_expression_statement] = STATE(948),
    [sym_annotation] = STATE(823),
    [aux_sym__annotations] = STATE(823),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(948),
    [sym_export_variable_statement] = STATE(948),
    [sym_onready_variable_statement] = STATE(948),
    [sym_const_statement] = STATE(948),
    [sym_return_statement] = STATE(948),
    [sym_pass_statement] = STATE(948),
    [sym_break_statement] = STATE(948),
    [sym_continue_statement] = STATE(948),
    [sym_signal_statement] = STATE(948),
    [sym_class_name_statement] = STATE(948),
    [sym_extends_statement] = STATE(948),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(300),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(300),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(302),
    [sym__indent] = ACTIONS(304),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(302),
  },
  [78] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(193),
    [sym__simple_statements] = STATE(145),
    [sym_expression_statement] = STATE(919),
    [sym_annotation] = STATE(818),
    [aux_sym__annotations] = STATE(818),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(919),
    [sym_export_variable_statement] = STATE(919),
    [sym_onready_variable_statement] = STATE(919),
    [sym_const_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_signal_statement] = STATE(919),
    [sym_class_name_statement] = STATE(919),
    [sym_extends_statement] = STATE(919),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(35),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(268),
    [sym__indent] = ACTIONS(270),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(268),
  },
  [79] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(1198),
    [sym__simple_statements] = STATE(1297),
    [sym_expression_statement] = STATE(948),
    [sym_annotation] = STATE(823),
    [aux_sym__annotations] = STATE(823),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(948),
    [sym_export_variable_statement] = STATE(948),
    [sym_onready_variable_statement] = STATE(948),
    [sym_const_statement] = STATE(948),
    [sym_return_statement] = STATE(948),
    [sym_pass_statement] = STATE(948),
    [sym_break_statement] = STATE(948),
    [sym_continue_statement] = STATE(948),
    [sym_signal_statement] = STATE(948),
    [sym_class_name_statement] = STATE(948),
    [sym_extends_statement] = STATE(948),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(300),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(300),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(302),
    [sym__indent] = ACTIONS(304),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(302),
  },
  [80] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(1418),
    [sym__simple_statements] = STATE(1372),
    [sym_expression_statement] = STATE(923),
    [sym_annotation] = STATE(826),
    [aux_sym__annotations] = STATE(826),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(923),
    [sym_export_variable_statement] = STATE(923),
    [sym_onready_variable_statement] = STATE(923),
    [sym_const_statement] = STATE(923),
    [sym_return_statement] = STATE(923),
    [sym_pass_statement] = STATE(923),
    [sym_break_statement] = STATE(923),
    [sym_continue_statement] = STATE(923),
    [sym_signal_statement] = STATE(923),
    [sym_class_name_statement] = STATE(923),
    [sym_extends_statement] = STATE(923),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(306),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(306),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(308),
    [sym__indent] = ACTIONS(310),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(308),
  },
  [81] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(194),
    [sym__simple_statements] = STATE(145),
    [sym_expression_statement] = STATE(919),
    [sym_annotation] = STATE(818),
    [aux_sym__annotations] = STATE(818),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(919),
    [sym_export_variable_statement] = STATE(919),
    [sym_onready_variable_statement] = STATE(919),
    [sym_const_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_signal_statement] = STATE(919),
    [sym_class_name_statement] = STATE(919),
    [sym_extends_statement] = STATE(919),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(35),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(268),
    [sym__indent] = ACTIONS(270),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(268),
  },
  [82] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(1388),
    [sym__simple_statements] = STATE(1372),
    [sym_expression_statement] = STATE(923),
    [sym_annotation] = STATE(826),
    [aux_sym__annotations] = STATE(826),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(923),
    [sym_export_variable_statement] = STATE(923),
    [sym_onready_variable_statement] = STATE(923),
    [sym_const_statement] = STATE(923),
    [sym_return_statement] = STATE(923),
    [sym_pass_statement] = STATE(923),
    [sym_break_statement] = STATE(923),
    [sym_continue_statement] = STATE(923),
    [sym_signal_statement] = STATE(923),
    [sym_class_name_statement] = STATE(923),
    [sym_extends_statement] = STATE(923),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(306),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(306),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(308),
    [sym__indent] = ACTIONS(310),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(308),
  },
  [83] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(1356),
    [sym__simple_statements] = STATE(1372),
    [sym_expression_statement] = STATE(923),
    [sym_annotation] = STATE(826),
    [aux_sym__annotations] = STATE(826),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(923),
    [sym_export_variable_statement] = STATE(923),
    [sym_onready_variable_statement] = STATE(923),
    [sym_const_statement] = STATE(923),
    [sym_return_statement] = STATE(923),
    [sym_pass_statement] = STATE(923),
    [sym_break_statement] = STATE(923),
    [sym_continue_statement] = STATE(923),
    [sym_signal_statement] = STATE(923),
    [sym_class_name_statement] = STATE(923),
    [sym_extends_statement] = STATE(923),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(306),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(306),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(308),
    [sym__indent] = ACTIONS(310),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(308),
  },
  [84] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(871),
    [sym__simple_statements] = STATE(867),
    [sym_expression_statement] = STATE(936),
    [sym_annotation] = STATE(819),
    [aux_sym__annotations] = STATE(819),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(936),
    [sym_export_variable_statement] = STATE(936),
    [sym_onready_variable_statement] = STATE(936),
    [sym_const_statement] = STATE(936),
    [sym_return_statement] = STATE(936),
    [sym_pass_statement] = STATE(936),
    [sym_break_statement] = STATE(936),
    [sym_continue_statement] = STATE(936),
    [sym_signal_statement] = STATE(936),
    [sym_class_name_statement] = STATE(936),
    [sym_extends_statement] = STATE(936),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(278),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(278),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(280),
    [sym__indent] = ACTIONS(282),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(280),
  },
  [85] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(1381),
    [sym__simple_statements] = STATE(1372),
    [sym_expression_statement] = STATE(923),
    [sym_annotation] = STATE(826),
    [aux_sym__annotations] = STATE(826),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(923),
    [sym_export_variable_statement] = STATE(923),
    [sym_onready_variable_statement] = STATE(923),
    [sym_const_statement] = STATE(923),
    [sym_return_statement] = STATE(923),
    [sym_pass_statement] = STATE(923),
    [sym_break_statement] = STATE(923),
    [sym_continue_statement] = STATE(923),
    [sym_signal_statement] = STATE(923),
    [sym_class_name_statement] = STATE(923),
    [sym_extends_statement] = STATE(923),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(306),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(306),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(308),
    [sym__indent] = ACTIONS(310),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(308),
  },
  [86] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(1228),
    [sym__simple_statements] = STATE(1304),
    [sym_expression_statement] = STATE(932),
    [sym_annotation] = STATE(820),
    [aux_sym__annotations] = STATE(820),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(932),
    [sym_export_variable_statement] = STATE(932),
    [sym_onready_variable_statement] = STATE(932),
    [sym_const_statement] = STATE(932),
    [sym_return_statement] = STATE(932),
    [sym_pass_statement] = STATE(932),
    [sym_break_statement] = STATE(932),
    [sym_continue_statement] = STATE(932),
    [sym_signal_statement] = STATE(932),
    [sym_class_name_statement] = STATE(932),
    [sym_extends_statement] = STATE(932),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(312),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(312),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(314),
    [sym__indent] = ACTIONS(316),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(314),
  },
  [87] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(1231),
    [sym__simple_statements] = STATE(1304),
    [sym_expression_statement] = STATE(932),
    [sym_annotation] = STATE(820),
    [aux_sym__annotations] = STATE(820),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(932),
    [sym_export_variable_statement] = STATE(932),
    [sym_onready_variable_statement] = STATE(932),
    [sym_const_statement] = STATE(932),
    [sym_return_statement] = STATE(932),
    [sym_pass_statement] = STATE(932),
    [sym_break_statement] = STATE(932),
    [sym_continue_statement] = STATE(932),
    [sym_signal_statement] = STATE(932),
    [sym_class_name_statement] = STATE(932),
    [sym_extends_statement] = STATE(932),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(312),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(312),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(314),
    [sym__indent] = ACTIONS(316),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(314),
  },
  [88] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(1232),
    [sym__simple_statements] = STATE(1304),
    [sym_expression_statement] = STATE(932),
    [sym_annotation] = STATE(820),
    [aux_sym__annotations] = STATE(820),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(932),
    [sym_export_variable_statement] = STATE(932),
    [sym_onready_variable_statement] = STATE(932),
    [sym_const_statement] = STATE(932),
    [sym_return_statement] = STATE(932),
    [sym_pass_statement] = STATE(932),
    [sym_break_statement] = STATE(932),
    [sym_continue_statement] = STATE(932),
    [sym_signal_statement] = STATE(932),
    [sym_class_name_statement] = STATE(932),
    [sym_extends_statement] = STATE(932),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(312),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(312),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(314),
    [sym__indent] = ACTIONS(316),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(314),
  },
  [89] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(1234),
    [sym__simple_statements] = STATE(1304),
    [sym_expression_statement] = STATE(932),
    [sym_annotation] = STATE(820),
    [aux_sym__annotations] = STATE(820),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(932),
    [sym_export_variable_statement] = STATE(932),
    [sym_onready_variable_statement] = STATE(932),
    [sym_const_statement] = STATE(932),
    [sym_return_statement] = STATE(932),
    [sym_pass_statement] = STATE(932),
    [sym_break_statement] = STATE(932),
    [sym_continue_statement] = STATE(932),
    [sym_signal_statement] = STATE(932),
    [sym_class_name_statement] = STATE(932),
    [sym_extends_statement] = STATE(932),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(312),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(312),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(314),
    [sym__indent] = ACTIONS(316),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(314),
  },
  [90] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(1315),
    [sym__simple_statements] = STATE(1222),
    [sym_expression_statement] = STATE(895),
    [sym_annotation] = STATE(822),
    [aux_sym__annotations] = STATE(822),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(895),
    [sym_export_variable_statement] = STATE(895),
    [sym_onready_variable_statement] = STATE(895),
    [sym_const_statement] = STATE(895),
    [sym_return_statement] = STATE(895),
    [sym_pass_statement] = STATE(895),
    [sym_break_statement] = STATE(895),
    [sym_continue_statement] = STATE(895),
    [sym_signal_statement] = STATE(895),
    [sym_class_name_statement] = STATE(895),
    [sym_extends_statement] = STATE(895),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(318),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(318),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(320),
    [sym__indent] = ACTIONS(322),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(320),
  },
  [91] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(1323),
    [sym__simple_statements] = STATE(1222),
    [sym_expression_statement] = STATE(895),
    [sym_annotation] = STATE(822),
    [aux_sym__annotations] = STATE(822),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(895),
    [sym_export_variable_statement] = STATE(895),
    [sym_onready_variable_statement] = STATE(895),
    [sym_const_statement] = STATE(895),
    [sym_return_statement] = STATE(895),
    [sym_pass_statement] = STATE(895),
    [sym_break_statement] = STATE(895),
    [sym_continue_statement] = STATE(895),
    [sym_signal_statement] = STATE(895),
    [sym_class_name_statement] = STATE(895),
    [sym_extends_statement] = STATE(895),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(318),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(318),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(320),
    [sym__indent] = ACTIONS(322),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(320),
  },
  [92] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(1324),
    [sym__simple_statements] = STATE(1222),
    [sym_expression_statement] = STATE(895),
    [sym_annotation] = STATE(822),
    [aux_sym__annotations] = STATE(822),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(895),
    [sym_export_variable_statement] = STATE(895),
    [sym_onready_variable_statement] = STATE(895),
    [sym_const_statement] = STATE(895),
    [sym_return_statement] = STATE(895),
    [sym_pass_statement] = STATE(895),
    [sym_break_statement] = STATE(895),
    [sym_continue_statement] = STATE(895),
    [sym_signal_statement] = STATE(895),
    [sym_class_name_statement] = STATE(895),
    [sym_extends_statement] = STATE(895),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(318),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(318),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(320),
    [sym__indent] = ACTIONS(322),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(320),
  },
  [93] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(1327),
    [sym__simple_statements] = STATE(1222),
    [sym_expression_statement] = STATE(895),
    [sym_annotation] = STATE(822),
    [aux_sym__annotations] = STATE(822),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(895),
    [sym_export_variable_statement] = STATE(895),
    [sym_onready_variable_statement] = STATE(895),
    [sym_const_statement] = STATE(895),
    [sym_return_statement] = STATE(895),
    [sym_pass_statement] = STATE(895),
    [sym_break_statement] = STATE(895),
    [sym_continue_statement] = STATE(895),
    [sym_signal_statement] = STATE(895),
    [sym_class_name_statement] = STATE(895),
    [sym_extends_statement] = STATE(895),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(318),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(318),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(320),
    [sym__indent] = ACTIONS(322),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(320),
  },
  [94] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(196),
    [sym__simple_statements] = STATE(145),
    [sym_expression_statement] = STATE(919),
    [sym_annotation] = STATE(818),
    [aux_sym__annotations] = STATE(818),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(919),
    [sym_export_variable_statement] = STATE(919),
    [sym_onready_variable_statement] = STATE(919),
    [sym_const_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_signal_statement] = STATE(919),
    [sym_class_name_statement] = STATE(919),
    [sym_extends_statement] = STATE(919),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(35),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(268),
    [sym__indent] = ACTIONS(270),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(268),
  },
  [95] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(198),
    [sym__simple_statements] = STATE(145),
    [sym_expression_statement] = STATE(919),
    [sym_annotation] = STATE(818),
    [aux_sym__annotations] = STATE(818),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(919),
    [sym_export_variable_statement] = STATE(919),
    [sym_onready_variable_statement] = STATE(919),
    [sym_const_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_signal_statement] = STATE(919),
    [sym_class_name_statement] = STATE(919),
    [sym_extends_statement] = STATE(919),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(35),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(268),
    [sym__indent] = ACTIONS(270),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(268),
  },
  [96] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(872),
    [sym__simple_statements] = STATE(867),
    [sym_expression_statement] = STATE(936),
    [sym_annotation] = STATE(819),
    [aux_sym__annotations] = STATE(819),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(936),
    [sym_export_variable_statement] = STATE(936),
    [sym_onready_variable_statement] = STATE(936),
    [sym_const_statement] = STATE(936),
    [sym_return_statement] = STATE(936),
    [sym_pass_statement] = STATE(936),
    [sym_break_statement] = STATE(936),
    [sym_continue_statement] = STATE(936),
    [sym_signal_statement] = STATE(936),
    [sym_class_name_statement] = STATE(936),
    [sym_extends_statement] = STATE(936),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(278),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(278),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(280),
    [sym__indent] = ACTIONS(282),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(280),
  },
  [97] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(199),
    [sym__simple_statements] = STATE(145),
    [sym_expression_statement] = STATE(919),
    [sym_annotation] = STATE(818),
    [aux_sym__annotations] = STATE(818),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(919),
    [sym_export_variable_statement] = STATE(919),
    [sym_onready_variable_statement] = STATE(919),
    [sym_const_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_signal_statement] = STATE(919),
    [sym_class_name_statement] = STATE(919),
    [sym_extends_statement] = STATE(919),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(35),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(268),
    [sym__indent] = ACTIONS(270),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(268),
  },
  [98] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(200),
    [sym__simple_statements] = STATE(145),
    [sym_expression_statement] = STATE(919),
    [sym_annotation] = STATE(818),
    [aux_sym__annotations] = STATE(818),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(919),
    [sym_export_variable_statement] = STATE(919),
    [sym_onready_variable_statement] = STATE(919),
    [sym_const_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_signal_statement] = STATE(919),
    [sym_class_name_statement] = STATE(919),
    [sym_extends_statement] = STATE(919),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(35),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(268),
    [sym__indent] = ACTIONS(270),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(268),
  },
  [99] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(201),
    [sym__simple_statements] = STATE(145),
    [sym_expression_statement] = STATE(919),
    [sym_annotation] = STATE(818),
    [aux_sym__annotations] = STATE(818),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(919),
    [sym_export_variable_statement] = STATE(919),
    [sym_onready_variable_statement] = STATE(919),
    [sym_const_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_signal_statement] = STATE(919),
    [sym_class_name_statement] = STATE(919),
    [sym_extends_statement] = STATE(919),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(35),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(268),
    [sym__indent] = ACTIONS(270),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(268),
  },
  [100] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(202),
    [sym__simple_statements] = STATE(145),
    [sym_expression_statement] = STATE(919),
    [sym_annotation] = STATE(818),
    [aux_sym__annotations] = STATE(818),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(919),
    [sym_export_variable_statement] = STATE(919),
    [sym_onready_variable_statement] = STATE(919),
    [sym_const_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_signal_statement] = STATE(919),
    [sym_class_name_statement] = STATE(919),
    [sym_extends_statement] = STATE(919),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(35),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(268),
    [sym__indent] = ACTIONS(270),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(268),
  },
  [101] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(203),
    [sym__simple_statements] = STATE(145),
    [sym_expression_statement] = STATE(919),
    [sym_annotation] = STATE(818),
    [aux_sym__annotations] = STATE(818),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(919),
    [sym_export_variable_statement] = STATE(919),
    [sym_onready_variable_statement] = STATE(919),
    [sym_const_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_signal_statement] = STATE(919),
    [sym_class_name_statement] = STATE(919),
    [sym_extends_statement] = STATE(919),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(35),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(35),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(268),
    [sym__indent] = ACTIONS(270),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(268),
  },
  [102] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_body] = STATE(150),
    [sym__simple_statements] = STATE(133),
    [sym_expression_statement] = STATE(939),
    [sym_annotation] = STATE(817),
    [aux_sym__annotations] = STATE(817),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(939),
    [sym_export_variable_statement] = STATE(939),
    [sym_onready_variable_statement] = STATE(939),
    [sym_const_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_pass_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_signal_statement] = STATE(939),
    [sym_class_name_statement] = STATE(939),
    [sym_extends_statement] = STATE(939),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(77),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(77),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(290),
    [sym__indent] = ACTIONS(292),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(290),
  },
  [103] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_expression_statement] = STATE(1127),
    [sym_annotation] = STATE(829),
    [aux_sym__annotations] = STATE(829),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(1127),
    [sym_export_variable_statement] = STATE(1127),
    [sym_onready_variable_statement] = STATE(1127),
    [sym_const_statement] = STATE(1127),
    [sym_return_statement] = STATE(1127),
    [sym_pass_statement] = STATE(1127),
    [sym_break_statement] = STATE(1127),
    [sym_continue_statement] = STATE(1127),
    [sym_signal_statement] = STATE(1127),
    [sym_class_name_statement] = STATE(1127),
    [sym_extends_statement] = STATE(1127),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(324),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(324),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(326),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(326),
  },
  [104] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_expression_statement] = STATE(1127),
    [sym_annotation] = STATE(829),
    [aux_sym__annotations] = STATE(829),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(1127),
    [sym_export_variable_statement] = STATE(1127),
    [sym_onready_variable_statement] = STATE(1127),
    [sym_const_statement] = STATE(1127),
    [sym_return_statement] = STATE(1127),
    [sym_pass_statement] = STATE(1127),
    [sym_break_statement] = STATE(1127),
    [sym_continue_statement] = STATE(1127),
    [sym_signal_statement] = STATE(1127),
    [sym_class_name_statement] = STATE(1127),
    [sym_extends_statement] = STATE(1127),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(324),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(324),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(328),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(328),
  },
  [105] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_expression_statement] = STATE(1127),
    [sym_annotation] = STATE(829),
    [aux_sym__annotations] = STATE(829),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(1127),
    [sym_export_variable_statement] = STATE(1127),
    [sym_onready_variable_statement] = STATE(1127),
    [sym_const_statement] = STATE(1127),
    [sym_return_statement] = STATE(1127),
    [sym_pass_statement] = STATE(1127),
    [sym_break_statement] = STATE(1127),
    [sym_continue_statement] = STATE(1127),
    [sym_signal_statement] = STATE(1127),
    [sym_class_name_statement] = STATE(1127),
    [sym_extends_statement] = STATE(1127),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(324),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(324),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(330),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(330),
  },
  [106] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_expression_statement] = STATE(1127),
    [sym_annotation] = STATE(829),
    [aux_sym__annotations] = STATE(829),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(1127),
    [sym_export_variable_statement] = STATE(1127),
    [sym_onready_variable_statement] = STATE(1127),
    [sym_const_statement] = STATE(1127),
    [sym_return_statement] = STATE(1127),
    [sym_pass_statement] = STATE(1127),
    [sym_break_statement] = STATE(1127),
    [sym_continue_statement] = STATE(1127),
    [sym_signal_statement] = STATE(1127),
    [sym_class_name_statement] = STATE(1127),
    [sym_extends_statement] = STATE(1127),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(324),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(324),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(332),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(332),
  },
  [107] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_expression_statement] = STATE(1127),
    [sym_annotation] = STATE(829),
    [aux_sym__annotations] = STATE(829),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(1127),
    [sym_export_variable_statement] = STATE(1127),
    [sym_onready_variable_statement] = STATE(1127),
    [sym_const_statement] = STATE(1127),
    [sym_return_statement] = STATE(1127),
    [sym_pass_statement] = STATE(1127),
    [sym_break_statement] = STATE(1127),
    [sym_continue_statement] = STATE(1127),
    [sym_signal_statement] = STATE(1127),
    [sym_class_name_statement] = STATE(1127),
    [sym_extends_statement] = STATE(1127),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(324),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(324),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(334),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(334),
  },
  [108] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_expression_statement] = STATE(1127),
    [sym_annotation] = STATE(829),
    [aux_sym__annotations] = STATE(829),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(1127),
    [sym_export_variable_statement] = STATE(1127),
    [sym_onready_variable_statement] = STATE(1127),
    [sym_const_statement] = STATE(1127),
    [sym_return_statement] = STATE(1127),
    [sym_pass_statement] = STATE(1127),
    [sym_break_statement] = STATE(1127),
    [sym_continue_statement] = STATE(1127),
    [sym_signal_statement] = STATE(1127),
    [sym_class_name_statement] = STATE(1127),
    [sym_extends_statement] = STATE(1127),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(324),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(324),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(336),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(336),
  },
  [109] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_expression_statement] = STATE(1127),
    [sym_annotation] = STATE(829),
    [aux_sym__annotations] = STATE(829),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(1127),
    [sym_export_variable_statement] = STATE(1127),
    [sym_onready_variable_statement] = STATE(1127),
    [sym_const_statement] = STATE(1127),
    [sym_return_statement] = STATE(1127),
    [sym_pass_statement] = STATE(1127),
    [sym_break_statement] = STATE(1127),
    [sym_continue_statement] = STATE(1127),
    [sym_signal_statement] = STATE(1127),
    [sym_class_name_statement] = STATE(1127),
    [sym_extends_statement] = STATE(1127),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(324),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(324),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(338),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(338),
  },
  [110] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_expression_statement] = STATE(1127),
    [sym_annotation] = STATE(829),
    [aux_sym__annotations] = STATE(829),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(1127),
    [sym_export_variable_statement] = STATE(1127),
    [sym_onready_variable_statement] = STATE(1127),
    [sym_const_statement] = STATE(1127),
    [sym_return_statement] = STATE(1127),
    [sym_pass_statement] = STATE(1127),
    [sym_break_statement] = STATE(1127),
    [sym_continue_statement] = STATE(1127),
    [sym_signal_statement] = STATE(1127),
    [sym_class_name_statement] = STATE(1127),
    [sym_extends_statement] = STATE(1127),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(324),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(324),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(340),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(340),
  },
  [111] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_expression_statement] = STATE(1127),
    [sym_annotation] = STATE(829),
    [aux_sym__annotations] = STATE(829),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(1127),
    [sym_export_variable_statement] = STATE(1127),
    [sym_onready_variable_statement] = STATE(1127),
    [sym_const_statement] = STATE(1127),
    [sym_return_statement] = STATE(1127),
    [sym_pass_statement] = STATE(1127),
    [sym_break_statement] = STATE(1127),
    [sym_continue_statement] = STATE(1127),
    [sym_signal_statement] = STATE(1127),
    [sym_class_name_statement] = STATE(1127),
    [sym_extends_statement] = STATE(1127),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(324),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(324),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(342),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(342),
  },
  [112] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_expression_statement] = STATE(1127),
    [sym_annotation] = STATE(829),
    [aux_sym__annotations] = STATE(829),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(1127),
    [sym_export_variable_statement] = STATE(1127),
    [sym_onready_variable_statement] = STATE(1127),
    [sym_const_statement] = STATE(1127),
    [sym_return_statement] = STATE(1127),
    [sym_pass_statement] = STATE(1127),
    [sym_break_statement] = STATE(1127),
    [sym_continue_statement] = STATE(1127),
    [sym_signal_statement] = STATE(1127),
    [sym_class_name_statement] = STATE(1127),
    [sym_extends_statement] = STATE(1127),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(324),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(324),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(344),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(344),
  },
  [113] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_expression_statement] = STATE(1127),
    [sym_annotation] = STATE(829),
    [aux_sym__annotations] = STATE(829),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(1127),
    [sym_export_variable_statement] = STATE(1127),
    [sym_onready_variable_statement] = STATE(1127),
    [sym_const_statement] = STATE(1127),
    [sym_return_statement] = STATE(1127),
    [sym_pass_statement] = STATE(1127),
    [sym_break_statement] = STATE(1127),
    [sym_continue_statement] = STATE(1127),
    [sym_signal_statement] = STATE(1127),
    [sym_class_name_statement] = STATE(1127),
    [sym_extends_statement] = STATE(1127),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(324),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(324),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(346),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(346),
  },
  [114] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_expression_statement] = STATE(1127),
    [sym_annotation] = STATE(829),
    [aux_sym__annotations] = STATE(829),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(1127),
    [sym_export_variable_statement] = STATE(1127),
    [sym_onready_variable_statement] = STATE(1127),
    [sym_const_statement] = STATE(1127),
    [sym_return_statement] = STATE(1127),
    [sym_pass_statement] = STATE(1127),
    [sym_break_statement] = STATE(1127),
    [sym_continue_statement] = STATE(1127),
    [sym_signal_statement] = STATE(1127),
    [sym_class_name_statement] = STATE(1127),
    [sym_extends_statement] = STATE(1127),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(324),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(324),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(348),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(348),
  },
  [115] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_expression_statement] = STATE(1127),
    [sym_annotation] = STATE(829),
    [aux_sym__annotations] = STATE(829),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(1127),
    [sym_export_variable_statement] = STATE(1127),
    [sym_onready_variable_statement] = STATE(1127),
    [sym_const_statement] = STATE(1127),
    [sym_return_statement] = STATE(1127),
    [sym_pass_statement] = STATE(1127),
    [sym_break_statement] = STATE(1127),
    [sym_continue_statement] = STATE(1127),
    [sym_signal_statement] = STATE(1127),
    [sym_class_name_statement] = STATE(1127),
    [sym_extends_statement] = STATE(1127),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(324),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(324),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(350),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(350),
  },
  [116] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_expression_statement] = STATE(1127),
    [sym_annotation] = STATE(829),
    [aux_sym__annotations] = STATE(829),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(1127),
    [sym_export_variable_statement] = STATE(1127),
    [sym_onready_variable_statement] = STATE(1127),
    [sym_const_statement] = STATE(1127),
    [sym_return_statement] = STATE(1127),
    [sym_pass_statement] = STATE(1127),
    [sym_break_statement] = STATE(1127),
    [sym_continue_statement] = STATE(1127),
    [sym_signal_statement] = STATE(1127),
    [sym_class_name_statement] = STATE(1127),
    [sym_extends_statement] = STATE(1127),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(324),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(324),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(352),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(352),
  },
  [117] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_expression_statement] = STATE(1127),
    [sym_annotation] = STATE(829),
    [aux_sym__annotations] = STATE(829),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(1127),
    [sym_export_variable_statement] = STATE(1127),
    [sym_onready_variable_statement] = STATE(1127),
    [sym_const_statement] = STATE(1127),
    [sym_return_statement] = STATE(1127),
    [sym_pass_statement] = STATE(1127),
    [sym_break_statement] = STATE(1127),
    [sym_continue_statement] = STATE(1127),
    [sym_signal_statement] = STATE(1127),
    [sym_class_name_statement] = STATE(1127),
    [sym_extends_statement] = STATE(1127),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(324),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(324),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(354),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(354),
  },
  [118] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_expression_statement] = STATE(1127),
    [sym_annotation] = STATE(829),
    [aux_sym__annotations] = STATE(829),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(1127),
    [sym_export_variable_statement] = STATE(1127),
    [sym_onready_variable_statement] = STATE(1127),
    [sym_const_statement] = STATE(1127),
    [sym_return_statement] = STATE(1127),
    [sym_pass_statement] = STATE(1127),
    [sym_break_statement] = STATE(1127),
    [sym_continue_statement] = STATE(1127),
    [sym_signal_statement] = STATE(1127),
    [sym_class_name_statement] = STATE(1127),
    [sym_extends_statement] = STATE(1127),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(324),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(324),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(356),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(356),
  },
  [119] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_expression_statement] = STATE(1127),
    [sym_annotation] = STATE(829),
    [aux_sym__annotations] = STATE(829),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(1127),
    [sym_export_variable_statement] = STATE(1127),
    [sym_onready_variable_statement] = STATE(1127),
    [sym_const_statement] = STATE(1127),
    [sym_return_statement] = STATE(1127),
    [sym_pass_statement] = STATE(1127),
    [sym_break_statement] = STATE(1127),
    [sym_continue_statement] = STATE(1127),
    [sym_signal_statement] = STATE(1127),
    [sym_class_name_statement] = STATE(1127),
    [sym_extends_statement] = STATE(1127),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(324),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(324),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(358),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(358),
  },
  [120] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_expression_statement] = STATE(1127),
    [sym_annotation] = STATE(829),
    [aux_sym__annotations] = STATE(829),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(1127),
    [sym_export_variable_statement] = STATE(1127),
    [sym_onready_variable_statement] = STATE(1127),
    [sym_const_statement] = STATE(1127),
    [sym_return_statement] = STATE(1127),
    [sym_pass_statement] = STATE(1127),
    [sym_break_statement] = STATE(1127),
    [sym_continue_statement] = STATE(1127),
    [sym_signal_statement] = STATE(1127),
    [sym_class_name_statement] = STATE(1127),
    [sym_extends_statement] = STATE(1127),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(324),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(324),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(360),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(360),
  },
  [121] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_expression_statement] = STATE(1127),
    [sym_annotation] = STATE(829),
    [aux_sym__annotations] = STATE(829),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(1127),
    [sym_export_variable_statement] = STATE(1127),
    [sym_onready_variable_statement] = STATE(1127),
    [sym_const_statement] = STATE(1127),
    [sym_return_statement] = STATE(1127),
    [sym_pass_statement] = STATE(1127),
    [sym_break_statement] = STATE(1127),
    [sym_continue_statement] = STATE(1127),
    [sym_signal_statement] = STATE(1127),
    [sym_class_name_statement] = STATE(1127),
    [sym_extends_statement] = STATE(1127),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(324),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(324),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(362),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(362),
  },
  [122] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_expression_statement] = STATE(1127),
    [sym_annotation] = STATE(829),
    [aux_sym__annotations] = STATE(829),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(1127),
    [sym_export_variable_statement] = STATE(1127),
    [sym_onready_variable_statement] = STATE(1127),
    [sym_const_statement] = STATE(1127),
    [sym_return_statement] = STATE(1127),
    [sym_pass_statement] = STATE(1127),
    [sym_break_statement] = STATE(1127),
    [sym_continue_statement] = STATE(1127),
    [sym_signal_statement] = STATE(1127),
    [sym_class_name_statement] = STATE(1127),
    [sym_extends_statement] = STATE(1127),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(324),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(324),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__newline] = ACTIONS(364),
    [sym__string_start] = ACTIONS(73),
    [sym__body_end] = ACTIONS(364),
  },
  [123] = {
    [sym_identifier] = STATE(248),
    [sym_remote_keyword] = STATE(834),
    [sym_string] = STATE(248),
    [sym_string_name] = STATE(238),
    [sym_expression_statement] = STATE(1127),
    [sym_annotation] = STATE(829),
    [aux_sym__annotations] = STATE(829),
    [sym_annotations] = STATE(1322),
    [sym__variable_statement] = STATE(960),
    [sym_variable_statement] = STATE(1127),
    [sym_export_variable_statement] = STATE(1127),
    [sym_onready_variable_statement] = STATE(1127),
    [sym_const_statement] = STATE(1127),
    [sym_return_statement] = STATE(1127),
    [sym_pass_statement] = STATE(1127),
    [sym_break_statement] = STATE(1127),
    [sym_continue_statement] = STATE(1127),
    [sym_signal_statement] = STATE(1127),
    [sym_class_name_statement] = STATE(1127),
    [sym_extends_statement] = STATE(1127),
    [sym__expression] = STATE(803),
    [sym__primary_expression] = STATE(231),
    [sym__attribute_expression] = STATE(1163),
    [sym_binary_operator] = STATE(248),
    [sym_unary_operator] = STATE(248),
    [sym_subscript] = STATE(248),
    [sym_attribute] = STATE(238),
    [sym_conditional_expression] = STATE(796),
    [sym_parenthesized_expression] = STATE(248),
    [sym_await_expression] = STATE(796),
    [sym_assignment] = STATE(992),
    [sym_augmented_assignment] = STATE(992),
    [sym_dictionary] = STATE(248),
    [sym_array] = STATE(248),
    [sym_base_call] = STATE(248),
    [sym_call] = STATE(248),
    [sym__identifier] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_null] = ACTIONS(9),
    [sym_static_keyword] = ACTIONS(266),
    [anon_sym_remote] = ACTIONS(13),
    [anon_sym_master] = ACTIONS(13),
    [anon_sym_puppet] = ACTIONS(13),
    [anon_sym_remotesync] = ACTIONS(13),
    [anon_sym_mastersync] = ACTIONS(13),
    [anon_sym_puppetsync] = ACTIONS(13),
    [sym_float] = ACTIONS(15),
    [sym_integer] = ACTIONS(9),
    [anon_sym_AMP] = ACTIONS(17),
    [sym_node_path] = ACTIONS(15),
    [sym_get_node] = ACTIONS(15),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_export] = ACTIONS(23),
    [anon_sym_onready] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_return] = ACTIONS(29),
    [anon_sym_pass] = ACTIONS(31),
    [anon_sym_break] = ACTIONS(33),
    [sym_breakpoint_statement] = ACTIONS(324),
    [anon_sym_continue] = ACTIONS(37),
    [sym_tool_statement] = ACTIONS(324),
    [anon_sym_signal] = ACTIONS(39),
    [anon_sym_class_name] = ACTIONS(41),
    [anon_sym_extends] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_BANG] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_DOT] = ACTIONS(65),
    [anon_sym_LPAREN] = ACTIONS(67),
    [anon_sym_await] = ACTIONS(69),
    [sym__string_start] = ACTIONS(73),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_elif,
    ACTIONS(372), 1,
      anon_sym_else,
    STATE(125), 1,
      aux_sym_if_statement_repeat1,
    STATE(135), 1,
      sym_elif_clause,
    STATE(156), 1,
      sym_else_clause,
    ACTIONS(368), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(366), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [73] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_elif,
    ACTIONS(372), 1,
      anon_sym_else,
    STATE(127), 1,
      aux_sym_if_statement_repeat1,
    STATE(135), 1,
      sym_elif_clause,
    STATE(165), 1,
      sym_else_clause,
    ACTIONS(376), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(374), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [146] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(378), 1,
      anon_sym_elif,
    ACTIONS(380), 1,
      anon_sym_else,
    STATE(128), 1,
      aux_sym_if_statement_repeat1,
    STATE(144), 1,
      sym_elif_clause,
    STATE(195), 1,
      sym_else_clause,
    ACTIONS(368), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(366), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [218] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(386), 1,
      anon_sym_elif,
    STATE(127), 1,
      aux_sym_if_statement_repeat1,
    STATE(135), 1,
      sym_elif_clause,
    ACTIONS(384), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(382), 37,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [286] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(378), 1,
      anon_sym_elif,
    ACTIONS(380), 1,
      anon_sym_else,
    STATE(129), 1,
      aux_sym_if_statement_repeat1,
    STATE(144), 1,
      sym_elif_clause,
    STATE(205), 1,
      sym_else_clause,
    ACTIONS(376), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(374), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [358] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(389), 1,
      anon_sym_elif,
    STATE(129), 1,
      aux_sym_if_statement_repeat1,
    STATE(144), 1,
      sym_elif_clause,
    ACTIONS(384), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(382), 37,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(392), 38,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(398), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(396), 38,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(402), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(400), 38,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(406), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(404), 38,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(410), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(408), 38,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(414), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(412), 38,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(418), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(416), 38,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(422), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(420), 38,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(410), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(408), 38,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(402), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(400), 38,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [1023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(422), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(420), 38,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [1082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(418), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(416), 38,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [1141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(398), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(396), 38,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [1200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(392), 38,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [1259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(414), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(412), 38,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [1318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(406), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(404), 38,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [1377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(426), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(424), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [1435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(430), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(428), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [1493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(434), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(432), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [1551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(438), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(436), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [1609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(442), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(440), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [1667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(446), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(444), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [1725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(450), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(448), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [1783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(454), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(452), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [1841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(458), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(456), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [1899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(462), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(460), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [1957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(466), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(464), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [2015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(470), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(468), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [2073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(474), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(472), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [2131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(478), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(476), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [2189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(482), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(480), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [2247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(486), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(484), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [2305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(490), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(488), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [2363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(494), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(492), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [2421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(498), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(496), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [2479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(502), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(500), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [2537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(506), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(504), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [2595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(510), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(508), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [2653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(514), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(512), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [2711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(516), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [2769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(522), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(520), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [2827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(526), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(524), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [2885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(530), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(528), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [2943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(534), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(532), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [3001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(538), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(536), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [3059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(542), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(540), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [3117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(546), 14,
      sym__dedent,
      sym__string_start,
      sym__body_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(544), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [3175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(522), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(520), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [3232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(514), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(512), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [3289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(534), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(532), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [3346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(538), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(536), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [3403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(542), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(540), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [3460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(546), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(544), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [3517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(430), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(428), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [3574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(516), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [3631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(438), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(436), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [3688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(526), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(524), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [3745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(530), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(528), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [3802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(442), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(440), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [3859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(446), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(444), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [3916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(434), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(432), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [3973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(450), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(448), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [4030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(454), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(452), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [4087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(458), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(456), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [4144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(462), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(460), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [4201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(466), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(464), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [4258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(470), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(468), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [4315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(474), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(472), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [4372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(478), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(476), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [4429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(482), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(480), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [4486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(486), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(484), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [4543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(490), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(488), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [4600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(494), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(492), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [4657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(498), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(496), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [4714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(426), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(424), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [4771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(502), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(500), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [4828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(506), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(504), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [4885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(510), 13,
      sym__string_start,
      ts_builtin_sym_end,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
    ACTIONS(508), 36,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_static_keyword,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      sym_integer,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_export,
      anon_sym_onready,
      anon_sym_const,
      anon_sym_return,
      anon_sym_pass,
      anon_sym_break,
      sym_breakpoint_statement,
      anon_sym_continue,
      sym_tool_statement,
      anon_sym_signal,
      anon_sym_class_name,
      anon_sym_extends,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_match,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
  [4942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(550), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(548), 34,
      sym__newline,
      sym__body_end,
      sym_static_keyword,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_var,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_func,
  [4997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(554), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(552), 34,
      sym__newline,
      sym__body_end,
      sym_static_keyword,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_var,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_func,
  [5052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(558), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(556), 34,
      sym__newline,
      sym__body_end,
      sym_static_keyword,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_var,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_func,
  [5107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(562), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(560), 34,
      sym__newline,
      sym__body_end,
      sym_static_keyword,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_var,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_func,
  [5162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(566), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 34,
      sym__newline,
      sym__body_end,
      sym_static_keyword,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_var,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_func,
  [5217] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(572), 1,
      anon_sym_as,
    ACTIONS(574), 1,
      anon_sym_is,
    ACTIONS(576), 1,
      anon_sym_LPAREN,
    STATE(234), 1,
      sym_arguments,
    ACTIONS(568), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(570), 27,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [5277] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(572), 1,
      anon_sym_as,
    ACTIONS(574), 1,
      anon_sym_is,
    ACTIONS(576), 1,
      anon_sym_LPAREN,
    STATE(234), 1,
      sym_arguments,
    ACTIONS(582), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(578), 10,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 27,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [5339] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(572), 1,
      anon_sym_as,
    ACTIONS(574), 1,
      anon_sym_is,
    ACTIONS(576), 1,
      anon_sym_LPAREN,
    STATE(234), 1,
      sym_arguments,
    ACTIONS(584), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(582), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(578), 8,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 27,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [5403] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(572), 1,
      anon_sym_as,
    ACTIONS(574), 1,
      anon_sym_is,
    ACTIONS(576), 1,
      anon_sym_LPAREN,
    STATE(234), 1,
      sym_arguments,
    ACTIONS(578), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 27,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [5463] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(223), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(586), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(588), 30,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [5517] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(576), 1,
      anon_sym_LPAREN,
    ACTIONS(594), 1,
      anon_sym_LBRACK,
    STATE(232), 1,
      sym_arguments,
    ACTIONS(590), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(592), 28,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [5575] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(572), 1,
      anon_sym_as,
    ACTIONS(574), 1,
      anon_sym_is,
    ACTIONS(576), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_AMP,
    ACTIONS(598), 1,
      anon_sym_PIPE,
    ACTIONS(600), 1,
      anon_sym_CARET,
    STATE(234), 1,
      sym_arguments,
    ACTIONS(584), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(578), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(582), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(580), 27,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [5647] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(572), 1,
      anon_sym_as,
    ACTIONS(574), 1,
      anon_sym_is,
    ACTIONS(576), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_AMP,
    ACTIONS(600), 1,
      anon_sym_CARET,
    STATE(234), 1,
      sym_arguments,
    ACTIONS(584), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(582), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(578), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 27,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [5717] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(572), 1,
      anon_sym_as,
    ACTIONS(576), 1,
      anon_sym_LPAREN,
    STATE(234), 1,
      sym_arguments,
    ACTIONS(604), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(606), 28,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [5775] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(608), 1,
      anon_sym_DOT,
    STATE(223), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(586), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(588), 29,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [5831] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(610), 1,
      anon_sym_DOT,
    STATE(223), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(590), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(592), 29,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [5887] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(572), 1,
      anon_sym_as,
    ACTIONS(574), 1,
      anon_sym_is,
    ACTIONS(576), 1,
      anon_sym_LPAREN,
    ACTIONS(600), 1,
      anon_sym_CARET,
    STATE(234), 1,
      sym_arguments,
    ACTIONS(584), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(582), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(578), 5,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 27,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [5955] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(572), 1,
      anon_sym_as,
    ACTIONS(574), 1,
      anon_sym_is,
    ACTIONS(576), 1,
      anon_sym_LPAREN,
    ACTIONS(578), 1,
      anon_sym_EQ,
    ACTIONS(596), 1,
      anon_sym_AMP,
    ACTIONS(598), 1,
      anon_sym_PIPE,
    ACTIONS(600), 1,
      anon_sym_CARET,
    ACTIONS(613), 1,
      anon_sym_in,
    STATE(234), 1,
      sym_arguments,
    ACTIONS(584), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(615), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(582), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(617), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
    ACTIONS(580), 22,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [6033] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(572), 1,
      anon_sym_as,
    ACTIONS(574), 1,
      anon_sym_is,
    ACTIONS(576), 1,
      anon_sym_LPAREN,
    STATE(234), 1,
      sym_arguments,
    ACTIONS(584), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(582), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(578), 6,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 27,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [6099] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(572), 1,
      anon_sym_as,
    ACTIONS(574), 1,
      anon_sym_is,
    ACTIONS(576), 1,
      anon_sym_LPAREN,
    ACTIONS(578), 1,
      anon_sym_EQ,
    ACTIONS(596), 1,
      anon_sym_AMP,
    ACTIONS(598), 1,
      anon_sym_PIPE,
    ACTIONS(600), 1,
      anon_sym_CARET,
    ACTIONS(613), 1,
      anon_sym_in,
    STATE(234), 1,
      sym_arguments,
    ACTIONS(584), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(615), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(619), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(582), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(617), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
    ACTIONS(580), 20,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [6179] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(572), 1,
      anon_sym_as,
    ACTIONS(574), 1,
      anon_sym_is,
    ACTIONS(576), 1,
      anon_sym_LPAREN,
    ACTIONS(578), 1,
      anon_sym_EQ,
    ACTIONS(596), 1,
      anon_sym_AMP,
    ACTIONS(598), 1,
      anon_sym_PIPE,
    ACTIONS(600), 1,
      anon_sym_CARET,
    STATE(234), 1,
      sym_arguments,
    ACTIONS(584), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(615), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(582), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(617), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
    ACTIONS(580), 23,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [6255] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(576), 1,
      anon_sym_LPAREN,
    STATE(234), 1,
      sym_arguments,
    ACTIONS(578), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 29,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [6311] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(572), 1,
      anon_sym_as,
    ACTIONS(576), 1,
      anon_sym_LPAREN,
    STATE(234), 1,
      sym_arguments,
    ACTIONS(578), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 28,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [6369] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(572), 1,
      anon_sym_as,
    ACTIONS(574), 1,
      anon_sym_is,
    ACTIONS(576), 1,
      anon_sym_LPAREN,
    ACTIONS(596), 1,
      anon_sym_AMP,
    ACTIONS(598), 1,
      anon_sym_PIPE,
    ACTIONS(600), 1,
      anon_sym_CARET,
    ACTIONS(613), 1,
      anon_sym_in,
    ACTIONS(623), 1,
      anon_sym_EQ,
    ACTIONS(625), 1,
      anon_sym_LBRACK,
    STATE(234), 1,
      sym_arguments,
    ACTIONS(584), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(602), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(615), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(619), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(627), 2,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
    ACTIONS(582), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(617), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
    ACTIONS(621), 16,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [6452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(631), 30,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [6503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(590), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(592), 30,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [6554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(635), 30,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [6605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(639), 30,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [6656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(641), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(643), 30,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [6707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(645), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(647), 30,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [6758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 30,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [6809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(655), 30,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [6860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(657), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(659), 30,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [6911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(663), 30,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [6962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(665), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(667), 30,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [7013] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_DOT,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(69), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    ACTIONS(671), 1,
      anon_sym_func,
    STATE(231), 1,
      sym__primary_expression,
    STATE(862), 1,
      sym__expression,
    STATE(1163), 1,
      sym__attribute_expression,
    STATE(238), 2,
      sym_string_name,
      sym_attribute,
    STATE(796), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(989), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(669), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(248), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [7102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(673), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(675), 30,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [7153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 30,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [7204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(683), 30,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [7255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(687), 30,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [7306] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 1,
      anon_sym_DOT,
    ACTIONS(649), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 29,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [7359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(691), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(693), 30,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [7410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(695), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(697), 30,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [7461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(701), 30,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [7512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(705), 30,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [7563] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(717), 1,
      anon_sym_RBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(731), 1,
      anon_sym_func,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(666), 1,
      sym__primary_expression,
    STATE(706), 1,
      sym_identifier,
    STATE(1167), 1,
      sym__expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1309), 1,
      sym_pair,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1348), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 9,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [7655] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(731), 1,
      anon_sym_func,
    ACTIONS(733), 1,
      sym__string_start,
    ACTIONS(735), 1,
      anon_sym_RBRACE,
    STATE(666), 1,
      sym__primary_expression,
    STATE(706), 1,
      sym_identifier,
    STATE(1167), 1,
      sym__expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1309), 1,
      sym_pair,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1348), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 9,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [7747] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(731), 1,
      anon_sym_func,
    ACTIONS(733), 1,
      sym__string_start,
    ACTIONS(737), 1,
      anon_sym_RBRACE,
    STATE(666), 1,
      sym__primary_expression,
    STATE(706), 1,
      sym_identifier,
    STATE(1167), 1,
      sym__expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1309), 1,
      sym_pair,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1348), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 9,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [7839] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(731), 1,
      anon_sym_func,
    ACTIONS(733), 1,
      sym__string_start,
    ACTIONS(739), 1,
      anon_sym_RBRACE,
    STATE(666), 1,
      sym__primary_expression,
    STATE(706), 1,
      sym_identifier,
    STATE(1167), 1,
      sym__expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1309), 1,
      sym_pair,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1348), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 9,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [7931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(558), 9,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(556), 33,
      sym_static_keyword,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      anon_sym_AT,
      anon_sym_COLON,
      anon_sym_var,
      anon_sym_onready,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_func,
  [7981] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(731), 1,
      anon_sym_func,
    ACTIONS(733), 1,
      sym__string_start,
    ACTIONS(741), 1,
      anon_sym_RBRACE,
    STATE(666), 1,
      sym__primary_expression,
    STATE(706), 1,
      sym_identifier,
    STATE(1051), 1,
      sym_pair,
    STATE(1167), 1,
      sym__expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1348), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 9,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [8073] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(731), 1,
      anon_sym_func,
    ACTIONS(733), 1,
      sym__string_start,
    ACTIONS(743), 1,
      anon_sym_RBRACE,
    STATE(666), 1,
      sym__primary_expression,
    STATE(706), 1,
      sym_identifier,
    STATE(1167), 1,
      sym__expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1309), 1,
      sym_pair,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1348), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 9,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [8165] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(731), 1,
      anon_sym_func,
    ACTIONS(733), 1,
      sym__string_start,
    ACTIONS(745), 1,
      anon_sym_RBRACE,
    STATE(666), 1,
      sym__primary_expression,
    STATE(706), 1,
      sym_identifier,
    STATE(1167), 1,
      sym__expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1309), 1,
      sym_pair,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1348), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 9,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [8257] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(731), 1,
      anon_sym_func,
    ACTIONS(733), 1,
      sym__string_start,
    ACTIONS(747), 1,
      anon_sym_RBRACE,
    STATE(666), 1,
      sym__primary_expression,
    STATE(706), 1,
      sym_identifier,
    STATE(1167), 1,
      sym__expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1309), 1,
      sym_pair,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1348), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 9,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [8349] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(731), 1,
      anon_sym_func,
    ACTIONS(733), 1,
      sym__string_start,
    ACTIONS(749), 1,
      anon_sym_RBRACE,
    STATE(666), 1,
      sym__primary_expression,
    STATE(706), 1,
      sym_identifier,
    STATE(1071), 1,
      sym_pair,
    STATE(1167), 1,
      sym__expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1348), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 9,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [8441] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(731), 1,
      anon_sym_func,
    ACTIONS(733), 1,
      sym__string_start,
    ACTIONS(751), 1,
      anon_sym_RBRACE,
    STATE(666), 1,
      sym__primary_expression,
    STATE(706), 1,
      sym_identifier,
    STATE(1167), 1,
      sym__expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1309), 1,
      sym_pair,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1348), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 9,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [8533] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(731), 1,
      anon_sym_func,
    ACTIONS(733), 1,
      sym__string_start,
    ACTIONS(753), 1,
      anon_sym_RBRACE,
    STATE(666), 1,
      sym__primary_expression,
    STATE(706), 1,
      sym_identifier,
    STATE(1167), 1,
      sym__expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1309), 1,
      sym_pair,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1348), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 9,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [8625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(554), 9,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(552), 33,
      sym_static_keyword,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      anon_sym_AT,
      anon_sym_COLON,
      anon_sym_var,
      anon_sym_onready,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_func,
  [8675] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(731), 1,
      anon_sym_func,
    ACTIONS(733), 1,
      sym__string_start,
    ACTIONS(755), 1,
      anon_sym_RBRACE,
    STATE(666), 1,
      sym__primary_expression,
    STATE(706), 1,
      sym_identifier,
    STATE(1086), 1,
      sym_pair,
    STATE(1167), 1,
      sym__expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1348), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 9,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [8767] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(731), 1,
      anon_sym_func,
    ACTIONS(733), 1,
      sym__string_start,
    ACTIONS(757), 1,
      anon_sym_RBRACE,
    STATE(666), 1,
      sym__primary_expression,
    STATE(706), 1,
      sym_identifier,
    STATE(1167), 1,
      sym__expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1309), 1,
      sym_pair,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1348), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 9,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [8859] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(731), 1,
      anon_sym_func,
    ACTIONS(733), 1,
      sym__string_start,
    ACTIONS(759), 1,
      anon_sym_RBRACE,
    STATE(666), 1,
      sym__primary_expression,
    STATE(706), 1,
      sym_identifier,
    STATE(1167), 1,
      sym__expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1309), 1,
      sym_pair,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1348), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 9,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [8951] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(731), 1,
      anon_sym_func,
    ACTIONS(733), 1,
      sym__string_start,
    ACTIONS(761), 1,
      anon_sym_RBRACE,
    STATE(666), 1,
      sym__primary_expression,
    STATE(706), 1,
      sym_identifier,
    STATE(1167), 1,
      sym__expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1309), 1,
      sym_pair,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1348), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 9,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [9043] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(731), 1,
      anon_sym_func,
    ACTIONS(733), 1,
      sym__string_start,
    ACTIONS(763), 1,
      anon_sym_RBRACE,
    STATE(666), 1,
      sym__primary_expression,
    STATE(706), 1,
      sym_identifier,
    STATE(1167), 1,
      sym__expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1309), 1,
      sym_pair,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1348), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 9,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [9135] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(731), 1,
      anon_sym_func,
    ACTIONS(733), 1,
      sym__string_start,
    ACTIONS(765), 1,
      anon_sym_RBRACE,
    STATE(666), 1,
      sym__primary_expression,
    STATE(706), 1,
      sym_identifier,
    STATE(1001), 1,
      sym_pair,
    STATE(1167), 1,
      sym__expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1348), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 9,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [9227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(566), 9,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 33,
      sym_static_keyword,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      anon_sym_AT,
      anon_sym_COLON,
      anon_sym_var,
      anon_sym_onready,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_func,
  [9277] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(731), 1,
      anon_sym_func,
    ACTIONS(733), 1,
      sym__string_start,
    ACTIONS(767), 1,
      anon_sym_RBRACE,
    STATE(666), 1,
      sym__primary_expression,
    STATE(706), 1,
      sym_identifier,
    STATE(1099), 1,
      sym_pair,
    STATE(1167), 1,
      sym__expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1348), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 9,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [9369] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(731), 1,
      anon_sym_func,
    ACTIONS(733), 1,
      sym__string_start,
    ACTIONS(769), 1,
      anon_sym_RBRACE,
    STATE(666), 1,
      sym__primary_expression,
    STATE(706), 1,
      sym_identifier,
    STATE(1034), 1,
      sym_pair,
    STATE(1167), 1,
      sym__expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1348), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 9,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [9461] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(731), 1,
      anon_sym_func,
    ACTIONS(733), 1,
      sym__string_start,
    ACTIONS(771), 1,
      anon_sym_RBRACE,
    STATE(666), 1,
      sym__primary_expression,
    STATE(706), 1,
      sym_identifier,
    STATE(1047), 1,
      sym_pair,
    STATE(1167), 1,
      sym__expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1348), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 9,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [9553] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(731), 1,
      anon_sym_func,
    ACTIONS(733), 1,
      sym__string_start,
    ACTIONS(773), 1,
      anon_sym_RBRACE,
    STATE(666), 1,
      sym__primary_expression,
    STATE(706), 1,
      sym_identifier,
    STATE(1167), 1,
      sym__expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1309), 1,
      sym_pair,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1348), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 9,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [9645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(562), 9,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(560), 33,
      sym_static_keyword,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
      anon_sym_AT,
      anon_sym_COLON,
      anon_sym_var,
      anon_sym_onready,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_func,
  [9695] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(787), 1,
      anon_sym_RBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(799), 1,
      anon_sym_func,
    ACTIONS(801), 1,
      sym__string_start,
    STATE(595), 1,
      sym__primary_expression,
    STATE(1134), 1,
      sym__expression,
    STATE(1295), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    STATE(1087), 2,
      sym__rhs_expression,
      sym_lambda,
    STATE(1130), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [9782] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(823), 1,
      anon_sym_RPAREN,
    ACTIONS(825), 1,
      anon_sym_await,
    ACTIONS(827), 1,
      anon_sym_func,
    ACTIONS(829), 1,
      sym__string_start,
    STATE(673), 1,
      sym__primary_expression,
    STATE(1054), 1,
      sym__expression,
    STATE(1213), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    STATE(1049), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1188), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [9869] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_await,
    ACTIONS(827), 1,
      anon_sym_func,
    ACTIONS(829), 1,
      sym__string_start,
    ACTIONS(831), 1,
      anon_sym_RPAREN,
    STATE(673), 1,
      sym__primary_expression,
    STATE(1054), 1,
      sym__expression,
    STATE(1213), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    STATE(1049), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1188), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [9956] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_await,
    ACTIONS(827), 1,
      anon_sym_func,
    ACTIONS(829), 1,
      sym__string_start,
    ACTIONS(833), 1,
      anon_sym_RPAREN,
    STATE(673), 1,
      sym__primary_expression,
    STATE(1054), 1,
      sym__expression,
    STATE(1213), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    STATE(1049), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1188), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [10043] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(799), 1,
      anon_sym_func,
    ACTIONS(801), 1,
      sym__string_start,
    ACTIONS(835), 1,
      anon_sym_RBRACK,
    STATE(595), 1,
      sym__primary_expression,
    STATE(1134), 1,
      sym__expression,
    STATE(1295), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    STATE(1130), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1337), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [10130] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(799), 1,
      anon_sym_func,
    ACTIONS(801), 1,
      sym__string_start,
    ACTIONS(837), 1,
      anon_sym_RBRACK,
    STATE(595), 1,
      sym__primary_expression,
    STATE(1134), 1,
      sym__expression,
    STATE(1295), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    STATE(1130), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1337), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [10217] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_await,
    ACTIONS(827), 1,
      anon_sym_func,
    ACTIONS(829), 1,
      sym__string_start,
    ACTIONS(839), 1,
      anon_sym_RPAREN,
    STATE(673), 1,
      sym__primary_expression,
    STATE(1054), 1,
      sym__expression,
    STATE(1213), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    STATE(1049), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1188), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [10304] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(799), 1,
      anon_sym_func,
    ACTIONS(801), 1,
      sym__string_start,
    ACTIONS(841), 1,
      anon_sym_RBRACK,
    STATE(595), 1,
      sym__primary_expression,
    STATE(1134), 1,
      sym__expression,
    STATE(1295), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    STATE(1130), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1337), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [10391] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(731), 1,
      anon_sym_func,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(666), 1,
      sym__primary_expression,
    STATE(706), 1,
      sym_identifier,
    STATE(1167), 1,
      sym__expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1309), 1,
      sym_pair,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1348), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 9,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [10480] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(799), 1,
      anon_sym_func,
    ACTIONS(801), 1,
      sym__string_start,
    ACTIONS(843), 1,
      anon_sym_RBRACK,
    STATE(595), 1,
      sym__primary_expression,
    STATE(1134), 1,
      sym__expression,
    STATE(1295), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    STATE(1130), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1337), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [10567] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_await,
    ACTIONS(827), 1,
      anon_sym_func,
    ACTIONS(829), 1,
      sym__string_start,
    ACTIONS(845), 1,
      anon_sym_RPAREN,
    STATE(673), 1,
      sym__primary_expression,
    STATE(1054), 1,
      sym__expression,
    STATE(1213), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    STATE(1049), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1188), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [10654] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(799), 1,
      anon_sym_func,
    ACTIONS(801), 1,
      sym__string_start,
    ACTIONS(847), 1,
      anon_sym_RBRACK,
    STATE(595), 1,
      sym__primary_expression,
    STATE(1134), 1,
      sym__expression,
    STATE(1295), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    STATE(1130), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1337), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [10741] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_await,
    ACTIONS(827), 1,
      anon_sym_func,
    ACTIONS(829), 1,
      sym__string_start,
    ACTIONS(849), 1,
      anon_sym_RPAREN,
    STATE(673), 1,
      sym__primary_expression,
    STATE(1054), 1,
      sym__expression,
    STATE(1213), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    STATE(956), 2,
      sym__rhs_expression,
      sym_lambda,
    STATE(1049), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [10828] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_await,
    ACTIONS(827), 1,
      anon_sym_func,
    ACTIONS(829), 1,
      sym__string_start,
    ACTIONS(851), 1,
      anon_sym_RPAREN,
    STATE(673), 1,
      sym__primary_expression,
    STATE(1054), 1,
      sym__expression,
    STATE(1213), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    STATE(1049), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1080), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [10915] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(799), 1,
      anon_sym_func,
    ACTIONS(801), 1,
      sym__string_start,
    ACTIONS(853), 1,
      anon_sym_RBRACK,
    STATE(595), 1,
      sym__primary_expression,
    STATE(1134), 1,
      sym__expression,
    STATE(1295), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    STATE(1130), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1337), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [11002] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(799), 1,
      anon_sym_func,
    ACTIONS(801), 1,
      sym__string_start,
    ACTIONS(855), 1,
      anon_sym_RBRACK,
    STATE(595), 1,
      sym__primary_expression,
    STATE(1134), 1,
      sym__expression,
    STATE(1295), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    STATE(1130), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1337), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [11089] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(799), 1,
      anon_sym_func,
    ACTIONS(801), 1,
      sym__string_start,
    ACTIONS(857), 1,
      anon_sym_RBRACK,
    STATE(595), 1,
      sym__primary_expression,
    STATE(1134), 1,
      sym__expression,
    STATE(1295), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    STATE(1130), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1337), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [11176] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_await,
    ACTIONS(827), 1,
      anon_sym_func,
    ACTIONS(829), 1,
      sym__string_start,
    ACTIONS(859), 1,
      anon_sym_RPAREN,
    STATE(673), 1,
      sym__primary_expression,
    STATE(1054), 1,
      sym__expression,
    STATE(1213), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    STATE(1049), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1188), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [11263] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_await,
    ACTIONS(827), 1,
      anon_sym_func,
    ACTIONS(829), 1,
      sym__string_start,
    ACTIONS(861), 1,
      anon_sym_RPAREN,
    STATE(673), 1,
      sym__primary_expression,
    STATE(1054), 1,
      sym__expression,
    STATE(1213), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    STATE(1049), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1188), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [11350] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_await,
    ACTIONS(827), 1,
      anon_sym_func,
    ACTIONS(829), 1,
      sym__string_start,
    ACTIONS(863), 1,
      anon_sym_RPAREN,
    STATE(673), 1,
      sym__primary_expression,
    STATE(1054), 1,
      sym__expression,
    STATE(1213), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    STATE(1049), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1188), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [11437] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_await,
    ACTIONS(827), 1,
      anon_sym_func,
    ACTIONS(829), 1,
      sym__string_start,
    ACTIONS(865), 1,
      anon_sym_RPAREN,
    STATE(673), 1,
      sym__primary_expression,
    STATE(1054), 1,
      sym__expression,
    STATE(1213), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    STATE(1049), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1188), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [11524] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_await,
    ACTIONS(827), 1,
      anon_sym_func,
    ACTIONS(829), 1,
      sym__string_start,
    ACTIONS(867), 1,
      anon_sym_RPAREN,
    STATE(673), 1,
      sym__primary_expression,
    STATE(1054), 1,
      sym__expression,
    STATE(1213), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    STATE(1049), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1188), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [11611] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(799), 1,
      anon_sym_func,
    ACTIONS(801), 1,
      sym__string_start,
    ACTIONS(869), 1,
      anon_sym_RBRACK,
    STATE(595), 1,
      sym__primary_expression,
    STATE(1134), 1,
      sym__expression,
    STATE(1295), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    STATE(1130), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1337), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [11698] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_await,
    ACTIONS(827), 1,
      anon_sym_func,
    ACTIONS(829), 1,
      sym__string_start,
    ACTIONS(871), 1,
      anon_sym_RPAREN,
    STATE(673), 1,
      sym__primary_expression,
    STATE(1054), 1,
      sym__expression,
    STATE(1213), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    STATE(1049), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1188), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [11785] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_await,
    ACTIONS(827), 1,
      anon_sym_func,
    ACTIONS(829), 1,
      sym__string_start,
    ACTIONS(873), 1,
      anon_sym_RPAREN,
    STATE(673), 1,
      sym__primary_expression,
    STATE(1054), 1,
      sym__expression,
    STATE(1213), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    STATE(1049), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1188), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [11872] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(799), 1,
      anon_sym_func,
    ACTIONS(801), 1,
      sym__string_start,
    ACTIONS(875), 1,
      anon_sym_RBRACK,
    STATE(595), 1,
      sym__primary_expression,
    STATE(1134), 1,
      sym__expression,
    STATE(1295), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    STATE(1130), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1337), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [11959] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(799), 1,
      anon_sym_func,
    ACTIONS(801), 1,
      sym__string_start,
    ACTIONS(877), 1,
      anon_sym_RBRACK,
    STATE(595), 1,
      sym__primary_expression,
    STATE(1134), 1,
      sym__expression,
    STATE(1295), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    STATE(1100), 2,
      sym__rhs_expression,
      sym_lambda,
    STATE(1130), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [12046] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_await,
    ACTIONS(827), 1,
      anon_sym_func,
    ACTIONS(829), 1,
      sym__string_start,
    ACTIONS(879), 1,
      anon_sym_RPAREN,
    STATE(673), 1,
      sym__primary_expression,
    STATE(1054), 1,
      sym__expression,
    STATE(1213), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    STATE(1049), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1101), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [12133] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(799), 1,
      anon_sym_func,
    ACTIONS(801), 1,
      sym__string_start,
    ACTIONS(881), 1,
      anon_sym_RBRACK,
    STATE(595), 1,
      sym__primary_expression,
    STATE(1134), 1,
      sym__expression,
    STATE(1295), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    STATE(1002), 2,
      sym__rhs_expression,
      sym_lambda,
    STATE(1130), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [12220] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(799), 1,
      anon_sym_func,
    ACTIONS(801), 1,
      sym__string_start,
    ACTIONS(883), 1,
      anon_sym_RBRACK,
    STATE(595), 1,
      sym__primary_expression,
    STATE(1134), 1,
      sym__expression,
    STATE(1295), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    STATE(1052), 2,
      sym__rhs_expression,
      sym_lambda,
    STATE(1130), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [12307] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(799), 1,
      anon_sym_func,
    ACTIONS(801), 1,
      sym__string_start,
    ACTIONS(885), 1,
      anon_sym_RBRACK,
    STATE(595), 1,
      sym__primary_expression,
    STATE(1134), 1,
      sym__expression,
    STATE(1295), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    STATE(1130), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1337), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [12394] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_await,
    ACTIONS(827), 1,
      anon_sym_func,
    ACTIONS(829), 1,
      sym__string_start,
    ACTIONS(887), 1,
      anon_sym_RPAREN,
    STATE(673), 1,
      sym__primary_expression,
    STATE(1054), 1,
      sym__expression,
    STATE(1213), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    STATE(1049), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1188), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [12481] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(799), 1,
      anon_sym_func,
    ACTIONS(801), 1,
      sym__string_start,
    ACTIONS(889), 1,
      anon_sym_RBRACK,
    STATE(595), 1,
      sym__primary_expression,
    STATE(1134), 1,
      sym__expression,
    STATE(1295), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    STATE(1072), 2,
      sym__rhs_expression,
      sym_lambda,
    STATE(1130), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [12568] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_await,
    ACTIONS(827), 1,
      anon_sym_func,
    ACTIONS(829), 1,
      sym__string_start,
    ACTIONS(891), 1,
      anon_sym_RPAREN,
    STATE(673), 1,
      sym__primary_expression,
    STATE(1054), 1,
      sym__expression,
    STATE(1213), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    STATE(1049), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1073), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [12655] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(799), 1,
      anon_sym_func,
    ACTIONS(801), 1,
      sym__string_start,
    ACTIONS(893), 1,
      anon_sym_RBRACK,
    STATE(595), 1,
      sym__primary_expression,
    STATE(1134), 1,
      sym__expression,
    STATE(1295), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    STATE(1130), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1337), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [12742] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_await,
    ACTIONS(827), 1,
      anon_sym_func,
    ACTIONS(829), 1,
      sym__string_start,
    ACTIONS(895), 1,
      anon_sym_RPAREN,
    STATE(673), 1,
      sym__primary_expression,
    STATE(1054), 1,
      sym__expression,
    STATE(1213), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    STATE(1049), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1188), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [12829] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_await,
    ACTIONS(827), 1,
      anon_sym_func,
    ACTIONS(829), 1,
      sym__string_start,
    ACTIONS(897), 1,
      anon_sym_RPAREN,
    STATE(673), 1,
      sym__primary_expression,
    STATE(1054), 1,
      sym__expression,
    STATE(1213), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    STATE(1049), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1053), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [12916] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(799), 1,
      anon_sym_func,
    ACTIONS(801), 1,
      sym__string_start,
    ACTIONS(899), 1,
      anon_sym_RBRACK,
    STATE(595), 1,
      sym__primary_expression,
    STATE(1134), 1,
      sym__expression,
    STATE(1295), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    STATE(1063), 2,
      sym__rhs_expression,
      sym_lambda,
    STATE(1130), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [13003] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(799), 1,
      anon_sym_func,
    ACTIONS(801), 1,
      sym__string_start,
    ACTIONS(901), 1,
      anon_sym_RBRACK,
    STATE(595), 1,
      sym__primary_expression,
    STATE(1134), 1,
      sym__expression,
    STATE(1295), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    STATE(1035), 2,
      sym__rhs_expression,
      sym_lambda,
    STATE(1130), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [13090] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_await,
    ACTIONS(827), 1,
      anon_sym_func,
    ACTIONS(829), 1,
      sym__string_start,
    ACTIONS(903), 1,
      anon_sym_RPAREN,
    STATE(673), 1,
      sym__primary_expression,
    STATE(1054), 1,
      sym__expression,
    STATE(1213), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    STATE(1036), 2,
      sym__rhs_expression,
      sym_lambda,
    STATE(1049), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [13177] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_await,
    ACTIONS(827), 1,
      anon_sym_func,
    ACTIONS(829), 1,
      sym__string_start,
    ACTIONS(905), 1,
      anon_sym_RPAREN,
    STATE(673), 1,
      sym__primary_expression,
    STATE(1054), 1,
      sym__expression,
    STATE(1213), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    STATE(1004), 2,
      sym__rhs_expression,
      sym_lambda,
    STATE(1049), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [13264] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(799), 1,
      anon_sym_func,
    ACTIONS(801), 1,
      sym__string_start,
    ACTIONS(907), 1,
      anon_sym_RBRACK,
    STATE(595), 1,
      sym__primary_expression,
    STATE(1134), 1,
      sym__expression,
    STATE(1295), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    STATE(1130), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1337), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [13351] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(799), 1,
      anon_sym_func,
    ACTIONS(801), 1,
      sym__string_start,
    ACTIONS(909), 1,
      anon_sym_RBRACK,
    STATE(595), 1,
      sym__primary_expression,
    STATE(1134), 1,
      sym__expression,
    STATE(1295), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    STATE(1130), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1337), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [13438] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      sym__identifier,
    ACTIONS(917), 1,
      anon_sym_AMP,
    ACTIONS(919), 1,
      anon_sym_LBRACE,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_not,
    ACTIONS(927), 1,
      anon_sym_DOT,
    ACTIONS(929), 1,
      anon_sym_LPAREN,
    ACTIONS(931), 1,
      anon_sym_await,
    ACTIONS(933), 1,
      anon_sym_func,
    ACTIONS(935), 1,
      sym__string_start,
    STATE(765), 1,
      sym__primary_expression,
    STATE(1193), 1,
      sym__attribute_expression,
    STATE(1314), 1,
      sym__expression,
    STATE(764), 2,
      sym_string_name,
      sym_attribute,
    STATE(1301), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1369), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(915), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(913), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(923), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(763), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [13522] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      sym__identifier,
    ACTIONS(917), 1,
      anon_sym_AMP,
    ACTIONS(919), 1,
      anon_sym_LBRACE,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_not,
    ACTIONS(927), 1,
      anon_sym_DOT,
    ACTIONS(929), 1,
      anon_sym_LPAREN,
    ACTIONS(931), 1,
      anon_sym_await,
    ACTIONS(933), 1,
      anon_sym_func,
    ACTIONS(935), 1,
      sym__string_start,
    STATE(765), 1,
      sym__primary_expression,
    STATE(1193), 1,
      sym__attribute_expression,
    STATE(1314), 1,
      sym__expression,
    STATE(764), 2,
      sym_string_name,
      sym_attribute,
    STATE(1301), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1350), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(915), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(913), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(923), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(763), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [13606] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_await,
    ACTIONS(827), 1,
      anon_sym_func,
    ACTIONS(829), 1,
      sym__string_start,
    STATE(673), 1,
      sym__primary_expression,
    STATE(1054), 1,
      sym__expression,
    STATE(1213), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    STATE(1049), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1173), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [13690] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym__string_start,
    ACTIONS(937), 1,
      anon_sym_RBRACE,
    ACTIONS(939), 1,
      sym_pattern_open_ending,
    STATE(666), 1,
      sym__primary_expression,
    STATE(1114), 1,
      sym_pattern_pair,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1259), 1,
      sym__expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [13776] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_DOT,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(69), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    ACTIONS(671), 1,
      anon_sym_func,
    STATE(231), 1,
      sym__primary_expression,
    STATE(862), 1,
      sym__expression,
    STATE(1163), 1,
      sym__attribute_expression,
    STATE(238), 2,
      sym_string_name,
      sym_attribute,
    STATE(796), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1025), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(248), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [13860] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_DOT,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(69), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    ACTIONS(671), 1,
      anon_sym_func,
    STATE(231), 1,
      sym__primary_expression,
    STATE(862), 1,
      sym__expression,
    STATE(1163), 1,
      sym__attribute_expression,
    STATE(238), 2,
      sym_string_name,
      sym_attribute,
    STATE(796), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(869), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(248), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [13944] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym__string_start,
    ACTIONS(941), 1,
      anon_sym_RBRACE,
    ACTIONS(943), 1,
      sym_pattern_open_ending,
    STATE(666), 1,
      sym__primary_expression,
    STATE(1043), 1,
      sym_pattern_pair,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1259), 1,
      sym__expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [14030] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(799), 1,
      anon_sym_func,
    ACTIONS(801), 1,
      sym__string_start,
    STATE(595), 1,
      sym__primary_expression,
    STATE(1134), 1,
      sym__expression,
    STATE(1295), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    STATE(1130), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1337), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [14114] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_DOT,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(69), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    ACTIONS(671), 1,
      anon_sym_func,
    STATE(231), 1,
      sym__primary_expression,
    STATE(862), 1,
      sym__expression,
    STATE(1163), 1,
      sym__attribute_expression,
    STATE(238), 2,
      sym_string_name,
      sym_attribute,
    STATE(796), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(880), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(248), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [14198] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_DOT,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(69), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    ACTIONS(671), 1,
      anon_sym_func,
    STATE(231), 1,
      sym__primary_expression,
    STATE(862), 1,
      sym__expression,
    STATE(1163), 1,
      sym__attribute_expression,
    STATE(238), 2,
      sym_string_name,
      sym_attribute,
    STATE(796), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(882), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(248), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [14282] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym__string_start,
    ACTIONS(945), 1,
      anon_sym_RBRACE,
    ACTIONS(947), 1,
      sym_pattern_open_ending,
    STATE(666), 1,
      sym__primary_expression,
    STATE(1027), 1,
      sym_pattern_pair,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1259), 1,
      sym__expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [14368] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_await,
    ACTIONS(827), 1,
      anon_sym_func,
    ACTIONS(829), 1,
      sym__string_start,
    STATE(673), 1,
      sym__primary_expression,
    STATE(1054), 1,
      sym__expression,
    STATE(1213), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    STATE(1049), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1188), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [14452] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      sym__identifier,
    ACTIONS(955), 1,
      anon_sym_AMP,
    ACTIONS(957), 1,
      anon_sym_LBRACE,
    ACTIONS(959), 1,
      anon_sym_LBRACK,
    ACTIONS(963), 1,
      anon_sym_not,
    ACTIONS(965), 1,
      anon_sym_DOT,
    ACTIONS(967), 1,
      anon_sym_LPAREN,
    ACTIONS(969), 1,
      anon_sym_await,
    ACTIONS(971), 1,
      anon_sym_func,
    ACTIONS(973), 1,
      sym__string_start,
    STATE(622), 1,
      sym__primary_expression,
    STATE(1106), 1,
      sym__expression,
    STATE(1271), 1,
      sym__attribute_expression,
    STATE(621), 2,
      sym_string_name,
      sym_attribute,
    STATE(1152), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1306), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(953), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(951), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(961), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(620), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [14536] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_await,
    ACTIONS(827), 1,
      anon_sym_func,
    ACTIONS(829), 1,
      sym__string_start,
    STATE(673), 1,
      sym__primary_expression,
    STATE(1054), 1,
      sym__expression,
    STATE(1213), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    STATE(1049), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1179), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [14620] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_DOT,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(69), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    ACTIONS(671), 1,
      anon_sym_func,
    STATE(231), 1,
      sym__primary_expression,
    STATE(862), 1,
      sym__expression,
    STATE(1163), 1,
      sym__attribute_expression,
    STATE(238), 2,
      sym_string_name,
      sym_attribute,
    STATE(796), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1024), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(248), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [14704] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      sym__identifier,
    ACTIONS(917), 1,
      anon_sym_AMP,
    ACTIONS(919), 1,
      anon_sym_LBRACE,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_not,
    ACTIONS(927), 1,
      anon_sym_DOT,
    ACTIONS(929), 1,
      anon_sym_LPAREN,
    ACTIONS(931), 1,
      anon_sym_await,
    ACTIONS(933), 1,
      anon_sym_func,
    ACTIONS(935), 1,
      sym__string_start,
    STATE(765), 1,
      sym__primary_expression,
    STATE(1193), 1,
      sym__attribute_expression,
    STATE(1314), 1,
      sym__expression,
    STATE(764), 2,
      sym_string_name,
      sym_attribute,
    STATE(1301), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1413), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(915), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(913), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(923), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(763), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [14788] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      sym__identifier,
    ACTIONS(917), 1,
      anon_sym_AMP,
    ACTIONS(919), 1,
      anon_sym_LBRACE,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_not,
    ACTIONS(927), 1,
      anon_sym_DOT,
    ACTIONS(929), 1,
      anon_sym_LPAREN,
    ACTIONS(931), 1,
      anon_sym_await,
    ACTIONS(933), 1,
      anon_sym_func,
    ACTIONS(935), 1,
      sym__string_start,
    STATE(765), 1,
      sym__primary_expression,
    STATE(1193), 1,
      sym__attribute_expression,
    STATE(1314), 1,
      sym__expression,
    STATE(764), 2,
      sym_string_name,
      sym_attribute,
    STATE(1301), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1347), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(915), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(913), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(923), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(763), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [14872] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      sym__identifier,
    ACTIONS(917), 1,
      anon_sym_AMP,
    ACTIONS(919), 1,
      anon_sym_LBRACE,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_not,
    ACTIONS(927), 1,
      anon_sym_DOT,
    ACTIONS(929), 1,
      anon_sym_LPAREN,
    ACTIONS(931), 1,
      anon_sym_await,
    ACTIONS(933), 1,
      anon_sym_func,
    ACTIONS(935), 1,
      sym__string_start,
    STATE(765), 1,
      sym__primary_expression,
    STATE(1193), 1,
      sym__attribute_expression,
    STATE(1314), 1,
      sym__expression,
    STATE(764), 2,
      sym_string_name,
      sym_attribute,
    STATE(1301), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1399), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(915), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(913), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(923), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(763), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [14956] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      sym__identifier,
    ACTIONS(917), 1,
      anon_sym_AMP,
    ACTIONS(919), 1,
      anon_sym_LBRACE,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_not,
    ACTIONS(927), 1,
      anon_sym_DOT,
    ACTIONS(929), 1,
      anon_sym_LPAREN,
    ACTIONS(931), 1,
      anon_sym_await,
    ACTIONS(933), 1,
      anon_sym_func,
    ACTIONS(935), 1,
      sym__string_start,
    STATE(765), 1,
      sym__primary_expression,
    STATE(1193), 1,
      sym__attribute_expression,
    STATE(1314), 1,
      sym__expression,
    STATE(764), 2,
      sym_string_name,
      sym_attribute,
    STATE(1301), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1375), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(915), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(913), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(923), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(763), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [15040] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      sym__identifier,
    ACTIONS(917), 1,
      anon_sym_AMP,
    ACTIONS(919), 1,
      anon_sym_LBRACE,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_not,
    ACTIONS(927), 1,
      anon_sym_DOT,
    ACTIONS(929), 1,
      anon_sym_LPAREN,
    ACTIONS(931), 1,
      anon_sym_await,
    ACTIONS(933), 1,
      anon_sym_func,
    ACTIONS(935), 1,
      sym__string_start,
    STATE(765), 1,
      sym__primary_expression,
    STATE(1193), 1,
      sym__attribute_expression,
    STATE(1314), 1,
      sym__expression,
    STATE(764), 2,
      sym_string_name,
      sym_attribute,
    STATE(1301), 2,
      sym_conditional_expression,
      sym_await_expression,
    STATE(1371), 2,
      sym__rhs_expression,
      sym_lambda,
    ACTIONS(915), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(913), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(923), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(763), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [15124] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym__string_start,
    ACTIONS(975), 1,
      sym_pattern_open_ending,
    STATE(666), 1,
      sym__primary_expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1202), 1,
      sym_pattern_pair,
    STATE(1259), 1,
      sym__expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [15207] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(666), 1,
      sym__primary_expression,
    STATE(1089), 1,
      sym__expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [15284] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      sym__identifier,
    ACTIONS(955), 1,
      anon_sym_AMP,
    ACTIONS(957), 1,
      anon_sym_LBRACE,
    ACTIONS(959), 1,
      anon_sym_LBRACK,
    ACTIONS(963), 1,
      anon_sym_not,
    ACTIONS(965), 1,
      anon_sym_DOT,
    ACTIONS(967), 1,
      anon_sym_LPAREN,
    ACTIONS(969), 1,
      anon_sym_await,
    ACTIONS(973), 1,
      sym__string_start,
    STATE(622), 1,
      sym__primary_expression,
    STATE(958), 1,
      sym__expression,
    STATE(1271), 1,
      sym__attribute_expression,
    STATE(621), 2,
      sym_string_name,
      sym_attribute,
    STATE(1152), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(953), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(951), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(961), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(620), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [15361] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_DOT,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(69), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(231), 1,
      sym__primary_expression,
    STATE(799), 1,
      sym__expression,
    STATE(1163), 1,
      sym__attribute_expression,
    STATE(238), 2,
      sym_string_name,
      sym_attribute,
    STATE(796), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(248), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [15438] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      sym__identifier,
    ACTIONS(955), 1,
      anon_sym_AMP,
    ACTIONS(957), 1,
      anon_sym_LBRACE,
    ACTIONS(959), 1,
      anon_sym_LBRACK,
    ACTIONS(963), 1,
      anon_sym_not,
    ACTIONS(965), 1,
      anon_sym_DOT,
    ACTIONS(967), 1,
      anon_sym_LPAREN,
    ACTIONS(969), 1,
      anon_sym_await,
    ACTIONS(973), 1,
      sym__string_start,
    STATE(622), 1,
      sym__primary_expression,
    STATE(981), 1,
      sym__expression,
    STATE(1271), 1,
      sym__attribute_expression,
    STATE(621), 2,
      sym_string_name,
      sym_attribute,
    STATE(1152), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(953), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(951), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(961), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(620), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [15515] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      sym__identifier,
    ACTIONS(917), 1,
      anon_sym_AMP,
    ACTIONS(919), 1,
      anon_sym_LBRACE,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_not,
    ACTIONS(927), 1,
      anon_sym_DOT,
    ACTIONS(929), 1,
      anon_sym_LPAREN,
    ACTIONS(931), 1,
      anon_sym_await,
    ACTIONS(935), 1,
      sym__string_start,
    STATE(765), 1,
      sym__primary_expression,
    STATE(1166), 1,
      sym__expression,
    STATE(1193), 1,
      sym__attribute_expression,
    STATE(764), 2,
      sym_string_name,
      sym_attribute,
    STATE(1301), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(915), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(913), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(923), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(763), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [15592] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(666), 1,
      sym__primary_expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1237), 1,
      sym__expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [15669] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(666), 1,
      sym__primary_expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1290), 1,
      sym__expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [15746] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(666), 1,
      sym__primary_expression,
    STATE(1007), 1,
      sym__expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [15823] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(666), 1,
      sym__primary_expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1254), 1,
      sym__expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [15900] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      sym__identifier,
    ACTIONS(917), 1,
      anon_sym_AMP,
    ACTIONS(919), 1,
      anon_sym_LBRACE,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_not,
    ACTIONS(927), 1,
      anon_sym_DOT,
    ACTIONS(929), 1,
      anon_sym_LPAREN,
    ACTIONS(931), 1,
      anon_sym_await,
    ACTIONS(935), 1,
      sym__string_start,
    STATE(765), 1,
      sym__primary_expression,
    STATE(1156), 1,
      sym__expression,
    STATE(1193), 1,
      sym__attribute_expression,
    STATE(764), 2,
      sym_string_name,
      sym_attribute,
    STATE(1301), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(915), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(913), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(923), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(763), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [15977] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(666), 1,
      sym__primary_expression,
    STATE(1168), 1,
      sym__expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [16054] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(666), 1,
      sym__primary_expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1264), 1,
      sym__expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [16131] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(666), 1,
      sym__primary_expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1283), 1,
      sym__expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [16208] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(801), 1,
      sym__string_start,
    STATE(595), 1,
      sym__primary_expression,
    STATE(1144), 1,
      sym__expression,
    STATE(1295), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    STATE(1130), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [16285] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      sym__identifier,
    ACTIONS(983), 1,
      anon_sym_AMP,
    ACTIONS(985), 1,
      anon_sym_LBRACE,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_not,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(997), 1,
      anon_sym_await,
    ACTIONS(999), 1,
      sym__string_start,
    STATE(719), 1,
      sym__primary_expression,
    STATE(1256), 1,
      sym__expression,
    STATE(1265), 1,
      sym__attribute_expression,
    STATE(758), 2,
      sym_string_name,
      sym_attribute,
    STATE(1242), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(981), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(979), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(989), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(756), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [16362] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_DOT,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(69), 1,
      anon_sym_await,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(231), 1,
      sym__primary_expression,
    STATE(801), 1,
      sym__expression,
    STATE(1163), 1,
      sym__attribute_expression,
    STATE(238), 2,
      sym_string_name,
      sym_attribute,
    STATE(796), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(248), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [16439] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_await,
    ACTIONS(829), 1,
      sym__string_start,
    STATE(673), 1,
      sym__primary_expression,
    STATE(1060), 1,
      sym__expression,
    STATE(1213), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    STATE(1049), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [16516] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(666), 1,
      sym__primary_expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1205), 1,
      sym__expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [16593] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      sym__identifier,
    ACTIONS(983), 1,
      anon_sym_AMP,
    ACTIONS(985), 1,
      anon_sym_LBRACE,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_not,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(997), 1,
      anon_sym_await,
    ACTIONS(999), 1,
      sym__string_start,
    STATE(719), 1,
      sym__primary_expression,
    STATE(1206), 1,
      sym__expression,
    STATE(1265), 1,
      sym__attribute_expression,
    STATE(758), 2,
      sym_string_name,
      sym_attribute,
    STATE(1242), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(981), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(979), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(989), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(756), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [16670] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(666), 1,
      sym__primary_expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1218), 1,
      sym__expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [16747] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(666), 1,
      sym__primary_expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1266), 1,
      sym__expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [16824] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(666), 1,
      sym__primary_expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1268), 1,
      sym__expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [16901] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_await,
    ACTIONS(829), 1,
      sym__string_start,
    STATE(673), 1,
      sym__primary_expression,
    STATE(1095), 1,
      sym__expression,
    STATE(1213), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    STATE(1049), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [16978] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(666), 1,
      sym__primary_expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1316), 1,
      sym__expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [17055] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      sym__identifier,
    ACTIONS(983), 1,
      anon_sym_AMP,
    ACTIONS(985), 1,
      anon_sym_LBRACE,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_not,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(997), 1,
      anon_sym_await,
    ACTIONS(999), 1,
      sym__string_start,
    STATE(719), 1,
      sym__primary_expression,
    STATE(1265), 1,
      sym__attribute_expression,
    STATE(1317), 1,
      sym__expression,
    STATE(758), 2,
      sym_string_name,
      sym_attribute,
    STATE(1242), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(981), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(979), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(989), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(756), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [17132] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      sym__identifier,
    ACTIONS(983), 1,
      anon_sym_AMP,
    ACTIONS(985), 1,
      anon_sym_LBRACE,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_not,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(997), 1,
      anon_sym_await,
    ACTIONS(999), 1,
      sym__string_start,
    STATE(719), 1,
      sym__primary_expression,
    STATE(1253), 1,
      sym__expression,
    STATE(1265), 1,
      sym__attribute_expression,
    STATE(758), 2,
      sym_string_name,
      sym_attribute,
    STATE(1242), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(981), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(979), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(989), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(756), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [17209] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(666), 1,
      sym__primary_expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1181), 1,
      sym__expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [17286] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      sym__identifier,
    ACTIONS(983), 1,
      anon_sym_AMP,
    ACTIONS(985), 1,
      anon_sym_LBRACE,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_not,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(997), 1,
      anon_sym_await,
    ACTIONS(999), 1,
      sym__string_start,
    STATE(719), 1,
      sym__primary_expression,
    STATE(1182), 1,
      sym__expression,
    STATE(1265), 1,
      sym__attribute_expression,
    STATE(758), 2,
      sym_string_name,
      sym_attribute,
    STATE(1242), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(981), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(979), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(989), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(756), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [17363] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(666), 1,
      sym__primary_expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1244), 1,
      sym__expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [17440] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(666), 1,
      sym__primary_expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1203), 1,
      sym__expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [17517] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      sym__identifier,
    ACTIONS(983), 1,
      anon_sym_AMP,
    ACTIONS(985), 1,
      anon_sym_LBRACE,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_not,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(997), 1,
      anon_sym_await,
    ACTIONS(999), 1,
      sym__string_start,
    STATE(719), 1,
      sym__primary_expression,
    STATE(1204), 1,
      sym__expression,
    STATE(1265), 1,
      sym__attribute_expression,
    STATE(758), 2,
      sym_string_name,
      sym_attribute,
    STATE(1242), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(981), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(979), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(989), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(756), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [17594] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      sym__identifier,
    ACTIONS(983), 1,
      anon_sym_AMP,
    ACTIONS(985), 1,
      anon_sym_LBRACE,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_not,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(997), 1,
      anon_sym_await,
    ACTIONS(999), 1,
      sym__string_start,
    STATE(719), 1,
      sym__primary_expression,
    STATE(1265), 1,
      sym__attribute_expression,
    STATE(1321), 1,
      sym__expression,
    STATE(758), 2,
      sym_string_name,
      sym_attribute,
    STATE(1242), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(981), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(979), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(989), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(756), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [17671] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(666), 1,
      sym__primary_expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1223), 1,
      sym__expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [17748] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      sym__identifier,
    ACTIONS(983), 1,
      anon_sym_AMP,
    ACTIONS(985), 1,
      anon_sym_LBRACE,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_not,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(997), 1,
      anon_sym_await,
    ACTIONS(999), 1,
      sym__string_start,
    STATE(719), 1,
      sym__primary_expression,
    STATE(1224), 1,
      sym__expression,
    STATE(1265), 1,
      sym__attribute_expression,
    STATE(758), 2,
      sym_string_name,
      sym_attribute,
    STATE(1242), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(981), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(979), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(989), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(756), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [17825] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(797), 1,
      anon_sym_await,
    ACTIONS(801), 1,
      sym__string_start,
    STATE(595), 1,
      sym__primary_expression,
    STATE(978), 1,
      sym__expression,
    STATE(1295), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    STATE(1130), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [17902] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(666), 1,
      sym__primary_expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1245), 1,
      sym__expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [17979] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      sym__identifier,
    ACTIONS(983), 1,
      anon_sym_AMP,
    ACTIONS(985), 1,
      anon_sym_LBRACE,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_not,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(997), 1,
      anon_sym_await,
    ACTIONS(999), 1,
      sym__string_start,
    STATE(719), 1,
      sym__primary_expression,
    STATE(1246), 1,
      sym__expression,
    STATE(1265), 1,
      sym__attribute_expression,
    STATE(758), 2,
      sym_string_name,
      sym_attribute,
    STATE(1242), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(981), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(979), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(989), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(756), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [18056] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(666), 1,
      sym__primary_expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1276), 1,
      sym__expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [18133] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(666), 1,
      sym__primary_expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1277), 1,
      sym__expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [18210] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(666), 1,
      sym__primary_expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1280), 1,
      sym__expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [18287] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(729), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(666), 1,
      sym__primary_expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1176), 1,
      sym__expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    STATE(995), 2,
      sym_conditional_expression,
      sym_await_expression,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [18364] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      sym__string_start,
    ACTIONS(1001), 1,
      anon_sym_EQ,
    ACTIONS(1003), 1,
      sym__indent,
    STATE(510), 1,
      sym_attribute,
    STATE(665), 1,
      sym_string_name,
    STATE(779), 1,
      sym__primary_expression,
    STATE(863), 1,
      sym_type,
    STATE(1163), 1,
      sym__attribute_expression,
    STATE(502), 2,
      sym_identifier,
      sym_subscript,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 8,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [18444] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      sym__string_start,
    ACTIONS(1001), 1,
      anon_sym_EQ,
    STATE(665), 1,
      sym_string_name,
    STATE(776), 1,
      sym_attribute,
    STATE(783), 1,
      sym__primary_expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1342), 1,
      sym_type,
    STATE(725), 2,
      sym_identifier,
      sym_subscript,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 8,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [18521] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(665), 1,
      sym_string_name,
    STATE(783), 1,
      sym__primary_expression,
    STATE(784), 1,
      sym_attribute,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1415), 1,
      sym_type,
    STATE(780), 2,
      sym_identifier,
      sym_subscript,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 8,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [18595] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(73), 1,
      sym__string_start,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    STATE(510), 1,
      sym_attribute,
    STATE(665), 1,
      sym_string_name,
    STATE(701), 1,
      sym_string,
    STATE(779), 1,
      sym__primary_expression,
    STATE(1026), 1,
      sym_type,
    STATE(1163), 1,
      sym__attribute_expression,
    STATE(502), 2,
      sym_identifier,
      sym_subscript,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 7,
      sym_binary_operator,
      sym_unary_operator,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [18671] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(665), 1,
      sym_string_name,
    STATE(783), 1,
      sym__primary_expression,
    STATE(784), 1,
      sym_attribute,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1344), 1,
      sym_type,
    STATE(780), 2,
      sym_identifier,
      sym_subscript,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 8,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [18745] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(665), 1,
      sym_string_name,
    STATE(776), 1,
      sym_attribute,
    STATE(783), 1,
      sym__primary_expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1423), 1,
      sym_type,
    STATE(725), 2,
      sym_identifier,
      sym_subscript,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 8,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [18819] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(665), 1,
      sym_string_name,
    STATE(776), 1,
      sym_attribute,
    STATE(783), 1,
      sym__primary_expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1383), 1,
      sym_type,
    STATE(725), 2,
      sym_identifier,
      sym_subscript,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 8,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [18893] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(665), 1,
      sym_string_name,
    STATE(776), 1,
      sym_attribute,
    STATE(783), 1,
      sym__primary_expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1410), 1,
      sym_type,
    STATE(725), 2,
      sym_identifier,
      sym_subscript,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 8,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [18967] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(665), 1,
      sym_string_name,
    STATE(776), 1,
      sym_attribute,
    STATE(783), 1,
      sym__primary_expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1364), 1,
      sym_type,
    STATE(725), 2,
      sym_identifier,
      sym_subscript,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 8,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [19041] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(665), 1,
      sym_string_name,
    STATE(776), 1,
      sym_attribute,
    STATE(783), 1,
      sym__primary_expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1349), 1,
      sym_type,
    STATE(725), 2,
      sym_identifier,
      sym_subscript,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 8,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [19115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(550), 5,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(548), 29,
      sym_static_keyword,
      anon_sym_AT,
      anon_sym_COLON,
      anon_sym_var,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_func,
  [19157] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(733), 1,
      sym__string_start,
    ACTIONS(949), 1,
      sym__identifier,
    ACTIONS(963), 1,
      anon_sym_not,
    ACTIONS(967), 1,
      anon_sym_LPAREN,
    ACTIONS(1005), 1,
      sym_integer,
    STATE(665), 1,
      sym_string_name,
    STATE(775), 1,
      sym_attribute,
    STATE(782), 1,
      sym__primary_expression,
    STATE(1271), 1,
      sym__attribute_expression,
    STATE(1298), 1,
      sym__enumerator_expression,
    ACTIONS(709), 3,
      sym_true,
      sym_false,
      sym_null,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(961), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 4,
      sym_string,
      sym_dictionary,
      sym_array,
      sym_base_call,
    STATE(760), 6,
      sym_identifier,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_call,
  [19233] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      sym__string_start,
    ACTIONS(803), 1,
      sym__identifier,
    STATE(665), 1,
      sym_string_name,
    STATE(728), 1,
      sym_attribute,
    STATE(781), 1,
      sym__primary_expression,
    STATE(1050), 1,
      sym_type,
    STATE(1213), 1,
      sym__attribute_expression,
    STATE(669), 2,
      sym_identifier,
      sym_subscript,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 8,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [19307] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(665), 1,
      sym_string_name,
    STATE(772), 1,
      sym_string,
    STATE(776), 1,
      sym_attribute,
    STATE(783), 1,
      sym__primary_expression,
    STATE(1171), 1,
      sym__attribute_expression,
    STATE(1401), 1,
      sym_type,
    STATE(725), 2,
      sym_identifier,
      sym_subscript,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 7,
      sym_binary_operator,
      sym_unary_operator,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [19383] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_DOT,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(228), 1,
      sym__primary_expression,
    STATE(1170), 1,
      sym__attribute_expression,
    STATE(238), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(248), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [19450] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_DOT,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(226), 1,
      sym__primary_expression,
    STATE(1170), 1,
      sym__attribute_expression,
    STATE(238), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(248), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [19517] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_DOT,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(215), 1,
      sym__primary_expression,
    STATE(1170), 1,
      sym__attribute_expression,
    STATE(238), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(248), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [19584] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(801), 1,
      sym__string_start,
    STATE(539), 1,
      sym__primary_expression,
    STATE(1255), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [19651] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(801), 1,
      sym__string_start,
    STATE(581), 1,
      sym__primary_expression,
    STATE(1255), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [19718] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(801), 1,
      sym__string_start,
    STATE(582), 1,
      sym__primary_expression,
    STATE(1255), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [19785] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(801), 1,
      sym__string_start,
    STATE(583), 1,
      sym__primary_expression,
    STATE(1255), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [19852] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(801), 1,
      sym__string_start,
    STATE(584), 1,
      sym__primary_expression,
    STATE(1255), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [19919] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(801), 1,
      sym__string_start,
    STATE(585), 1,
      sym__primary_expression,
    STATE(1255), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [19986] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(801), 1,
      sym__string_start,
    STATE(587), 1,
      sym__primary_expression,
    STATE(1255), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [20053] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(801), 1,
      sym__string_start,
    STATE(588), 1,
      sym__primary_expression,
    STATE(1255), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [20120] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(801), 1,
      sym__string_start,
    STATE(551), 1,
      sym__primary_expression,
    STATE(1255), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [20187] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(801), 1,
      sym__string_start,
    STATE(542), 1,
      sym__primary_expression,
    STATE(1255), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [20254] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(801), 1,
      sym__string_start,
    STATE(549), 1,
      sym__primary_expression,
    STATE(1255), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [20321] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(801), 1,
      sym__string_start,
    STATE(553), 1,
      sym__primary_expression,
    STATE(1255), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [20388] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(801), 1,
      sym__string_start,
    ACTIONS(1007), 1,
      anon_sym_not,
    STATE(546), 1,
      sym__primary_expression,
    STATE(1255), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [20455] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(781), 1,
      anon_sym_AMP,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_not,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(795), 1,
      anon_sym_LPAREN,
    ACTIONS(801), 1,
      sym__string_start,
    STATE(578), 1,
      sym__primary_expression,
    STATE(1255), 1,
      sym__attribute_expression,
    STATE(594), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(779), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(777), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(789), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(702), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [20522] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      sym__identifier,
    ACTIONS(917), 1,
      anon_sym_AMP,
    ACTIONS(919), 1,
      anon_sym_LBRACE,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_not,
    ACTIONS(927), 1,
      anon_sym_DOT,
    ACTIONS(929), 1,
      anon_sym_LPAREN,
    ACTIONS(935), 1,
      sym__string_start,
    STATE(593), 1,
      sym__primary_expression,
    STATE(1258), 1,
      sym__attribute_expression,
    STATE(764), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(915), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(913), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(923), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(763), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [20589] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_DOT,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(219), 1,
      sym__primary_expression,
    STATE(1170), 1,
      sym__attribute_expression,
    STATE(238), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(248), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [20656] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      sym__identifier,
    ACTIONS(917), 1,
      anon_sym_AMP,
    ACTIONS(919), 1,
      anon_sym_LBRACE,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_not,
    ACTIONS(927), 1,
      anon_sym_DOT,
    ACTIONS(929), 1,
      anon_sym_LPAREN,
    ACTIONS(935), 1,
      sym__string_start,
    STATE(627), 1,
      sym__primary_expression,
    STATE(1258), 1,
      sym__attribute_expression,
    STATE(764), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(915), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(913), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(923), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(763), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [20723] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      sym__identifier,
    ACTIONS(917), 1,
      anon_sym_AMP,
    ACTIONS(919), 1,
      anon_sym_LBRACE,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_not,
    ACTIONS(927), 1,
      anon_sym_DOT,
    ACTIONS(929), 1,
      anon_sym_LPAREN,
    ACTIONS(935), 1,
      sym__string_start,
    STATE(628), 1,
      sym__primary_expression,
    STATE(1258), 1,
      sym__attribute_expression,
    STATE(764), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(915), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(913), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(923), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(763), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [20790] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      sym__identifier,
    ACTIONS(917), 1,
      anon_sym_AMP,
    ACTIONS(919), 1,
      anon_sym_LBRACE,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_not,
    ACTIONS(927), 1,
      anon_sym_DOT,
    ACTIONS(929), 1,
      anon_sym_LPAREN,
    ACTIONS(935), 1,
      sym__string_start,
    STATE(629), 1,
      sym__primary_expression,
    STATE(1258), 1,
      sym__attribute_expression,
    STATE(764), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(915), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(913), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(923), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(763), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [20857] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      sym__identifier,
    ACTIONS(917), 1,
      anon_sym_AMP,
    ACTIONS(919), 1,
      anon_sym_LBRACE,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_not,
    ACTIONS(927), 1,
      anon_sym_DOT,
    ACTIONS(929), 1,
      anon_sym_LPAREN,
    ACTIONS(935), 1,
      sym__string_start,
    STATE(630), 1,
      sym__primary_expression,
    STATE(1258), 1,
      sym__attribute_expression,
    STATE(764), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(915), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(913), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(923), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(763), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [20924] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      sym__identifier,
    ACTIONS(917), 1,
      anon_sym_AMP,
    ACTIONS(919), 1,
      anon_sym_LBRACE,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_not,
    ACTIONS(927), 1,
      anon_sym_DOT,
    ACTIONS(929), 1,
      anon_sym_LPAREN,
    ACTIONS(935), 1,
      sym__string_start,
    STATE(631), 1,
      sym__primary_expression,
    STATE(1258), 1,
      sym__attribute_expression,
    STATE(764), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(915), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(913), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(923), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(763), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [20991] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      sym__identifier,
    ACTIONS(917), 1,
      anon_sym_AMP,
    ACTIONS(919), 1,
      anon_sym_LBRACE,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_not,
    ACTIONS(927), 1,
      anon_sym_DOT,
    ACTIONS(929), 1,
      anon_sym_LPAREN,
    ACTIONS(935), 1,
      sym__string_start,
    STATE(632), 1,
      sym__primary_expression,
    STATE(1258), 1,
      sym__attribute_expression,
    STATE(764), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(915), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(913), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(923), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(763), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [21058] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      sym__identifier,
    ACTIONS(917), 1,
      anon_sym_AMP,
    ACTIONS(919), 1,
      anon_sym_LBRACE,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_not,
    ACTIONS(927), 1,
      anon_sym_DOT,
    ACTIONS(929), 1,
      anon_sym_LPAREN,
    ACTIONS(935), 1,
      sym__string_start,
    STATE(633), 1,
      sym__primary_expression,
    STATE(1258), 1,
      sym__attribute_expression,
    STATE(764), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(915), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(913), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(923), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(763), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [21125] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      sym__identifier,
    ACTIONS(917), 1,
      anon_sym_AMP,
    ACTIONS(919), 1,
      anon_sym_LBRACE,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_not,
    ACTIONS(927), 1,
      anon_sym_DOT,
    ACTIONS(929), 1,
      anon_sym_LPAREN,
    ACTIONS(935), 1,
      sym__string_start,
    STATE(634), 1,
      sym__primary_expression,
    STATE(1258), 1,
      sym__attribute_expression,
    STATE(764), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(915), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(913), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(923), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(763), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [21192] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      sym__identifier,
    ACTIONS(917), 1,
      anon_sym_AMP,
    ACTIONS(919), 1,
      anon_sym_LBRACE,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_not,
    ACTIONS(927), 1,
      anon_sym_DOT,
    ACTIONS(929), 1,
      anon_sym_LPAREN,
    ACTIONS(935), 1,
      sym__string_start,
    STATE(635), 1,
      sym__primary_expression,
    STATE(1258), 1,
      sym__attribute_expression,
    STATE(764), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(915), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(913), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(923), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(763), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [21259] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      sym__identifier,
    ACTIONS(917), 1,
      anon_sym_AMP,
    ACTIONS(919), 1,
      anon_sym_LBRACE,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_not,
    ACTIONS(927), 1,
      anon_sym_DOT,
    ACTIONS(929), 1,
      anon_sym_LPAREN,
    ACTIONS(935), 1,
      sym__string_start,
    STATE(637), 1,
      sym__primary_expression,
    STATE(1258), 1,
      sym__attribute_expression,
    STATE(764), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(915), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(913), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(923), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(763), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [21326] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      sym__identifier,
    ACTIONS(917), 1,
      anon_sym_AMP,
    ACTIONS(919), 1,
      anon_sym_LBRACE,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_not,
    ACTIONS(927), 1,
      anon_sym_DOT,
    ACTIONS(929), 1,
      anon_sym_LPAREN,
    ACTIONS(935), 1,
      sym__string_start,
    STATE(644), 1,
      sym__primary_expression,
    STATE(1258), 1,
      sym__attribute_expression,
    STATE(764), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(915), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(913), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(923), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(763), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [21393] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      sym__identifier,
    ACTIONS(917), 1,
      anon_sym_AMP,
    ACTIONS(919), 1,
      anon_sym_LBRACE,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(927), 1,
      anon_sym_DOT,
    ACTIONS(929), 1,
      anon_sym_LPAREN,
    ACTIONS(935), 1,
      sym__string_start,
    ACTIONS(1009), 1,
      anon_sym_not,
    STATE(646), 1,
      sym__primary_expression,
    STATE(1258), 1,
      sym__attribute_expression,
    STATE(764), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(915), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(913), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(923), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(763), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [21460] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(911), 1,
      sym__identifier,
    ACTIONS(917), 1,
      anon_sym_AMP,
    ACTIONS(919), 1,
      anon_sym_LBRACE,
    ACTIONS(921), 1,
      anon_sym_LBRACK,
    ACTIONS(925), 1,
      anon_sym_not,
    ACTIONS(927), 1,
      anon_sym_DOT,
    ACTIONS(929), 1,
      anon_sym_LPAREN,
    ACTIONS(935), 1,
      sym__string_start,
    STATE(649), 1,
      sym__primary_expression,
    STATE(1258), 1,
      sym__attribute_expression,
    STATE(764), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(915), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(913), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(923), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(763), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [21527] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_DOT,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(229), 1,
      sym__primary_expression,
    STATE(1170), 1,
      sym__attribute_expression,
    STATE(238), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(248), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [21594] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(829), 1,
      sym__string_start,
    STATE(579), 1,
      sym__primary_expression,
    STATE(1270), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [21661] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(829), 1,
      sym__string_start,
    STATE(569), 1,
      sym__primary_expression,
    STATE(1270), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [21728] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(829), 1,
      sym__string_start,
    STATE(571), 1,
      sym__primary_expression,
    STATE(1270), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [21795] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(829), 1,
      sym__string_start,
    STATE(575), 1,
      sym__primary_expression,
    STATE(1270), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [21862] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(829), 1,
      sym__string_start,
    STATE(577), 1,
      sym__primary_expression,
    STATE(1270), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [21929] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(829), 1,
      sym__string_start,
    STATE(512), 1,
      sym__primary_expression,
    STATE(1270), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [21996] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(829), 1,
      sym__string_start,
    STATE(513), 1,
      sym__primary_expression,
    STATE(1270), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [22063] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(829), 1,
      sym__string_start,
    STATE(514), 1,
      sym__primary_expression,
    STATE(1270), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [22130] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(829), 1,
      sym__string_start,
    STATE(515), 1,
      sym__primary_expression,
    STATE(1270), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [22197] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(829), 1,
      sym__string_start,
    STATE(516), 1,
      sym__primary_expression,
    STATE(1270), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [22264] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(829), 1,
      sym__string_start,
    STATE(529), 1,
      sym__primary_expression,
    STATE(1270), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [22331] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(829), 1,
      sym__string_start,
    STATE(535), 1,
      sym__primary_expression,
    STATE(1270), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [22398] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(829), 1,
      sym__string_start,
    ACTIONS(1011), 1,
      anon_sym_not,
    STATE(541), 1,
      sym__primary_expression,
    STATE(1270), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [22465] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 1,
      sym__identifier,
    ACTIONS(809), 1,
      anon_sym_AMP,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_not,
    ACTIONS(819), 1,
      anon_sym_DOT,
    ACTIONS(821), 1,
      anon_sym_LPAREN,
    ACTIONS(829), 1,
      sym__string_start,
    STATE(548), 1,
      sym__primary_expression,
    STATE(1270), 1,
      sym__attribute_expression,
    STATE(672), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(807), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(805), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(815), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(662), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [22532] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(65), 1,
      anon_sym_DOT,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(73), 1,
      sym__string_start,
    ACTIONS(1013), 1,
      anon_sym_not,
    STATE(230), 1,
      sym__primary_expression,
    STATE(1170), 1,
      sym__attribute_expression,
    STATE(238), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(248), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [22599] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      sym__identifier,
    ACTIONS(983), 1,
      anon_sym_AMP,
    ACTIONS(985), 1,
      anon_sym_LBRACE,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_not,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(999), 1,
      sym__string_start,
    STATE(596), 1,
      sym__primary_expression,
    STATE(1272), 1,
      sym__attribute_expression,
    STATE(758), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(981), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(979), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(989), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(756), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [22666] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      sym__identifier,
    ACTIONS(983), 1,
      anon_sym_AMP,
    ACTIONS(985), 1,
      anon_sym_LBRACE,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_not,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(999), 1,
      sym__string_start,
    STATE(605), 1,
      sym__primary_expression,
    STATE(1272), 1,
      sym__attribute_expression,
    STATE(758), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(981), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(979), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(989), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(756), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [22733] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      sym__identifier,
    ACTIONS(983), 1,
      anon_sym_AMP,
    ACTIONS(985), 1,
      anon_sym_LBRACE,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_not,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(999), 1,
      sym__string_start,
    STATE(606), 1,
      sym__primary_expression,
    STATE(1272), 1,
      sym__attribute_expression,
    STATE(758), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(981), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(979), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(989), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(756), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [22800] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      sym__identifier,
    ACTIONS(983), 1,
      anon_sym_AMP,
    ACTIONS(985), 1,
      anon_sym_LBRACE,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_not,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(999), 1,
      sym__string_start,
    STATE(607), 1,
      sym__primary_expression,
    STATE(1272), 1,
      sym__attribute_expression,
    STATE(758), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(981), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(979), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(989), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(756), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [22867] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      sym__identifier,
    ACTIONS(983), 1,
      anon_sym_AMP,
    ACTIONS(985), 1,
      anon_sym_LBRACE,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_not,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(999), 1,
      sym__string_start,
    STATE(608), 1,
      sym__primary_expression,
    STATE(1272), 1,
      sym__attribute_expression,
    STATE(758), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(981), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(979), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(989), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(756), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [22934] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      sym__identifier,
    ACTIONS(983), 1,
      anon_sym_AMP,
    ACTIONS(985), 1,
      anon_sym_LBRACE,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_not,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(999), 1,
      sym__string_start,
    STATE(609), 1,
      sym__primary_expression,
    STATE(1272), 1,
      sym__attribute_expression,
    STATE(758), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(981), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(979), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(989), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(756), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [23001] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      sym__identifier,
    ACTIONS(983), 1,
      anon_sym_AMP,
    ACTIONS(985), 1,
      anon_sym_LBRACE,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_not,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(999), 1,
      sym__string_start,
    STATE(610), 1,
      sym__primary_expression,
    STATE(1272), 1,
      sym__attribute_expression,
    STATE(758), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(981), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(979), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(989), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(756), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [23068] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      sym__identifier,
    ACTIONS(983), 1,
      anon_sym_AMP,
    ACTIONS(985), 1,
      anon_sym_LBRACE,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_not,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(999), 1,
      sym__string_start,
    STATE(611), 1,
      sym__primary_expression,
    STATE(1272), 1,
      sym__attribute_expression,
    STATE(758), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(981), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(979), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(989), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(756), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [23135] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      sym__identifier,
    ACTIONS(983), 1,
      anon_sym_AMP,
    ACTIONS(985), 1,
      anon_sym_LBRACE,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_not,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(999), 1,
      sym__string_start,
    STATE(612), 1,
      sym__primary_expression,
    STATE(1272), 1,
      sym__attribute_expression,
    STATE(758), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(981), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(979), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(989), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(756), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [23202] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      sym__identifier,
    ACTIONS(983), 1,
      anon_sym_AMP,
    ACTIONS(985), 1,
      anon_sym_LBRACE,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_not,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(999), 1,
      sym__string_start,
    STATE(613), 1,
      sym__primary_expression,
    STATE(1272), 1,
      sym__attribute_expression,
    STATE(758), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(981), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(979), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(989), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(756), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [23269] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      sym__identifier,
    ACTIONS(983), 1,
      anon_sym_AMP,
    ACTIONS(985), 1,
      anon_sym_LBRACE,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_not,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(999), 1,
      sym__string_start,
    STATE(614), 1,
      sym__primary_expression,
    STATE(1272), 1,
      sym__attribute_expression,
    STATE(758), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(981), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(979), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(989), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(756), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [23336] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      sym__identifier,
    ACTIONS(983), 1,
      anon_sym_AMP,
    ACTIONS(985), 1,
      anon_sym_LBRACE,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_not,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(999), 1,
      sym__string_start,
    STATE(615), 1,
      sym__primary_expression,
    STATE(1272), 1,
      sym__attribute_expression,
    STATE(758), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(981), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(979), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(989), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(756), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [23403] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      sym__identifier,
    ACTIONS(983), 1,
      anon_sym_AMP,
    ACTIONS(985), 1,
      anon_sym_LBRACE,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(999), 1,
      sym__string_start,
    ACTIONS(1015), 1,
      anon_sym_not,
    STATE(616), 1,
      sym__primary_expression,
    STATE(1272), 1,
      sym__attribute_expression,
    STATE(758), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(981), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(979), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(989), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(756), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [23470] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      sym__identifier,
    ACTIONS(983), 1,
      anon_sym_AMP,
    ACTIONS(985), 1,
      anon_sym_LBRACE,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_not,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(999), 1,
      sym__string_start,
    STATE(619), 1,
      sym__primary_expression,
    STATE(1272), 1,
      sym__attribute_expression,
    STATE(758), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(981), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(979), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(989), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(756), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [23537] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      sym__identifier,
    ACTIONS(955), 1,
      anon_sym_AMP,
    ACTIONS(957), 1,
      anon_sym_LBRACE,
    ACTIONS(959), 1,
      anon_sym_LBRACK,
    ACTIONS(963), 1,
      anon_sym_not,
    ACTIONS(965), 1,
      anon_sym_DOT,
    ACTIONS(967), 1,
      anon_sym_LPAREN,
    ACTIONS(973), 1,
      sym__string_start,
    STATE(544), 1,
      sym__primary_expression,
    STATE(1273), 1,
      sym__attribute_expression,
    STATE(621), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(953), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(951), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(961), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(620), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [23604] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_DOT,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(220), 1,
      sym__primary_expression,
    STATE(1170), 1,
      sym__attribute_expression,
    STATE(238), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(248), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [23671] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      sym__identifier,
    ACTIONS(955), 1,
      anon_sym_AMP,
    ACTIONS(957), 1,
      anon_sym_LBRACE,
    ACTIONS(959), 1,
      anon_sym_LBRACK,
    ACTIONS(963), 1,
      anon_sym_not,
    ACTIONS(965), 1,
      anon_sym_DOT,
    ACTIONS(967), 1,
      anon_sym_LPAREN,
    ACTIONS(973), 1,
      sym__string_start,
    STATE(519), 1,
      sym__primary_expression,
    STATE(1273), 1,
      sym__attribute_expression,
    STATE(621), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(953), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(951), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(961), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(620), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [23738] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      sym__identifier,
    ACTIONS(955), 1,
      anon_sym_AMP,
    ACTIONS(957), 1,
      anon_sym_LBRACE,
    ACTIONS(959), 1,
      anon_sym_LBRACK,
    ACTIONS(963), 1,
      anon_sym_not,
    ACTIONS(965), 1,
      anon_sym_DOT,
    ACTIONS(967), 1,
      anon_sym_LPAREN,
    ACTIONS(973), 1,
      sym__string_start,
    STATE(520), 1,
      sym__primary_expression,
    STATE(1273), 1,
      sym__attribute_expression,
    STATE(621), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(953), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(951), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(961), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(620), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [23805] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      sym__identifier,
    ACTIONS(955), 1,
      anon_sym_AMP,
    ACTIONS(957), 1,
      anon_sym_LBRACE,
    ACTIONS(959), 1,
      anon_sym_LBRACK,
    ACTIONS(963), 1,
      anon_sym_not,
    ACTIONS(965), 1,
      anon_sym_DOT,
    ACTIONS(967), 1,
      anon_sym_LPAREN,
    ACTIONS(973), 1,
      sym__string_start,
    STATE(521), 1,
      sym__primary_expression,
    STATE(1273), 1,
      sym__attribute_expression,
    STATE(621), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(953), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(951), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(961), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(620), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [23872] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      sym__identifier,
    ACTIONS(955), 1,
      anon_sym_AMP,
    ACTIONS(957), 1,
      anon_sym_LBRACE,
    ACTIONS(959), 1,
      anon_sym_LBRACK,
    ACTIONS(963), 1,
      anon_sym_not,
    ACTIONS(965), 1,
      anon_sym_DOT,
    ACTIONS(967), 1,
      anon_sym_LPAREN,
    ACTIONS(973), 1,
      sym__string_start,
    STATE(522), 1,
      sym__primary_expression,
    STATE(1273), 1,
      sym__attribute_expression,
    STATE(621), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(953), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(951), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(961), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(620), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [23939] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      sym__identifier,
    ACTIONS(955), 1,
      anon_sym_AMP,
    ACTIONS(957), 1,
      anon_sym_LBRACE,
    ACTIONS(959), 1,
      anon_sym_LBRACK,
    ACTIONS(963), 1,
      anon_sym_not,
    ACTIONS(965), 1,
      anon_sym_DOT,
    ACTIONS(967), 1,
      anon_sym_LPAREN,
    ACTIONS(973), 1,
      sym__string_start,
    STATE(523), 1,
      sym__primary_expression,
    STATE(1273), 1,
      sym__attribute_expression,
    STATE(621), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(953), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(951), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(961), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(620), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [24006] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      sym__identifier,
    ACTIONS(955), 1,
      anon_sym_AMP,
    ACTIONS(957), 1,
      anon_sym_LBRACE,
    ACTIONS(959), 1,
      anon_sym_LBRACK,
    ACTIONS(963), 1,
      anon_sym_not,
    ACTIONS(965), 1,
      anon_sym_DOT,
    ACTIONS(967), 1,
      anon_sym_LPAREN,
    ACTIONS(973), 1,
      sym__string_start,
    STATE(524), 1,
      sym__primary_expression,
    STATE(1273), 1,
      sym__attribute_expression,
    STATE(621), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(953), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(951), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(961), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(620), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [24073] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      sym__identifier,
    ACTIONS(955), 1,
      anon_sym_AMP,
    ACTIONS(957), 1,
      anon_sym_LBRACE,
    ACTIONS(959), 1,
      anon_sym_LBRACK,
    ACTIONS(963), 1,
      anon_sym_not,
    ACTIONS(965), 1,
      anon_sym_DOT,
    ACTIONS(967), 1,
      anon_sym_LPAREN,
    ACTIONS(973), 1,
      sym__string_start,
    STATE(525), 1,
      sym__primary_expression,
    STATE(1273), 1,
      sym__attribute_expression,
    STATE(621), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(953), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(951), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(961), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(620), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [24140] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      sym__identifier,
    ACTIONS(955), 1,
      anon_sym_AMP,
    ACTIONS(957), 1,
      anon_sym_LBRACE,
    ACTIONS(959), 1,
      anon_sym_LBRACK,
    ACTIONS(963), 1,
      anon_sym_not,
    ACTIONS(965), 1,
      anon_sym_DOT,
    ACTIONS(967), 1,
      anon_sym_LPAREN,
    ACTIONS(973), 1,
      sym__string_start,
    STATE(526), 1,
      sym__primary_expression,
    STATE(1273), 1,
      sym__attribute_expression,
    STATE(621), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(953), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(951), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(961), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(620), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [24207] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      sym__identifier,
    ACTIONS(955), 1,
      anon_sym_AMP,
    ACTIONS(957), 1,
      anon_sym_LBRACE,
    ACTIONS(959), 1,
      anon_sym_LBRACK,
    ACTIONS(963), 1,
      anon_sym_not,
    ACTIONS(965), 1,
      anon_sym_DOT,
    ACTIONS(967), 1,
      anon_sym_LPAREN,
    ACTIONS(973), 1,
      sym__string_start,
    STATE(527), 1,
      sym__primary_expression,
    STATE(1273), 1,
      sym__attribute_expression,
    STATE(621), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(953), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(951), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(961), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(620), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [24274] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      sym__identifier,
    ACTIONS(955), 1,
      anon_sym_AMP,
    ACTIONS(957), 1,
      anon_sym_LBRACE,
    ACTIONS(959), 1,
      anon_sym_LBRACK,
    ACTIONS(963), 1,
      anon_sym_not,
    ACTIONS(965), 1,
      anon_sym_DOT,
    ACTIONS(967), 1,
      anon_sym_LPAREN,
    ACTIONS(973), 1,
      sym__string_start,
    STATE(528), 1,
      sym__primary_expression,
    STATE(1273), 1,
      sym__attribute_expression,
    STATE(621), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(953), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(951), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(961), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(620), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [24341] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      sym__identifier,
    ACTIONS(955), 1,
      anon_sym_AMP,
    ACTIONS(957), 1,
      anon_sym_LBRACE,
    ACTIONS(959), 1,
      anon_sym_LBRACK,
    ACTIONS(965), 1,
      anon_sym_DOT,
    ACTIONS(967), 1,
      anon_sym_LPAREN,
    ACTIONS(973), 1,
      sym__string_start,
    ACTIONS(1017), 1,
      anon_sym_not,
    STATE(530), 1,
      sym__primary_expression,
    STATE(1273), 1,
      sym__attribute_expression,
    STATE(621), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(953), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(951), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(961), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(620), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [24408] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      sym__identifier,
    ACTIONS(955), 1,
      anon_sym_AMP,
    ACTIONS(957), 1,
      anon_sym_LBRACE,
    ACTIONS(959), 1,
      anon_sym_LBRACK,
    ACTIONS(963), 1,
      anon_sym_not,
    ACTIONS(965), 1,
      anon_sym_DOT,
    ACTIONS(967), 1,
      anon_sym_LPAREN,
    ACTIONS(973), 1,
      sym__string_start,
    STATE(533), 1,
      sym__primary_expression,
    STATE(1273), 1,
      sym__attribute_expression,
    STATE(621), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(953), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(951), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(961), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(620), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [24475] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_DOT,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(213), 1,
      sym__primary_expression,
    STATE(1170), 1,
      sym__attribute_expression,
    STATE(238), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(248), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [24542] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(540), 1,
      sym__primary_expression,
    STATE(1235), 1,
      sym__attribute_expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [24609] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(554), 1,
      sym__primary_expression,
    STATE(1235), 1,
      sym__attribute_expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [24676] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(555), 1,
      sym__primary_expression,
    STATE(1235), 1,
      sym__attribute_expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [24743] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(556), 1,
      sym__primary_expression,
    STATE(1235), 1,
      sym__attribute_expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [24810] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(557), 1,
      sym__primary_expression,
    STATE(1235), 1,
      sym__attribute_expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [24877] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(558), 1,
      sym__primary_expression,
    STATE(1235), 1,
      sym__attribute_expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [24944] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(559), 1,
      sym__primary_expression,
    STATE(1235), 1,
      sym__attribute_expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [25011] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(560), 1,
      sym__primary_expression,
    STATE(1235), 1,
      sym__attribute_expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [25078] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(561), 1,
      sym__primary_expression,
    STATE(1235), 1,
      sym__attribute_expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [25145] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(562), 1,
      sym__primary_expression,
    STATE(1235), 1,
      sym__attribute_expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [25212] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(563), 1,
      sym__primary_expression,
    STATE(1235), 1,
      sym__attribute_expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [25279] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(564), 1,
      sym__primary_expression,
    STATE(1235), 1,
      sym__attribute_expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [25346] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      sym__string_start,
    ACTIONS(1019), 1,
      anon_sym_not,
    STATE(566), 1,
      sym__primary_expression,
    STATE(1235), 1,
      sym__attribute_expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [25413] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      sym__identifier,
    ACTIONS(713), 1,
      anon_sym_AMP,
    ACTIONS(715), 1,
      anon_sym_LBRACE,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_DOT,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(573), 1,
      sym__primary_expression,
    STATE(1235), 1,
      sym__attribute_expression,
    STATE(665), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(711), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(709), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(721), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(664), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [25480] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      sym__identifier,
    ACTIONS(983), 1,
      anon_sym_AMP,
    ACTIONS(985), 1,
      anon_sym_LBRACE,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_not,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(999), 1,
      sym__string_start,
    STATE(769), 1,
      sym__primary_expression,
    STATE(1265), 1,
      sym__attribute_expression,
    STATE(758), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(981), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(979), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(989), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(756), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [25547] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      sym__identifier,
    ACTIONS(983), 1,
      anon_sym_AMP,
    ACTIONS(985), 1,
      anon_sym_LBRACE,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_not,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(999), 1,
      sym__string_start,
    STATE(778), 1,
      sym__primary_expression,
    STATE(1265), 1,
      sym__attribute_expression,
    STATE(758), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(981), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(979), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(989), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(756), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [25614] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      sym__identifier,
    ACTIONS(983), 1,
      anon_sym_AMP,
    ACTIONS(985), 1,
      anon_sym_LBRACE,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_not,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(999), 1,
      sym__string_start,
    STATE(774), 1,
      sym__primary_expression,
    STATE(1265), 1,
      sym__attribute_expression,
    STATE(758), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(981), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(979), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(989), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(756), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [25681] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_DOT,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(224), 1,
      sym__primary_expression,
    STATE(1170), 1,
      sym__attribute_expression,
    STATE(238), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(248), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [25748] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      sym__identifier,
    ACTIONS(983), 1,
      anon_sym_AMP,
    ACTIONS(985), 1,
      anon_sym_LBRACE,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_not,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(999), 1,
      sym__string_start,
    STATE(770), 1,
      sym__primary_expression,
    STATE(1265), 1,
      sym__attribute_expression,
    STATE(758), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(981), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(979), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(989), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(756), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [25815] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_DOT,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(225), 1,
      sym__primary_expression,
    STATE(1170), 1,
      sym__attribute_expression,
    STATE(238), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(248), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [25882] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      sym__identifier,
    ACTIONS(983), 1,
      anon_sym_AMP,
    ACTIONS(985), 1,
      anon_sym_LBRACE,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_not,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(999), 1,
      sym__string_start,
    STATE(777), 1,
      sym__primary_expression,
    STATE(1265), 1,
      sym__attribute_expression,
    STATE(758), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(981), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(979), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(989), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(756), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [25949] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_DOT,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(227), 1,
      sym__primary_expression,
    STATE(1170), 1,
      sym__attribute_expression,
    STATE(238), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(248), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [26016] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_DOT,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(221), 1,
      sym__primary_expression,
    STATE(1170), 1,
      sym__attribute_expression,
    STATE(238), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(248), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [26083] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      sym__identifier,
    ACTIONS(983), 1,
      anon_sym_AMP,
    ACTIONS(985), 1,
      anon_sym_LBRACE,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_not,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(999), 1,
      sym__string_start,
    STATE(771), 1,
      sym__primary_expression,
    STATE(1265), 1,
      sym__attribute_expression,
    STATE(758), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(981), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(979), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(989), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(756), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [26150] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      sym__identifier,
    ACTIONS(983), 1,
      anon_sym_AMP,
    ACTIONS(985), 1,
      anon_sym_LBRACE,
    ACTIONS(987), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_not,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(999), 1,
      sym__string_start,
    STATE(773), 1,
      sym__primary_expression,
    STATE(1265), 1,
      sym__attribute_expression,
    STATE(758), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(981), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(979), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(989), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(756), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [26217] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_DOT,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(214), 1,
      sym__primary_expression,
    STATE(1170), 1,
      sym__attribute_expression,
    STATE(238), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(248), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [26284] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym__identifier,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(63), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_DOT,
    ACTIONS(67), 1,
      anon_sym_LPAREN,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(216), 1,
      sym__primary_expression,
    STATE(1170), 1,
      sym__attribute_expression,
    STATE(238), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(15), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(9), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(61), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(248), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [26351] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      sym__identifier,
    ACTIONS(955), 1,
      anon_sym_AMP,
    ACTIONS(957), 1,
      anon_sym_LBRACE,
    ACTIONS(959), 1,
      anon_sym_LBRACK,
    ACTIONS(963), 1,
      anon_sym_not,
    ACTIONS(965), 1,
      anon_sym_DOT,
    ACTIONS(967), 1,
      anon_sym_LPAREN,
    ACTIONS(973), 1,
      sym__string_start,
    STATE(518), 1,
      sym__primary_expression,
    STATE(1273), 1,
      sym__attribute_expression,
    STATE(621), 2,
      sym_string_name,
      sym_attribute,
    ACTIONS(953), 3,
      sym_float,
      sym_node_path,
      sym_get_node,
    ACTIONS(951), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
    ACTIONS(961), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
    STATE(620), 10,
      sym_identifier,
      sym_string,
      sym_binary_operator,
      sym_unary_operator,
      sym_subscript,
      sym_parenthesized_expression,
      sym_dictionary,
      sym_array,
      sym_base_call,
      sym_call,
  [26418] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 1,
      anon_sym_DOT,
    ACTIONS(1023), 1,
      anon_sym_EQ,
    ACTIONS(649), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1021), 5,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
    ACTIONS(651), 21,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
  [26464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(550), 5,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(548), 26,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [26503] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1025), 1,
      anon_sym_DOT,
    STATE(504), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(590), 5,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(592), 24,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [26546] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1028), 1,
      anon_sym_DOT,
    STATE(504), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(586), 5,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(588), 24,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [26589] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1030), 1,
      anon_sym_DOT,
    STATE(508), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(586), 5,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(588), 24,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
  [26632] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1032), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_LPAREN,
    STATE(574), 1,
      sym_arguments,
    ACTIONS(590), 5,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(592), 23,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
  [26677] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1036), 1,
      anon_sym_DOT,
    STATE(508), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(590), 5,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(592), 24,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
  [26720] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 1,
      anon_sym_LBRACK,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    STATE(511), 1,
      sym_arguments,
    ACTIONS(590), 5,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(592), 23,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [26765] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 1,
      anon_sym_EQ,
    ACTIONS(649), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1021), 5,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
    ACTIONS(651), 21,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
  [26808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 5,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(631), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [26846] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1045), 1,
      anon_sym_as,
    ACTIONS(1047), 1,
      anon_sym_is,
    STATE(689), 1,
      sym_arguments,
    ACTIONS(1043), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 19,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [26894] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1045), 1,
      anon_sym_as,
    ACTIONS(1047), 1,
      anon_sym_is,
    STATE(689), 1,
      sym_arguments,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 22,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [26940] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1045), 1,
      anon_sym_as,
    ACTIONS(1047), 1,
      anon_sym_is,
    ACTIONS(1049), 1,
      anon_sym_AMP,
    ACTIONS(1053), 1,
      anon_sym_CARET,
    STATE(689), 1,
      sym_arguments,
    ACTIONS(1051), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(578), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1043), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(580), 14,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [26996] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1045), 1,
      anon_sym_as,
    ACTIONS(1047), 1,
      anon_sym_is,
    STATE(689), 1,
      sym_arguments,
    ACTIONS(1051), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1043), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [27048] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1045), 1,
      anon_sym_as,
    ACTIONS(1047), 1,
      anon_sym_is,
    STATE(689), 1,
      sym_arguments,
    ACTIONS(1051), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 17,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [27098] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(508), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(586), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(588), 25,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [27138] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 1,
      anon_sym_CARET,
    ACTIONS(1065), 1,
      anon_sym_as,
    ACTIONS(1067), 1,
      anon_sym_is,
    ACTIONS(1069), 1,
      anon_sym_LPAREN,
    STATE(636), 1,
      sym_arguments,
    ACTIONS(1057), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1059), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 14,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
  [27192] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 1,
      anon_sym_CARET,
    ACTIONS(1065), 1,
      anon_sym_as,
    ACTIONS(1067), 1,
      anon_sym_is,
    ACTIONS(1069), 1,
      anon_sym_LPAREN,
    ACTIONS(1071), 1,
      anon_sym_AMP,
    ACTIONS(1073), 1,
      anon_sym_PIPE,
    STATE(636), 1,
      sym_arguments,
    ACTIONS(1057), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1059), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1077), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
    ACTIONS(580), 10,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT,
  [27252] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 1,
      anon_sym_CARET,
    ACTIONS(1065), 1,
      anon_sym_as,
    ACTIONS(1067), 1,
      anon_sym_is,
    ACTIONS(1069), 1,
      anon_sym_LPAREN,
    ACTIONS(1071), 1,
      anon_sym_AMP,
    ACTIONS(1073), 1,
      anon_sym_PIPE,
    ACTIONS(1079), 1,
      anon_sym_in,
    STATE(636), 1,
      sym_arguments,
    ACTIONS(1057), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1059), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1077), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
    ACTIONS(580), 9,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT,
  [27314] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 1,
      anon_sym_CARET,
    ACTIONS(1065), 1,
      anon_sym_as,
    ACTIONS(1067), 1,
      anon_sym_is,
    ACTIONS(1069), 1,
      anon_sym_LPAREN,
    ACTIONS(1071), 1,
      anon_sym_AMP,
    ACTIONS(1073), 1,
      anon_sym_PIPE,
    ACTIONS(1079), 1,
      anon_sym_in,
    STATE(636), 1,
      sym_arguments,
    ACTIONS(1057), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1081), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(1059), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1077), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
    ACTIONS(580), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT,
  [27378] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1065), 1,
      anon_sym_as,
    ACTIONS(1067), 1,
      anon_sym_is,
    ACTIONS(1069), 1,
      anon_sym_LPAREN,
    STATE(636), 1,
      sym_arguments,
    ACTIONS(1059), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 19,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
  [27426] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1065), 1,
      anon_sym_as,
    ACTIONS(1067), 1,
      anon_sym_is,
    ACTIONS(1069), 1,
      anon_sym_LPAREN,
    STATE(636), 1,
      sym_arguments,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 22,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
  [27472] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 1,
      anon_sym_CARET,
    ACTIONS(1065), 1,
      anon_sym_as,
    ACTIONS(1067), 1,
      anon_sym_is,
    ACTIONS(1069), 1,
      anon_sym_LPAREN,
    ACTIONS(1071), 1,
      anon_sym_AMP,
    STATE(636), 1,
      sym_arguments,
    ACTIONS(1057), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(578), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1059), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(580), 14,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
  [27528] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1065), 1,
      anon_sym_as,
    ACTIONS(1067), 1,
      anon_sym_is,
    ACTIONS(1069), 1,
      anon_sym_LPAREN,
    STATE(636), 1,
      sym_arguments,
    ACTIONS(1057), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1059), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
  [27580] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1065), 1,
      anon_sym_as,
    ACTIONS(1067), 1,
      anon_sym_is,
    ACTIONS(1069), 1,
      anon_sym_LPAREN,
    STATE(636), 1,
      sym_arguments,
    ACTIONS(1057), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1059), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 17,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
  [27630] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 1,
      anon_sym_CARET,
    ACTIONS(1065), 1,
      anon_sym_as,
    ACTIONS(1067), 1,
      anon_sym_is,
    ACTIONS(1069), 1,
      anon_sym_LPAREN,
    ACTIONS(1071), 1,
      anon_sym_AMP,
    ACTIONS(1073), 1,
      anon_sym_PIPE,
    STATE(636), 1,
      sym_arguments,
    ACTIONS(578), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1057), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1059), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(580), 14,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
  [27688] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_LPAREN,
    STATE(636), 1,
      sym_arguments,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 24,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
  [27730] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1045), 1,
      anon_sym_as,
    ACTIONS(1047), 1,
      anon_sym_is,
    ACTIONS(1049), 1,
      anon_sym_AMP,
    ACTIONS(1053), 1,
      anon_sym_CARET,
    ACTIONS(1083), 1,
      anon_sym_PIPE,
    STATE(689), 1,
      sym_arguments,
    ACTIONS(578), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1051), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1043), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(580), 14,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [27788] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1065), 1,
      anon_sym_as,
    ACTIONS(1069), 1,
      anon_sym_LPAREN,
    STATE(636), 1,
      sym_arguments,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 23,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT,
  [27832] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_LBRACK,
    STATE(713), 1,
      sym_arguments,
    ACTIONS(590), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(592), 23,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
  [27876] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1087), 1,
      anon_sym_DOT,
    STATE(532), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(590), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(592), 24,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
  [27918] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1065), 1,
      anon_sym_as,
    ACTIONS(1069), 1,
      anon_sym_LPAREN,
    STATE(636), 1,
      sym_arguments,
    ACTIONS(604), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(606), 23,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT,
  [27962] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(576), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(586), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(588), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [28002] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    STATE(689), 1,
      sym_arguments,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 24,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [28044] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(504), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(586), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(588), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [28084] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1090), 1,
      anon_sym_DOT,
    STATE(532), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(586), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(588), 24,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
  [28126] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(532), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(586), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(588), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [28166] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1092), 1,
      anon_sym_as,
    ACTIONS(1094), 1,
      anon_sym_is,
    ACTIONS(1096), 1,
      anon_sym_LPAREN,
    STATE(597), 1,
      sym_arguments,
    ACTIONS(568), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(570), 22,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
  [28212] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 1,
      anon_sym_LPAREN,
    ACTIONS(1098), 1,
      anon_sym_as,
    ACTIONS(1100), 1,
      anon_sym_is,
    STATE(680), 1,
      sym_arguments,
    ACTIONS(568), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(570), 22,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
  [28258] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1045), 1,
      anon_sym_as,
    STATE(689), 1,
      sym_arguments,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 23,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [28302] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1092), 1,
      anon_sym_as,
    ACTIONS(1094), 1,
      anon_sym_is,
    ACTIONS(1096), 1,
      anon_sym_LPAREN,
    STATE(597), 1,
      sym_arguments,
    ACTIONS(1102), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1104), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 17,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
  [28352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(590), 5,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(592), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [28390] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1065), 1,
      anon_sym_as,
    ACTIONS(1067), 1,
      anon_sym_is,
    ACTIONS(1069), 1,
      anon_sym_LPAREN,
    STATE(636), 1,
      sym_arguments,
    ACTIONS(568), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(570), 22,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
  [28436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(554), 5,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(552), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [28474] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1092), 1,
      anon_sym_as,
    ACTIONS(1096), 1,
      anon_sym_LPAREN,
    STATE(597), 1,
      sym_arguments,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 23,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT,
  [28518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(695), 5,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(697), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [28556] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1045), 1,
      anon_sym_as,
    STATE(689), 1,
      sym_arguments,
    ACTIONS(604), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(606), 23,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [28600] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1092), 1,
      anon_sym_as,
    ACTIONS(1094), 1,
      anon_sym_is,
    ACTIONS(1096), 1,
      anon_sym_LPAREN,
    ACTIONS(1106), 1,
      anon_sym_AMP,
    ACTIONS(1108), 1,
      anon_sym_PIPE,
    ACTIONS(1110), 1,
      anon_sym_CARET,
    STATE(597), 1,
      sym_arguments,
    ACTIONS(578), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1102), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1112), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1104), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(580), 14,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
  [28658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(558), 5,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(556), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [28696] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1092), 1,
      anon_sym_as,
    ACTIONS(1094), 1,
      anon_sym_is,
    ACTIONS(1096), 1,
      anon_sym_LPAREN,
    STATE(597), 1,
      sym_arguments,
    ACTIONS(1102), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1112), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1104), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
  [28748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(641), 5,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(643), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [28786] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1096), 1,
      anon_sym_LPAREN,
    STATE(597), 1,
      sym_arguments,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 24,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
  [28828] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 1,
      anon_sym_LPAREN,
    ACTIONS(1098), 1,
      anon_sym_as,
    ACTIONS(1100), 1,
      anon_sym_is,
    ACTIONS(1118), 1,
      anon_sym_CARET,
    STATE(680), 1,
      sym_arguments,
    ACTIONS(1114), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1120), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1116), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 14,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
  [28882] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 1,
      anon_sym_LPAREN,
    ACTIONS(1098), 1,
      anon_sym_as,
    ACTIONS(1100), 1,
      anon_sym_is,
    ACTIONS(1118), 1,
      anon_sym_CARET,
    ACTIONS(1122), 1,
      anon_sym_AMP,
    ACTIONS(1124), 1,
      anon_sym_PIPE,
    STATE(680), 1,
      sym_arguments,
    ACTIONS(1114), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1120), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1126), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1116), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1128), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
    ACTIONS(580), 10,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT,
  [28942] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 1,
      anon_sym_LPAREN,
    ACTIONS(1098), 1,
      anon_sym_as,
    ACTIONS(1100), 1,
      anon_sym_is,
    ACTIONS(1118), 1,
      anon_sym_CARET,
    ACTIONS(1122), 1,
      anon_sym_AMP,
    ACTIONS(1124), 1,
      anon_sym_PIPE,
    ACTIONS(1130), 1,
      anon_sym_in,
    STATE(680), 1,
      sym_arguments,
    ACTIONS(1114), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1120), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1126), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1116), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1128), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
    ACTIONS(580), 9,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT,
  [29004] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 1,
      anon_sym_LPAREN,
    ACTIONS(1098), 1,
      anon_sym_as,
    ACTIONS(1100), 1,
      anon_sym_is,
    ACTIONS(1118), 1,
      anon_sym_CARET,
    ACTIONS(1122), 1,
      anon_sym_AMP,
    ACTIONS(1124), 1,
      anon_sym_PIPE,
    ACTIONS(1130), 1,
      anon_sym_in,
    STATE(680), 1,
      sym_arguments,
    ACTIONS(1114), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1120), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1126), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1132), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(1116), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1128), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
    ACTIONS(580), 7,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT,
  [29068] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 1,
      anon_sym_LPAREN,
    ACTIONS(1098), 1,
      anon_sym_as,
    ACTIONS(1100), 1,
      anon_sym_is,
    STATE(680), 1,
      sym_arguments,
    ACTIONS(1116), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 19,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
  [29116] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 1,
      anon_sym_LPAREN,
    ACTIONS(1098), 1,
      anon_sym_as,
    ACTIONS(1100), 1,
      anon_sym_is,
    STATE(680), 1,
      sym_arguments,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 22,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
  [29162] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 1,
      anon_sym_LPAREN,
    ACTIONS(1098), 1,
      anon_sym_as,
    ACTIONS(1100), 1,
      anon_sym_is,
    ACTIONS(1118), 1,
      anon_sym_CARET,
    ACTIONS(1122), 1,
      anon_sym_AMP,
    STATE(680), 1,
      sym_arguments,
    ACTIONS(1114), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1120), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(578), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1116), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(580), 14,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
  [29218] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 1,
      anon_sym_LPAREN,
    ACTIONS(1098), 1,
      anon_sym_as,
    ACTIONS(1100), 1,
      anon_sym_is,
    STATE(680), 1,
      sym_arguments,
    ACTIONS(1114), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1120), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1116), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 15,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
  [29270] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 1,
      anon_sym_LPAREN,
    ACTIONS(1098), 1,
      anon_sym_as,
    ACTIONS(1100), 1,
      anon_sym_is,
    STATE(680), 1,
      sym_arguments,
    ACTIONS(1114), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1116), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 17,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
  [29320] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 1,
      anon_sym_LPAREN,
    ACTIONS(1098), 1,
      anon_sym_as,
    ACTIONS(1100), 1,
      anon_sym_is,
    ACTIONS(1118), 1,
      anon_sym_CARET,
    ACTIONS(1122), 1,
      anon_sym_AMP,
    ACTIONS(1124), 1,
      anon_sym_PIPE,
    STATE(680), 1,
      sym_arguments,
    ACTIONS(578), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1114), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1120), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1116), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(580), 14,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
  [29378] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 1,
      anon_sym_LPAREN,
    STATE(680), 1,
      sym_arguments,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 24,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
  [29420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(550), 5,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(548), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [29458] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 1,
      anon_sym_LPAREN,
    ACTIONS(1098), 1,
      anon_sym_as,
    STATE(680), 1,
      sym_arguments,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 23,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT,
  [29502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(566), 5,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [29540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(590), 5,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(592), 25,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [29578] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1045), 1,
      anon_sym_as,
    ACTIONS(1047), 1,
      anon_sym_is,
    ACTIONS(1053), 1,
      anon_sym_CARET,
    STATE(689), 1,
      sym_arguments,
    ACTIONS(1051), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1043), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 14,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [29632] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1096), 1,
      anon_sym_LPAREN,
    ACTIONS(1134), 1,
      anon_sym_LBRACK,
    STATE(703), 1,
      sym_arguments,
    ACTIONS(590), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(592), 23,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
  [29676] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1045), 1,
      anon_sym_as,
    ACTIONS(1047), 1,
      anon_sym_is,
    ACTIONS(1049), 1,
      anon_sym_AMP,
    ACTIONS(1053), 1,
      anon_sym_CARET,
    ACTIONS(1083), 1,
      anon_sym_PIPE,
    STATE(689), 1,
      sym_arguments,
    ACTIONS(1051), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1136), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1043), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1138), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
    ACTIONS(580), 10,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [29736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(695), 5,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(697), 25,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [29774] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 1,
      anon_sym_LPAREN,
    ACTIONS(1098), 1,
      anon_sym_as,
    STATE(680), 1,
      sym_arguments,
    ACTIONS(604), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(606), 23,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT,
  [29818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 5,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(631), 25,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [29856] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1045), 1,
      anon_sym_as,
    ACTIONS(1047), 1,
      anon_sym_is,
    ACTIONS(1049), 1,
      anon_sym_AMP,
    ACTIONS(1053), 1,
      anon_sym_CARET,
    ACTIONS(1083), 1,
      anon_sym_PIPE,
    ACTIONS(1140), 1,
      anon_sym_in,
    STATE(689), 1,
      sym_arguments,
    ACTIONS(1051), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1136), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1043), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1138), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
    ACTIONS(580), 9,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [29918] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1142), 1,
      anon_sym_DOT,
    STATE(576), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(590), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(592), 24,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
  [29960] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1045), 1,
      anon_sym_as,
    ACTIONS(1047), 1,
      anon_sym_is,
    ACTIONS(1049), 1,
      anon_sym_AMP,
    ACTIONS(1053), 1,
      anon_sym_CARET,
    ACTIONS(1083), 1,
      anon_sym_PIPE,
    ACTIONS(1140), 1,
      anon_sym_in,
    STATE(689), 1,
      sym_arguments,
    ACTIONS(1051), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1136), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1145), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(1043), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1138), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
    ACTIONS(580), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [30024] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1092), 1,
      anon_sym_as,
    ACTIONS(1096), 1,
      anon_sym_LPAREN,
    STATE(597), 1,
      sym_arguments,
    ACTIONS(604), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(606), 23,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT,
  [30068] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1045), 1,
      anon_sym_as,
    ACTIONS(1047), 1,
      anon_sym_is,
    STATE(689), 1,
      sym_arguments,
    ACTIONS(568), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(570), 22,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [30114] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 1,
      anon_sym_DOT,
    STATE(576), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(586), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(588), 24,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
  [30156] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1092), 1,
      anon_sym_as,
    ACTIONS(1094), 1,
      anon_sym_is,
    ACTIONS(1096), 1,
      anon_sym_LPAREN,
    ACTIONS(1110), 1,
      anon_sym_CARET,
    STATE(597), 1,
      sym_arguments,
    ACTIONS(1102), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1112), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1104), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 14,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
  [30210] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1092), 1,
      anon_sym_as,
    ACTIONS(1094), 1,
      anon_sym_is,
    ACTIONS(1096), 1,
      anon_sym_LPAREN,
    ACTIONS(1106), 1,
      anon_sym_AMP,
    ACTIONS(1108), 1,
      anon_sym_PIPE,
    ACTIONS(1110), 1,
      anon_sym_CARET,
    STATE(597), 1,
      sym_arguments,
    ACTIONS(1102), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1112), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1149), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1104), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1151), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
    ACTIONS(580), 10,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT,
  [30270] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1092), 1,
      anon_sym_as,
    ACTIONS(1094), 1,
      anon_sym_is,
    ACTIONS(1096), 1,
      anon_sym_LPAREN,
    ACTIONS(1106), 1,
      anon_sym_AMP,
    ACTIONS(1108), 1,
      anon_sym_PIPE,
    ACTIONS(1110), 1,
      anon_sym_CARET,
    ACTIONS(1153), 1,
      anon_sym_in,
    STATE(597), 1,
      sym_arguments,
    ACTIONS(1102), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1112), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1149), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1104), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1151), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
    ACTIONS(580), 9,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT,
  [30332] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1092), 1,
      anon_sym_as,
    ACTIONS(1094), 1,
      anon_sym_is,
    ACTIONS(1096), 1,
      anon_sym_LPAREN,
    ACTIONS(1106), 1,
      anon_sym_AMP,
    ACTIONS(1108), 1,
      anon_sym_PIPE,
    ACTIONS(1110), 1,
      anon_sym_CARET,
    ACTIONS(1153), 1,
      anon_sym_in,
    STATE(597), 1,
      sym_arguments,
    ACTIONS(1102), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1112), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1149), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1155), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(1104), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1151), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
    ACTIONS(580), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT,
  [30396] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1092), 1,
      anon_sym_as,
    ACTIONS(1094), 1,
      anon_sym_is,
    ACTIONS(1096), 1,
      anon_sym_LPAREN,
    STATE(597), 1,
      sym_arguments,
    ACTIONS(1104), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 19,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
  [30444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(641), 5,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(643), 25,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [30482] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1092), 1,
      anon_sym_as,
    ACTIONS(1094), 1,
      anon_sym_is,
    ACTIONS(1096), 1,
      anon_sym_LPAREN,
    STATE(597), 1,
      sym_arguments,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 22,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
  [30528] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1092), 1,
      anon_sym_as,
    ACTIONS(1094), 1,
      anon_sym_is,
    ACTIONS(1096), 1,
      anon_sym_LPAREN,
    ACTIONS(1106), 1,
      anon_sym_AMP,
    ACTIONS(1110), 1,
      anon_sym_CARET,
    STATE(597), 1,
      sym_arguments,
    ACTIONS(1102), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1112), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(578), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1104), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(580), 14,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
  [30584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(562), 5,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(560), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [30622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(695), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(697), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [30659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(657), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(659), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [30696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(663), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [30733] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 1,
      anon_sym_as,
    ACTIONS(1159), 1,
      anon_sym_is,
    ACTIONS(1161), 1,
      anon_sym_LPAREN,
    STATE(724), 1,
      sym_arguments,
    ACTIONS(568), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(570), 21,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [30778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [30815] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1092), 1,
      anon_sym_as,
    ACTIONS(1094), 1,
      anon_sym_is,
    ACTIONS(1096), 1,
      anon_sym_LPAREN,
    ACTIONS(1106), 1,
      anon_sym_AMP,
    ACTIONS(1108), 1,
      anon_sym_PIPE,
    ACTIONS(1110), 1,
      anon_sym_CARET,
    ACTIONS(1153), 1,
      anon_sym_in,
    ACTIONS(1163), 1,
      anon_sym_LBRACK,
    STATE(597), 1,
      sym_arguments,
    ACTIONS(1102), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1112), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1149), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1155), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(1165), 2,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
    ACTIONS(621), 3,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_RBRACK,
    ACTIONS(1104), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1151), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [30882] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_as,
    ACTIONS(1169), 1,
      anon_sym_is,
    ACTIONS(1171), 1,
      anon_sym_LPAREN,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(568), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(570), 21,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
  [30927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(635), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [30964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(691), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(693), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [31001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(645), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(647), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [31038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(566), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [31075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(683), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [31112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(687), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [31149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [31186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(701), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [31223] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_as,
    ACTIONS(1169), 1,
      anon_sym_is,
    ACTIONS(1171), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_CARET,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(1173), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1179), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 13,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
  [31276] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_as,
    ACTIONS(1169), 1,
      anon_sym_is,
    ACTIONS(1171), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_CARET,
    ACTIONS(1181), 1,
      anon_sym_AMP,
    ACTIONS(1183), 1,
      anon_sym_PIPE,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(1173), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1179), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1185), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1187), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
    ACTIONS(580), 9,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT,
  [31335] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_as,
    ACTIONS(1169), 1,
      anon_sym_is,
    ACTIONS(1171), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_CARET,
    ACTIONS(1181), 1,
      anon_sym_AMP,
    ACTIONS(1183), 1,
      anon_sym_PIPE,
    ACTIONS(1189), 1,
      anon_sym_in,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(1173), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1179), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1185), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1187), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
    ACTIONS(580), 8,
      anon_sym_if,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT,
  [31396] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_as,
    ACTIONS(1169), 1,
      anon_sym_is,
    ACTIONS(1171), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_CARET,
    ACTIONS(1181), 1,
      anon_sym_AMP,
    ACTIONS(1183), 1,
      anon_sym_PIPE,
    ACTIONS(1189), 1,
      anon_sym_in,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(1173), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1179), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1185), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1191), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(1175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1187), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
    ACTIONS(580), 6,
      anon_sym_if,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT,
  [31459] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_as,
    ACTIONS(1169), 1,
      anon_sym_is,
    ACTIONS(1171), 1,
      anon_sym_LPAREN,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(1175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 18,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
  [31506] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_as,
    ACTIONS(1169), 1,
      anon_sym_is,
    ACTIONS(1171), 1,
      anon_sym_LPAREN,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 21,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
  [31551] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_as,
    ACTIONS(1169), 1,
      anon_sym_is,
    ACTIONS(1171), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_CARET,
    ACTIONS(1181), 1,
      anon_sym_AMP,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(1173), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1179), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(578), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(580), 13,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
  [31606] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_as,
    ACTIONS(1169), 1,
      anon_sym_is,
    ACTIONS(1171), 1,
      anon_sym_LPAREN,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(1173), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1179), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 14,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
  [31657] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_as,
    ACTIONS(1169), 1,
      anon_sym_is,
    ACTIONS(1171), 1,
      anon_sym_LPAREN,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(1173), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 16,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
  [31706] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_as,
    ACTIONS(1169), 1,
      anon_sym_is,
    ACTIONS(1171), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_CARET,
    ACTIONS(1181), 1,
      anon_sym_AMP,
    ACTIONS(1183), 1,
      anon_sym_PIPE,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(578), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1173), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1179), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(580), 13,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
  [31763] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      anon_sym_LPAREN,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 23,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
  [31804] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_as,
    ACTIONS(1171), 1,
      anon_sym_LPAREN,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 22,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT,
  [31847] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      anon_sym_LPAREN,
    ACTIONS(1193), 1,
      anon_sym_LBRACK,
    STATE(736), 1,
      sym_arguments,
    ACTIONS(590), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(592), 22,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
  [31890] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 1,
      anon_sym_DOT,
    STATE(618), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(590), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(592), 23,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
  [31931] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_as,
    ACTIONS(1171), 1,
      anon_sym_LPAREN,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(604), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(606), 22,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT,
  [31974] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 1,
      anon_sym_DOT,
    ACTIONS(649), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 24,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
  [32013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [32050] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 1,
      anon_sym_CARET,
    ACTIONS(1065), 1,
      anon_sym_as,
    ACTIONS(1067), 1,
      anon_sym_is,
    ACTIONS(1069), 1,
      anon_sym_LPAREN,
    ACTIONS(1071), 1,
      anon_sym_AMP,
    ACTIONS(1073), 1,
      anon_sym_PIPE,
    ACTIONS(1079), 1,
      anon_sym_in,
    ACTIONS(1198), 1,
      anon_sym_LBRACK,
    STATE(636), 1,
      sym_arguments,
    ACTIONS(1057), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1081), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(1200), 2,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
    ACTIONS(621), 3,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_RBRACE,
    ACTIONS(1059), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1077), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [32117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(691), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(693), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [32154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(705), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [32191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(665), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(667), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [32228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(673), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(675), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [32265] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 1,
      anon_sym_as,
    ACTIONS(1159), 1,
      anon_sym_is,
    ACTIONS(1161), 1,
      anon_sym_LPAREN,
    ACTIONS(1206), 1,
      anon_sym_CARET,
    STATE(724), 1,
      sym_arguments,
    ACTIONS(1202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1204), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 13,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [32318] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 1,
      anon_sym_as,
    ACTIONS(1159), 1,
      anon_sym_is,
    ACTIONS(1161), 1,
      anon_sym_LPAREN,
    ACTIONS(1206), 1,
      anon_sym_CARET,
    ACTIONS(1210), 1,
      anon_sym_AMP,
    ACTIONS(1212), 1,
      anon_sym_PIPE,
    STATE(724), 1,
      sym_arguments,
    ACTIONS(1202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1214), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1204), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1216), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
    ACTIONS(580), 9,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [32377] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 1,
      anon_sym_as,
    ACTIONS(1159), 1,
      anon_sym_is,
    ACTIONS(1161), 1,
      anon_sym_LPAREN,
    ACTIONS(1206), 1,
      anon_sym_CARET,
    ACTIONS(1210), 1,
      anon_sym_AMP,
    ACTIONS(1212), 1,
      anon_sym_PIPE,
    ACTIONS(1218), 1,
      anon_sym_in,
    STATE(724), 1,
      sym_arguments,
    ACTIONS(1202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1214), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1204), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1216), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
    ACTIONS(580), 8,
      anon_sym_if,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [32438] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 1,
      anon_sym_as,
    ACTIONS(1159), 1,
      anon_sym_is,
    ACTIONS(1161), 1,
      anon_sym_LPAREN,
    ACTIONS(1206), 1,
      anon_sym_CARET,
    ACTIONS(1210), 1,
      anon_sym_AMP,
    ACTIONS(1212), 1,
      anon_sym_PIPE,
    ACTIONS(1218), 1,
      anon_sym_in,
    STATE(724), 1,
      sym_arguments,
    ACTIONS(1202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1214), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1220), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(1204), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1216), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
    ACTIONS(580), 6,
      anon_sym_if,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [32501] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 1,
      anon_sym_as,
    ACTIONS(1159), 1,
      anon_sym_is,
    ACTIONS(1161), 1,
      anon_sym_LPAREN,
    STATE(724), 1,
      sym_arguments,
    ACTIONS(1204), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 18,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [32548] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 1,
      anon_sym_as,
    ACTIONS(1159), 1,
      anon_sym_is,
    ACTIONS(1161), 1,
      anon_sym_LPAREN,
    STATE(724), 1,
      sym_arguments,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 21,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [32593] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 1,
      anon_sym_as,
    ACTIONS(1159), 1,
      anon_sym_is,
    ACTIONS(1161), 1,
      anon_sym_LPAREN,
    ACTIONS(1206), 1,
      anon_sym_CARET,
    ACTIONS(1210), 1,
      anon_sym_AMP,
    STATE(724), 1,
      sym_arguments,
    ACTIONS(1202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(578), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1204), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(580), 13,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [32648] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 1,
      anon_sym_as,
    ACTIONS(1159), 1,
      anon_sym_is,
    ACTIONS(1161), 1,
      anon_sym_LPAREN,
    STATE(724), 1,
      sym_arguments,
    ACTIONS(1202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1204), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 14,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [32699] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 1,
      anon_sym_as,
    ACTIONS(1159), 1,
      anon_sym_is,
    ACTIONS(1161), 1,
      anon_sym_LPAREN,
    STATE(724), 1,
      sym_arguments,
    ACTIONS(1202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1204), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 16,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [32748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(635), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [32785] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 1,
      anon_sym_as,
    ACTIONS(1159), 1,
      anon_sym_is,
    ACTIONS(1161), 1,
      anon_sym_LPAREN,
    ACTIONS(1206), 1,
      anon_sym_CARET,
    ACTIONS(1210), 1,
      anon_sym_AMP,
    ACTIONS(1212), 1,
      anon_sym_PIPE,
    STATE(724), 1,
      sym_arguments,
    ACTIONS(578), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1204), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(580), 13,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [32842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(645), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(647), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [32879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(566), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [32916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(683), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [32953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(687), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [32990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [33027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(701), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [33064] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1161), 1,
      anon_sym_LPAREN,
    STATE(724), 1,
      sym_arguments,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 23,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [33105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(705), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [33142] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 1,
      anon_sym_as,
    ACTIONS(1161), 1,
      anon_sym_LPAREN,
    STATE(724), 1,
      sym_arguments,
    ACTIONS(578), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(580), 22,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [33185] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1161), 1,
      anon_sym_LPAREN,
    ACTIONS(1222), 1,
      anon_sym_LBRACK,
    STATE(747), 1,
      sym_arguments,
    ACTIONS(590), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(592), 22,
      anon_sym_if,
      anon_sym_in,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [33228] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1224), 1,
      anon_sym_DOT,
    STATE(648), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(590), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(592), 23,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [33269] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 1,
      anon_sym_as,
    ACTIONS(1161), 1,
      anon_sym_LPAREN,
    STATE(724), 1,
      sym_arguments,
    ACTIONS(604), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(606), 22,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [33312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(590), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(592), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [33349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(554), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(552), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [33386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(639), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [33423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(655), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [33460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(655), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [33497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(558), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(556), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [33534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(657), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(659), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [33571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(663), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [33608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(562), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(560), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [33645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(641), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(643), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [33682] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(648), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(586), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(588), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [33721] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_DOT,
    STATE(618), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(586), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(588), 23,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
  [33762] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 1,
      anon_sym_DOT,
    ACTIONS(649), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 24,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [33801] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(618), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(586), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(588), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [33840] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 1,
      anon_sym_DOT,
    ACTIONS(649), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 24,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
  [33879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 25,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [33916] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 1,
      anon_sym_LPAREN,
    ACTIONS(1098), 1,
      anon_sym_as,
    ACTIONS(1100), 1,
      anon_sym_is,
    ACTIONS(1118), 1,
      anon_sym_CARET,
    ACTIONS(1122), 1,
      anon_sym_AMP,
    ACTIONS(1124), 1,
      anon_sym_PIPE,
    ACTIONS(1130), 1,
      anon_sym_in,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    STATE(680), 1,
      sym_arguments,
    ACTIONS(1114), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1120), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1126), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1132), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(1231), 2,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
    ACTIONS(621), 3,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
    ACTIONS(1116), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1128), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [33983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(691), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(693), 25,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [34020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(705), 25,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [34057] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 1,
      anon_sym_DOT,
    ACTIONS(1023), 1,
      anon_sym_EQ,
    ACTIONS(1021), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(649), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 21,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
  [34100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(665), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(667), 25,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [34137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(673), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(675), 25,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [34174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34211] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1045), 1,
      anon_sym_as,
    ACTIONS(1047), 1,
      anon_sym_is,
    ACTIONS(1049), 1,
      anon_sym_AMP,
    ACTIONS(1053), 1,
      anon_sym_CARET,
    ACTIONS(1083), 1,
      anon_sym_PIPE,
    ACTIONS(1140), 1,
      anon_sym_in,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    STATE(689), 1,
      sym_arguments,
    ACTIONS(1051), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1055), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1136), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1145), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(1235), 2,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
    ACTIONS(621), 3,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_RPAREN,
    ACTIONS(1043), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1138), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [34278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(691), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(693), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(705), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(665), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(667), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(673), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(675), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(665), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(667), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [34463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(673), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(675), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [34500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(635), 25,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [34537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(645), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(647), 25,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [34574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(683), 25,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [34611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(687), 25,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [34648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 25,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [34685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(701), 25,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [34722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(590), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(592), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [34759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(550), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(548), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [34796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(554), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(552), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [34833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(635), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34870] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 1,
      anon_sym_DOT,
    STATE(648), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(586), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(588), 23,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(645), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(647), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(683), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(687), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(701), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(639), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [35133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(655), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [35170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(639), 25,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [35207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(655), 25,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [35244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(695), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(697), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [35281] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 1,
      anon_sym_DOT,
    ACTIONS(1239), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
    ACTIONS(649), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 21,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
  [35322] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 1,
      anon_sym_DOT,
    ACTIONS(649), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 24,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
  [35361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(631), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [35398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(558), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(556), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [35435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(657), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(659), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [35472] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 1,
      anon_sym_DOT,
    ACTIONS(1241), 1,
      anon_sym_EQ,
    ACTIONS(649), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 23,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
  [35513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(657), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(659), 25,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [35550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(663), 25,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [35587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(663), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [35624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(562), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(560), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [35661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(641), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(643), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [35698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(639), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(631), 25,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [35772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(645), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(647), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [35808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(641), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(643), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(701), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(665), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(667), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35952] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_as,
    ACTIONS(1169), 1,
      anon_sym_is,
    ACTIONS(1171), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_CARET,
    ACTIONS(1181), 1,
      anon_sym_AMP,
    ACTIONS(1183), 1,
      anon_sym_PIPE,
    ACTIONS(1189), 1,
      anon_sym_in,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(621), 2,
      anon_sym_if,
      anon_sym_RBRACK,
    ACTIONS(1173), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1179), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1185), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1191), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(1245), 2,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
    ACTIONS(1175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1187), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [36018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(691), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(693), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [36054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(705), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [36090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(665), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(667), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [36126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(673), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(675), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [36162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(635), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36198] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 1,
      anon_sym_DOT,
    ACTIONS(1021), 1,
      anon_sym_COLON,
    ACTIONS(1023), 1,
      anon_sym_EQ,
    ACTIONS(649), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 21,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
  [36240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(635), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [36276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(645), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(647), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36312] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 1,
      anon_sym_EQ,
    ACTIONS(1021), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(649), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 21,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
  [36352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(590), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(592), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [36388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(566), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [36424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(554), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(552), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [36460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(639), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [36496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(655), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [36532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(695), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(697), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [36568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(683), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [36604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(631), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [36640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(558), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(556), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [36676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(657), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(659), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [36712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(663), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [36748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(590), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(592), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(562), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(560), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [36820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(705), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(639), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(655), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(695), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(697), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(641), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(643), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [37000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(631), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(558), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(556), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(550), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(548), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [37108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(657), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(659), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(687), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [37180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(566), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(564), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(663), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(679), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [37288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(701), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [37324] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 1,
      anon_sym_DOT,
    ACTIONS(649), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 23,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
  [37362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(673), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(675), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
  [37434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(562), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(560), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37470] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 1,
      anon_sym_DOT,
    ACTIONS(1247), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(649), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 21,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
  [37510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(683), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(550), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(548), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37582] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 1,
      anon_sym_DOT,
    ACTIONS(649), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 23,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37656] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 1,
      anon_sym_as,
    ACTIONS(1159), 1,
      anon_sym_is,
    ACTIONS(1161), 1,
      anon_sym_LPAREN,
    ACTIONS(1206), 1,
      anon_sym_CARET,
    ACTIONS(1210), 1,
      anon_sym_AMP,
    ACTIONS(1212), 1,
      anon_sym_PIPE,
    ACTIONS(1218), 1,
      anon_sym_in,
    ACTIONS(1249), 1,
      anon_sym_LBRACK,
    STATE(724), 1,
      sym_arguments,
    ACTIONS(621), 2,
      anon_sym_if,
      anon_sym_RPAREN,
    ACTIONS(1202), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1214), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1220), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(1251), 2,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
    ACTIONS(1204), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1216), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [37722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(687), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(691), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(693), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(554), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(552), 24,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37830] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_as,
    ACTIONS(1169), 1,
      anon_sym_is,
    ACTIONS(1171), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_CARET,
    ACTIONS(1181), 1,
      anon_sym_AMP,
    ACTIONS(1183), 1,
      anon_sym_PIPE,
    ACTIONS(1189), 1,
      anon_sym_in,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1253), 1,
      anon_sym_RBRACK,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(1173), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1179), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1185), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1191), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(1245), 2,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
    ACTIONS(1175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1187), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [37895] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_as,
    ACTIONS(1169), 1,
      anon_sym_is,
    ACTIONS(1171), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_CARET,
    ACTIONS(1181), 1,
      anon_sym_AMP,
    ACTIONS(1183), 1,
      anon_sym_PIPE,
    ACTIONS(1189), 1,
      anon_sym_in,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_RBRACK,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(1173), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1179), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1185), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1191), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(1245), 2,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
    ACTIONS(1175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1187), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [37960] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_as,
    ACTIONS(1169), 1,
      anon_sym_is,
    ACTIONS(1171), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_CARET,
    ACTIONS(1181), 1,
      anon_sym_AMP,
    ACTIONS(1183), 1,
      anon_sym_PIPE,
    ACTIONS(1189), 1,
      anon_sym_in,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1257), 1,
      anon_sym_RBRACK,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(1173), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1179), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1185), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1191), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(1245), 2,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
    ACTIONS(1175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1187), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [38025] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 1,
      anon_sym_DOT,
    ACTIONS(1239), 1,
      anon_sym_COLON,
    ACTIONS(649), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 21,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
  [38064] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_as,
    ACTIONS(1169), 1,
      anon_sym_is,
    ACTIONS(1171), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_CARET,
    ACTIONS(1181), 1,
      anon_sym_AMP,
    ACTIONS(1183), 1,
      anon_sym_PIPE,
    ACTIONS(1189), 1,
      anon_sym_in,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1259), 1,
      anon_sym_RBRACK,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(1173), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1179), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1185), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1191), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(1245), 2,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
    ACTIONS(1175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1187), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [38129] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_as,
    ACTIONS(1169), 1,
      anon_sym_is,
    ACTIONS(1171), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_CARET,
    ACTIONS(1181), 1,
      anon_sym_AMP,
    ACTIONS(1183), 1,
      anon_sym_PIPE,
    ACTIONS(1189), 1,
      anon_sym_in,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1261), 1,
      anon_sym_RBRACK,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(1173), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1179), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1185), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1191), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(1245), 2,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
    ACTIONS(1175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1187), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [38194] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(649), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 21,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
  [38231] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 1,
      anon_sym_COLON,
    ACTIONS(1023), 1,
      anon_sym_EQ,
    ACTIONS(649), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 21,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
  [38270] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_as,
    ACTIONS(1169), 1,
      anon_sym_is,
    ACTIONS(1171), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_CARET,
    ACTIONS(1181), 1,
      anon_sym_AMP,
    ACTIONS(1183), 1,
      anon_sym_PIPE,
    ACTIONS(1189), 1,
      anon_sym_in,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1263), 1,
      anon_sym_RBRACK,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(1173), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1179), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1185), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1191), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(1245), 2,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
    ACTIONS(1175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1187), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [38335] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_as,
    ACTIONS(1169), 1,
      anon_sym_is,
    ACTIONS(1171), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_CARET,
    ACTIONS(1181), 1,
      anon_sym_AMP,
    ACTIONS(1183), 1,
      anon_sym_PIPE,
    ACTIONS(1189), 1,
      anon_sym_in,
    ACTIONS(1243), 1,
      anon_sym_LBRACK,
    ACTIONS(1265), 1,
      anon_sym_RBRACK,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(1173), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1179), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1185), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1191), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(1245), 2,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
    ACTIONS(1175), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1187), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [38400] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(625), 1,
      anon_sym_LBRACK,
    ACTIONS(1034), 1,
      anon_sym_LPAREN,
    ACTIONS(1098), 1,
      anon_sym_as,
    ACTIONS(1100), 1,
      anon_sym_is,
    ACTIONS(1118), 1,
      anon_sym_CARET,
    ACTIONS(1122), 1,
      anon_sym_AMP,
    ACTIONS(1124), 1,
      anon_sym_PIPE,
    ACTIONS(1130), 1,
      anon_sym_in,
    STATE(680), 1,
      sym_arguments,
    ACTIONS(1114), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1120), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1126), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1132), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(1231), 2,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
    ACTIONS(1116), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1128), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [38462] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 1,
      anon_sym_DOT,
    ACTIONS(1021), 1,
      anon_sym_in,
    ACTIONS(649), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 20,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
  [38500] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 1,
      anon_sym_LPAREN,
    ACTIONS(1098), 1,
      anon_sym_as,
    ACTIONS(1100), 1,
      anon_sym_is,
    ACTIONS(1118), 1,
      anon_sym_CARET,
    ACTIONS(1122), 1,
      anon_sym_AMP,
    ACTIONS(1124), 1,
      anon_sym_PIPE,
    ACTIONS(1130), 1,
      anon_sym_in,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    STATE(680), 1,
      sym_arguments,
    ACTIONS(1114), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1120), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1126), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1132), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(1231), 2,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
    ACTIONS(1116), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1128), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [38562] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 1,
      anon_sym_CARET,
    ACTIONS(1065), 1,
      anon_sym_as,
    ACTIONS(1067), 1,
      anon_sym_is,
    ACTIONS(1069), 1,
      anon_sym_LPAREN,
    ACTIONS(1071), 1,
      anon_sym_AMP,
    ACTIONS(1073), 1,
      anon_sym_PIPE,
    ACTIONS(1079), 1,
      anon_sym_in,
    ACTIONS(1198), 1,
      anon_sym_LBRACK,
    STATE(636), 1,
      sym_arguments,
    ACTIONS(1057), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1063), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1081), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(1200), 2,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
    ACTIONS(1059), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1077), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [38624] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 1,
      anon_sym_LPAREN,
    ACTIONS(1098), 1,
      anon_sym_as,
    ACTIONS(1100), 1,
      anon_sym_is,
    ACTIONS(1118), 1,
      anon_sym_CARET,
    ACTIONS(1122), 1,
      anon_sym_AMP,
    ACTIONS(1124), 1,
      anon_sym_PIPE,
    ACTIONS(1130), 1,
      anon_sym_in,
    ACTIONS(1229), 1,
      anon_sym_LBRACK,
    STATE(680), 1,
      sym_arguments,
    ACTIONS(1114), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1120), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1126), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1132), 2,
      anon_sym_and,
      anon_sym_AMP_AMP,
    ACTIONS(1231), 2,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
    ACTIONS(1116), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1128), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
  [38686] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 1,
      anon_sym_in,
    ACTIONS(649), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 20,
      anon_sym_LBRACK,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_as,
      anon_sym_is,
      anon_sym_LPAREN,
  [38721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1267), 9,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
    ACTIONS(1269), 12,
      sym__string_start,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
  [38750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1271), 9,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_integer,
      anon_sym_not,
      anon_sym_DOT,
      anon_sym_await,
      anon_sym_func,
    ACTIONS(1273), 12,
      sym__string_start,
      sym_float,
      anon_sym_AMP,
      sym_node_path,
      sym_get_node,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_LPAREN,
  [38779] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1275), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      sym_float,
    ACTIONS(1281), 1,
      anon_sym_var,
    ACTIONS(1283), 1,
      anon_sym_LBRACE,
    ACTIONS(1285), 1,
      anon_sym_LBRACK,
    ACTIONS(1287), 1,
      sym__dedent,
    ACTIONS(1289), 1,
      sym__string_start,
    STATE(878), 1,
      sym__pattern,
    STATE(788), 2,
      sym_pattern_section,
      aux_sym_match_body_repeat1,
    ACTIONS(1277), 5,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_integer,
    STATE(1042), 5,
      sym_identifier,
      sym_string,
      sym_pattern_binding,
      sym_pattern_array,
      sym_pattern_dictionary,
  [38825] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1291), 1,
      sym__identifier,
    ACTIONS(1297), 1,
      sym_float,
    ACTIONS(1300), 1,
      anon_sym_var,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1309), 1,
      sym__dedent,
    ACTIONS(1311), 1,
      sym__string_start,
    STATE(878), 1,
      sym__pattern,
    STATE(788), 2,
      sym_pattern_section,
      aux_sym_match_body_repeat1,
    ACTIONS(1294), 5,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_integer,
    STATE(1042), 5,
      sym_identifier,
      sym_string,
      sym_pattern_binding,
      sym_pattern_array,
      sym_pattern_dictionary,
  [38871] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1275), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      sym_float,
    ACTIONS(1281), 1,
      anon_sym_var,
    ACTIONS(1283), 1,
      anon_sym_LBRACE,
    ACTIONS(1285), 1,
      anon_sym_LBRACK,
    ACTIONS(1289), 1,
      sym__string_start,
    ACTIONS(1314), 1,
      sym__dedent,
    STATE(878), 1,
      sym__pattern,
    STATE(788), 2,
      sym_pattern_section,
      aux_sym_match_body_repeat1,
    ACTIONS(1277), 5,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_integer,
    STATE(1042), 5,
      sym_identifier,
      sym_string,
      sym_pattern_binding,
      sym_pattern_array,
      sym_pattern_dictionary,
  [38917] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1275), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      sym_float,
    ACTIONS(1281), 1,
      anon_sym_var,
    ACTIONS(1283), 1,
      anon_sym_LBRACE,
    ACTIONS(1285), 1,
      anon_sym_LBRACK,
    ACTIONS(1289), 1,
      sym__string_start,
    STATE(878), 1,
      sym__pattern,
    STATE(789), 2,
      sym_pattern_section,
      aux_sym_match_body_repeat1,
    ACTIONS(1277), 5,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_integer,
    STATE(1042), 5,
      sym_identifier,
      sym_string,
      sym_pattern_binding,
      sym_pattern_array,
      sym_pattern_dictionary,
  [38960] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(801), 1,
      sym__string_start,
    ACTIONS(1318), 1,
      sym_float,
    ACTIONS(1320), 1,
      anon_sym_var,
    ACTIONS(1322), 1,
      anon_sym_LBRACE,
    ACTIONS(1324), 1,
      sym_pattern_open_ending,
    ACTIONS(1326), 1,
      anon_sym_LBRACK,
    ACTIONS(1328), 1,
      anon_sym_RBRACK,
    STATE(1115), 1,
      sym__pattern,
    ACTIONS(1316), 5,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_integer,
    STATE(1211), 5,
      sym_identifier,
      sym_string,
      sym_pattern_binding,
      sym_pattern_array,
      sym_pattern_dictionary,
  [39005] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(801), 1,
      sym__string_start,
    ACTIONS(1318), 1,
      sym_float,
    ACTIONS(1320), 1,
      anon_sym_var,
    ACTIONS(1322), 1,
      anon_sym_LBRACE,
    ACTIONS(1326), 1,
      anon_sym_LBRACK,
    ACTIONS(1330), 1,
      sym_pattern_open_ending,
    ACTIONS(1332), 1,
      anon_sym_RBRACK,
    STATE(1044), 1,
      sym__pattern,
    ACTIONS(1316), 5,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_integer,
    STATE(1211), 5,
      sym_identifier,
      sym_string,
      sym_pattern_binding,
      sym_pattern_array,
      sym_pattern_dictionary,
  [39050] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1275), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      sym_float,
    ACTIONS(1281), 1,
      anon_sym_var,
    ACTIONS(1283), 1,
      anon_sym_LBRACE,
    ACTIONS(1285), 1,
      anon_sym_LBRACK,
    ACTIONS(1289), 1,
      sym__string_start,
    STATE(878), 1,
      sym__pattern,
    STATE(787), 2,
      sym_pattern_section,
      aux_sym_match_body_repeat1,
    ACTIONS(1277), 5,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_integer,
    STATE(1042), 5,
      sym_identifier,
      sym_string,
      sym_pattern_binding,
      sym_pattern_array,
      sym_pattern_dictionary,
  [39093] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(801), 1,
      sym__string_start,
    ACTIONS(1318), 1,
      sym_float,
    ACTIONS(1320), 1,
      anon_sym_var,
    ACTIONS(1322), 1,
      anon_sym_LBRACE,
    ACTIONS(1326), 1,
      anon_sym_LBRACK,
    ACTIONS(1334), 1,
      sym_pattern_open_ending,
    ACTIONS(1336), 1,
      anon_sym_RBRACK,
    STATE(1028), 1,
      sym__pattern,
    ACTIONS(1316), 5,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_integer,
    STATE(1211), 5,
      sym_identifier,
      sym_string,
      sym_pattern_binding,
      sym_pattern_array,
      sym_pattern_dictionary,
  [39138] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym__identifier,
    ACTIONS(801), 1,
      sym__string_start,
    ACTIONS(1318), 1,
      sym_float,
    ACTIONS(1320), 1,
      anon_sym_var,
    ACTIONS(1322), 1,
      anon_sym_LBRACE,
    ACTIONS(1326), 1,
      anon_sym_LBRACK,
    ACTIONS(1338), 1,
      sym_pattern_open_ending,
    STATE(1220), 1,
      sym__pattern,
    ACTIONS(1316), 5,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_integer,
    STATE(1211), 5,
      sym_identifier,
      sym_string,
      sym_pattern_binding,
      sym_pattern_array,
      sym_pattern_dictionary,
  [39180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(621), 17,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39203] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 1,
      anon_sym_LPAREN,
    ACTIONS(1340), 1,
      sym_static_keyword,
    ACTIONS(1344), 1,
      anon_sym_AT,
    ACTIONS(1346), 1,
      anon_sym_var,
    ACTIONS(1348), 1,
      anon_sym_onready,
    STATE(802), 1,
      sym_arguments,
    STATE(840), 1,
      sym_remote_keyword,
    STATE(1151), 1,
      sym__variable_statement,
    STATE(1322), 1,
      sym_annotations,
    STATE(857), 2,
      sym_annotation,
      aux_sym__annotations,
    ACTIONS(13), 3,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
    ACTIONS(1342), 3,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
  [39248] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1275), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      sym_float,
    ACTIONS(1281), 1,
      anon_sym_var,
    ACTIONS(1283), 1,
      anon_sym_LBRACE,
    ACTIONS(1285), 1,
      anon_sym_LBRACK,
    ACTIONS(1289), 1,
      sym__string_start,
    STATE(964), 1,
      sym__pattern,
    ACTIONS(1277), 5,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_integer,
    STATE(1042), 5,
      sym_identifier,
      sym_string,
      sym_pattern_binding,
      sym_pattern_array,
      sym_pattern_dictionary,
  [39287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1352), 1,
      anon_sym_if,
    ACTIONS(1350), 16,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_setget,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39312] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      sym__identifier,
    ACTIONS(973), 1,
      sym__string_start,
    ACTIONS(1356), 1,
      sym_float,
    ACTIONS(1358), 1,
      anon_sym_var,
    ACTIONS(1360), 1,
      anon_sym_LBRACE,
    ACTIONS(1362), 1,
      anon_sym_LBRACK,
    STATE(1219), 1,
      sym__pattern,
    ACTIONS(1354), 5,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_integer,
    STATE(1162), 5,
      sym_identifier,
      sym_string,
      sym_pattern_binding,
      sym_pattern_array,
      sym_pattern_dictionary,
  [39351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 17,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_setget,
      anon_sym_if,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39374] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1340), 1,
      sym_static_keyword,
    ACTIONS(1344), 1,
      anon_sym_AT,
    ACTIONS(1346), 1,
      anon_sym_var,
    ACTIONS(1366), 1,
      anon_sym_onready,
    STATE(852), 1,
      sym_remote_keyword,
    STATE(1096), 1,
      sym__variable_statement,
    STATE(1322), 1,
      sym_annotations,
    STATE(857), 2,
      sym_annotation,
      aux_sym__annotations,
    ACTIONS(13), 3,
      anon_sym_remote,
      anon_sym_master,
      anon_sym_puppet,
    ACTIONS(1342), 3,
      anon_sym_remotesync,
      anon_sym_mastersync,
      anon_sym_puppetsync,
  [39413] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1352), 1,
      anon_sym_if,
    ACTIONS(1370), 1,
      anon_sym_EQ,
    ACTIONS(1368), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
    ACTIONS(1372), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39440] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1378), 1,
      anon_sym_COLON,
    ACTIONS(1380), 1,
      anon_sym_EQ,
    ACTIONS(1382), 1,
      anon_sym_setget,
    STATE(330), 1,
      sym_inferred_type,
    STATE(835), 1,
      sym__variable_typed_definition,
    STATE(837), 1,
      sym__variable_assignment,
    STATE(844), 1,
      sym__variable_inferred_type_assignment,
    STATE(874), 1,
      sym__variable_typed_assignment,
    STATE(1059), 1,
      sym_setget,
    STATE(1074), 1,
      sym__setget_body,
    ACTIONS(1374), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [39482] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1378), 1,
      anon_sym_COLON,
    ACTIONS(1380), 1,
      anon_sym_EQ,
    ACTIONS(1382), 1,
      anon_sym_setget,
    STATE(330), 1,
      sym_inferred_type,
    STATE(833), 1,
      sym__variable_inferred_type_assignment,
    STATE(836), 1,
      sym__variable_assignment,
    STATE(846), 1,
      sym__variable_typed_definition,
    STATE(874), 1,
      sym__variable_typed_assignment,
    STATE(1074), 1,
      sym__setget_body,
    STATE(1076), 1,
      sym_setget,
    ACTIONS(1384), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [39524] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1378), 1,
      anon_sym_COLON,
    ACTIONS(1380), 1,
      anon_sym_EQ,
    ACTIONS(1382), 1,
      anon_sym_setget,
    STATE(330), 1,
      sym_inferred_type,
    STATE(845), 1,
      sym__variable_inferred_type_assignment,
    STATE(847), 1,
      sym__variable_assignment,
    STATE(850), 1,
      sym__variable_typed_definition,
    STATE(874), 1,
      sym__variable_typed_assignment,
    STATE(1067), 1,
      sym_setget,
    STATE(1074), 1,
      sym__setget_body,
    ACTIONS(1386), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [39566] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1378), 1,
      anon_sym_COLON,
    ACTIONS(1380), 1,
      anon_sym_EQ,
    ACTIONS(1382), 1,
      anon_sym_setget,
    STATE(330), 1,
      sym_inferred_type,
    STATE(839), 1,
      sym__variable_assignment,
    STATE(854), 1,
      sym__variable_typed_definition,
    STATE(856), 1,
      sym__variable_inferred_type_assignment,
    STATE(874), 1,
      sym__variable_typed_assignment,
    STATE(990), 1,
      sym_setget,
    STATE(1074), 1,
      sym__setget_body,
    ACTIONS(1388), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [39608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1392), 5,
      sym__dedent,
      sym__string_start,
      sym_float,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(1390), 7,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_integer,
      anon_sym_var,
  [39628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1396), 5,
      sym__dedent,
      sym__string_start,
      sym_float,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(1394), 7,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_integer,
      anon_sym_var,
  [39648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 5,
      sym__dedent,
      sym__string_start,
      sym_float,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(392), 7,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_integer,
      anon_sym_var,
  [39668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(406), 5,
      sym__dedent,
      sym__string_start,
      sym_float,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(404), 7,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_integer,
      anon_sym_var,
  [39688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(402), 5,
      sym__dedent,
      sym__string_start,
      sym_float,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(400), 7,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_integer,
      anon_sym_var,
  [39708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(418), 5,
      sym__dedent,
      sym__string_start,
      sym_float,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(416), 7,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_integer,
      anon_sym_var,
  [39728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 5,
      sym__dedent,
      sym__string_start,
      sym_float,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(1398), 7,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_integer,
      anon_sym_var,
  [39748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(422), 5,
      sym__dedent,
      sym__string_start,
      sym_float,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(420), 7,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_integer,
      anon_sym_var,
  [39768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(398), 5,
      sym__dedent,
      sym__string_start,
      sym_float,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(396), 7,
      sym__identifier,
      sym_true,
      sym_false,
      sym_null,
      sym_underscore,
      sym_integer,
      anon_sym_var,
  [39788] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1404), 1,
      anon_sym_SEMI,
    ACTIONS(1406), 1,
      anon_sym_AT,
    STATE(899), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(1408), 2,
      sym__newline,
      sym__body_end,
    STATE(825), 2,
      sym_annotation,
      aux_sym__annotations,
    ACTIONS(1402), 3,
      sym_static_keyword,
      anon_sym_var,
      anon_sym_func,
  [39814] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_AT,
    ACTIONS(1410), 1,
      anon_sym_SEMI,
    STATE(926), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(1412), 2,
      sym__newline,
      sym__body_end,
    STATE(825), 2,
      sym_annotation,
      aux_sym__annotations,
    ACTIONS(1402), 3,
      sym_static_keyword,
      anon_sym_var,
      anon_sym_func,
  [39840] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_AT,
    ACTIONS(1414), 1,
      anon_sym_SEMI,
    STATE(916), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(1402), 2,
      sym_static_keyword,
      anon_sym_var,
    ACTIONS(1416), 2,
      sym__newline,
      sym__body_end,
    STATE(825), 2,
      sym_annotation,
      aux_sym__annotations,
  [39865] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_AT,
    ACTIONS(1418), 1,
      anon_sym_SEMI,
    STATE(907), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(1402), 2,
      sym_static_keyword,
      anon_sym_var,
    ACTIONS(1420), 2,
      sym__newline,
      sym__body_end,
    STATE(825), 2,
      sym_annotation,
      aux_sym__annotations,
  [39890] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_AT,
    ACTIONS(1422), 1,
      anon_sym_SEMI,
    STATE(891), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(1402), 2,
      sym_static_keyword,
      anon_sym_var,
    ACTIONS(1424), 2,
      sym__newline,
      sym__body_end,
    STATE(825), 2,
      sym_annotation,
      aux_sym__annotations,
  [39915] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_AT,
    ACTIONS(1426), 1,
      anon_sym_SEMI,
    STATE(898), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(1402), 2,
      sym_static_keyword,
      anon_sym_var,
    ACTIONS(1428), 2,
      sym__newline,
      sym__body_end,
    STATE(825), 2,
      sym_annotation,
      aux_sym__annotations,
  [39940] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_AT,
    ACTIONS(1430), 1,
      anon_sym_SEMI,
    STATE(901), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(1402), 2,
      sym_static_keyword,
      anon_sym_var,
    ACTIONS(1432), 2,
      sym__newline,
      sym__body_end,
    STATE(825), 2,
      sym_annotation,
      aux_sym__annotations,
  [39965] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_AT,
    ACTIONS(1434), 1,
      anon_sym_SEMI,
    STATE(905), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(1402), 2,
      sym_static_keyword,
      anon_sym_var,
    ACTIONS(1436), 2,
      sym__newline,
      sym__body_end,
    STATE(825), 2,
      sym_annotation,
      aux_sym__annotations,
  [39990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 1,
      anon_sym_AT,
    STATE(825), 2,
      sym_annotation,
      aux_sym__annotations,
    ACTIONS(1438), 6,
      sym__newline,
      sym__body_end,
      sym_static_keyword,
      anon_sym_SEMI,
      anon_sym_var,
      anon_sym_func,
  [40009] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_AT,
    ACTIONS(1443), 1,
      anon_sym_SEMI,
    STATE(933), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(1402), 2,
      sym_static_keyword,
      anon_sym_var,
    ACTIONS(1445), 2,
      sym__newline,
      sym__body_end,
    STATE(825), 2,
      sym_annotation,
      aux_sym__annotations,
  [40034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(576), 1,
      anon_sym_LPAREN,
    STATE(838), 1,
      sym_arguments,
    ACTIONS(1447), 7,
      sym__newline,
      sym__body_end,
      sym_static_keyword,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_func,
  [40053] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_AT,
    ACTIONS(1449), 1,
      anon_sym_SEMI,
    STATE(938), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(1402), 2,
      sym_static_keyword,
      anon_sym_var,
    ACTIONS(1451), 2,
      sym__newline,
      sym__body_end,
    STATE(825), 2,
      sym_annotation,
      aux_sym__annotations,
  [40078] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_AT,
    ACTIONS(1402), 2,
      sym_static_keyword,
      anon_sym_var,
    STATE(825), 2,
      sym_annotation,
      aux_sym__annotations,
    ACTIONS(1453), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [40098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1457), 1,
      anon_sym_COLON,
    ACTIONS(1455), 7,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON_EQ,
      anon_sym_EQ,
      anon_sym_setget,
      anon_sym_LPAREN,
  [40114] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1340), 1,
      sym_static_keyword,
    ACTIONS(1344), 1,
      anon_sym_AT,
    ACTIONS(1346), 1,
      anon_sym_var,
    ACTIONS(1459), 1,
      anon_sym_func,
    STATE(1129), 1,
      sym_annotations,
    STATE(1131), 1,
      sym__variable_statement,
    STATE(857), 2,
      sym_annotation,
      aux_sym__annotations,
  [40140] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1340), 1,
      sym_static_keyword,
    ACTIONS(1344), 1,
      anon_sym_AT,
    ACTIONS(1346), 1,
      anon_sym_var,
    ACTIONS(1461), 1,
      anon_sym_func,
    STATE(1131), 1,
      sym__variable_statement,
    STATE(1150), 1,
      sym_annotations,
    STATE(857), 2,
      sym_annotation,
      aux_sym__annotations,
  [40166] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 1,
      anon_sym_setget,
    ACTIONS(1465), 1,
      anon_sym_COLON,
    STATE(1074), 1,
      sym__setget_body,
    STATE(1082), 1,
      sym_setget,
    ACTIONS(1463), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [40187] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1340), 1,
      sym_static_keyword,
    ACTIONS(1344), 1,
      anon_sym_AT,
    ACTIONS(1346), 1,
      anon_sym_var,
    STATE(1131), 1,
      sym__variable_statement,
    STATE(1322), 1,
      sym_annotations,
    STATE(857), 2,
      sym_annotation,
      aux_sym__annotations,
  [40210] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 1,
      anon_sym_setget,
    ACTIONS(1465), 1,
      anon_sym_COLON,
    STATE(998), 1,
      sym_setget,
    STATE(1074), 1,
      sym__setget_body,
    ACTIONS(1467), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [40231] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 1,
      anon_sym_setget,
    ACTIONS(1465), 1,
      anon_sym_COLON,
    STATE(1074), 1,
      sym__setget_body,
    STATE(1081), 1,
      sym_setget,
    ACTIONS(1469), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [40252] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 1,
      anon_sym_setget,
    ACTIONS(1465), 1,
      anon_sym_COLON,
    STATE(996), 1,
      sym_setget,
    STATE(1074), 1,
      sym__setget_body,
    ACTIONS(1471), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [40273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1473), 7,
      sym__newline,
      sym__body_end,
      sym_static_keyword,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_func,
  [40286] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 1,
      anon_sym_setget,
    ACTIONS(1465), 1,
      anon_sym_COLON,
    STATE(1068), 1,
      sym_setget,
    STATE(1074), 1,
      sym__setget_body,
    ACTIONS(1475), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [40307] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1340), 1,
      sym_static_keyword,
    ACTIONS(1344), 1,
      anon_sym_AT,
    ACTIONS(1346), 1,
      anon_sym_var,
    STATE(1078), 1,
      sym__variable_statement,
    STATE(1322), 1,
      sym_annotations,
    STATE(857), 2,
      sym_annotation,
      aux_sym__annotations,
  [40330] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1477), 1,
      sym__identifier,
    ACTIONS(1479), 1,
      anon_sym_RPAREN,
    STATE(897), 1,
      sym_identifier,
    STATE(999), 1,
      sym__parameters,
    STATE(1172), 3,
      sym_typed_parameter,
      sym_default_parameter,
      sym_typed_default_parameter,
  [40351] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1477), 1,
      sym__identifier,
    ACTIONS(1481), 1,
      anon_sym_RPAREN,
    STATE(897), 1,
      sym_identifier,
    STATE(1183), 1,
      sym__parameters,
    STATE(1172), 3,
      sym_typed_parameter,
      sym_default_parameter,
      sym_typed_default_parameter,
  [40372] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1477), 1,
      sym__identifier,
    ACTIONS(1483), 1,
      anon_sym_RPAREN,
    STATE(897), 1,
      sym_identifier,
    STATE(1183), 1,
      sym__parameters,
    STATE(1172), 3,
      sym_typed_parameter,
      sym_default_parameter,
      sym_typed_default_parameter,
  [40393] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 1,
      anon_sym_setget,
    ACTIONS(1465), 1,
      anon_sym_COLON,
    STATE(997), 1,
      sym_setget,
    STATE(1074), 1,
      sym__setget_body,
    ACTIONS(1467), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [40414] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 1,
      anon_sym_setget,
    ACTIONS(1465), 1,
      anon_sym_COLON,
    STATE(1074), 1,
      sym__setget_body,
    STATE(1133), 1,
      sym_setget,
    ACTIONS(1485), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [40435] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 1,
      anon_sym_setget,
    ACTIONS(1465), 1,
      anon_sym_COLON,
    STATE(1074), 1,
      sym__setget_body,
    STATE(1093), 1,
      sym_setget,
    ACTIONS(1463), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [40456] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 1,
      anon_sym_setget,
    ACTIONS(1465), 1,
      anon_sym_COLON,
    STATE(1074), 1,
      sym__setget_body,
    STATE(1132), 1,
      sym_setget,
    ACTIONS(1487), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [40477] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1477), 1,
      sym__identifier,
    ACTIONS(1489), 1,
      anon_sym_RPAREN,
    STATE(897), 1,
      sym_identifier,
    STATE(1183), 1,
      sym__parameters,
    STATE(1172), 3,
      sym_typed_parameter,
      sym_default_parameter,
      sym_typed_default_parameter,
  [40498] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1477), 1,
      sym__identifier,
    ACTIONS(1491), 1,
      anon_sym_RPAREN,
    STATE(897), 1,
      sym_identifier,
    STATE(1012), 1,
      sym__parameters,
    STATE(1172), 3,
      sym_typed_parameter,
      sym_default_parameter,
      sym_typed_default_parameter,
  [40519] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 1,
      anon_sym_setget,
    ACTIONS(1465), 1,
      anon_sym_COLON,
    STATE(1074), 1,
      sym__setget_body,
    STATE(1137), 1,
      sym_setget,
    ACTIONS(1485), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [40540] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1340), 1,
      sym_static_keyword,
    ACTIONS(1344), 1,
      anon_sym_AT,
    ACTIONS(1346), 1,
      anon_sym_var,
    STATE(968), 1,
      sym__variable_statement,
    STATE(1322), 1,
      sym_annotations,
    STATE(857), 2,
      sym_annotation,
      aux_sym__annotations,
  [40563] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1340), 1,
      sym_static_keyword,
    ACTIONS(1344), 1,
      anon_sym_AT,
    ACTIONS(1346), 1,
      anon_sym_var,
    STATE(1098), 1,
      sym__variable_statement,
    STATE(1322), 1,
      sym_annotations,
    STATE(857), 2,
      sym_annotation,
      aux_sym__annotations,
  [40586] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1380), 1,
      anon_sym_EQ,
    ACTIONS(1493), 1,
      anon_sym_COLON,
    STATE(330), 1,
      sym_inferred_type,
    STATE(1109), 1,
      sym__variable_assignment,
    STATE(1110), 1,
      sym__variable_inferred_type_assignment,
    STATE(1118), 1,
      sym__variable_typed_assignment,
  [40611] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 1,
      anon_sym_setget,
    ACTIONS(1465), 1,
      anon_sym_COLON,
    STATE(1070), 1,
      sym_setget,
    STATE(1074), 1,
      sym__setget_body,
    ACTIONS(1495), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [40632] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1477), 1,
      sym__identifier,
    ACTIONS(1497), 1,
      anon_sym_RPAREN,
    STATE(897), 1,
      sym_identifier,
    STATE(1183), 1,
      sym__parameters,
    STATE(1172), 3,
      sym_typed_parameter,
      sym_default_parameter,
      sym_typed_default_parameter,
  [40653] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 1,
      anon_sym_setget,
    ACTIONS(1465), 1,
      anon_sym_COLON,
    STATE(1069), 1,
      sym_setget,
    STATE(1074), 1,
      sym__setget_body,
    ACTIONS(1495), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [40674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1344), 1,
      anon_sym_AT,
    STATE(864), 2,
      sym_annotation,
      aux_sym__annotations,
    ACTIONS(1402), 3,
      sym_static_keyword,
      anon_sym_var,
      anon_sym_func,
  [40690] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 1,
      anon_sym_LPAREN,
    STATE(904), 1,
      sym_arguments,
    ACTIONS(1447), 4,
      sym_static_keyword,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_func,
  [40706] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1344), 1,
      anon_sym_AT,
    ACTIONS(1459), 1,
      anon_sym_func,
    ACTIONS(1499), 1,
      anon_sym_var,
    STATE(1384), 1,
      sym_annotations,
    STATE(857), 2,
      sym_annotation,
      aux_sym__annotations,
  [40726] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1477), 1,
      sym__identifier,
    STATE(897), 1,
      sym_identifier,
    STATE(1183), 1,
      sym__parameters,
    STATE(1172), 3,
      sym_typed_parameter,
      sym_default_parameter,
      sym_typed_default_parameter,
  [40744] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1501), 1,
      anon_sym_set,
    ACTIONS(1503), 1,
      anon_sym_get,
    STATE(1010), 1,
      sym_set_body,
    STATE(1015), 1,
      sym_get_body,
    STATE(1359), 1,
      sym__get_assign,
    STATE(1387), 1,
      sym__set_assign,
  [40766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1352), 1,
      anon_sym_if,
    ACTIONS(1505), 5,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
  [40780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1509), 1,
      anon_sym_EQ,
    ACTIONS(1507), 5,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
  [40794] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1511), 1,
      anon_sym_AT,
    STATE(864), 2,
      sym_annotation,
      aux_sym__annotations,
    ACTIONS(1438), 3,
      sym_static_keyword,
      anon_sym_var,
      anon_sym_func,
  [40810] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1344), 1,
      anon_sym_AT,
    ACTIONS(1461), 1,
      anon_sym_func,
    ACTIONS(1499), 1,
      anon_sym_var,
    STATE(1409), 1,
      sym_annotations,
    STATE(857), 2,
      sym_annotation,
      aux_sym__annotations,
  [40830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1457), 1,
      anon_sym_COLON,
    ACTIONS(1455), 4,
      anon_sym_COLON_EQ,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
  [40843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(406), 5,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
  [40854] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 1,
      anon_sym_LPAREN,
    STATE(1141), 1,
      sym_parameters,
    ACTIONS(1514), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [40869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 5,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
  [40880] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1520), 1,
      anon_sym_COLON,
    ACTIONS(1522), 1,
      anon_sym_COMMA,
    ACTIONS(1524), 1,
      anon_sym_when,
    STATE(892), 1,
      aux_sym_pattern_section_repeat1,
    STATE(1343), 1,
      sym_pattern_guard,
  [40899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1526), 5,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
  [40910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 5,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
  [40921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(418), 5,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
  [40932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1530), 5,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
  [40943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(398), 5,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
  [40954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(422), 5,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
  [40965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1532), 5,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
  [40976] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1522), 1,
      anon_sym_COMMA,
    ACTIONS(1524), 1,
      anon_sym_when,
    ACTIONS(1534), 1,
      anon_sym_COLON,
    STATE(870), 1,
      aux_sym_pattern_section_repeat1,
    STATE(1408), 1,
      sym_pattern_guard,
  [40995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(402), 5,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
  [41006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1536), 5,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
  [41017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1538), 5,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
  [41028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1540), 5,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
  [41039] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      sym__identifier,
    ACTIONS(1544), 1,
      anon_sym_LPAREN,
    ACTIONS(1546), 1,
      anon_sym__init,
    STATE(1122), 1,
      sym_parameters,
    STATE(1282), 1,
      sym_name,
  [41058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 5,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_setget,
  [41069] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      sym__identifier,
    ACTIONS(1544), 1,
      anon_sym_LPAREN,
    ACTIONS(1548), 1,
      anon_sym__init,
    STATE(1128), 1,
      sym_parameters,
    STATE(1292), 1,
      sym_name,
  [41088] = 4,
    ACTIONS(1550), 1,
      sym_comment,
    ACTIONS(1555), 1,
      sym__string_end,
    STATE(886), 1,
      aux_sym_string_repeat1,
    ACTIONS(1552), 2,
      sym__string_content,
      sym_escape_sequence,
  [41102] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_SEMI,
    STATE(891), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(1424), 2,
      sym__newline,
      sym__body_end,
  [41116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 4,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [41126] = 4,
    ACTIONS(1550), 1,
      sym_comment,
    ACTIONS(1559), 1,
      sym__string_end,
    STATE(886), 1,
      aux_sym_string_repeat1,
    ACTIONS(1557), 2,
      sym__string_content,
      sym_escape_sequence,
  [41140] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      sym__identifier,
    STATE(507), 1,
      sym_identifier,
    STATE(568), 2,
      sym_attribute_call,
      sym_attribute_subscript,
  [41154] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1563), 1,
      anon_sym_SEMI,
    STATE(908), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(326), 2,
      sym__newline,
      sym__body_end,
  [41168] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1567), 1,
      anon_sym_COMMA,
    STATE(892), 1,
      aux_sym_pattern_section_repeat1,
    ACTIONS(1565), 2,
      anon_sym_COLON,
      anon_sym_when,
  [41182] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1570), 1,
      sym__identifier,
    ACTIONS(1572), 1,
      anon_sym_LBRACE,
    STATE(190), 1,
      sym_enumerator_list,
    STATE(1299), 1,
      sym_name,
  [41198] = 4,
    ACTIONS(1550), 1,
      sym_comment,
    ACTIONS(1574), 1,
      sym__string_end,
    STATE(886), 1,
      aux_sym_string_repeat1,
    ACTIONS(1557), 2,
      sym__string_content,
      sym_escape_sequence,
  [41212] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1426), 1,
      anon_sym_SEMI,
    STATE(898), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(1428), 2,
      sym__newline,
      sym__body_end,
  [41226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1576), 1,
      sym__identifier,
    STATE(617), 1,
      sym_identifier,
    STATE(729), 2,
      sym_attribute_call,
      sym_attribute_subscript,
  [41240] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1578), 1,
      anon_sym_COLON,
    ACTIONS(1580), 1,
      anon_sym_EQ,
    ACTIONS(1582), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [41254] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1584), 1,
      anon_sym_SEMI,
    STATE(908), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(356), 2,
      sym__newline,
      sym__body_end,
  [41268] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1586), 1,
      anon_sym_SEMI,
    STATE(908), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(350), 2,
      sym__newline,
      sym__body_end,
  [41282] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_COLON,
    ACTIONS(1590), 1,
      anon_sym_EQ,
    STATE(1354), 1,
      sym_parameters,
  [41298] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1592), 1,
      anon_sym_SEMI,
    STATE(908), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(338), 2,
      sym__newline,
      sym__body_end,
  [41312] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1434), 1,
      anon_sym_SEMI,
    STATE(905), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(1436), 2,
      sym__newline,
      sym__body_end,
  [41326] = 4,
    ACTIONS(1550), 1,
      sym_comment,
    ACTIONS(1594), 1,
      sym__string_end,
    STATE(886), 1,
      aux_sym_string_repeat1,
    ACTIONS(1557), 2,
      sym__string_content,
      sym_escape_sequence,
  [41340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1473), 4,
      sym_static_keyword,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_func,
  [41350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1596), 1,
      anon_sym_SEMI,
    STATE(908), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(362), 2,
      sym__newline,
      sym__body_end,
  [41364] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_LPAREN,
    ACTIONS(1570), 1,
      sym__identifier,
    STATE(1119), 1,
      sym_parameters,
    STATE(1267), 1,
      sym_name,
  [41380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1598), 1,
      anon_sym_SEMI,
    STATE(908), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(346), 2,
      sym__newline,
      sym__body_end,
  [41394] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1600), 1,
      anon_sym_SEMI,
    STATE(908), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(1453), 2,
      sym__newline,
      sym__body_end,
  [41408] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_LPAREN,
    ACTIONS(1570), 1,
      sym__identifier,
    STATE(1066), 1,
      sym_parameters,
    STATE(1191), 1,
      sym_name,
  [41424] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1570), 1,
      sym__identifier,
    ACTIONS(1603), 1,
      anon_sym_LBRACE,
    STATE(148), 1,
      sym_enumerator_list,
    STATE(1178), 1,
      sym_name,
  [41440] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1605), 1,
      sym__identifier,
    STATE(531), 1,
      sym_identifier,
    STATE(650), 2,
      sym_attribute_call,
      sym_attribute_subscript,
  [41454] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_LPAREN,
    ACTIONS(1570), 1,
      sym__identifier,
    STATE(1017), 1,
      sym_parameters,
    STATE(1288), 1,
      sym_name,
  [41470] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1605), 1,
      sym__identifier,
    ACTIONS(1607), 1,
      anon_sym_RBRACE,
    STATE(963), 1,
      sym_identifier,
    STATE(1311), 1,
      sym_enumerator,
  [41486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1611), 1,
      anon_sym_COMMA,
    ACTIONS(1609), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [41498] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1605), 1,
      sym__identifier,
    ACTIONS(1613), 1,
      anon_sym_RBRACE,
    STATE(963), 1,
      sym_identifier,
    STATE(1311), 1,
      sym_enumerator,
  [41514] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1615), 1,
      anon_sym_SEMI,
    STATE(908), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(334), 2,
      sym__newline,
      sym__body_end,
  [41528] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      sym__identifier,
    STATE(218), 1,
      sym_identifier,
    STATE(233), 2,
      sym_attribute_call,
      sym_attribute_subscript,
  [41542] = 4,
    ACTIONS(1550), 1,
      sym_comment,
    ACTIONS(1621), 1,
      sym__string_end,
    STATE(929), 1,
      aux_sym_string_repeat1,
    ACTIONS(1619), 2,
      sym__string_content,
      sym_escape_sequence,
  [41556] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_SEMI,
    STATE(926), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(1412), 2,
      sym__newline,
      sym__body_end,
  [41570] = 4,
    ACTIONS(1550), 1,
      sym_comment,
    ACTIONS(1625), 1,
      sym__string_end,
    STATE(934), 1,
      aux_sym_string_repeat1,
    ACTIONS(1623), 2,
      sym__string_content,
      sym_escape_sequence,
  [41584] = 4,
    ACTIONS(1550), 1,
      sym_comment,
    ACTIONS(1629), 1,
      sym__string_end,
    STATE(943), 1,
      aux_sym_string_repeat1,
    ACTIONS(1627), 2,
      sym__string_content,
      sym_escape_sequence,
  [41598] = 4,
    ACTIONS(1550), 1,
      sym_comment,
    ACTIONS(1633), 1,
      sym__string_end,
    STATE(889), 1,
      aux_sym_string_repeat1,
    ACTIONS(1631), 2,
      sym__string_content,
      sym_escape_sequence,
  [41612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_SEMI,
    STATE(933), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(1445), 2,
      sym__newline,
      sym__body_end,
  [41626] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1449), 1,
      anon_sym_SEMI,
    STATE(938), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(1451), 2,
      sym__newline,
      sym__body_end,
  [41640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1635), 4,
      sym_static_keyword,
      anon_sym_AT,
      anon_sym_var,
      anon_sym_func,
  [41650] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1637), 1,
      anon_sym_SEMI,
    STATE(908), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(344), 2,
      sym__newline,
      sym__body_end,
  [41664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1605), 1,
      sym__identifier,
    ACTIONS(1639), 1,
      anon_sym_RBRACE,
    STATE(963), 1,
      sym_identifier,
    STATE(1311), 1,
      sym_enumerator,
  [41680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1641), 1,
      sym__identifier,
    STATE(570), 1,
      sym_identifier,
    STATE(686), 2,
      sym_attribute_call,
      sym_attribute_subscript,
  [41694] = 4,
    ACTIONS(1550), 1,
      sym_comment,
    ACTIONS(1643), 1,
      sym__string_end,
    STATE(886), 1,
      aux_sym_string_repeat1,
    ACTIONS(1557), 2,
      sym__string_content,
      sym_escape_sequence,
  [41708] = 4,
    ACTIONS(1550), 1,
      sym_comment,
    ACTIONS(1645), 1,
      sym__string_end,
    STATE(886), 1,
      aux_sym_string_repeat1,
    ACTIONS(1557), 2,
      sym__string_content,
      sym_escape_sequence,
  [41722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1477), 1,
      sym__identifier,
    STATE(509), 1,
      sym_identifier,
    STATE(543), 2,
      sym_attribute_call,
      sym_attribute_subscript,
  [41736] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1418), 1,
      anon_sym_SEMI,
    STATE(907), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(1420), 2,
      sym__newline,
      sym__body_end,
  [41750] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1647), 1,
      anon_sym_SEMI,
    STATE(908), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(342), 2,
      sym__newline,
      sym__body_end,
  [41764] = 4,
    ACTIONS(1550), 1,
      sym_comment,
    ACTIONS(1649), 1,
      sym__string_end,
    STATE(886), 1,
      aux_sym_string_repeat1,
    ACTIONS(1557), 2,
      sym__string_content,
      sym_escape_sequence,
  [41778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1653), 1,
      anon_sym_COMMA,
    ACTIONS(1651), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [41790] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1414), 1,
      anon_sym_SEMI,
    STATE(916), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(1416), 2,
      sym__newline,
      sym__body_end,
  [41804] = 4,
    ACTIONS(1550), 1,
      sym_comment,
    ACTIONS(1657), 1,
      sym__string_end,
    STATE(953), 1,
      aux_sym_string_repeat1,
    ACTIONS(1655), 2,
      sym__string_content,
      sym_escape_sequence,
  [41818] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 1,
      anon_sym_SEMI,
    STATE(908), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(330), 2,
      sym__newline,
      sym__body_end,
  [41832] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1404), 1,
      anon_sym_SEMI,
    STATE(899), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(1408), 2,
      sym__newline,
      sym__body_end,
  [41846] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1661), 1,
      sym__identifier,
    STATE(647), 1,
      sym_identifier,
    STATE(740), 2,
      sym_attribute_call,
      sym_attribute_subscript,
  [41860] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_LPAREN,
    ACTIONS(1570), 1,
      sym__identifier,
    STATE(1038), 1,
      sym_parameters,
    STATE(1308), 1,
      sym_name,
  [41876] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1605), 1,
      sym__identifier,
    ACTIONS(1663), 1,
      anon_sym_RBRACE,
    STATE(963), 1,
      sym_identifier,
    STATE(1311), 1,
      sym_enumerator,
  [41892] = 4,
    ACTIONS(1550), 1,
      sym_comment,
    ACTIONS(1665), 1,
      sym__string_end,
    STATE(886), 1,
      aux_sym_string_repeat1,
    ACTIONS(1557), 2,
      sym__string_content,
      sym_escape_sequence,
  [41906] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_LPAREN,
    ACTIONS(1570), 1,
      sym__identifier,
    STATE(1123), 1,
      sym_parameters,
    STATE(1284), 1,
      sym_name,
  [41922] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_LPAREN,
    ACTIONS(1570), 1,
      sym__identifier,
    STATE(1124), 1,
      sym_parameters,
    STATE(1330), 1,
      sym_name,
  [41938] = 4,
    ACTIONS(1550), 1,
      sym_comment,
    ACTIONS(1669), 1,
      sym__string_end,
    STATE(894), 1,
      aux_sym_string_repeat1,
    ACTIONS(1667), 2,
      sym__string_content,
      sym_escape_sequence,
  [41952] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_LPAREN,
    ACTIONS(1570), 1,
      sym__identifier,
    STATE(1135), 1,
      sym_parameters,
    STATE(1155), 1,
      sym_name,
  [41968] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1430), 1,
      anon_sym_SEMI,
    STATE(901), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(1432), 2,
      sym__newline,
      sym__body_end,
  [41982] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_LPAREN,
    ACTIONS(1570), 1,
      sym__identifier,
    STATE(1139), 1,
      sym_parameters,
    STATE(1331), 1,
      sym_name,
  [41998] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_LPAREN,
    ACTIONS(1570), 1,
      sym__identifier,
    STATE(1142), 1,
      sym_parameters,
    STATE(1332), 1,
      sym_name,
  [42014] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_LPAREN,
    ACTIONS(1570), 1,
      sym__identifier,
    STATE(1146), 1,
      sym_parameters,
    STATE(1334), 1,
      sym_name,
  [42030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 4,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [42040] = 4,
    ACTIONS(1550), 1,
      sym_comment,
    ACTIONS(1673), 1,
      sym__string_end,
    STATE(886), 1,
      aux_sym_string_repeat1,
    ACTIONS(1557), 2,
      sym__string_content,
      sym_escape_sequence,
  [42054] = 4,
    ACTIONS(1550), 1,
      sym_comment,
    ACTIONS(1677), 1,
      sym__string_end,
    STATE(903), 1,
      aux_sym_string_repeat1,
    ACTIONS(1675), 2,
      sym__string_content,
      sym_escape_sequence,
  [42068] = 4,
    ACTIONS(1550), 1,
      sym_comment,
    ACTIONS(1681), 1,
      sym__string_end,
    STATE(930), 1,
      aux_sym_string_repeat1,
    ACTIONS(1679), 2,
      sym__string_content,
      sym_escape_sequence,
  [42082] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1683), 1,
      anon_sym_COMMA,
    ACTIONS(1685), 1,
      anon_sym_RPAREN,
    STATE(1092), 1,
      aux_sym_array_repeat1,
  [42095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_when,
  [42104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_RBRACE,
  [42113] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1689), 1,
      anon_sym_COMMA,
    ACTIONS(1691), 1,
      anon_sym_RBRACE,
    STATE(973), 1,
      aux_sym_pattern_dictionary_repeat1,
  [42126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [42135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1695), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_when,
  [42144] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_COMMA,
    ACTIONS(1699), 1,
      anon_sym_RBRACK,
    STATE(975), 1,
      aux_sym_pattern_array_repeat1,
  [42157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1701), 1,
      anon_sym_EQ,
    ACTIONS(1703), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [42168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1565), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_when,
  [42177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1705), 3,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [42186] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1489), 1,
      anon_sym_RPAREN,
    ACTIONS(1707), 1,
      anon_sym_COMMA,
    STATE(1061), 1,
      aux_sym_parameters_repeat1,
  [42199] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1709), 1,
      anon_sym_COMMA,
    ACTIONS(1711), 1,
      anon_sym_RBRACE,
    STATE(1138), 1,
      aux_sym_enumerator_list_repeat1,
  [42212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1713), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [42221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [42230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [42239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [42248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1721), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_when,
  [42257] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_COMMA,
    ACTIONS(1726), 1,
      anon_sym_RBRACE,
    STATE(973), 1,
      aux_sym_pattern_dictionary_repeat1,
  [42270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1728), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_when,
  [42279] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1730), 1,
      anon_sym_COMMA,
    ACTIONS(1733), 1,
      anon_sym_RBRACK,
    STATE(975), 1,
      aux_sym_pattern_array_repeat1,
  [42292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1735), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [42301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(406), 3,
      sym__dedent,
      anon_sym_set,
      anon_sym_get,
  [42310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1737), 1,
      anon_sym_if,
    ACTIONS(1350), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [42321] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_RBRACE,
    ACTIONS(1739), 1,
      anon_sym_COMMA,
    STATE(1145), 1,
      aux_sym_dictionary_repeat1,
  [42334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(418), 3,
      sym__dedent,
      anon_sym_set,
      anon_sym_get,
  [42343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1741), 1,
      anon_sym_if,
    ACTIONS(1350), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [42354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(402), 3,
      sym__dedent,
      anon_sym_set,
      anon_sym_get,
  [42363] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(548), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_when,
  [42372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(693), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_when,
  [42381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(422), 3,
      sym__dedent,
      anon_sym_set,
      anon_sym_get,
  [42390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_when,
  [42399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(398), 3,
      sym__dedent,
      anon_sym_set,
      anon_sym_get,
  [42408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 3,
      sym__dedent,
      anon_sym_set,
      anon_sym_get,
  [42417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [42426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [42435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(841), 1,
      anon_sym_RBRACK,
    ACTIONS(1747), 1,
      anon_sym_COMMA,
    STATE(1064), 1,
      aux_sym_array_repeat1,
  [42448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1368), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [42457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [42466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1751), 3,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [42475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(621), 3,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
  [42484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [42493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1755), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [42502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1755), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [42511] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_COMMA,
    ACTIONS(1759), 1,
      anon_sym_RPAREN,
    STATE(966), 1,
      aux_sym_parameters_repeat1,
  [42524] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym_COLON,
    ACTIONS(1763), 1,
      anon_sym_DOT,
    ACTIONS(1765), 1,
      anon_sym_DASH_GT,
  [42537] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_COMMA,
    ACTIONS(1769), 1,
      anon_sym_RBRACE,
    STATE(1009), 1,
      aux_sym_dictionary_repeat1,
  [42550] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1771), 1,
      anon_sym_COMMA,
    ACTIONS(1773), 1,
      anon_sym_RBRACK,
    STATE(1011), 1,
      aux_sym_array_repeat1,
  [42563] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1775), 1,
      anon_sym_COLON,
    ACTIONS(1777), 1,
      anon_sym_DASH_GT,
    STATE(1424), 1,
      sym__return_type,
  [42576] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      anon_sym_COMMA,
    ACTIONS(1781), 1,
      anon_sym_RPAREN,
    STATE(1018), 1,
      aux_sym_array_repeat1,
  [42589] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_DASH_GT,
    ACTIONS(1783), 1,
      anon_sym_COLON,
    STATE(1376), 1,
      sym__return_type,
  [42602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_LPAREN,
    ACTIONS(1785), 1,
      anon_sym_EQ,
    STATE(1345), 1,
      sym_parameters,
  [42615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
  [42624] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_COMMA,
    ACTIONS(1789), 1,
      anon_sym_RBRACE,
    STATE(1020), 1,
      aux_sym_enumerator_list_repeat1,
  [42637] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(747), 1,
      anon_sym_RBRACE,
    ACTIONS(1791), 1,
      anon_sym_COMMA,
    STATE(1145), 1,
      aux_sym_dictionary_repeat1,
  [42650] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1793), 1,
      anon_sym_get,
    ACTIONS(1795), 1,
      sym__dedent,
    STATE(1362), 1,
      sym_get_body,
  [42663] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(875), 1,
      anon_sym_RBRACK,
    ACTIONS(1797), 1,
      anon_sym_COMMA,
    STATE(1064), 1,
      aux_sym_array_repeat1,
  [42676] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      anon_sym_COMMA,
    ACTIONS(1801), 1,
      anon_sym_RPAREN,
    STATE(1022), 1,
      aux_sym_parameters_repeat1,
  [42689] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1803), 1,
      anon_sym_COLON,
    ACTIONS(1805), 1,
      anon_sym_DOT,
    ACTIONS(1807), 1,
      anon_sym_DASH_GT,
  [42702] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_DASH_GT,
    ACTIONS(1809), 1,
      anon_sym_COLON,
    STATE(1414), 1,
      sym__return_type,
  [42715] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1811), 1,
      anon_sym_set,
    ACTIONS(1813), 1,
      sym__dedent,
    STATE(1398), 1,
      sym_set_body,
  [42728] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_DASH_GT,
    ACTIONS(1815), 1,
      anon_sym_COLON,
    STATE(1429), 1,
      sym__return_type,
  [42741] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_DASH_GT,
    ACTIONS(1817), 1,
      anon_sym_COLON,
    STATE(1341), 1,
      sym__return_type,
  [42754] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(833), 1,
      anon_sym_RPAREN,
    ACTIONS(1819), 1,
      anon_sym_COMMA,
    STATE(1154), 1,
      aux_sym_array_repeat1,
  [42767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1821), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [42776] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1663), 1,
      anon_sym_RBRACE,
    ACTIONS(1823), 1,
      anon_sym_COMMA,
    STATE(1040), 1,
      aux_sym_enumerator_list_repeat1,
  [42789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1825), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [42798] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      anon_sym_RPAREN,
    ACTIONS(1827), 1,
      anon_sym_COMMA,
    STATE(1061), 1,
      aux_sym_parameters_repeat1,
  [42811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_DASH_GT,
    ACTIONS(1829), 1,
      anon_sym_COLON,
    STATE(1340), 1,
      sym__return_type,
  [42824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1831), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [42833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1833), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [42842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [42851] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1689), 1,
      anon_sym_COMMA,
    ACTIONS(1835), 1,
      anon_sym_RBRACE,
    STATE(1029), 1,
      aux_sym_pattern_dictionary_repeat1,
  [42864] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_COMMA,
    ACTIONS(1837), 1,
      anon_sym_RBRACK,
    STATE(1030), 1,
      aux_sym_pattern_array_repeat1,
  [42877] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1689), 1,
      anon_sym_COMMA,
    ACTIONS(1839), 1,
      anon_sym_RBRACE,
    STATE(973), 1,
      aux_sym_pattern_dictionary_repeat1,
  [42890] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_COMMA,
    ACTIONS(1841), 1,
      anon_sym_RBRACK,
    STATE(975), 1,
      aux_sym_pattern_array_repeat1,
  [42903] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1843), 1,
      anon_sym_COLON,
    ACTIONS(1845), 1,
      anon_sym_extends,
    STATE(1396), 1,
      sym_extends_statement,
  [42916] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1605), 1,
      sym__identifier,
    STATE(963), 1,
      sym_identifier,
    STATE(967), 1,
      sym_enumerator,
  [42929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1751), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [42938] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_COMMA,
    ACTIONS(1849), 1,
      anon_sym_RBRACE,
    STATE(1037), 1,
      aux_sym_dictionary_repeat1,
  [42951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_COMMA,
    ACTIONS(1853), 1,
      anon_sym_RBRACK,
    STATE(1039), 1,
      aux_sym_array_repeat1,
  [42964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1855), 1,
      anon_sym_COMMA,
    ACTIONS(1857), 1,
      anon_sym_RPAREN,
    STATE(1041), 1,
      aux_sym_array_repeat1,
  [42977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 1,
      anon_sym_RBRACE,
    ACTIONS(1859), 1,
      anon_sym_COMMA,
    STATE(1145), 1,
      aux_sym_dictionary_repeat1,
  [42990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_DASH_GT,
    ACTIONS(1861), 1,
      anon_sym_COLON,
    STATE(1380), 1,
      sym__return_type,
  [43003] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(847), 1,
      anon_sym_RBRACK,
    ACTIONS(1863), 1,
      anon_sym_COMMA,
    STATE(1064), 1,
      aux_sym_array_repeat1,
  [43016] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_COMMA,
    ACTIONS(1868), 1,
      anon_sym_RBRACE,
    STATE(1040), 1,
      aux_sym_enumerator_list_repeat1,
  [43029] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(865), 1,
      anon_sym_RPAREN,
    ACTIONS(1870), 1,
      anon_sym_COMMA,
    STATE(1154), 1,
      aux_sym_array_repeat1,
  [43042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1872), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_when,
  [43051] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1689), 1,
      anon_sym_COMMA,
    ACTIONS(1874), 1,
      anon_sym_RBRACE,
    STATE(1045), 1,
      aux_sym_pattern_dictionary_repeat1,
  [43064] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_COMMA,
    ACTIONS(1876), 1,
      anon_sym_RBRACK,
    STATE(1046), 1,
      aux_sym_pattern_array_repeat1,
  [43077] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1689), 1,
      anon_sym_COMMA,
    ACTIONS(1878), 1,
      anon_sym_RBRACE,
    STATE(973), 1,
      aux_sym_pattern_dictionary_repeat1,
  [43090] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_COMMA,
    ACTIONS(1880), 1,
      anon_sym_RBRACK,
    STATE(975), 1,
      aux_sym_pattern_array_repeat1,
  [43103] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1882), 1,
      anon_sym_COMMA,
    ACTIONS(1884), 1,
      anon_sym_RBRACE,
    STATE(979), 1,
      aux_sym_dictionary_repeat1,
  [43116] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1886), 1,
      sym__identifier,
    ACTIONS(1888), 1,
      anon_sym_COMMA,
    STATE(935), 1,
      sym_setter,
  [43129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(621), 3,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_RPAREN,
  [43138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_EQ,
    ACTIONS(1892), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [43149] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1894), 1,
      anon_sym_COMMA,
    ACTIONS(1896), 1,
      anon_sym_RBRACE,
    STATE(1055), 1,
      aux_sym_dictionary_repeat1,
  [43162] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1898), 1,
      anon_sym_COMMA,
    ACTIONS(1900), 1,
      anon_sym_RBRACK,
    STATE(1057), 1,
      aux_sym_array_repeat1,
  [43175] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1902), 1,
      anon_sym_COMMA,
    ACTIONS(1904), 1,
      anon_sym_RPAREN,
    STATE(1058), 1,
      aux_sym_array_repeat1,
  [43188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1906), 1,
      anon_sym_if,
    ACTIONS(1505), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [43199] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(743), 1,
      anon_sym_RBRACE,
    ACTIONS(1908), 1,
      anon_sym_COMMA,
    STATE(1145), 1,
      aux_sym_dictionary_repeat1,
  [43212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1910), 3,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [43221] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(843), 1,
      anon_sym_RBRACK,
    ACTIONS(1912), 1,
      anon_sym_COMMA,
    STATE(1064), 1,
      aux_sym_array_repeat1,
  [43234] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(845), 1,
      anon_sym_RPAREN,
    ACTIONS(1914), 1,
      anon_sym_COMMA,
    STATE(1154), 1,
      aux_sym_array_repeat1,
  [43247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1916), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [43256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_RPAREN,
  [43265] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_COMMA,
    ACTIONS(1921), 1,
      anon_sym_RPAREN,
    STATE(1061), 1,
      aux_sym_parameters_repeat1,
  [43278] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_DASH_GT,
    ACTIONS(1923), 1,
      anon_sym_COLON,
    STATE(1357), 1,
      sym__return_type,
  [43291] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1925), 1,
      anon_sym_COMMA,
    ACTIONS(1927), 1,
      anon_sym_RBRACK,
    STATE(991), 1,
      aux_sym_array_repeat1,
  [43304] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1929), 1,
      anon_sym_COMMA,
    ACTIONS(1932), 1,
      anon_sym_RBRACK,
    STATE(1064), 1,
      aux_sym_array_repeat1,
  [43317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1705), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [43326] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_DASH_GT,
    ACTIONS(1934), 1,
      anon_sym_COLON,
    STATE(1365), 1,
      sym__return_type,
  [43339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1936), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [43348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [43357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1940), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [43366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1940), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [43375] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1942), 1,
      anon_sym_COMMA,
    ACTIONS(1944), 1,
      anon_sym_RBRACE,
    STATE(1075), 1,
      aux_sym_dictionary_repeat1,
  [43388] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1946), 1,
      anon_sym_COMMA,
    ACTIONS(1948), 1,
      anon_sym_RBRACK,
    STATE(1077), 1,
      aux_sym_array_repeat1,
  [43401] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1950), 1,
      anon_sym_COMMA,
    ACTIONS(1952), 1,
      anon_sym_RPAREN,
    STATE(1079), 1,
      aux_sym_array_repeat1,
  [43414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1954), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [43423] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      anon_sym_RBRACE,
    ACTIONS(1956), 1,
      anon_sym_COMMA,
    STATE(1145), 1,
      aux_sym_dictionary_repeat1,
  [43436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1958), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [43445] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(907), 1,
      anon_sym_RBRACK,
    ACTIONS(1960), 1,
      anon_sym_COMMA,
    STATE(1064), 1,
      aux_sym_array_repeat1,
  [43458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1962), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [43467] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_RPAREN,
    ACTIONS(1964), 1,
      anon_sym_COMMA,
    STATE(1154), 1,
      aux_sym_array_repeat1,
  [43480] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1966), 1,
      anon_sym_COMMA,
    ACTIONS(1968), 1,
      anon_sym_RPAREN,
    STATE(1097), 1,
      aux_sym_array_repeat1,
  [43493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [43502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1972), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [43511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1910), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [43520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1974), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [43529] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_COLON,
    STATE(1354), 1,
      sym_parameters,
  [43542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_COMMA,
    ACTIONS(1978), 1,
      anon_sym_RBRACE,
    STATE(1090), 1,
      aux_sym_dictionary_repeat1,
  [43555] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1980), 1,
      anon_sym_COMMA,
    ACTIONS(1982), 1,
      anon_sym_RBRACK,
    STATE(1091), 1,
      aux_sym_array_repeat1,
  [43568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1984), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [43577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 1,
      anon_sym_if,
    ACTIONS(1350), 2,
      anon_sym_COLON,
      anon_sym_else,
  [43588] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(759), 1,
      anon_sym_RBRACE,
    ACTIONS(1988), 1,
      anon_sym_COMMA,
    STATE(1145), 1,
      aux_sym_dictionary_repeat1,
  [43601] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(857), 1,
      anon_sym_RBRACK,
    ACTIONS(1990), 1,
      anon_sym_COMMA,
    STATE(1064), 1,
      aux_sym_array_repeat1,
  [43614] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(859), 1,
      anon_sym_RPAREN,
    ACTIONS(1992), 1,
      anon_sym_COMMA,
    STATE(1154), 1,
      aux_sym_array_repeat1,
  [43627] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1972), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [43636] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1994), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [43645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1906), 1,
      anon_sym_if,
    ACTIONS(1350), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [43656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1996), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [43665] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(831), 1,
      anon_sym_RPAREN,
    ACTIONS(1998), 1,
      anon_sym_COMMA,
    STATE(1154), 1,
      aux_sym_array_repeat1,
  [43678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2000), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [43687] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2002), 1,
      anon_sym_COMMA,
    ACTIONS(2004), 1,
      anon_sym_RBRACE,
    STATE(1103), 1,
      aux_sym_dictionary_repeat1,
  [43700] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2006), 1,
      anon_sym_COMMA,
    ACTIONS(2008), 1,
      anon_sym_RBRACK,
    STATE(1104), 1,
      aux_sym_array_repeat1,
  [43713] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_COMMA,
    ACTIONS(2012), 1,
      anon_sym_RPAREN,
    STATE(1105), 1,
      aux_sym_array_repeat1,
  [43726] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_DASH_GT,
    ACTIONS(2014), 1,
      anon_sym_COLON,
    STATE(1351), 1,
      sym__return_type,
  [43739] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(717), 1,
      anon_sym_RBRACE,
    ACTIONS(2016), 1,
      anon_sym_COMMA,
    STATE(1145), 1,
      aux_sym_dictionary_repeat1,
  [43752] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(885), 1,
      anon_sym_RBRACK,
    ACTIONS(2018), 1,
      anon_sym_COMMA,
    STATE(1064), 1,
      aux_sym_array_repeat1,
  [43765] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(887), 1,
      anon_sym_RPAREN,
    ACTIONS(2020), 1,
      anon_sym_COMMA,
    STATE(1154), 1,
      aux_sym_array_repeat1,
  [43778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1741), 1,
      anon_sym_if,
    ACTIONS(1505), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [43789] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_func,
    ACTIONS(2022), 1,
      sym_static_keyword,
    ACTIONS(2024), 1,
      anon_sym_var,
  [43802] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2026), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [43811] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2028), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [43820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [43829] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1605), 1,
      sym__identifier,
    STATE(963), 1,
      sym_identifier,
    STATE(1311), 1,
      sym_enumerator,
  [43842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2032), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_when,
  [43851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_when,
  [43860] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1689), 1,
      anon_sym_COMMA,
    ACTIONS(2036), 1,
      anon_sym_RBRACE,
    STATE(959), 1,
      aux_sym_pattern_dictionary_repeat1,
  [43873] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_COMMA,
    ACTIONS(2038), 1,
      anon_sym_RBRACK,
    STATE(962), 1,
      aux_sym_pattern_array_repeat1,
  [43886] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2040), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_when,
  [43895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2042), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [43904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [43913] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_DASH_GT,
    ACTIONS(2044), 1,
      anon_sym_COLON,
    STATE(1374), 1,
      sym__return_type,
  [43926] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1845), 1,
      anon_sym_extends,
    ACTIONS(2046), 1,
      anon_sym_COLON,
    STATE(1402), 1,
      sym_extends_statement,
  [43939] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1605), 1,
      sym__identifier,
    STATE(963), 1,
      sym_identifier,
    STATE(1008), 1,
      sym_enumerator,
  [43952] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_DASH_GT,
    ACTIONS(2048), 1,
      anon_sym_COLON,
    STATE(1394), 1,
      sym__return_type,
  [43965] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_DASH_GT,
    ACTIONS(2050), 1,
      anon_sym_COLON,
    STATE(1346), 1,
      sym__return_type,
  [43978] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_DASH_GT,
    ACTIONS(2052), 1,
      anon_sym_COLON,
    STATE(1353), 1,
      sym__return_type,
  [43991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2026), 3,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [44000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_DASH_GT,
    ACTIONS(2054), 1,
      anon_sym_COLON,
    STATE(1358), 1,
      sym__return_type,
  [44013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [44022] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_DASH_GT,
    ACTIONS(2056), 1,
      anon_sym_COLON,
    STATE(1404), 1,
      sym__return_type,
  [44035] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2022), 1,
      sym_static_keyword,
    ACTIONS(2024), 1,
      anon_sym_var,
    ACTIONS(2058), 1,
      anon_sym_func,
  [44048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(621), 3,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_RBRACK,
  [44057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2060), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [44066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2062), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [44075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2064), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [44084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1737), 1,
      anon_sym_if,
    ACTIONS(1505), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [44095] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_DASH_GT,
    ACTIONS(2066), 1,
      anon_sym_COLON,
    STATE(1368), 1,
      sym__return_type,
  [44108] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_DASH_GT,
    ACTIONS(2068), 1,
      anon_sym_COLON,
    STATE(1370), 1,
      sym__return_type,
  [44121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2064), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [44130] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1639), 1,
      anon_sym_RBRACE,
    ACTIONS(2070), 1,
      anon_sym_COMMA,
    STATE(1040), 1,
      aux_sym_enumerator_list_repeat1,
  [44143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_DASH_GT,
    ACTIONS(2072), 1,
      anon_sym_COLON,
    STATE(1377), 1,
      sym__return_type,
  [44156] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_DASH_GT,
    ACTIONS(2074), 1,
      anon_sym_COLON,
    STATE(1379), 1,
      sym__return_type,
  [44169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2076), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [44178] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_DASH_GT,
    ACTIONS(2078), 1,
      anon_sym_COLON,
    STATE(1386), 1,
      sym__return_type,
  [44191] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_DASH_GT,
    ACTIONS(2080), 1,
      anon_sym_COLON,
    STATE(1430), 1,
      sym__return_type,
  [44204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 3,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_RBRACK,
  [44213] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2082), 1,
      anon_sym_COMMA,
    ACTIONS(2085), 1,
      anon_sym_RBRACE,
    STATE(1145), 1,
      aux_sym_dictionary_repeat1,
  [44226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_DASH_GT,
    ACTIONS(2087), 1,
      anon_sym_COLON,
    STATE(1395), 1,
      sym__return_type,
  [44239] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_DASH_GT,
    ACTIONS(2089), 1,
      anon_sym_COLON,
    STATE(1397), 1,
      sym__return_type,
  [44252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2091), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [44261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [44270] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2022), 1,
      sym_static_keyword,
    ACTIONS(2024), 1,
      anon_sym_var,
    ACTIONS(2095), 1,
      anon_sym_func,
  [44283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2097), 3,
      sym__newline,
      sym__body_end,
      anon_sym_SEMI,
  [44292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(621), 3,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_RBRACE,
  [44301] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_func,
    ACTIONS(2022), 1,
      sym_static_keyword,
    ACTIONS(2024), 1,
      anon_sym_var,
  [44314] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1932), 1,
      anon_sym_RPAREN,
    ACTIONS(2099), 1,
      anon_sym_COMMA,
    STATE(1154), 1,
      aux_sym_array_repeat1,
  [44327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_LPAREN,
    STATE(1136), 1,
      sym_parameters,
  [44337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 1,
      anon_sym_RPAREN,
    ACTIONS(2102), 1,
      anon_sym_if,
  [44347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2104), 1,
      sym__identifier,
    STATE(1112), 1,
      sym_identifier,
  [44357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1605), 1,
      sym__identifier,
    STATE(1186), 1,
      sym_identifier,
  [44367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(402), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [44375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      sym__identifier,
    STATE(1287), 1,
      sym_identifier,
  [44385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(733), 1,
      sym__string_start,
    STATE(668), 1,
      sym_string,
  [44395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1872), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [44403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(608), 1,
      anon_sym_DOT,
    STATE(222), 1,
      aux_sym_attribute_repeat1,
  [44413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [44421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      sym__string_start,
    STATE(742), 1,
      sym_string,
  [44431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 2,
      anon_sym_if,
      anon_sym_RPAREN,
  [44439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1505), 1,
      anon_sym_COLON,
    ACTIONS(1986), 1,
      anon_sym_if,
  [44449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 1,
      anon_sym_if,
    ACTIONS(2106), 1,
      anon_sym_COLON,
  [44459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2108), 1,
      sym__identifier,
    STATE(805), 1,
      sym_name,
  [44469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(608), 1,
      anon_sym_DOT,
    STATE(217), 1,
      aux_sym_attribute_repeat1,
  [44479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1030), 1,
      anon_sym_DOT,
    STATE(506), 1,
      aux_sym_attribute_repeat1,
  [44489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1582), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [44497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2110), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [44505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2112), 2,
      sym__dedent,
      anon_sym_set,
  [44513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1161), 1,
      anon_sym_LPAREN,
    STATE(716), 1,
      sym_arguments,
  [44523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 1,
      anon_sym_if,
    ACTIONS(2114), 1,
      anon_sym_COLON,
  [44533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(422), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [44541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1603), 1,
      anon_sym_LBRACE,
    STATE(149), 1,
      sym_enumerator_list,
  [44551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2116), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [44559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [44567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 1,
      anon_sym_if,
    ACTIONS(2118), 1,
      anon_sym_else,
  [44577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2120), 1,
      anon_sym_if,
    ACTIONS(2122), 1,
      anon_sym_RBRACK,
  [44587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1921), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [44595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 1,
      anon_sym_LPAREN,
    STATE(684), 1,
      sym_arguments,
  [44605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1532), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [44613] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2032), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [44621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_COLON,
    ACTIONS(2126), 1,
      anon_sym_DASH_GT,
  [44631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1932), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [44639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [44647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(829), 1,
      sym__string_start,
    STATE(675), 1,
      sym_string,
  [44657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_LPAREN,
    STATE(1003), 1,
      sym_parameters,
  [44667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(576), 1,
      anon_sym_LPAREN,
    STATE(245), 1,
      sym_arguments,
  [44677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 1,
      anon_sym_DOT,
    STATE(690), 1,
      aux_sym_attribute_repeat1,
  [44687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2040), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [44695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      sym__identifier,
    STATE(1192), 1,
      sym_identifier,
  [44705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2128), 1,
      sym__indent,
    STATE(192), 1,
      sym_match_body,
  [44715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2130), 1,
      sym__indent,
    STATE(153), 1,
      sym_match_body,
  [44725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1538), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [44733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    STATE(694), 1,
      sym_arguments,
  [44743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(398), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [44751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [44759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1726), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [44767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 1,
      anon_sym_if,
    ACTIONS(2132), 1,
      anon_sym_else,
  [44777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2120), 1,
      anon_sym_if,
    ACTIONS(2134), 1,
      anon_sym_RBRACK,
  [44787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 1,
      anon_sym_if,
    ACTIONS(2136), 1,
      anon_sym_else,
  [44797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2120), 1,
      anon_sym_if,
    ACTIONS(2138), 1,
      anon_sym_RBRACK,
  [44807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2140), 1,
      sym__identifier,
    STATE(1021), 1,
      sym_getter,
  [44817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2142), 1,
      sym__identifier,
    STATE(1390), 1,
      sym_setter,
  [44827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(999), 1,
      sym__string_start,
    STATE(721), 1,
      sym_string,
  [44837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2144), 1,
      sym__identifier,
    STATE(1400), 1,
      sym_getter,
  [44847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1872), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [44855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1695), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [44863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1028), 1,
      anon_sym_DOT,
    STATE(505), 1,
      aux_sym_attribute_repeat1,
  [44873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 1,
      anon_sym_LPAREN,
    STATE(1187), 1,
      sym_arguments,
  [44883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [44891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2108), 1,
      sym__identifier,
    STATE(804), 1,
      sym_name,
  [44901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      anon_sym_LPAREN,
    STATE(754), 1,
      sym_arguments,
  [44911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 1,
      anon_sym_if,
    ACTIONS(2146), 1,
      anon_sym_COLON,
  [44921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [44929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1733), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [44937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_LPAREN,
    STATE(1345), 1,
      sym_parameters,
  [44947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(406), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [44955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 1,
      anon_sym_if,
    ACTIONS(2150), 1,
      anon_sym_else,
  [44965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2120), 1,
      anon_sym_if,
    ACTIONS(2152), 1,
      anon_sym_RBRACK,
  [44975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2140), 1,
      sym__identifier,
    STATE(1094), 1,
      sym_getter,
  [44985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2154), 1,
      anon_sym_get,
    STATE(1416), 1,
      sym__get_assign,
  [44995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2156), 1,
      anon_sym_set,
    STATE(1419), 1,
      sym__set_assign,
  [45005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1526), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [45013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(418), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [45021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2158), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_name,
  [45031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [45039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1532), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [45047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(973), 1,
      sym__string_start,
    STATE(624), 1,
      sym_string,
  [45057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1538), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [45065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1030), 1,
      anon_sym_DOT,
    STATE(517), 1,
      aux_sym_attribute_repeat1,
  [45075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(402), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [45083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 1,
      anon_sym_if,
    ACTIONS(2160), 1,
      anon_sym_COLON,
  [45093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2108), 1,
      sym__identifier,
    STATE(806), 1,
      sym_name,
  [45103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2162), 1,
      sym__identifier,
    STATE(914), 1,
      sym_name,
  [45113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_LPAREN,
    STATE(642), 1,
      sym_arguments,
  [45123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(422), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [45131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(621), 2,
      anon_sym_if,
      anon_sym_RBRACK,
  [45139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2032), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [45147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 1,
      anon_sym_if,
    ACTIONS(2164), 1,
      anon_sym_else,
  [45157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 1,
      anon_sym_if,
    ACTIONS(2166), 1,
      anon_sym_else,
  [45167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2120), 1,
      anon_sym_if,
    ACTIONS(2168), 1,
      anon_sym_RBRACK,
  [45177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [45185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1641), 1,
      sym__identifier,
    STATE(1243), 1,
      sym_identifier,
  [45195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1721), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [45203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2040), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [45211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(398), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [45219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      sym__identifier,
    STATE(827), 1,
      sym_identifier,
  [45229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 2,
      anon_sym_if,
      anon_sym_RBRACK,
  [45237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 1,
      anon_sym_if,
    ACTIONS(2170), 1,
      anon_sym_COLON,
  [45247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 1,
      anon_sym_DOT,
    STATE(534), 1,
      aux_sym_attribute_repeat1,
  [45257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2120), 1,
      anon_sym_if,
    ACTIONS(2172), 1,
      anon_sym_RBRACK,
  [45267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2174), 1,
      anon_sym_COLON,
    ACTIONS(2176), 1,
      anon_sym_DASH_GT,
  [45277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 1,
      anon_sym_DOT,
    STATE(660), 1,
      aux_sym_attribute_repeat1,
  [45287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 1,
      anon_sym_if,
    ACTIONS(2178), 1,
      anon_sym_COLON,
  [45297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2180), 1,
      sym__identifier,
    STATE(1389), 1,
      sym_setter,
  [45307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 1,
      sym__identifier,
    STATE(1391), 1,
      sym_getter,
  [45317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [45325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1695), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [45333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 1,
      anon_sym_if,
    ACTIONS(2184), 1,
      anon_sym_COLON,
  [45343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_DOT,
    STATE(661), 1,
      aux_sym_attribute_repeat1,
  [45353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 1,
      anon_sym_if,
    ACTIONS(2186), 1,
      anon_sym_COLON,
  [45363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_LPAREN,
    STATE(1102), 1,
      sym_parameters,
  [45373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 1,
      anon_sym_if,
    ACTIONS(2188), 1,
      anon_sym_COLON,
  [45383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1721), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [45391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1028), 1,
      anon_sym_DOT,
    STATE(536), 1,
      aux_sym_attribute_repeat1,
  [45401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1090), 1,
      anon_sym_DOT,
    STATE(537), 1,
      aux_sym_attribute_repeat1,
  [45411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_DOT,
    STATE(663), 1,
      aux_sym_attribute_repeat1,
  [45421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1090), 1,
      anon_sym_DOT,
    STATE(538), 1,
      aux_sym_attribute_repeat1,
  [45431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      sym__identifier,
    STATE(1184), 1,
      sym_identifier,
  [45441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1728), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [45449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 1,
      anon_sym_if,
    ACTIONS(2190), 1,
      anon_sym_COLON,
  [45459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 1,
      anon_sym_if,
    ACTIONS(2192), 1,
      anon_sym_COLON,
  [45469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [45477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1728), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [45485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 1,
      anon_sym_if,
    ACTIONS(2194), 1,
      anon_sym_COLON,
  [45495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_LPAREN,
    STATE(1013), 1,
      sym_parameters,
  [45505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_LPAREN,
    STATE(1014), 1,
      sym_parameters,
  [45515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 1,
      anon_sym_if,
    ACTIONS(2196), 1,
      anon_sym_COLON,
  [45525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_LPAREN,
    STATE(1016), 1,
      sym_parameters,
  [45535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(252), 1,
      sym_string,
  [45545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_LPAREN,
    STATE(1000), 1,
      sym_parameters,
  [45555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2198), 1,
      anon_sym_COLON,
    ACTIONS(2200), 1,
      anon_sym_in,
  [45565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_LPAREN,
    STATE(1023), 1,
      sym_parameters,
  [45575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 1,
      sym__string_start,
    STATE(645), 1,
      sym_string,
  [45585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 1,
      anon_sym_if,
    ACTIONS(2202), 1,
      anon_sym_COLON,
  [45595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 1,
      anon_sym_LPAREN,
    STATE(1257), 1,
      sym_arguments,
  [45605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_LPAREN,
    STATE(1005), 1,
      sym_parameters,
  [45615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      sym__identifier,
    STATE(858), 1,
      sym_identifier,
  [45625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 2,
      sym__dedent,
      anon_sym_get,
  [45633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 1,
      anon_sym_DOT,
    STATE(580), 1,
      aux_sym_attribute_repeat1,
  [45643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      sym__identifier,
    STATE(1303), 1,
      sym_identifier,
  [45653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(406), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [45661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2206), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [45669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1572), 1,
      anon_sym_LBRACE,
    STATE(185), 1,
      sym_enumerator_list,
  [45679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(398), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [45687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(621), 2,
      anon_sym_if,
      anon_sym_RPAREN,
  [45695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      sym__identifier,
    STATE(1175), 1,
      sym_identifier,
  [45705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1096), 1,
      anon_sym_LPAREN,
    STATE(603), 1,
      sym_arguments,
  [45715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(406), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [45723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1526), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [45731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [45739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      sym__identifier,
    STATE(1199), 1,
      sym_identifier,
  [45749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_LPAREN,
    STATE(1062), 1,
      sym_parameters,
  [45759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2085), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [45767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(73), 1,
      sym__string_start,
    STATE(1117), 1,
      sym_string,
  [45777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1868), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [45785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 2,
      anon_sym_COLON,
      anon_sym_extends,
  [45793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      sym__identifier,
    STATE(1217), 1,
      sym_identifier,
  [45803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1505), 1,
      anon_sym_RPAREN,
    ACTIONS(2102), 1,
      anon_sym_if,
  [45813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1526), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [45821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 1,
      anon_sym_if,
    ACTIONS(2210), 1,
      anon_sym_else,
  [45831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2120), 1,
      anon_sym_if,
    ACTIONS(2212), 1,
      anon_sym_RBRACK,
  [45841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(418), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [45849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      sym__identifier,
    STATE(1240), 1,
      sym_identifier,
  [45859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2214), 2,
      sym__dedent,
      anon_sym_set,
  [45867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 1,
      anon_sym_RBRACK,
    ACTIONS(2120), 1,
      anon_sym_if,
  [45877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2022), 1,
      sym_static_keyword,
    ACTIONS(2024), 1,
      anon_sym_var,
  [45887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [45895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1532), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [45903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2158), 1,
      sym__identifier,
    STATE(1120), 1,
      sym_name,
  [45913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(402), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [45921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1538), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [45929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2216), 1,
      anon_sym_COLON,
    ACTIONS(2218), 1,
      anon_sym_in,
  [45939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1570), 1,
      sym__identifier,
    STATE(853), 1,
      sym_name,
  [45949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_LPAREN,
    STATE(1126), 1,
      sym_parameters,
  [45959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_LPAREN,
    STATE(1140), 1,
      sym_parameters,
  [45969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_LPAREN,
    STATE(1143), 1,
      sym_parameters,
  [45979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(418), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [45987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_LPAREN,
    STATE(1147), 1,
      sym_parameters,
  [45997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2108), 1,
      sym__identifier,
    STATE(807), 1,
      sym_name,
  [46007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      sym__identifier,
    STATE(1328), 1,
      sym_identifier,
  [46017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1932), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [46025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(422), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [46033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2108), 1,
      sym__identifier,
    STATE(868), 1,
      sym_name,
  [46043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_COLON,
  [46050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2222), 1,
      anon_sym_COLON,
  [46057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1509), 1,
      anon_sym_EQ,
  [46064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_COLON,
  [46071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_in,
  [46078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2228), 1,
      anon_sym_COLON,
  [46085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_COLON,
  [46092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2232), 1,
      anon_sym_RPAREN,
  [46099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2234), 1,
      anon_sym_COLON,
  [46106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_COLON,
  [46113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2238), 1,
      anon_sym_RPAREN,
  [46120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 1,
      anon_sym_COLON,
  [46127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(402), 1,
      anon_sym_COLON,
  [46134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2242), 1,
      anon_sym_COLON,
  [46141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_COLON,
  [46148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_COLON,
  [46155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1532), 1,
      anon_sym_RPAREN,
  [46162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_COLON,
  [46169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_COLON,
  [46176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2252), 1,
      anon_sym_COMMA,
  [46183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1821), 1,
      sym__dedent,
  [46190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      sym__dedent,
  [46197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2254), 1,
      sym__dedent,
  [46204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_COLON,
  [46211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_COLON,
  [46218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2258), 1,
      anon_sym_COLON,
  [46225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(422), 1,
      anon_sym_RPAREN,
  [46232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(398), 1,
      anon_sym_COLON,
  [46239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2260), 1,
      anon_sym_COLON,
  [46246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_RPAREN,
  [46253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 1,
      anon_sym_COLON,
  [46260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2266), 1,
      anon_sym_RPAREN,
  [46267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(406), 1,
      anon_sym_RPAREN,
  [46274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 1,
      anon_sym_RPAREN,
  [46281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_COLON,
  [46288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2270), 1,
      anon_sym_RPAREN,
  [46295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_COLON,
  [46302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2274), 1,
      anon_sym_COLON,
  [46309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2276), 1,
      anon_sym_COLON,
  [46316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COLON,
  [46323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2280), 1,
      anon_sym_COLON,
  [46330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_RPAREN,
  [46337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_COMMA,
  [46344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2282), 1,
      anon_sym_COLON,
  [46351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2058), 1,
      anon_sym_func,
  [46358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(418), 1,
      anon_sym_COLON,
  [46365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2284), 1,
      anon_sym_COLON,
  [46372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2286), 1,
      anon_sym_COMMA,
  [46379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 1,
      anon_sym_RPAREN,
  [46386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2288), 1,
      sym__dedent,
  [46393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2288), 1,
      anon_sym_COMMA,
  [46400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2290), 1,
      sym__dedent,
  [46407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_COLON,
  [46414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(406), 1,
      anon_sym_COLON,
  [46421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_COLON,
  [46428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2294), 1,
      anon_sym_COLON,
  [46435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_COLON,
  [46442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_COLON,
  [46449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2300), 1,
      sym__dedent,
  [46456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2302), 1,
      anon_sym_RPAREN,
  [46463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_COMMA,
  [46470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 1,
      anon_sym_COLON,
  [46477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2304), 1,
      anon_sym_COLON,
  [46484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(398), 1,
      anon_sym_RPAREN,
  [46491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2306), 1,
      anon_sym_COLON,
  [46498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_var,
  [46505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(418), 1,
      anon_sym_RPAREN,
  [46512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(422), 1,
      anon_sym_COLON,
  [46519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1520), 1,
      anon_sym_COLON,
  [46526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_func,
  [46533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2308), 1,
      anon_sym_COLON,
  [46540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_EQ,
  [46547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1821), 1,
      anon_sym_COMMA,
  [46554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2312), 1,
      anon_sym_RPAREN,
  [46561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_COLON,
  [46568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2316), 1,
      anon_sym_in,
  [46575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2318), 1,
      sym__dedent,
  [46582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_EQ,
  [46589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1526), 1,
      anon_sym_RPAREN,
  [46596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2322), 1,
      sym__dedent,
  [46603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 1,
      anon_sym_COLON,
  [46610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2324), 1,
      anon_sym_var,
  [46617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1526), 1,
      anon_sym_COLON,
  [46624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_COLON,
  [46631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2328), 1,
      anon_sym_COLON,
  [46638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(402), 1,
      anon_sym_RPAREN,
  [46645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1532), 1,
      anon_sym_COLON,
  [46652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1003), 1,
      sym__indent,
  [46659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2330), 1,
      ts_builtin_sym_end,
  [46666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_COLON,
  [46673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_COLON,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(124)] = 0,
  [SMALL_STATE(125)] = 73,
  [SMALL_STATE(126)] = 146,
  [SMALL_STATE(127)] = 218,
  [SMALL_STATE(128)] = 286,
  [SMALL_STATE(129)] = 358,
  [SMALL_STATE(130)] = 425,
  [SMALL_STATE(131)] = 485,
  [SMALL_STATE(132)] = 545,
  [SMALL_STATE(133)] = 605,
  [SMALL_STATE(134)] = 665,
  [SMALL_STATE(135)] = 725,
  [SMALL_STATE(136)] = 785,
  [SMALL_STATE(137)] = 845,
  [SMALL_STATE(138)] = 905,
  [SMALL_STATE(139)] = 964,
  [SMALL_STATE(140)] = 1023,
  [SMALL_STATE(141)] = 1082,
  [SMALL_STATE(142)] = 1141,
  [SMALL_STATE(143)] = 1200,
  [SMALL_STATE(144)] = 1259,
  [SMALL_STATE(145)] = 1318,
  [SMALL_STATE(146)] = 1377,
  [SMALL_STATE(147)] = 1435,
  [SMALL_STATE(148)] = 1493,
  [SMALL_STATE(149)] = 1551,
  [SMALL_STATE(150)] = 1609,
  [SMALL_STATE(151)] = 1667,
  [SMALL_STATE(152)] = 1725,
  [SMALL_STATE(153)] = 1783,
  [SMALL_STATE(154)] = 1841,
  [SMALL_STATE(155)] = 1899,
  [SMALL_STATE(156)] = 1957,
  [SMALL_STATE(157)] = 2015,
  [SMALL_STATE(158)] = 2073,
  [SMALL_STATE(159)] = 2131,
  [SMALL_STATE(160)] = 2189,
  [SMALL_STATE(161)] = 2247,
  [SMALL_STATE(162)] = 2305,
  [SMALL_STATE(163)] = 2363,
  [SMALL_STATE(164)] = 2421,
  [SMALL_STATE(165)] = 2479,
  [SMALL_STATE(166)] = 2537,
  [SMALL_STATE(167)] = 2595,
  [SMALL_STATE(168)] = 2653,
  [SMALL_STATE(169)] = 2711,
  [SMALL_STATE(170)] = 2769,
  [SMALL_STATE(171)] = 2827,
  [SMALL_STATE(172)] = 2885,
  [SMALL_STATE(173)] = 2943,
  [SMALL_STATE(174)] = 3001,
  [SMALL_STATE(175)] = 3059,
  [SMALL_STATE(176)] = 3117,
  [SMALL_STATE(177)] = 3175,
  [SMALL_STATE(178)] = 3232,
  [SMALL_STATE(179)] = 3289,
  [SMALL_STATE(180)] = 3346,
  [SMALL_STATE(181)] = 3403,
  [SMALL_STATE(182)] = 3460,
  [SMALL_STATE(183)] = 3517,
  [SMALL_STATE(184)] = 3574,
  [SMALL_STATE(185)] = 3631,
  [SMALL_STATE(186)] = 3688,
  [SMALL_STATE(187)] = 3745,
  [SMALL_STATE(188)] = 3802,
  [SMALL_STATE(189)] = 3859,
  [SMALL_STATE(190)] = 3916,
  [SMALL_STATE(191)] = 3973,
  [SMALL_STATE(192)] = 4030,
  [SMALL_STATE(193)] = 4087,
  [SMALL_STATE(194)] = 4144,
  [SMALL_STATE(195)] = 4201,
  [SMALL_STATE(196)] = 4258,
  [SMALL_STATE(197)] = 4315,
  [SMALL_STATE(198)] = 4372,
  [SMALL_STATE(199)] = 4429,
  [SMALL_STATE(200)] = 4486,
  [SMALL_STATE(201)] = 4543,
  [SMALL_STATE(202)] = 4600,
  [SMALL_STATE(203)] = 4657,
  [SMALL_STATE(204)] = 4714,
  [SMALL_STATE(205)] = 4771,
  [SMALL_STATE(206)] = 4828,
  [SMALL_STATE(207)] = 4885,
  [SMALL_STATE(208)] = 4942,
  [SMALL_STATE(209)] = 4997,
  [SMALL_STATE(210)] = 5052,
  [SMALL_STATE(211)] = 5107,
  [SMALL_STATE(212)] = 5162,
  [SMALL_STATE(213)] = 5217,
  [SMALL_STATE(214)] = 5277,
  [SMALL_STATE(215)] = 5339,
  [SMALL_STATE(216)] = 5403,
  [SMALL_STATE(217)] = 5463,
  [SMALL_STATE(218)] = 5517,
  [SMALL_STATE(219)] = 5575,
  [SMALL_STATE(220)] = 5647,
  [SMALL_STATE(221)] = 5717,
  [SMALL_STATE(222)] = 5775,
  [SMALL_STATE(223)] = 5831,
  [SMALL_STATE(224)] = 5887,
  [SMALL_STATE(225)] = 5955,
  [SMALL_STATE(226)] = 6033,
  [SMALL_STATE(227)] = 6099,
  [SMALL_STATE(228)] = 6179,
  [SMALL_STATE(229)] = 6255,
  [SMALL_STATE(230)] = 6311,
  [SMALL_STATE(231)] = 6369,
  [SMALL_STATE(232)] = 6452,
  [SMALL_STATE(233)] = 6503,
  [SMALL_STATE(234)] = 6554,
  [SMALL_STATE(235)] = 6605,
  [SMALL_STATE(236)] = 6656,
  [SMALL_STATE(237)] = 6707,
  [SMALL_STATE(238)] = 6758,
  [SMALL_STATE(239)] = 6809,
  [SMALL_STATE(240)] = 6860,
  [SMALL_STATE(241)] = 6911,
  [SMALL_STATE(242)] = 6962,
  [SMALL_STATE(243)] = 7013,
  [SMALL_STATE(244)] = 7102,
  [SMALL_STATE(245)] = 7153,
  [SMALL_STATE(246)] = 7204,
  [SMALL_STATE(247)] = 7255,
  [SMALL_STATE(248)] = 7306,
  [SMALL_STATE(249)] = 7359,
  [SMALL_STATE(250)] = 7410,
  [SMALL_STATE(251)] = 7461,
  [SMALL_STATE(252)] = 7512,
  [SMALL_STATE(253)] = 7563,
  [SMALL_STATE(254)] = 7655,
  [SMALL_STATE(255)] = 7747,
  [SMALL_STATE(256)] = 7839,
  [SMALL_STATE(257)] = 7931,
  [SMALL_STATE(258)] = 7981,
  [SMALL_STATE(259)] = 8073,
  [SMALL_STATE(260)] = 8165,
  [SMALL_STATE(261)] = 8257,
  [SMALL_STATE(262)] = 8349,
  [SMALL_STATE(263)] = 8441,
  [SMALL_STATE(264)] = 8533,
  [SMALL_STATE(265)] = 8625,
  [SMALL_STATE(266)] = 8675,
  [SMALL_STATE(267)] = 8767,
  [SMALL_STATE(268)] = 8859,
  [SMALL_STATE(269)] = 8951,
  [SMALL_STATE(270)] = 9043,
  [SMALL_STATE(271)] = 9135,
  [SMALL_STATE(272)] = 9227,
  [SMALL_STATE(273)] = 9277,
  [SMALL_STATE(274)] = 9369,
  [SMALL_STATE(275)] = 9461,
  [SMALL_STATE(276)] = 9553,
  [SMALL_STATE(277)] = 9645,
  [SMALL_STATE(278)] = 9695,
  [SMALL_STATE(279)] = 9782,
  [SMALL_STATE(280)] = 9869,
  [SMALL_STATE(281)] = 9956,
  [SMALL_STATE(282)] = 10043,
  [SMALL_STATE(283)] = 10130,
  [SMALL_STATE(284)] = 10217,
  [SMALL_STATE(285)] = 10304,
  [SMALL_STATE(286)] = 10391,
  [SMALL_STATE(287)] = 10480,
  [SMALL_STATE(288)] = 10567,
  [SMALL_STATE(289)] = 10654,
  [SMALL_STATE(290)] = 10741,
  [SMALL_STATE(291)] = 10828,
  [SMALL_STATE(292)] = 10915,
  [SMALL_STATE(293)] = 11002,
  [SMALL_STATE(294)] = 11089,
  [SMALL_STATE(295)] = 11176,
  [SMALL_STATE(296)] = 11263,
  [SMALL_STATE(297)] = 11350,
  [SMALL_STATE(298)] = 11437,
  [SMALL_STATE(299)] = 11524,
  [SMALL_STATE(300)] = 11611,
  [SMALL_STATE(301)] = 11698,
  [SMALL_STATE(302)] = 11785,
  [SMALL_STATE(303)] = 11872,
  [SMALL_STATE(304)] = 11959,
  [SMALL_STATE(305)] = 12046,
  [SMALL_STATE(306)] = 12133,
  [SMALL_STATE(307)] = 12220,
  [SMALL_STATE(308)] = 12307,
  [SMALL_STATE(309)] = 12394,
  [SMALL_STATE(310)] = 12481,
  [SMALL_STATE(311)] = 12568,
  [SMALL_STATE(312)] = 12655,
  [SMALL_STATE(313)] = 12742,
  [SMALL_STATE(314)] = 12829,
  [SMALL_STATE(315)] = 12916,
  [SMALL_STATE(316)] = 13003,
  [SMALL_STATE(317)] = 13090,
  [SMALL_STATE(318)] = 13177,
  [SMALL_STATE(319)] = 13264,
  [SMALL_STATE(320)] = 13351,
  [SMALL_STATE(321)] = 13438,
  [SMALL_STATE(322)] = 13522,
  [SMALL_STATE(323)] = 13606,
  [SMALL_STATE(324)] = 13690,
  [SMALL_STATE(325)] = 13776,
  [SMALL_STATE(326)] = 13860,
  [SMALL_STATE(327)] = 13944,
  [SMALL_STATE(328)] = 14030,
  [SMALL_STATE(329)] = 14114,
  [SMALL_STATE(330)] = 14198,
  [SMALL_STATE(331)] = 14282,
  [SMALL_STATE(332)] = 14368,
  [SMALL_STATE(333)] = 14452,
  [SMALL_STATE(334)] = 14536,
  [SMALL_STATE(335)] = 14620,
  [SMALL_STATE(336)] = 14704,
  [SMALL_STATE(337)] = 14788,
  [SMALL_STATE(338)] = 14872,
  [SMALL_STATE(339)] = 14956,
  [SMALL_STATE(340)] = 15040,
  [SMALL_STATE(341)] = 15124,
  [SMALL_STATE(342)] = 15207,
  [SMALL_STATE(343)] = 15284,
  [SMALL_STATE(344)] = 15361,
  [SMALL_STATE(345)] = 15438,
  [SMALL_STATE(346)] = 15515,
  [SMALL_STATE(347)] = 15592,
  [SMALL_STATE(348)] = 15669,
  [SMALL_STATE(349)] = 15746,
  [SMALL_STATE(350)] = 15823,
  [SMALL_STATE(351)] = 15900,
  [SMALL_STATE(352)] = 15977,
  [SMALL_STATE(353)] = 16054,
  [SMALL_STATE(354)] = 16131,
  [SMALL_STATE(355)] = 16208,
  [SMALL_STATE(356)] = 16285,
  [SMALL_STATE(357)] = 16362,
  [SMALL_STATE(358)] = 16439,
  [SMALL_STATE(359)] = 16516,
  [SMALL_STATE(360)] = 16593,
  [SMALL_STATE(361)] = 16670,
  [SMALL_STATE(362)] = 16747,
  [SMALL_STATE(363)] = 16824,
  [SMALL_STATE(364)] = 16901,
  [SMALL_STATE(365)] = 16978,
  [SMALL_STATE(366)] = 17055,
  [SMALL_STATE(367)] = 17132,
  [SMALL_STATE(368)] = 17209,
  [SMALL_STATE(369)] = 17286,
  [SMALL_STATE(370)] = 17363,
  [SMALL_STATE(371)] = 17440,
  [SMALL_STATE(372)] = 17517,
  [SMALL_STATE(373)] = 17594,
  [SMALL_STATE(374)] = 17671,
  [SMALL_STATE(375)] = 17748,
  [SMALL_STATE(376)] = 17825,
  [SMALL_STATE(377)] = 17902,
  [SMALL_STATE(378)] = 17979,
  [SMALL_STATE(379)] = 18056,
  [SMALL_STATE(380)] = 18133,
  [SMALL_STATE(381)] = 18210,
  [SMALL_STATE(382)] = 18287,
  [SMALL_STATE(383)] = 18364,
  [SMALL_STATE(384)] = 18444,
  [SMALL_STATE(385)] = 18521,
  [SMALL_STATE(386)] = 18595,
  [SMALL_STATE(387)] = 18671,
  [SMALL_STATE(388)] = 18745,
  [SMALL_STATE(389)] = 18819,
  [SMALL_STATE(390)] = 18893,
  [SMALL_STATE(391)] = 18967,
  [SMALL_STATE(392)] = 19041,
  [SMALL_STATE(393)] = 19115,
  [SMALL_STATE(394)] = 19157,
  [SMALL_STATE(395)] = 19233,
  [SMALL_STATE(396)] = 19307,
  [SMALL_STATE(397)] = 19383,
  [SMALL_STATE(398)] = 19450,
  [SMALL_STATE(399)] = 19517,
  [SMALL_STATE(400)] = 19584,
  [SMALL_STATE(401)] = 19651,
  [SMALL_STATE(402)] = 19718,
  [SMALL_STATE(403)] = 19785,
  [SMALL_STATE(404)] = 19852,
  [SMALL_STATE(405)] = 19919,
  [SMALL_STATE(406)] = 19986,
  [SMALL_STATE(407)] = 20053,
  [SMALL_STATE(408)] = 20120,
  [SMALL_STATE(409)] = 20187,
  [SMALL_STATE(410)] = 20254,
  [SMALL_STATE(411)] = 20321,
  [SMALL_STATE(412)] = 20388,
  [SMALL_STATE(413)] = 20455,
  [SMALL_STATE(414)] = 20522,
  [SMALL_STATE(415)] = 20589,
  [SMALL_STATE(416)] = 20656,
  [SMALL_STATE(417)] = 20723,
  [SMALL_STATE(418)] = 20790,
  [SMALL_STATE(419)] = 20857,
  [SMALL_STATE(420)] = 20924,
  [SMALL_STATE(421)] = 20991,
  [SMALL_STATE(422)] = 21058,
  [SMALL_STATE(423)] = 21125,
  [SMALL_STATE(424)] = 21192,
  [SMALL_STATE(425)] = 21259,
  [SMALL_STATE(426)] = 21326,
  [SMALL_STATE(427)] = 21393,
  [SMALL_STATE(428)] = 21460,
  [SMALL_STATE(429)] = 21527,
  [SMALL_STATE(430)] = 21594,
  [SMALL_STATE(431)] = 21661,
  [SMALL_STATE(432)] = 21728,
  [SMALL_STATE(433)] = 21795,
  [SMALL_STATE(434)] = 21862,
  [SMALL_STATE(435)] = 21929,
  [SMALL_STATE(436)] = 21996,
  [SMALL_STATE(437)] = 22063,
  [SMALL_STATE(438)] = 22130,
  [SMALL_STATE(439)] = 22197,
  [SMALL_STATE(440)] = 22264,
  [SMALL_STATE(441)] = 22331,
  [SMALL_STATE(442)] = 22398,
  [SMALL_STATE(443)] = 22465,
  [SMALL_STATE(444)] = 22532,
  [SMALL_STATE(445)] = 22599,
  [SMALL_STATE(446)] = 22666,
  [SMALL_STATE(447)] = 22733,
  [SMALL_STATE(448)] = 22800,
  [SMALL_STATE(449)] = 22867,
  [SMALL_STATE(450)] = 22934,
  [SMALL_STATE(451)] = 23001,
  [SMALL_STATE(452)] = 23068,
  [SMALL_STATE(453)] = 23135,
  [SMALL_STATE(454)] = 23202,
  [SMALL_STATE(455)] = 23269,
  [SMALL_STATE(456)] = 23336,
  [SMALL_STATE(457)] = 23403,
  [SMALL_STATE(458)] = 23470,
  [SMALL_STATE(459)] = 23537,
  [SMALL_STATE(460)] = 23604,
  [SMALL_STATE(461)] = 23671,
  [SMALL_STATE(462)] = 23738,
  [SMALL_STATE(463)] = 23805,
  [SMALL_STATE(464)] = 23872,
  [SMALL_STATE(465)] = 23939,
  [SMALL_STATE(466)] = 24006,
  [SMALL_STATE(467)] = 24073,
  [SMALL_STATE(468)] = 24140,
  [SMALL_STATE(469)] = 24207,
  [SMALL_STATE(470)] = 24274,
  [SMALL_STATE(471)] = 24341,
  [SMALL_STATE(472)] = 24408,
  [SMALL_STATE(473)] = 24475,
  [SMALL_STATE(474)] = 24542,
  [SMALL_STATE(475)] = 24609,
  [SMALL_STATE(476)] = 24676,
  [SMALL_STATE(477)] = 24743,
  [SMALL_STATE(478)] = 24810,
  [SMALL_STATE(479)] = 24877,
  [SMALL_STATE(480)] = 24944,
  [SMALL_STATE(481)] = 25011,
  [SMALL_STATE(482)] = 25078,
  [SMALL_STATE(483)] = 25145,
  [SMALL_STATE(484)] = 25212,
  [SMALL_STATE(485)] = 25279,
  [SMALL_STATE(486)] = 25346,
  [SMALL_STATE(487)] = 25413,
  [SMALL_STATE(488)] = 25480,
  [SMALL_STATE(489)] = 25547,
  [SMALL_STATE(490)] = 25614,
  [SMALL_STATE(491)] = 25681,
  [SMALL_STATE(492)] = 25748,
  [SMALL_STATE(493)] = 25815,
  [SMALL_STATE(494)] = 25882,
  [SMALL_STATE(495)] = 25949,
  [SMALL_STATE(496)] = 26016,
  [SMALL_STATE(497)] = 26083,
  [SMALL_STATE(498)] = 26150,
  [SMALL_STATE(499)] = 26217,
  [SMALL_STATE(500)] = 26284,
  [SMALL_STATE(501)] = 26351,
  [SMALL_STATE(502)] = 26418,
  [SMALL_STATE(503)] = 26464,
  [SMALL_STATE(504)] = 26503,
  [SMALL_STATE(505)] = 26546,
  [SMALL_STATE(506)] = 26589,
  [SMALL_STATE(507)] = 26632,
  [SMALL_STATE(508)] = 26677,
  [SMALL_STATE(509)] = 26720,
  [SMALL_STATE(510)] = 26765,
  [SMALL_STATE(511)] = 26808,
  [SMALL_STATE(512)] = 26846,
  [SMALL_STATE(513)] = 26894,
  [SMALL_STATE(514)] = 26940,
  [SMALL_STATE(515)] = 26996,
  [SMALL_STATE(516)] = 27048,
  [SMALL_STATE(517)] = 27098,
  [SMALL_STATE(518)] = 27138,
  [SMALL_STATE(519)] = 27192,
  [SMALL_STATE(520)] = 27252,
  [SMALL_STATE(521)] = 27314,
  [SMALL_STATE(522)] = 27378,
  [SMALL_STATE(523)] = 27426,
  [SMALL_STATE(524)] = 27472,
  [SMALL_STATE(525)] = 27528,
  [SMALL_STATE(526)] = 27580,
  [SMALL_STATE(527)] = 27630,
  [SMALL_STATE(528)] = 27688,
  [SMALL_STATE(529)] = 27730,
  [SMALL_STATE(530)] = 27788,
  [SMALL_STATE(531)] = 27832,
  [SMALL_STATE(532)] = 27876,
  [SMALL_STATE(533)] = 27918,
  [SMALL_STATE(534)] = 27962,
  [SMALL_STATE(535)] = 28002,
  [SMALL_STATE(536)] = 28044,
  [SMALL_STATE(537)] = 28084,
  [SMALL_STATE(538)] = 28126,
  [SMALL_STATE(539)] = 28166,
  [SMALL_STATE(540)] = 28212,
  [SMALL_STATE(541)] = 28258,
  [SMALL_STATE(542)] = 28302,
  [SMALL_STATE(543)] = 28352,
  [SMALL_STATE(544)] = 28390,
  [SMALL_STATE(545)] = 28436,
  [SMALL_STATE(546)] = 28474,
  [SMALL_STATE(547)] = 28518,
  [SMALL_STATE(548)] = 28556,
  [SMALL_STATE(549)] = 28600,
  [SMALL_STATE(550)] = 28658,
  [SMALL_STATE(551)] = 28696,
  [SMALL_STATE(552)] = 28748,
  [SMALL_STATE(553)] = 28786,
  [SMALL_STATE(554)] = 28828,
  [SMALL_STATE(555)] = 28882,
  [SMALL_STATE(556)] = 28942,
  [SMALL_STATE(557)] = 29004,
  [SMALL_STATE(558)] = 29068,
  [SMALL_STATE(559)] = 29116,
  [SMALL_STATE(560)] = 29162,
  [SMALL_STATE(561)] = 29218,
  [SMALL_STATE(562)] = 29270,
  [SMALL_STATE(563)] = 29320,
  [SMALL_STATE(564)] = 29378,
  [SMALL_STATE(565)] = 29420,
  [SMALL_STATE(566)] = 29458,
  [SMALL_STATE(567)] = 29502,
  [SMALL_STATE(568)] = 29540,
  [SMALL_STATE(569)] = 29578,
  [SMALL_STATE(570)] = 29632,
  [SMALL_STATE(571)] = 29676,
  [SMALL_STATE(572)] = 29736,
  [SMALL_STATE(573)] = 29774,
  [SMALL_STATE(574)] = 29818,
  [SMALL_STATE(575)] = 29856,
  [SMALL_STATE(576)] = 29918,
  [SMALL_STATE(577)] = 29960,
  [SMALL_STATE(578)] = 30024,
  [SMALL_STATE(579)] = 30068,
  [SMALL_STATE(580)] = 30114,
  [SMALL_STATE(581)] = 30156,
  [SMALL_STATE(582)] = 30210,
  [SMALL_STATE(583)] = 30270,
  [SMALL_STATE(584)] = 30332,
  [SMALL_STATE(585)] = 30396,
  [SMALL_STATE(586)] = 30444,
  [SMALL_STATE(587)] = 30482,
  [SMALL_STATE(588)] = 30528,
  [SMALL_STATE(589)] = 30584,
  [SMALL_STATE(590)] = 30622,
  [SMALL_STATE(591)] = 30659,
  [SMALL_STATE(592)] = 30696,
  [SMALL_STATE(593)] = 30733,
  [SMALL_STATE(594)] = 30778,
  [SMALL_STATE(595)] = 30815,
  [SMALL_STATE(596)] = 30882,
  [SMALL_STATE(597)] = 30927,
  [SMALL_STATE(598)] = 30964,
  [SMALL_STATE(599)] = 31001,
  [SMALL_STATE(600)] = 31038,
  [SMALL_STATE(601)] = 31075,
  [SMALL_STATE(602)] = 31112,
  [SMALL_STATE(603)] = 31149,
  [SMALL_STATE(604)] = 31186,
  [SMALL_STATE(605)] = 31223,
  [SMALL_STATE(606)] = 31276,
  [SMALL_STATE(607)] = 31335,
  [SMALL_STATE(608)] = 31396,
  [SMALL_STATE(609)] = 31459,
  [SMALL_STATE(610)] = 31506,
  [SMALL_STATE(611)] = 31551,
  [SMALL_STATE(612)] = 31606,
  [SMALL_STATE(613)] = 31657,
  [SMALL_STATE(614)] = 31706,
  [SMALL_STATE(615)] = 31763,
  [SMALL_STATE(616)] = 31804,
  [SMALL_STATE(617)] = 31847,
  [SMALL_STATE(618)] = 31890,
  [SMALL_STATE(619)] = 31931,
  [SMALL_STATE(620)] = 31974,
  [SMALL_STATE(621)] = 32013,
  [SMALL_STATE(622)] = 32050,
  [SMALL_STATE(623)] = 32117,
  [SMALL_STATE(624)] = 32154,
  [SMALL_STATE(625)] = 32191,
  [SMALL_STATE(626)] = 32228,
  [SMALL_STATE(627)] = 32265,
  [SMALL_STATE(628)] = 32318,
  [SMALL_STATE(629)] = 32377,
  [SMALL_STATE(630)] = 32438,
  [SMALL_STATE(631)] = 32501,
  [SMALL_STATE(632)] = 32548,
  [SMALL_STATE(633)] = 32593,
  [SMALL_STATE(634)] = 32648,
  [SMALL_STATE(635)] = 32699,
  [SMALL_STATE(636)] = 32748,
  [SMALL_STATE(637)] = 32785,
  [SMALL_STATE(638)] = 32842,
  [SMALL_STATE(639)] = 32879,
  [SMALL_STATE(640)] = 32916,
  [SMALL_STATE(641)] = 32953,
  [SMALL_STATE(642)] = 32990,
  [SMALL_STATE(643)] = 33027,
  [SMALL_STATE(644)] = 33064,
  [SMALL_STATE(645)] = 33105,
  [SMALL_STATE(646)] = 33142,
  [SMALL_STATE(647)] = 33185,
  [SMALL_STATE(648)] = 33228,
  [SMALL_STATE(649)] = 33269,
  [SMALL_STATE(650)] = 33312,
  [SMALL_STATE(651)] = 33349,
  [SMALL_STATE(652)] = 33386,
  [SMALL_STATE(653)] = 33423,
  [SMALL_STATE(654)] = 33460,
  [SMALL_STATE(655)] = 33497,
  [SMALL_STATE(656)] = 33534,
  [SMALL_STATE(657)] = 33571,
  [SMALL_STATE(658)] = 33608,
  [SMALL_STATE(659)] = 33645,
  [SMALL_STATE(660)] = 33682,
  [SMALL_STATE(661)] = 33721,
  [SMALL_STATE(662)] = 33762,
  [SMALL_STATE(663)] = 33801,
  [SMALL_STATE(664)] = 33840,
  [SMALL_STATE(665)] = 33879,
  [SMALL_STATE(666)] = 33916,
  [SMALL_STATE(667)] = 33983,
  [SMALL_STATE(668)] = 34020,
  [SMALL_STATE(669)] = 34057,
  [SMALL_STATE(670)] = 34100,
  [SMALL_STATE(671)] = 34137,
  [SMALL_STATE(672)] = 34174,
  [SMALL_STATE(673)] = 34211,
  [SMALL_STATE(674)] = 34278,
  [SMALL_STATE(675)] = 34315,
  [SMALL_STATE(676)] = 34352,
  [SMALL_STATE(677)] = 34389,
  [SMALL_STATE(678)] = 34426,
  [SMALL_STATE(679)] = 34463,
  [SMALL_STATE(680)] = 34500,
  [SMALL_STATE(681)] = 34537,
  [SMALL_STATE(682)] = 34574,
  [SMALL_STATE(683)] = 34611,
  [SMALL_STATE(684)] = 34648,
  [SMALL_STATE(685)] = 34685,
  [SMALL_STATE(686)] = 34722,
  [SMALL_STATE(687)] = 34759,
  [SMALL_STATE(688)] = 34796,
  [SMALL_STATE(689)] = 34833,
  [SMALL_STATE(690)] = 34870,
  [SMALL_STATE(691)] = 34911,
  [SMALL_STATE(692)] = 34948,
  [SMALL_STATE(693)] = 34985,
  [SMALL_STATE(694)] = 35022,
  [SMALL_STATE(695)] = 35059,
  [SMALL_STATE(696)] = 35096,
  [SMALL_STATE(697)] = 35133,
  [SMALL_STATE(698)] = 35170,
  [SMALL_STATE(699)] = 35207,
  [SMALL_STATE(700)] = 35244,
  [SMALL_STATE(701)] = 35281,
  [SMALL_STATE(702)] = 35322,
  [SMALL_STATE(703)] = 35361,
  [SMALL_STATE(704)] = 35398,
  [SMALL_STATE(705)] = 35435,
  [SMALL_STATE(706)] = 35472,
  [SMALL_STATE(707)] = 35513,
  [SMALL_STATE(708)] = 35550,
  [SMALL_STATE(709)] = 35587,
  [SMALL_STATE(710)] = 35624,
  [SMALL_STATE(711)] = 35661,
  [SMALL_STATE(712)] = 35698,
  [SMALL_STATE(713)] = 35735,
  [SMALL_STATE(714)] = 35772,
  [SMALL_STATE(715)] = 35808,
  [SMALL_STATE(716)] = 35844,
  [SMALL_STATE(717)] = 35880,
  [SMALL_STATE(718)] = 35916,
  [SMALL_STATE(719)] = 35952,
  [SMALL_STATE(720)] = 36018,
  [SMALL_STATE(721)] = 36054,
  [SMALL_STATE(722)] = 36090,
  [SMALL_STATE(723)] = 36126,
  [SMALL_STATE(724)] = 36162,
  [SMALL_STATE(725)] = 36198,
  [SMALL_STATE(726)] = 36240,
  [SMALL_STATE(727)] = 36276,
  [SMALL_STATE(728)] = 36312,
  [SMALL_STATE(729)] = 36352,
  [SMALL_STATE(730)] = 36388,
  [SMALL_STATE(731)] = 36424,
  [SMALL_STATE(732)] = 36460,
  [SMALL_STATE(733)] = 36496,
  [SMALL_STATE(734)] = 36532,
  [SMALL_STATE(735)] = 36568,
  [SMALL_STATE(736)] = 36604,
  [SMALL_STATE(737)] = 36640,
  [SMALL_STATE(738)] = 36676,
  [SMALL_STATE(739)] = 36712,
  [SMALL_STATE(740)] = 36748,
  [SMALL_STATE(741)] = 36784,
  [SMALL_STATE(742)] = 36820,
  [SMALL_STATE(743)] = 36856,
  [SMALL_STATE(744)] = 36892,
  [SMALL_STATE(745)] = 36928,
  [SMALL_STATE(746)] = 36964,
  [SMALL_STATE(747)] = 37000,
  [SMALL_STATE(748)] = 37036,
  [SMALL_STATE(749)] = 37072,
  [SMALL_STATE(750)] = 37108,
  [SMALL_STATE(751)] = 37144,
  [SMALL_STATE(752)] = 37180,
  [SMALL_STATE(753)] = 37216,
  [SMALL_STATE(754)] = 37252,
  [SMALL_STATE(755)] = 37288,
  [SMALL_STATE(756)] = 37324,
  [SMALL_STATE(757)] = 37362,
  [SMALL_STATE(758)] = 37398,
  [SMALL_STATE(759)] = 37434,
  [SMALL_STATE(760)] = 37470,
  [SMALL_STATE(761)] = 37510,
  [SMALL_STATE(762)] = 37546,
  [SMALL_STATE(763)] = 37582,
  [SMALL_STATE(764)] = 37620,
  [SMALL_STATE(765)] = 37656,
  [SMALL_STATE(766)] = 37722,
  [SMALL_STATE(767)] = 37758,
  [SMALL_STATE(768)] = 37794,
  [SMALL_STATE(769)] = 37830,
  [SMALL_STATE(770)] = 37895,
  [SMALL_STATE(771)] = 37960,
  [SMALL_STATE(772)] = 38025,
  [SMALL_STATE(773)] = 38064,
  [SMALL_STATE(774)] = 38129,
  [SMALL_STATE(775)] = 38194,
  [SMALL_STATE(776)] = 38231,
  [SMALL_STATE(777)] = 38270,
  [SMALL_STATE(778)] = 38335,
  [SMALL_STATE(779)] = 38400,
  [SMALL_STATE(780)] = 38462,
  [SMALL_STATE(781)] = 38500,
  [SMALL_STATE(782)] = 38562,
  [SMALL_STATE(783)] = 38624,
  [SMALL_STATE(784)] = 38686,
  [SMALL_STATE(785)] = 38721,
  [SMALL_STATE(786)] = 38750,
  [SMALL_STATE(787)] = 38779,
  [SMALL_STATE(788)] = 38825,
  [SMALL_STATE(789)] = 38871,
  [SMALL_STATE(790)] = 38917,
  [SMALL_STATE(791)] = 38960,
  [SMALL_STATE(792)] = 39005,
  [SMALL_STATE(793)] = 39050,
  [SMALL_STATE(794)] = 39093,
  [SMALL_STATE(795)] = 39138,
  [SMALL_STATE(796)] = 39180,
  [SMALL_STATE(797)] = 39203,
  [SMALL_STATE(798)] = 39248,
  [SMALL_STATE(799)] = 39287,
  [SMALL_STATE(800)] = 39312,
  [SMALL_STATE(801)] = 39351,
  [SMALL_STATE(802)] = 39374,
  [SMALL_STATE(803)] = 39413,
  [SMALL_STATE(804)] = 39440,
  [SMALL_STATE(805)] = 39482,
  [SMALL_STATE(806)] = 39524,
  [SMALL_STATE(807)] = 39566,
  [SMALL_STATE(808)] = 39608,
  [SMALL_STATE(809)] = 39628,
  [SMALL_STATE(810)] = 39648,
  [SMALL_STATE(811)] = 39668,
  [SMALL_STATE(812)] = 39688,
  [SMALL_STATE(813)] = 39708,
  [SMALL_STATE(814)] = 39728,
  [SMALL_STATE(815)] = 39748,
  [SMALL_STATE(816)] = 39768,
  [SMALL_STATE(817)] = 39788,
  [SMALL_STATE(818)] = 39814,
  [SMALL_STATE(819)] = 39840,
  [SMALL_STATE(820)] = 39865,
  [SMALL_STATE(821)] = 39890,
  [SMALL_STATE(822)] = 39915,
  [SMALL_STATE(823)] = 39940,
  [SMALL_STATE(824)] = 39965,
  [SMALL_STATE(825)] = 39990,
  [SMALL_STATE(826)] = 40009,
  [SMALL_STATE(827)] = 40034,
  [SMALL_STATE(828)] = 40053,
  [SMALL_STATE(829)] = 40078,
  [SMALL_STATE(830)] = 40098,
  [SMALL_STATE(831)] = 40114,
  [SMALL_STATE(832)] = 40140,
  [SMALL_STATE(833)] = 40166,
  [SMALL_STATE(834)] = 40187,
  [SMALL_STATE(835)] = 40210,
  [SMALL_STATE(836)] = 40231,
  [SMALL_STATE(837)] = 40252,
  [SMALL_STATE(838)] = 40273,
  [SMALL_STATE(839)] = 40286,
  [SMALL_STATE(840)] = 40307,
  [SMALL_STATE(841)] = 40330,
  [SMALL_STATE(842)] = 40351,
  [SMALL_STATE(843)] = 40372,
  [SMALL_STATE(844)] = 40393,
  [SMALL_STATE(845)] = 40414,
  [SMALL_STATE(846)] = 40435,
  [SMALL_STATE(847)] = 40456,
  [SMALL_STATE(848)] = 40477,
  [SMALL_STATE(849)] = 40498,
  [SMALL_STATE(850)] = 40519,
  [SMALL_STATE(851)] = 40540,
  [SMALL_STATE(852)] = 40563,
  [SMALL_STATE(853)] = 40586,
  [SMALL_STATE(854)] = 40611,
  [SMALL_STATE(855)] = 40632,
  [SMALL_STATE(856)] = 40653,
  [SMALL_STATE(857)] = 40674,
  [SMALL_STATE(858)] = 40690,
  [SMALL_STATE(859)] = 40706,
  [SMALL_STATE(860)] = 40726,
  [SMALL_STATE(861)] = 40744,
  [SMALL_STATE(862)] = 40766,
  [SMALL_STATE(863)] = 40780,
  [SMALL_STATE(864)] = 40794,
  [SMALL_STATE(865)] = 40810,
  [SMALL_STATE(866)] = 40830,
  [SMALL_STATE(867)] = 40843,
  [SMALL_STATE(868)] = 40854,
  [SMALL_STATE(869)] = 40869,
  [SMALL_STATE(870)] = 40880,
  [SMALL_STATE(871)] = 40899,
  [SMALL_STATE(872)] = 40910,
  [SMALL_STATE(873)] = 40921,
  [SMALL_STATE(874)] = 40932,
  [SMALL_STATE(875)] = 40943,
  [SMALL_STATE(876)] = 40954,
  [SMALL_STATE(877)] = 40965,
  [SMALL_STATE(878)] = 40976,
  [SMALL_STATE(879)] = 40995,
  [SMALL_STATE(880)] = 41006,
  [SMALL_STATE(881)] = 41017,
  [SMALL_STATE(882)] = 41028,
  [SMALL_STATE(883)] = 41039,
  [SMALL_STATE(884)] = 41058,
  [SMALL_STATE(885)] = 41069,
  [SMALL_STATE(886)] = 41088,
  [SMALL_STATE(887)] = 41102,
  [SMALL_STATE(888)] = 41116,
  [SMALL_STATE(889)] = 41126,
  [SMALL_STATE(890)] = 41140,
  [SMALL_STATE(891)] = 41154,
  [SMALL_STATE(892)] = 41168,
  [SMALL_STATE(893)] = 41182,
  [SMALL_STATE(894)] = 41198,
  [SMALL_STATE(895)] = 41212,
  [SMALL_STATE(896)] = 41226,
  [SMALL_STATE(897)] = 41240,
  [SMALL_STATE(898)] = 41254,
  [SMALL_STATE(899)] = 41268,
  [SMALL_STATE(900)] = 41282,
  [SMALL_STATE(901)] = 41298,
  [SMALL_STATE(902)] = 41312,
  [SMALL_STATE(903)] = 41326,
  [SMALL_STATE(904)] = 41340,
  [SMALL_STATE(905)] = 41350,
  [SMALL_STATE(906)] = 41364,
  [SMALL_STATE(907)] = 41380,
  [SMALL_STATE(908)] = 41394,
  [SMALL_STATE(909)] = 41408,
  [SMALL_STATE(910)] = 41424,
  [SMALL_STATE(911)] = 41440,
  [SMALL_STATE(912)] = 41454,
  [SMALL_STATE(913)] = 41470,
  [SMALL_STATE(914)] = 41486,
  [SMALL_STATE(915)] = 41498,
  [SMALL_STATE(916)] = 41514,
  [SMALL_STATE(917)] = 41528,
  [SMALL_STATE(918)] = 41542,
  [SMALL_STATE(919)] = 41556,
  [SMALL_STATE(920)] = 41570,
  [SMALL_STATE(921)] = 41584,
  [SMALL_STATE(922)] = 41598,
  [SMALL_STATE(923)] = 41612,
  [SMALL_STATE(924)] = 41626,
  [SMALL_STATE(925)] = 41640,
  [SMALL_STATE(926)] = 41650,
  [SMALL_STATE(927)] = 41664,
  [SMALL_STATE(928)] = 41680,
  [SMALL_STATE(929)] = 41694,
  [SMALL_STATE(930)] = 41708,
  [SMALL_STATE(931)] = 41722,
  [SMALL_STATE(932)] = 41736,
  [SMALL_STATE(933)] = 41750,
  [SMALL_STATE(934)] = 41764,
  [SMALL_STATE(935)] = 41778,
  [SMALL_STATE(936)] = 41790,
  [SMALL_STATE(937)] = 41804,
  [SMALL_STATE(938)] = 41818,
  [SMALL_STATE(939)] = 41832,
  [SMALL_STATE(940)] = 41846,
  [SMALL_STATE(941)] = 41860,
  [SMALL_STATE(942)] = 41876,
  [SMALL_STATE(943)] = 41892,
  [SMALL_STATE(944)] = 41906,
  [SMALL_STATE(945)] = 41922,
  [SMALL_STATE(946)] = 41938,
  [SMALL_STATE(947)] = 41952,
  [SMALL_STATE(948)] = 41968,
  [SMALL_STATE(949)] = 41982,
  [SMALL_STATE(950)] = 41998,
  [SMALL_STATE(951)] = 42014,
  [SMALL_STATE(952)] = 42030,
  [SMALL_STATE(953)] = 42040,
  [SMALL_STATE(954)] = 42054,
  [SMALL_STATE(955)] = 42068,
  [SMALL_STATE(956)] = 42082,
  [SMALL_STATE(957)] = 42095,
  [SMALL_STATE(958)] = 42104,
  [SMALL_STATE(959)] = 42113,
  [SMALL_STATE(960)] = 42126,
  [SMALL_STATE(961)] = 42135,
  [SMALL_STATE(962)] = 42144,
  [SMALL_STATE(963)] = 42157,
  [SMALL_STATE(964)] = 42168,
  [SMALL_STATE(965)] = 42177,
  [SMALL_STATE(966)] = 42186,
  [SMALL_STATE(967)] = 42199,
  [SMALL_STATE(968)] = 42212,
  [SMALL_STATE(969)] = 42221,
  [SMALL_STATE(970)] = 42230,
  [SMALL_STATE(971)] = 42239,
  [SMALL_STATE(972)] = 42248,
  [SMALL_STATE(973)] = 42257,
  [SMALL_STATE(974)] = 42270,
  [SMALL_STATE(975)] = 42279,
  [SMALL_STATE(976)] = 42292,
  [SMALL_STATE(977)] = 42301,
  [SMALL_STATE(978)] = 42310,
  [SMALL_STATE(979)] = 42321,
  [SMALL_STATE(980)] = 42334,
  [SMALL_STATE(981)] = 42343,
  [SMALL_STATE(982)] = 42354,
  [SMALL_STATE(983)] = 42363,
  [SMALL_STATE(984)] = 42372,
  [SMALL_STATE(985)] = 42381,
  [SMALL_STATE(986)] = 42390,
  [SMALL_STATE(987)] = 42399,
  [SMALL_STATE(988)] = 42408,
  [SMALL_STATE(989)] = 42417,
  [SMALL_STATE(990)] = 42426,
  [SMALL_STATE(991)] = 42435,
  [SMALL_STATE(992)] = 42448,
  [SMALL_STATE(993)] = 42457,
  [SMALL_STATE(994)] = 42466,
  [SMALL_STATE(995)] = 42475,
  [SMALL_STATE(996)] = 42484,
  [SMALL_STATE(997)] = 42493,
  [SMALL_STATE(998)] = 42502,
  [SMALL_STATE(999)] = 42511,
  [SMALL_STATE(1000)] = 42524,
  [SMALL_STATE(1001)] = 42537,
  [SMALL_STATE(1002)] = 42550,
  [SMALL_STATE(1003)] = 42563,
  [SMALL_STATE(1004)] = 42576,
  [SMALL_STATE(1005)] = 42589,
  [SMALL_STATE(1006)] = 42602,
  [SMALL_STATE(1007)] = 42615,
  [SMALL_STATE(1008)] = 42624,
  [SMALL_STATE(1009)] = 42637,
  [SMALL_STATE(1010)] = 42650,
  [SMALL_STATE(1011)] = 42663,
  [SMALL_STATE(1012)] = 42676,
  [SMALL_STATE(1013)] = 42689,
  [SMALL_STATE(1014)] = 42702,
  [SMALL_STATE(1015)] = 42715,
  [SMALL_STATE(1016)] = 42728,
  [SMALL_STATE(1017)] = 42741,
  [SMALL_STATE(1018)] = 42754,
  [SMALL_STATE(1019)] = 42767,
  [SMALL_STATE(1020)] = 42776,
  [SMALL_STATE(1021)] = 42789,
  [SMALL_STATE(1022)] = 42798,
  [SMALL_STATE(1023)] = 42811,
  [SMALL_STATE(1024)] = 42824,
  [SMALL_STATE(1025)] = 42833,
  [SMALL_STATE(1026)] = 42842,
  [SMALL_STATE(1027)] = 42851,
  [SMALL_STATE(1028)] = 42864,
  [SMALL_STATE(1029)] = 42877,
  [SMALL_STATE(1030)] = 42890,
  [SMALL_STATE(1031)] = 42903,
  [SMALL_STATE(1032)] = 42916,
  [SMALL_STATE(1033)] = 42929,
  [SMALL_STATE(1034)] = 42938,
  [SMALL_STATE(1035)] = 42951,
  [SMALL_STATE(1036)] = 42964,
  [SMALL_STATE(1037)] = 42977,
  [SMALL_STATE(1038)] = 42990,
  [SMALL_STATE(1039)] = 43003,
  [SMALL_STATE(1040)] = 43016,
  [SMALL_STATE(1041)] = 43029,
  [SMALL_STATE(1042)] = 43042,
  [SMALL_STATE(1043)] = 43051,
  [SMALL_STATE(1044)] = 43064,
  [SMALL_STATE(1045)] = 43077,
  [SMALL_STATE(1046)] = 43090,
  [SMALL_STATE(1047)] = 43103,
  [SMALL_STATE(1048)] = 43116,
  [SMALL_STATE(1049)] = 43129,
  [SMALL_STATE(1050)] = 43138,
  [SMALL_STATE(1051)] = 43149,
  [SMALL_STATE(1052)] = 43162,
  [SMALL_STATE(1053)] = 43175,
  [SMALL_STATE(1054)] = 43188,
  [SMALL_STATE(1055)] = 43199,
  [SMALL_STATE(1056)] = 43212,
  [SMALL_STATE(1057)] = 43221,
  [SMALL_STATE(1058)] = 43234,
  [SMALL_STATE(1059)] = 43247,
  [SMALL_STATE(1060)] = 43256,
  [SMALL_STATE(1061)] = 43265,
  [SMALL_STATE(1062)] = 43278,
  [SMALL_STATE(1063)] = 43291,
  [SMALL_STATE(1064)] = 43304,
  [SMALL_STATE(1065)] = 43317,
  [SMALL_STATE(1066)] = 43326,
  [SMALL_STATE(1067)] = 43339,
  [SMALL_STATE(1068)] = 43348,
  [SMALL_STATE(1069)] = 43357,
  [SMALL_STATE(1070)] = 43366,
  [SMALL_STATE(1071)] = 43375,
  [SMALL_STATE(1072)] = 43388,
  [SMALL_STATE(1073)] = 43401,
  [SMALL_STATE(1074)] = 43414,
  [SMALL_STATE(1075)] = 43423,
  [SMALL_STATE(1076)] = 43436,
  [SMALL_STATE(1077)] = 43445,
  [SMALL_STATE(1078)] = 43458,
  [SMALL_STATE(1079)] = 43467,
  [SMALL_STATE(1080)] = 43480,
  [SMALL_STATE(1081)] = 43493,
  [SMALL_STATE(1082)] = 43502,
  [SMALL_STATE(1083)] = 43511,
  [SMALL_STATE(1084)] = 43520,
  [SMALL_STATE(1085)] = 43529,
  [SMALL_STATE(1086)] = 43542,
  [SMALL_STATE(1087)] = 43555,
  [SMALL_STATE(1088)] = 43568,
  [SMALL_STATE(1089)] = 43577,
  [SMALL_STATE(1090)] = 43588,
  [SMALL_STATE(1091)] = 43601,
  [SMALL_STATE(1092)] = 43614,
  [SMALL_STATE(1093)] = 43627,
  [SMALL_STATE(1094)] = 43636,
  [SMALL_STATE(1095)] = 43645,
  [SMALL_STATE(1096)] = 43656,
  [SMALL_STATE(1097)] = 43665,
  [SMALL_STATE(1098)] = 43678,
  [SMALL_STATE(1099)] = 43687,
  [SMALL_STATE(1100)] = 43700,
  [SMALL_STATE(1101)] = 43713,
  [SMALL_STATE(1102)] = 43726,
  [SMALL_STATE(1103)] = 43739,
  [SMALL_STATE(1104)] = 43752,
  [SMALL_STATE(1105)] = 43765,
  [SMALL_STATE(1106)] = 43778,
  [SMALL_STATE(1107)] = 43789,
  [SMALL_STATE(1108)] = 43802,
  [SMALL_STATE(1109)] = 43811,
  [SMALL_STATE(1110)] = 43820,
  [SMALL_STATE(1111)] = 43829,
  [SMALL_STATE(1112)] = 43842,
  [SMALL_STATE(1113)] = 43851,
  [SMALL_STATE(1114)] = 43860,
  [SMALL_STATE(1115)] = 43873,
  [SMALL_STATE(1116)] = 43886,
  [SMALL_STATE(1117)] = 43895,
  [SMALL_STATE(1118)] = 43904,
  [SMALL_STATE(1119)] = 43913,
  [SMALL_STATE(1120)] = 43926,
  [SMALL_STATE(1121)] = 43939,
  [SMALL_STATE(1122)] = 43952,
  [SMALL_STATE(1123)] = 43965,
  [SMALL_STATE(1124)] = 43978,
  [SMALL_STATE(1125)] = 43991,
  [SMALL_STATE(1126)] = 44000,
  [SMALL_STATE(1127)] = 44013,
  [SMALL_STATE(1128)] = 44022,
  [SMALL_STATE(1129)] = 44035,
  [SMALL_STATE(1130)] = 44048,
  [SMALL_STATE(1131)] = 44057,
  [SMALL_STATE(1132)] = 44066,
  [SMALL_STATE(1133)] = 44075,
  [SMALL_STATE(1134)] = 44084,
  [SMALL_STATE(1135)] = 44095,
  [SMALL_STATE(1136)] = 44108,
  [SMALL_STATE(1137)] = 44121,
  [SMALL_STATE(1138)] = 44130,
  [SMALL_STATE(1139)] = 44143,
  [SMALL_STATE(1140)] = 44156,
  [SMALL_STATE(1141)] = 44169,
  [SMALL_STATE(1142)] = 44178,
  [SMALL_STATE(1143)] = 44191,
  [SMALL_STATE(1144)] = 44204,
  [SMALL_STATE(1145)] = 44213,
  [SMALL_STATE(1146)] = 44226,
  [SMALL_STATE(1147)] = 44239,
  [SMALL_STATE(1148)] = 44252,
  [SMALL_STATE(1149)] = 44261,
  [SMALL_STATE(1150)] = 44270,
  [SMALL_STATE(1151)] = 44283,
  [SMALL_STATE(1152)] = 44292,
  [SMALL_STATE(1153)] = 44301,
  [SMALL_STATE(1154)] = 44314,
  [SMALL_STATE(1155)] = 44327,
  [SMALL_STATE(1156)] = 44337,
  [SMALL_STATE(1157)] = 44347,
  [SMALL_STATE(1158)] = 44357,
  [SMALL_STATE(1159)] = 44367,
  [SMALL_STATE(1160)] = 44375,
  [SMALL_STATE(1161)] = 44385,
  [SMALL_STATE(1162)] = 44395,
  [SMALL_STATE(1163)] = 44403,
  [SMALL_STATE(1164)] = 44413,
  [SMALL_STATE(1165)] = 44421,
  [SMALL_STATE(1166)] = 44431,
  [SMALL_STATE(1167)] = 44439,
  [SMALL_STATE(1168)] = 44449,
  [SMALL_STATE(1169)] = 44459,
  [SMALL_STATE(1170)] = 44469,
  [SMALL_STATE(1171)] = 44479,
  [SMALL_STATE(1172)] = 44489,
  [SMALL_STATE(1173)] = 44497,
  [SMALL_STATE(1174)] = 44505,
  [SMALL_STATE(1175)] = 44513,
  [SMALL_STATE(1176)] = 44523,
  [SMALL_STATE(1177)] = 44533,
  [SMALL_STATE(1178)] = 44541,
  [SMALL_STATE(1179)] = 44551,
  [SMALL_STATE(1180)] = 44559,
  [SMALL_STATE(1181)] = 44567,
  [SMALL_STATE(1182)] = 44577,
  [SMALL_STATE(1183)] = 44587,
  [SMALL_STATE(1184)] = 44595,
  [SMALL_STATE(1185)] = 44605,
  [SMALL_STATE(1186)] = 44613,
  [SMALL_STATE(1187)] = 44621,
  [SMALL_STATE(1188)] = 44631,
  [SMALL_STATE(1189)] = 44639,
  [SMALL_STATE(1190)] = 44647,
  [SMALL_STATE(1191)] = 44657,
  [SMALL_STATE(1192)] = 44667,
  [SMALL_STATE(1193)] = 44677,
  [SMALL_STATE(1194)] = 44687,
  [SMALL_STATE(1195)] = 44695,
  [SMALL_STATE(1196)] = 44705,
  [SMALL_STATE(1197)] = 44715,
  [SMALL_STATE(1198)] = 44725,
  [SMALL_STATE(1199)] = 44733,
  [SMALL_STATE(1200)] = 44743,
  [SMALL_STATE(1201)] = 44751,
  [SMALL_STATE(1202)] = 44759,
  [SMALL_STATE(1203)] = 44767,
  [SMALL_STATE(1204)] = 44777,
  [SMALL_STATE(1205)] = 44787,
  [SMALL_STATE(1206)] = 44797,
  [SMALL_STATE(1207)] = 44807,
  [SMALL_STATE(1208)] = 44817,
  [SMALL_STATE(1209)] = 44827,
  [SMALL_STATE(1210)] = 44837,
  [SMALL_STATE(1211)] = 44847,
  [SMALL_STATE(1212)] = 44855,
  [SMALL_STATE(1213)] = 44863,
  [SMALL_STATE(1214)] = 44873,
  [SMALL_STATE(1215)] = 44883,
  [SMALL_STATE(1216)] = 44891,
  [SMALL_STATE(1217)] = 44901,
  [SMALL_STATE(1218)] = 44911,
  [SMALL_STATE(1219)] = 44921,
  [SMALL_STATE(1220)] = 44929,
  [SMALL_STATE(1221)] = 44937,
  [SMALL_STATE(1222)] = 44947,
  [SMALL_STATE(1223)] = 44955,
  [SMALL_STATE(1224)] = 44965,
  [SMALL_STATE(1225)] = 44975,
  [SMALL_STATE(1226)] = 44985,
  [SMALL_STATE(1227)] = 44995,
  [SMALL_STATE(1228)] = 45005,
  [SMALL_STATE(1229)] = 45013,
  [SMALL_STATE(1230)] = 45021,
  [SMALL_STATE(1231)] = 45031,
  [SMALL_STATE(1232)] = 45039,
  [SMALL_STATE(1233)] = 45047,
  [SMALL_STATE(1234)] = 45057,
  [SMALL_STATE(1235)] = 45065,
  [SMALL_STATE(1236)] = 45075,
  [SMALL_STATE(1237)] = 45083,
  [SMALL_STATE(1238)] = 45093,
  [SMALL_STATE(1239)] = 45103,
  [SMALL_STATE(1240)] = 45113,
  [SMALL_STATE(1241)] = 45123,
  [SMALL_STATE(1242)] = 45131,
  [SMALL_STATE(1243)] = 45139,
  [SMALL_STATE(1244)] = 45147,
  [SMALL_STATE(1245)] = 45157,
  [SMALL_STATE(1246)] = 45167,
  [SMALL_STATE(1247)] = 45177,
  [SMALL_STATE(1248)] = 45185,
  [SMALL_STATE(1249)] = 45195,
  [SMALL_STATE(1250)] = 45203,
  [SMALL_STATE(1251)] = 45211,
  [SMALL_STATE(1252)] = 45219,
  [SMALL_STATE(1253)] = 45229,
  [SMALL_STATE(1254)] = 45237,
  [SMALL_STATE(1255)] = 45247,
  [SMALL_STATE(1256)] = 45257,
  [SMALL_STATE(1257)] = 45267,
  [SMALL_STATE(1258)] = 45277,
  [SMALL_STATE(1259)] = 45287,
  [SMALL_STATE(1260)] = 45297,
  [SMALL_STATE(1261)] = 45307,
  [SMALL_STATE(1262)] = 45317,
  [SMALL_STATE(1263)] = 45325,
  [SMALL_STATE(1264)] = 45333,
  [SMALL_STATE(1265)] = 45343,
  [SMALL_STATE(1266)] = 45353,
  [SMALL_STATE(1267)] = 45363,
  [SMALL_STATE(1268)] = 45373,
  [SMALL_STATE(1269)] = 45383,
  [SMALL_STATE(1270)] = 45391,
  [SMALL_STATE(1271)] = 45401,
  [SMALL_STATE(1272)] = 45411,
  [SMALL_STATE(1273)] = 45421,
  [SMALL_STATE(1274)] = 45431,
  [SMALL_STATE(1275)] = 45441,
  [SMALL_STATE(1276)] = 45449,
  [SMALL_STATE(1277)] = 45459,
  [SMALL_STATE(1278)] = 45469,
  [SMALL_STATE(1279)] = 45477,
  [SMALL_STATE(1280)] = 45485,
  [SMALL_STATE(1281)] = 45495,
  [SMALL_STATE(1282)] = 45505,
  [SMALL_STATE(1283)] = 45515,
  [SMALL_STATE(1284)] = 45525,
  [SMALL_STATE(1285)] = 45535,
  [SMALL_STATE(1286)] = 45545,
  [SMALL_STATE(1287)] = 45555,
  [SMALL_STATE(1288)] = 45565,
  [SMALL_STATE(1289)] = 45575,
  [SMALL_STATE(1290)] = 45585,
  [SMALL_STATE(1291)] = 45595,
  [SMALL_STATE(1292)] = 45605,
  [SMALL_STATE(1293)] = 45615,
  [SMALL_STATE(1294)] = 45625,
  [SMALL_STATE(1295)] = 45633,
  [SMALL_STATE(1296)] = 45643,
  [SMALL_STATE(1297)] = 45653,
  [SMALL_STATE(1298)] = 45661,
  [SMALL_STATE(1299)] = 45669,
  [SMALL_STATE(1300)] = 45679,
  [SMALL_STATE(1301)] = 45687,
  [SMALL_STATE(1302)] = 45695,
  [SMALL_STATE(1303)] = 45705,
  [SMALL_STATE(1304)] = 45715,
  [SMALL_STATE(1305)] = 45723,
  [SMALL_STATE(1306)] = 45731,
  [SMALL_STATE(1307)] = 45739,
  [SMALL_STATE(1308)] = 45749,
  [SMALL_STATE(1309)] = 45759,
  [SMALL_STATE(1310)] = 45767,
  [SMALL_STATE(1311)] = 45777,
  [SMALL_STATE(1312)] = 45785,
  [SMALL_STATE(1313)] = 45793,
  [SMALL_STATE(1314)] = 45803,
  [SMALL_STATE(1315)] = 45813,
  [SMALL_STATE(1316)] = 45821,
  [SMALL_STATE(1317)] = 45831,
  [SMALL_STATE(1318)] = 45841,
  [SMALL_STATE(1319)] = 45849,
  [SMALL_STATE(1320)] = 45859,
  [SMALL_STATE(1321)] = 45867,
  [SMALL_STATE(1322)] = 45877,
  [SMALL_STATE(1323)] = 45887,
  [SMALL_STATE(1324)] = 45895,
  [SMALL_STATE(1325)] = 45903,
  [SMALL_STATE(1326)] = 45913,
  [SMALL_STATE(1327)] = 45921,
  [SMALL_STATE(1328)] = 45929,
  [SMALL_STATE(1329)] = 45939,
  [SMALL_STATE(1330)] = 45949,
  [SMALL_STATE(1331)] = 45959,
  [SMALL_STATE(1332)] = 45969,
  [SMALL_STATE(1333)] = 45979,
  [SMALL_STATE(1334)] = 45987,
  [SMALL_STATE(1335)] = 45997,
  [SMALL_STATE(1336)] = 46007,
  [SMALL_STATE(1337)] = 46017,
  [SMALL_STATE(1338)] = 46025,
  [SMALL_STATE(1339)] = 46033,
  [SMALL_STATE(1340)] = 46043,
  [SMALL_STATE(1341)] = 46050,
  [SMALL_STATE(1342)] = 46057,
  [SMALL_STATE(1343)] = 46064,
  [SMALL_STATE(1344)] = 46071,
  [SMALL_STATE(1345)] = 46078,
  [SMALL_STATE(1346)] = 46085,
  [SMALL_STATE(1347)] = 46092,
  [SMALL_STATE(1348)] = 46099,
  [SMALL_STATE(1349)] = 46106,
  [SMALL_STATE(1350)] = 46113,
  [SMALL_STATE(1351)] = 46120,
  [SMALL_STATE(1352)] = 46127,
  [SMALL_STATE(1353)] = 46134,
  [SMALL_STATE(1354)] = 46141,
  [SMALL_STATE(1355)] = 46148,
  [SMALL_STATE(1356)] = 46155,
  [SMALL_STATE(1357)] = 46162,
  [SMALL_STATE(1358)] = 46169,
  [SMALL_STATE(1359)] = 46176,
  [SMALL_STATE(1360)] = 46183,
  [SMALL_STATE(1361)] = 46190,
  [SMALL_STATE(1362)] = 46197,
  [SMALL_STATE(1363)] = 46204,
  [SMALL_STATE(1364)] = 46211,
  [SMALL_STATE(1365)] = 46218,
  [SMALL_STATE(1366)] = 46225,
  [SMALL_STATE(1367)] = 46232,
  [SMALL_STATE(1368)] = 46239,
  [SMALL_STATE(1369)] = 46246,
  [SMALL_STATE(1370)] = 46253,
  [SMALL_STATE(1371)] = 46260,
  [SMALL_STATE(1372)] = 46267,
  [SMALL_STATE(1373)] = 46274,
  [SMALL_STATE(1374)] = 46281,
  [SMALL_STATE(1375)] = 46288,
  [SMALL_STATE(1376)] = 46295,
  [SMALL_STATE(1377)] = 46302,
  [SMALL_STATE(1378)] = 46309,
  [SMALL_STATE(1379)] = 46316,
  [SMALL_STATE(1380)] = 46323,
  [SMALL_STATE(1381)] = 46330,
  [SMALL_STATE(1382)] = 46337,
  [SMALL_STATE(1383)] = 46344,
  [SMALL_STATE(1384)] = 46351,
  [SMALL_STATE(1385)] = 46358,
  [SMALL_STATE(1386)] = 46365,
  [SMALL_STATE(1387)] = 46372,
  [SMALL_STATE(1388)] = 46379,
  [SMALL_STATE(1389)] = 46386,
  [SMALL_STATE(1390)] = 46393,
  [SMALL_STATE(1391)] = 46400,
  [SMALL_STATE(1392)] = 46407,
  [SMALL_STATE(1393)] = 46414,
  [SMALL_STATE(1394)] = 46421,
  [SMALL_STATE(1395)] = 46428,
  [SMALL_STATE(1396)] = 46435,
  [SMALL_STATE(1397)] = 46442,
  [SMALL_STATE(1398)] = 46449,
  [SMALL_STATE(1399)] = 46456,
  [SMALL_STATE(1400)] = 46463,
  [SMALL_STATE(1401)] = 46470,
  [SMALL_STATE(1402)] = 46477,
  [SMALL_STATE(1403)] = 46484,
  [SMALL_STATE(1404)] = 46491,
  [SMALL_STATE(1405)] = 46498,
  [SMALL_STATE(1406)] = 46505,
  [SMALL_STATE(1407)] = 46512,
  [SMALL_STATE(1408)] = 46519,
  [SMALL_STATE(1409)] = 46526,
  [SMALL_STATE(1410)] = 46533,
  [SMALL_STATE(1411)] = 46540,
  [SMALL_STATE(1412)] = 46547,
  [SMALL_STATE(1413)] = 46554,
  [SMALL_STATE(1414)] = 46561,
  [SMALL_STATE(1415)] = 46568,
  [SMALL_STATE(1416)] = 46575,
  [SMALL_STATE(1417)] = 46582,
  [SMALL_STATE(1418)] = 46589,
  [SMALL_STATE(1419)] = 46596,
  [SMALL_STATE(1420)] = 46603,
  [SMALL_STATE(1421)] = 46610,
  [SMALL_STATE(1422)] = 46617,
  [SMALL_STATE(1423)] = 46624,
  [SMALL_STATE(1424)] = 46631,
  [SMALL_STATE(1425)] = 46638,
  [SMALL_STATE(1426)] = 46645,
  [SMALL_STATE(1427)] = 46652,
  [SMALL_STATE(1428)] = 46659,
  [SMALL_STATE(1429)] = 46666,
  [SMALL_STATE(1430)] = 46673,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(208),
  [104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(248),
  [107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(865),
  [110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(925),
  [113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(248),
  [116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(1285),
  [119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(1252),
  [122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(1169),
  [125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(797),
  [128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(851),
  [131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(1329),
  [134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(243),
  [137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(971),
  [140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(976),
  [143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(939),
  [146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(993),
  [149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(1339),
  [152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(1239),
  [155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(386),
  [158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(379),
  [161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(1336),
  [164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(380),
  [167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(1325),
  [170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(910),
  [173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(275),
  [176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(381),
  [179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(315),
  [182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(473),
  [185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(473),
  [188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(1195),
  [191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(336),
  [194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(357),
  [197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(883),
  [200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0),
  [202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(918),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(859),
  [240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(919),
  [243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(353),
  [246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(1160),
  [249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(348),
  [252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(1230),
  [255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(893),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(352),
  [261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_repeat1, 2, 0, 0), SHIFT_REPEAT(885),
  [264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source, 1, 0, 0),
  [266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 29),
  [368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 29),
  [370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 45),
  [376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 45),
  [378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 64),
  [384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 64),
  [386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 64), SHIFT_REPEAT(362),
  [389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 64), SHIFT_REPEAT(347),
  [392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 4, 0, 0),
  [394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 4, 0, 0),
  [396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 3, 0, 0),
  [398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 3, 0, 0),
  [400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_body, 3, 0, 0),
  [402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_body, 3, 0, 0),
  [404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_body, 1, 0, 0),
  [406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_body, 1, 0, 0),
  [408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 4, 0, 29),
  [410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_clause, 4, 0, 29),
  [412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 43),
  [414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 43),
  [416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_body, 2, 0, 0),
  [418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_body, 2, 0, 0),
  [420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 2, 0, 0),
  [422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 2, 0, 0),
  [424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 66),
  [426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 66),
  [428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_definition, 9, 0, 88),
  [430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_definition, 9, 0, 88),
  [432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_definition, 2, 0, 5),
  [434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 2, 0, 5),
  [436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_definition, 3, 0, 15),
  [438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 3, 0, 15),
  [440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 4, 0, 29),
  [442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 4, 0, 29),
  [444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, 0, 30),
  [446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, 0, 30),
  [448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 4, 0, 32),
  [454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 4, 0, 32),
  [456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 33),
  [458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 33),
  [460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 42),
  [462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 42),
  [464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 44),
  [466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 44),
  [468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, 0, 46),
  [470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, 0, 46),
  [472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_definition, 5, 0, 42),
  [478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_definition, 5, 0, 42),
  [480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 49),
  [482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 49),
  [484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 50),
  [486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 50),
  [488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 56),
  [490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 56),
  [492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 57),
  [494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 57),
  [496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 58),
  [498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 58),
  [500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 63),
  [502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 63),
  [504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 65),
  [506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 65),
  [508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 5, 0, 0),
  [510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 5, 0, 0),
  [512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_body, 3, 0, 0),
  [514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_body, 3, 0, 0),
  [516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 69),
  [518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 69),
  [520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 70),
  [522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 70),
  [524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 71),
  [526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 71),
  [528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 3, 0, 76),
  [530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 3, 0, 76),
  [532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_definition, 7, 0, 78),
  [534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_definition, 7, 0, 78),
  [536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_definition, 7, 0, 79),
  [538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_definition, 7, 0, 79),
  [540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 80),
  [542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 80),
  [544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 85),
  [546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 85),
  [548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0),
  [550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0),
  [552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5, 0, 0),
  [562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 5, 0, 0),
  [564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_operator, 2, 0, 0),
  [570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_operator, 2, 0, 0),
  [572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_operator, 3, 0, 18),
  [580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_operator, 3, 0, 18),
  [582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 2, 0, 0),
  [588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 0),
  [590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_repeat1, 2, 0, 0),
  [592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_repeat1, 2, 0, 0),
  [594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_operator, 4, 0, 39),
  [606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_operator, 4, 0, 39),
  [608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_repeat1, 2, 0, 0), SHIFT_REPEAT(917),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_call, 2, 0, 0),
  [631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_call, 2, 0, 0),
  [633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 2, 0, 0),
  [635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 2, 0, 0),
  [637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 4, 0, 0),
  [639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 4, 0, 0),
  [641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_subscript, 4, 0, 0),
  [643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_subscript, 4, 0, 0),
  [645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0),
  [651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0),
  [653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 0),
  [655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 0),
  [657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 5, 0, 0),
  [659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 5, 0, 0),
  [661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 5, 0, 0),
  [663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 5, 0, 0),
  [665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 2, 0, 0),
  [667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 2, 0, 0),
  [669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 1, 0, 0),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2, 0, 0),
  [675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2, 0, 0),
  [677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_base_call, 3, 0, 0),
  [679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_call, 3, 0, 0),
  [681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 3, 0, 0),
  [683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 3, 0, 0),
  [685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3, 0, 0),
  [687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3, 0, 0),
  [689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute_expression, 1, 0, 0),
  [691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, 0, 0),
  [697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, 0, 0),
  [699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_name, 2, 0, 2),
  [705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_name, 2, 0, 2),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [1021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [1023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [1025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_repeat1, 2, 0, 0), SHIFT_REPEAT(931),
  [1028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [1030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [1032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [1034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [1036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_repeat1, 2, 0, 0), SHIFT_REPEAT(890),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [1087] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_repeat1, 2, 0, 0), SHIFT_REPEAT(911),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [1094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [1096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [1100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [1102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [1106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [1108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [1110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [1112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [1114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [1116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [1118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [1120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [1122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [1124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [1126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [1130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [1132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [1136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [1138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [1140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [1142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_repeat1, 2, 0, 0), SHIFT_REPEAT(928),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [1165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [1189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [1191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_repeat1, 2, 0, 0), SHIFT_REPEAT(896),
  [1198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [1200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [1202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [1204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [1206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [1208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [1210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [1212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [1214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [1216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [1218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [1220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [1222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [1224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_repeat1, 2, 0, 0), SHIFT_REPEAT(940),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [1239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_statement, 2, 0, 0),
  [1241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [1247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enumerator_expression, 1, 0, 0),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [1267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inferred_type, 1, 0, 0),
  [1269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inferred_type, 1, 0, 0),
  [1271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inferred_type, 2, 0, 0),
  [1273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inferred_type, 2, 0, 0),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [1277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [1281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [1283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [1285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [1287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [1291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_body_repeat1, 2, 0, 0), SHIFT_REPEAT(983),
  [1294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1042),
  [1297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1042),
  [1300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1157),
  [1303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_body_repeat1, 2, 0, 0), SHIFT_REPEAT(324),
  [1306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_body_repeat1, 2, 0, 0), SHIFT_REPEAT(791),
  [1309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_body_repeat1, 2, 0, 0),
  [1311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_body_repeat1, 2, 0, 0), SHIFT_REPEAT(922),
  [1314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [1316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [1318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [1320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [1322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [1324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [1326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [1328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [1330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [1332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [1334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [1336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [1338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [1340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [1342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [1344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [1346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [1348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [1350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 0),
  [1352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [1354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [1356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [1358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [1360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [1362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [1364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2, 0, 0),
  [1366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [1368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [1370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [1372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [1374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_statement, 3, 0, 6),
  [1376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [1378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [1380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [1382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [1384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_statement, 2, 0, 3),
  [1386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_statement, 4, 0, 35),
  [1388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_statement, 3, 0, 16),
  [1390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern_section, 4, 0, 86),
  [1392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_section, 4, 0, 86),
  [1394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern_section, 5, 0, 87),
  [1396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_section, 5, 0, 87),
  [1398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern_section, 3, 0, 76),
  [1400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_section, 3, 0, 76),
  [1402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotations, 1, 0, 0),
  [1404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [1406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [1408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [1410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [1412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [1414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [1416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [1418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [1422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [1424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [1426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [1428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [1430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [1434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [1438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__annotations, 2, 0, 0),
  [1440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__annotations, 2, 0, 0), SHIFT_REPEAT(1252),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [1447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation, 2, 0, 0),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [1451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [1453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2, 0, 0),
  [1455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_name, 1, 0, 0),
  [1457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_name, 1, 0, 0),
  [1459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [1463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_statement, 3, 0, 8),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [1467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_statement, 4, 0, 20),
  [1469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_statement, 3, 0, 7),
  [1471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_statement, 4, 0, 19),
  [1473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation, 3, 0, 0),
  [1475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_statement, 4, 0, 36),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [1485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_statement, 5, 0, 52),
  [1487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_statement, 5, 0, 51),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [1495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_statement, 4, 0, 37),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [1499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [1501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [1505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rhs_expression, 1, 0, 0),
  [1507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_typed_definition, 2, 0, 22),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [1511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__annotations, 2, 0, 0), SHIFT_REPEAT(1293),
  [1514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signal_statement, 2, 0, 0),
  [1516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [1518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_typed_assignment, 4, 0, 61),
  [1520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [1522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [1524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [1526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 4, 0, 0),
  [1528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 5, 0, 0),
  [1530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_typed_definition, 1, 0, 9),
  [1532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 5, 0, 62),
  [1534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [1536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_assignment, 2, 0, 23),
  [1538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 6, 0, 75),
  [1540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_inferred_type_assignment, 2, 0, 24),
  [1542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [1544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [1546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [1548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [1550] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [1552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(886),
  [1555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [1557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pattern_section_repeat1, 2, 0, 0),
  [1567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pattern_section_repeat1, 2, 0, 0), SHIFT_REPEAT(798),
  [1570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [1572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [1574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [1576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [1578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [1580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [1582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 1, 0, 0),
  [1584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [1586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [1588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [1590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [1592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [1594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [1596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [1598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [1600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2, 0, 0), SHIFT_REPEAT(123),
  [1603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [1607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [1609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_name_statement, 2, 0, 0),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [1617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [1625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [1627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [1629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [1631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [1633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [1635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_remote_keyword, 1, 0, 0),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [1643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [1645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [1651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setget, 2, 0, 0),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [1661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [1663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [1665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [1667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [1669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [1671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setter, 1, 0, 0),
  [1673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [1675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [1677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [1679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [1683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [1685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [1687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_dictionary, 3, 0, 0),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [1693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_statement, 1, 0, 1),
  [1695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_array, 3, 0, 0),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [1699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [1703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1, 0, 14),
  [1705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3, 0, 0),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [1713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_onready_variable_statement, 2, 0, 4),
  [1715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__setget_body, 6, 0, 83),
  [1717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__setget_body, 6, 0, 84),
  [1719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pass_statement, 1, 0, 0),
  [1721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_dictionary, 4, 0, 0),
  [1723] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pattern_dictionary_repeat1, 2, 0, 0), SHIFT_REPEAT(341),
  [1726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pattern_dictionary_repeat1, 2, 0, 0),
  [1728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_array, 4, 0, 0),
  [1730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pattern_array_repeat1, 2, 0, 0), SHIFT_REPEAT(795),
  [1733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pattern_array_repeat1, 2, 0, 0),
  [1735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 1, 0, 0),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [1743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_statement, 4, 0, 38),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [1749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 1, 0, 0),
  [1751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2, 0, 0),
  [1753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_statement, 5, 0, 40),
  [1755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_statement, 5, 0, 41),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [1821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_getter, 1, 0, 0),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [1825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setget, 3, 0, 0),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [1831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, 0, 17),
  [1833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment, 3, 0, 17),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [1857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [1865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1111),
  [1868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [1870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [1872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern, 1, 0, 0),
  [1874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [1876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [1878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [1880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [1882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [1884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [1886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [1888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [1890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [1892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_parameter, 3, 0, 47),
  [1894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [1896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [1898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [1900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [1902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [1904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [1906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [1908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [1910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 4, 0, 0),
  [1912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [1914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [1916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_statement, 4, 0, 21),
  [1918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(860),
  [1921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [1929] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(328),
  [1932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0),
  [1934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [1936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_statement, 5, 0, 53),
  [1938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_statement, 5, 0, 54),
  [1940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_statement, 5, 0, 55),
  [1942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [1944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [1946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [1948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [1950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [1954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setget, 1, 0, 10),
  [1956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [1958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_statement, 3, 0, 11),
  [1960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [1962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_variable_statement, 3, 0, 12),
  [1964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [1966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [1968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_statement, 4, 0, 25),
  [1972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_statement, 4, 0, 26),
  [1974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__setget_body, 4, 0, 59),
  [1976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [1978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [1980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [1982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [1984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__setget_body, 4, 0, 60),
  [1986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [1988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [1990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [1992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [1994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setget, 4, 0, 0),
  [1996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_variable_statement, 3, 0, 13),
  [1998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [2000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_variable_statement, 4, 0, 27),
  [2002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [2004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [2006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [2008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [2010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [2012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [2014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [2016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [2018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [2020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [2022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [2024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [2026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 5, 0, 0),
  [2028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_statement, 3, 0, 7),
  [2030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_statement, 3, 0, 8),
  [2032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_binding, 2, 0, 0),
  [2034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_dictionary, 2, 0, 0),
  [2036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [2038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [2040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_array, 2, 0, 0),
  [2042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_name_statement, 4, 0, 28),
  [2044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [2046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [2048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [2050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [2052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [2054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [2056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [2058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [2060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_statement, 2, 0, 4),
  [2062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_statement, 6, 0, 67),
  [2064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_statement, 6, 0, 68),
  [2066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [2068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [2070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [2072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [2074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [2076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signal_statement, 3, 0, 0),
  [2078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [2080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [2082] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2, 0, 0), SHIFT_REPEAT(286),
  [2085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2, 0, 0),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [2091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__setget_body, 5, 0, 73),
  [2093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__setget_body, 5, 0, 74),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [2097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_variable_statement, 2, 0, 4),
  [2099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(332),
  [2102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [2104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [2106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [2108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [2110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_parameter, 3, 0, 48),
  [2112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_get_body, 4, 0, 82),
  [2114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_guard, 2, 0, 0),
  [2116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_default_parameter, 5, 0, 77),
  [2118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [2120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [2122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [2124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [2126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [2130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [2132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [2134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [2136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [2138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [2140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [2142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [2144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [2146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [2148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_pair, 3, 0, 31),
  [2150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [2152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [2154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [2156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [2158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [2160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [2162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [2164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [2166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [2168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [2170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [2172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [2174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [2176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [2178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [2180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [2182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [2184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [2186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [2188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [2190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [2192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [2194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [2196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [2198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [2200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [2202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [2204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_body, 4, 0, 81),
  [2206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3, 0, 17),
  [2208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 31),
  [2210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [2212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [2214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_get_body, 3, 0, 72),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [2218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [2220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [2222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [2224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [2226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [2228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [2232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [2236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [2238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [2244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [2246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [2248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [2250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [2252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [2254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [2256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [2258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [2260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [2262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [2264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [2266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [2268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [2270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [2272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [2274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [2276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [2278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [2280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [2282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [2284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [2286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [2288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__set_assign, 3, 0, 59),
  [2290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__get_assign, 3, 0, 60),
  [2292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [2294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [2296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [2298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [2300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [2302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [2304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [2308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__return_type, 2, 0, 34),
  [2310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [2316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [2318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [2320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [2322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [2326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [2328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [2330] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__newline = 0,
  ts_external_token__indent = 1,
  ts_external_token__dedent = 2,
  ts_external_token__string_start = 3,
  ts_external_token__string_content = 4,
  ts_external_token__string_end = 5,
  ts_external_token_comment = 6,
  ts_external_token_RBRACK = 7,
  ts_external_token_RPAREN = 8,
  ts_external_token_RBRACE = 9,
  ts_external_token_COMMA = 10,
  ts_external_token__body_end = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__newline] = sym__newline,
  [ts_external_token__indent] = sym__indent,
  [ts_external_token__dedent] = sym__dedent,
  [ts_external_token__string_start] = sym__string_start,
  [ts_external_token__string_content] = sym__string_content,
  [ts_external_token__string_end] = sym__string_end,
  [ts_external_token_comment] = sym_comment,
  [ts_external_token_RBRACK] = anon_sym_RBRACK,
  [ts_external_token_RPAREN] = anon_sym_RPAREN,
  [ts_external_token_RBRACE] = anon_sym_RBRACE,
  [ts_external_token_COMMA] = anon_sym_COMMA,
  [ts_external_token__body_end] = sym__body_end,
};

static const bool ts_external_scanner_states[24][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__dedent] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__string_content] = true,
    [ts_external_token__string_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_RPAREN] = true,
    [ts_external_token_RBRACE] = true,
    [ts_external_token_COMMA] = true,
    [ts_external_token__body_end] = true,
  },
  [2] = {
    [ts_external_token__string_start] = true,
    [ts_external_token_comment] = true,
  },
  [3] = {
    [ts_external_token__dedent] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__body_end] = true,
  },
  [4] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__body_end] = true,
  },
  [5] = {
    [ts_external_token__newline] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__body_end] = true,
  },
  [6] = {
    [ts_external_token__newline] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__body_end] = true,
  },
  [7] = {
    [ts_external_token__string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACE] = true,
  },
  [8] = {
    [ts_external_token_comment] = true,
  },
  [9] = {
    [ts_external_token__string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
  },
  [10] = {
    [ts_external_token__string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RPAREN] = true,
  },
  [11] = {
    [ts_external_token__indent] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token_comment] = true,
  },
  [12] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RPAREN] = true,
    [ts_external_token_COMMA] = true,
  },
  [13] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACE] = true,
    [ts_external_token_COMMA] = true,
  },
  [14] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_COMMA] = true,
  },
  [15] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RPAREN] = true,
  },
  [16] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
  },
  [17] = {
    [ts_external_token__dedent] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token_comment] = true,
  },
  [18] = {
    [ts_external_token_comment] = true,
    [ts_external_token_COMMA] = true,
  },
  [19] = {
    [ts_external_token__string_content] = true,
    [ts_external_token__string_end] = true,
    [ts_external_token_comment] = true,
  },
  [20] = {
    [ts_external_token__newline] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_COMMA] = true,
    [ts_external_token__body_end] = true,
  },
  [21] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACE] = true,
  },
  [22] = {
    [ts_external_token__dedent] = true,
    [ts_external_token_comment] = true,
  },
  [23] = {
    [ts_external_token__indent] = true,
    [ts_external_token_comment] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_gdscript_external_scanner_create(void);
void tree_sitter_gdscript_external_scanner_destroy(void *);
bool tree_sitter_gdscript_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_gdscript_external_scanner_serialize(void *, char *);
void tree_sitter_gdscript_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_gdscript(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym__identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_gdscript_external_scanner_create,
      tree_sitter_gdscript_external_scanner_destroy,
      tree_sitter_gdscript_external_scanner_scan,
      tree_sitter_gdscript_external_scanner_serialize,
      tree_sitter_gdscript_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
