#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 13
#define STATE_COUNT 1920
#define LARGE_STATE_COUNT 14
#define SYMBOL_COUNT 274
#define ALIAS_COUNT 0
#define TOKEN_COUNT 96
#define EXTERNAL_TOKEN_COUNT 1
#define FIELD_COUNT 32
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 78

enum {
  sym_module_comment = 1,
  sym_statement_comment = 2,
  sym_comment = 3,
  anon_sym_if = 4,
  anon_sym_LBRACE = 5,
  anon_sym_RBRACE = 6,
  anon_sym_erlang = 7,
  anon_sym_javascript = 8,
  anon_sym_AT = 9,
  anon_sym_LPAREN = 10,
  anon_sym_COMMA = 11,
  anon_sym_RPAREN = 12,
  anon_sym_COLON = 13,
  anon_sym_import = 14,
  anon_sym_DOT = 15,
  anon_sym_as = 16,
  anon_sym_SLASH = 17,
  anon_sym_type = 18,
  anon_sym_const = 19,
  anon_sym_EQ = 20,
  anon_sym_POUND = 21,
  anon_sym_LBRACK = 22,
  anon_sym_RBRACK = 23,
  anon_sym_LT_LT = 24,
  anon_sym_GT_GT = 25,
  anon_sym_DASH = 26,
  anon_sym_size = 27,
  anon_sym_fn = 28,
  anon_sym_DASH_GT = 29,
  anon_sym_external = 30,
  anon_sym_PIPE_PIPE = 31,
  anon_sym_AMP_AMP = 32,
  anon_sym_EQ_EQ = 33,
  anon_sym_BANG_EQ = 34,
  anon_sym_LT = 35,
  anon_sym_LT_EQ = 36,
  anon_sym_LT_DOT = 37,
  anon_sym_LT_EQ_DOT = 38,
  anon_sym_GT = 39,
  anon_sym_GT_EQ = 40,
  anon_sym_GT_DOT = 41,
  anon_sym_GT_EQ_DOT = 42,
  anon_sym_PIPE_GT = 43,
  anon_sym_PLUS = 44,
  anon_sym_PLUS_DOT = 45,
  anon_sym_DASH_DOT = 46,
  anon_sym_STAR = 47,
  anon_sym_STAR_DOT = 48,
  anon_sym_SLASH_DOT = 49,
  anon_sym_PERCENT = 50,
  anon_sym_LT_GT = 51,
  anon_sym_todo = 52,
  anon_sym_panic = 53,
  anon_sym_echo = 54,
  anon_sym_DOT_DOT = 55,
  anon_sym_case = 56,
  anon_sym_PIPE = 57,
  anon_sym_let = 58,
  anon_sym_assert = 59,
  anon_sym_use = 60,
  anon_sym_LT_DASH = 61,
  anon_sym_BANG = 62,
  sym_visibility_modifier = 63,
  sym_opacity_modifier = 64,
  anon_sym_DQUOTE = 65,
  anon_sym_DQUOTE2 = 66,
  aux_sym_escape_sequence_token1 = 67,
  aux_sym_escape_sequence_token2 = 68,
  sym_float = 69,
  sym__hex = 70,
  sym__decimal = 71,
  sym__octal = 72,
  sym__binary = 73,
  anon_sym_binary = 74,
  anon_sym_bytes = 75,
  anon_sym_int = 76,
  anon_sym_float = 77,
  anon_sym_bit_string = 78,
  anon_sym_bits = 79,
  anon_sym_utf8 = 80,
  anon_sym_utf16 = 81,
  anon_sym_utf32 = 82,
  anon_sym_utf8_codepoint = 83,
  anon_sym_utf16_codepoint = 84,
  anon_sym_utf32_codepoint = 85,
  anon_sym_signed = 86,
  anon_sym_unsigned = 87,
  anon_sym_big = 88,
  anon_sym_little = 89,
  anon_sym_native = 90,
  anon_sym_unit = 91,
  sym__discard_name = 92,
  sym__name = 93,
  sym__upname = 94,
  sym_quoted_content = 95,
  sym_source_file = 96,
  sym__module_statement = 97,
  sym_target_group = 98,
  sym_target = 99,
  sym_attribute = 100,
  sym__attribute_arguments = 101,
  sym_attribute_value = 102,
  sym_import = 103,
  sym_module = 104,
  sym_unqualified_imports = 105,
  sym_unqualified_import = 106,
  sym_constant = 107,
  sym__constant_value = 108,
  sym_constant_tuple = 109,
  sym_constant_list = 110,
  sym__constant_bit_string = 111,
  sym_constant_bit_string_segment = 112,
  sym_constant_bit_string_segment_options = 113,
  sym__constant_bit_string_segment_option = 114,
  sym__constant_bit_string_named_segment_option = 115,
  sym__constant_bit_string_segment_option_size = 116,
  sym_constant_record = 117,
  sym_constant_record_arguments = 118,
  sym_constant_record_argument = 119,
  sym_constant_field_access = 120,
  sym__constant_type = 121,
  sym__constant_type_annotation = 122,
  sym_constant_tuple_type = 123,
  sym_constant_function_type = 124,
  sym_constant_function_parameter_types = 125,
  sym_constant_type = 126,
  sym_constant_type_arguments = 127,
  sym_constant_type_argument = 128,
  sym_external_type = 129,
  sym_external_function = 130,
  sym_external_function_parameters = 131,
  sym_external_function_parameter = 132,
  sym_external_function_body = 133,
  sym_function = 134,
  sym_function_parameters = 135,
  sym_function_parameter = 136,
  sym__labeled_discard_param = 137,
  sym__discard_param = 138,
  sym__labeled_name_param = 139,
  sym__name_param = 140,
  aux_sym__statement_seq = 141,
  sym__statement = 142,
  sym__expression = 143,
  sym_binary_expression = 144,
  sym__expression_unit = 145,
  sym_record = 146,
  sym_todo = 147,
  sym_panic = 148,
  sym_pipeline_echo = 149,
  sym_echo = 150,
  sym_tuple = 151,
  sym_list = 152,
  sym__expression_bit_string = 153,
  sym_expression_bit_string_segment = 154,
  sym_expression_bit_string_segment_options = 155,
  sym__expression_bit_string_segment_option = 156,
  sym__expression_bit_string_named_segment_option = 157,
  sym__expression_bit_string_segment_option_size = 158,
  sym_anonymous_function = 159,
  sym_anonymous_function_parameters = 160,
  sym_anonymous_function_parameter = 161,
  sym_block = 162,
  sym_case = 163,
  sym_case_subjects = 164,
  sym_case_clauses = 165,
  sym_case_clause = 166,
  sym_case_clause_patterns = 167,
  sym_case_clause_pattern = 168,
  sym_case_clause_guard = 169,
  sym__case_clause_guard_expression = 170,
  sym__case_clause_guard_binary_expression = 171,
  sym__case_clause_guard_unit = 172,
  sym__case_clause_tuple_access = 173,
  sym_let_assert = 174,
  sym_let = 175,
  sym_use = 176,
  sym_use_assignments = 177,
  sym_use_assignment = 178,
  sym_assert = 179,
  sym_boolean_negation = 180,
  sym_integer_negation = 181,
  sym__assignment = 182,
  sym_record_update = 183,
  sym_record_update_arguments = 184,
  sym_record_update_argument = 185,
  sym__maybe_tuple_expression = 186,
  sym_tuple_access = 187,
  sym__maybe_record_expression = 188,
  sym_field_access = 189,
  sym__maybe_function_expression = 190,
  sym_arguments = 191,
  sym_argument = 192,
  sym_hole = 193,
  sym_function_call = 194,
  sym__pattern_expression = 195,
  sym__pattern_binary_expression = 196,
  sym__pattern = 197,
  sym_record_pattern = 198,
  sym_record_pattern_arguments = 199,
  sym_record_pattern_argument = 200,
  sym_pattern_spread = 201,
  sym_tuple_pattern = 202,
  sym__pattern_bit_string = 203,
  sym_pattern_bit_string_segment = 204,
  sym_pattern_bit_string_segment_options = 205,
  sym__pattern_bit_string_segment_option = 206,
  sym__pattern_bit_string_named_segment_option = 207,
  sym__pattern_bit_string_segment_option_size = 208,
  sym__pattern_bit_string_segment_argument = 209,
  sym_list_pattern = 210,
  sym_list_pattern_tail = 211,
  sym_type_definition = 212,
  sym_data_constructors = 213,
  sym_data_constructor = 214,
  sym_data_constructor_arguments = 215,
  sym_data_constructor_argument = 216,
  sym_type_alias = 217,
  sym_string = 218,
  sym_escape_sequence = 219,
  sym_integer = 220,
  sym__bit_string_segment_option = 221,
  sym__type = 222,
  sym__type_annotation = 223,
  sym_type_hole = 224,
  sym_tuple_type = 225,
  sym_function_type = 226,
  sym_function_parameter_types = 227,
  sym_type = 228,
  sym_type_arguments = 229,
  sym_type_argument = 230,
  sym_type_var = 231,
  sym_type_name = 232,
  sym_type_parameters = 233,
  sym_type_parameter = 234,
  sym_identifier = 235,
  sym_label = 236,
  sym_discard = 237,
  sym_type_identifier = 238,
  sym_remote_type_identifier = 239,
  sym_constructor_name = 240,
  sym_remote_constructor_name = 241,
  aux_sym_source_file_repeat1 = 242,
  aux_sym_target_group_repeat1 = 243,
  aux_sym__attribute_arguments_repeat1 = 244,
  aux_sym_module_repeat1 = 245,
  aux_sym_unqualified_imports_repeat1 = 246,
  aux_sym_constant_tuple_repeat1 = 247,
  aux_sym__constant_bit_string_repeat1 = 248,
  aux_sym_constant_bit_string_segment_options_repeat1 = 249,
  aux_sym_constant_record_arguments_repeat1 = 250,
  aux_sym_constant_tuple_type_repeat1 = 251,
  aux_sym_constant_type_arguments_repeat1 = 252,
  aux_sym_external_function_parameters_repeat1 = 253,
  aux_sym_function_parameters_repeat1 = 254,
  aux_sym_tuple_repeat1 = 255,
  aux_sym__expression_bit_string_repeat1 = 256,
  aux_sym_expression_bit_string_segment_options_repeat1 = 257,
  aux_sym_anonymous_function_parameters_repeat1 = 258,
  aux_sym_case_clauses_repeat1 = 259,
  aux_sym_case_clause_patterns_repeat1 = 260,
  aux_sym_case_clause_pattern_repeat1 = 261,
  aux_sym_use_assignments_repeat1 = 262,
  aux_sym_record_update_arguments_repeat1 = 263,
  aux_sym_arguments_repeat1 = 264,
  aux_sym_record_pattern_arguments_repeat1 = 265,
  aux_sym__pattern_bit_string_repeat1 = 266,
  aux_sym_pattern_bit_string_segment_options_repeat1 = 267,
  aux_sym_data_constructors_repeat1 = 268,
  aux_sym_data_constructor_arguments_repeat1 = 269,
  aux_sym_string_repeat1 = 270,
  aux_sym_tuple_type_repeat1 = 271,
  aux_sym_type_arguments_repeat1 = 272,
  aux_sym_type_parameters_repeat1 = 273,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_module_comment] = "module_comment",
  [sym_statement_comment] = "statement_comment",
  [sym_comment] = "comment",
  [anon_sym_if] = "if",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_erlang] = "erlang",
  [anon_sym_javascript] = "javascript",
  [anon_sym_AT] = "@",
  [anon_sym_LPAREN] = "(",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COLON] = ":",
  [anon_sym_import] = "import",
  [anon_sym_DOT] = ".",
  [anon_sym_as] = "as",
  [anon_sym_SLASH] = "/",
  [anon_sym_type] = "type",
  [anon_sym_const] = "const",
  [anon_sym_EQ] = "=",
  [anon_sym_POUND] = "#",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_DASH] = "-",
  [anon_sym_size] = "size",
  [anon_sym_fn] = "fn",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_external] = "external",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT_DOT] = "<.",
  [anon_sym_LT_EQ_DOT] = "<=.",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_GT_DOT] = ">.",
  [anon_sym_GT_EQ_DOT] = ">=.",
  [anon_sym_PIPE_GT] = "|>",
  [anon_sym_PLUS] = "+",
  [anon_sym_PLUS_DOT] = "+.",
  [anon_sym_DASH_DOT] = "-.",
  [anon_sym_STAR] = "*",
  [anon_sym_STAR_DOT] = "*.",
  [anon_sym_SLASH_DOT] = "/.",
  [anon_sym_PERCENT] = "%",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_todo] = "todo",
  [anon_sym_panic] = "panic",
  [anon_sym_echo] = "echo",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_case] = "case",
  [anon_sym_PIPE] = "|",
  [anon_sym_let] = "let",
  [anon_sym_assert] = "assert",
  [anon_sym_use] = "use",
  [anon_sym_LT_DASH] = "<-",
  [anon_sym_BANG] = "!",
  [sym_visibility_modifier] = "visibility_modifier",
  [sym_opacity_modifier] = "opacity_modifier",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_DQUOTE2] = "\"",
  [aux_sym_escape_sequence_token1] = "escape_sequence_token1",
  [aux_sym_escape_sequence_token2] = "escape_sequence_token2",
  [sym_float] = "float",
  [sym__hex] = "_hex",
  [sym__decimal] = "_decimal",
  [sym__octal] = "_octal",
  [sym__binary] = "_binary",
  [anon_sym_binary] = "binary",
  [anon_sym_bytes] = "bytes",
  [anon_sym_int] = "int",
  [anon_sym_float] = "float",
  [anon_sym_bit_string] = "bit_string",
  [anon_sym_bits] = "bits",
  [anon_sym_utf8] = "utf8",
  [anon_sym_utf16] = "utf16",
  [anon_sym_utf32] = "utf32",
  [anon_sym_utf8_codepoint] = "utf8_codepoint",
  [anon_sym_utf16_codepoint] = "utf16_codepoint",
  [anon_sym_utf32_codepoint] = "utf32_codepoint",
  [anon_sym_signed] = "signed",
  [anon_sym_unsigned] = "unsigned",
  [anon_sym_big] = "big",
  [anon_sym_little] = "little",
  [anon_sym_native] = "native",
  [anon_sym_unit] = "unit",
  [sym__discard_name] = "_discard_name",
  [sym__name] = "_name",
  [sym__upname] = "_upname",
  [sym_quoted_content] = "quoted_content",
  [sym_source_file] = "source_file",
  [sym__module_statement] = "_module_statement",
  [sym_target_group] = "target_group",
  [sym_target] = "target",
  [sym_attribute] = "attribute",
  [sym__attribute_arguments] = "arguments",
  [sym_attribute_value] = "attribute_value",
  [sym_import] = "import",
  [sym_module] = "module",
  [sym_unqualified_imports] = "unqualified_imports",
  [sym_unqualified_import] = "unqualified_import",
  [sym_constant] = "constant",
  [sym__constant_value] = "_constant_value",
  [sym_constant_tuple] = "tuple",
  [sym_constant_list] = "list",
  [sym__constant_bit_string] = "bit_string",
  [sym_constant_bit_string_segment] = "bit_string_segment",
  [sym_constant_bit_string_segment_options] = "bit_string_segment_options",
  [sym__constant_bit_string_segment_option] = "_constant_bit_string_segment_option",
  [sym__constant_bit_string_named_segment_option] = "_constant_bit_string_named_segment_option",
  [sym__constant_bit_string_segment_option_size] = "bit_string_segment_option",
  [sym_constant_record] = "record",
  [sym_constant_record_arguments] = "arguments",
  [sym_constant_record_argument] = "argument",
  [sym_constant_field_access] = "field_access",
  [sym__constant_type] = "_constant_type",
  [sym__constant_type_annotation] = "_constant_type_annotation",
  [sym_constant_tuple_type] = "tuple_type",
  [sym_constant_function_type] = "function_type",
  [sym_constant_function_parameter_types] = "function_parameter_types",
  [sym_constant_type] = "type",
  [sym_constant_type_arguments] = "type_arguments",
  [sym_constant_type_argument] = "type_argument",
  [sym_external_type] = "external_type",
  [sym_external_function] = "external_function",
  [sym_external_function_parameters] = "function_parameters",
  [sym_external_function_parameter] = "function_parameter",
  [sym_external_function_body] = "external_function_body",
  [sym_function] = "function",
  [sym_function_parameters] = "function_parameters",
  [sym_function_parameter] = "function_parameter",
  [sym__labeled_discard_param] = "_labeled_discard_param",
  [sym__discard_param] = "_discard_param",
  [sym__labeled_name_param] = "_labeled_name_param",
  [sym__name_param] = "_name_param",
  [aux_sym__statement_seq] = "_statement_seq",
  [sym__statement] = "_statement",
  [sym__expression] = "_expression",
  [sym_binary_expression] = "binary_expression",
  [sym__expression_unit] = "_expression_unit",
  [sym_record] = "record",
  [sym_todo] = "todo",
  [sym_panic] = "panic",
  [sym_pipeline_echo] = "pipeline_echo",
  [sym_echo] = "echo",
  [sym_tuple] = "tuple",
  [sym_list] = "list",
  [sym__expression_bit_string] = "bit_string",
  [sym_expression_bit_string_segment] = "bit_string_segment",
  [sym_expression_bit_string_segment_options] = "bit_string_segment_options",
  [sym__expression_bit_string_segment_option] = "_expression_bit_string_segment_option",
  [sym__expression_bit_string_named_segment_option] = "_expression_bit_string_named_segment_option",
  [sym__expression_bit_string_segment_option_size] = "bit_string_segment_option",
  [sym_anonymous_function] = "anonymous_function",
  [sym_anonymous_function_parameters] = "function_parameters",
  [sym_anonymous_function_parameter] = "function_parameter",
  [sym_block] = "block",
  [sym_case] = "case",
  [sym_case_subjects] = "case_subjects",
  [sym_case_clauses] = "case_clauses",
  [sym_case_clause] = "case_clause",
  [sym_case_clause_patterns] = "case_clause_patterns",
  [sym_case_clause_pattern] = "case_clause_pattern",
  [sym_case_clause_guard] = "case_clause_guard",
  [sym__case_clause_guard_expression] = "_case_clause_guard_expression",
  [sym__case_clause_guard_binary_expression] = "binary_expression",
  [sym__case_clause_guard_unit] = "_case_clause_guard_unit",
  [sym__case_clause_tuple_access] = "tuple_access",
  [sym_let_assert] = "let_assert",
  [sym_let] = "let",
  [sym_use] = "use",
  [sym_use_assignments] = "use_assignments",
  [sym_use_assignment] = "use_assignment",
  [sym_assert] = "assert",
  [sym_boolean_negation] = "boolean_negation",
  [sym_integer_negation] = "integer_negation",
  [sym__assignment] = "_assignment",
  [sym_record_update] = "record_update",
  [sym_record_update_arguments] = "record_update_arguments",
  [sym_record_update_argument] = "record_update_argument",
  [sym__maybe_tuple_expression] = "_maybe_tuple_expression",
  [sym_tuple_access] = "tuple_access",
  [sym__maybe_record_expression] = "_maybe_record_expression",
  [sym_field_access] = "field_access",
  [sym__maybe_function_expression] = "_maybe_function_expression",
  [sym_arguments] = "arguments",
  [sym_argument] = "argument",
  [sym_hole] = "hole",
  [sym_function_call] = "function_call",
  [sym__pattern_expression] = "_pattern_expression",
  [sym__pattern_binary_expression] = "binary_expression",
  [sym__pattern] = "_pattern",
  [sym_record_pattern] = "record_pattern",
  [sym_record_pattern_arguments] = "record_pattern_arguments",
  [sym_record_pattern_argument] = "record_pattern_argument",
  [sym_pattern_spread] = "pattern_spread",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym__pattern_bit_string] = "bit_string_pattern",
  [sym_pattern_bit_string_segment] = "bit_string_segment",
  [sym_pattern_bit_string_segment_options] = "bit_string_segment_options",
  [sym__pattern_bit_string_segment_option] = "_pattern_bit_string_segment_option",
  [sym__pattern_bit_string_named_segment_option] = "_pattern_bit_string_named_segment_option",
  [sym__pattern_bit_string_segment_option_size] = "bit_string_segment_option",
  [sym__pattern_bit_string_segment_argument] = "_pattern_bit_string_segment_argument",
  [sym_list_pattern] = "list_pattern",
  [sym_list_pattern_tail] = "list_pattern_tail",
  [sym_type_definition] = "type_definition",
  [sym_data_constructors] = "data_constructors",
  [sym_data_constructor] = "data_constructor",
  [sym_data_constructor_arguments] = "data_constructor_arguments",
  [sym_data_constructor_argument] = "data_constructor_argument",
  [sym_type_alias] = "type_alias",
  [sym_string] = "string",
  [sym_escape_sequence] = "escape_sequence",
  [sym_integer] = "integer",
  [sym__bit_string_segment_option] = "bit_string_segment_option",
  [sym__type] = "_type",
  [sym__type_annotation] = "_type_annotation",
  [sym_type_hole] = "type_hole",
  [sym_tuple_type] = "tuple_type",
  [sym_function_type] = "function_type",
  [sym_function_parameter_types] = "function_parameter_types",
  [sym_type] = "type",
  [sym_type_arguments] = "type_arguments",
  [sym_type_argument] = "type_argument",
  [sym_type_var] = "type_var",
  [sym_type_name] = "type_name",
  [sym_type_parameters] = "type_parameters",
  [sym_type_parameter] = "type_parameter",
  [sym_identifier] = "identifier",
  [sym_label] = "label",
  [sym_discard] = "discard",
  [sym_type_identifier] = "type_identifier",
  [sym_remote_type_identifier] = "remote_type_identifier",
  [sym_constructor_name] = "constructor_name",
  [sym_remote_constructor_name] = "remote_constructor_name",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_target_group_repeat1] = "target_group_repeat1",
  [aux_sym__attribute_arguments_repeat1] = "_attribute_arguments_repeat1",
  [aux_sym_module_repeat1] = "module_repeat1",
  [aux_sym_unqualified_imports_repeat1] = "unqualified_imports_repeat1",
  [aux_sym_constant_tuple_repeat1] = "constant_tuple_repeat1",
  [aux_sym__constant_bit_string_repeat1] = "_constant_bit_string_repeat1",
  [aux_sym_constant_bit_string_segment_options_repeat1] = "constant_bit_string_segment_options_repeat1",
  [aux_sym_constant_record_arguments_repeat1] = "constant_record_arguments_repeat1",
  [aux_sym_constant_tuple_type_repeat1] = "constant_tuple_type_repeat1",
  [aux_sym_constant_type_arguments_repeat1] = "constant_type_arguments_repeat1",
  [aux_sym_external_function_parameters_repeat1] = "external_function_parameters_repeat1",
  [aux_sym_function_parameters_repeat1] = "function_parameters_repeat1",
  [aux_sym_tuple_repeat1] = "tuple_repeat1",
  [aux_sym__expression_bit_string_repeat1] = "_expression_bit_string_repeat1",
  [aux_sym_expression_bit_string_segment_options_repeat1] = "expression_bit_string_segment_options_repeat1",
  [aux_sym_anonymous_function_parameters_repeat1] = "anonymous_function_parameters_repeat1",
  [aux_sym_case_clauses_repeat1] = "case_clauses_repeat1",
  [aux_sym_case_clause_patterns_repeat1] = "case_clause_patterns_repeat1",
  [aux_sym_case_clause_pattern_repeat1] = "case_clause_pattern_repeat1",
  [aux_sym_use_assignments_repeat1] = "use_assignments_repeat1",
  [aux_sym_record_update_arguments_repeat1] = "record_update_arguments_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym_record_pattern_arguments_repeat1] = "record_pattern_arguments_repeat1",
  [aux_sym__pattern_bit_string_repeat1] = "_pattern_bit_string_repeat1",
  [aux_sym_pattern_bit_string_segment_options_repeat1] = "pattern_bit_string_segment_options_repeat1",
  [aux_sym_data_constructors_repeat1] = "data_constructors_repeat1",
  [aux_sym_data_constructor_arguments_repeat1] = "data_constructor_arguments_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_tuple_type_repeat1] = "tuple_type_repeat1",
  [aux_sym_type_arguments_repeat1] = "type_arguments_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_module_comment] = sym_module_comment,
  [sym_statement_comment] = sym_statement_comment,
  [sym_comment] = sym_comment,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_erlang] = anon_sym_erlang,
  [anon_sym_javascript] = anon_sym_javascript,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_size] = anon_sym_size,
  [anon_sym_fn] = anon_sym_fn,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_external] = anon_sym_external,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT_DOT] = anon_sym_LT_DOT,
  [anon_sym_LT_EQ_DOT] = anon_sym_LT_EQ_DOT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_GT_DOT] = anon_sym_GT_DOT,
  [anon_sym_GT_EQ_DOT] = anon_sym_GT_EQ_DOT,
  [anon_sym_PIPE_GT] = anon_sym_PIPE_GT,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_PLUS_DOT] = anon_sym_PLUS_DOT,
  [anon_sym_DASH_DOT] = anon_sym_DASH_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_STAR_DOT] = anon_sym_STAR_DOT,
  [anon_sym_SLASH_DOT] = anon_sym_SLASH_DOT,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_todo] = anon_sym_todo,
  [anon_sym_panic] = anon_sym_panic,
  [anon_sym_echo] = anon_sym_echo,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_use] = anon_sym_use,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [anon_sym_BANG] = anon_sym_BANG,
  [sym_visibility_modifier] = sym_visibility_modifier,
  [sym_opacity_modifier] = sym_opacity_modifier,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [aux_sym_escape_sequence_token1] = aux_sym_escape_sequence_token1,
  [aux_sym_escape_sequence_token2] = aux_sym_escape_sequence_token2,
  [sym_float] = sym_float,
  [sym__hex] = sym__hex,
  [sym__decimal] = sym__decimal,
  [sym__octal] = sym__octal,
  [sym__binary] = sym__binary,
  [anon_sym_binary] = anon_sym_binary,
  [anon_sym_bytes] = anon_sym_bytes,
  [anon_sym_int] = anon_sym_int,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_bit_string] = anon_sym_bit_string,
  [anon_sym_bits] = anon_sym_bits,
  [anon_sym_utf8] = anon_sym_utf8,
  [anon_sym_utf16] = anon_sym_utf16,
  [anon_sym_utf32] = anon_sym_utf32,
  [anon_sym_utf8_codepoint] = anon_sym_utf8_codepoint,
  [anon_sym_utf16_codepoint] = anon_sym_utf16_codepoint,
  [anon_sym_utf32_codepoint] = anon_sym_utf32_codepoint,
  [anon_sym_signed] = anon_sym_signed,
  [anon_sym_unsigned] = anon_sym_unsigned,
  [anon_sym_big] = anon_sym_big,
  [anon_sym_little] = anon_sym_little,
  [anon_sym_native] = anon_sym_native,
  [anon_sym_unit] = anon_sym_unit,
  [sym__discard_name] = sym__discard_name,
  [sym__name] = sym__name,
  [sym__upname] = sym__upname,
  [sym_quoted_content] = sym_quoted_content,
  [sym_source_file] = sym_source_file,
  [sym__module_statement] = sym__module_statement,
  [sym_target_group] = sym_target_group,
  [sym_target] = sym_target,
  [sym_attribute] = sym_attribute,
  [sym__attribute_arguments] = sym_arguments,
  [sym_attribute_value] = sym_attribute_value,
  [sym_import] = sym_import,
  [sym_module] = sym_module,
  [sym_unqualified_imports] = sym_unqualified_imports,
  [sym_unqualified_import] = sym_unqualified_import,
  [sym_constant] = sym_constant,
  [sym__constant_value] = sym__constant_value,
  [sym_constant_tuple] = sym_tuple,
  [sym_constant_list] = sym_list,
  [sym__constant_bit_string] = sym__constant_bit_string,
  [sym_constant_bit_string_segment] = sym_constant_bit_string_segment,
  [sym_constant_bit_string_segment_options] = sym_constant_bit_string_segment_options,
  [sym__constant_bit_string_segment_option] = sym__constant_bit_string_segment_option,
  [sym__constant_bit_string_named_segment_option] = sym__constant_bit_string_named_segment_option,
  [sym__constant_bit_string_segment_option_size] = sym__constant_bit_string_segment_option_size,
  [sym_constant_record] = sym_record,
  [sym_constant_record_arguments] = sym_arguments,
  [sym_constant_record_argument] = sym_argument,
  [sym_constant_field_access] = sym_field_access,
  [sym__constant_type] = sym__constant_type,
  [sym__constant_type_annotation] = sym__constant_type_annotation,
  [sym_constant_tuple_type] = sym_tuple_type,
  [sym_constant_function_type] = sym_function_type,
  [sym_constant_function_parameter_types] = sym_function_parameter_types,
  [sym_constant_type] = sym_type,
  [sym_constant_type_arguments] = sym_type_arguments,
  [sym_constant_type_argument] = sym_type_argument,
  [sym_external_type] = sym_external_type,
  [sym_external_function] = sym_external_function,
  [sym_external_function_parameters] = sym_function_parameters,
  [sym_external_function_parameter] = sym_function_parameter,
  [sym_external_function_body] = sym_external_function_body,
  [sym_function] = sym_function,
  [sym_function_parameters] = sym_function_parameters,
  [sym_function_parameter] = sym_function_parameter,
  [sym__labeled_discard_param] = sym__labeled_discard_param,
  [sym__discard_param] = sym__discard_param,
  [sym__labeled_name_param] = sym__labeled_name_param,
  [sym__name_param] = sym__name_param,
  [aux_sym__statement_seq] = aux_sym__statement_seq,
  [sym__statement] = sym__statement,
  [sym__expression] = sym__expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym__expression_unit] = sym__expression_unit,
  [sym_record] = sym_record,
  [sym_todo] = sym_todo,
  [sym_panic] = sym_panic,
  [sym_pipeline_echo] = sym_pipeline_echo,
  [sym_echo] = sym_echo,
  [sym_tuple] = sym_tuple,
  [sym_list] = sym_list,
  [sym__expression_bit_string] = sym__constant_bit_string,
  [sym_expression_bit_string_segment] = sym_constant_bit_string_segment,
  [sym_expression_bit_string_segment_options] = sym_constant_bit_string_segment_options,
  [sym__expression_bit_string_segment_option] = sym__expression_bit_string_segment_option,
  [sym__expression_bit_string_named_segment_option] = sym__expression_bit_string_named_segment_option,
  [sym__expression_bit_string_segment_option_size] = sym__constant_bit_string_segment_option_size,
  [sym_anonymous_function] = sym_anonymous_function,
  [sym_anonymous_function_parameters] = sym_function_parameters,
  [sym_anonymous_function_parameter] = sym_function_parameter,
  [sym_block] = sym_block,
  [sym_case] = sym_case,
  [sym_case_subjects] = sym_case_subjects,
  [sym_case_clauses] = sym_case_clauses,
  [sym_case_clause] = sym_case_clause,
  [sym_case_clause_patterns] = sym_case_clause_patterns,
  [sym_case_clause_pattern] = sym_case_clause_pattern,
  [sym_case_clause_guard] = sym_case_clause_guard,
  [sym__case_clause_guard_expression] = sym__case_clause_guard_expression,
  [sym__case_clause_guard_binary_expression] = sym_binary_expression,
  [sym__case_clause_guard_unit] = sym__case_clause_guard_unit,
  [sym__case_clause_tuple_access] = sym_tuple_access,
  [sym_let_assert] = sym_let_assert,
  [sym_let] = sym_let,
  [sym_use] = sym_use,
  [sym_use_assignments] = sym_use_assignments,
  [sym_use_assignment] = sym_use_assignment,
  [sym_assert] = sym_assert,
  [sym_boolean_negation] = sym_boolean_negation,
  [sym_integer_negation] = sym_integer_negation,
  [sym__assignment] = sym__assignment,
  [sym_record_update] = sym_record_update,
  [sym_record_update_arguments] = sym_record_update_arguments,
  [sym_record_update_argument] = sym_record_update_argument,
  [sym__maybe_tuple_expression] = sym__maybe_tuple_expression,
  [sym_tuple_access] = sym_tuple_access,
  [sym__maybe_record_expression] = sym__maybe_record_expression,
  [sym_field_access] = sym_field_access,
  [sym__maybe_function_expression] = sym__maybe_function_expression,
  [sym_arguments] = sym_arguments,
  [sym_argument] = sym_argument,
  [sym_hole] = sym_hole,
  [sym_function_call] = sym_function_call,
  [sym__pattern_expression] = sym__pattern_expression,
  [sym__pattern_binary_expression] = sym_binary_expression,
  [sym__pattern] = sym__pattern,
  [sym_record_pattern] = sym_record_pattern,
  [sym_record_pattern_arguments] = sym_record_pattern_arguments,
  [sym_record_pattern_argument] = sym_record_pattern_argument,
  [sym_pattern_spread] = sym_pattern_spread,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym__pattern_bit_string] = sym__pattern_bit_string,
  [sym_pattern_bit_string_segment] = sym_constant_bit_string_segment,
  [sym_pattern_bit_string_segment_options] = sym_constant_bit_string_segment_options,
  [sym__pattern_bit_string_segment_option] = sym__pattern_bit_string_segment_option,
  [sym__pattern_bit_string_named_segment_option] = sym__pattern_bit_string_named_segment_option,
  [sym__pattern_bit_string_segment_option_size] = sym__constant_bit_string_segment_option_size,
  [sym__pattern_bit_string_segment_argument] = sym__pattern_bit_string_segment_argument,
  [sym_list_pattern] = sym_list_pattern,
  [sym_list_pattern_tail] = sym_list_pattern_tail,
  [sym_type_definition] = sym_type_definition,
  [sym_data_constructors] = sym_data_constructors,
  [sym_data_constructor] = sym_data_constructor,
  [sym_data_constructor_arguments] = sym_data_constructor_arguments,
  [sym_data_constructor_argument] = sym_data_constructor_argument,
  [sym_type_alias] = sym_type_alias,
  [sym_string] = sym_string,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_integer] = sym_integer,
  [sym__bit_string_segment_option] = sym__constant_bit_string_segment_option_size,
  [sym__type] = sym__type,
  [sym__type_annotation] = sym__type_annotation,
  [sym_type_hole] = sym_type_hole,
  [sym_tuple_type] = sym_tuple_type,
  [sym_function_type] = sym_function_type,
  [sym_function_parameter_types] = sym_function_parameter_types,
  [sym_type] = sym_type,
  [sym_type_arguments] = sym_type_arguments,
  [sym_type_argument] = sym_type_argument,
  [sym_type_var] = sym_type_var,
  [sym_type_name] = sym_type_name,
  [sym_type_parameters] = sym_type_parameters,
  [sym_type_parameter] = sym_type_parameter,
  [sym_identifier] = sym_identifier,
  [sym_label] = sym_label,
  [sym_discard] = sym_discard,
  [sym_type_identifier] = sym_type_identifier,
  [sym_remote_type_identifier] = sym_remote_type_identifier,
  [sym_constructor_name] = sym_constructor_name,
  [sym_remote_constructor_name] = sym_remote_constructor_name,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_target_group_repeat1] = aux_sym_target_group_repeat1,
  [aux_sym__attribute_arguments_repeat1] = aux_sym__attribute_arguments_repeat1,
  [aux_sym_module_repeat1] = aux_sym_module_repeat1,
  [aux_sym_unqualified_imports_repeat1] = aux_sym_unqualified_imports_repeat1,
  [aux_sym_constant_tuple_repeat1] = aux_sym_constant_tuple_repeat1,
  [aux_sym__constant_bit_string_repeat1] = aux_sym__constant_bit_string_repeat1,
  [aux_sym_constant_bit_string_segment_options_repeat1] = aux_sym_constant_bit_string_segment_options_repeat1,
  [aux_sym_constant_record_arguments_repeat1] = aux_sym_constant_record_arguments_repeat1,
  [aux_sym_constant_tuple_type_repeat1] = aux_sym_constant_tuple_type_repeat1,
  [aux_sym_constant_type_arguments_repeat1] = aux_sym_constant_type_arguments_repeat1,
  [aux_sym_external_function_parameters_repeat1] = aux_sym_external_function_parameters_repeat1,
  [aux_sym_function_parameters_repeat1] = aux_sym_function_parameters_repeat1,
  [aux_sym_tuple_repeat1] = aux_sym_tuple_repeat1,
  [aux_sym__expression_bit_string_repeat1] = aux_sym__expression_bit_string_repeat1,
  [aux_sym_expression_bit_string_segment_options_repeat1] = aux_sym_expression_bit_string_segment_options_repeat1,
  [aux_sym_anonymous_function_parameters_repeat1] = aux_sym_anonymous_function_parameters_repeat1,
  [aux_sym_case_clauses_repeat1] = aux_sym_case_clauses_repeat1,
  [aux_sym_case_clause_patterns_repeat1] = aux_sym_case_clause_patterns_repeat1,
  [aux_sym_case_clause_pattern_repeat1] = aux_sym_case_clause_pattern_repeat1,
  [aux_sym_use_assignments_repeat1] = aux_sym_use_assignments_repeat1,
  [aux_sym_record_update_arguments_repeat1] = aux_sym_record_update_arguments_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym_record_pattern_arguments_repeat1] = aux_sym_record_pattern_arguments_repeat1,
  [aux_sym__pattern_bit_string_repeat1] = aux_sym__pattern_bit_string_repeat1,
  [aux_sym_pattern_bit_string_segment_options_repeat1] = aux_sym_pattern_bit_string_segment_options_repeat1,
  [aux_sym_data_constructors_repeat1] = aux_sym_data_constructors_repeat1,
  [aux_sym_data_constructor_arguments_repeat1] = aux_sym_data_constructor_arguments_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_tuple_type_repeat1] = aux_sym_tuple_type_repeat1,
  [aux_sym_type_arguments_repeat1] = aux_sym_type_arguments_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_module_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_erlang] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_javascript] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_size] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_external] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_todo] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_panic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_echo] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_use] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [sym_visibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_opacity_modifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_escape_sequence_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [sym__hex] = {
    .visible = false,
    .named = true,
  },
  [sym__decimal] = {
    .visible = false,
    .named = true,
  },
  [sym__octal] = {
    .visible = false,
    .named = true,
  },
  [sym__binary] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_binary] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bytes] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bit_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bits] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_utf8] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_utf16] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_utf32] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_utf8_codepoint] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_utf16_codepoint] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_utf32_codepoint] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_big] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_little] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_native] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unit] = {
    .visible = true,
    .named = false,
  },
  [sym__discard_name] = {
    .visible = false,
    .named = true,
  },
  [sym__name] = {
    .visible = false,
    .named = true,
  },
  [sym__upname] = {
    .visible = false,
    .named = true,
  },
  [sym_quoted_content] = {
    .visible = true,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym__module_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_target_group] = {
    .visible = true,
    .named = true,
  },
  [sym_target] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__attribute_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_value] = {
    .visible = true,
    .named = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym_unqualified_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_unqualified_import] = {
    .visible = true,
    .named = true,
  },
  [sym_constant] = {
    .visible = true,
    .named = true,
  },
  [sym__constant_value] = {
    .visible = false,
    .named = true,
  },
  [sym_constant_tuple] = {
    .visible = true,
    .named = true,
  },
  [sym_constant_list] = {
    .visible = true,
    .named = true,
  },
  [sym__constant_bit_string] = {
    .visible = true,
    .named = true,
  },
  [sym_constant_bit_string_segment] = {
    .visible = true,
    .named = true,
  },
  [sym_constant_bit_string_segment_options] = {
    .visible = true,
    .named = true,
  },
  [sym__constant_bit_string_segment_option] = {
    .visible = false,
    .named = true,
  },
  [sym__constant_bit_string_named_segment_option] = {
    .visible = false,
    .named = true,
  },
  [sym__constant_bit_string_segment_option_size] = {
    .visible = true,
    .named = true,
  },
  [sym_constant_record] = {
    .visible = true,
    .named = true,
  },
  [sym_constant_record_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_constant_record_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_constant_field_access] = {
    .visible = true,
    .named = true,
  },
  [sym__constant_type] = {
    .visible = false,
    .named = true,
  },
  [sym__constant_type_annotation] = {
    .visible = false,
    .named = true,
  },
  [sym_constant_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constant_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constant_function_parameter_types] = {
    .visible = true,
    .named = true,
  },
  [sym_constant_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constant_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_constant_type_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_external_type] = {
    .visible = true,
    .named = true,
  },
  [sym_external_function] = {
    .visible = true,
    .named = true,
  },
  [sym_external_function_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_external_function_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_external_function_body] = {
    .visible = true,
    .named = true,
  },
  [sym_function] = {
    .visible = true,
    .named = true,
  },
  [sym_function_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_function_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__labeled_discard_param] = {
    .visible = false,
    .named = true,
  },
  [sym__discard_param] = {
    .visible = false,
    .named = true,
  },
  [sym__labeled_name_param] = {
    .visible = false,
    .named = true,
  },
  [sym__name_param] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__statement_seq] = {
    .visible = false,
    .named = false,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__expression_unit] = {
    .visible = false,
    .named = true,
  },
  [sym_record] = {
    .visible = true,
    .named = true,
  },
  [sym_todo] = {
    .visible = true,
    .named = true,
  },
  [sym_panic] = {
    .visible = true,
    .named = true,
  },
  [sym_pipeline_echo] = {
    .visible = true,
    .named = true,
  },
  [sym_echo] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym__expression_bit_string] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_bit_string_segment] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_bit_string_segment_options] = {
    .visible = true,
    .named = true,
  },
  [sym__expression_bit_string_segment_option] = {
    .visible = false,
    .named = true,
  },
  [sym__expression_bit_string_named_segment_option] = {
    .visible = false,
    .named = true,
  },
  [sym__expression_bit_string_segment_option_size] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case] = {
    .visible = true,
    .named = true,
  },
  [sym_case_subjects] = {
    .visible = true,
    .named = true,
  },
  [sym_case_clauses] = {
    .visible = true,
    .named = true,
  },
  [sym_case_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_case_clause_patterns] = {
    .visible = true,
    .named = true,
  },
  [sym_case_clause_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_case_clause_guard] = {
    .visible = true,
    .named = true,
  },
  [sym__case_clause_guard_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__case_clause_guard_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__case_clause_guard_unit] = {
    .visible = false,
    .named = true,
  },
  [sym__case_clause_tuple_access] = {
    .visible = true,
    .named = true,
  },
  [sym_let_assert] = {
    .visible = true,
    .named = true,
  },
  [sym_let] = {
    .visible = true,
    .named = true,
  },
  [sym_use] = {
    .visible = true,
    .named = true,
  },
  [sym_use_assignments] = {
    .visible = true,
    .named = true,
  },
  [sym_use_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_assert] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_negation] = {
    .visible = true,
    .named = true,
  },
  [sym_integer_negation] = {
    .visible = true,
    .named = true,
  },
  [sym__assignment] = {
    .visible = false,
    .named = true,
  },
  [sym_record_update] = {
    .visible = true,
    .named = true,
  },
  [sym_record_update_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_record_update_argument] = {
    .visible = true,
    .named = true,
  },
  [sym__maybe_tuple_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_tuple_access] = {
    .visible = true,
    .named = true,
  },
  [sym__maybe_record_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_field_access] = {
    .visible = true,
    .named = true,
  },
  [sym__maybe_function_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_hole] = {
    .visible = true,
    .named = true,
  },
  [sym_function_call] = {
    .visible = true,
    .named = true,
  },
  [sym__pattern_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__pattern_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_record_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_record_pattern_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_record_pattern_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern_spread] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__pattern_bit_string] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern_bit_string_segment] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern_bit_string_segment_options] = {
    .visible = true,
    .named = true,
  },
  [sym__pattern_bit_string_segment_option] = {
    .visible = false,
    .named = true,
  },
  [sym__pattern_bit_string_named_segment_option] = {
    .visible = false,
    .named = true,
  },
  [sym__pattern_bit_string_segment_option_size] = {
    .visible = true,
    .named = true,
  },
  [sym__pattern_bit_string_segment_argument] = {
    .visible = false,
    .named = true,
  },
  [sym_list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_pattern_tail] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_data_constructors] = {
    .visible = true,
    .named = true,
  },
  [sym_data_constructor] = {
    .visible = true,
    .named = true,
  },
  [sym_data_constructor_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_data_constructor_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym__bit_string_segment_option] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
  },
  [sym__type_annotation] = {
    .visible = false,
    .named = true,
  },
  [sym_type_hole] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_parameter_types] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_type_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_type_var] = {
    .visible = true,
    .named = true,
  },
  [sym_type_name] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_label] = {
    .visible = true,
    .named = true,
  },
  [sym_discard] = {
    .visible = true,
    .named = true,
  },
  [sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_remote_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_name] = {
    .visible = true,
    .named = true,
  },
  [sym_remote_constructor_name] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_target_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__attribute_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unqualified_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constant_tuple_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__constant_bit_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constant_bit_string_segment_options_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constant_record_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constant_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constant_type_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_external_function_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__expression_bit_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_bit_string_segment_options_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_anonymous_function_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_clauses_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_clause_patterns_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_clause_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_use_assignments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_update_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_pattern_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__pattern_bit_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pattern_bit_string_segment_options_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_data_constructors_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_data_constructor_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum {
  field_alias = 1,
  field_arguments = 2,
  field_assign = 3,
  field_assignments = 4,
  field_body = 5,
  field_clauses = 6,
  field_constructor = 7,
  field_field = 8,
  field_function = 9,
  field_guard = 10,
  field_imports = 11,
  field_index = 12,
  field_label = 13,
  field_left = 14,
  field_message = 15,
  field_module = 16,
  field_name = 17,
  field_operator = 18,
  field_options = 19,
  field_parameter_types = 20,
  field_parameters = 21,
  field_pattern = 22,
  field_patterns = 23,
  field_record = 24,
  field_return_type = 25,
  field_right = 26,
  field_spread = 27,
  field_subjects = 28,
  field_target = 29,
  field_tuple = 30,
  field_type = 31,
  field_value = 32,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_arguments] = "arguments",
  [field_assign] = "assign",
  [field_assignments] = "assignments",
  [field_body] = "body",
  [field_clauses] = "clauses",
  [field_constructor] = "constructor",
  [field_field] = "field",
  [field_function] = "function",
  [field_guard] = "guard",
  [field_imports] = "imports",
  [field_index] = "index",
  [field_label] = "label",
  [field_left] = "left",
  [field_message] = "message",
  [field_module] = "module",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_options] = "options",
  [field_parameter_types] = "parameter_types",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_patterns] = "patterns",
  [field_record] = "record",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_spread] = "spread",
  [field_subjects] = "subjects",
  [field_target] = "target",
  [field_tuple] = "tuple",
  [field_type] = "type",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 1},
  [5] = {.index = 4, .length = 4},
  [6] = {.index = 8, .length = 3},
  [7] = {.index = 11, .length = 1},
  [8] = {.index = 12, .length = 2},
  [9] = {.index = 14, .length = 2},
  [10] = {.index = 16, .length = 2},
  [11] = {.index = 18, .length = 2},
  [12] = {.index = 20, .length = 1},
  [13] = {.index = 21, .length = 2},
  [14] = {.index = 23, .length = 2},
  [15] = {.index = 25, .length = 1},
  [16] = {.index = 26, .length = 2},
  [17] = {.index = 28, .length = 4},
  [18] = {.index = 32, .length = 1},
  [19] = {.index = 33, .length = 2},
  [20] = {.index = 35, .length = 3},
  [21] = {.index = 38, .length = 2},
  [22] = {.index = 40, .length = 2},
  [23] = {.index = 42, .length = 2},
  [24] = {.index = 44, .length = 1},
  [25] = {.index = 45, .length = 2},
  [26] = {.index = 47, .length = 2},
  [27] = {.index = 49, .length = 1},
  [28] = {.index = 50, .length = 2},
  [29] = {.index = 52, .length = 3},
  [30] = {.index = 55, .length = 2},
  [31] = {.index = 57, .length = 2},
  [32] = {.index = 59, .length = 3},
  [33] = {.index = 62, .length = 1},
  [34] = {.index = 63, .length = 1},
  [35] = {.index = 64, .length = 2},
  [36] = {.index = 66, .length = 3},
  [37] = {.index = 69, .length = 2},
  [38] = {.index = 71, .length = 2},
  [39] = {.index = 73, .length = 2},
  [40] = {.index = 75, .length = 1},
  [41] = {.index = 76, .length = 3},
  [42] = {.index = 79, .length = 1},
  [43] = {.index = 80, .length = 3},
  [44] = {.index = 83, .length = 3},
  [45] = {.index = 86, .length = 2},
  [46] = {.index = 88, .length = 3},
  [47] = {.index = 91, .length = 1},
  [48] = {.index = 92, .length = 2},
  [49] = {.index = 94, .length = 2},
  [50] = {.index = 96, .length = 1},
  [51] = {.index = 97, .length = 2},
  [52] = {.index = 99, .length = 4},
  [53] = {.index = 103, .length = 5},
  [54] = {.index = 108, .length = 4},
  [55] = {.index = 112, .length = 2},
  [56] = {.index = 114, .length = 3},
  [57] = {.index = 117, .length = 2},
  [58] = {.index = 119, .length = 3},
  [59] = {.index = 122, .length = 1},
  [60] = {.index = 123, .length = 1},
  [61] = {.index = 124, .length = 4},
  [62] = {.index = 128, .length = 2},
  [63] = {.index = 130, .length = 2},
  [64] = {.index = 132, .length = 2},
  [65] = {.index = 134, .length = 3},
  [66] = {.index = 137, .length = 3},
  [67] = {.index = 140, .length = 3},
  [68] = {.index = 143, .length = 2},
  [69] = {.index = 145, .length = 2},
  [70] = {.index = 147, .length = 1},
  [71] = {.index = 148, .length = 2},
  [72] = {.index = 150, .length = 3},
  [73] = {.index = 153, .length = 4},
  [74] = {.index = 157, .length = 3},
  [75] = {.index = 160, .length = 2},
  [76] = {.index = 162, .length = 4},
  [77] = {.index = 166, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 0},
  [1] =
    {field_name, 1},
  [2] =
    {field_module, 1},
  [3] =
    {field_value, 0},
  [4] =
    {field_assign, 1, .inherited = true},
    {field_pattern, 1, .inherited = true},
    {field_type, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [8] =
    {field_left, 0, .inherited = true},
    {field_operator, 0, .inherited = true},
    {field_right, 0, .inherited = true},
  [11] =
    {field_assign, 0, .inherited = true},
  [12] =
    {field_arguments, 1},
    {field_function, 0},
  [14] =
    {field_arguments, 1},
    {field_name, 0},
  [16] =
    {field_arguments, 2},
    {field_name, 1},
  [18] =
    {field_name, 0},
    {field_parameters, 1},
  [20] =
    {field_name, 0, .inherited = true},
  [21] =
    {field_body, 2},
    {field_parameters, 1},
  [23] =
    {field_name, 1},
    {field_parameters, 2},
  [25] =
    {field_message, 2},
  [26] =
    {field_assign, 0, .inherited = true},
    {field_value, 0},
  [28] =
    {field_assign, 2, .inherited = true},
    {field_pattern, 2, .inherited = true},
    {field_type, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [32] =
    {field_value, 2},
  [33] =
    {field_assign, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [35] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [38] =
    {field_index, 2},
    {field_tuple, 0},
  [40] =
    {field_field, 2},
    {field_record, 0},
  [42] =
    {field_module, 0},
    {field_name, 2},
  [44] =
    {field_target, 1},
  [45] =
    {field_imports, 3},
    {field_module, 1},
  [47] =
    {field_alias, 3},
    {field_module, 1},
  [49] =
    {field_type, 1},
  [50] =
    {field_name, 1},
    {field_value, 3},
  [52] =
    {field_options, 1},
    {field_options, 2},
    {field_value, 0},
  [55] =
    {field_name, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [57] =
    {field_label, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [59] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [62] =
    {field_subjects, 1},
  [63] =
    {field_assign, 1, .inherited = true},
  [64] =
    {field_assign, 1},
    {field_assign, 2},
  [66] =
    {field_assign, 0, .inherited = true},
    {field_pattern, 0},
    {field_value, 2},
  [69] =
    {field_assign, 0, .inherited = true},
    {field_pattern, 0},
  [71] =
    {field_assignments, 1},
    {field_value, 3},
  [73] =
    {field_name, 2},
    {field_parameters, 3},
  [75] =
    {field_label, 0},
  [76] =
    {field_name, 1},
    {field_type, 2, .inherited = true},
    {field_value, 4},
  [79] =
    {field_spread, 3},
  [80] =
    {field_body, 4},
    {field_parameters, 1},
    {field_return_type, 3},
  [83] =
    {field_label, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [86] =
    {field_label, 0},
    {field_name, 1},
  [88] =
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [91] =
    {field_type, 0},
  [92] =
    {field_clauses, 3},
    {field_subjects, 1},
  [94] =
    {field_assign, 0, .inherited = true},
    {field_assign, 1, .inherited = true},
  [96] =
    {field_assign, 2, .inherited = true},
  [97] =
    {field_assign, 1, .inherited = true},
    {field_assign, 2, .inherited = true},
  [99] =
    {field_assign, 0, .inherited = true},
    {field_options, 1},
    {field_options, 2},
    {field_value, 0},
  [103] =
    {field_assign, 2, .inherited = true},
    {field_message, 4},
    {field_pattern, 2, .inherited = true},
    {field_type, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [108] =
    {field_assign, 0, .inherited = true},
    {field_pattern, 0},
    {field_type, 1, .inherited = true},
    {field_value, 3},
  [112] =
    {field_name, 2},
    {field_value, 4},
  [114] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
  [117] =
    {field_label, 0},
    {field_value, 2},
  [119] =
    {field_alias, 5},
    {field_imports, 3},
    {field_module, 1},
  [122] =
    {field_return_type, 2},
  [123] =
    {field_spread, 4},
  [124] =
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [128] =
    {field_index, 0, .inherited = true},
    {field_tuple, 0, .inherited = true},
  [130] =
    {field_patterns, 0},
    {field_value, 2},
  [132] =
    {field_assign, 2, .inherited = true},
    {field_assign, 3, .inherited = true},
  [134] =
    {field_assign, 2, .inherited = true},
    {field_label, 0},
    {field_pattern, 2},
  [137] =
    {field_name, 2},
    {field_type, 3, .inherited = true},
    {field_value, 5},
  [140] =
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [143] =
    {field_alias, 2},
    {field_name, 0},
  [145] =
    {field_parameter_types, 1},
    {field_return_type, 3},
  [147] =
    {field_spread, 5},
  [148] =
    {field_name, 0},
    {field_type, 2},
  [150] =
    {field_guard, 1},
    {field_patterns, 0},
    {field_value, 3},
  [153] =
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [157] =
    {field_arguments, 5},
    {field_constructor, 0},
    {field_spread, 3},
  [160] =
    {field_alias, 3},
    {field_name, 1},
  [162] =
    {field_body, 7},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [166] =
    {field_body, 8},
    {field_name, 3},
    {field_parameters, 4},
    {field_return_type, 6},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(175);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(170)
      if (lookahead == '\r') SKIP(170)
      if (lookahead == '!') ADVANCE(262);
      if (lookahead == '"') ADVANCE(268);
      if (lookahead == '#') ADVANCE(208);
      if (lookahead == '%') ADVANCE(248);
      if (lookahead == '&') ADVANCE(1);
      if (lookahead == '(') ADVANCE(190);
      if (lookahead == ')') ADVANCE(192);
      if (lookahead == '*') ADVANCE(245);
      if (lookahead == '+') ADVANCE(242);
      if (lookahead == ',') ADVANCE(191);
      if (lookahead == '-') ADVANCE(216);
      if (lookahead == '.') ADVANCE(197);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == '0') ADVANCE(274);
      if (lookahead == ':') ADVANCE(193);
      if (lookahead == '<') ADVANCE(231);
      if (lookahead == '=') ADVANCE(207);
      if (lookahead == '>') ADVANCE(237);
      if (lookahead == '@') ADVANCE(189);
      if (lookahead == '[') ADVANCE(209);
      if (lookahead == '\\') ADVANCE(127);
      if (lookahead == ']') ADVANCE(210);
      if (lookahead == '_') ADVANCE(316);
      if (lookahead == 'a') ADVANCE(430);
      if (lookahead == 'b') ADVANCE(377);
      if (lookahead == 'c') ADVANCE(325);
      if (lookahead == 'e') ADVANCE(336);
      if (lookahead == 'f') ADVANCE(388);
      if (lookahead == 'i') ADVANCE(367);
      if (lookahead == 'j') ADVANCE(323);
      if (lookahead == 'l') ADVANCE(359);
      if (lookahead == 'n') ADVANCE(333);
      if (lookahead == 'o') ADVANCE(416);
      if (lookahead == 'p') ADVANCE(327);
      if (lookahead == 's') ADVANCE(378);
      if (lookahead == 't') ADVANCE(404);
      if (lookahead == 'u') ADVANCE(393);
      if (lookahead == '{') ADVANCE(183);
      if (lookahead == '|') ADVANCE(256);
      if (lookahead == '}') ADVANCE(184);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(275);
      if (('d' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(463);
      END_STATE();
    case 1:
      if (lookahead == '&') ADVANCE(228);
      END_STATE();
    case 2:
      if (lookahead == '-') ADVANCE(167);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(272);
      END_STATE();
    case 3:
      if (lookahead == '-') ADVANCE(260);
      if (lookahead == '<') ADVANCE(211);
      END_STATE();
    case 4:
      if (lookahead == '-') ADVANCE(260);
      if (lookahead == '>') ADVANCE(249);
      END_STATE();
    case 5:
      if (lookahead == '.') ADVANCE(253);
      END_STATE();
    case 6:
      if (lookahead == '.') ADVANCE(271);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(6);
      END_STATE();
    case 7:
      if (lookahead == '/') ADVANCE(179);
      END_STATE();
    case 8:
      if (lookahead == '1') ADVANCE(10);
      if (lookahead == '3') ADVANCE(9);
      if (lookahead == '8') ADVANCE(292);
      END_STATE();
    case 9:
      if (lookahead == '2') ADVANCE(296);
      END_STATE();
    case 10:
      if (lookahead == '6') ADVANCE(294);
      END_STATE();
    case 11:
      if (lookahead == '<') ADVANCE(211);
      END_STATE();
    case 12:
      if (lookahead == '=') ADVANCE(230);
      END_STATE();
    case 13:
      if (lookahead == '=') ADVANCE(229);
      END_STATE();
    case 14:
      if (lookahead == '>') ADVANCE(224);
      END_STATE();
    case 15:
      if (lookahead == '>') ADVANCE(212);
      END_STATE();
    case 16:
      if (lookahead == '>') ADVANCE(241);
      if (lookahead == '|') ADVANCE(227);
      END_STATE();
    case 17:
      if (lookahead == '_') ADVANCE(111);
      if (lookahead == 's') ADVANCE(290);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(130);
      END_STATE();
    case 19:
      if (lookahead == 'a') ADVANCE(100);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(102);
      END_STATE();
    case 21:
      if (lookahead == 'a') ADVANCE(76);
      END_STATE();
    case 22:
      if (lookahead == 'a') ADVANCE(67);
      END_STATE();
    case 23:
      if (lookahead == 'a') ADVANCE(109);
      END_STATE();
    case 24:
      if (lookahead == 'a') ADVANCE(124);
      END_STATE();
    case 25:
      if (lookahead == 'a') ADVANCE(116);
      END_STATE();
    case 26:
      if (lookahead == 'b') ADVANCE(263);
      END_STATE();
    case 27:
      if (lookahead == 'c') ADVANCE(86);
      END_STATE();
    case 28:
      if (lookahead == 'c') ADVANCE(105);
      END_STATE();
    case 29:
      if (lookahead == 'c') ADVANCE(91);
      END_STATE();
    case 30:
      if (lookahead == 'c') ADVANCE(92);
      END_STATE();
    case 31:
      if (lookahead == 'd') ADVANCE(304);
      END_STATE();
    case 32:
      if (lookahead == 'd') ADVANCE(306);
      END_STATE();
    case 33:
      if (lookahead == 'd') ADVANCE(45);
      END_STATE();
    case 34:
      if (lookahead == 'd') ADVANCE(46);
      END_STATE();
    case 35:
      if (lookahead == 'd') ADVANCE(47);
      END_STATE();
    case 36:
      if (lookahead == 'e') ADVANCE(220);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(202);
      END_STATE();
    case 38:
      if (lookahead == 'e') ADVANCE(31);
      END_STATE();
    case 39:
      if (lookahead == 'e') ADVANCE(310);
      END_STATE();
    case 40:
      if (lookahead == 'e') ADVANCE(312);
      END_STATE();
    case 41:
      if (lookahead == 'e') ADVANCE(265);
      END_STATE();
    case 42:
      if (lookahead == 'e') ADVANCE(103);
      END_STATE();
    case 43:
      if (lookahead == 'e') ADVANCE(32);
      END_STATE();
    case 44:
      if (lookahead == 'e') ADVANCE(108);
      END_STATE();
    case 45:
      if (lookahead == 'e') ADVANCE(96);
      END_STATE();
    case 46:
      if (lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 47:
      if (lookahead == 'e') ADVANCE(99);
      END_STATE();
    case 48:
      if (lookahead == 'f') ADVANCE(8);
      END_STATE();
    case 49:
      if (lookahead == 'f') ADVANCE(181);
      END_STATE();
    case 50:
      if (lookahead == 'f') ADVANCE(181);
      if (lookahead == 'm') ADVANCE(93);
      END_STATE();
    case 51:
      if (lookahead == 'g') ADVANCE(308);
      if (lookahead == 'n') ADVANCE(20);
      if (lookahead == 't') ADVANCE(17);
      END_STATE();
    case 52:
      if (lookahead == 'g') ADVANCE(185);
      END_STATE();
    case 53:
      if (lookahead == 'g') ADVANCE(288);
      END_STATE();
    case 54:
      if (lookahead == 'g') ADVANCE(78);
      if (lookahead == 'z') ADVANCE(36);
      END_STATE();
    case 55:
      if (lookahead == 'g') ADVANCE(80);
      END_STATE();
    case 56:
      if (lookahead == 'i') ADVANCE(51);
      if (lookahead == 'y') ADVANCE(112);
      END_STATE();
    case 57:
      if (lookahead == 'i') ADVANCE(54);
      END_STATE();
    case 58:
      if (lookahead == 'i') ADVANCE(55);
      END_STATE();
    case 59:
      if (lookahead == 'i') ADVANCE(131);
      END_STATE();
    case 60:
      if (lookahead == 'i') ADVANCE(126);
      END_STATE();
    case 61:
      if (lookahead == 'i') ADVANCE(97);
      END_STATE();
    case 62:
      if (lookahead == 'i') ADVANCE(77);
      END_STATE();
    case 63:
      if (lookahead == 'i') ADVANCE(114);
      if (lookahead == 's') ADVANCE(58);
      END_STATE();
    case 64:
      if (lookahead == 'i') ADVANCE(81);
      END_STATE();
    case 65:
      if (lookahead == 'i') ADVANCE(82);
      END_STATE();
    case 66:
      if (lookahead == 'i') ADVANCE(83);
      END_STATE();
    case 67:
      if (lookahead == 'l') ADVANCE(225);
      END_STATE();
    case 68:
      if (lookahead == 'l') ADVANCE(87);
      if (lookahead == 'n') ADVANCE(222);
      END_STATE();
    case 69:
      if (lookahead == 'l') ADVANCE(21);
      END_STATE();
    case 70:
      if (lookahead == 'l') ADVANCE(39);
      END_STATE();
    case 71:
      if (lookahead == 'm') ADVANCE(93);
      END_STATE();
    case 72:
      if (lookahead == 'm') ADVANCE(93);
      if (lookahead == 'n') ADVANCE(113);
      END_STATE();
    case 73:
      if (lookahead == 'n') ADVANCE(222);
      END_STATE();
    case 74:
      if (lookahead == 'n') ADVANCE(63);
      if (lookahead == 't') ADVANCE(48);
      END_STATE();
    case 75:
      if (lookahead == 'n') ADVANCE(110);
      END_STATE();
    case 76:
      if (lookahead == 'n') ADVANCE(52);
      END_STATE();
    case 77:
      if (lookahead == 'n') ADVANCE(53);
      END_STATE();
    case 78:
      if (lookahead == 'n') ADVANCE(38);
      END_STATE();
    case 79:
      if (lookahead == 'n') ADVANCE(22);
      END_STATE();
    case 80:
      if (lookahead == 'n') ADVANCE(43);
      END_STATE();
    case 81:
      if (lookahead == 'n') ADVANCE(119);
      END_STATE();
    case 82:
      if (lookahead == 'n') ADVANCE(120);
      END_STATE();
    case 83:
      if (lookahead == 'n') ADVANCE(121);
      END_STATE();
    case 84:
      if (lookahead == 'o') ADVANCE(75);
      END_STATE();
    case 85:
      if (lookahead == 'o') ADVANCE(106);
      END_STATE();
    case 86:
      if (lookahead == 'o') ADVANCE(33);
      END_STATE();
    case 87:
      if (lookahead == 'o') ADVANCE(25);
      END_STATE();
    case 88:
      if (lookahead == 'o') ADVANCE(64);
      END_STATE();
    case 89:
      if (lookahead == 'o') ADVANCE(65);
      END_STATE();
    case 90:
      if (lookahead == 'o') ADVANCE(66);
      END_STATE();
    case 91:
      if (lookahead == 'o') ADVANCE(34);
      END_STATE();
    case 92:
      if (lookahead == 'o') ADVANCE(35);
      END_STATE();
    case 93:
      if (lookahead == 'p') ADVANCE(85);
      END_STATE();
    case 94:
      if (lookahead == 'p') ADVANCE(19);
      END_STATE();
    case 95:
      if (lookahead == 'p') ADVANCE(37);
      END_STATE();
    case 96:
      if (lookahead == 'p') ADVANCE(88);
      END_STATE();
    case 97:
      if (lookahead == 'p') ADVANCE(118);
      END_STATE();
    case 98:
      if (lookahead == 'p') ADVANCE(89);
      END_STATE();
    case 99:
      if (lookahead == 'p') ADVANCE(90);
      END_STATE();
    case 100:
      if (lookahead == 'q') ADVANCE(129);
      END_STATE();
    case 101:
      if (lookahead == 'r') ADVANCE(69);
      if (lookahead == 'x') ADVANCE(123);
      END_STATE();
    case 102:
      if (lookahead == 'r') ADVANCE(133);
      END_STATE();
    case 103:
      if (lookahead == 'r') ADVANCE(79);
      END_STATE();
    case 104:
      if (lookahead == 'r') ADVANCE(62);
      END_STATE();
    case 105:
      if (lookahead == 'r') ADVANCE(61);
      END_STATE();
    case 106:
      if (lookahead == 'r') ADVANCE(117);
      END_STATE();
    case 107:
      if (lookahead == 's') ADVANCE(198);
      END_STATE();
    case 108:
      if (lookahead == 's') ADVANCE(282);
      END_STATE();
    case 109:
      if (lookahead == 's') ADVANCE(28);
      END_STATE();
    case 110:
      if (lookahead == 's') ADVANCE(115);
      END_STATE();
    case 111:
      if (lookahead == 's') ADVANCE(125);
      END_STATE();
    case 112:
      if (lookahead == 't') ADVANCE(44);
      END_STATE();
    case 113:
      if (lookahead == 't') ADVANCE(284);
      END_STATE();
    case 114:
      if (lookahead == 't') ADVANCE(314);
      END_STATE();
    case 115:
      if (lookahead == 't') ADVANCE(204);
      END_STATE();
    case 116:
      if (lookahead == 't') ADVANCE(286);
      END_STATE();
    case 117:
      if (lookahead == 't') ADVANCE(194);
      END_STATE();
    case 118:
      if (lookahead == 't') ADVANCE(187);
      END_STATE();
    case 119:
      if (lookahead == 't') ADVANCE(298);
      END_STATE();
    case 120:
      if (lookahead == 't') ADVANCE(300);
      END_STATE();
    case 121:
      if (lookahead == 't') ADVANCE(302);
      END_STATE();
    case 122:
      if (lookahead == 't') ADVANCE(70);
      END_STATE();
    case 123:
      if (lookahead == 't') ADVANCE(42);
      END_STATE();
    case 124:
      if (lookahead == 't') ADVANCE(59);
      END_STATE();
    case 125:
      if (lookahead == 't') ADVANCE(104);
      END_STATE();
    case 126:
      if (lookahead == 't') ADVANCE(122);
      END_STATE();
    case 127:
      if (lookahead == 'u') ADVANCE(135);
      if (lookahead == '"' ||
          lookahead == '\\' ||
          lookahead == 'e' ||
          lookahead == 'f' ||
          lookahead == 'n' ||
          lookahead == 'r' ||
          lookahead == 't') ADVANCE(269);
      END_STATE();
    case 128:
      if (lookahead == 'u') ADVANCE(26);
      END_STATE();
    case 129:
      if (lookahead == 'u') ADVANCE(41);
      END_STATE();
    case 130:
      if (lookahead == 'v') ADVANCE(23);
      END_STATE();
    case 131:
      if (lookahead == 'v') ADVANCE(40);
      END_STATE();
    case 132:
      if (lookahead == 'x') ADVANCE(123);
      END_STATE();
    case 133:
      if (lookahead == 'y') ADVANCE(280);
      END_STATE();
    case 134:
      if (lookahead == 'y') ADVANCE(95);
      END_STATE();
    case 135:
      if (lookahead == '{') ADVANCE(168);
      END_STATE();
    case 136:
      if (lookahead == '}') ADVANCE(270);
      END_STATE();
    case 137:
      if (lookahead == '}') ADVANCE(270);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(136);
      END_STATE();
    case 138:
      if (lookahead == '}') ADVANCE(270);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(137);
      END_STATE();
    case 139:
      if (lookahead == '}') ADVANCE(270);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(138);
      END_STATE();
    case 140:
      if (lookahead == '}') ADVANCE(270);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(139);
      END_STATE();
    case 141:
      if (lookahead == '}') ADVANCE(270);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(140);
      END_STATE();
    case 142:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(142)
      if (lookahead == '\r') SKIP(142)
      if (lookahead == '!') ADVANCE(262);
      if (lookahead == '"') ADVANCE(267);
      if (lookahead == '#') ADVANCE(208);
      if (lookahead == '%') ADVANCE(248);
      if (lookahead == '&') ADVANCE(1);
      if (lookahead == ')') ADVANCE(192);
      if (lookahead == '*') ADVANCE(245);
      if (lookahead == '+') ADVANCE(242);
      if (lookahead == ',') ADVANCE(191);
      if (lookahead == '-') ADVANCE(217);
      if (lookahead == '.') ADVANCE(5);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == '0') ADVANCE(274);
      if (lookahead == ':') ADVANCE(193);
      if (lookahead == '<') ADVANCE(231);
      if (lookahead == '=') ADVANCE(13);
      if (lookahead == '>') ADVANCE(237);
      if (lookahead == '[') ADVANCE(209);
      if (lookahead == ']') ADVANCE(210);
      if (lookahead == '_') ADVANCE(318);
      if (lookahead == 'a') ADVANCE(439);
      if (lookahead == 'c') ADVANCE(326);
      if (lookahead == 'e') ADVANCE(338);
      if (lookahead == 'f') ADVANCE(392);
      if (lookahead == 'p') ADVANCE(328);
      if (lookahead == 't') ADVANCE(405);
      if (lookahead == '{') ADVANCE(183);
      if (lookahead == '|') ADVANCE(16);
      if (lookahead == '}') ADVANCE(184);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(275);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(463);
      END_STATE();
    case 143:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(143)
      if (lookahead == '\r') SKIP(143)
      if (lookahead == '!') ADVANCE(262);
      if (lookahead == '"') ADVANCE(267);
      if (lookahead == '#') ADVANCE(208);
      if (lookahead == '%') ADVANCE(248);
      if (lookahead == '&') ADVANCE(1);
      if (lookahead == '(') ADVANCE(190);
      if (lookahead == '*') ADVANCE(245);
      if (lookahead == '+') ADVANCE(242);
      if (lookahead == '-') ADVANCE(217);
      if (lookahead == '.') ADVANCE(196);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == '0') ADVANCE(274);
      if (lookahead == '<') ADVANCE(231);
      if (lookahead == '=') ADVANCE(13);
      if (lookahead == '>') ADVANCE(236);
      if (lookahead == '[') ADVANCE(209);
      if (lookahead == '_') ADVANCE(318);
      if (lookahead == 'a') ADVANCE(430);
      if (lookahead == 'c') ADVANCE(326);
      if (lookahead == 'e') ADVANCE(338);
      if (lookahead == 'f') ADVANCE(392);
      if (lookahead == 'l') ADVANCE(360);
      if (lookahead == 'p') ADVANCE(328);
      if (lookahead == 't') ADVANCE(405);
      if (lookahead == 'u') ADVANCE(431);
      if (lookahead == '{') ADVANCE(183);
      if (lookahead == '|') ADVANCE(16);
      if (lookahead == '}') ADVANCE(184);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(275);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(463);
      END_STATE();
    case 144:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(144)
      if (lookahead == '\r') SKIP(144)
      if (lookahead == '!') ADVANCE(262);
      if (lookahead == '"') ADVANCE(267);
      if (lookahead == '#') ADVANCE(208);
      if (lookahead == '%') ADVANCE(248);
      if (lookahead == '&') ADVANCE(1);
      if (lookahead == '(') ADVANCE(190);
      if (lookahead == ')') ADVANCE(192);
      if (lookahead == '*') ADVANCE(245);
      if (lookahead == '+') ADVANCE(242);
      if (lookahead == ',') ADVANCE(191);
      if (lookahead == '-') ADVANCE(217);
      if (lookahead == '.') ADVANCE(196);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == '0') ADVANCE(274);
      if (lookahead == ':') ADVANCE(193);
      if (lookahead == '<') ADVANCE(231);
      if (lookahead == '=') ADVANCE(13);
      if (lookahead == '>') ADVANCE(237);
      if (lookahead == '[') ADVANCE(209);
      if (lookahead == ']') ADVANCE(210);
      if (lookahead == '_') ADVANCE(318);
      if (lookahead == 'a') ADVANCE(439);
      if (lookahead == 'c') ADVANCE(326);
      if (lookahead == 'e') ADVANCE(338);
      if (lookahead == 'f') ADVANCE(392);
      if (lookahead == 'l') ADVANCE(360);
      if (lookahead == 'p') ADVANCE(328);
      if (lookahead == 't') ADVANCE(405);
      if (lookahead == 'u') ADVANCE(431);
      if (lookahead == '{') ADVANCE(183);
      if (lookahead == '|') ADVANCE(16);
      if (lookahead == '}') ADVANCE(184);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(275);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(463);
      END_STATE();
    case 145:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(145)
      if (lookahead == '\r') SKIP(145)
      if (lookahead == '!') ADVANCE(262);
      if (lookahead == '"') ADVANCE(267);
      if (lookahead == '#') ADVANCE(208);
      if (lookahead == '%') ADVANCE(248);
      if (lookahead == '&') ADVANCE(1);
      if (lookahead == ')') ADVANCE(192);
      if (lookahead == '*') ADVANCE(245);
      if (lookahead == '+') ADVANCE(242);
      if (lookahead == ',') ADVANCE(191);
      if (lookahead == '-') ADVANCE(217);
      if (lookahead == '.') ADVANCE(5);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == '0') ADVANCE(274);
      if (lookahead == '<') ADVANCE(231);
      if (lookahead == '=') ADVANCE(13);
      if (lookahead == '>') ADVANCE(236);
      if (lookahead == '[') ADVANCE(209);
      if (lookahead == '_') ADVANCE(316);
      if (lookahead == 'a') ADVANCE(439);
      if (lookahead == 'c') ADVANCE(326);
      if (lookahead == 'e') ADVANCE(338);
      if (lookahead == 'f') ADVANCE(392);
      if (lookahead == 'p') ADVANCE(328);
      if (lookahead == 't') ADVANCE(405);
      if (lookahead == '{') ADVANCE(183);
      if (lookahead == '|') ADVANCE(16);
      if (lookahead == '}') ADVANCE(184);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(275);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(463);
      END_STATE();
    case 146:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(146)
      if (lookahead == '\r') SKIP(146)
      if (lookahead == '!') ADVANCE(262);
      if (lookahead == '"') ADVANCE(267);
      if (lookahead == '#') ADVANCE(208);
      if (lookahead == '%') ADVANCE(248);
      if (lookahead == '&') ADVANCE(1);
      if (lookahead == '*') ADVANCE(245);
      if (lookahead == '+') ADVANCE(242);
      if (lookahead == '-') ADVANCE(216);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == '0') ADVANCE(274);
      if (lookahead == '<') ADVANCE(231);
      if (lookahead == '=') ADVANCE(13);
      if (lookahead == '>') ADVANCE(236);
      if (lookahead == '[') ADVANCE(209);
      if (lookahead == '_') ADVANCE(318);
      if (lookahead == 'a') ADVANCE(439);
      if (lookahead == 'c') ADVANCE(326);
      if (lookahead == 'e') ADVANCE(338);
      if (lookahead == 'f') ADVANCE(392);
      if (lookahead == 'p') ADVANCE(328);
      if (lookahead == 't') ADVANCE(405);
      if (lookahead == '{') ADVANCE(183);
      if (lookahead == '|') ADVANCE(16);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(275);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(463);
      END_STATE();
    case 147:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(148)
      if (lookahead == '\r') SKIP(148)
      if (lookahead == '!') ADVANCE(12);
      if (lookahead == '"') ADVANCE(268);
      if (lookahead == '%') ADVANCE(248);
      if (lookahead == '&') ADVANCE(1);
      if (lookahead == '(') ADVANCE(190);
      if (lookahead == ')') ADVANCE(192);
      if (lookahead == '*') ADVANCE(245);
      if (lookahead == '+') ADVANCE(242);
      if (lookahead == ',') ADVANCE(191);
      if (lookahead == '-') ADVANCE(214);
      if (lookahead == '.') ADVANCE(197);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == '0') ADVANCE(276);
      if (lookahead == ':') ADVANCE(193);
      if (lookahead == '<') ADVANCE(232);
      if (lookahead == '=') ADVANCE(207);
      if (lookahead == '>') ADVANCE(237);
      if (lookahead == '@') ADVANCE(189);
      if (lookahead == '\\') ADVANCE(127);
      if (lookahead == ']') ADVANCE(210);
      if (lookahead == 'a') ADVANCE(107);
      if (lookahead == 'b') ADVANCE(56);
      if (lookahead == 'c') ADVANCE(84);
      if (lookahead == 'e') ADVANCE(101);
      if (lookahead == 'f') ADVANCE(68);
      if (lookahead == 'i') ADVANCE(72);
      if (lookahead == 'j') ADVANCE(18);
      if (lookahead == 'l') ADVANCE(60);
      if (lookahead == 'n') ADVANCE(24);
      if (lookahead == 'o') ADVANCE(94);
      if (lookahead == 'p') ADVANCE(128);
      if (lookahead == 's') ADVANCE(57);
      if (lookahead == 't') ADVANCE(134);
      if (lookahead == 'u') ADVANCE(74);
      if (lookahead == '{') ADVANCE(183);
      if (lookahead == '|') ADVANCE(16);
      if (lookahead == '}') ADVANCE(184);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(277);
      END_STATE();
    case 148:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(148)
      if (lookahead == '\r') SKIP(148)
      if (lookahead == '!') ADVANCE(12);
      if (lookahead == '%') ADVANCE(248);
      if (lookahead == '&') ADVANCE(1);
      if (lookahead == '(') ADVANCE(190);
      if (lookahead == ')') ADVANCE(192);
      if (lookahead == '*') ADVANCE(245);
      if (lookahead == '+') ADVANCE(242);
      if (lookahead == ',') ADVANCE(191);
      if (lookahead == '-') ADVANCE(214);
      if (lookahead == '.') ADVANCE(197);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == '0') ADVANCE(276);
      if (lookahead == ':') ADVANCE(193);
      if (lookahead == '<') ADVANCE(232);
      if (lookahead == '=') ADVANCE(207);
      if (lookahead == '>') ADVANCE(237);
      if (lookahead == '@') ADVANCE(189);
      if (lookahead == ']') ADVANCE(210);
      if (lookahead == 'a') ADVANCE(107);
      if (lookahead == 'b') ADVANCE(56);
      if (lookahead == 'c') ADVANCE(84);
      if (lookahead == 'e') ADVANCE(101);
      if (lookahead == 'f') ADVANCE(68);
      if (lookahead == 'i') ADVANCE(72);
      if (lookahead == 'j') ADVANCE(18);
      if (lookahead == 'l') ADVANCE(60);
      if (lookahead == 'n') ADVANCE(24);
      if (lookahead == 'o') ADVANCE(94);
      if (lookahead == 'p') ADVANCE(128);
      if (lookahead == 's') ADVANCE(57);
      if (lookahead == 't') ADVANCE(134);
      if (lookahead == 'u') ADVANCE(74);
      if (lookahead == '{') ADVANCE(183);
      if (lookahead == '|') ADVANCE(16);
      if (lookahead == '}') ADVANCE(184);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(277);
      END_STATE();
    case 149:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(149)
      if (lookahead == '\r') SKIP(149)
      if (lookahead == '!') ADVANCE(12);
      if (lookahead == '%') ADVANCE(248);
      if (lookahead == '&') ADVANCE(1);
      if (lookahead == '(') ADVANCE(190);
      if (lookahead == ')') ADVANCE(192);
      if (lookahead == '*') ADVANCE(245);
      if (lookahead == '+') ADVANCE(242);
      if (lookahead == ',') ADVANCE(191);
      if (lookahead == '-') ADVANCE(214);
      if (lookahead == '.') ADVANCE(197);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == ':') ADVANCE(193);
      if (lookahead == '<') ADVANCE(232);
      if (lookahead == '=') ADVANCE(13);
      if (lookahead == '>') ADVANCE(237);
      if (lookahead == '@') ADVANCE(189);
      if (lookahead == ']') ADVANCE(210);
      if (lookahead == 'a') ADVANCE(107);
      if (lookahead == 'c') ADVANCE(84);
      if (lookahead == 'e') ADVANCE(132);
      if (lookahead == 'f') ADVANCE(73);
      if (lookahead == 'i') ADVANCE(71);
      if (lookahead == 'o') ADVANCE(94);
      if (lookahead == 'p') ADVANCE(128);
      if (lookahead == 't') ADVANCE(134);
      if (lookahead == '{') ADVANCE(183);
      if (lookahead == '|') ADVANCE(16);
      if (lookahead == '}') ADVANCE(184);
      END_STATE();
    case 150:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(150)
      if (lookahead == '\r') SKIP(150)
      if (lookahead == '!') ADVANCE(12);
      if (lookahead == '"') ADVANCE(267);
      if (lookahead == '#') ADVANCE(208);
      if (lookahead == '%') ADVANCE(248);
      if (lookahead == '&') ADVANCE(1);
      if (lookahead == '(') ADVANCE(190);
      if (lookahead == ')') ADVANCE(192);
      if (lookahead == '*') ADVANCE(245);
      if (lookahead == '+') ADVANCE(242);
      if (lookahead == ',') ADVANCE(191);
      if (lookahead == '-') ADVANCE(217);
      if (lookahead == '.') ADVANCE(197);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == '0') ADVANCE(274);
      if (lookahead == '<') ADVANCE(231);
      if (lookahead == '=') ADVANCE(13);
      if (lookahead == '>') ADVANCE(237);
      if (lookahead == '[') ADVANCE(209);
      if (lookahead == ']') ADVANCE(210);
      if (lookahead == '_') ADVANCE(316);
      if (lookahead == '|') ADVANCE(16);
      if (lookahead == '}') ADVANCE(184);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(275);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(463);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 151:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(151)
      if (lookahead == '\r') SKIP(151)
      if (lookahead == '!') ADVANCE(12);
      if (lookahead == '"') ADVANCE(267);
      if (lookahead == '#') ADVANCE(208);
      if (lookahead == '%') ADVANCE(248);
      if (lookahead == '&') ADVANCE(1);
      if (lookahead == '(') ADVANCE(190);
      if (lookahead == '*') ADVANCE(245);
      if (lookahead == '+') ADVANCE(242);
      if (lookahead == '-') ADVANCE(217);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == '0') ADVANCE(274);
      if (lookahead == '<') ADVANCE(231);
      if (lookahead == '=') ADVANCE(13);
      if (lookahead == '>') ADVANCE(236);
      if (lookahead == '[') ADVANCE(209);
      if (lookahead == '_') ADVANCE(316);
      if (lookahead == 'a') ADVANCE(433);
      if (lookahead == '|') ADVANCE(16);
      if (lookahead == '}') ADVANCE(184);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(275);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(463);
      END_STATE();
    case 152:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(152)
      if (lookahead == '\r') SKIP(152)
      if (lookahead == '!') ADVANCE(261);
      if (lookahead == '"') ADVANCE(267);
      if (lookahead == '#') ADVANCE(208);
      if (lookahead == ')') ADVANCE(192);
      if (lookahead == ',') ADVANCE(191);
      if (lookahead == '-') ADVANCE(219);
      if (lookahead == '/') ADVANCE(7);
      if (lookahead == '0') ADVANCE(274);
      if (lookahead == '<') ADVANCE(11);
      if (lookahead == '>') ADVANCE(15);
      if (lookahead == '[') ADVANCE(209);
      if (lookahead == ']') ADVANCE(210);
      if (lookahead == '_') ADVANCE(318);
      if (lookahead == '{') ADVANCE(183);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(275);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(463);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 153:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(153)
      if (lookahead == '\r') SKIP(153)
      if (lookahead == '!') ADVANCE(12);
      if (lookahead == '%') ADVANCE(248);
      if (lookahead == '&') ADVANCE(1);
      if (lookahead == '(') ADVANCE(190);
      if (lookahead == '*') ADVANCE(245);
      if (lookahead == '+') ADVANCE(242);
      if (lookahead == ',') ADVANCE(191);
      if (lookahead == '-') ADVANCE(215);
      if (lookahead == '.') ADVANCE(196);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == '<') ADVANCE(232);
      if (lookahead == '=') ADVANCE(13);
      if (lookahead == '>') ADVANCE(236);
      if (lookahead == 'a') ADVANCE(107);
      if (lookahead == 'i') ADVANCE(49);
      if (lookahead == '|') ADVANCE(256);
      END_STATE();
    case 154:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(154)
      if (lookahead == '\r') SKIP(154)
      if (lookahead == '"') ADVANCE(267);
      if (lookahead == '#') ADVANCE(208);
      if (lookahead == '-') ADVANCE(218);
      if (lookahead == '/') ADVANCE(7);
      if (lookahead == '0') ADVANCE(274);
      if (lookahead == '<') ADVANCE(11);
      if (lookahead == '[') ADVANCE(209);
      if (lookahead == '_') ADVANCE(316);
      if (lookahead == 'i') ADVANCE(369);
      if (lookahead == '|') ADVANCE(255);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(275);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(463);
      END_STATE();
    case 155:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(155)
      if (lookahead == '\r') SKIP(155)
      if (lookahead == '"') ADVANCE(267);
      if (lookahead == '#') ADVANCE(208);
      if (lookahead == '-') ADVANCE(219);
      if (lookahead == '/') ADVANCE(7);
      if (lookahead == '0') ADVANCE(274);
      if (lookahead == '<') ADVANCE(3);
      if (lookahead == '[') ADVANCE(209);
      if (lookahead == '_') ADVANCE(316);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(275);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(463);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 156:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(156)
      if (lookahead == '\r') SKIP(156)
      if (lookahead == '"') ADVANCE(267);
      if (lookahead == '#') ADVANCE(208);
      if (lookahead == '-') ADVANCE(219);
      if (lookahead == '/') ADVANCE(7);
      if (lookahead == '0') ADVANCE(274);
      if (lookahead == '<') ADVANCE(11);
      if (lookahead == '[') ADVANCE(209);
      if (lookahead == '_') ADVANCE(316);
      if (lookahead == 'a') ADVANCE(439);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(275);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(463);
      END_STATE();
    case 157:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(157)
      if (lookahead == '\r') SKIP(157)
      if (lookahead == '(') ADVANCE(190);
      if (lookahead == ')') ADVANCE(192);
      if (lookahead == ',') ADVANCE(191);
      if (lookahead == '-') ADVANCE(213);
      if (lookahead == '.') ADVANCE(197);
      if (lookahead == '/') ADVANCE(7);
      if (lookahead == ':') ADVANCE(193);
      if (lookahead == '<') ADVANCE(4);
      if (lookahead == '=') ADVANCE(206);
      if (lookahead == '>') ADVANCE(15);
      if (lookahead == '@') ADVANCE(189);
      if (lookahead == ']') ADVANCE(210);
      if (lookahead == 'a') ADVANCE(107);
      if (lookahead == 'c') ADVANCE(84);
      if (lookahead == 'e') ADVANCE(132);
      if (lookahead == 'f') ADVANCE(73);
      if (lookahead == 'i') ADVANCE(71);
      if (lookahead == 'o') ADVANCE(94);
      if (lookahead == 'p') ADVANCE(128);
      if (lookahead == 't') ADVANCE(134);
      if (lookahead == '{') ADVANCE(183);
      if (lookahead == '}') ADVANCE(184);
      END_STATE();
    case 158:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(158)
      if (lookahead == '\r') SKIP(158)
      if (lookahead == '(') ADVANCE(190);
      if (lookahead == ')') ADVANCE(192);
      if (lookahead == ',') ADVANCE(191);
      if (lookahead == '-') ADVANCE(14);
      if (lookahead == '.') ADVANCE(197);
      if (lookahead == '/') ADVANCE(7);
      if (lookahead == ':') ADVANCE(193);
      if (lookahead == '<') ADVANCE(4);
      if (lookahead == '=') ADVANCE(206);
      if (lookahead == '>') ADVANCE(15);
      if (lookahead == '@') ADVANCE(189);
      if (lookahead == ']') ADVANCE(210);
      if (lookahead == 'a') ADVANCE(107);
      if (lookahead == 'c') ADVANCE(84);
      if (lookahead == 'e') ADVANCE(132);
      if (lookahead == 'f') ADVANCE(73);
      if (lookahead == 'i') ADVANCE(50);
      if (lookahead == 'o') ADVANCE(94);
      if (lookahead == 'p') ADVANCE(128);
      if (lookahead == 't') ADVANCE(134);
      if (lookahead == '|') ADVANCE(255);
      if (lookahead == '}') ADVANCE(184);
      END_STATE();
    case 159:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(159)
      if (lookahead == '\r') SKIP(159)
      if (lookahead == '#') ADVANCE(208);
      if (lookahead == ')') ADVANCE(192);
      if (lookahead == '/') ADVANCE(7);
      if (lookahead == '_') ADVANCE(317);
      if (lookahead == 'f') ADVANCE(392);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(463);
      END_STATE();
    case 160:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(160)
      if (lookahead == '\r') SKIP(160)
      if (lookahead == ')') ADVANCE(192);
      if (lookahead == ',') ADVANCE(191);
      if (lookahead == '/') ADVANCE(7);
      if (lookahead == ':') ADVANCE(193);
      if (lookahead == ']') ADVANCE(210);
      if (lookahead == '_') ADVANCE(317);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 161:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(161)
      if (lookahead == '\r') SKIP(161)
      if (lookahead == '(') ADVANCE(190);
      if (lookahead == ')') ADVANCE(192);
      if (lookahead == '-') ADVANCE(213);
      if (lookahead == '/') ADVANCE(7);
      if (lookahead == '0') ADVANCE(276);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(277);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(463);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 162:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(162)
      if (lookahead == '\r') SKIP(162)
      if (lookahead == '/') ADVANCE(7);
      if (lookahead == 't') ADVANCE(461);
      if (lookahead == '}') ADVANCE(184);
      if (lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(463);
      END_STATE();
    case 163:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(163)
      if (lookahead == '\r') SKIP(163)
      if (lookahead == '!') ADVANCE(262);
      if (lookahead == '"') ADVANCE(267);
      if (lookahead == '#') ADVANCE(208);
      if (lookahead == '%') ADVANCE(248);
      if (lookahead == '&') ADVANCE(1);
      if (lookahead == '(') ADVANCE(190);
      if (lookahead == ')') ADVANCE(192);
      if (lookahead == '*') ADVANCE(245);
      if (lookahead == '+') ADVANCE(242);
      if (lookahead == ',') ADVANCE(191);
      if (lookahead == '-') ADVANCE(217);
      if (lookahead == '.') ADVANCE(197);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == '0') ADVANCE(274);
      if (lookahead == ':') ADVANCE(193);
      if (lookahead == '<') ADVANCE(231);
      if (lookahead == '=') ADVANCE(207);
      if (lookahead == '>') ADVANCE(237);
      if (lookahead == '[') ADVANCE(209);
      if (lookahead == ']') ADVANCE(210);
      if (lookahead == '_') ADVANCE(318);
      if (lookahead == 'a') ADVANCE(439);
      if (lookahead == 'c') ADVANCE(326);
      if (lookahead == 'e') ADVANCE(338);
      if (lookahead == 'f') ADVANCE(392);
      if (lookahead == 'l') ADVANCE(360);
      if (lookahead == 'p') ADVANCE(328);
      if (lookahead == 't') ADVANCE(405);
      if (lookahead == 'u') ADVANCE(431);
      if (lookahead == '{') ADVANCE(183);
      if (lookahead == '|') ADVANCE(16);
      if (lookahead == '}') ADVANCE(184);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(275);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(463);
      END_STATE();
    case 164:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(164)
      if (lookahead == '\r') SKIP(164)
      if (lookahead == '!') ADVANCE(12);
      if (lookahead == '%') ADVANCE(248);
      if (lookahead == '&') ADVANCE(1);
      if (lookahead == '(') ADVANCE(190);
      if (lookahead == ')') ADVANCE(192);
      if (lookahead == '*') ADVANCE(245);
      if (lookahead == '+') ADVANCE(242);
      if (lookahead == ',') ADVANCE(191);
      if (lookahead == '-') ADVANCE(215);
      if (lookahead == '.') ADVANCE(196);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == ':') ADVANCE(193);
      if (lookahead == '<') ADVANCE(232);
      if (lookahead == '=') ADVANCE(13);
      if (lookahead == '>') ADVANCE(237);
      if (lookahead == '@') ADVANCE(189);
      if (lookahead == ']') ADVANCE(210);
      if (lookahead == 'a') ADVANCE(107);
      if (lookahead == 'c') ADVANCE(84);
      if (lookahead == 'e') ADVANCE(132);
      if (lookahead == 'f') ADVANCE(73);
      if (lookahead == 'i') ADVANCE(50);
      if (lookahead == 'o') ADVANCE(94);
      if (lookahead == 'p') ADVANCE(128);
      if (lookahead == 't') ADVANCE(134);
      if (lookahead == '{') ADVANCE(183);
      if (lookahead == '|') ADVANCE(16);
      if (lookahead == '}') ADVANCE(184);
      END_STATE();
    case 165:
      if (lookahead == '0' ||
          lookahead == '1' ||
          lookahead == '_') ADVANCE(279);
      END_STATE();
    case 166:
      if (('0' <= lookahead && lookahead <= '7') ||
          lookahead == '_') ADVANCE(278);
      END_STATE();
    case 167:
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(272);
      END_STATE();
    case 168:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(141);
      END_STATE();
    case 169:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(273);
      END_STATE();
    case 170:
      if (eof) ADVANCE(175);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(170)
      if (lookahead == '\r') SKIP(170)
      if (lookahead == '!') ADVANCE(262);
      if (lookahead == '"') ADVANCE(267);
      if (lookahead == '#') ADVANCE(208);
      if (lookahead == '%') ADVANCE(248);
      if (lookahead == '&') ADVANCE(1);
      if (lookahead == '(') ADVANCE(190);
      if (lookahead == ')') ADVANCE(192);
      if (lookahead == '*') ADVANCE(245);
      if (lookahead == '+') ADVANCE(242);
      if (lookahead == ',') ADVANCE(191);
      if (lookahead == '-') ADVANCE(216);
      if (lookahead == '.') ADVANCE(197);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == '0') ADVANCE(274);
      if (lookahead == ':') ADVANCE(193);
      if (lookahead == '<') ADVANCE(231);
      if (lookahead == '=') ADVANCE(207);
      if (lookahead == '>') ADVANCE(237);
      if (lookahead == '@') ADVANCE(189);
      if (lookahead == '[') ADVANCE(209);
      if (lookahead == ']') ADVANCE(210);
      if (lookahead == '_') ADVANCE(316);
      if (lookahead == 'a') ADVANCE(430);
      if (lookahead == 'b') ADVANCE(377);
      if (lookahead == 'c') ADVANCE(325);
      if (lookahead == 'e') ADVANCE(336);
      if (lookahead == 'f') ADVANCE(388);
      if (lookahead == 'i') ADVANCE(367);
      if (lookahead == 'j') ADVANCE(323);
      if (lookahead == 'l') ADVANCE(359);
      if (lookahead == 'n') ADVANCE(333);
      if (lookahead == 'o') ADVANCE(416);
      if (lookahead == 'p') ADVANCE(327);
      if (lookahead == 's') ADVANCE(378);
      if (lookahead == 't') ADVANCE(404);
      if (lookahead == 'u') ADVANCE(393);
      if (lookahead == '{') ADVANCE(183);
      if (lookahead == '|') ADVANCE(256);
      if (lookahead == '}') ADVANCE(184);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(275);
      if (('d' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(463);
      END_STATE();
    case 171:
      if (eof) ADVANCE(175);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(171)
      if (lookahead == '\r') SKIP(171)
      if (lookahead == '!') ADVANCE(262);
      if (lookahead == '"') ADVANCE(267);
      if (lookahead == '#') ADVANCE(208);
      if (lookahead == '%') ADVANCE(248);
      if (lookahead == '&') ADVANCE(1);
      if (lookahead == '(') ADVANCE(190);
      if (lookahead == '*') ADVANCE(245);
      if (lookahead == '+') ADVANCE(242);
      if (lookahead == '-') ADVANCE(217);
      if (lookahead == '.') ADVANCE(196);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == '0') ADVANCE(274);
      if (lookahead == '<') ADVANCE(231);
      if (lookahead == '=') ADVANCE(13);
      if (lookahead == '>') ADVANCE(236);
      if (lookahead == '@') ADVANCE(189);
      if (lookahead == '[') ADVANCE(209);
      if (lookahead == '_') ADVANCE(318);
      if (lookahead == 'a') ADVANCE(439);
      if (lookahead == 'c') ADVANCE(325);
      if (lookahead == 'e') ADVANCE(337);
      if (lookahead == 'f') ADVANCE(392);
      if (lookahead == 'i') ADVANCE(368);
      if (lookahead == 'l') ADVANCE(360);
      if (lookahead == 'o') ADVANCE(416);
      if (lookahead == 'p') ADVANCE(327);
      if (lookahead == 't') ADVANCE(404);
      if (lookahead == 'u') ADVANCE(431);
      if (lookahead == '{') ADVANCE(183);
      if (lookahead == '|') ADVANCE(16);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(275);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(463);
      END_STATE();
    case 172:
      if (eof) ADVANCE(175);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(172)
      if (lookahead == '\r') SKIP(172)
      if (lookahead == '!') ADVANCE(261);
      if (lookahead == '"') ADVANCE(267);
      if (lookahead == '#') ADVANCE(208);
      if (lookahead == '(') ADVANCE(190);
      if (lookahead == ')') ADVANCE(192);
      if (lookahead == ',') ADVANCE(191);
      if (lookahead == '-') ADVANCE(219);
      if (lookahead == '/') ADVANCE(7);
      if (lookahead == '0') ADVANCE(274);
      if (lookahead == ':') ADVANCE(193);
      if (lookahead == '<') ADVANCE(3);
      if (lookahead == '=') ADVANCE(206);
      if (lookahead == '@') ADVANCE(189);
      if (lookahead == '[') ADVANCE(209);
      if (lookahead == '_') ADVANCE(318);
      if (lookahead == 'a') ADVANCE(439);
      if (lookahead == 'c') ADVANCE(325);
      if (lookahead == 'e') ADVANCE(337);
      if (lookahead == 'f') ADVANCE(392);
      if (lookahead == 'i') ADVANCE(368);
      if (lookahead == 'l') ADVANCE(360);
      if (lookahead == 'o') ADVANCE(416);
      if (lookahead == 'p') ADVANCE(327);
      if (lookahead == 't') ADVANCE(404);
      if (lookahead == 'u') ADVANCE(431);
      if (lookahead == '{') ADVANCE(183);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(275);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(463);
      END_STATE();
    case 173:
      if (eof) ADVANCE(175);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(173)
      if (lookahead == '\r') SKIP(173)
      if (lookahead == '!') ADVANCE(261);
      if (lookahead == '"') ADVANCE(267);
      if (lookahead == '#') ADVANCE(208);
      if (lookahead == '-') ADVANCE(218);
      if (lookahead == '/') ADVANCE(7);
      if (lookahead == '0') ADVANCE(274);
      if (lookahead == '<') ADVANCE(11);
      if (lookahead == '@') ADVANCE(189);
      if (lookahead == '[') ADVANCE(209);
      if (lookahead == '_') ADVANCE(318);
      if (lookahead == 'a') ADVANCE(439);
      if (lookahead == 'c') ADVANCE(325);
      if (lookahead == 'e') ADVANCE(337);
      if (lookahead == 'f') ADVANCE(392);
      if (lookahead == 'i') ADVANCE(368);
      if (lookahead == 'l') ADVANCE(360);
      if (lookahead == 'o') ADVANCE(416);
      if (lookahead == 'p') ADVANCE(327);
      if (lookahead == 't') ADVANCE(404);
      if (lookahead == 'u') ADVANCE(431);
      if (lookahead == '{') ADVANCE(183);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(275);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(463);
      END_STATE();
    case 174:
      if (eof) ADVANCE(175);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == ' ') SKIP(174)
      if (lookahead == '\r') SKIP(174)
      if (lookahead == '!') ADVANCE(262);
      if (lookahead == '"') ADVANCE(267);
      if (lookahead == '#') ADVANCE(208);
      if (lookahead == '%') ADVANCE(248);
      if (lookahead == '&') ADVANCE(1);
      if (lookahead == '(') ADVANCE(190);
      if (lookahead == '*') ADVANCE(245);
      if (lookahead == '+') ADVANCE(242);
      if (lookahead == '-') ADVANCE(217);
      if (lookahead == '.') ADVANCE(196);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == '0') ADVANCE(274);
      if (lookahead == '<') ADVANCE(231);
      if (lookahead == '=') ADVANCE(13);
      if (lookahead == '>') ADVANCE(236);
      if (lookahead == '@') ADVANCE(189);
      if (lookahead == '[') ADVANCE(209);
      if (lookahead == '_') ADVANCE(318);
      if (lookahead == 'a') ADVANCE(430);
      if (lookahead == 'c') ADVANCE(325);
      if (lookahead == 'e') ADVANCE(337);
      if (lookahead == 'f') ADVANCE(392);
      if (lookahead == 'i') ADVANCE(368);
      if (lookahead == 'l') ADVANCE(360);
      if (lookahead == 'o') ADVANCE(416);
      if (lookahead == 'p') ADVANCE(327);
      if (lookahead == 't') ADVANCE(404);
      if (lookahead == 'u') ADVANCE(431);
      if (lookahead == '{') ADVANCE(183);
      if (lookahead == '|') ADVANCE(16);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(275);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(463);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_module_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(176);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_statement_comment);
      if (lookahead == '/') ADVANCE(176);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(178);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_statement_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(178);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(177);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(180);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(180);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_if);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_erlang);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_erlang);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_javascript);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_javascript);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_import);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(253);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(351);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_as);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '.') ADVANCE(247);
      if (lookahead == '/') ADVANCE(179);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_type);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_const);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(229);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(244);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(244);
      if (lookahead == '>') ADVANCE(224);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(244);
      if (lookahead == '>') ADVANCE(224);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(6);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(244);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(6);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(224);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(6);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(6);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_size);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_size);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_fn);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_fn);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_external);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_external);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '.') ADVANCE(234);
      if (lookahead == '<') ADVANCE(211);
      if (lookahead == '=') ADVANCE(233);
      if (lookahead == '>') ADVANCE(249);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '.') ADVANCE(234);
      if (lookahead == '=') ADVANCE(233);
      if (lookahead == '>') ADVANCE(249);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '.') ADVANCE(235);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_LT_DOT);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_LT_EQ_DOT);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '.') ADVANCE(239);
      if (lookahead == '=') ADVANCE(238);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '.') ADVANCE(239);
      if (lookahead == '=') ADVANCE(238);
      if (lookahead == '>') ADVANCE(212);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      if (lookahead == '.') ADVANCE(240);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_GT_DOT);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_GT_EQ_DOT);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_PIPE_GT);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(243);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_PLUS_DOT);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_DASH_DOT);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '.') ADVANCE(246);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_STAR_DOT);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_SLASH_DOT);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_todo);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_panic);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_echo);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_case);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '>') ADVANCE(241);
      if (lookahead == '|') ADVANCE(227);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_let);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_assert);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_use);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(230);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_visibility_modifier);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(sym_visibility_modifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(sym_opacity_modifier);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_opacity_modifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token1);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token2);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'e') ADVANCE(2);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(271);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(sym_float);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(272);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(sym__hex);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(273);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(sym__decimal);
      if (lookahead == '.') ADVANCE(271);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(165);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(166);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(275);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(sym__decimal);
      if (lookahead == '.') ADVANCE(271);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(275);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(sym__decimal);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(165);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(166);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(277);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(sym__decimal);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(277);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(sym__octal);
      if (('0' <= lookahead && lookahead <= '7') ||
          lookahead == '_') ADVANCE(278);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(sym__binary);
      if (lookahead == '0' ||
          lookahead == '1' ||
          lookahead == '_') ADVANCE(279);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(anon_sym_binary);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_binary);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(anon_sym_bytes);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(anon_sym_bytes);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_int);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_int);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_float);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_bit_string);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_bit_string);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(anon_sym_bits);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_bits);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(anon_sym_utf8);
      if (lookahead == '_') ADVANCE(27);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_utf8);
      if (lookahead == '_') ADVANCE(340);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(anon_sym_utf16);
      if (lookahead == '_') ADVANCE(29);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(anon_sym_utf16);
      if (lookahead == '_') ADVANCE(342);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_utf32);
      if (lookahead == '_') ADVANCE(30);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_utf32);
      if (lookahead == '_') ADVANCE(343);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(anon_sym_utf8_codepoint);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(anon_sym_utf8_codepoint);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_utf16_codepoint);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_utf16_codepoint);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(anon_sym_utf32_codepoint);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(anon_sym_utf32_codepoint);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(anon_sym_signed);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(anon_sym_signed);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(anon_sym_unsigned);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(anon_sym_unsigned);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(anon_sym_big);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(anon_sym_big);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(anon_sym_little);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(anon_sym_little);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(anon_sym_native);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(anon_sym_native);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_unit);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(anon_sym_unit);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(sym__discard_name);
      if (lookahead == '.') ADVANCE(271);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(316);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(317);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(sym__discard_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(317);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == '.') ADVANCE(271);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(318);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == '1') ADVANCE(321);
      if (lookahead == '3') ADVANCE(320);
      if (lookahead == '8') ADVANCE(293);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == '2') ADVANCE(297);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == '6') ADVANCE(295);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == '_') ADVANCE(438);
      if (lookahead == 's') ADVANCE(291);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'a') ADVANCE(458);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'a') ADVANCE(423);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'a') ADVANCE(436);
      if (lookahead == 'o') ADVANCE(395);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'a') ADVANCE(436);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'a') ADVANCE(396);
      if (lookahead == 'u') ADVANCE(335);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'a') ADVANCE(396);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'a') ADVANCE(424);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'a') ADVANCE(389);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'a') ADVANCE(394);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'a') ADVANCE(435);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'a') ADVANCE(451);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'a') ADVANCE(444);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'b') ADVANCE(264);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'c') ADVANCE(376);
      if (lookahead == 'r') ADVANCE(390);
      if (lookahead == 'x') ADVANCE(455);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'c') ADVANCE(376);
      if (lookahead == 'x') ADVANCE(455);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'c') ADVANCE(376);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'c') ADVANCE(251);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'c') ADVANCE(408);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'c') ADVANCE(427);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'c') ADVANCE(414);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'c') ADVANCE(415);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'd') ADVANCE(305);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'd') ADVANCE(307);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'd') ADVANCE(407);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'd') ADVANCE(364);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'd') ADVANCE(365);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'd') ADVANCE(366);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'e') ADVANCE(259);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'e') ADVANCE(428);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'e') ADVANCE(254);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'e') ADVANCE(221);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'e') ADVANCE(203);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'e') ADVANCE(311);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'e') ADVANCE(313);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'e') ADVANCE(266);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'e') ADVANCE(344);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'e') ADVANCE(441);
      if (lookahead == 'i') ADVANCE(456);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'e') ADVANCE(441);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'e') ADVANCE(345);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'e') ADVANCE(426);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'e') ADVANCE(432);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'e') ADVANCE(418);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'e') ADVANCE(421);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'e') ADVANCE(422);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'f') ADVANCE(182);
      if (lookahead == 'm') ADVANCE(417);
      if (lookahead == 'n') ADVANCE(440);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'f') ADVANCE(182);
      if (lookahead == 'm') ADVANCE(417);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'f') ADVANCE(182);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'f') ADVANCE(319);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'g') ADVANCE(309);
      if (lookahead == 'n') ADVANCE(329);
      if (lookahead == 't') ADVANCE(322);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'g') ADVANCE(186);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'g') ADVANCE(289);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'g') ADVANCE(399);
      if (lookahead == 'z') ADVANCE(353);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'y')) ADVANCE(462);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'g') ADVANCE(400);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'h') ADVANCE(406);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'i') ADVANCE(371);
      if (lookahead == 'y') ADVANCE(453);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'i') ADVANCE(374);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'i') ADVANCE(339);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'i') ADVANCE(375);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'i') ADVANCE(459);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'i') ADVANCE(420);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'i') ADVANCE(397);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'i') ADVANCE(442);
      if (lookahead == 's') ADVANCE(380);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'i') ADVANCE(401);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'i') ADVANCE(402);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'i') ADVANCE(403);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'l') ADVANCE(410);
      if (lookahead == 'n') ADVANCE(223);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'l') ADVANCE(226);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'l') ADVANCE(331);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'l') ADVANCE(355);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'n') ADVANCE(223);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'n') ADVANCE(384);
      if (lookahead == 's') ADVANCE(350);
      if (lookahead == 't') ADVANCE(370);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'n') ADVANCE(372);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'n') ADVANCE(437);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'n') ADVANCE(379);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'n') ADVANCE(373);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'n') ADVANCE(330);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'n') ADVANCE(358);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'n') ADVANCE(361);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'n') ADVANCE(448);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'n') ADVANCE(449);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'n') ADVANCE(450);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'o') ADVANCE(346);
      if (lookahead == 'y') ADVANCE(419);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'o') ADVANCE(346);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'o') ADVANCE(252);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'o') ADVANCE(250);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'o') ADVANCE(347);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'o') ADVANCE(429);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'o') ADVANCE(334);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'o') ADVANCE(385);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'o') ADVANCE(386);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'o') ADVANCE(387);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'o') ADVANCE(348);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'o') ADVANCE(349);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'p') ADVANCE(324);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'p') ADVANCE(409);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'p') ADVANCE(411);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'p') ADVANCE(354);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'p') ADVANCE(447);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'p') ADVANCE(412);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'p') ADVANCE(413);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'q') ADVANCE(457);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'r') ADVANCE(460);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'r') ADVANCE(383);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'r') ADVANCE(398);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'r') ADVANCE(382);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'r') ADVANCE(445);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'r') ADVANCE(446);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 's') ADVANCE(199);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 's') ADVANCE(350);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 's') ADVANCE(283);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 's') ADVANCE(200);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 's') ADVANCE(351);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 's') ADVANCE(341);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 's') ADVANCE(352);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 's') ADVANCE(443);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 's') ADVANCE(454);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 's') ADVANCE(434);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 't') ADVANCE(285);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 't') ADVANCE(257);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 't') ADVANCE(315);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 't') ADVANCE(205);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 't') ADVANCE(287);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 't') ADVANCE(258);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 't') ADVANCE(195);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 't') ADVANCE(188);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 't') ADVANCE(299);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 't') ADVANCE(301);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 't') ADVANCE(303);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 't') ADVANCE(381);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 't') ADVANCE(391);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 't') ADVANCE(363);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 't') ADVANCE(425);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 't') ADVANCE(362);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 't') ADVANCE(452);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'u') ADVANCE(357);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'v') ADVANCE(332);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'v') ADVANCE(356);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'y') ADVANCE(281);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(sym__name);
      if (lookahead == 'y') ADVANCE(419);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(sym__name);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(462);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(sym__upname);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(463);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 171},
  [2] = {.lex_state = 174},
  [3] = {.lex_state = 171},
  [4] = {.lex_state = 142},
  [5] = {.lex_state = 171},
  [6] = {.lex_state = 171},
  [7] = {.lex_state = 143},
  [8] = {.lex_state = 144},
  [9] = {.lex_state = 145},
  [10] = {.lex_state = 142},
  [11] = {.lex_state = 146},
  [12] = {.lex_state = 171},
  [13] = {.lex_state = 171},
  [14] = {.lex_state = 174},
  [15] = {.lex_state = 174},
  [16] = {.lex_state = 174},
  [17] = {.lex_state = 144},
  [18] = {.lex_state = 144},
  [19] = {.lex_state = 144},
  [20] = {.lex_state = 174},
  [21] = {.lex_state = 144},
  [22] = {.lex_state = 144},
  [23] = {.lex_state = 174},
  [24] = {.lex_state = 174},
  [25] = {.lex_state = 144},
  [26] = {.lex_state = 144},
  [27] = {.lex_state = 174},
  [28] = {.lex_state = 144},
  [29] = {.lex_state = 144},
  [30] = {.lex_state = 174},
  [31] = {.lex_state = 174},
  [32] = {.lex_state = 144},
  [33] = {.lex_state = 174},
  [34] = {.lex_state = 174},
  [35] = {.lex_state = 174},
  [36] = {.lex_state = 144},
  [37] = {.lex_state = 174},
  [38] = {.lex_state = 174},
  [39] = {.lex_state = 171},
  [40] = {.lex_state = 144},
  [41] = {.lex_state = 174},
  [42] = {.lex_state = 174},
  [43] = {.lex_state = 144},
  [44] = {.lex_state = 144},
  [45] = {.lex_state = 144},
  [46] = {.lex_state = 174},
  [47] = {.lex_state = 174},
  [48] = {.lex_state = 174},
  [49] = {.lex_state = 174},
  [50] = {.lex_state = 174},
  [51] = {.lex_state = 174},
  [52] = {.lex_state = 171},
  [53] = {.lex_state = 171},
  [54] = {.lex_state = 174},
  [55] = {.lex_state = 174},
  [56] = {.lex_state = 174},
  [57] = {.lex_state = 171},
  [58] = {.lex_state = 174},
  [59] = {.lex_state = 174},
  [60] = {.lex_state = 174},
  [61] = {.lex_state = 171},
  [62] = {.lex_state = 171},
  [63] = {.lex_state = 174},
  [64] = {.lex_state = 171},
  [65] = {.lex_state = 171},
  [66] = {.lex_state = 171},
  [67] = {.lex_state = 171},
  [68] = {.lex_state = 171},
  [69] = {.lex_state = 171},
  [70] = {.lex_state = 171},
  [71] = {.lex_state = 171},
  [72] = {.lex_state = 174},
  [73] = {.lex_state = 174},
  [74] = {.lex_state = 174},
  [75] = {.lex_state = 174},
  [76] = {.lex_state = 171},
  [77] = {.lex_state = 174},
  [78] = {.lex_state = 174},
  [79] = {.lex_state = 171},
  [80] = {.lex_state = 171},
  [81] = {.lex_state = 171},
  [82] = {.lex_state = 171},
  [83] = {.lex_state = 171},
  [84] = {.lex_state = 174},
  [85] = {.lex_state = 174},
  [86] = {.lex_state = 145},
  [87] = {.lex_state = 174},
  [88] = {.lex_state = 174},
  [89] = {.lex_state = 174},
  [90] = {.lex_state = 145},
  [91] = {.lex_state = 171},
  [92] = {.lex_state = 174},
  [93] = {.lex_state = 145},
  [94] = {.lex_state = 174},
  [95] = {.lex_state = 174},
  [96] = {.lex_state = 174},
  [97] = {.lex_state = 174},
  [98] = {.lex_state = 174},
  [99] = {.lex_state = 145},
  [100] = {.lex_state = 174},
  [101] = {.lex_state = 171},
  [102] = {.lex_state = 174},
  [103] = {.lex_state = 174},
  [104] = {.lex_state = 174},
  [105] = {.lex_state = 171},
  [106] = {.lex_state = 145},
  [107] = {.lex_state = 174},
  [108] = {.lex_state = 171},
  [109] = {.lex_state = 163},
  [110] = {.lex_state = 174},
  [111] = {.lex_state = 171},
  [112] = {.lex_state = 174},
  [113] = {.lex_state = 174},
  [114] = {.lex_state = 174},
  [115] = {.lex_state = 171},
  [116] = {.lex_state = 174},
  [117] = {.lex_state = 174},
  [118] = {.lex_state = 174},
  [119] = {.lex_state = 145},
  [120] = {.lex_state = 145},
  [121] = {.lex_state = 171},
  [122] = {.lex_state = 174},
  [123] = {.lex_state = 174},
  [124] = {.lex_state = 171},
  [125] = {.lex_state = 171},
  [126] = {.lex_state = 171},
  [127] = {.lex_state = 174},
  [128] = {.lex_state = 174},
  [129] = {.lex_state = 174},
  [130] = {.lex_state = 174},
  [131] = {.lex_state = 174},
  [132] = {.lex_state = 174},
  [133] = {.lex_state = 174},
  [134] = {.lex_state = 171},
  [135] = {.lex_state = 171},
  [136] = {.lex_state = 171},
  [137] = {.lex_state = 171},
  [138] = {.lex_state = 145},
  [139] = {.lex_state = 171},
  [140] = {.lex_state = 171},
  [141] = {.lex_state = 145},
  [142] = {.lex_state = 171},
  [143] = {.lex_state = 171},
  [144] = {.lex_state = 145},
  [145] = {.lex_state = 145},
  [146] = {.lex_state = 145},
  [147] = {.lex_state = 171},
  [148] = {.lex_state = 171},
  [149] = {.lex_state = 171},
  [150] = {.lex_state = 145},
  [151] = {.lex_state = 145},
  [152] = {.lex_state = 171},
  [153] = {.lex_state = 145},
  [154] = {.lex_state = 171},
  [155] = {.lex_state = 171},
  [156] = {.lex_state = 171},
  [157] = {.lex_state = 171},
  [158] = {.lex_state = 145},
  [159] = {.lex_state = 171},
  [160] = {.lex_state = 171},
  [161] = {.lex_state = 145},
  [162] = {.lex_state = 145},
  [163] = {.lex_state = 171},
  [164] = {.lex_state = 171},
  [165] = {.lex_state = 171},
  [166] = {.lex_state = 145},
  [167] = {.lex_state = 171},
  [168] = {.lex_state = 145},
  [169] = {.lex_state = 171},
  [170] = {.lex_state = 171},
  [171] = {.lex_state = 171},
  [172] = {.lex_state = 145},
  [173] = {.lex_state = 145},
  [174] = {.lex_state = 145},
  [175] = {.lex_state = 171},
  [176] = {.lex_state = 145},
  [177] = {.lex_state = 171},
  [178] = {.lex_state = 145},
  [179] = {.lex_state = 145},
  [180] = {.lex_state = 171},
  [181] = {.lex_state = 171},
  [182] = {.lex_state = 171},
  [183] = {.lex_state = 145},
  [184] = {.lex_state = 171},
  [185] = {.lex_state = 171},
  [186] = {.lex_state = 171},
  [187] = {.lex_state = 171},
  [188] = {.lex_state = 171},
  [189] = {.lex_state = 145},
  [190] = {.lex_state = 171},
  [191] = {.lex_state = 171},
  [192] = {.lex_state = 144},
  [193] = {.lex_state = 145},
  [194] = {.lex_state = 144},
  [195] = {.lex_state = 144},
  [196] = {.lex_state = 144},
  [197] = {.lex_state = 145},
  [198] = {.lex_state = 144},
  [199] = {.lex_state = 144},
  [200] = {.lex_state = 144},
  [201] = {.lex_state = 142},
  [202] = {.lex_state = 144},
  [203] = {.lex_state = 144},
  [204] = {.lex_state = 144},
  [205] = {.lex_state = 142},
  [206] = {.lex_state = 142},
  [207] = {.lex_state = 144},
  [208] = {.lex_state = 142},
  [209] = {.lex_state = 144},
  [210] = {.lex_state = 142},
  [211] = {.lex_state = 142},
  [212] = {.lex_state = 142},
  [213] = {.lex_state = 144},
  [214] = {.lex_state = 142},
  [215] = {.lex_state = 144},
  [216] = {.lex_state = 142},
  [217] = {.lex_state = 142},
  [218] = {.lex_state = 142},
  [219] = {.lex_state = 144},
  [220] = {.lex_state = 144},
  [221] = {.lex_state = 142},
  [222] = {.lex_state = 142},
  [223] = {.lex_state = 142},
  [224] = {.lex_state = 144},
  [225] = {.lex_state = 144},
  [226] = {.lex_state = 144},
  [227] = {.lex_state = 142},
  [228] = {.lex_state = 144},
  [229] = {.lex_state = 144},
  [230] = {.lex_state = 142},
  [231] = {.lex_state = 142},
  [232] = {.lex_state = 144},
  [233] = {.lex_state = 144},
  [234] = {.lex_state = 144},
  [235] = {.lex_state = 142},
  [236] = {.lex_state = 142},
  [237] = {.lex_state = 142},
  [238] = {.lex_state = 142},
  [239] = {.lex_state = 144},
  [240] = {.lex_state = 142},
  [241] = {.lex_state = 142},
  [242] = {.lex_state = 142},
  [243] = {.lex_state = 144},
  [244] = {.lex_state = 143},
  [245] = {.lex_state = 142},
  [246] = {.lex_state = 142},
  [247] = {.lex_state = 142},
  [248] = {.lex_state = 142},
  [249] = {.lex_state = 142},
  [250] = {.lex_state = 142},
  [251] = {.lex_state = 142},
  [252] = {.lex_state = 144},
  [253] = {.lex_state = 142},
  [254] = {.lex_state = 142},
  [255] = {.lex_state = 144},
  [256] = {.lex_state = 142},
  [257] = {.lex_state = 142},
  [258] = {.lex_state = 142},
  [259] = {.lex_state = 144},
  [260] = {.lex_state = 142},
  [261] = {.lex_state = 142},
  [262] = {.lex_state = 142},
  [263] = {.lex_state = 142},
  [264] = {.lex_state = 144},
  [265] = {.lex_state = 142},
  [266] = {.lex_state = 142},
  [267] = {.lex_state = 144},
  [268] = {.lex_state = 142},
  [269] = {.lex_state = 142},
  [270] = {.lex_state = 142},
  [271] = {.lex_state = 142},
  [272] = {.lex_state = 142},
  [273] = {.lex_state = 142},
  [274] = {.lex_state = 142},
  [275] = {.lex_state = 142},
  [276] = {.lex_state = 142},
  [277] = {.lex_state = 142},
  [278] = {.lex_state = 142},
  [279] = {.lex_state = 142},
  [280] = {.lex_state = 142},
  [281] = {.lex_state = 142},
  [282] = {.lex_state = 142},
  [283] = {.lex_state = 142},
  [284] = {.lex_state = 142},
  [285] = {.lex_state = 142},
  [286] = {.lex_state = 142},
  [287] = {.lex_state = 142},
  [288] = {.lex_state = 142},
  [289] = {.lex_state = 143},
  [290] = {.lex_state = 142},
  [291] = {.lex_state = 142},
  [292] = {.lex_state = 142},
  [293] = {.lex_state = 142},
  [294] = {.lex_state = 142},
  [295] = {.lex_state = 142},
  [296] = {.lex_state = 142},
  [297] = {.lex_state = 142},
  [298] = {.lex_state = 142},
  [299] = {.lex_state = 142},
  [300] = {.lex_state = 142},
  [301] = {.lex_state = 142},
  [302] = {.lex_state = 142},
  [303] = {.lex_state = 142},
  [304] = {.lex_state = 142},
  [305] = {.lex_state = 142},
  [306] = {.lex_state = 142},
  [307] = {.lex_state = 142},
  [308] = {.lex_state = 142},
  [309] = {.lex_state = 142},
  [310] = {.lex_state = 142},
  [311] = {.lex_state = 142},
  [312] = {.lex_state = 142},
  [313] = {.lex_state = 142},
  [314] = {.lex_state = 142},
  [315] = {.lex_state = 142},
  [316] = {.lex_state = 142},
  [317] = {.lex_state = 142},
  [318] = {.lex_state = 142},
  [319] = {.lex_state = 142},
  [320] = {.lex_state = 142},
  [321] = {.lex_state = 142},
  [322] = {.lex_state = 142},
  [323] = {.lex_state = 142},
  [324] = {.lex_state = 142},
  [325] = {.lex_state = 142},
  [326] = {.lex_state = 142},
  [327] = {.lex_state = 142},
  [328] = {.lex_state = 142},
  [329] = {.lex_state = 142},
  [330] = {.lex_state = 142},
  [331] = {.lex_state = 142},
  [332] = {.lex_state = 142},
  [333] = {.lex_state = 142},
  [334] = {.lex_state = 142},
  [335] = {.lex_state = 142},
  [336] = {.lex_state = 142},
  [337] = {.lex_state = 142},
  [338] = {.lex_state = 142},
  [339] = {.lex_state = 142},
  [340] = {.lex_state = 142},
  [341] = {.lex_state = 142},
  [342] = {.lex_state = 142},
  [343] = {.lex_state = 142},
  [344] = {.lex_state = 144},
  [345] = {.lex_state = 142},
  [346] = {.lex_state = 144},
  [347] = {.lex_state = 142},
  [348] = {.lex_state = 142},
  [349] = {.lex_state = 142},
  [350] = {.lex_state = 142},
  [351] = {.lex_state = 144},
  [352] = {.lex_state = 144},
  [353] = {.lex_state = 142},
  [354] = {.lex_state = 144},
  [355] = {.lex_state = 142},
  [356] = {.lex_state = 142},
  [357] = {.lex_state = 142},
  [358] = {.lex_state = 142},
  [359] = {.lex_state = 142},
  [360] = {.lex_state = 142},
  [361] = {.lex_state = 144},
  [362] = {.lex_state = 144},
  [363] = {.lex_state = 144},
  [364] = {.lex_state = 144},
  [365] = {.lex_state = 143},
  [366] = {.lex_state = 143},
  [367] = {.lex_state = 143},
  [368] = {.lex_state = 142},
  [369] = {.lex_state = 142},
  [370] = {.lex_state = 143},
  [371] = {.lex_state = 142},
  [372] = {.lex_state = 142},
  [373] = {.lex_state = 142},
  [374] = {.lex_state = 142},
  [375] = {.lex_state = 142},
  [376] = {.lex_state = 142},
  [377] = {.lex_state = 144},
  [378] = {.lex_state = 142},
  [379] = {.lex_state = 142},
  [380] = {.lex_state = 144},
  [381] = {.lex_state = 143},
  [382] = {.lex_state = 142},
  [383] = {.lex_state = 142},
  [384] = {.lex_state = 142},
  [385] = {.lex_state = 142},
  [386] = {.lex_state = 143},
  [387] = {.lex_state = 143},
  [388] = {.lex_state = 142},
  [389] = {.lex_state = 142},
  [390] = {.lex_state = 142},
  [391] = {.lex_state = 142},
  [392] = {.lex_state = 142},
  [393] = {.lex_state = 143},
  [394] = {.lex_state = 143},
  [395] = {.lex_state = 142},
  [396] = {.lex_state = 142},
  [397] = {.lex_state = 142},
  [398] = {.lex_state = 142},
  [399] = {.lex_state = 142},
  [400] = {.lex_state = 142},
  [401] = {.lex_state = 142},
  [402] = {.lex_state = 142},
  [403] = {.lex_state = 142},
  [404] = {.lex_state = 143},
  [405] = {.lex_state = 144},
  [406] = {.lex_state = 142},
  [407] = {.lex_state = 144},
  [408] = {.lex_state = 142},
  [409] = {.lex_state = 142},
  [410] = {.lex_state = 144},
  [411] = {.lex_state = 142},
  [412] = {.lex_state = 144},
  [413] = {.lex_state = 142},
  [414] = {.lex_state = 144},
  [415] = {.lex_state = 144},
  [416] = {.lex_state = 142},
  [417] = {.lex_state = 142},
  [418] = {.lex_state = 142},
  [419] = {.lex_state = 142},
  [420] = {.lex_state = 143},
  [421] = {.lex_state = 142},
  [422] = {.lex_state = 143},
  [423] = {.lex_state = 142},
  [424] = {.lex_state = 142},
  [425] = {.lex_state = 142},
  [426] = {.lex_state = 142},
  [427] = {.lex_state = 143},
  [428] = {.lex_state = 143},
  [429] = {.lex_state = 142},
  [430] = {.lex_state = 142},
  [431] = {.lex_state = 143},
  [432] = {.lex_state = 142},
  [433] = {.lex_state = 142},
  [434] = {.lex_state = 142},
  [435] = {.lex_state = 142},
  [436] = {.lex_state = 142},
  [437] = {.lex_state = 142},
  [438] = {.lex_state = 142},
  [439] = {.lex_state = 142},
  [440] = {.lex_state = 142},
  [441] = {.lex_state = 142},
  [442] = {.lex_state = 142},
  [443] = {.lex_state = 142},
  [444] = {.lex_state = 142},
  [445] = {.lex_state = 142},
  [446] = {.lex_state = 142},
  [447] = {.lex_state = 142},
  [448] = {.lex_state = 142},
  [449] = {.lex_state = 142},
  [450] = {.lex_state = 142},
  [451] = {.lex_state = 142},
  [452] = {.lex_state = 142},
  [453] = {.lex_state = 142},
  [454] = {.lex_state = 142},
  [455] = {.lex_state = 142},
  [456] = {.lex_state = 142},
  [457] = {.lex_state = 143},
  [458] = {.lex_state = 142},
  [459] = {.lex_state = 142},
  [460] = {.lex_state = 143},
  [461] = {.lex_state = 142},
  [462] = {.lex_state = 142},
  [463] = {.lex_state = 143},
  [464] = {.lex_state = 142},
  [465] = {.lex_state = 142},
  [466] = {.lex_state = 143},
  [467] = {.lex_state = 143},
  [468] = {.lex_state = 143},
  [469] = {.lex_state = 143},
  [470] = {.lex_state = 143},
  [471] = {.lex_state = 143},
  [472] = {.lex_state = 143},
  [473] = {.lex_state = 143},
  [474] = {.lex_state = 143},
  [475] = {.lex_state = 143},
  [476] = {.lex_state = 143},
  [477] = {.lex_state = 143},
  [478] = {.lex_state = 143},
  [479] = {.lex_state = 142},
  [480] = {.lex_state = 143},
  [481] = {.lex_state = 144},
  [482] = {.lex_state = 143},
  [483] = {.lex_state = 142},
  [484] = {.lex_state = 143},
  [485] = {.lex_state = 143},
  [486] = {.lex_state = 143},
  [487] = {.lex_state = 143},
  [488] = {.lex_state = 143},
  [489] = {.lex_state = 143},
  [490] = {.lex_state = 143},
  [491] = {.lex_state = 142},
  [492] = {.lex_state = 143},
  [493] = {.lex_state = 142},
  [494] = {.lex_state = 142},
  [495] = {.lex_state = 142},
  [496] = {.lex_state = 143},
  [497] = {.lex_state = 143},
  [498] = {.lex_state = 143},
  [499] = {.lex_state = 142},
  [500] = {.lex_state = 142},
  [501] = {.lex_state = 143},
  [502] = {.lex_state = 142},
  [503] = {.lex_state = 142},
  [504] = {.lex_state = 143},
  [505] = {.lex_state = 143},
  [506] = {.lex_state = 142},
  [507] = {.lex_state = 143},
  [508] = {.lex_state = 143},
  [509] = {.lex_state = 142},
  [510] = {.lex_state = 143},
  [511] = {.lex_state = 143},
  [512] = {.lex_state = 142},
  [513] = {.lex_state = 143},
  [514] = {.lex_state = 143},
  [515] = {.lex_state = 143},
  [516] = {.lex_state = 142},
  [517] = {.lex_state = 142},
  [518] = {.lex_state = 143},
  [519] = {.lex_state = 142},
  [520] = {.lex_state = 143},
  [521] = {.lex_state = 143},
  [522] = {.lex_state = 143},
  [523] = {.lex_state = 142},
  [524] = {.lex_state = 143},
  [525] = {.lex_state = 143},
  [526] = {.lex_state = 142},
  [527] = {.lex_state = 142},
  [528] = {.lex_state = 143},
  [529] = {.lex_state = 143},
  [530] = {.lex_state = 143},
  [531] = {.lex_state = 143},
  [532] = {.lex_state = 143},
  [533] = {.lex_state = 144},
  [534] = {.lex_state = 144},
  [535] = {.lex_state = 144},
  [536] = {.lex_state = 144},
  [537] = {.lex_state = 144},
  [538] = {.lex_state = 144},
  [539] = {.lex_state = 144},
  [540] = {.lex_state = 144},
  [541] = {.lex_state = 144},
  [542] = {.lex_state = 144},
  [543] = {.lex_state = 144},
  [544] = {.lex_state = 144},
  [545] = {.lex_state = 144},
  [546] = {.lex_state = 144},
  [547] = {.lex_state = 144},
  [548] = {.lex_state = 144},
  [549] = {.lex_state = 144},
  [550] = {.lex_state = 147},
  [551] = {.lex_state = 147},
  [552] = {.lex_state = 147},
  [553] = {.lex_state = 147},
  [554] = {.lex_state = 147},
  [555] = {.lex_state = 149},
  [556] = {.lex_state = 149},
  [557] = {.lex_state = 147},
  [558] = {.lex_state = 149},
  [559] = {.lex_state = 150},
  [560] = {.lex_state = 150},
  [561] = {.lex_state = 150},
  [562] = {.lex_state = 150},
  [563] = {.lex_state = 150},
  [564] = {.lex_state = 150},
  [565] = {.lex_state = 150},
  [566] = {.lex_state = 150},
  [567] = {.lex_state = 150},
  [568] = {.lex_state = 150},
  [569] = {.lex_state = 150},
  [570] = {.lex_state = 150},
  [571] = {.lex_state = 151},
  [572] = {.lex_state = 150},
  [573] = {.lex_state = 150},
  [574] = {.lex_state = 150},
  [575] = {.lex_state = 164},
  [576] = {.lex_state = 151},
  [577] = {.lex_state = 150},
  [578] = {.lex_state = 150},
  [579] = {.lex_state = 150},
  [580] = {.lex_state = 150},
  [581] = {.lex_state = 150},
  [582] = {.lex_state = 150},
  [583] = {.lex_state = 150},
  [584] = {.lex_state = 150},
  [585] = {.lex_state = 150},
  [586] = {.lex_state = 150},
  [587] = {.lex_state = 150},
  [588] = {.lex_state = 150},
  [589] = {.lex_state = 150},
  [590] = {.lex_state = 150},
  [591] = {.lex_state = 150},
  [592] = {.lex_state = 150},
  [593] = {.lex_state = 150},
  [594] = {.lex_state = 150},
  [595] = {.lex_state = 164},
  [596] = {.lex_state = 164},
  [597] = {.lex_state = 164},
  [598] = {.lex_state = 164},
  [599] = {.lex_state = 164},
  [600] = {.lex_state = 164},
  [601] = {.lex_state = 150},
  [602] = {.lex_state = 150},
  [603] = {.lex_state = 164},
  [604] = {.lex_state = 150},
  [605] = {.lex_state = 164},
  [606] = {.lex_state = 150},
  [607] = {.lex_state = 150},
  [608] = {.lex_state = 164},
  [609] = {.lex_state = 150},
  [610] = {.lex_state = 164},
  [611] = {.lex_state = 150},
  [612] = {.lex_state = 150},
  [613] = {.lex_state = 164},
  [614] = {.lex_state = 164},
  [615] = {.lex_state = 164},
  [616] = {.lex_state = 150},
  [617] = {.lex_state = 150},
  [618] = {.lex_state = 150},
  [619] = {.lex_state = 164},
  [620] = {.lex_state = 150},
  [621] = {.lex_state = 150},
  [622] = {.lex_state = 150},
  [623] = {.lex_state = 164},
  [624] = {.lex_state = 150},
  [625] = {.lex_state = 150},
  [626] = {.lex_state = 150},
  [627] = {.lex_state = 150},
  [628] = {.lex_state = 150},
  [629] = {.lex_state = 164},
  [630] = {.lex_state = 150},
  [631] = {.lex_state = 150},
  [632] = {.lex_state = 150},
  [633] = {.lex_state = 150},
  [634] = {.lex_state = 150},
  [635] = {.lex_state = 150},
  [636] = {.lex_state = 150},
  [637] = {.lex_state = 150},
  [638] = {.lex_state = 150},
  [639] = {.lex_state = 164},
  [640] = {.lex_state = 150},
  [641] = {.lex_state = 150},
  [642] = {.lex_state = 150},
  [643] = {.lex_state = 150},
  [644] = {.lex_state = 164},
  [645] = {.lex_state = 174},
  [646] = {.lex_state = 174},
  [647] = {.lex_state = 174},
  [648] = {.lex_state = 174},
  [649] = {.lex_state = 172},
  [650] = {.lex_state = 149},
  [651] = {.lex_state = 149},
  [652] = {.lex_state = 149},
  [653] = {.lex_state = 149},
  [654] = {.lex_state = 149},
  [655] = {.lex_state = 149},
  [656] = {.lex_state = 173},
  [657] = {.lex_state = 149},
  [658] = {.lex_state = 149},
  [659] = {.lex_state = 172},
  [660] = {.lex_state = 174},
  [661] = {.lex_state = 173},
  [662] = {.lex_state = 149},
  [663] = {.lex_state = 171},
  [664] = {.lex_state = 149},
  [665] = {.lex_state = 171},
  [666] = {.lex_state = 172},
  [667] = {.lex_state = 149},
  [668] = {.lex_state = 149},
  [669] = {.lex_state = 171},
  [670] = {.lex_state = 149},
  [671] = {.lex_state = 150},
  [672] = {.lex_state = 149},
  [673] = {.lex_state = 171},
  [674] = {.lex_state = 150},
  [675] = {.lex_state = 174},
  [676] = {.lex_state = 172},
  [677] = {.lex_state = 172},
  [678] = {.lex_state = 173},
  [679] = {.lex_state = 174},
  [680] = {.lex_state = 174},
  [681] = {.lex_state = 172},
  [682] = {.lex_state = 174},
  [683] = {.lex_state = 172},
  [684] = {.lex_state = 171},
  [685] = {.lex_state = 150},
  [686] = {.lex_state = 150},
  [687] = {.lex_state = 172},
  [688] = {.lex_state = 174},
  [689] = {.lex_state = 174},
  [690] = {.lex_state = 150},
  [691] = {.lex_state = 173},
  [692] = {.lex_state = 173},
  [693] = {.lex_state = 171},
  [694] = {.lex_state = 149},
  [695] = {.lex_state = 149},
  [696] = {.lex_state = 150},
  [697] = {.lex_state = 149},
  [698] = {.lex_state = 150},
  [699] = {.lex_state = 149},
  [700] = {.lex_state = 149},
  [701] = {.lex_state = 149},
  [702] = {.lex_state = 149},
  [703] = {.lex_state = 149},
  [704] = {.lex_state = 171},
  [705] = {.lex_state = 149},
  [706] = {.lex_state = 149},
  [707] = {.lex_state = 149},
  [708] = {.lex_state = 172},
  [709] = {.lex_state = 173},
  [710] = {.lex_state = 149},
  [711] = {.lex_state = 172},
  [712] = {.lex_state = 149},
  [713] = {.lex_state = 171},
  [714] = {.lex_state = 149},
  [715] = {.lex_state = 147},
  [716] = {.lex_state = 149},
  [717] = {.lex_state = 149},
  [718] = {.lex_state = 171},
  [719] = {.lex_state = 149},
  [720] = {.lex_state = 149},
  [721] = {.lex_state = 171},
  [722] = {.lex_state = 171},
  [723] = {.lex_state = 171},
  [724] = {.lex_state = 171},
  [725] = {.lex_state = 171},
  [726] = {.lex_state = 149},
  [727] = {.lex_state = 147},
  [728] = {.lex_state = 171},
  [729] = {.lex_state = 171},
  [730] = {.lex_state = 171},
  [731] = {.lex_state = 171},
  [732] = {.lex_state = 171},
  [733] = {.lex_state = 171},
  [734] = {.lex_state = 149},
  [735] = {.lex_state = 171},
  [736] = {.lex_state = 171},
  [737] = {.lex_state = 171},
  [738] = {.lex_state = 147},
  [739] = {.lex_state = 150},
  [740] = {.lex_state = 171},
  [741] = {.lex_state = 171},
  [742] = {.lex_state = 171},
  [743] = {.lex_state = 149},
  [744] = {.lex_state = 149},
  [745] = {.lex_state = 171},
  [746] = {.lex_state = 171},
  [747] = {.lex_state = 171},
  [748] = {.lex_state = 171},
  [749] = {.lex_state = 171},
  [750] = {.lex_state = 147},
  [751] = {.lex_state = 150},
  [752] = {.lex_state = 171},
  [753] = {.lex_state = 171},
  [754] = {.lex_state = 171},
  [755] = {.lex_state = 149},
  [756] = {.lex_state = 171},
  [757] = {.lex_state = 171},
  [758] = {.lex_state = 149},
  [759] = {.lex_state = 149},
  [760] = {.lex_state = 171},
  [761] = {.lex_state = 149},
  [762] = {.lex_state = 149},
  [763] = {.lex_state = 171},
  [764] = {.lex_state = 171},
  [765] = {.lex_state = 150},
  [766] = {.lex_state = 150},
  [767] = {.lex_state = 171},
  [768] = {.lex_state = 149},
  [769] = {.lex_state = 171},
  [770] = {.lex_state = 149},
  [771] = {.lex_state = 149},
  [772] = {.lex_state = 171},
  [773] = {.lex_state = 149},
  [774] = {.lex_state = 171},
  [775] = {.lex_state = 147},
  [776] = {.lex_state = 171},
  [777] = {.lex_state = 147},
  [778] = {.lex_state = 171},
  [779] = {.lex_state = 171},
  [780] = {.lex_state = 171},
  [781] = {.lex_state = 171},
  [782] = {.lex_state = 171},
  [783] = {.lex_state = 171},
  [784] = {.lex_state = 171},
  [785] = {.lex_state = 171},
  [786] = {.lex_state = 171},
  [787] = {.lex_state = 171},
  [788] = {.lex_state = 171},
  [789] = {.lex_state = 171},
  [790] = {.lex_state = 171},
  [791] = {.lex_state = 171},
  [792] = {.lex_state = 171},
  [793] = {.lex_state = 171},
  [794] = {.lex_state = 171},
  [795] = {.lex_state = 150},
  [796] = {.lex_state = 171},
  [797] = {.lex_state = 171},
  [798] = {.lex_state = 171},
  [799] = {.lex_state = 171},
  [800] = {.lex_state = 171},
  [801] = {.lex_state = 149},
  [802] = {.lex_state = 149},
  [803] = {.lex_state = 152},
  [804] = {.lex_state = 152},
  [805] = {.lex_state = 147},
  [806] = {.lex_state = 152},
  [807] = {.lex_state = 152},
  [808] = {.lex_state = 152},
  [809] = {.lex_state = 152},
  [810] = {.lex_state = 149},
  [811] = {.lex_state = 152},
  [812] = {.lex_state = 149},
  [813] = {.lex_state = 152},
  [814] = {.lex_state = 149},
  [815] = {.lex_state = 149},
  [816] = {.lex_state = 152},
  [817] = {.lex_state = 153},
  [818] = {.lex_state = 149},
  [819] = {.lex_state = 149},
  [820] = {.lex_state = 149},
  [821] = {.lex_state = 149},
  [822] = {.lex_state = 149},
  [823] = {.lex_state = 152},
  [824] = {.lex_state = 149},
  [825] = {.lex_state = 152},
  [826] = {.lex_state = 152},
  [827] = {.lex_state = 152},
  [828] = {.lex_state = 147},
  [829] = {.lex_state = 147},
  [830] = {.lex_state = 152},
  [831] = {.lex_state = 152},
  [832] = {.lex_state = 150},
  [833] = {.lex_state = 147},
  [834] = {.lex_state = 147},
  [835] = {.lex_state = 150},
  [836] = {.lex_state = 154},
  [837] = {.lex_state = 154},
  [838] = {.lex_state = 150},
  [839] = {.lex_state = 150},
  [840] = {.lex_state = 147},
  [841] = {.lex_state = 155},
  [842] = {.lex_state = 154},
  [843] = {.lex_state = 154},
  [844] = {.lex_state = 155},
  [845] = {.lex_state = 155},
  [846] = {.lex_state = 150},
  [847] = {.lex_state = 150},
  [848] = {.lex_state = 155},
  [849] = {.lex_state = 156},
  [850] = {.lex_state = 150},
  [851] = {.lex_state = 150},
  [852] = {.lex_state = 156},
  [853] = {.lex_state = 164},
  [854] = {.lex_state = 149},
  [855] = {.lex_state = 150},
  [856] = {.lex_state = 149},
  [857] = {.lex_state = 150},
  [858] = {.lex_state = 150},
  [859] = {.lex_state = 149},
  [860] = {.lex_state = 150},
  [861] = {.lex_state = 149},
  [862] = {.lex_state = 149},
  [863] = {.lex_state = 150},
  [864] = {.lex_state = 150},
  [865] = {.lex_state = 150},
  [866] = {.lex_state = 149},
  [867] = {.lex_state = 149},
  [868] = {.lex_state = 150},
  [869] = {.lex_state = 150},
  [870] = {.lex_state = 149},
  [871] = {.lex_state = 150},
  [872] = {.lex_state = 150},
  [873] = {.lex_state = 149},
  [874] = {.lex_state = 150},
  [875] = {.lex_state = 149},
  [876] = {.lex_state = 150},
  [877] = {.lex_state = 150},
  [878] = {.lex_state = 150},
  [879] = {.lex_state = 150},
  [880] = {.lex_state = 150},
  [881] = {.lex_state = 149},
  [882] = {.lex_state = 152},
  [883] = {.lex_state = 150},
  [884] = {.lex_state = 152},
  [885] = {.lex_state = 164},
  [886] = {.lex_state = 164},
  [887] = {.lex_state = 152},
  [888] = {.lex_state = 164},
  [889] = {.lex_state = 152},
  [890] = {.lex_state = 149},
  [891] = {.lex_state = 152},
  [892] = {.lex_state = 152},
  [893] = {.lex_state = 164},
  [894] = {.lex_state = 149},
  [895] = {.lex_state = 149},
  [896] = {.lex_state = 149},
  [897] = {.lex_state = 149},
  [898] = {.lex_state = 164},
  [899] = {.lex_state = 152},
  [900] = {.lex_state = 164},
  [901] = {.lex_state = 149},
  [902] = {.lex_state = 164},
  [903] = {.lex_state = 152},
  [904] = {.lex_state = 164},
  [905] = {.lex_state = 150},
  [906] = {.lex_state = 149},
  [907] = {.lex_state = 164},
  [908] = {.lex_state = 164},
  [909] = {.lex_state = 164},
  [910] = {.lex_state = 164},
  [911] = {.lex_state = 164},
  [912] = {.lex_state = 164},
  [913] = {.lex_state = 152},
  [914] = {.lex_state = 152},
  [915] = {.lex_state = 164},
  [916] = {.lex_state = 152},
  [917] = {.lex_state = 164},
  [918] = {.lex_state = 152},
  [919] = {.lex_state = 164},
  [920] = {.lex_state = 164},
  [921] = {.lex_state = 164},
  [922] = {.lex_state = 152},
  [923] = {.lex_state = 164},
  [924] = {.lex_state = 149},
  [925] = {.lex_state = 164},
  [926] = {.lex_state = 164},
  [927] = {.lex_state = 149},
  [928] = {.lex_state = 152},
  [929] = {.lex_state = 164},
  [930] = {.lex_state = 152},
  [931] = {.lex_state = 164},
  [932] = {.lex_state = 150},
  [933] = {.lex_state = 152},
  [934] = {.lex_state = 152},
  [935] = {.lex_state = 164},
  [936] = {.lex_state = 164},
  [937] = {.lex_state = 152},
  [938] = {.lex_state = 164},
  [939] = {.lex_state = 150},
  [940] = {.lex_state = 149},
  [941] = {.lex_state = 149},
  [942] = {.lex_state = 152},
  [943] = {.lex_state = 149},
  [944] = {.lex_state = 149},
  [945] = {.lex_state = 149},
  [946] = {.lex_state = 149},
  [947] = {.lex_state = 152},
  [948] = {.lex_state = 149},
  [949] = {.lex_state = 152},
  [950] = {.lex_state = 149},
  [951] = {.lex_state = 149},
  [952] = {.lex_state = 152},
  [953] = {.lex_state = 149},
  [954] = {.lex_state = 149},
  [955] = {.lex_state = 164},
  [956] = {.lex_state = 152},
  [957] = {.lex_state = 152},
  [958] = {.lex_state = 152},
  [959] = {.lex_state = 152},
  [960] = {.lex_state = 164},
  [961] = {.lex_state = 149},
  [962] = {.lex_state = 164},
  [963] = {.lex_state = 152},
  [964] = {.lex_state = 150},
  [965] = {.lex_state = 149},
  [966] = {.lex_state = 164},
  [967] = {.lex_state = 149},
  [968] = {.lex_state = 149},
  [969] = {.lex_state = 164},
  [970] = {.lex_state = 164},
  [971] = {.lex_state = 164},
  [972] = {.lex_state = 149},
  [973] = {.lex_state = 164},
  [974] = {.lex_state = 164},
  [975] = {.lex_state = 149},
  [976] = {.lex_state = 152},
  [977] = {.lex_state = 149},
  [978] = {.lex_state = 164},
  [979] = {.lex_state = 164},
  [980] = {.lex_state = 152},
  [981] = {.lex_state = 164},
  [982] = {.lex_state = 164},
  [983] = {.lex_state = 164},
  [984] = {.lex_state = 164},
  [985] = {.lex_state = 164},
  [986] = {.lex_state = 149},
  [987] = {.lex_state = 164},
  [988] = {.lex_state = 152},
  [989] = {.lex_state = 152},
  [990] = {.lex_state = 152},
  [991] = {.lex_state = 152},
  [992] = {.lex_state = 164},
  [993] = {.lex_state = 164},
  [994] = {.lex_state = 152},
  [995] = {.lex_state = 164},
  [996] = {.lex_state = 149},
  [997] = {.lex_state = 149},
  [998] = {.lex_state = 149},
  [999] = {.lex_state = 149},
  [1000] = {.lex_state = 149},
  [1001] = {.lex_state = 149},
  [1002] = {.lex_state = 164},
  [1003] = {.lex_state = 149},
  [1004] = {.lex_state = 152},
  [1005] = {.lex_state = 164},
  [1006] = {.lex_state = 152},
  [1007] = {.lex_state = 149},
  [1008] = {.lex_state = 149},
  [1009] = {.lex_state = 149},
  [1010] = {.lex_state = 164},
  [1011] = {.lex_state = 149},
  [1012] = {.lex_state = 152},
  [1013] = {.lex_state = 149},
  [1014] = {.lex_state = 149},
  [1015] = {.lex_state = 164},
  [1016] = {.lex_state = 149},
  [1017] = {.lex_state = 164},
  [1018] = {.lex_state = 149},
  [1019] = {.lex_state = 149},
  [1020] = {.lex_state = 152},
  [1021] = {.lex_state = 149},
  [1022] = {.lex_state = 149},
  [1023] = {.lex_state = 164},
  [1024] = {.lex_state = 143},
  [1025] = {.lex_state = 152},
  [1026] = {.lex_state = 149},
  [1027] = {.lex_state = 152},
  [1028] = {.lex_state = 149},
  [1029] = {.lex_state = 149},
  [1030] = {.lex_state = 164},
  [1031] = {.lex_state = 152},
  [1032] = {.lex_state = 152},
  [1033] = {.lex_state = 164},
  [1034] = {.lex_state = 152},
  [1035] = {.lex_state = 164},
  [1036] = {.lex_state = 149},
  [1037] = {.lex_state = 152},
  [1038] = {.lex_state = 149},
  [1039] = {.lex_state = 164},
  [1040] = {.lex_state = 152},
  [1041] = {.lex_state = 164},
  [1042] = {.lex_state = 164},
  [1043] = {.lex_state = 149},
  [1044] = {.lex_state = 164},
  [1045] = {.lex_state = 164},
  [1046] = {.lex_state = 164},
  [1047] = {.lex_state = 164},
  [1048] = {.lex_state = 152},
  [1049] = {.lex_state = 152},
  [1050] = {.lex_state = 152},
  [1051] = {.lex_state = 152},
  [1052] = {.lex_state = 164},
  [1053] = {.lex_state = 152},
  [1054] = {.lex_state = 144},
  [1055] = {.lex_state = 152},
  [1056] = {.lex_state = 152},
  [1057] = {.lex_state = 152},
  [1058] = {.lex_state = 152},
  [1059] = {.lex_state = 149},
  [1060] = {.lex_state = 152},
  [1061] = {.lex_state = 152},
  [1062] = {.lex_state = 149},
  [1063] = {.lex_state = 149},
  [1064] = {.lex_state = 149},
  [1065] = {.lex_state = 149},
  [1066] = {.lex_state = 149},
  [1067] = {.lex_state = 149},
  [1068] = {.lex_state = 149},
  [1069] = {.lex_state = 149},
  [1070] = {.lex_state = 149},
  [1071] = {.lex_state = 149},
  [1072] = {.lex_state = 149},
  [1073] = {.lex_state = 149},
  [1074] = {.lex_state = 149},
  [1075] = {.lex_state = 157},
  [1076] = {.lex_state = 149},
  [1077] = {.lex_state = 149},
  [1078] = {.lex_state = 149},
  [1079] = {.lex_state = 149},
  [1080] = {.lex_state = 149},
  [1081] = {.lex_state = 149},
  [1082] = {.lex_state = 149},
  [1083] = {.lex_state = 149},
  [1084] = {.lex_state = 149},
  [1085] = {.lex_state = 149},
  [1086] = {.lex_state = 149},
  [1087] = {.lex_state = 164},
  [1088] = {.lex_state = 149},
  [1089] = {.lex_state = 149},
  [1090] = {.lex_state = 164},
  [1091] = {.lex_state = 164},
  [1092] = {.lex_state = 164},
  [1093] = {.lex_state = 149},
  [1094] = {.lex_state = 164},
  [1095] = {.lex_state = 149},
  [1096] = {.lex_state = 158},
  [1097] = {.lex_state = 149},
  [1098] = {.lex_state = 164},
  [1099] = {.lex_state = 164},
  [1100] = {.lex_state = 164},
  [1101] = {.lex_state = 149},
  [1102] = {.lex_state = 164},
  [1103] = {.lex_state = 164},
  [1104] = {.lex_state = 164},
  [1105] = {.lex_state = 147},
  [1106] = {.lex_state = 147},
  [1107] = {.lex_state = 147},
  [1108] = {.lex_state = 159},
  [1109] = {.lex_state = 159},
  [1110] = {.lex_state = 159},
  [1111] = {.lex_state = 159},
  [1112] = {.lex_state = 157},
  [1113] = {.lex_state = 159},
  [1114] = {.lex_state = 159},
  [1115] = {.lex_state = 159},
  [1116] = {.lex_state = 159},
  [1117] = {.lex_state = 159},
  [1118] = {.lex_state = 157},
  [1119] = {.lex_state = 159},
  [1120] = {.lex_state = 159},
  [1121] = {.lex_state = 159},
  [1122] = {.lex_state = 157},
  [1123] = {.lex_state = 159},
  [1124] = {.lex_state = 159},
  [1125] = {.lex_state = 159},
  [1126] = {.lex_state = 159},
  [1127] = {.lex_state = 157},
  [1128] = {.lex_state = 159},
  [1129] = {.lex_state = 159},
  [1130] = {.lex_state = 159},
  [1131] = {.lex_state = 159},
  [1132] = {.lex_state = 159},
  [1133] = {.lex_state = 158},
  [1134] = {.lex_state = 159},
  [1135] = {.lex_state = 159},
  [1136] = {.lex_state = 159},
  [1137] = {.lex_state = 159},
  [1138] = {.lex_state = 159},
  [1139] = {.lex_state = 159},
  [1140] = {.lex_state = 159},
  [1141] = {.lex_state = 159},
  [1142] = {.lex_state = 159},
  [1143] = {.lex_state = 159},
  [1144] = {.lex_state = 159},
  [1145] = {.lex_state = 159},
  [1146] = {.lex_state = 159},
  [1147] = {.lex_state = 159},
  [1148] = {.lex_state = 159},
  [1149] = {.lex_state = 159},
  [1150] = {.lex_state = 159},
  [1151] = {.lex_state = 159},
  [1152] = {.lex_state = 159},
  [1153] = {.lex_state = 159},
  [1154] = {.lex_state = 159},
  [1155] = {.lex_state = 159},
  [1156] = {.lex_state = 157},
  [1157] = {.lex_state = 157},
  [1158] = {.lex_state = 159},
  [1159] = {.lex_state = 159},
  [1160] = {.lex_state = 157},
  [1161] = {.lex_state = 159},
  [1162] = {.lex_state = 159},
  [1163] = {.lex_state = 157},
  [1164] = {.lex_state = 157},
  [1165] = {.lex_state = 159},
  [1166] = {.lex_state = 159},
  [1167] = {.lex_state = 159},
  [1168] = {.lex_state = 159},
  [1169] = {.lex_state = 159},
  [1170] = {.lex_state = 159},
  [1171] = {.lex_state = 159},
  [1172] = {.lex_state = 159},
  [1173] = {.lex_state = 159},
  [1174] = {.lex_state = 159},
  [1175] = {.lex_state = 159},
  [1176] = {.lex_state = 157},
  [1177] = {.lex_state = 159},
  [1178] = {.lex_state = 159},
  [1179] = {.lex_state = 157},
  [1180] = {.lex_state = 157},
  [1181] = {.lex_state = 159},
  [1182] = {.lex_state = 159},
  [1183] = {.lex_state = 157},
  [1184] = {.lex_state = 157},
  [1185] = {.lex_state = 157},
  [1186] = {.lex_state = 157},
  [1187] = {.lex_state = 159},
  [1188] = {.lex_state = 158},
  [1189] = {.lex_state = 158},
  [1190] = {.lex_state = 158},
  [1191] = {.lex_state = 158},
  [1192] = {.lex_state = 158},
  [1193] = {.lex_state = 158},
  [1194] = {.lex_state = 158},
  [1195] = {.lex_state = 158},
  [1196] = {.lex_state = 158},
  [1197] = {.lex_state = 158},
  [1198] = {.lex_state = 159},
  [1199] = {.lex_state = 158},
  [1200] = {.lex_state = 158},
  [1201] = {.lex_state = 159},
  [1202] = {.lex_state = 158},
  [1203] = {.lex_state = 158},
  [1204] = {.lex_state = 147},
  [1205] = {.lex_state = 158},
  [1206] = {.lex_state = 158},
  [1207] = {.lex_state = 158},
  [1208] = {.lex_state = 158},
  [1209] = {.lex_state = 158},
  [1210] = {.lex_state = 158},
  [1211] = {.lex_state = 157},
  [1212] = {.lex_state = 158},
  [1213] = {.lex_state = 147},
  [1214] = {.lex_state = 158},
  [1215] = {.lex_state = 158},
  [1216] = {.lex_state = 147},
  [1217] = {.lex_state = 158},
  [1218] = {.lex_state = 158},
  [1219] = {.lex_state = 158},
  [1220] = {.lex_state = 159},
  [1221] = {.lex_state = 158},
  [1222] = {.lex_state = 159},
  [1223] = {.lex_state = 158},
  [1224] = {.lex_state = 164},
  [1225] = {.lex_state = 164},
  [1226] = {.lex_state = 147},
  [1227] = {.lex_state = 147},
  [1228] = {.lex_state = 164},
  [1229] = {.lex_state = 158},
  [1230] = {.lex_state = 160},
  [1231] = {.lex_state = 164},
  [1232] = {.lex_state = 160},
  [1233] = {.lex_state = 157},
  [1234] = {.lex_state = 164},
  [1235] = {.lex_state = 160},
  [1236] = {.lex_state = 147},
  [1237] = {.lex_state = 147},
  [1238] = {.lex_state = 160},
  [1239] = {.lex_state = 157},
  [1240] = {.lex_state = 147},
  [1241] = {.lex_state = 157},
  [1242] = {.lex_state = 157},
  [1243] = {.lex_state = 157},
  [1244] = {.lex_state = 164},
  [1245] = {.lex_state = 157},
  [1246] = {.lex_state = 160},
  [1247] = {.lex_state = 160},
  [1248] = {.lex_state = 157},
  [1249] = {.lex_state = 147},
  [1250] = {.lex_state = 161},
  [1251] = {.lex_state = 147},
  [1252] = {.lex_state = 147},
  [1253] = {.lex_state = 147},
  [1254] = {.lex_state = 161},
  [1255] = {.lex_state = 157},
  [1256] = {.lex_state = 147},
  [1257] = {.lex_state = 160},
  [1258] = {.lex_state = 147},
  [1259] = {.lex_state = 157},
  [1260] = {.lex_state = 158},
  [1261] = {.lex_state = 147},
  [1262] = {.lex_state = 158},
  [1263] = {.lex_state = 147},
  [1264] = {.lex_state = 147},
  [1265] = {.lex_state = 147},
  [1266] = {.lex_state = 147},
  [1267] = {.lex_state = 158},
  [1268] = {.lex_state = 147},
  [1269] = {.lex_state = 147},
  [1270] = {.lex_state = 147},
  [1271] = {.lex_state = 147},
  [1272] = {.lex_state = 147},
  [1273] = {.lex_state = 147},
  [1274] = {.lex_state = 147},
  [1275] = {.lex_state = 147},
  [1276] = {.lex_state = 147},
  [1277] = {.lex_state = 147},
  [1278] = {.lex_state = 157},
  [1279] = {.lex_state = 147},
  [1280] = {.lex_state = 147},
  [1281] = {.lex_state = 158},
  [1282] = {.lex_state = 161},
  [1283] = {.lex_state = 147},
  [1284] = {.lex_state = 147},
  [1285] = {.lex_state = 147},
  [1286] = {.lex_state = 147},
  [1287] = {.lex_state = 147},
  [1288] = {.lex_state = 147},
  [1289] = {.lex_state = 147},
  [1290] = {.lex_state = 147},
  [1291] = {.lex_state = 160},
  [1292] = {.lex_state = 158},
  [1293] = {.lex_state = 160},
  [1294] = {.lex_state = 158},
  [1295] = {.lex_state = 160},
  [1296] = {.lex_state = 158},
  [1297] = {.lex_state = 158},
  [1298] = {.lex_state = 162},
  [1299] = {.lex_state = 162},
  [1300] = {.lex_state = 162},
  [1301] = {.lex_state = 162},
  [1302] = {.lex_state = 158},
  [1303] = {.lex_state = 162},
  [1304] = {.lex_state = 160},
  [1305] = {.lex_state = 162},
  [1306] = {.lex_state = 161},
  [1307] = {.lex_state = 147},
  [1308] = {.lex_state = 161},
  [1309] = {.lex_state = 162},
  [1310] = {.lex_state = 147, .external_lex_state = 1},
  [1311] = {.lex_state = 147, .external_lex_state = 1},
  [1312] = {.lex_state = 158},
  [1313] = {.lex_state = 161},
  [1314] = {.lex_state = 147, .external_lex_state = 1},
  [1315] = {.lex_state = 147, .external_lex_state = 1},
  [1316] = {.lex_state = 147, .external_lex_state = 1},
  [1317] = {.lex_state = 147},
  [1318] = {.lex_state = 147},
  [1319] = {.lex_state = 161},
  [1320] = {.lex_state = 147},
  [1321] = {.lex_state = 161},
  [1322] = {.lex_state = 147, .external_lex_state = 1},
  [1323] = {.lex_state = 0},
  [1324] = {.lex_state = 147, .external_lex_state = 1},
  [1325] = {.lex_state = 147, .external_lex_state = 1},
  [1326] = {.lex_state = 147, .external_lex_state = 1},
  [1327] = {.lex_state = 161},
  [1328] = {.lex_state = 147, .external_lex_state = 1},
  [1329] = {.lex_state = 161},
  [1330] = {.lex_state = 147},
  [1331] = {.lex_state = 147, .external_lex_state = 1},
  [1332] = {.lex_state = 147},
  [1333] = {.lex_state = 147},
  [1334] = {.lex_state = 147, .external_lex_state = 1},
  [1335] = {.lex_state = 147},
  [1336] = {.lex_state = 161},
  [1337] = {.lex_state = 147, .external_lex_state = 1},
  [1338] = {.lex_state = 147, .external_lex_state = 1},
  [1339] = {.lex_state = 147},
  [1340] = {.lex_state = 147},
  [1341] = {.lex_state = 147, .external_lex_state = 1},
  [1342] = {.lex_state = 161},
  [1343] = {.lex_state = 161},
  [1344] = {.lex_state = 161},
  [1345] = {.lex_state = 161},
  [1346] = {.lex_state = 147, .external_lex_state = 1},
  [1347] = {.lex_state = 147, .external_lex_state = 1},
  [1348] = {.lex_state = 0},
  [1349] = {.lex_state = 160},
  [1350] = {.lex_state = 0},
  [1351] = {.lex_state = 158},
  [1352] = {.lex_state = 0},
  [1353] = {.lex_state = 157},
  [1354] = {.lex_state = 158},
  [1355] = {.lex_state = 0},
  [1356] = {.lex_state = 0},
  [1357] = {.lex_state = 160},
  [1358] = {.lex_state = 0},
  [1359] = {.lex_state = 0},
  [1360] = {.lex_state = 147},
  [1361] = {.lex_state = 0},
  [1362] = {.lex_state = 0},
  [1363] = {.lex_state = 0},
  [1364] = {.lex_state = 147},
  [1365] = {.lex_state = 147},
  [1366] = {.lex_state = 158},
  [1367] = {.lex_state = 147},
  [1368] = {.lex_state = 0},
  [1369] = {.lex_state = 0},
  [1370] = {.lex_state = 172},
  [1371] = {.lex_state = 0},
  [1372] = {.lex_state = 0},
  [1373] = {.lex_state = 172},
  [1374] = {.lex_state = 0},
  [1375] = {.lex_state = 161},
  [1376] = {.lex_state = 160},
  [1377] = {.lex_state = 147},
  [1378] = {.lex_state = 161},
  [1379] = {.lex_state = 147},
  [1380] = {.lex_state = 160},
  [1381] = {.lex_state = 147},
  [1382] = {.lex_state = 161},
  [1383] = {.lex_state = 147},
  [1384] = {.lex_state = 0},
  [1385] = {.lex_state = 161},
  [1386] = {.lex_state = 147},
  [1387] = {.lex_state = 161},
  [1388] = {.lex_state = 161},
  [1389] = {.lex_state = 160},
  [1390] = {.lex_state = 147},
  [1391] = {.lex_state = 0},
  [1392] = {.lex_state = 161},
  [1393] = {.lex_state = 158},
  [1394] = {.lex_state = 161},
  [1395] = {.lex_state = 161},
  [1396] = {.lex_state = 147},
  [1397] = {.lex_state = 160},
  [1398] = {.lex_state = 0},
  [1399] = {.lex_state = 0},
  [1400] = {.lex_state = 147},
  [1401] = {.lex_state = 147},
  [1402] = {.lex_state = 147},
  [1403] = {.lex_state = 161},
  [1404] = {.lex_state = 0},
  [1405] = {.lex_state = 0},
  [1406] = {.lex_state = 0},
  [1407] = {.lex_state = 160},
  [1408] = {.lex_state = 0},
  [1409] = {.lex_state = 147},
  [1410] = {.lex_state = 0},
  [1411] = {.lex_state = 147},
  [1412] = {.lex_state = 147, .external_lex_state = 1},
  [1413] = {.lex_state = 0},
  [1414] = {.lex_state = 0},
  [1415] = {.lex_state = 0},
  [1416] = {.lex_state = 0},
  [1417] = {.lex_state = 147},
  [1418] = {.lex_state = 161},
  [1419] = {.lex_state = 147},
  [1420] = {.lex_state = 147},
  [1421] = {.lex_state = 147},
  [1422] = {.lex_state = 147},
  [1423] = {.lex_state = 158},
  [1424] = {.lex_state = 0},
  [1425] = {.lex_state = 158},
  [1426] = {.lex_state = 161},
  [1427] = {.lex_state = 0},
  [1428] = {.lex_state = 161},
  [1429] = {.lex_state = 0},
  [1430] = {.lex_state = 172},
  [1431] = {.lex_state = 0},
  [1432] = {.lex_state = 147},
  [1433] = {.lex_state = 161},
  [1434] = {.lex_state = 0},
  [1435] = {.lex_state = 172},
  [1436] = {.lex_state = 0},
  [1437] = {.lex_state = 0},
  [1438] = {.lex_state = 0},
  [1439] = {.lex_state = 0},
  [1440] = {.lex_state = 147},
  [1441] = {.lex_state = 0},
  [1442] = {.lex_state = 0},
  [1443] = {.lex_state = 0},
  [1444] = {.lex_state = 172},
  [1445] = {.lex_state = 172},
  [1446] = {.lex_state = 172},
  [1447] = {.lex_state = 0},
  [1448] = {.lex_state = 0},
  [1449] = {.lex_state = 0},
  [1450] = {.lex_state = 0},
  [1451] = {.lex_state = 0},
  [1452] = {.lex_state = 0},
  [1453] = {.lex_state = 172},
  [1454] = {.lex_state = 0},
  [1455] = {.lex_state = 0},
  [1456] = {.lex_state = 0},
  [1457] = {.lex_state = 0},
  [1458] = {.lex_state = 0},
  [1459] = {.lex_state = 0},
  [1460] = {.lex_state = 172},
  [1461] = {.lex_state = 0},
  [1462] = {.lex_state = 0},
  [1463] = {.lex_state = 0},
  [1464] = {.lex_state = 172},
  [1465] = {.lex_state = 0},
  [1466] = {.lex_state = 0},
  [1467] = {.lex_state = 0},
  [1468] = {.lex_state = 0},
  [1469] = {.lex_state = 0},
  [1470] = {.lex_state = 0},
  [1471] = {.lex_state = 0},
  [1472] = {.lex_state = 164},
  [1473] = {.lex_state = 0},
  [1474] = {.lex_state = 0},
  [1475] = {.lex_state = 0},
  [1476] = {.lex_state = 0},
  [1477] = {.lex_state = 0},
  [1478] = {.lex_state = 0},
  [1479] = {.lex_state = 161},
  [1480] = {.lex_state = 161},
  [1481] = {.lex_state = 0},
  [1482] = {.lex_state = 0},
  [1483] = {.lex_state = 0},
  [1484] = {.lex_state = 0},
  [1485] = {.lex_state = 0},
  [1486] = {.lex_state = 0},
  [1487] = {.lex_state = 0},
  [1488] = {.lex_state = 0},
  [1489] = {.lex_state = 172},
  [1490] = {.lex_state = 0},
  [1491] = {.lex_state = 0},
  [1492] = {.lex_state = 0},
  [1493] = {.lex_state = 0},
  [1494] = {.lex_state = 0},
  [1495] = {.lex_state = 172},
  [1496] = {.lex_state = 0},
  [1497] = {.lex_state = 0},
  [1498] = {.lex_state = 0},
  [1499] = {.lex_state = 161},
  [1500] = {.lex_state = 0},
  [1501] = {.lex_state = 0},
  [1502] = {.lex_state = 0},
  [1503] = {.lex_state = 147},
  [1504] = {.lex_state = 147},
  [1505] = {.lex_state = 0},
  [1506] = {.lex_state = 0},
  [1507] = {.lex_state = 0},
  [1508] = {.lex_state = 172},
  [1509] = {.lex_state = 172},
  [1510] = {.lex_state = 0},
  [1511] = {.lex_state = 0},
  [1512] = {.lex_state = 0},
  [1513] = {.lex_state = 0},
  [1514] = {.lex_state = 172},
  [1515] = {.lex_state = 0},
  [1516] = {.lex_state = 171},
  [1517] = {.lex_state = 0},
  [1518] = {.lex_state = 171},
  [1519] = {.lex_state = 0},
  [1520] = {.lex_state = 0},
  [1521] = {.lex_state = 147},
  [1522] = {.lex_state = 0},
  [1523] = {.lex_state = 0},
  [1524] = {.lex_state = 171},
  [1525] = {.lex_state = 147},
  [1526] = {.lex_state = 172},
  [1527] = {.lex_state = 0},
  [1528] = {.lex_state = 0},
  [1529] = {.lex_state = 147},
  [1530] = {.lex_state = 0},
  [1531] = {.lex_state = 172},
  [1532] = {.lex_state = 172},
  [1533] = {.lex_state = 172},
  [1534] = {.lex_state = 172},
  [1535] = {.lex_state = 0},
  [1536] = {.lex_state = 0},
  [1537] = {.lex_state = 172},
  [1538] = {.lex_state = 0},
  [1539] = {.lex_state = 161},
  [1540] = {.lex_state = 147},
  [1541] = {.lex_state = 0},
  [1542] = {.lex_state = 0},
  [1543] = {.lex_state = 0},
  [1544] = {.lex_state = 0},
  [1545] = {.lex_state = 0},
  [1546] = {.lex_state = 0},
  [1547] = {.lex_state = 0},
  [1548] = {.lex_state = 172},
  [1549] = {.lex_state = 0},
  [1550] = {.lex_state = 0},
  [1551] = {.lex_state = 0},
  [1552] = {.lex_state = 0},
  [1553] = {.lex_state = 0},
  [1554] = {.lex_state = 172},
  [1555] = {.lex_state = 0},
  [1556] = {.lex_state = 0},
  [1557] = {.lex_state = 147},
  [1558] = {.lex_state = 171},
  [1559] = {.lex_state = 0},
  [1560] = {.lex_state = 0},
  [1561] = {.lex_state = 0},
  [1562] = {.lex_state = 0},
  [1563] = {.lex_state = 0},
  [1564] = {.lex_state = 172},
  [1565] = {.lex_state = 172},
  [1566] = {.lex_state = 0},
  [1567] = {.lex_state = 0},
  [1568] = {.lex_state = 0},
  [1569] = {.lex_state = 0},
  [1570] = {.lex_state = 0},
  [1571] = {.lex_state = 0},
  [1572] = {.lex_state = 0},
  [1573] = {.lex_state = 0},
  [1574] = {.lex_state = 0},
  [1575] = {.lex_state = 0},
  [1576] = {.lex_state = 0},
  [1577] = {.lex_state = 172},
  [1578] = {.lex_state = 0},
  [1579] = {.lex_state = 0},
  [1580] = {.lex_state = 0},
  [1581] = {.lex_state = 0},
  [1582] = {.lex_state = 0},
  [1583] = {.lex_state = 0},
  [1584] = {.lex_state = 0},
  [1585] = {.lex_state = 0},
  [1586] = {.lex_state = 0},
  [1587] = {.lex_state = 147},
  [1588] = {.lex_state = 0},
  [1589] = {.lex_state = 0},
  [1590] = {.lex_state = 0},
  [1591] = {.lex_state = 161},
  [1592] = {.lex_state = 172},
  [1593] = {.lex_state = 0},
  [1594] = {.lex_state = 0},
  [1595] = {.lex_state = 0},
  [1596] = {.lex_state = 0},
  [1597] = {.lex_state = 0},
  [1598] = {.lex_state = 147},
  [1599] = {.lex_state = 147},
  [1600] = {.lex_state = 0},
  [1601] = {.lex_state = 0},
  [1602] = {.lex_state = 0},
  [1603] = {.lex_state = 0},
  [1604] = {.lex_state = 172},
  [1605] = {.lex_state = 0},
  [1606] = {.lex_state = 0},
  [1607] = {.lex_state = 0},
  [1608] = {.lex_state = 0},
  [1609] = {.lex_state = 0},
  [1610] = {.lex_state = 0},
  [1611] = {.lex_state = 0},
  [1612] = {.lex_state = 0},
  [1613] = {.lex_state = 172},
  [1614] = {.lex_state = 0},
  [1615] = {.lex_state = 0},
  [1616] = {.lex_state = 0},
  [1617] = {.lex_state = 0},
  [1618] = {.lex_state = 158},
  [1619] = {.lex_state = 161},
  [1620] = {.lex_state = 0},
  [1621] = {.lex_state = 0},
  [1622] = {.lex_state = 0},
  [1623] = {.lex_state = 0},
  [1624] = {.lex_state = 0},
  [1625] = {.lex_state = 0},
  [1626] = {.lex_state = 0},
  [1627] = {.lex_state = 161},
  [1628] = {.lex_state = 161},
  [1629] = {.lex_state = 0},
  [1630] = {.lex_state = 0},
  [1631] = {.lex_state = 161},
  [1632] = {.lex_state = 161},
  [1633] = {.lex_state = 0},
  [1634] = {.lex_state = 0},
  [1635] = {.lex_state = 161},
  [1636] = {.lex_state = 161},
  [1637] = {.lex_state = 0},
  [1638] = {.lex_state = 147},
  [1639] = {.lex_state = 0},
  [1640] = {.lex_state = 0},
  [1641] = {.lex_state = 0},
  [1642] = {.lex_state = 161},
  [1643] = {.lex_state = 171},
  [1644] = {.lex_state = 171},
  [1645] = {.lex_state = 171},
  [1646] = {.lex_state = 161},
  [1647] = {.lex_state = 161},
  [1648] = {.lex_state = 147},
  [1649] = {.lex_state = 161},
  [1650] = {.lex_state = 172},
  [1651] = {.lex_state = 0},
  [1652] = {.lex_state = 0},
  [1653] = {.lex_state = 0},
  [1654] = {.lex_state = 0},
  [1655] = {.lex_state = 0},
  [1656] = {.lex_state = 161},
  [1657] = {.lex_state = 172},
  [1658] = {.lex_state = 0},
  [1659] = {.lex_state = 161},
  [1660] = {.lex_state = 0},
  [1661] = {.lex_state = 161},
  [1662] = {.lex_state = 161},
  [1663] = {.lex_state = 0},
  [1664] = {.lex_state = 161},
  [1665] = {.lex_state = 161},
  [1666] = {.lex_state = 0},
  [1667] = {.lex_state = 171},
  [1668] = {.lex_state = 161},
  [1669] = {.lex_state = 171},
  [1670] = {.lex_state = 0},
  [1671] = {.lex_state = 147},
  [1672] = {.lex_state = 172},
  [1673] = {.lex_state = 0},
  [1674] = {.lex_state = 0},
  [1675] = {.lex_state = 0},
  [1676] = {.lex_state = 0},
  [1677] = {.lex_state = 161},
  [1678] = {.lex_state = 147},
  [1679] = {.lex_state = 0},
  [1680] = {.lex_state = 172},
  [1681] = {.lex_state = 161},
  [1682] = {.lex_state = 161},
  [1683] = {.lex_state = 0},
  [1684] = {.lex_state = 0},
  [1685] = {.lex_state = 0},
  [1686] = {.lex_state = 0},
  [1687] = {.lex_state = 0},
  [1688] = {.lex_state = 0},
  [1689] = {.lex_state = 0},
  [1690] = {.lex_state = 0},
  [1691] = {.lex_state = 171},
  [1692] = {.lex_state = 171},
  [1693] = {.lex_state = 0},
  [1694] = {.lex_state = 0},
  [1695] = {.lex_state = 0},
  [1696] = {.lex_state = 0},
  [1697] = {.lex_state = 161},
  [1698] = {.lex_state = 0},
  [1699] = {.lex_state = 171},
  [1700] = {.lex_state = 0},
  [1701] = {.lex_state = 0},
  [1702] = {.lex_state = 171},
  [1703] = {.lex_state = 0},
  [1704] = {.lex_state = 161},
  [1705] = {.lex_state = 0},
  [1706] = {.lex_state = 171},
  [1707] = {.lex_state = 0},
  [1708] = {.lex_state = 0},
  [1709] = {.lex_state = 0},
  [1710] = {.lex_state = 0},
  [1711] = {.lex_state = 0},
  [1712] = {.lex_state = 0},
  [1713] = {.lex_state = 0},
  [1714] = {.lex_state = 0},
  [1715] = {.lex_state = 171},
  [1716] = {.lex_state = 0},
  [1717] = {.lex_state = 171},
  [1718] = {.lex_state = 0},
  [1719] = {.lex_state = 0},
  [1720] = {.lex_state = 0},
  [1721] = {.lex_state = 0},
  [1722] = {.lex_state = 0},
  [1723] = {.lex_state = 0},
  [1724] = {.lex_state = 0},
  [1725] = {.lex_state = 171},
  [1726] = {.lex_state = 161},
  [1727] = {.lex_state = 171},
  [1728] = {.lex_state = 0},
  [1729] = {.lex_state = 0},
  [1730] = {.lex_state = 0},
  [1731] = {.lex_state = 0},
  [1732] = {.lex_state = 0},
  [1733] = {.lex_state = 0},
  [1734] = {.lex_state = 0},
  [1735] = {.lex_state = 0},
  [1736] = {.lex_state = 0},
  [1737] = {.lex_state = 0},
  [1738] = {.lex_state = 0},
  [1739] = {.lex_state = 0},
  [1740] = {.lex_state = 172},
  [1741] = {.lex_state = 0},
  [1742] = {.lex_state = 172},
  [1743] = {.lex_state = 0},
  [1744] = {.lex_state = 0},
  [1745] = {.lex_state = 0},
  [1746] = {.lex_state = 0},
  [1747] = {.lex_state = 161},
  [1748] = {.lex_state = 0},
  [1749] = {.lex_state = 0},
  [1750] = {.lex_state = 0},
  [1751] = {.lex_state = 0},
  [1752] = {.lex_state = 0},
  [1753] = {.lex_state = 0},
  [1754] = {.lex_state = 0},
  [1755] = {.lex_state = 0},
  [1756] = {.lex_state = 0},
  [1757] = {.lex_state = 0},
  [1758] = {.lex_state = 0},
  [1759] = {.lex_state = 0},
  [1760] = {.lex_state = 0},
  [1761] = {.lex_state = 161},
  [1762] = {.lex_state = 0},
  [1763] = {.lex_state = 0},
  [1764] = {.lex_state = 0},
  [1765] = {.lex_state = 0},
  [1766] = {.lex_state = 0},
  [1767] = {.lex_state = 0},
  [1768] = {.lex_state = 0},
  [1769] = {.lex_state = 0},
  [1770] = {.lex_state = 161},
  [1771] = {.lex_state = 0},
  [1772] = {.lex_state = 171},
  [1773] = {.lex_state = 171},
  [1774] = {.lex_state = 161},
  [1775] = {.lex_state = 161},
  [1776] = {.lex_state = 0},
  [1777] = {.lex_state = 0},
  [1778] = {.lex_state = 0},
  [1779] = {.lex_state = 0},
  [1780] = {.lex_state = 0},
  [1781] = {.lex_state = 0},
  [1782] = {.lex_state = 0},
  [1783] = {.lex_state = 0},
  [1784] = {.lex_state = 0},
  [1785] = {.lex_state = 0},
  [1786] = {.lex_state = 0},
  [1787] = {.lex_state = 0},
  [1788] = {.lex_state = 0},
  [1789] = {.lex_state = 0},
  [1790] = {.lex_state = 0},
  [1791] = {.lex_state = 172},
  [1792] = {.lex_state = 0},
  [1793] = {.lex_state = 0},
  [1794] = {.lex_state = 0},
  [1795] = {.lex_state = 0},
  [1796] = {.lex_state = 0},
  [1797] = {.lex_state = 0},
  [1798] = {.lex_state = 0},
  [1799] = {.lex_state = 0},
  [1800] = {.lex_state = 0},
  [1801] = {.lex_state = 0},
  [1802] = {.lex_state = 0},
  [1803] = {.lex_state = 0},
  [1804] = {.lex_state = 0},
  [1805] = {.lex_state = 172},
  [1806] = {.lex_state = 0},
  [1807] = {.lex_state = 172},
  [1808] = {.lex_state = 172},
  [1809] = {.lex_state = 172},
  [1810] = {.lex_state = 0},
  [1811] = {.lex_state = 0},
  [1812] = {.lex_state = 0},
  [1813] = {.lex_state = 0},
  [1814] = {.lex_state = 0},
  [1815] = {.lex_state = 0},
  [1816] = {.lex_state = 0},
  [1817] = {.lex_state = 0},
  [1818] = {.lex_state = 0},
  [1819] = {.lex_state = 0},
  [1820] = {.lex_state = 0},
  [1821] = {.lex_state = 172},
  [1822] = {.lex_state = 0},
  [1823] = {.lex_state = 0},
  [1824] = {.lex_state = 0},
  [1825] = {.lex_state = 0},
  [1826] = {.lex_state = 0},
  [1827] = {.lex_state = 0},
  [1828] = {.lex_state = 0},
  [1829] = {.lex_state = 0},
  [1830] = {.lex_state = 0},
  [1831] = {.lex_state = 0},
  [1832] = {.lex_state = 0},
  [1833] = {.lex_state = 172},
  [1834] = {.lex_state = 172},
  [1835] = {.lex_state = 0},
  [1836] = {.lex_state = 0},
  [1837] = {.lex_state = 0},
  [1838] = {.lex_state = 0},
  [1839] = {.lex_state = 172},
  [1840] = {.lex_state = 0},
  [1841] = {.lex_state = 0},
  [1842] = {.lex_state = 172},
  [1843] = {.lex_state = 0},
  [1844] = {.lex_state = 0},
  [1845] = {.lex_state = 0},
  [1846] = {.lex_state = 0},
  [1847] = {.lex_state = 0},
  [1848] = {.lex_state = 0},
  [1849] = {.lex_state = 0},
  [1850] = {.lex_state = 0},
  [1851] = {.lex_state = 0},
  [1852] = {.lex_state = 0},
  [1853] = {.lex_state = 0},
  [1854] = {.lex_state = 0},
  [1855] = {.lex_state = 0},
  [1856] = {.lex_state = 0},
  [1857] = {.lex_state = 0},
  [1858] = {.lex_state = 0},
  [1859] = {.lex_state = 0},
  [1860] = {.lex_state = 0},
  [1861] = {.lex_state = 0},
  [1862] = {.lex_state = 0},
  [1863] = {.lex_state = 0},
  [1864] = {.lex_state = 0},
  [1865] = {.lex_state = 0},
  [1866] = {.lex_state = 0},
  [1867] = {.lex_state = 172},
  [1868] = {.lex_state = 0},
  [1869] = {.lex_state = 0},
  [1870] = {.lex_state = 172},
  [1871] = {.lex_state = 0},
  [1872] = {.lex_state = 0},
  [1873] = {.lex_state = 0},
  [1874] = {.lex_state = 161},
  [1875] = {.lex_state = 172},
  [1876] = {.lex_state = 172},
  [1877] = {.lex_state = 0},
  [1878] = {.lex_state = 0},
  [1879] = {.lex_state = 0},
  [1880] = {.lex_state = 147},
  [1881] = {.lex_state = 147},
  [1882] = {.lex_state = 0},
  [1883] = {.lex_state = 0},
  [1884] = {.lex_state = 0},
  [1885] = {.lex_state = 0},
  [1886] = {.lex_state = 0},
  [1887] = {.lex_state = 161},
  [1888] = {.lex_state = 172},
  [1889] = {.lex_state = 0},
  [1890] = {.lex_state = 147},
  [1891] = {.lex_state = 0},
  [1892] = {.lex_state = 0},
  [1893] = {.lex_state = 0},
  [1894] = {.lex_state = 172},
  [1895] = {.lex_state = 0},
  [1896] = {.lex_state = 0},
  [1897] = {.lex_state = 0},
  [1898] = {.lex_state = 172},
  [1899] = {.lex_state = 0},
  [1900] = {.lex_state = 0},
  [1901] = {.lex_state = 0},
  [1902] = {.lex_state = 0},
  [1903] = {.lex_state = 0},
  [1904] = {.lex_state = 0},
  [1905] = {.lex_state = 0},
  [1906] = {.lex_state = 0},
  [1907] = {.lex_state = 0},
  [1908] = {.lex_state = 0},
  [1909] = {.lex_state = 0},
  [1910] = {.lex_state = 0},
  [1911] = {.lex_state = 147},
  [1912] = {.lex_state = 0},
  [1913] = {.lex_state = 0},
  [1914] = {.lex_state = 0},
  [1915] = {.lex_state = 0},
  [1916] = {.lex_state = 0},
  [1917] = {.lex_state = 0},
  [1918] = {.lex_state = 172},
  [1919] = {.lex_state = 172},
};

enum {
  ts_external_token_quoted_content = 0,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_quoted_content] = sym_quoted_content,
};

static const bool ts_external_scanner_states[2][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_quoted_content] = true,
  },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_module_comment] = ACTIONS(3),
    [sym_statement_comment] = ACTIONS(5),
    [sym_comment] = ACTIONS(5),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_erlang] = ACTIONS(1),
    [anon_sym_javascript] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_size] = ACTIONS(1),
    [anon_sym_fn] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_external] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT_DOT] = ACTIONS(1),
    [anon_sym_LT_EQ_DOT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_DOT] = ACTIONS(1),
    [anon_sym_GT_EQ_DOT] = ACTIONS(1),
    [anon_sym_PIPE_GT] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_PLUS_DOT] = ACTIONS(1),
    [anon_sym_DASH_DOT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_STAR_DOT] = ACTIONS(1),
    [anon_sym_SLASH_DOT] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_LT_GT] = ACTIONS(1),
    [anon_sym_todo] = ACTIONS(1),
    [anon_sym_panic] = ACTIONS(1),
    [anon_sym_echo] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_use] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [sym_visibility_modifier] = ACTIONS(1),
    [sym_opacity_modifier] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [aux_sym_escape_sequence_token1] = ACTIONS(1),
    [aux_sym_escape_sequence_token2] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [sym__hex] = ACTIONS(1),
    [sym__decimal] = ACTIONS(1),
    [sym__octal] = ACTIONS(1),
    [sym__binary] = ACTIONS(1),
    [anon_sym_binary] = ACTIONS(1),
    [anon_sym_bytes] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_bit_string] = ACTIONS(1),
    [anon_sym_bits] = ACTIONS(1),
    [anon_sym_utf8] = ACTIONS(1),
    [anon_sym_utf16] = ACTIONS(1),
    [anon_sym_utf32] = ACTIONS(1),
    [anon_sym_utf8_codepoint] = ACTIONS(1),
    [anon_sym_utf16_codepoint] = ACTIONS(1),
    [anon_sym_utf32_codepoint] = ACTIONS(1),
    [anon_sym_signed] = ACTIONS(1),
    [anon_sym_unsigned] = ACTIONS(1),
    [anon_sym_big] = ACTIONS(1),
    [anon_sym_little] = ACTIONS(1),
    [anon_sym_native] = ACTIONS(1),
    [anon_sym_unit] = ACTIONS(1),
    [sym__discard_name] = ACTIONS(1),
    [sym__name] = ACTIONS(1),
    [sym__upname] = ACTIONS(1),
    [sym_quoted_content] = ACTIONS(1),
  },
  [1] = {
    [sym_source_file] = STATE(1908),
    [sym__module_statement] = STATE(5),
    [sym_target_group] = STATE(5),
    [sym_attribute] = STATE(5),
    [sym_import] = STATE(5),
    [sym_constant] = STATE(5),
    [sym_external_type] = STATE(5),
    [sym_external_function] = STATE(5),
    [sym_function] = STATE(5),
    [aux_sym__statement_seq] = STATE(12),
    [sym__statement] = STATE(12),
    [sym__expression] = STATE(136),
    [sym_binary_expression] = STATE(136),
    [sym__expression_unit] = STATE(136),
    [sym_record] = STATE(126),
    [sym_todo] = STATE(136),
    [sym_panic] = STATE(136),
    [sym_echo] = STATE(136),
    [sym_tuple] = STATE(125),
    [sym_list] = STATE(136),
    [sym__expression_bit_string] = STATE(136),
    [sym_anonymous_function] = STATE(124),
    [sym_block] = STATE(62),
    [sym_case] = STATE(62),
    [sym_let_assert] = STATE(12),
    [sym_let] = STATE(12),
    [sym_use] = STATE(12),
    [sym_assert] = STATE(136),
    [sym_boolean_negation] = STATE(136),
    [sym_integer_negation] = STATE(136),
    [sym_record_update] = STATE(126),
    [sym__maybe_tuple_expression] = STATE(1907),
    [sym_tuple_access] = STATE(62),
    [sym__maybe_record_expression] = STATE(1906),
    [sym_field_access] = STATE(62),
    [sym__maybe_function_expression] = STATE(1639),
    [sym_function_call] = STATE(62),
    [sym_type_definition] = STATE(5),
    [sym_type_alias] = STATE(5),
    [sym_string] = STATE(136),
    [sym_integer] = STATE(136),
    [sym_identifier] = STATE(57),
    [sym_constructor_name] = STATE(39),
    [sym_remote_constructor_name] = STATE(39),
    [aux_sym_source_file_repeat1] = STATE(5),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_module_comment] = ACTIONS(3),
    [sym_statement_comment] = ACTIONS(5),
    [sym_comment] = ACTIONS(5),
    [anon_sym_if] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_type] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_fn] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_todo] = ACTIONS(33),
    [anon_sym_panic] = ACTIONS(35),
    [anon_sym_echo] = ACTIONS(37),
    [anon_sym_case] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(41),
    [anon_sym_assert] = ACTIONS(43),
    [anon_sym_use] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(47),
    [sym_visibility_modifier] = ACTIONS(49),
    [sym_opacity_modifier] = ACTIONS(51),
    [anon_sym_DQUOTE] = ACTIONS(53),
    [sym_float] = ACTIONS(55),
    [sym__hex] = ACTIONS(57),
    [sym__decimal] = ACTIONS(59),
    [sym__octal] = ACTIONS(57),
    [sym__binary] = ACTIONS(57),
    [sym__name] = ACTIONS(61),
    [sym__upname] = ACTIONS(63),
  },
  [2] = {
    [sym__expression] = STATE(132),
    [sym_binary_expression] = STATE(132),
    [sym__expression_unit] = STATE(132),
    [sym_record] = STATE(73),
    [sym_todo] = STATE(132),
    [sym_panic] = STATE(132),
    [sym_echo] = STATE(132),
    [sym_tuple] = STATE(50),
    [sym_list] = STATE(132),
    [sym__expression_bit_string] = STATE(132),
    [sym_anonymous_function] = STATE(72),
    [sym_block] = STATE(23),
    [sym_case] = STATE(23),
    [sym_assert] = STATE(132),
    [sym_boolean_negation] = STATE(132),
    [sym_integer_negation] = STATE(132),
    [sym_record_update] = STATE(73),
    [sym__maybe_tuple_expression] = STATE(1889),
    [sym_tuple_access] = STATE(23),
    [sym__maybe_record_expression] = STATE(1836),
    [sym_field_access] = STATE(23),
    [sym__maybe_function_expression] = STATE(1630),
    [sym_function_call] = STATE(23),
    [sym_string] = STATE(132),
    [sym_integer] = STATE(132),
    [sym_identifier] = STATE(15),
    [sym_constructor_name] = STATE(14),
    [sym_remote_constructor_name] = STATE(14),
    [ts_builtin_sym_end] = ACTIONS(65),
    [sym_module_comment] = ACTIONS(3),
    [sym_statement_comment] = ACTIONS(5),
    [sym_comment] = ACTIONS(5),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_import] = ACTIONS(67),
    [anon_sym_as] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_type] = ACTIONS(67),
    [anon_sym_const] = ACTIONS(67),
    [anon_sym_POUND] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT_LT] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_fn] = ACTIONS(67),
    [anon_sym_external] = ACTIONS(67),
    [anon_sym_PIPE_PIPE] = ACTIONS(65),
    [anon_sym_AMP_AMP] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT_DOT] = ACTIONS(65),
    [anon_sym_LT_EQ_DOT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(67),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_DOT] = ACTIONS(65),
    [anon_sym_GT_EQ_DOT] = ACTIONS(65),
    [anon_sym_PIPE_GT] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_PLUS_DOT] = ACTIONS(65),
    [anon_sym_DASH_DOT] = ACTIONS(65),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_STAR_DOT] = ACTIONS(65),
    [anon_sym_SLASH_DOT] = ACTIONS(65),
    [anon_sym_PERCENT] = ACTIONS(65),
    [anon_sym_LT_GT] = ACTIONS(65),
    [anon_sym_todo] = ACTIONS(67),
    [anon_sym_panic] = ACTIONS(67),
    [anon_sym_echo] = ACTIONS(67),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_let] = ACTIONS(67),
    [anon_sym_assert] = ACTIONS(67),
    [anon_sym_use] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [sym_visibility_modifier] = ACTIONS(67),
    [sym_opacity_modifier] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym__hex] = ACTIONS(65),
    [sym__decimal] = ACTIONS(67),
    [sym__octal] = ACTIONS(65),
    [sym__binary] = ACTIONS(65),
    [sym__name] = ACTIONS(67),
    [sym__upname] = ACTIONS(65),
  },
  [3] = {
    [sym__expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__expression_unit] = STATE(191),
    [sym_record] = STATE(126),
    [sym_todo] = STATE(191),
    [sym_panic] = STATE(191),
    [sym_echo] = STATE(191),
    [sym_tuple] = STATE(125),
    [sym_list] = STATE(191),
    [sym__expression_bit_string] = STATE(191),
    [sym_anonymous_function] = STATE(124),
    [sym_block] = STATE(62),
    [sym_case] = STATE(62),
    [sym_assert] = STATE(191),
    [sym_boolean_negation] = STATE(191),
    [sym_integer_negation] = STATE(191),
    [sym_record_update] = STATE(126),
    [sym__maybe_tuple_expression] = STATE(1907),
    [sym_tuple_access] = STATE(62),
    [sym__maybe_record_expression] = STATE(1906),
    [sym_field_access] = STATE(62),
    [sym__maybe_function_expression] = STATE(1639),
    [sym_function_call] = STATE(62),
    [sym_string] = STATE(191),
    [sym_integer] = STATE(191),
    [sym_identifier] = STATE(57),
    [sym_constructor_name] = STATE(39),
    [sym_remote_constructor_name] = STATE(39),
    [ts_builtin_sym_end] = ACTIONS(65),
    [sym_module_comment] = ACTIONS(3),
    [sym_statement_comment] = ACTIONS(5),
    [sym_comment] = ACTIONS(5),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_import] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_type] = ACTIONS(67),
    [anon_sym_const] = ACTIONS(67),
    [anon_sym_POUND] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT_LT] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_fn] = ACTIONS(67),
    [anon_sym_external] = ACTIONS(67),
    [anon_sym_PIPE_PIPE] = ACTIONS(65),
    [anon_sym_AMP_AMP] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT_DOT] = ACTIONS(65),
    [anon_sym_LT_EQ_DOT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(67),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_DOT] = ACTIONS(65),
    [anon_sym_GT_EQ_DOT] = ACTIONS(65),
    [anon_sym_PIPE_GT] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_PLUS_DOT] = ACTIONS(65),
    [anon_sym_DASH_DOT] = ACTIONS(65),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_STAR_DOT] = ACTIONS(65),
    [anon_sym_SLASH_DOT] = ACTIONS(65),
    [anon_sym_PERCENT] = ACTIONS(65),
    [anon_sym_LT_GT] = ACTIONS(65),
    [anon_sym_todo] = ACTIONS(67),
    [anon_sym_panic] = ACTIONS(67),
    [anon_sym_echo] = ACTIONS(67),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_let] = ACTIONS(67),
    [anon_sym_assert] = ACTIONS(67),
    [anon_sym_use] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [sym_visibility_modifier] = ACTIONS(67),
    [sym_opacity_modifier] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym__hex] = ACTIONS(65),
    [sym__decimal] = ACTIONS(67),
    [sym__octal] = ACTIONS(65),
    [sym__binary] = ACTIONS(65),
    [sym__name] = ACTIONS(67),
    [sym__upname] = ACTIONS(65),
  },
  [4] = {
    [sym__expression] = STATE(802),
    [sym_binary_expression] = STATE(802),
    [sym__expression_unit] = STATE(802),
    [sym_record] = STATE(699),
    [sym_todo] = STATE(802),
    [sym_panic] = STATE(802),
    [sym_echo] = STATE(802),
    [sym_tuple] = STATE(700),
    [sym_list] = STATE(802),
    [sym__expression_bit_string] = STATE(802),
    [sym_anonymous_function] = STATE(702),
    [sym_block] = STATE(651),
    [sym_case] = STATE(651),
    [sym_assert] = STATE(802),
    [sym_boolean_negation] = STATE(802),
    [sym_integer_negation] = STATE(802),
    [sym_record_update] = STATE(699),
    [sym__maybe_tuple_expression] = STATE(1917),
    [sym_tuple_access] = STATE(651),
    [sym__maybe_record_expression] = STATE(1823),
    [sym_field_access] = STATE(651),
    [sym__maybe_function_expression] = STATE(1767),
    [sym_function_call] = STATE(651),
    [sym_string] = STATE(802),
    [sym_integer] = STATE(802),
    [sym_identifier] = STATE(655),
    [sym_constructor_name] = STATE(650),
    [sym_remote_constructor_name] = STATE(650),
    [sym_module_comment] = ACTIONS(3),
    [sym_statement_comment] = ACTIONS(5),
    [sym_comment] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(69),
    [anon_sym_RBRACE] = ACTIONS(65),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_RPAREN] = ACTIONS(65),
    [anon_sym_COLON] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_POUND] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_RBRACK] = ACTIONS(65),
    [anon_sym_LT_LT] = ACTIONS(75),
    [anon_sym_GT_GT] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_fn] = ACTIONS(77),
    [anon_sym_PIPE_PIPE] = ACTIONS(65),
    [anon_sym_AMP_AMP] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT_DOT] = ACTIONS(65),
    [anon_sym_LT_EQ_DOT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(67),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_DOT] = ACTIONS(65),
    [anon_sym_GT_EQ_DOT] = ACTIONS(65),
    [anon_sym_PIPE_GT] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_PLUS_DOT] = ACTIONS(65),
    [anon_sym_DASH_DOT] = ACTIONS(65),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_STAR_DOT] = ACTIONS(65),
    [anon_sym_SLASH_DOT] = ACTIONS(65),
    [anon_sym_PERCENT] = ACTIONS(65),
    [anon_sym_LT_GT] = ACTIONS(65),
    [anon_sym_todo] = ACTIONS(79),
    [anon_sym_panic] = ACTIONS(81),
    [anon_sym_echo] = ACTIONS(83),
    [anon_sym_DOT_DOT] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_BANG] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_float] = ACTIONS(93),
    [sym__hex] = ACTIONS(95),
    [sym__decimal] = ACTIONS(97),
    [sym__octal] = ACTIONS(95),
    [sym__binary] = ACTIONS(95),
    [sym__name] = ACTIONS(99),
    [sym__upname] = ACTIONS(101),
  },
  [5] = {
    [sym__module_statement] = STATE(6),
    [sym_target_group] = STATE(6),
    [sym_attribute] = STATE(6),
    [sym_import] = STATE(6),
    [sym_constant] = STATE(6),
    [sym_external_type] = STATE(6),
    [sym_external_function] = STATE(6),
    [sym_function] = STATE(6),
    [aux_sym__statement_seq] = STATE(12),
    [sym__statement] = STATE(12),
    [sym__expression] = STATE(136),
    [sym_binary_expression] = STATE(136),
    [sym__expression_unit] = STATE(136),
    [sym_record] = STATE(126),
    [sym_todo] = STATE(136),
    [sym_panic] = STATE(136),
    [sym_echo] = STATE(136),
    [sym_tuple] = STATE(125),
    [sym_list] = STATE(136),
    [sym__expression_bit_string] = STATE(136),
    [sym_anonymous_function] = STATE(124),
    [sym_block] = STATE(62),
    [sym_case] = STATE(62),
    [sym_let_assert] = STATE(12),
    [sym_let] = STATE(12),
    [sym_use] = STATE(12),
    [sym_assert] = STATE(136),
    [sym_boolean_negation] = STATE(136),
    [sym_integer_negation] = STATE(136),
    [sym_record_update] = STATE(126),
    [sym__maybe_tuple_expression] = STATE(1907),
    [sym_tuple_access] = STATE(62),
    [sym__maybe_record_expression] = STATE(1906),
    [sym_field_access] = STATE(62),
    [sym__maybe_function_expression] = STATE(1639),
    [sym_function_call] = STATE(62),
    [sym_type_definition] = STATE(6),
    [sym_type_alias] = STATE(6),
    [sym_string] = STATE(136),
    [sym_integer] = STATE(136),
    [sym_identifier] = STATE(57),
    [sym_constructor_name] = STATE(39),
    [sym_remote_constructor_name] = STATE(39),
    [aux_sym_source_file_repeat1] = STATE(6),
    [ts_builtin_sym_end] = ACTIONS(103),
    [sym_module_comment] = ACTIONS(3),
    [sym_statement_comment] = ACTIONS(5),
    [sym_comment] = ACTIONS(5),
    [anon_sym_if] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_type] = ACTIONS(17),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_LT_LT] = ACTIONS(25),
    [anon_sym_DASH] = ACTIONS(27),
    [anon_sym_fn] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_todo] = ACTIONS(33),
    [anon_sym_panic] = ACTIONS(35),
    [anon_sym_echo] = ACTIONS(37),
    [anon_sym_case] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(41),
    [anon_sym_assert] = ACTIONS(43),
    [anon_sym_use] = ACTIONS(45),
    [anon_sym_BANG] = ACTIONS(47),
    [sym_visibility_modifier] = ACTIONS(49),
    [sym_opacity_modifier] = ACTIONS(51),
    [anon_sym_DQUOTE] = ACTIONS(53),
    [sym_float] = ACTIONS(55),
    [sym__hex] = ACTIONS(57),
    [sym__decimal] = ACTIONS(59),
    [sym__octal] = ACTIONS(57),
    [sym__binary] = ACTIONS(57),
    [sym__name] = ACTIONS(61),
    [sym__upname] = ACTIONS(63),
  },
  [6] = {
    [sym__module_statement] = STATE(6),
    [sym_target_group] = STATE(6),
    [sym_attribute] = STATE(6),
    [sym_import] = STATE(6),
    [sym_constant] = STATE(6),
    [sym_external_type] = STATE(6),
    [sym_external_function] = STATE(6),
    [sym_function] = STATE(6),
    [aux_sym__statement_seq] = STATE(12),
    [sym__statement] = STATE(12),
    [sym__expression] = STATE(136),
    [sym_binary_expression] = STATE(136),
    [sym__expression_unit] = STATE(136),
    [sym_record] = STATE(126),
    [sym_todo] = STATE(136),
    [sym_panic] = STATE(136),
    [sym_echo] = STATE(136),
    [sym_tuple] = STATE(125),
    [sym_list] = STATE(136),
    [sym__expression_bit_string] = STATE(136),
    [sym_anonymous_function] = STATE(124),
    [sym_block] = STATE(62),
    [sym_case] = STATE(62),
    [sym_let_assert] = STATE(12),
    [sym_let] = STATE(12),
    [sym_use] = STATE(12),
    [sym_assert] = STATE(136),
    [sym_boolean_negation] = STATE(136),
    [sym_integer_negation] = STATE(136),
    [sym_record_update] = STATE(126),
    [sym__maybe_tuple_expression] = STATE(1907),
    [sym_tuple_access] = STATE(62),
    [sym__maybe_record_expression] = STATE(1906),
    [sym_field_access] = STATE(62),
    [sym__maybe_function_expression] = STATE(1639),
    [sym_function_call] = STATE(62),
    [sym_type_definition] = STATE(6),
    [sym_type_alias] = STATE(6),
    [sym_string] = STATE(136),
    [sym_integer] = STATE(136),
    [sym_identifier] = STATE(57),
    [sym_constructor_name] = STATE(39),
    [sym_remote_constructor_name] = STATE(39),
    [aux_sym_source_file_repeat1] = STATE(6),
    [ts_builtin_sym_end] = ACTIONS(105),
    [sym_module_comment] = ACTIONS(3),
    [sym_statement_comment] = ACTIONS(5),
    [sym_comment] = ACTIONS(5),
    [anon_sym_if] = ACTIONS(107),
    [anon_sym_LBRACE] = ACTIONS(110),
    [anon_sym_AT] = ACTIONS(113),
    [anon_sym_import] = ACTIONS(116),
    [anon_sym_type] = ACTIONS(119),
    [anon_sym_const] = ACTIONS(122),
    [anon_sym_POUND] = ACTIONS(125),
    [anon_sym_LBRACK] = ACTIONS(128),
    [anon_sym_LT_LT] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(134),
    [anon_sym_fn] = ACTIONS(137),
    [anon_sym_external] = ACTIONS(140),
    [anon_sym_todo] = ACTIONS(143),
    [anon_sym_panic] = ACTIONS(146),
    [anon_sym_echo] = ACTIONS(149),
    [anon_sym_case] = ACTIONS(152),
    [anon_sym_let] = ACTIONS(155),
    [anon_sym_assert] = ACTIONS(158),
    [anon_sym_use] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(164),
    [sym_visibility_modifier] = ACTIONS(167),
    [sym_opacity_modifier] = ACTIONS(170),
    [anon_sym_DQUOTE] = ACTIONS(173),
    [sym_float] = ACTIONS(176),
    [sym__hex] = ACTIONS(179),
    [sym__decimal] = ACTIONS(182),
    [sym__octal] = ACTIONS(179),
    [sym__binary] = ACTIONS(179),
    [sym__name] = ACTIONS(185),
    [sym__upname] = ACTIONS(188),
  },
  [7] = {
    [sym__expression] = STATE(514),
    [sym_binary_expression] = STATE(514),
    [sym__expression_unit] = STATE(514),
    [sym_record] = STATE(477),
    [sym_todo] = STATE(514),
    [sym_panic] = STATE(514),
    [sym_echo] = STATE(514),
    [sym_tuple] = STATE(476),
    [sym_list] = STATE(514),
    [sym__expression_bit_string] = STATE(514),
    [sym_anonymous_function] = STATE(475),
    [sym_block] = STATE(427),
    [sym_case] = STATE(427),
    [sym_assert] = STATE(514),
    [sym_boolean_negation] = STATE(514),
    [sym_integer_negation] = STATE(514),
    [sym_record_update] = STATE(477),
    [sym__maybe_tuple_expression] = STATE(1859),
    [sym_tuple_access] = STATE(427),
    [sym__maybe_record_expression] = STATE(1847),
    [sym_field_access] = STATE(427),
    [sym__maybe_function_expression] = STATE(1652),
    [sym_function_call] = STATE(427),
    [sym_string] = STATE(514),
    [sym_integer] = STATE(514),
    [sym_identifier] = STATE(428),
    [sym_constructor_name] = STATE(244),
    [sym_remote_constructor_name] = STATE(244),
    [sym_module_comment] = ACTIONS(3),
    [sym_statement_comment] = ACTIONS(5),
    [sym_comment] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(65),
    [anon_sym_as] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_POUND] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT_LT] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_fn] = ACTIONS(67),
    [anon_sym_PIPE_PIPE] = ACTIONS(65),
    [anon_sym_AMP_AMP] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT_DOT] = ACTIONS(65),
    [anon_sym_LT_EQ_DOT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(67),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_DOT] = ACTIONS(65),
    [anon_sym_GT_EQ_DOT] = ACTIONS(65),
    [anon_sym_PIPE_GT] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_PLUS_DOT] = ACTIONS(65),
    [anon_sym_DASH_DOT] = ACTIONS(65),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_STAR_DOT] = ACTIONS(65),
    [anon_sym_SLASH_DOT] = ACTIONS(65),
    [anon_sym_PERCENT] = ACTIONS(65),
    [anon_sym_LT_GT] = ACTIONS(65),
    [anon_sym_todo] = ACTIONS(67),
    [anon_sym_panic] = ACTIONS(67),
    [anon_sym_echo] = ACTIONS(67),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_let] = ACTIONS(67),
    [anon_sym_assert] = ACTIONS(67),
    [anon_sym_use] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym__hex] = ACTIONS(65),
    [sym__decimal] = ACTIONS(67),
    [sym__octal] = ACTIONS(65),
    [sym__binary] = ACTIONS(65),
    [sym__name] = ACTIONS(67),
    [sym__upname] = ACTIONS(65),
  },
  [8] = {
    [sym__expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym__expression_unit] = STATE(547),
    [sym_record] = STATE(232),
    [sym_todo] = STATE(547),
    [sym_panic] = STATE(547),
    [sym_echo] = STATE(547),
    [sym_tuple] = STATE(233),
    [sym_list] = STATE(547),
    [sym__expression_bit_string] = STATE(547),
    [sym_anonymous_function] = STATE(234),
    [sym_block] = STATE(228),
    [sym_case] = STATE(228),
    [sym_assert] = STATE(547),
    [sym_boolean_negation] = STATE(547),
    [sym_integer_negation] = STATE(547),
    [sym_record_update] = STATE(232),
    [sym__maybe_tuple_expression] = STATE(1866),
    [sym_tuple_access] = STATE(228),
    [sym__maybe_record_expression] = STATE(1781),
    [sym_field_access] = STATE(228),
    [sym__maybe_function_expression] = STATE(1676),
    [sym_function_call] = STATE(228),
    [sym_string] = STATE(547),
    [sym_integer] = STATE(547),
    [sym_identifier] = STATE(203),
    [sym_constructor_name] = STATE(198),
    [sym_remote_constructor_name] = STATE(198),
    [sym_module_comment] = ACTIONS(3),
    [sym_statement_comment] = ACTIONS(5),
    [sym_comment] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_POUND] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT_LT] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_fn] = ACTIONS(67),
    [anon_sym_PIPE_PIPE] = ACTIONS(65),
    [anon_sym_AMP_AMP] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT_DOT] = ACTIONS(65),
    [anon_sym_LT_EQ_DOT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(67),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_DOT] = ACTIONS(65),
    [anon_sym_GT_EQ_DOT] = ACTIONS(65),
    [anon_sym_PIPE_GT] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_PLUS_DOT] = ACTIONS(65),
    [anon_sym_DASH_DOT] = ACTIONS(65),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_STAR_DOT] = ACTIONS(65),
    [anon_sym_SLASH_DOT] = ACTIONS(65),
    [anon_sym_PERCENT] = ACTIONS(65),
    [anon_sym_LT_GT] = ACTIONS(65),
    [anon_sym_todo] = ACTIONS(67),
    [anon_sym_panic] = ACTIONS(67),
    [anon_sym_echo] = ACTIONS(67),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_let] = ACTIONS(67),
    [anon_sym_assert] = ACTIONS(67),
    [anon_sym_use] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym__hex] = ACTIONS(65),
    [sym__decimal] = ACTIONS(67),
    [sym__octal] = ACTIONS(65),
    [sym__binary] = ACTIONS(65),
    [sym__name] = ACTIONS(67),
    [sym__upname] = ACTIONS(65),
  },
  [9] = {
    [sym__expression] = STATE(609),
    [sym_binary_expression] = STATE(609),
    [sym__expression_unit] = STATE(609),
    [sym_record] = STATE(591),
    [sym_todo] = STATE(609),
    [sym_panic] = STATE(609),
    [sym_echo] = STATE(609),
    [sym_tuple] = STATE(588),
    [sym_list] = STATE(609),
    [sym__expression_bit_string] = STATE(609),
    [sym_anonymous_function] = STATE(592),
    [sym_block] = STATE(564),
    [sym_case] = STATE(564),
    [sym_assert] = STATE(609),
    [sym_boolean_negation] = STATE(609),
    [sym_integer_negation] = STATE(609),
    [sym_record_update] = STATE(591),
    [sym__maybe_tuple_expression] = STATE(1819),
    [sym_tuple_access] = STATE(564),
    [sym__maybe_record_expression] = STATE(1858),
    [sym_field_access] = STATE(564),
    [sym__maybe_function_expression] = STATE(1695),
    [sym_function_call] = STATE(564),
    [sym_string] = STATE(609),
    [sym_integer] = STATE(609),
    [sym_identifier] = STATE(566),
    [sym_constructor_name] = STATE(559),
    [sym_remote_constructor_name] = STATE(559),
    [sym_module_comment] = ACTIONS(3),
    [sym_statement_comment] = ACTIONS(5),
    [sym_comment] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(191),
    [anon_sym_RBRACE] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_POUND] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(65),
    [anon_sym_LT_LT] = ACTIONS(65),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_fn] = ACTIONS(193),
    [anon_sym_PIPE_PIPE] = ACTIONS(65),
    [anon_sym_AMP_AMP] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT_DOT] = ACTIONS(65),
    [anon_sym_LT_EQ_DOT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(67),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_DOT] = ACTIONS(65),
    [anon_sym_GT_EQ_DOT] = ACTIONS(65),
    [anon_sym_PIPE_GT] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_PLUS_DOT] = ACTIONS(65),
    [anon_sym_DASH_DOT] = ACTIONS(65),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_STAR_DOT] = ACTIONS(65),
    [anon_sym_SLASH_DOT] = ACTIONS(65),
    [anon_sym_PERCENT] = ACTIONS(65),
    [anon_sym_LT_GT] = ACTIONS(65),
    [anon_sym_todo] = ACTIONS(195),
    [anon_sym_panic] = ACTIONS(197),
    [anon_sym_echo] = ACTIONS(199),
    [anon_sym_case] = ACTIONS(201),
    [anon_sym_assert] = ACTIONS(203),
    [anon_sym_BANG] = ACTIONS(205),
    [anon_sym_DQUOTE] = ACTIONS(65),
    [sym_float] = ACTIONS(65),
    [sym__hex] = ACTIONS(65),
    [sym__decimal] = ACTIONS(67),
    [sym__octal] = ACTIONS(65),
    [sym__binary] = ACTIONS(65),
    [sym__discard_name] = ACTIONS(67),
    [sym__name] = ACTIONS(67),
    [sym__upname] = ACTIONS(65),
  },
  [10] = {
    [sym__expression] = STATE(927),
    [sym_binary_expression] = STATE(927),
    [sym__expression_unit] = STATE(927),
    [sym_record] = STATE(699),
    [sym_todo] = STATE(927),
    [sym_panic] = STATE(927),
    [sym_echo] = STATE(927),
    [sym_tuple] = STATE(700),
    [sym_list] = STATE(927),
    [sym__expression_bit_string] = STATE(927),
    [sym_anonymous_function] = STATE(702),
    [sym_block] = STATE(651),
    [sym_case] = STATE(651),
    [sym_assert] = STATE(927),
    [sym_boolean_negation] = STATE(927),
    [sym_integer_negation] = STATE(927),
    [sym_record_update] = STATE(699),
    [sym__maybe_tuple_expression] = STATE(1917),
    [sym_tuple_access] = STATE(651),
    [sym__maybe_record_expression] = STATE(1823),
    [sym_field_access] = STATE(651),
    [sym__maybe_function_expression] = STATE(1767),
    [sym_function_call] = STATE(651),
    [sym_string] = STATE(927),
    [sym_integer] = STATE(927),
    [sym_identifier] = STATE(655),
    [sym_constructor_name] = STATE(650),
    [sym_remote_constructor_name] = STATE(650),
    [sym_module_comment] = ACTIONS(3),
    [sym_statement_comment] = ACTIONS(5),
    [sym_comment] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_POUND] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_LT_LT] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_fn] = ACTIONS(77),
    [anon_sym_PIPE_PIPE] = ACTIONS(65),
    [anon_sym_AMP_AMP] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT_DOT] = ACTIONS(65),
    [anon_sym_LT_EQ_DOT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(67),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_DOT] = ACTIONS(65),
    [anon_sym_GT_EQ_DOT] = ACTIONS(65),
    [anon_sym_PIPE_GT] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_PLUS_DOT] = ACTIONS(65),
    [anon_sym_DASH_DOT] = ACTIONS(65),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_STAR_DOT] = ACTIONS(65),
    [anon_sym_SLASH_DOT] = ACTIONS(65),
    [anon_sym_PERCENT] = ACTIONS(65),
    [anon_sym_LT_GT] = ACTIONS(65),
    [anon_sym_todo] = ACTIONS(207),
    [anon_sym_panic] = ACTIONS(209),
    [anon_sym_echo] = ACTIONS(211),
    [anon_sym_case] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(213),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(91),
    [sym_float] = ACTIONS(217),
    [sym__hex] = ACTIONS(95),
    [sym__decimal] = ACTIONS(97),
    [sym__octal] = ACTIONS(95),
    [sym__binary] = ACTIONS(95),
    [sym__name] = ACTIONS(99),
    [sym__upname] = ACTIONS(101),
  },
  [11] = {
    [sym__expression] = STATE(1046),
    [sym_binary_expression] = STATE(1046),
    [sym__expression_unit] = STATE(1046),
    [sym_record] = STATE(938),
    [sym_todo] = STATE(1046),
    [sym_panic] = STATE(1046),
    [sym_echo] = STATE(1046),
    [sym_tuple] = STATE(935),
    [sym_list] = STATE(1046),
    [sym__expression_bit_string] = STATE(1046),
    [sym_anonymous_function] = STATE(931),
    [sym_block] = STATE(908),
    [sym_case] = STATE(908),
    [sym_assert] = STATE(1046),
    [sym_boolean_negation] = STATE(1046),
    [sym_integer_negation] = STATE(1046),
    [sym_record_update] = STATE(938),
    [sym__maybe_tuple_expression] = STATE(1790),
    [sym_tuple_access] = STATE(908),
    [sym__maybe_record_expression] = STATE(1869),
    [sym_field_access] = STATE(908),
    [sym__maybe_function_expression] = STATE(1738),
    [sym_function_call] = STATE(908),
    [sym_string] = STATE(1046),
    [sym_integer] = STATE(1046),
    [sym_identifier] = STATE(910),
    [sym_constructor_name] = STATE(853),
    [sym_remote_constructor_name] = STATE(853),
    [sym_module_comment] = ACTIONS(3),
    [sym_statement_comment] = ACTIONS(5),
    [sym_comment] = ACTIONS(5),
    [anon_sym_LBRACE] = ACTIONS(219),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_POUND] = ACTIONS(221),
    [anon_sym_LBRACK] = ACTIONS(223),
    [anon_sym_LT_LT] = ACTIONS(225),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_fn] = ACTIONS(227),
    [anon_sym_DASH_GT] = ACTIONS(65),
    [anon_sym_PIPE_PIPE] = ACTIONS(65),
    [anon_sym_AMP_AMP] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT_DOT] = ACTIONS(65),
    [anon_sym_LT_EQ_DOT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(67),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_GT_DOT] = ACTIONS(65),
    [anon_sym_GT_EQ_DOT] = ACTIONS(65),
    [anon_sym_PIPE_GT] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_PLUS_DOT] = ACTIONS(65),
    [anon_sym_DASH_DOT] = ACTIONS(65),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_STAR_DOT] = ACTIONS(65),
    [anon_sym_SLASH_DOT] = ACTIONS(65),
    [anon_sym_PERCENT] = ACTIONS(65),
    [anon_sym_LT_GT] = ACTIONS(65),
    [anon_sym_todo] = ACTIONS(229),
    [anon_sym_panic] = ACTIONS(231),
    [anon_sym_echo] = ACTIONS(233),
    [anon_sym_case] = ACTIONS(235),
    [anon_sym_assert] = ACTIONS(237),
    [anon_sym_BANG] = ACTIONS(239),
    [anon_sym_DQUOTE] = ACTIONS(241),
    [sym_float] = ACTIONS(243),
    [sym__hex] = ACTIONS(245),
    [sym__decimal] = ACTIONS(247),
    [sym__octal] = ACTIONS(245),
    [sym__binary] = ACTIONS(245),
    [sym__name] = ACTIONS(249),
    [sym__upname] = ACTIONS(251),
  },
  [12] = {
    [aux_sym__statement_seq] = STATE(13),
    [sym__statement] = STATE(13),
    [sym__expression] = STATE(136),
    [sym_binary_expression] = STATE(136),
    [sym__expression_unit] = STATE(136),
    [sym_record] = STATE(126),
    [sym_todo] = STATE(136),
    [sym_panic] = STATE(136),
    [sym_echo] = STATE(136),
    [sym_tuple] = STATE(125),
    [sym_list] = STATE(136),
    [sym__expression_bit_string] = STATE(136),
    [sym_anonymous_function] = STATE(124),
    [sym_block] = STATE(62),
    [sym_case] = STATE(62),
    [sym_let_assert] = STATE(13),
    [sym_let] = STATE(13),
    [sym_use] = STATE(13),
    [sym_assert] = STATE(136),
    [sym_boolean_negation] = STATE(136),
    [sym_integer_negation] = STATE(136),
    [sym_record_update] = STATE(126),
    [sym__maybe_tuple_expression] = STATE(1907),
    [sym_tuple_access] = STATE(62),
    [sym__maybe_record_expression] = STATE(1906),
    [sym_field_access] = STATE(62),
    [sym__maybe_function_expression] = STATE(1639),
    [sym_function_call] = STATE(62),
    [sym_string] = STATE(136),
    [sym_integer] = STATE(136),
    [sym_identifier] = STATE(57),
    [sym_constructor_name] = STATE(39),
    [sym_remote_constructor_name] = STATE(39),
    [ts_builtin_sym_end] = ACTIONS(253),
    [sym_module_comment] = ACTIONS(3),
    [sym_statement_comment] = ACTIONS(5),
    [sym_comment] = ACTIONS(5),
    [anon_sym_if] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(257),
    [anon_sym_AT] = ACTIONS(253),
    [anon_sym_import] = ACTIONS(255),
    [anon_sym_type] = ACTIONS(255),
    [anon_sym_const] = ACTIONS(255),
    [anon_sym_POUND] = ACTIONS(260),
    [anon_sym_LBRACK] = ACTIONS(263),
    [anon_sym_LT_LT] = ACTIONS(266),
    [anon_sym_DASH] = ACTIONS(269),
    [anon_sym_fn] = ACTIONS(272),
    [anon_sym_external] = ACTIONS(255),
    [anon_sym_todo] = ACTIONS(275),
    [anon_sym_panic] = ACTIONS(278),
    [anon_sym_echo] = ACTIONS(281),
    [anon_sym_case] = ACTIONS(284),
    [anon_sym_let] = ACTIONS(287),
    [anon_sym_assert] = ACTIONS(290),
    [anon_sym_use] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(296),
    [sym_visibility_modifier] = ACTIONS(255),
    [sym_opacity_modifier] = ACTIONS(255),
    [anon_sym_DQUOTE] = ACTIONS(299),
    [sym_float] = ACTIONS(302),
    [sym__hex] = ACTIONS(305),
    [sym__decimal] = ACTIONS(308),
    [sym__octal] = ACTIONS(305),
    [sym__binary] = ACTIONS(305),
    [sym__name] = ACTIONS(311),
    [sym__upname] = ACTIONS(314),
  },
  [13] = {
    [aux_sym__statement_seq] = STATE(13),
    [sym__statement] = STATE(13),
    [sym__expression] = STATE(136),
    [sym_binary_expression] = STATE(136),
    [sym__expression_unit] = STATE(136),
    [sym_record] = STATE(126),
    [sym_todo] = STATE(136),
    [sym_panic] = STATE(136),
    [sym_echo] = STATE(136),
    [sym_tuple] = STATE(125),
    [sym_list] = STATE(136),
    [sym__expression_bit_string] = STATE(136),
    [sym_anonymous_function] = STATE(124),
    [sym_block] = STATE(62),
    [sym_case] = STATE(62),
    [sym_let_assert] = STATE(13),
    [sym_let] = STATE(13),
    [sym_use] = STATE(13),
    [sym_assert] = STATE(136),
    [sym_boolean_negation] = STATE(136),
    [sym_integer_negation] = STATE(136),
    [sym_record_update] = STATE(126),
    [sym__maybe_tuple_expression] = STATE(1907),
    [sym_tuple_access] = STATE(62),
    [sym__maybe_record_expression] = STATE(1906),
    [sym_field_access] = STATE(62),
    [sym__maybe_function_expression] = STATE(1639),
    [sym_function_call] = STATE(62),
    [sym_string] = STATE(136),
    [sym_integer] = STATE(136),
    [sym_identifier] = STATE(57),
    [sym_constructor_name] = STATE(39),
    [sym_remote_constructor_name] = STATE(39),
    [ts_builtin_sym_end] = ACTIONS(317),
    [sym_module_comment] = ACTIONS(3),
    [sym_statement_comment] = ACTIONS(5),
    [sym_comment] = ACTIONS(5),
    [anon_sym_if] = ACTIONS(319),
    [anon_sym_LBRACE] = ACTIONS(321),
    [anon_sym_AT] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_type] = ACTIONS(319),
    [anon_sym_const] = ACTIONS(319),
    [anon_sym_POUND] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(327),
    [anon_sym_LT_LT] = ACTIONS(330),
    [anon_sym_DASH] = ACTIONS(333),
    [anon_sym_fn] = ACTIONS(336),
    [anon_sym_external] = ACTIONS(319),
    [anon_sym_todo] = ACTIONS(339),
    [anon_sym_panic] = ACTIONS(342),
    [anon_sym_echo] = ACTIONS(345),
    [anon_sym_case] = ACTIONS(348),
    [anon_sym_let] = ACTIONS(351),
    [anon_sym_assert] = ACTIONS(354),
    [anon_sym_use] = ACTIONS(357),
    [anon_sym_BANG] = ACTIONS(360),
    [sym_visibility_modifier] = ACTIONS(319),
    [sym_opacity_modifier] = ACTIONS(319),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [sym_float] = ACTIONS(366),
    [sym__hex] = ACTIONS(369),
    [sym__decimal] = ACTIONS(372),
    [sym__octal] = ACTIONS(369),
    [sym__binary] = ACTIONS(369),
    [sym__name] = ACTIONS(375),
    [sym__upname] = ACTIONS(378),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(385), 1,
      anon_sym_LPAREN,
    STATE(63), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(383), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(381), 28,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [73] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN,
    ACTIONS(393), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(387), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(389), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [145] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(399), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(397), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [213] = 34,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(317), 1,
      anon_sym_RBRACE,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    ACTIONS(404), 1,
      anon_sym_POUND,
    ACTIONS(407), 1,
      anon_sym_LBRACK,
    ACTIONS(410), 1,
      anon_sym_LT_LT,
    ACTIONS(413), 1,
      anon_sym_DASH,
    ACTIONS(416), 1,
      anon_sym_fn,
    ACTIONS(419), 1,
      anon_sym_todo,
    ACTIONS(422), 1,
      anon_sym_panic,
    ACTIONS(425), 1,
      anon_sym_echo,
    ACTIONS(428), 1,
      anon_sym_case,
    ACTIONS(431), 1,
      anon_sym_let,
    ACTIONS(434), 1,
      anon_sym_assert,
    ACTIONS(437), 1,
      anon_sym_use,
    ACTIONS(440), 1,
      anon_sym_BANG,
    ACTIONS(443), 1,
      anon_sym_DQUOTE,
    ACTIONS(446), 1,
      sym_float,
    ACTIONS(452), 1,
      sym__decimal,
    ACTIONS(455), 1,
      sym__name,
    ACTIONS(458), 1,
      sym__upname,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1866), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(449), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(17), 5,
      aux_sym__statement_seq,
      sym__statement,
      sym_let_assert,
      sym_let,
      sym_use,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(544), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [341] = 34,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(463), 1,
      anon_sym_RBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(471), 1,
      anon_sym_DASH,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(475), 1,
      anon_sym_todo,
    ACTIONS(477), 1,
      anon_sym_panic,
    ACTIONS(479), 1,
      anon_sym_echo,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(483), 1,
      anon_sym_let,
    ACTIONS(485), 1,
      anon_sym_assert,
    ACTIONS(487), 1,
      anon_sym_use,
    ACTIONS(489), 1,
      anon_sym_BANG,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(493), 1,
      sym_float,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1866), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(17), 5,
      aux_sym__statement_seq,
      sym__statement,
      sym_let_assert,
      sym_let,
      sym_use,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(544), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [469] = 34,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(471), 1,
      anon_sym_DASH,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(475), 1,
      anon_sym_todo,
    ACTIONS(477), 1,
      anon_sym_panic,
    ACTIONS(479), 1,
      anon_sym_echo,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(483), 1,
      anon_sym_let,
    ACTIONS(485), 1,
      anon_sym_assert,
    ACTIONS(487), 1,
      anon_sym_use,
    ACTIONS(489), 1,
      anon_sym_BANG,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(493), 1,
      sym_float,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(503), 1,
      anon_sym_RBRACE,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1866), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(29), 5,
      aux_sym__statement_seq,
      sym__statement,
      sym_let_assert,
      sym_let,
      sym_use,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(544), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [597] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(507), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(505), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [665] = 34,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(471), 1,
      anon_sym_DASH,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(475), 1,
      anon_sym_todo,
    ACTIONS(477), 1,
      anon_sym_panic,
    ACTIONS(479), 1,
      anon_sym_echo,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(483), 1,
      anon_sym_let,
    ACTIONS(485), 1,
      anon_sym_assert,
    ACTIONS(487), 1,
      anon_sym_use,
    ACTIONS(489), 1,
      anon_sym_BANG,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(493), 1,
      sym_float,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(509), 1,
      anon_sym_RBRACE,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1866), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(18), 5,
      aux_sym__statement_seq,
      sym__statement,
      sym_let_assert,
      sym_let,
      sym_use,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(544), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [793] = 34,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(471), 1,
      anon_sym_DASH,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(475), 1,
      anon_sym_todo,
    ACTIONS(477), 1,
      anon_sym_panic,
    ACTIONS(479), 1,
      anon_sym_echo,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(483), 1,
      anon_sym_let,
    ACTIONS(485), 1,
      anon_sym_assert,
    ACTIONS(487), 1,
      anon_sym_use,
    ACTIONS(489), 1,
      anon_sym_BANG,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(493), 1,
      sym_float,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(511), 1,
      anon_sym_RBRACE,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1866), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(17), 5,
      aux_sym__statement_seq,
      sym__statement,
      sym_let_assert,
      sym_let,
      sym_use,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(544), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [921] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(387), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(389), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [993] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(518), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(516), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [1061] = 34,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(471), 1,
      anon_sym_DASH,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(475), 1,
      anon_sym_todo,
    ACTIONS(477), 1,
      anon_sym_panic,
    ACTIONS(479), 1,
      anon_sym_echo,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(483), 1,
      anon_sym_let,
    ACTIONS(485), 1,
      anon_sym_assert,
    ACTIONS(487), 1,
      anon_sym_use,
    ACTIONS(489), 1,
      anon_sym_BANG,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(493), 1,
      sym_float,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(520), 1,
      anon_sym_RBRACE,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1866), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(26), 5,
      aux_sym__statement_seq,
      sym__statement,
      sym_let_assert,
      sym_let,
      sym_use,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(544), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [1189] = 34,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(471), 1,
      anon_sym_DASH,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(475), 1,
      anon_sym_todo,
    ACTIONS(477), 1,
      anon_sym_panic,
    ACTIONS(479), 1,
      anon_sym_echo,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(483), 1,
      anon_sym_let,
    ACTIONS(485), 1,
      anon_sym_assert,
    ACTIONS(487), 1,
      anon_sym_use,
    ACTIONS(489), 1,
      anon_sym_BANG,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(493), 1,
      sym_float,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(522), 1,
      anon_sym_RBRACE,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1866), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(17), 5,
      aux_sym__statement_seq,
      sym__statement,
      sym_let_assert,
      sym_let,
      sym_use,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(544), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [1317] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(526), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(524), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [1385] = 34,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(471), 1,
      anon_sym_DASH,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(475), 1,
      anon_sym_todo,
    ACTIONS(477), 1,
      anon_sym_panic,
    ACTIONS(479), 1,
      anon_sym_echo,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(483), 1,
      anon_sym_let,
    ACTIONS(485), 1,
      anon_sym_assert,
    ACTIONS(487), 1,
      anon_sym_use,
    ACTIONS(489), 1,
      anon_sym_BANG,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(493), 1,
      sym_float,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(528), 1,
      anon_sym_RBRACE,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1866), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(44), 5,
      aux_sym__statement_seq,
      sym__statement,
      sym_let_assert,
      sym_let,
      sym_use,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(544), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [1513] = 34,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(471), 1,
      anon_sym_DASH,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(475), 1,
      anon_sym_todo,
    ACTIONS(477), 1,
      anon_sym_panic,
    ACTIONS(479), 1,
      anon_sym_echo,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(483), 1,
      anon_sym_let,
    ACTIONS(485), 1,
      anon_sym_assert,
    ACTIONS(487), 1,
      anon_sym_use,
    ACTIONS(489), 1,
      anon_sym_BANG,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(493), 1,
      sym_float,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(530), 1,
      anon_sym_RBRACE,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1866), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(17), 5,
      aux_sym__statement_seq,
      sym__statement,
      sym_let_assert,
      sym_let,
      sym_use,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(544), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [1641] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(534), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(532), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [1709] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(538), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(536), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [1777] = 34,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(471), 1,
      anon_sym_DASH,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(475), 1,
      anon_sym_todo,
    ACTIONS(477), 1,
      anon_sym_panic,
    ACTIONS(479), 1,
      anon_sym_echo,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(483), 1,
      anon_sym_let,
    ACTIONS(485), 1,
      anon_sym_assert,
    ACTIONS(487), 1,
      anon_sym_use,
    ACTIONS(489), 1,
      anon_sym_BANG,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(493), 1,
      sym_float,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(540), 1,
      anon_sym_RBRACE,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1866), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(22), 5,
      aux_sym__statement_seq,
      sym__statement,
      sym_let_assert,
      sym_let,
      sym_use,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(544), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [1905] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(544), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(542), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [1973] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(548), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(546), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [2041] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(552), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(550), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [2109] = 34,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(471), 1,
      anon_sym_DASH,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(475), 1,
      anon_sym_todo,
    ACTIONS(477), 1,
      anon_sym_panic,
    ACTIONS(479), 1,
      anon_sym_echo,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(483), 1,
      anon_sym_let,
    ACTIONS(485), 1,
      anon_sym_assert,
    ACTIONS(487), 1,
      anon_sym_use,
    ACTIONS(489), 1,
      anon_sym_BANG,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(493), 1,
      sym_float,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(554), 1,
      anon_sym_RBRACE,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1866), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(17), 5,
      aux_sym__statement_seq,
      sym__statement,
      sym_let_assert,
      sym_let,
      sym_use,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(544), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [2237] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(558), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(556), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [2305] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(562), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(560), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [2373] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(564), 1,
      anon_sym_LPAREN,
    STATE(121), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(383), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(381), 28,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [2445] = 34,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(471), 1,
      anon_sym_DASH,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(475), 1,
      anon_sym_todo,
    ACTIONS(477), 1,
      anon_sym_panic,
    ACTIONS(479), 1,
      anon_sym_echo,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(483), 1,
      anon_sym_let,
    ACTIONS(485), 1,
      anon_sym_assert,
    ACTIONS(487), 1,
      anon_sym_use,
    ACTIONS(489), 1,
      anon_sym_BANG,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(493), 1,
      sym_float,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(566), 1,
      anon_sym_RBRACE,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1866), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(43), 5,
      aux_sym__statement_seq,
      sym__statement,
      sym_let_assert,
      sym_let,
      sym_use,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(544), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [2573] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(570), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(568), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [2641] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(574), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(572), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [2709] = 34,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(471), 1,
      anon_sym_DASH,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(475), 1,
      anon_sym_todo,
    ACTIONS(477), 1,
      anon_sym_panic,
    ACTIONS(479), 1,
      anon_sym_echo,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(483), 1,
      anon_sym_let,
    ACTIONS(485), 1,
      anon_sym_assert,
    ACTIONS(487), 1,
      anon_sym_use,
    ACTIONS(489), 1,
      anon_sym_BANG,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(493), 1,
      sym_float,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(576), 1,
      anon_sym_RBRACE,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1866), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(17), 5,
      aux_sym__statement_seq,
      sym__statement,
      sym_let_assert,
      sym_let,
      sym_use,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(544), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [2837] = 34,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(471), 1,
      anon_sym_DASH,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(475), 1,
      anon_sym_todo,
    ACTIONS(477), 1,
      anon_sym_panic,
    ACTIONS(479), 1,
      anon_sym_echo,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(483), 1,
      anon_sym_let,
    ACTIONS(485), 1,
      anon_sym_assert,
    ACTIONS(487), 1,
      anon_sym_use,
    ACTIONS(489), 1,
      anon_sym_BANG,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(493), 1,
      sym_float,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(578), 1,
      anon_sym_RBRACE,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1866), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(17), 5,
      aux_sym__statement_seq,
      sym__statement,
      sym_let_assert,
      sym_let,
      sym_use,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(544), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [2965] = 34,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(471), 1,
      anon_sym_DASH,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(475), 1,
      anon_sym_todo,
    ACTIONS(477), 1,
      anon_sym_panic,
    ACTIONS(479), 1,
      anon_sym_echo,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(483), 1,
      anon_sym_let,
    ACTIONS(485), 1,
      anon_sym_assert,
    ACTIONS(487), 1,
      anon_sym_use,
    ACTIONS(489), 1,
      anon_sym_BANG,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(493), 1,
      sym_float,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(580), 1,
      anon_sym_RBRACE,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1866), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(36), 5,
      aux_sym__statement_seq,
      sym__statement,
      sym_let_assert,
      sym_let,
      sym_use,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(544), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [3093] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(584), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(582), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [3161] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(588), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(586), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [3229] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(592), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(590), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [3297] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(596), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(594), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [3365] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(598), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(387), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(389), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [3434] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(602), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(600), 28,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [3501] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(534), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(532), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [3568] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(558), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(556), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [3635] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(606), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(604), 28,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [3702] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(610), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(608), 28,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [3769] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(614), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(612), 28,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [3836] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN,
    ACTIONS(616), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(389), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(387), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [3907] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(622), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(620), 28,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [3974] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(626), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(624), 28,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [4041] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(630), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(628), 28,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [4108] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(518), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(516), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [4175] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(389), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(387), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [4246] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(634), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(632), 28,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [4313] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(526), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(524), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [4380] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(507), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(505), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [4447] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(596), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(594), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [4514] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(399), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(397), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [4581] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(592), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(590), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [4648] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(588), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(586), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [4715] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(584), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(582), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [4782] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(548), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(546), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [4849] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(387), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(389), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [4918] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(636), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(387), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(389), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [4987] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(642), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(638), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(640), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [5056] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(648), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(644), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(646), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [5125] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(544), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(542), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [5192] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(650), 1,
      anon_sym_LPAREN,
    ACTIONS(652), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(640), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(638), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [5263] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(654), 1,
      anon_sym_LPAREN,
    ACTIONS(656), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(646), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(644), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [5334] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(570), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(568), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [5401] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(574), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(572), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [5468] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(562), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(560), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [5535] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(552), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(550), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [5602] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(538), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(536), 29,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [5669] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(658), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(660), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [5735] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(662), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(664), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [5801] = 36,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(666), 1,
      anon_sym_RPAREN,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(670), 1,
      anon_sym_DOT_DOT,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(674), 1,
      sym_float,
    ACTIONS(676), 1,
      sym__discard_name,
    ACTIONS(678), 1,
      sym__name,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1478), 1,
      sym_argument,
    STATE(1694), 1,
      sym_hole,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1855), 1,
      sym_label,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(961), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [5931] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(680), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(682), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [5997] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(684), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(686), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [6063] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(688), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(690), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [6129] = 36,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(674), 1,
      sym_float,
    ACTIONS(676), 1,
      sym__discard_name,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(692), 1,
      anon_sym_RPAREN,
    ACTIONS(694), 1,
      anon_sym_DOT_DOT,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1559), 1,
      sym_argument,
    STATE(1694), 1,
      sym_hole,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1855), 1,
      sym_label,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(961), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [6259] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(622), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(620), 28,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [6325] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(704), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(714), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(700), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(708), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(716), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(710), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(712), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(718), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(696), 12,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(698), 19,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [6411] = 36,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(674), 1,
      sym_float,
    ACTIONS(676), 1,
      sym__discard_name,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(720), 1,
      anon_sym_RPAREN,
    ACTIONS(722), 1,
      anon_sym_DOT_DOT,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1457), 1,
      sym_argument,
    STATE(1694), 1,
      sym_hole,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1855), 1,
      sym_label,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(961), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [6541] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(724), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(726), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [6607] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(728), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(730), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [6673] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(732), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(734), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [6739] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(704), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(714), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(700), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(708), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(716), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(710), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(712), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(718), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(736), 12,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(738), 19,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [6825] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(740), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(742), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [6891] = 36,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(674), 1,
      sym_float,
    ACTIONS(676), 1,
      sym__discard_name,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(744), 1,
      anon_sym_RPAREN,
    ACTIONS(746), 1,
      anon_sym_DOT_DOT,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1449), 1,
      sym_argument,
    STATE(1694), 1,
      sym_hole,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1855), 1,
      sym_label,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(961), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [7021] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(748), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(750), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [7087] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(602), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(600), 28,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [7153] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(752), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(754), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [7219] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(756), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(758), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [7285] = 8,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(700), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(716), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(718), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(756), 21,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(758), 23,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [7359] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(630), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(628), 28,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [7425] = 36,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(674), 1,
      sym_float,
    ACTIONS(676), 1,
      sym__discard_name,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(760), 1,
      anon_sym_RPAREN,
    ACTIONS(762), 1,
      anon_sym_DOT_DOT,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1477), 1,
      sym_argument,
    STATE(1694), 1,
      sym_hole,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1855), 1,
      sym_label,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(961), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [7555] = 9,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(714), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(700), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(716), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(718), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(756), 20,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(758), 23,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [7631] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(614), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(612), 28,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [7697] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(399), 21,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(397), 33,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [7763] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(714), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(700), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(716), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(710), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(712), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(718), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(756), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(758), 19,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [7843] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(610), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(608), 28,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [7909] = 12,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(714), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(700), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(708), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(716), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(710), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(712), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(718), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(756), 14,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(758), 19,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [7991] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(714), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(700), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(708), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(716), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(710), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(712), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(718), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(756), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(758), 19,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [8075] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(700), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(718), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(756), 23,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(758), 25,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [8145] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(606), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(604), 28,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [8211] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(756), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(758), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [8277] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(704), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(714), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(700), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(708), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(716), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(710), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(712), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(718), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(764), 12,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(766), 19,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [8363] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(704), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(714), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(700), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(708), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(716), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(710), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(712), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(718), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(768), 12,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(770), 19,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [8449] = 36,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(674), 1,
      sym_float,
    ACTIONS(676), 1,
      sym__discard_name,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(772), 1,
      anon_sym_RPAREN,
    ACTIONS(774), 1,
      anon_sym_DOT_DOT,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1614), 1,
      sym_argument,
    STATE(1694), 1,
      sym_hole,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1855), 1,
      sym_label,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(961), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [8579] = 36,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(674), 1,
      sym_float,
    ACTIONS(676), 1,
      sym__discard_name,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(776), 1,
      anon_sym_RPAREN,
    ACTIONS(778), 1,
      anon_sym_DOT_DOT,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1512), 1,
      sym_argument,
    STATE(1694), 1,
      sym_hole,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1855), 1,
      sym_label,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(961), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [8709] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(634), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(632), 28,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [8775] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(780), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(782), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [8841] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(784), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(786), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [8907] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(389), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(387), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [8975] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(598), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(389), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(387), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [9043] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(636), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(389), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(387), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [9111] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(788), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(790), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [9177] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(792), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(794), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [9243] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(796), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(798), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [9309] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(800), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(803), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [9375] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(806), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(808), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [9441] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(704), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(706), 1,
      anon_sym_AMP_AMP,
    ACTIONS(714), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(700), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(702), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(708), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(716), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(710), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(712), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(718), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(810), 12,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(812), 19,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [9527] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(814), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(816), 27,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [9593] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(626), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(624), 28,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [9659] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(832), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(818), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(820), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(826), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(834), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(828), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(830), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(836), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(736), 12,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(738), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [9744] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(832), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(818), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(820), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(826), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(834), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(828), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(830), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(836), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(838), 12,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(840), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [9829] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(786), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(784), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [9894] = 35,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(674), 1,
      sym_float,
    ACTIONS(676), 1,
      sym__discard_name,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(772), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1614), 1,
      sym_argument,
    STATE(1694), 1,
      sym_hole,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1855), 1,
      sym_label,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(961), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [10021] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(742), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(740), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [10086] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(750), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(748), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [10151] = 35,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(674), 1,
      sym_float,
    ACTIONS(676), 1,
      sym__discard_name,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(842), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1694), 1,
      sym_hole,
    STATE(1766), 1,
      sym_argument,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1855), 1,
      sym_label,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(961), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [10278] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(782), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(780), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [10343] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(832), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(818), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(820), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(826), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(834), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(828), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(830), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(836), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(844), 12,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(846), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [10428] = 35,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(674), 1,
      sym_float,
    ACTIONS(676), 1,
      sym__discard_name,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(776), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1512), 1,
      sym_argument,
    STATE(1694), 1,
      sym_hole,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1855), 1,
      sym_label,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(961), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [10555] = 35,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(674), 1,
      sym_float,
    ACTIONS(676), 1,
      sym__discard_name,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(848), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1694), 1,
      sym_hole,
    STATE(1766), 1,
      sym_argument,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1855), 1,
      sym_label,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(961), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [10682] = 35,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(674), 1,
      sym_float,
    ACTIONS(676), 1,
      sym__discard_name,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(850), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1694), 1,
      sym_hole,
    STATE(1766), 1,
      sym_argument,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1855), 1,
      sym_label,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(961), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [10809] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(734), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(732), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [10874] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(730), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(728), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [10939] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(726), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(724), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [11004] = 35,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(674), 1,
      sym_float,
    ACTIONS(676), 1,
      sym__discard_name,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(852), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1694), 1,
      sym_hole,
    STATE(1766), 1,
      sym_argument,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1855), 1,
      sym_label,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(961), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [11131] = 35,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(674), 1,
      sym_float,
    ACTIONS(676), 1,
      sym__discard_name,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(760), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1477), 1,
      sym_argument,
    STATE(1694), 1,
      sym_hole,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1855), 1,
      sym_label,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(961), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [11258] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(686), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(684), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [11323] = 35,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(674), 1,
      sym_float,
    ACTIONS(676), 1,
      sym__discard_name,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(854), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1694), 1,
      sym_hole,
    STATE(1766), 1,
      sym_argument,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1855), 1,
      sym_label,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(961), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [11450] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(832), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(818), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(820), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(826), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(834), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(828), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(830), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(836), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(856), 12,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(858), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [11535] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(664), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(662), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [11600] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(832), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(818), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(820), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(826), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(834), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(828), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(830), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(836), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(696), 12,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(698), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [11685] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(832), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(818), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(820), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(826), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(834), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(828), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(830), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(836), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(768), 12,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(770), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [11770] = 35,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(674), 1,
      sym_float,
    ACTIONS(676), 1,
      sym__discard_name,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(860), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1694), 1,
      sym_hole,
    STATE(1766), 1,
      sym_argument,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1855), 1,
      sym_label,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(961), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [11897] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(832), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(818), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(820), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(826), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(834), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(828), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(830), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(836), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(764), 12,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(766), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [11982] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(754), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(752), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [12047] = 35,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(674), 1,
      sym_float,
    ACTIONS(676), 1,
      sym__discard_name,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(862), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1694), 1,
      sym_hole,
    STATE(1766), 1,
      sym_argument,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1855), 1,
      sym_label,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(961), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [12174] = 35,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(674), 1,
      sym_float,
    ACTIONS(676), 1,
      sym__discard_name,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(744), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1449), 1,
      sym_argument,
    STATE(1694), 1,
      sym_hole,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1855), 1,
      sym_label,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(961), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [12301] = 8,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(818), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(820), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(834), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(836), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(756), 21,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(758), 22,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [12374] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(790), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(788), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [12439] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(690), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(688), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [12504] = 35,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(674), 1,
      sym_float,
    ACTIONS(676), 1,
      sym__discard_name,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(864), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1694), 1,
      sym_hole,
    STATE(1766), 1,
      sym_argument,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1855), 1,
      sym_label,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(961), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [12631] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(794), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(792), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [12696] = 35,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(674), 1,
      sym_float,
    ACTIONS(676), 1,
      sym__discard_name,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(866), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1694), 1,
      sym_hole,
    STATE(1766), 1,
      sym_argument,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1855), 1,
      sym_label,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(961), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [12823] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(816), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(814), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [12888] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(660), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(658), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [12953] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(798), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(796), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [13018] = 35,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(674), 1,
      sym_float,
    ACTIONS(676), 1,
      sym__discard_name,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(720), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1457), 1,
      sym_argument,
    STATE(1694), 1,
      sym_hole,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1855), 1,
      sym_label,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(961), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [13145] = 35,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(674), 1,
      sym_float,
    ACTIONS(676), 1,
      sym__discard_name,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(868), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1694), 1,
      sym_hole,
    STATE(1766), 1,
      sym_argument,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1855), 1,
      sym_label,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(961), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [13272] = 35,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(674), 1,
      sym_float,
    ACTIONS(676), 1,
      sym__discard_name,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(870), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1694), 1,
      sym_hole,
    STATE(1766), 1,
      sym_argument,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1855), 1,
      sym_label,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(961), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [13399] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(803), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(800), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [13464] = 35,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(674), 1,
      sym_float,
    ACTIONS(676), 1,
      sym__discard_name,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(872), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1694), 1,
      sym_hole,
    STATE(1766), 1,
      sym_argument,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1855), 1,
      sym_label,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(961), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [13591] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(808), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(806), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [13656] = 35,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(674), 1,
      sym_float,
    ACTIONS(676), 1,
      sym__discard_name,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(692), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1559), 1,
      sym_argument,
    STATE(1694), 1,
      sym_hole,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1855), 1,
      sym_label,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(961), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [13783] = 35,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(666), 1,
      anon_sym_RPAREN,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(674), 1,
      sym_float,
    ACTIONS(676), 1,
      sym__discard_name,
    ACTIONS(678), 1,
      sym__name,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1478), 1,
      sym_argument,
    STATE(1694), 1,
      sym_hole,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1855), 1,
      sym_label,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(961), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [13910] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(682), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(680), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [13975] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(832), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(818), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(820), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(826), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(834), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(828), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(830), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(836), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(874), 12,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(876), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [14060] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(758), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(756), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [14125] = 35,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(674), 1,
      sym_float,
    ACTIONS(676), 1,
      sym__discard_name,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(878), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1694), 1,
      sym_hole,
    STATE(1766), 1,
      sym_argument,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1855), 1,
      sym_label,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(961), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [14252] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(758), 26,
      anon_sym_if,
      anon_sym_import,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
    ACTIONS(756), 27,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [14317] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(818), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(836), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(756), 23,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(758), 24,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [14386] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(832), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(818), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(820), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(826), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(834), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(828), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(830), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(836), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(756), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(758), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [14469] = 12,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(832), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(818), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(820), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(826), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(834), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(828), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(830), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(836), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(756), 14,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(758), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [14550] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(832), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(818), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(820), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(834), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(828), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(830), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(836), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(756), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(758), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [14629] = 35,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(674), 1,
      sym_float,
    ACTIONS(676), 1,
      sym__discard_name,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(880), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1694), 1,
      sym_hole,
    STATE(1766), 1,
      sym_argument,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1855), 1,
      sym_label,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(961), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [14756] = 9,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(832), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(818), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(820), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(834), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(836), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(756), 20,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(758), 22,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [14831] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(822), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(824), 1,
      anon_sym_AMP_AMP,
    ACTIONS(832), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(818), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(820), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(826), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(834), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(828), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(830), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(836), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(810), 12,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(812), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [14916] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(588), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(586), 33,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [14980] = 34,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(674), 1,
      sym_float,
    ACTIONS(676), 1,
      sym__discard_name,
    ACTIONS(678), 1,
      sym__name,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1694), 1,
      sym_hole,
    STATE(1766), 1,
      sym_argument,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1855), 1,
      sym_label,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(961), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [15104] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(526), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(524), 33,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [15168] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(548), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(546), 33,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [15232] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(507), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(505), 33,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [15296] = 33,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(676), 1,
      sym__discard_name,
    ACTIONS(884), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1765), 1,
      sym_hole,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(882), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(965), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [15418] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(886), 1,
      anon_sym_LPAREN,
    STATE(229), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(383), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(381), 30,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [15485] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(558), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(556), 31,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [15547] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(592), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(590), 31,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [15609] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(888), 1,
      anon_sym_RBRACK,
    ACTIONS(890), 1,
      anon_sym_DOT_DOT,
    ACTIONS(892), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(862), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [15727] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(552), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(550), 31,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [15789] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN,
    ACTIONS(894), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(389), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(387), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [15855] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(562), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(560), 31,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [15917] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(892), 1,
      sym_float,
    ACTIONS(898), 1,
      anon_sym_RBRACK,
    ACTIONS(900), 1,
      anon_sym_DOT_DOT,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(862), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [16035] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(892), 1,
      sym_float,
    ACTIONS(902), 1,
      anon_sym_RBRACK,
    ACTIONS(904), 1,
      anon_sym_DOT_DOT,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(862), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [16153] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(570), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(568), 31,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [16215] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(892), 1,
      sym_float,
    ACTIONS(906), 1,
      anon_sym_RBRACK,
    ACTIONS(908), 1,
      anon_sym_DOT_DOT,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(862), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [16333] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(518), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(516), 31,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [16395] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(892), 1,
      sym_float,
    ACTIONS(910), 1,
      anon_sym_RBRACK,
    ACTIONS(912), 1,
      anon_sym_DOT_DOT,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(862), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [16513] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(892), 1,
      sym_float,
    ACTIONS(914), 1,
      anon_sym_RBRACK,
    ACTIONS(916), 1,
      anon_sym_DOT_DOT,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(862), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [16631] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(892), 1,
      sym_float,
    ACTIONS(918), 1,
      anon_sym_RBRACK,
    ACTIONS(920), 1,
      anon_sym_DOT_DOT,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(862), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [16749] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(596), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(594), 31,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [16811] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(892), 1,
      sym_float,
    ACTIONS(922), 1,
      anon_sym_RBRACK,
    ACTIONS(924), 1,
      anon_sym_DOT_DOT,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(862), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [16929] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(584), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(582), 31,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [16991] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(928), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(926), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(944), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [17107] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(892), 1,
      sym_float,
    ACTIONS(930), 1,
      anon_sym_RBRACK,
    ACTIONS(932), 1,
      anon_sym_DOT_DOT,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(862), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [17225] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(892), 1,
      sym_float,
    ACTIONS(934), 1,
      anon_sym_RBRACK,
    ACTIONS(936), 1,
      anon_sym_DOT_DOT,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(862), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [17343] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(682), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(680), 31,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [17405] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(544), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(542), 31,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [17467] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(892), 1,
      sym_float,
    ACTIONS(938), 1,
      anon_sym_RBRACK,
    ACTIONS(940), 1,
      anon_sym_DOT_DOT,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(862), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [17585] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(892), 1,
      sym_float,
    ACTIONS(942), 1,
      anon_sym_RBRACK,
    ACTIONS(944), 1,
      anon_sym_DOT_DOT,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(862), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [17703] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(892), 1,
      sym_float,
    ACTIONS(946), 1,
      anon_sym_RBRACK,
    ACTIONS(948), 1,
      anon_sym_DOT_DOT,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(862), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [17821] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(534), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(532), 31,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [17883] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(686), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(684), 31,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [17945] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(538), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(536), 31,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [18007] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(892), 1,
      sym_float,
    ACTIONS(950), 1,
      anon_sym_RBRACK,
    ACTIONS(952), 1,
      anon_sym_DOT_DOT,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(862), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [18125] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(389), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(387), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [18191] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(634), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(632), 30,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [18252] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(954), 1,
      anon_sym_RBRACK,
    ACTIONS(956), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(854), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [18367] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(958), 1,
      anon_sym_RPAREN,
    ACTIONS(960), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(897), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [18482] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(636), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(389), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(387), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [18545] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(598), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(389), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(387), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [18608] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(389), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(387), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [18671] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(471), 1,
      anon_sym_DASH,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(475), 1,
      anon_sym_todo,
    ACTIONS(477), 1,
      anon_sym_panic,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(485), 1,
      anon_sym_assert,
    ACTIONS(489), 1,
      anon_sym_BANG,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(962), 1,
      anon_sym_echo,
    ACTIONS(964), 1,
      sym_float,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(545), 1,
      sym_pipeline_echo,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1866), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(542), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [18786] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(207), 1,
      anon_sym_todo,
    ACTIONS(209), 1,
      anon_sym_panic,
    ACTIONS(211), 1,
      anon_sym_echo,
    ACTIONS(213), 1,
      anon_sym_assert,
    ACTIONS(966), 1,
      anon_sym_DASH,
    ACTIONS(968), 1,
      anon_sym_BANG,
    ACTIONS(970), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1873), 1,
      sym_case_subjects,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(881), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [18901] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(892), 1,
      sym_float,
    ACTIONS(972), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(862), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [19016] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(974), 1,
      anon_sym_RBRACK,
    ACTIONS(976), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(861), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [19131] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(626), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(624), 30,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [19192] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(11), 1,
      anon_sym_LBRACE,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LT_LT,
    ACTIONS(27), 1,
      anon_sym_DASH,
    ACTIONS(33), 1,
      anon_sym_todo,
    ACTIONS(35), 1,
      anon_sym_panic,
    ACTIONS(39), 1,
      anon_sym_case,
    ACTIONS(43), 1,
      anon_sym_assert,
    ACTIONS(47), 1,
      anon_sym_BANG,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(59), 1,
      sym__decimal,
    ACTIONS(61), 1,
      sym__name,
    ACTIONS(63), 1,
      sym__upname,
    ACTIONS(978), 1,
      anon_sym_fn,
    ACTIONS(980), 1,
      anon_sym_echo,
    ACTIONS(982), 1,
      sym_float,
    STATE(57), 1,
      sym_identifier,
    STATE(124), 1,
      sym_anonymous_function,
    STATE(125), 1,
      sym_tuple,
    STATE(182), 1,
      sym_pipeline_echo,
    STATE(1639), 1,
      sym__maybe_function_expression,
    STATE(1906), 1,
      sym__maybe_record_expression,
    STATE(1907), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(39), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(126), 2,
      sym_record,
      sym_record_update,
    ACTIONS(57), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(62), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(163), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [19307] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(892), 1,
      sym_float,
    ACTIONS(984), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(862), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [19422] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(986), 1,
      anon_sym_RPAREN,
    ACTIONS(988), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(901), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [19537] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(614), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(612), 30,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [19598] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(990), 1,
      anon_sym_LPAREN,
    STATE(474), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(383), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(381), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [19663] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(892), 1,
      sym_float,
    ACTIONS(992), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(862), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [19778] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(892), 1,
      sym_float,
    ACTIONS(994), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(862), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [19893] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(996), 1,
      anon_sym_RPAREN,
    ACTIONS(998), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(890), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [20008] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(892), 1,
      sym_float,
    ACTIONS(1000), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(862), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [20123] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1002), 1,
      anon_sym_RBRACK,
    ACTIONS(1004), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(866), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [20238] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(892), 1,
      sym_float,
    ACTIONS(1006), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(862), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [20353] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(892), 1,
      sym_float,
    ACTIONS(1008), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(862), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [20468] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(602), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(600), 30,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [20529] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1010), 1,
      anon_sym_RPAREN,
    ACTIONS(1012), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(906), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [20644] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(892), 1,
      sym_float,
    ACTIONS(1014), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(862), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [20759] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(606), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(604), 30,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [20820] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1016), 1,
      anon_sym_RBRACK,
    ACTIONS(1018), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(859), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [20935] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(207), 1,
      anon_sym_todo,
    ACTIONS(209), 1,
      anon_sym_panic,
    ACTIONS(211), 1,
      anon_sym_echo,
    ACTIONS(213), 1,
      anon_sym_assert,
    ACTIONS(966), 1,
      anon_sym_DASH,
    ACTIONS(968), 1,
      anon_sym_BANG,
    ACTIONS(970), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1840), 1,
      sym_case_subjects,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(881), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [21050] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(207), 1,
      anon_sym_todo,
    ACTIONS(209), 1,
      anon_sym_panic,
    ACTIONS(211), 1,
      anon_sym_echo,
    ACTIONS(213), 1,
      anon_sym_assert,
    ACTIONS(966), 1,
      anon_sym_DASH,
    ACTIONS(968), 1,
      anon_sym_BANG,
    ACTIONS(970), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1827), 1,
      sym_case_subjects,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(881), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [21165] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(610), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(608), 30,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [21226] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1020), 1,
      anon_sym_RBRACK,
    ACTIONS(1022), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(856), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [21341] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(892), 1,
      sym_float,
    ACTIONS(1024), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(862), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [21456] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(892), 1,
      sym_float,
    ACTIONS(1026), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(862), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [21571] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(207), 1,
      anon_sym_todo,
    ACTIONS(209), 1,
      anon_sym_panic,
    ACTIONS(213), 1,
      anon_sym_assert,
    ACTIONS(966), 1,
      anon_sym_DASH,
    ACTIONS(968), 1,
      anon_sym_BANG,
    ACTIONS(1028), 1,
      anon_sym_echo,
    ACTIONS(1030), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(726), 1,
      sym_pipeline_echo,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(940), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [21686] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(622), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(620), 30,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [21747] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(892), 1,
      sym_float,
    ACTIONS(1032), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(862), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [21862] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(207), 1,
      anon_sym_todo,
    ACTIONS(209), 1,
      anon_sym_panic,
    ACTIONS(211), 1,
      anon_sym_echo,
    ACTIONS(213), 1,
      anon_sym_assert,
    ACTIONS(966), 1,
      anon_sym_DASH,
    ACTIONS(968), 1,
      anon_sym_BANG,
    ACTIONS(970), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1785), 1,
      sym_case_subjects,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(881), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [21977] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(630), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(628), 30,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [22038] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1034), 1,
      anon_sym_LBRACE,
    ACTIONS(1036), 1,
      anon_sym_POUND,
    ACTIONS(1038), 1,
      anon_sym_LBRACK,
    ACTIONS(1040), 1,
      anon_sym_LT_LT,
    ACTIONS(1042), 1,
      anon_sym_DASH,
    ACTIONS(1044), 1,
      anon_sym_fn,
    ACTIONS(1046), 1,
      anon_sym_todo,
    ACTIONS(1048), 1,
      anon_sym_panic,
    ACTIONS(1050), 1,
      anon_sym_echo,
    ACTIONS(1052), 1,
      anon_sym_case,
    ACTIONS(1054), 1,
      anon_sym_assert,
    ACTIONS(1056), 1,
      anon_sym_BANG,
    ACTIONS(1058), 1,
      anon_sym_DQUOTE,
    ACTIONS(1060), 1,
      sym_float,
    ACTIONS(1064), 1,
      sym__decimal,
    ACTIONS(1066), 1,
      sym__name,
    ACTIONS(1068), 1,
      sym__upname,
    STATE(428), 1,
      sym_identifier,
    STATE(475), 1,
      sym_anonymous_function,
    STATE(476), 1,
      sym_tuple,
    STATE(522), 1,
      sym_pipeline_echo,
    STATE(1652), 1,
      sym__maybe_function_expression,
    STATE(1847), 1,
      sym__maybe_record_expression,
    STATE(1859), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(244), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(477), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1062), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(427), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(485), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [22153] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1070), 1,
      anon_sym_RBRACK,
    ACTIONS(1072), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(873), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [22268] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1074), 1,
      anon_sym_echo,
    ACTIONS(1076), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(726), 1,
      sym_pipeline_echo,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(824), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [22383] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(207), 1,
      anon_sym_todo,
    ACTIONS(209), 1,
      anon_sym_panic,
    ACTIONS(211), 1,
      anon_sym_echo,
    ACTIONS(213), 1,
      anon_sym_assert,
    ACTIONS(966), 1,
      anon_sym_DASH,
    ACTIONS(968), 1,
      anon_sym_BANG,
    ACTIONS(970), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1896), 1,
      sym_case_subjects,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(881), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [22498] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1078), 1,
      anon_sym_RPAREN,
    ACTIONS(1080), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(896), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [22613] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(892), 1,
      sym_float,
    ACTIONS(1082), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(862), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [22728] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(892), 1,
      sym_float,
    ACTIONS(1084), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(862), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [22843] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(892), 1,
      sym_float,
    ACTIONS(1086), 1,
      anon_sym_RPAREN,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(862), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [22958] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(193), 1,
      anon_sym_fn,
    ACTIONS(195), 1,
      anon_sym_todo,
    ACTIONS(197), 1,
      anon_sym_panic,
    ACTIONS(201), 1,
      anon_sym_case,
    ACTIONS(203), 1,
      anon_sym_assert,
    ACTIONS(1088), 1,
      anon_sym_POUND,
    ACTIONS(1090), 1,
      anon_sym_LBRACK,
    ACTIONS(1092), 1,
      anon_sym_LT_LT,
    ACTIONS(1094), 1,
      anon_sym_DASH,
    ACTIONS(1096), 1,
      anon_sym_echo,
    ACTIONS(1098), 1,
      anon_sym_BANG,
    ACTIONS(1100), 1,
      anon_sym_DQUOTE,
    ACTIONS(1102), 1,
      sym_float,
    ACTIONS(1106), 1,
      sym__decimal,
    ACTIONS(1108), 1,
      sym__name,
    ACTIONS(1110), 1,
      sym__upname,
    STATE(566), 1,
      sym_identifier,
    STATE(588), 1,
      sym_tuple,
    STATE(592), 1,
      sym_anonymous_function,
    STATE(638), 1,
      sym_pipeline_echo,
    STATE(1695), 1,
      sym__maybe_function_expression,
    STATE(1819), 1,
      sym__maybe_tuple_expression,
    STATE(1858), 1,
      sym__maybe_record_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(559), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(591), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1104), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(564), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(637), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [23073] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1112), 1,
      anon_sym_RPAREN,
    ACTIONS(1114), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(894), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [23188] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1116), 1,
      anon_sym_RBRACK,
    ACTIONS(1118), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(875), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [23303] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1120), 1,
      anon_sym_LBRACE,
    ACTIONS(1122), 1,
      anon_sym_POUND,
    ACTIONS(1124), 1,
      anon_sym_LBRACK,
    ACTIONS(1126), 1,
      anon_sym_LT_LT,
    ACTIONS(1128), 1,
      anon_sym_DASH,
    ACTIONS(1130), 1,
      anon_sym_fn,
    ACTIONS(1132), 1,
      anon_sym_todo,
    ACTIONS(1134), 1,
      anon_sym_panic,
    ACTIONS(1136), 1,
      anon_sym_echo,
    ACTIONS(1138), 1,
      anon_sym_case,
    ACTIONS(1140), 1,
      anon_sym_assert,
    ACTIONS(1142), 1,
      anon_sym_BANG,
    ACTIONS(1144), 1,
      anon_sym_DQUOTE,
    ACTIONS(1146), 1,
      sym_float,
    ACTIONS(1150), 1,
      sym__decimal,
    ACTIONS(1152), 1,
      sym__name,
    ACTIONS(1154), 1,
      sym__upname,
    STATE(15), 1,
      sym_identifier,
    STATE(50), 1,
      sym_tuple,
    STATE(72), 1,
      sym_anonymous_function,
    STATE(103), 1,
      sym_pipeline_echo,
    STATE(1630), 1,
      sym__maybe_function_expression,
    STATE(1836), 1,
      sym__maybe_record_expression,
    STATE(1889), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(14), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(73), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1148), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(23), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(104), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [23418] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1156), 1,
      anon_sym_RPAREN,
    ACTIONS(1158), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(895), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [23533] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(207), 1,
      anon_sym_todo,
    ACTIONS(209), 1,
      anon_sym_panic,
    ACTIONS(211), 1,
      anon_sym_echo,
    ACTIONS(213), 1,
      anon_sym_assert,
    ACTIONS(966), 1,
      anon_sym_DASH,
    ACTIONS(968), 1,
      anon_sym_BANG,
    ACTIONS(970), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1851), 1,
      sym_case_subjects,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(881), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [23648] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(207), 1,
      anon_sym_todo,
    ACTIONS(209), 1,
      anon_sym_panic,
    ACTIONS(211), 1,
      anon_sym_echo,
    ACTIONS(213), 1,
      anon_sym_assert,
    ACTIONS(966), 1,
      anon_sym_DASH,
    ACTIONS(968), 1,
      anon_sym_BANG,
    ACTIONS(970), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1862), 1,
      sym_case_subjects,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(881), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [23763] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(219), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_POUND,
    ACTIONS(223), 1,
      anon_sym_LBRACK,
    ACTIONS(225), 1,
      anon_sym_LT_LT,
    ACTIONS(227), 1,
      anon_sym_fn,
    ACTIONS(229), 1,
      anon_sym_todo,
    ACTIONS(231), 1,
      anon_sym_panic,
    ACTIONS(235), 1,
      anon_sym_case,
    ACTIONS(237), 1,
      anon_sym_assert,
    ACTIONS(241), 1,
      anon_sym_DQUOTE,
    ACTIONS(247), 1,
      sym__decimal,
    ACTIONS(249), 1,
      sym__name,
    ACTIONS(251), 1,
      sym__upname,
    ACTIONS(1160), 1,
      anon_sym_DASH,
    ACTIONS(1162), 1,
      anon_sym_echo,
    ACTIONS(1164), 1,
      anon_sym_BANG,
    ACTIONS(1166), 1,
      sym_float,
    STATE(910), 1,
      sym_identifier,
    STATE(931), 1,
      sym_anonymous_function,
    STATE(935), 1,
      sym_tuple,
    STATE(1047), 1,
      sym_pipeline_echo,
    STATE(1738), 1,
      sym__maybe_function_expression,
    STATE(1790), 1,
      sym__maybe_tuple_expression,
    STATE(1869), 1,
      sym__maybe_record_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(853), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(938), 2,
      sym_record,
      sym_record_update,
    ACTIONS(245), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(908), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1017), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [23878] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1168), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1019), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [23990] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1170), 1,
      anon_sym_GT_GT,
    ACTIONS(1172), 1,
      anon_sym_DASH,
    ACTIONS(1174), 1,
      anon_sym_todo,
    ACTIONS(1176), 1,
      anon_sym_panic,
    ACTIONS(1178), 1,
      anon_sym_assert,
    ACTIONS(1180), 1,
      anon_sym_BANG,
    ACTIONS(1182), 1,
      sym_float,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1723), 1,
      sym_expression_bit_string_segment,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1915), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1555), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [24106] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1120), 1,
      anon_sym_LBRACE,
    ACTIONS(1122), 1,
      anon_sym_POUND,
    ACTIONS(1124), 1,
      anon_sym_LBRACK,
    ACTIONS(1126), 1,
      anon_sym_LT_LT,
    ACTIONS(1128), 1,
      anon_sym_DASH,
    ACTIONS(1130), 1,
      anon_sym_fn,
    ACTIONS(1132), 1,
      anon_sym_todo,
    ACTIONS(1134), 1,
      anon_sym_panic,
    ACTIONS(1138), 1,
      anon_sym_case,
    ACTIONS(1140), 1,
      anon_sym_assert,
    ACTIONS(1142), 1,
      anon_sym_BANG,
    ACTIONS(1144), 1,
      anon_sym_DQUOTE,
    ACTIONS(1150), 1,
      sym__decimal,
    ACTIONS(1152), 1,
      sym__name,
    ACTIONS(1154), 1,
      sym__upname,
    ACTIONS(1184), 1,
      anon_sym_echo,
    ACTIONS(1186), 1,
      sym_float,
    STATE(15), 1,
      sym_identifier,
    STATE(50), 1,
      sym_tuple,
    STATE(72), 1,
      sym_anonymous_function,
    STATE(1630), 1,
      sym__maybe_function_expression,
    STATE(1836), 1,
      sym__maybe_record_expression,
    STATE(1889), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(14), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(73), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1148), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(23), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(97), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [24218] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(193), 1,
      anon_sym_fn,
    ACTIONS(195), 1,
      anon_sym_todo,
    ACTIONS(197), 1,
      anon_sym_panic,
    ACTIONS(199), 1,
      anon_sym_echo,
    ACTIONS(201), 1,
      anon_sym_case,
    ACTIONS(203), 1,
      anon_sym_assert,
    ACTIONS(1088), 1,
      anon_sym_POUND,
    ACTIONS(1090), 1,
      anon_sym_LBRACK,
    ACTIONS(1092), 1,
      anon_sym_LT_LT,
    ACTIONS(1094), 1,
      anon_sym_DASH,
    ACTIONS(1098), 1,
      anon_sym_BANG,
    ACTIONS(1100), 1,
      anon_sym_DQUOTE,
    ACTIONS(1106), 1,
      sym__decimal,
    ACTIONS(1108), 1,
      sym__name,
    ACTIONS(1110), 1,
      sym__upname,
    ACTIONS(1188), 1,
      sym_float,
    STATE(566), 1,
      sym_identifier,
    STATE(588), 1,
      sym_tuple,
    STATE(592), 1,
      sym_anonymous_function,
    STATE(1695), 1,
      sym__maybe_function_expression,
    STATE(1819), 1,
      sym__maybe_tuple_expression,
    STATE(1858), 1,
      sym__maybe_record_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(559), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(591), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1104), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(564), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(620), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [24330] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(11), 1,
      anon_sym_LBRACE,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LT_LT,
    ACTIONS(27), 1,
      anon_sym_DASH,
    ACTIONS(33), 1,
      anon_sym_todo,
    ACTIONS(35), 1,
      anon_sym_panic,
    ACTIONS(37), 1,
      anon_sym_echo,
    ACTIONS(39), 1,
      anon_sym_case,
    ACTIONS(43), 1,
      anon_sym_assert,
    ACTIONS(47), 1,
      anon_sym_BANG,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(59), 1,
      sym__decimal,
    ACTIONS(61), 1,
      sym__name,
    ACTIONS(63), 1,
      sym__upname,
    ACTIONS(978), 1,
      anon_sym_fn,
    ACTIONS(1190), 1,
      sym_float,
    STATE(57), 1,
      sym_identifier,
    STATE(124), 1,
      sym_anonymous_function,
    STATE(125), 1,
      sym_tuple,
    STATE(1639), 1,
      sym__maybe_function_expression,
    STATE(1906), 1,
      sym__maybe_record_expression,
    STATE(1907), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(39), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(126), 2,
      sym_record,
      sym_record_update,
    ACTIONS(57), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(62), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(157), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [24442] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(507), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(505), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [24502] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(193), 1,
      anon_sym_fn,
    ACTIONS(195), 1,
      anon_sym_todo,
    ACTIONS(197), 1,
      anon_sym_panic,
    ACTIONS(199), 1,
      anon_sym_echo,
    ACTIONS(201), 1,
      anon_sym_case,
    ACTIONS(203), 1,
      anon_sym_assert,
    ACTIONS(1088), 1,
      anon_sym_POUND,
    ACTIONS(1090), 1,
      anon_sym_LBRACK,
    ACTIONS(1092), 1,
      anon_sym_LT_LT,
    ACTIONS(1094), 1,
      anon_sym_DASH,
    ACTIONS(1098), 1,
      anon_sym_BANG,
    ACTIONS(1100), 1,
      anon_sym_DQUOTE,
    ACTIONS(1106), 1,
      sym__decimal,
    ACTIONS(1108), 1,
      sym__name,
    ACTIONS(1110), 1,
      sym__upname,
    ACTIONS(1192), 1,
      sym_float,
    STATE(566), 1,
      sym_identifier,
    STATE(588), 1,
      sym_tuple,
    STATE(592), 1,
      sym_anonymous_function,
    STATE(1695), 1,
      sym__maybe_function_expression,
    STATE(1819), 1,
      sym__maybe_tuple_expression,
    STATE(1858), 1,
      sym__maybe_record_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(559), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(591), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1104), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(564), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(607), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [24614] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1172), 1,
      anon_sym_DASH,
    ACTIONS(1174), 1,
      anon_sym_todo,
    ACTIONS(1176), 1,
      anon_sym_panic,
    ACTIONS(1178), 1,
      anon_sym_assert,
    ACTIONS(1180), 1,
      anon_sym_BANG,
    ACTIONS(1182), 1,
      sym_float,
    ACTIONS(1194), 1,
      anon_sym_GT_GT,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1601), 1,
      sym_expression_bit_string_segment,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1915), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1555), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [24730] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(207), 1,
      anon_sym_todo,
    ACTIONS(209), 1,
      anon_sym_panic,
    ACTIONS(211), 1,
      anon_sym_echo,
    ACTIONS(213), 1,
      anon_sym_assert,
    ACTIONS(966), 1,
      anon_sym_DASH,
    ACTIONS(968), 1,
      anon_sym_BANG,
    ACTIONS(1196), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(924), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [24842] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1172), 1,
      anon_sym_DASH,
    ACTIONS(1174), 1,
      anon_sym_todo,
    ACTIONS(1176), 1,
      anon_sym_panic,
    ACTIONS(1178), 1,
      anon_sym_assert,
    ACTIONS(1180), 1,
      anon_sym_BANG,
    ACTIONS(1182), 1,
      sym_float,
    ACTIONS(1198), 1,
      anon_sym_GT_GT,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1723), 1,
      sym_expression_bit_string_segment,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1915), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1555), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [24958] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(219), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_POUND,
    ACTIONS(223), 1,
      anon_sym_LBRACK,
    ACTIONS(225), 1,
      anon_sym_LT_LT,
    ACTIONS(227), 1,
      anon_sym_fn,
    ACTIONS(229), 1,
      anon_sym_todo,
    ACTIONS(231), 1,
      anon_sym_panic,
    ACTIONS(233), 1,
      anon_sym_echo,
    ACTIONS(235), 1,
      anon_sym_case,
    ACTIONS(237), 1,
      anon_sym_assert,
    ACTIONS(241), 1,
      anon_sym_DQUOTE,
    ACTIONS(243), 1,
      sym_float,
    ACTIONS(247), 1,
      sym__decimal,
    ACTIONS(249), 1,
      sym__name,
    ACTIONS(251), 1,
      sym__upname,
    ACTIONS(1160), 1,
      anon_sym_DASH,
    ACTIONS(1164), 1,
      anon_sym_BANG,
    STATE(910), 1,
      sym_identifier,
    STATE(931), 1,
      sym_anonymous_function,
    STATE(935), 1,
      sym_tuple,
    STATE(1738), 1,
      sym__maybe_function_expression,
    STATE(1790), 1,
      sym__maybe_tuple_expression,
    STATE(1869), 1,
      sym__maybe_record_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(853), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(938), 2,
      sym_record,
      sym_record_update,
    ACTIONS(245), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(908), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1046), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [25070] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(207), 1,
      anon_sym_todo,
    ACTIONS(209), 1,
      anon_sym_panic,
    ACTIONS(211), 1,
      anon_sym_echo,
    ACTIONS(213), 1,
      anon_sym_assert,
    ACTIONS(966), 1,
      anon_sym_DASH,
    ACTIONS(968), 1,
      anon_sym_BANG,
    ACTIONS(1200), 1,
      anon_sym_LBRACE,
    ACTIONS(1203), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(941), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [25182] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(207), 1,
      anon_sym_todo,
    ACTIONS(209), 1,
      anon_sym_panic,
    ACTIONS(211), 1,
      anon_sym_echo,
    ACTIONS(213), 1,
      anon_sym_assert,
    ACTIONS(966), 1,
      anon_sym_DASH,
    ACTIONS(968), 1,
      anon_sym_BANG,
    ACTIONS(1205), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(951), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [25294] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(219), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_POUND,
    ACTIONS(223), 1,
      anon_sym_LBRACK,
    ACTIONS(225), 1,
      anon_sym_LT_LT,
    ACTIONS(227), 1,
      anon_sym_fn,
    ACTIONS(229), 1,
      anon_sym_todo,
    ACTIONS(231), 1,
      anon_sym_panic,
    ACTIONS(233), 1,
      anon_sym_echo,
    ACTIONS(235), 1,
      anon_sym_case,
    ACTIONS(237), 1,
      anon_sym_assert,
    ACTIONS(241), 1,
      anon_sym_DQUOTE,
    ACTIONS(247), 1,
      sym__decimal,
    ACTIONS(249), 1,
      sym__name,
    ACTIONS(251), 1,
      sym__upname,
    ACTIONS(1160), 1,
      anon_sym_DASH,
    ACTIONS(1164), 1,
      anon_sym_BANG,
    ACTIONS(1207), 1,
      sym_float,
    STATE(910), 1,
      sym_identifier,
    STATE(931), 1,
      sym_anonymous_function,
    STATE(935), 1,
      sym_tuple,
    STATE(1738), 1,
      sym__maybe_function_expression,
    STATE(1790), 1,
      sym__maybe_tuple_expression,
    STATE(1869), 1,
      sym__maybe_record_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(853), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(938), 2,
      sym_record,
      sym_record_update,
    ACTIONS(245), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(908), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(982), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [25406] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1209), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1029), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [25518] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1120), 1,
      anon_sym_LBRACE,
    ACTIONS(1122), 1,
      anon_sym_POUND,
    ACTIONS(1124), 1,
      anon_sym_LBRACK,
    ACTIONS(1126), 1,
      anon_sym_LT_LT,
    ACTIONS(1128), 1,
      anon_sym_DASH,
    ACTIONS(1130), 1,
      anon_sym_fn,
    ACTIONS(1132), 1,
      anon_sym_todo,
    ACTIONS(1134), 1,
      anon_sym_panic,
    ACTIONS(1138), 1,
      anon_sym_case,
    ACTIONS(1140), 1,
      anon_sym_assert,
    ACTIONS(1142), 1,
      anon_sym_BANG,
    ACTIONS(1144), 1,
      anon_sym_DQUOTE,
    ACTIONS(1150), 1,
      sym__decimal,
    ACTIONS(1152), 1,
      sym__name,
    ACTIONS(1154), 1,
      sym__upname,
    ACTIONS(1184), 1,
      anon_sym_echo,
    ACTIONS(1211), 1,
      sym_float,
    STATE(15), 1,
      sym_identifier,
    STATE(50), 1,
      sym_tuple,
    STATE(72), 1,
      sym_anonymous_function,
    STATE(1630), 1,
      sym__maybe_function_expression,
    STATE(1836), 1,
      sym__maybe_record_expression,
    STATE(1889), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(14), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(73), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1148), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(23), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(107), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [25630] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1120), 1,
      anon_sym_LBRACE,
    ACTIONS(1122), 1,
      anon_sym_POUND,
    ACTIONS(1124), 1,
      anon_sym_LBRACK,
    ACTIONS(1126), 1,
      anon_sym_LT_LT,
    ACTIONS(1128), 1,
      anon_sym_DASH,
    ACTIONS(1130), 1,
      anon_sym_fn,
    ACTIONS(1132), 1,
      anon_sym_todo,
    ACTIONS(1134), 1,
      anon_sym_panic,
    ACTIONS(1138), 1,
      anon_sym_case,
    ACTIONS(1140), 1,
      anon_sym_assert,
    ACTIONS(1142), 1,
      anon_sym_BANG,
    ACTIONS(1144), 1,
      anon_sym_DQUOTE,
    ACTIONS(1150), 1,
      sym__decimal,
    ACTIONS(1152), 1,
      sym__name,
    ACTIONS(1154), 1,
      sym__upname,
    ACTIONS(1184), 1,
      anon_sym_echo,
    ACTIONS(1213), 1,
      sym_float,
    STATE(15), 1,
      sym_identifier,
    STATE(50), 1,
      sym_tuple,
    STATE(72), 1,
      sym_anonymous_function,
    STATE(1630), 1,
      sym__maybe_function_expression,
    STATE(1836), 1,
      sym__maybe_record_expression,
    STATE(1889), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(14), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(73), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1148), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(23), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(110), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [25742] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(207), 1,
      anon_sym_todo,
    ACTIONS(209), 1,
      anon_sym_panic,
    ACTIONS(211), 1,
      anon_sym_echo,
    ACTIONS(213), 1,
      anon_sym_assert,
    ACTIONS(966), 1,
      anon_sym_DASH,
    ACTIONS(968), 1,
      anon_sym_BANG,
    ACTIONS(1215), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(950), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [25854] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1120), 1,
      anon_sym_LBRACE,
    ACTIONS(1122), 1,
      anon_sym_POUND,
    ACTIONS(1124), 1,
      anon_sym_LBRACK,
    ACTIONS(1126), 1,
      anon_sym_LT_LT,
    ACTIONS(1128), 1,
      anon_sym_DASH,
    ACTIONS(1130), 1,
      anon_sym_fn,
    ACTIONS(1132), 1,
      anon_sym_todo,
    ACTIONS(1134), 1,
      anon_sym_panic,
    ACTIONS(1138), 1,
      anon_sym_case,
    ACTIONS(1140), 1,
      anon_sym_assert,
    ACTIONS(1142), 1,
      anon_sym_BANG,
    ACTIONS(1144), 1,
      anon_sym_DQUOTE,
    ACTIONS(1150), 1,
      sym__decimal,
    ACTIONS(1152), 1,
      sym__name,
    ACTIONS(1154), 1,
      sym__upname,
    ACTIONS(1184), 1,
      anon_sym_echo,
    ACTIONS(1217), 1,
      sym_float,
    STATE(15), 1,
      sym_identifier,
    STATE(50), 1,
      sym_tuple,
    STATE(72), 1,
      sym_anonymous_function,
    STATE(1630), 1,
      sym__maybe_function_expression,
    STATE(1836), 1,
      sym__maybe_record_expression,
    STATE(1889), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(14), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(73), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1148), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(23), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(112), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [25966] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1120), 1,
      anon_sym_LBRACE,
    ACTIONS(1122), 1,
      anon_sym_POUND,
    ACTIONS(1124), 1,
      anon_sym_LBRACK,
    ACTIONS(1126), 1,
      anon_sym_LT_LT,
    ACTIONS(1128), 1,
      anon_sym_DASH,
    ACTIONS(1130), 1,
      anon_sym_fn,
    ACTIONS(1132), 1,
      anon_sym_todo,
    ACTIONS(1134), 1,
      anon_sym_panic,
    ACTIONS(1138), 1,
      anon_sym_case,
    ACTIONS(1140), 1,
      anon_sym_assert,
    ACTIONS(1142), 1,
      anon_sym_BANG,
    ACTIONS(1144), 1,
      anon_sym_DQUOTE,
    ACTIONS(1150), 1,
      sym__decimal,
    ACTIONS(1152), 1,
      sym__name,
    ACTIONS(1154), 1,
      sym__upname,
    ACTIONS(1184), 1,
      anon_sym_echo,
    ACTIONS(1219), 1,
      sym_float,
    STATE(15), 1,
      sym_identifier,
    STATE(50), 1,
      sym_tuple,
    STATE(72), 1,
      sym_anonymous_function,
    STATE(1630), 1,
      sym__maybe_function_expression,
    STATE(1836), 1,
      sym__maybe_record_expression,
    STATE(1889), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(14), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(73), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1148), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(23), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(113), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [26078] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(207), 1,
      anon_sym_todo,
    ACTIONS(209), 1,
      anon_sym_panic,
    ACTIONS(211), 1,
      anon_sym_echo,
    ACTIONS(213), 1,
      anon_sym_assert,
    ACTIONS(966), 1,
      anon_sym_DASH,
    ACTIONS(968), 1,
      anon_sym_BANG,
    ACTIONS(1221), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(948), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [26190] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1120), 1,
      anon_sym_LBRACE,
    ACTIONS(1122), 1,
      anon_sym_POUND,
    ACTIONS(1124), 1,
      anon_sym_LBRACK,
    ACTIONS(1126), 1,
      anon_sym_LT_LT,
    ACTIONS(1128), 1,
      anon_sym_DASH,
    ACTIONS(1130), 1,
      anon_sym_fn,
    ACTIONS(1132), 1,
      anon_sym_todo,
    ACTIONS(1134), 1,
      anon_sym_panic,
    ACTIONS(1138), 1,
      anon_sym_case,
    ACTIONS(1140), 1,
      anon_sym_assert,
    ACTIONS(1142), 1,
      anon_sym_BANG,
    ACTIONS(1144), 1,
      anon_sym_DQUOTE,
    ACTIONS(1150), 1,
      sym__decimal,
    ACTIONS(1152), 1,
      sym__name,
    ACTIONS(1154), 1,
      sym__upname,
    ACTIONS(1184), 1,
      anon_sym_echo,
    ACTIONS(1223), 1,
      sym_float,
    STATE(15), 1,
      sym_identifier,
    STATE(50), 1,
      sym_tuple,
    STATE(72), 1,
      sym_anonymous_function,
    STATE(1630), 1,
      sym__maybe_function_expression,
    STATE(1836), 1,
      sym__maybe_record_expression,
    STATE(1889), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(14), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(73), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1148), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(23), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(114), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [26302] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1120), 1,
      anon_sym_LBRACE,
    ACTIONS(1122), 1,
      anon_sym_POUND,
    ACTIONS(1124), 1,
      anon_sym_LBRACK,
    ACTIONS(1126), 1,
      anon_sym_LT_LT,
    ACTIONS(1128), 1,
      anon_sym_DASH,
    ACTIONS(1130), 1,
      anon_sym_fn,
    ACTIONS(1132), 1,
      anon_sym_todo,
    ACTIONS(1134), 1,
      anon_sym_panic,
    ACTIONS(1138), 1,
      anon_sym_case,
    ACTIONS(1140), 1,
      anon_sym_assert,
    ACTIONS(1142), 1,
      anon_sym_BANG,
    ACTIONS(1144), 1,
      anon_sym_DQUOTE,
    ACTIONS(1150), 1,
      sym__decimal,
    ACTIONS(1152), 1,
      sym__name,
    ACTIONS(1154), 1,
      sym__upname,
    ACTIONS(1184), 1,
      anon_sym_echo,
    ACTIONS(1225), 1,
      sym_float,
    STATE(15), 1,
      sym_identifier,
    STATE(50), 1,
      sym_tuple,
    STATE(72), 1,
      sym_anonymous_function,
    STATE(1630), 1,
      sym__maybe_function_expression,
    STATE(1836), 1,
      sym__maybe_record_expression,
    STATE(1889), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(14), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(73), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1148), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(23), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(116), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [26414] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(219), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_POUND,
    ACTIONS(223), 1,
      anon_sym_LBRACK,
    ACTIONS(225), 1,
      anon_sym_LT_LT,
    ACTIONS(227), 1,
      anon_sym_fn,
    ACTIONS(229), 1,
      anon_sym_todo,
    ACTIONS(231), 1,
      anon_sym_panic,
    ACTIONS(233), 1,
      anon_sym_echo,
    ACTIONS(235), 1,
      anon_sym_case,
    ACTIONS(237), 1,
      anon_sym_assert,
    ACTIONS(241), 1,
      anon_sym_DQUOTE,
    ACTIONS(247), 1,
      sym__decimal,
    ACTIONS(249), 1,
      sym__name,
    ACTIONS(251), 1,
      sym__upname,
    ACTIONS(1160), 1,
      anon_sym_DASH,
    ACTIONS(1164), 1,
      anon_sym_BANG,
    ACTIONS(1227), 1,
      sym_float,
    STATE(910), 1,
      sym_identifier,
    STATE(931), 1,
      sym_anonymous_function,
    STATE(935), 1,
      sym_tuple,
    STATE(1738), 1,
      sym__maybe_function_expression,
    STATE(1790), 1,
      sym__maybe_tuple_expression,
    STATE(1869), 1,
      sym__maybe_record_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(853), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(938), 2,
      sym_record,
      sym_record_update,
    ACTIONS(245), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(908), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(979), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [26526] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(219), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_POUND,
    ACTIONS(223), 1,
      anon_sym_LBRACK,
    ACTIONS(225), 1,
      anon_sym_LT_LT,
    ACTIONS(227), 1,
      anon_sym_fn,
    ACTIONS(229), 1,
      anon_sym_todo,
    ACTIONS(231), 1,
      anon_sym_panic,
    ACTIONS(233), 1,
      anon_sym_echo,
    ACTIONS(235), 1,
      anon_sym_case,
    ACTIONS(237), 1,
      anon_sym_assert,
    ACTIONS(241), 1,
      anon_sym_DQUOTE,
    ACTIONS(247), 1,
      sym__decimal,
    ACTIONS(249), 1,
      sym__name,
    ACTIONS(251), 1,
      sym__upname,
    ACTIONS(1160), 1,
      anon_sym_DASH,
    ACTIONS(1164), 1,
      anon_sym_BANG,
    ACTIONS(1229), 1,
      sym_float,
    STATE(910), 1,
      sym_identifier,
    STATE(931), 1,
      sym_anonymous_function,
    STATE(935), 1,
      sym_tuple,
    STATE(1738), 1,
      sym__maybe_function_expression,
    STATE(1790), 1,
      sym__maybe_tuple_expression,
    STATE(1869), 1,
      sym__maybe_record_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(853), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(938), 2,
      sym_record,
      sym_record_update,
    ACTIONS(245), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(908), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(973), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [26638] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(219), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_POUND,
    ACTIONS(223), 1,
      anon_sym_LBRACK,
    ACTIONS(225), 1,
      anon_sym_LT_LT,
    ACTIONS(227), 1,
      anon_sym_fn,
    ACTIONS(229), 1,
      anon_sym_todo,
    ACTIONS(231), 1,
      anon_sym_panic,
    ACTIONS(233), 1,
      anon_sym_echo,
    ACTIONS(235), 1,
      anon_sym_case,
    ACTIONS(237), 1,
      anon_sym_assert,
    ACTIONS(241), 1,
      anon_sym_DQUOTE,
    ACTIONS(247), 1,
      sym__decimal,
    ACTIONS(249), 1,
      sym__name,
    ACTIONS(251), 1,
      sym__upname,
    ACTIONS(1160), 1,
      anon_sym_DASH,
    ACTIONS(1164), 1,
      anon_sym_BANG,
    ACTIONS(1231), 1,
      sym_float,
    STATE(910), 1,
      sym_identifier,
    STATE(931), 1,
      sym_anonymous_function,
    STATE(935), 1,
      sym_tuple,
    STATE(1738), 1,
      sym__maybe_function_expression,
    STATE(1790), 1,
      sym__maybe_tuple_expression,
    STATE(1869), 1,
      sym__maybe_record_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(853), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(938), 2,
      sym_record,
      sym_record_update,
    ACTIONS(245), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(908), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1002), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [26750] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(11), 1,
      anon_sym_LBRACE,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LT_LT,
    ACTIONS(27), 1,
      anon_sym_DASH,
    ACTIONS(33), 1,
      anon_sym_todo,
    ACTIONS(35), 1,
      anon_sym_panic,
    ACTIONS(37), 1,
      anon_sym_echo,
    ACTIONS(39), 1,
      anon_sym_case,
    ACTIONS(43), 1,
      anon_sym_assert,
    ACTIONS(47), 1,
      anon_sym_BANG,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(59), 1,
      sym__decimal,
    ACTIONS(61), 1,
      sym__name,
    ACTIONS(63), 1,
      sym__upname,
    ACTIONS(978), 1,
      anon_sym_fn,
    ACTIONS(1233), 1,
      sym_float,
    STATE(57), 1,
      sym_identifier,
    STATE(124), 1,
      sym_anonymous_function,
    STATE(125), 1,
      sym_tuple,
    STATE(1639), 1,
      sym__maybe_function_expression,
    STATE(1906), 1,
      sym__maybe_record_expression,
    STATE(1907), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(39), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(126), 2,
      sym_record,
      sym_record_update,
    ACTIONS(57), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(62), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(154), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [26862] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(219), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_POUND,
    ACTIONS(223), 1,
      anon_sym_LBRACK,
    ACTIONS(225), 1,
      anon_sym_LT_LT,
    ACTIONS(227), 1,
      anon_sym_fn,
    ACTIONS(229), 1,
      anon_sym_todo,
    ACTIONS(231), 1,
      anon_sym_panic,
    ACTIONS(233), 1,
      anon_sym_echo,
    ACTIONS(235), 1,
      anon_sym_case,
    ACTIONS(237), 1,
      anon_sym_assert,
    ACTIONS(241), 1,
      anon_sym_DQUOTE,
    ACTIONS(247), 1,
      sym__decimal,
    ACTIONS(249), 1,
      sym__name,
    ACTIONS(251), 1,
      sym__upname,
    ACTIONS(1160), 1,
      anon_sym_DASH,
    ACTIONS(1164), 1,
      anon_sym_BANG,
    ACTIONS(1235), 1,
      sym_float,
    STATE(910), 1,
      sym_identifier,
    STATE(931), 1,
      sym_anonymous_function,
    STATE(935), 1,
      sym_tuple,
    STATE(1738), 1,
      sym__maybe_function_expression,
    STATE(1790), 1,
      sym__maybe_tuple_expression,
    STATE(1869), 1,
      sym__maybe_record_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(853), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(938), 2,
      sym_record,
      sym_record_update,
    ACTIONS(245), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(908), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1005), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [26974] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(219), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_POUND,
    ACTIONS(223), 1,
      anon_sym_LBRACK,
    ACTIONS(225), 1,
      anon_sym_LT_LT,
    ACTIONS(227), 1,
      anon_sym_fn,
    ACTIONS(229), 1,
      anon_sym_todo,
    ACTIONS(231), 1,
      anon_sym_panic,
    ACTIONS(233), 1,
      anon_sym_echo,
    ACTIONS(235), 1,
      anon_sym_case,
    ACTIONS(237), 1,
      anon_sym_assert,
    ACTIONS(241), 1,
      anon_sym_DQUOTE,
    ACTIONS(247), 1,
      sym__decimal,
    ACTIONS(249), 1,
      sym__name,
    ACTIONS(251), 1,
      sym__upname,
    ACTIONS(1160), 1,
      anon_sym_DASH,
    ACTIONS(1164), 1,
      anon_sym_BANG,
    ACTIONS(1237), 1,
      sym_float,
    STATE(910), 1,
      sym_identifier,
    STATE(931), 1,
      sym_anonymous_function,
    STATE(935), 1,
      sym_tuple,
    STATE(1738), 1,
      sym__maybe_function_expression,
    STATE(1790), 1,
      sym__maybe_tuple_expression,
    STATE(1869), 1,
      sym__maybe_record_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(853), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(938), 2,
      sym_record,
      sym_record_update,
    ACTIONS(245), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(908), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(993), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [27086] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(219), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_POUND,
    ACTIONS(223), 1,
      anon_sym_LBRACK,
    ACTIONS(225), 1,
      anon_sym_LT_LT,
    ACTIONS(227), 1,
      anon_sym_fn,
    ACTIONS(229), 1,
      anon_sym_todo,
    ACTIONS(231), 1,
      anon_sym_panic,
    ACTIONS(233), 1,
      anon_sym_echo,
    ACTIONS(235), 1,
      anon_sym_case,
    ACTIONS(237), 1,
      anon_sym_assert,
    ACTIONS(241), 1,
      anon_sym_DQUOTE,
    ACTIONS(247), 1,
      sym__decimal,
    ACTIONS(249), 1,
      sym__name,
    ACTIONS(251), 1,
      sym__upname,
    ACTIONS(1160), 1,
      anon_sym_DASH,
    ACTIONS(1164), 1,
      anon_sym_BANG,
    ACTIONS(1239), 1,
      sym_float,
    STATE(910), 1,
      sym_identifier,
    STATE(931), 1,
      sym_anonymous_function,
    STATE(935), 1,
      sym_tuple,
    STATE(1738), 1,
      sym__maybe_function_expression,
    STATE(1790), 1,
      sym__maybe_tuple_expression,
    STATE(1869), 1,
      sym__maybe_record_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(853), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(938), 2,
      sym_record,
      sym_record_update,
    ACTIONS(245), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(908), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(984), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [27198] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(219), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_POUND,
    ACTIONS(223), 1,
      anon_sym_LBRACK,
    ACTIONS(225), 1,
      anon_sym_LT_LT,
    ACTIONS(227), 1,
      anon_sym_fn,
    ACTIONS(229), 1,
      anon_sym_todo,
    ACTIONS(231), 1,
      anon_sym_panic,
    ACTIONS(233), 1,
      anon_sym_echo,
    ACTIONS(235), 1,
      anon_sym_case,
    ACTIONS(237), 1,
      anon_sym_assert,
    ACTIONS(241), 1,
      anon_sym_DQUOTE,
    ACTIONS(247), 1,
      sym__decimal,
    ACTIONS(249), 1,
      sym__name,
    ACTIONS(251), 1,
      sym__upname,
    ACTIONS(1160), 1,
      anon_sym_DASH,
    ACTIONS(1164), 1,
      anon_sym_BANG,
    ACTIONS(1241), 1,
      sym_float,
    STATE(910), 1,
      sym_identifier,
    STATE(931), 1,
      sym_anonymous_function,
    STATE(935), 1,
      sym_tuple,
    STATE(1738), 1,
      sym__maybe_function_expression,
    STATE(1790), 1,
      sym__maybe_tuple_expression,
    STATE(1869), 1,
      sym__maybe_record_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(853), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(938), 2,
      sym_record,
      sym_record_update,
    ACTIONS(245), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(908), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(992), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [27310] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(11), 1,
      anon_sym_LBRACE,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LT_LT,
    ACTIONS(27), 1,
      anon_sym_DASH,
    ACTIONS(33), 1,
      anon_sym_todo,
    ACTIONS(35), 1,
      anon_sym_panic,
    ACTIONS(37), 1,
      anon_sym_echo,
    ACTIONS(39), 1,
      anon_sym_case,
    ACTIONS(43), 1,
      anon_sym_assert,
    ACTIONS(47), 1,
      anon_sym_BANG,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(59), 1,
      sym__decimal,
    ACTIONS(61), 1,
      sym__name,
    ACTIONS(63), 1,
      sym__upname,
    ACTIONS(978), 1,
      anon_sym_fn,
    ACTIONS(1243), 1,
      sym_float,
    STATE(57), 1,
      sym_identifier,
    STATE(124), 1,
      sym_anonymous_function,
    STATE(125), 1,
      sym_tuple,
    STATE(1639), 1,
      sym__maybe_function_expression,
    STATE(1906), 1,
      sym__maybe_record_expression,
    STATE(1907), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(39), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(126), 2,
      sym_record,
      sym_record_update,
    ACTIONS(57), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(62), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(156), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [27422] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(219), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_POUND,
    ACTIONS(223), 1,
      anon_sym_LBRACK,
    ACTIONS(225), 1,
      anon_sym_LT_LT,
    ACTIONS(227), 1,
      anon_sym_fn,
    ACTIONS(229), 1,
      anon_sym_todo,
    ACTIONS(231), 1,
      anon_sym_panic,
    ACTIONS(233), 1,
      anon_sym_echo,
    ACTIONS(235), 1,
      anon_sym_case,
    ACTIONS(237), 1,
      anon_sym_assert,
    ACTIONS(241), 1,
      anon_sym_DQUOTE,
    ACTIONS(247), 1,
      sym__decimal,
    ACTIONS(249), 1,
      sym__name,
    ACTIONS(251), 1,
      sym__upname,
    ACTIONS(1160), 1,
      anon_sym_DASH,
    ACTIONS(1164), 1,
      anon_sym_BANG,
    ACTIONS(1245), 1,
      sym_float,
    STATE(910), 1,
      sym_identifier,
    STATE(931), 1,
      sym_anonymous_function,
    STATE(935), 1,
      sym_tuple,
    STATE(1738), 1,
      sym__maybe_function_expression,
    STATE(1790), 1,
      sym__maybe_tuple_expression,
    STATE(1869), 1,
      sym__maybe_record_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(853), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(938), 2,
      sym_record,
      sym_record_update,
    ACTIONS(245), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(908), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1010), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [27534] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1247), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(999), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [27646] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(207), 1,
      anon_sym_todo,
    ACTIONS(209), 1,
      anon_sym_panic,
    ACTIONS(211), 1,
      anon_sym_echo,
    ACTIONS(213), 1,
      anon_sym_assert,
    ACTIONS(966), 1,
      anon_sym_DASH,
    ACTIONS(968), 1,
      anon_sym_BANG,
    ACTIONS(1249), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(946), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [27758] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(207), 1,
      anon_sym_todo,
    ACTIONS(209), 1,
      anon_sym_panic,
    ACTIONS(211), 1,
      anon_sym_echo,
    ACTIONS(213), 1,
      anon_sym_assert,
    ACTIONS(966), 1,
      anon_sym_DASH,
    ACTIONS(968), 1,
      anon_sym_BANG,
    ACTIONS(1251), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(945), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [27870] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(219), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_POUND,
    ACTIONS(223), 1,
      anon_sym_LBRACK,
    ACTIONS(225), 1,
      anon_sym_LT_LT,
    ACTIONS(227), 1,
      anon_sym_fn,
    ACTIONS(229), 1,
      anon_sym_todo,
    ACTIONS(231), 1,
      anon_sym_panic,
    ACTIONS(233), 1,
      anon_sym_echo,
    ACTIONS(235), 1,
      anon_sym_case,
    ACTIONS(237), 1,
      anon_sym_assert,
    ACTIONS(241), 1,
      anon_sym_DQUOTE,
    ACTIONS(247), 1,
      sym__decimal,
    ACTIONS(249), 1,
      sym__name,
    ACTIONS(251), 1,
      sym__upname,
    ACTIONS(1160), 1,
      anon_sym_DASH,
    ACTIONS(1164), 1,
      anon_sym_BANG,
    ACTIONS(1253), 1,
      sym_float,
    STATE(910), 1,
      sym_identifier,
    STATE(931), 1,
      sym_anonymous_function,
    STATE(935), 1,
      sym_tuple,
    STATE(1738), 1,
      sym__maybe_function_expression,
    STATE(1790), 1,
      sym__maybe_tuple_expression,
    STATE(1869), 1,
      sym__maybe_record_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(853), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(938), 2,
      sym_record,
      sym_record_update,
    ACTIONS(245), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(908), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(974), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [27982] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1172), 1,
      anon_sym_DASH,
    ACTIONS(1174), 1,
      anon_sym_todo,
    ACTIONS(1176), 1,
      anon_sym_panic,
    ACTIONS(1178), 1,
      anon_sym_assert,
    ACTIONS(1180), 1,
      anon_sym_BANG,
    ACTIONS(1182), 1,
      sym_float,
    ACTIONS(1255), 1,
      anon_sym_GT_GT,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1723), 1,
      sym_expression_bit_string_segment,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1915), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1555), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [28098] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(193), 1,
      anon_sym_fn,
    ACTIONS(195), 1,
      anon_sym_todo,
    ACTIONS(197), 1,
      anon_sym_panic,
    ACTIONS(199), 1,
      anon_sym_echo,
    ACTIONS(201), 1,
      anon_sym_case,
    ACTIONS(203), 1,
      anon_sym_assert,
    ACTIONS(1088), 1,
      anon_sym_POUND,
    ACTIONS(1090), 1,
      anon_sym_LBRACK,
    ACTIONS(1092), 1,
      anon_sym_LT_LT,
    ACTIONS(1094), 1,
      anon_sym_DASH,
    ACTIONS(1098), 1,
      anon_sym_BANG,
    ACTIONS(1100), 1,
      anon_sym_DQUOTE,
    ACTIONS(1106), 1,
      sym__decimal,
    ACTIONS(1108), 1,
      sym__name,
    ACTIONS(1110), 1,
      sym__upname,
    ACTIONS(1257), 1,
      sym_float,
    STATE(566), 1,
      sym_identifier,
    STATE(588), 1,
      sym_tuple,
    STATE(592), 1,
      sym_anonymous_function,
    STATE(1695), 1,
      sym__maybe_function_expression,
    STATE(1819), 1,
      sym__maybe_tuple_expression,
    STATE(1858), 1,
      sym__maybe_record_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(559), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(591), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1104), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(564), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(628), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [28210] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1120), 1,
      anon_sym_LBRACE,
    ACTIONS(1122), 1,
      anon_sym_POUND,
    ACTIONS(1124), 1,
      anon_sym_LBRACK,
    ACTIONS(1126), 1,
      anon_sym_LT_LT,
    ACTIONS(1128), 1,
      anon_sym_DASH,
    ACTIONS(1130), 1,
      anon_sym_fn,
    ACTIONS(1132), 1,
      anon_sym_todo,
    ACTIONS(1134), 1,
      anon_sym_panic,
    ACTIONS(1138), 1,
      anon_sym_case,
    ACTIONS(1140), 1,
      anon_sym_assert,
    ACTIONS(1142), 1,
      anon_sym_BANG,
    ACTIONS(1144), 1,
      anon_sym_DQUOTE,
    ACTIONS(1150), 1,
      sym__decimal,
    ACTIONS(1152), 1,
      sym__name,
    ACTIONS(1154), 1,
      sym__upname,
    ACTIONS(1184), 1,
      anon_sym_echo,
    ACTIONS(1259), 1,
      sym_float,
    STATE(15), 1,
      sym_identifier,
    STATE(50), 1,
      sym_tuple,
    STATE(72), 1,
      sym_anonymous_function,
    STATE(1630), 1,
      sym__maybe_function_expression,
    STATE(1836), 1,
      sym__maybe_record_expression,
    STATE(1889), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(14), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(73), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1148), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(23), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(132), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [28322] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1172), 1,
      anon_sym_DASH,
    ACTIONS(1174), 1,
      anon_sym_todo,
    ACTIONS(1176), 1,
      anon_sym_panic,
    ACTIONS(1178), 1,
      anon_sym_assert,
    ACTIONS(1180), 1,
      anon_sym_BANG,
    ACTIONS(1182), 1,
      sym_float,
    ACTIONS(1261), 1,
      anon_sym_GT_GT,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1723), 1,
      sym_expression_bit_string_segment,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1915), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1555), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [28438] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(207), 1,
      anon_sym_todo,
    ACTIONS(209), 1,
      anon_sym_panic,
    ACTIONS(211), 1,
      anon_sym_echo,
    ACTIONS(213), 1,
      anon_sym_assert,
    ACTIONS(966), 1,
      anon_sym_DASH,
    ACTIONS(968), 1,
      anon_sym_BANG,
    ACTIONS(1263), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(953), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [28550] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1265), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(810), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [28662] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(193), 1,
      anon_sym_fn,
    ACTIONS(195), 1,
      anon_sym_todo,
    ACTIONS(197), 1,
      anon_sym_panic,
    ACTIONS(199), 1,
      anon_sym_echo,
    ACTIONS(201), 1,
      anon_sym_case,
    ACTIONS(203), 1,
      anon_sym_assert,
    ACTIONS(1088), 1,
      anon_sym_POUND,
    ACTIONS(1090), 1,
      anon_sym_LBRACK,
    ACTIONS(1092), 1,
      anon_sym_LT_LT,
    ACTIONS(1094), 1,
      anon_sym_DASH,
    ACTIONS(1098), 1,
      anon_sym_BANG,
    ACTIONS(1100), 1,
      anon_sym_DQUOTE,
    ACTIONS(1106), 1,
      sym__decimal,
    ACTIONS(1108), 1,
      sym__name,
    ACTIONS(1110), 1,
      sym__upname,
    ACTIONS(1267), 1,
      sym_float,
    STATE(566), 1,
      sym_identifier,
    STATE(588), 1,
      sym_tuple,
    STATE(592), 1,
      sym_anonymous_function,
    STATE(1695), 1,
      sym__maybe_function_expression,
    STATE(1819), 1,
      sym__maybe_tuple_expression,
    STATE(1858), 1,
      sym__maybe_record_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(559), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(591), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1104), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(564), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(634), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [28774] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1269), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(815), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [28886] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(207), 1,
      anon_sym_todo,
    ACTIONS(209), 1,
      anon_sym_panic,
    ACTIONS(211), 1,
      anon_sym_echo,
    ACTIONS(213), 1,
      anon_sym_assert,
    ACTIONS(966), 1,
      anon_sym_DASH,
    ACTIONS(968), 1,
      anon_sym_BANG,
    ACTIONS(1271), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(954), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [28998] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(193), 1,
      anon_sym_fn,
    ACTIONS(195), 1,
      anon_sym_todo,
    ACTIONS(197), 1,
      anon_sym_panic,
    ACTIONS(199), 1,
      anon_sym_echo,
    ACTIONS(201), 1,
      anon_sym_case,
    ACTIONS(203), 1,
      anon_sym_assert,
    ACTIONS(1088), 1,
      anon_sym_POUND,
    ACTIONS(1090), 1,
      anon_sym_LBRACK,
    ACTIONS(1092), 1,
      anon_sym_LT_LT,
    ACTIONS(1094), 1,
      anon_sym_DASH,
    ACTIONS(1098), 1,
      anon_sym_BANG,
    ACTIONS(1100), 1,
      anon_sym_DQUOTE,
    ACTIONS(1106), 1,
      sym__decimal,
    ACTIONS(1108), 1,
      sym__name,
    ACTIONS(1110), 1,
      sym__upname,
    ACTIONS(1273), 1,
      sym_float,
    STATE(566), 1,
      sym_identifier,
    STATE(588), 1,
      sym_tuple,
    STATE(592), 1,
      sym_anonymous_function,
    STATE(1695), 1,
      sym__maybe_function_expression,
    STATE(1819), 1,
      sym__maybe_tuple_expression,
    STATE(1858), 1,
      sym__maybe_record_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(559), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(591), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1104), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(564), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(594), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [29110] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1275), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(822), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [29222] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(193), 1,
      anon_sym_fn,
    ACTIONS(195), 1,
      anon_sym_todo,
    ACTIONS(197), 1,
      anon_sym_panic,
    ACTIONS(199), 1,
      anon_sym_echo,
    ACTIONS(201), 1,
      anon_sym_case,
    ACTIONS(203), 1,
      anon_sym_assert,
    ACTIONS(1088), 1,
      anon_sym_POUND,
    ACTIONS(1090), 1,
      anon_sym_LBRACK,
    ACTIONS(1092), 1,
      anon_sym_LT_LT,
    ACTIONS(1094), 1,
      anon_sym_DASH,
    ACTIONS(1098), 1,
      anon_sym_BANG,
    ACTIONS(1100), 1,
      anon_sym_DQUOTE,
    ACTIONS(1106), 1,
      sym__decimal,
    ACTIONS(1108), 1,
      sym__name,
    ACTIONS(1110), 1,
      sym__upname,
    ACTIONS(1277), 1,
      sym_float,
    STATE(566), 1,
      sym_identifier,
    STATE(588), 1,
      sym_tuple,
    STATE(592), 1,
      sym_anonymous_function,
    STATE(1695), 1,
      sym__maybe_function_expression,
    STATE(1819), 1,
      sym__maybe_tuple_expression,
    STATE(1858), 1,
      sym__maybe_record_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(559), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(591), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1104), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(564), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(631), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [29334] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(11), 1,
      anon_sym_LBRACE,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LT_LT,
    ACTIONS(27), 1,
      anon_sym_DASH,
    ACTIONS(33), 1,
      anon_sym_todo,
    ACTIONS(35), 1,
      anon_sym_panic,
    ACTIONS(37), 1,
      anon_sym_echo,
    ACTIONS(39), 1,
      anon_sym_case,
    ACTIONS(43), 1,
      anon_sym_assert,
    ACTIONS(47), 1,
      anon_sym_BANG,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(59), 1,
      sym__decimal,
    ACTIONS(61), 1,
      sym__name,
    ACTIONS(63), 1,
      sym__upname,
    ACTIONS(978), 1,
      anon_sym_fn,
    ACTIONS(1279), 1,
      sym_float,
    STATE(57), 1,
      sym_identifier,
    STATE(124), 1,
      sym_anonymous_function,
    STATE(125), 1,
      sym_tuple,
    STATE(1639), 1,
      sym__maybe_function_expression,
    STATE(1906), 1,
      sym__maybe_record_expression,
    STATE(1907), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(39), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(126), 2,
      sym_record,
      sym_record_update,
    ACTIONS(57), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(62), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(191), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [29446] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1281), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(821), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [29558] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(193), 1,
      anon_sym_fn,
    ACTIONS(195), 1,
      anon_sym_todo,
    ACTIONS(197), 1,
      anon_sym_panic,
    ACTIONS(199), 1,
      anon_sym_echo,
    ACTIONS(201), 1,
      anon_sym_case,
    ACTIONS(203), 1,
      anon_sym_assert,
    ACTIONS(1088), 1,
      anon_sym_POUND,
    ACTIONS(1090), 1,
      anon_sym_LBRACK,
    ACTIONS(1092), 1,
      anon_sym_LT_LT,
    ACTIONS(1094), 1,
      anon_sym_DASH,
    ACTIONS(1098), 1,
      anon_sym_BANG,
    ACTIONS(1100), 1,
      anon_sym_DQUOTE,
    ACTIONS(1106), 1,
      sym__decimal,
    ACTIONS(1108), 1,
      sym__name,
    ACTIONS(1110), 1,
      sym__upname,
    ACTIONS(1283), 1,
      sym_float,
    STATE(566), 1,
      sym_identifier,
    STATE(588), 1,
      sym_tuple,
    STATE(592), 1,
      sym_anonymous_function,
    STATE(1695), 1,
      sym__maybe_function_expression,
    STATE(1819), 1,
      sym__maybe_tuple_expression,
    STATE(1858), 1,
      sym__maybe_record_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(559), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(591), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1104), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(564), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(630), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [29670] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1285), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(820), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [29782] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1287), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(819), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [29894] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1289), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(818), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [30006] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1291), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(734), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [30118] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1293), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(812), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [30230] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1295), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(801), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [30342] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(93), 1,
      sym_float,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(802), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [30454] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(11), 1,
      anon_sym_LBRACE,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LT_LT,
    ACTIONS(27), 1,
      anon_sym_DASH,
    ACTIONS(33), 1,
      anon_sym_todo,
    ACTIONS(35), 1,
      anon_sym_panic,
    ACTIONS(37), 1,
      anon_sym_echo,
    ACTIONS(39), 1,
      anon_sym_case,
    ACTIONS(43), 1,
      anon_sym_assert,
    ACTIONS(47), 1,
      anon_sym_BANG,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(59), 1,
      sym__decimal,
    ACTIONS(61), 1,
      sym__name,
    ACTIONS(63), 1,
      sym__upname,
    ACTIONS(978), 1,
      anon_sym_fn,
    ACTIONS(1297), 1,
      sym_float,
    STATE(57), 1,
      sym_identifier,
    STATE(124), 1,
      sym_anonymous_function,
    STATE(125), 1,
      sym_tuple,
    STATE(1639), 1,
      sym__maybe_function_expression,
    STATE(1906), 1,
      sym__maybe_record_expression,
    STATE(1907), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(39), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(126), 2,
      sym_record,
      sym_record_update,
    ACTIONS(57), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(62), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(143), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [30566] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(690), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(688), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [30626] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1172), 1,
      anon_sym_DASH,
    ACTIONS(1174), 1,
      anon_sym_todo,
    ACTIONS(1176), 1,
      anon_sym_panic,
    ACTIONS(1178), 1,
      anon_sym_assert,
    ACTIONS(1180), 1,
      anon_sym_BANG,
    ACTIONS(1182), 1,
      sym_float,
    ACTIONS(1299), 1,
      anon_sym_GT_GT,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1723), 1,
      sym_expression_bit_string_segment,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1915), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1555), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [30742] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(660), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(658), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [30802] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(193), 1,
      anon_sym_fn,
    ACTIONS(195), 1,
      anon_sym_todo,
    ACTIONS(197), 1,
      anon_sym_panic,
    ACTIONS(199), 1,
      anon_sym_echo,
    ACTIONS(201), 1,
      anon_sym_case,
    ACTIONS(203), 1,
      anon_sym_assert,
    ACTIONS(1088), 1,
      anon_sym_POUND,
    ACTIONS(1090), 1,
      anon_sym_LBRACK,
    ACTIONS(1092), 1,
      anon_sym_LT_LT,
    ACTIONS(1094), 1,
      anon_sym_DASH,
    ACTIONS(1098), 1,
      anon_sym_BANG,
    ACTIONS(1100), 1,
      anon_sym_DQUOTE,
    ACTIONS(1106), 1,
      sym__decimal,
    ACTIONS(1108), 1,
      sym__name,
    ACTIONS(1110), 1,
      sym__upname,
    ACTIONS(1301), 1,
      sym_float,
    STATE(566), 1,
      sym_identifier,
    STATE(588), 1,
      sym_tuple,
    STATE(592), 1,
      sym_anonymous_function,
    STATE(1695), 1,
      sym__maybe_function_expression,
    STATE(1819), 1,
      sym__maybe_tuple_expression,
    STATE(1858), 1,
      sym__maybe_record_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(559), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(591), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1104), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(564), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(627), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [30914] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1303), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(986), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [31026] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1305), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(977), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [31138] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(207), 1,
      anon_sym_todo,
    ACTIONS(209), 1,
      anon_sym_panic,
    ACTIONS(211), 1,
      anon_sym_echo,
    ACTIONS(213), 1,
      anon_sym_assert,
    ACTIONS(966), 1,
      anon_sym_DASH,
    ACTIONS(968), 1,
      anon_sym_BANG,
    ACTIONS(1203), 1,
      sym_float,
    ACTIONS(1307), 1,
      anon_sym_LBRACE,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(941), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [31250] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(726), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(724), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [31310] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(730), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(728), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [31370] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(207), 1,
      anon_sym_todo,
    ACTIONS(209), 1,
      anon_sym_panic,
    ACTIONS(211), 1,
      anon_sym_echo,
    ACTIONS(213), 1,
      anon_sym_assert,
    ACTIONS(966), 1,
      anon_sym_DASH,
    ACTIONS(968), 1,
      anon_sym_BANG,
    ACTIONS(1203), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(941), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [31482] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(734), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(732), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [31542] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1172), 1,
      anon_sym_DASH,
    ACTIONS(1174), 1,
      anon_sym_todo,
    ACTIONS(1176), 1,
      anon_sym_panic,
    ACTIONS(1178), 1,
      anon_sym_assert,
    ACTIONS(1180), 1,
      anon_sym_BANG,
    ACTIONS(1182), 1,
      sym_float,
    ACTIONS(1310), 1,
      anon_sym_GT_GT,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1723), 1,
      sym_expression_bit_string_segment,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1915), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1555), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [31658] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1312), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1016), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [31770] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(471), 1,
      anon_sym_DASH,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(475), 1,
      anon_sym_todo,
    ACTIONS(477), 1,
      anon_sym_panic,
    ACTIONS(479), 1,
      anon_sym_echo,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(485), 1,
      anon_sym_assert,
    ACTIONS(489), 1,
      anon_sym_BANG,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1314), 1,
      sym_float,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1866), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(548), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [31882] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(471), 1,
      anon_sym_DASH,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(475), 1,
      anon_sym_todo,
    ACTIONS(477), 1,
      anon_sym_panic,
    ACTIONS(479), 1,
      anon_sym_echo,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(485), 1,
      anon_sym_assert,
    ACTIONS(489), 1,
      anon_sym_BANG,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1316), 1,
      sym_float,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1866), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(549), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [31994] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(193), 1,
      anon_sym_fn,
    ACTIONS(195), 1,
      anon_sym_todo,
    ACTIONS(197), 1,
      anon_sym_panic,
    ACTIONS(199), 1,
      anon_sym_echo,
    ACTIONS(201), 1,
      anon_sym_case,
    ACTIONS(203), 1,
      anon_sym_assert,
    ACTIONS(1088), 1,
      anon_sym_POUND,
    ACTIONS(1090), 1,
      anon_sym_LBRACK,
    ACTIONS(1092), 1,
      anon_sym_LT_LT,
    ACTIONS(1094), 1,
      anon_sym_DASH,
    ACTIONS(1098), 1,
      anon_sym_BANG,
    ACTIONS(1100), 1,
      anon_sym_DQUOTE,
    ACTIONS(1106), 1,
      sym__decimal,
    ACTIONS(1108), 1,
      sym__name,
    ACTIONS(1110), 1,
      sym__upname,
    ACTIONS(1318), 1,
      sym_float,
    STATE(566), 1,
      sym_identifier,
    STATE(588), 1,
      sym_tuple,
    STATE(592), 1,
      sym_anonymous_function,
    STATE(1695), 1,
      sym__maybe_function_expression,
    STATE(1819), 1,
      sym__maybe_tuple_expression,
    STATE(1858), 1,
      sym__maybe_record_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(559), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(591), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1104), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(564), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(593), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [32106] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1320), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1011), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [32218] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(742), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(740), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [32278] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(750), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(748), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [32338] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(664), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(662), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [32398] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(754), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(752), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [32458] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(526), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(524), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [32518] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(399), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(397), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [32578] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(548), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(546), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [32638] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(193), 1,
      anon_sym_fn,
    ACTIONS(195), 1,
      anon_sym_todo,
    ACTIONS(197), 1,
      anon_sym_panic,
    ACTIONS(199), 1,
      anon_sym_echo,
    ACTIONS(201), 1,
      anon_sym_case,
    ACTIONS(203), 1,
      anon_sym_assert,
    ACTIONS(1088), 1,
      anon_sym_POUND,
    ACTIONS(1090), 1,
      anon_sym_LBRACK,
    ACTIONS(1092), 1,
      anon_sym_LT_LT,
    ACTIONS(1094), 1,
      anon_sym_DASH,
    ACTIONS(1098), 1,
      anon_sym_BANG,
    ACTIONS(1100), 1,
      anon_sym_DQUOTE,
    ACTIONS(1106), 1,
      sym__decimal,
    ACTIONS(1108), 1,
      sym__name,
    ACTIONS(1110), 1,
      sym__upname,
    ACTIONS(1322), 1,
      sym_float,
    STATE(566), 1,
      sym_identifier,
    STATE(588), 1,
      sym_tuple,
    STATE(592), 1,
      sym_anonymous_function,
    STATE(1695), 1,
      sym__maybe_function_expression,
    STATE(1819), 1,
      sym__maybe_tuple_expression,
    STATE(1858), 1,
      sym__maybe_record_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(559), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(591), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1104), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(564), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(609), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [32750] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1172), 1,
      anon_sym_DASH,
    ACTIONS(1174), 1,
      anon_sym_todo,
    ACTIONS(1176), 1,
      anon_sym_panic,
    ACTIONS(1178), 1,
      anon_sym_assert,
    ACTIONS(1180), 1,
      anon_sym_BANG,
    ACTIONS(1182), 1,
      sym_float,
    ACTIONS(1324), 1,
      anon_sym_GT_GT,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1448), 1,
      sym_expression_bit_string_segment,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1915), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1555), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [32866] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(552), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(550), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [32926] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1326), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1026), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [33038] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1328), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1036), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [33150] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(471), 1,
      anon_sym_DASH,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(475), 1,
      anon_sym_todo,
    ACTIONS(477), 1,
      anon_sym_panic,
    ACTIONS(479), 1,
      anon_sym_echo,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(485), 1,
      anon_sym_assert,
    ACTIONS(489), 1,
      anon_sym_BANG,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1330), 1,
      sym_float,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1866), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(534), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [33262] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(471), 1,
      anon_sym_DASH,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(475), 1,
      anon_sym_todo,
    ACTIONS(477), 1,
      anon_sym_panic,
    ACTIONS(479), 1,
      anon_sym_echo,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(485), 1,
      anon_sym_assert,
    ACTIONS(489), 1,
      anon_sym_BANG,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1332), 1,
      sym_float,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1866), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(546), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [33374] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(193), 1,
      anon_sym_fn,
    ACTIONS(195), 1,
      anon_sym_todo,
    ACTIONS(197), 1,
      anon_sym_panic,
    ACTIONS(199), 1,
      anon_sym_echo,
    ACTIONS(201), 1,
      anon_sym_case,
    ACTIONS(203), 1,
      anon_sym_assert,
    ACTIONS(1088), 1,
      anon_sym_POUND,
    ACTIONS(1090), 1,
      anon_sym_LBRACK,
    ACTIONS(1092), 1,
      anon_sym_LT_LT,
    ACTIONS(1094), 1,
      anon_sym_DASH,
    ACTIONS(1098), 1,
      anon_sym_BANG,
    ACTIONS(1100), 1,
      anon_sym_DQUOTE,
    ACTIONS(1106), 1,
      sym__decimal,
    ACTIONS(1108), 1,
      sym__name,
    ACTIONS(1110), 1,
      sym__upname,
    ACTIONS(1334), 1,
      sym_float,
    STATE(566), 1,
      sym_identifier,
    STATE(588), 1,
      sym_tuple,
    STATE(592), 1,
      sym_anonymous_function,
    STATE(1695), 1,
      sym__maybe_function_expression,
    STATE(1819), 1,
      sym__maybe_tuple_expression,
    STATE(1858), 1,
      sym__maybe_record_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(559), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(591), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1104), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(564), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(636), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [33486] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1120), 1,
      anon_sym_LBRACE,
    ACTIONS(1122), 1,
      anon_sym_POUND,
    ACTIONS(1124), 1,
      anon_sym_LBRACK,
    ACTIONS(1126), 1,
      anon_sym_LT_LT,
    ACTIONS(1128), 1,
      anon_sym_DASH,
    ACTIONS(1130), 1,
      anon_sym_fn,
    ACTIONS(1132), 1,
      anon_sym_todo,
    ACTIONS(1134), 1,
      anon_sym_panic,
    ACTIONS(1138), 1,
      anon_sym_case,
    ACTIONS(1140), 1,
      anon_sym_assert,
    ACTIONS(1142), 1,
      anon_sym_BANG,
    ACTIONS(1144), 1,
      anon_sym_DQUOTE,
    ACTIONS(1150), 1,
      sym__decimal,
    ACTIONS(1152), 1,
      sym__name,
    ACTIONS(1154), 1,
      sym__upname,
    ACTIONS(1184), 1,
      anon_sym_echo,
    ACTIONS(1336), 1,
      sym_float,
    STATE(15), 1,
      sym_identifier,
    STATE(50), 1,
      sym_tuple,
    STATE(72), 1,
      sym_anonymous_function,
    STATE(1630), 1,
      sym__maybe_function_expression,
    STATE(1836), 1,
      sym__maybe_record_expression,
    STATE(1889), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(14), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(73), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1148), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(23), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(92), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [33598] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(782), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(780), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [33658] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1172), 1,
      anon_sym_DASH,
    ACTIONS(1174), 1,
      anon_sym_todo,
    ACTIONS(1176), 1,
      anon_sym_panic,
    ACTIONS(1178), 1,
      anon_sym_assert,
    ACTIONS(1180), 1,
      anon_sym_BANG,
    ACTIONS(1182), 1,
      sym_float,
    ACTIONS(1338), 1,
      anon_sym_GT_GT,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1461), 1,
      sym_expression_bit_string_segment,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1915), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1555), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [33774] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1340), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(996), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [33886] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(786), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(784), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [33946] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(558), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(556), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [34006] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(11), 1,
      anon_sym_LBRACE,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LT_LT,
    ACTIONS(27), 1,
      anon_sym_DASH,
    ACTIONS(33), 1,
      anon_sym_todo,
    ACTIONS(35), 1,
      anon_sym_panic,
    ACTIONS(37), 1,
      anon_sym_echo,
    ACTIONS(39), 1,
      anon_sym_case,
    ACTIONS(43), 1,
      anon_sym_assert,
    ACTIONS(47), 1,
      anon_sym_BANG,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(59), 1,
      sym__decimal,
    ACTIONS(61), 1,
      sym__name,
    ACTIONS(63), 1,
      sym__upname,
    ACTIONS(978), 1,
      anon_sym_fn,
    ACTIONS(1342), 1,
      sym_float,
    STATE(57), 1,
      sym_identifier,
    STATE(124), 1,
      sym_anonymous_function,
    STATE(125), 1,
      sym_tuple,
    STATE(1639), 1,
      sym__maybe_function_expression,
    STATE(1906), 1,
      sym__maybe_record_expression,
    STATE(1907), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(39), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(126), 2,
      sym_record,
      sym_record_update,
    ACTIONS(57), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(62), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(190), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [34118] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1344), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1022), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [34230] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(892), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(862), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [34342] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1346), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1018), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [34454] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(562), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(560), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [34514] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(570), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(568), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [34574] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1034), 1,
      anon_sym_LBRACE,
    ACTIONS(1036), 1,
      anon_sym_POUND,
    ACTIONS(1038), 1,
      anon_sym_LBRACK,
    ACTIONS(1040), 1,
      anon_sym_LT_LT,
    ACTIONS(1042), 1,
      anon_sym_DASH,
    ACTIONS(1044), 1,
      anon_sym_fn,
    ACTIONS(1046), 1,
      anon_sym_todo,
    ACTIONS(1048), 1,
      anon_sym_panic,
    ACTIONS(1052), 1,
      anon_sym_case,
    ACTIONS(1054), 1,
      anon_sym_assert,
    ACTIONS(1056), 1,
      anon_sym_BANG,
    ACTIONS(1058), 1,
      anon_sym_DQUOTE,
    ACTIONS(1064), 1,
      sym__decimal,
    ACTIONS(1066), 1,
      sym__name,
    ACTIONS(1068), 1,
      sym__upname,
    ACTIONS(1348), 1,
      anon_sym_echo,
    ACTIONS(1350), 1,
      sym_float,
    STATE(428), 1,
      sym_identifier,
    STATE(475), 1,
      sym_anonymous_function,
    STATE(476), 1,
      sym_tuple,
    STATE(1652), 1,
      sym__maybe_function_expression,
    STATE(1847), 1,
      sym__maybe_record_expression,
    STATE(1859), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(244), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(477), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1062), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(427), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(521), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [34686] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(11), 1,
      anon_sym_LBRACE,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LT_LT,
    ACTIONS(27), 1,
      anon_sym_DASH,
    ACTIONS(33), 1,
      anon_sym_todo,
    ACTIONS(35), 1,
      anon_sym_panic,
    ACTIONS(37), 1,
      anon_sym_echo,
    ACTIONS(39), 1,
      anon_sym_case,
    ACTIONS(43), 1,
      anon_sym_assert,
    ACTIONS(47), 1,
      anon_sym_BANG,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(59), 1,
      sym__decimal,
    ACTIONS(61), 1,
      sym__name,
    ACTIONS(63), 1,
      sym__upname,
    ACTIONS(978), 1,
      anon_sym_fn,
    ACTIONS(1352), 1,
      sym_float,
    STATE(57), 1,
      sym_identifier,
    STATE(124), 1,
      sym_anonymous_function,
    STATE(125), 1,
      sym_tuple,
    STATE(1639), 1,
      sym__maybe_function_expression,
    STATE(1906), 1,
      sym__maybe_record_expression,
    STATE(1907), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(39), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(126), 2,
      sym_record,
      sym_record_update,
    ACTIONS(57), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(62), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(188), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [34798] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1172), 1,
      anon_sym_DASH,
    ACTIONS(1174), 1,
      anon_sym_todo,
    ACTIONS(1176), 1,
      anon_sym_panic,
    ACTIONS(1178), 1,
      anon_sym_assert,
    ACTIONS(1180), 1,
      anon_sym_BANG,
    ACTIONS(1182), 1,
      sym_float,
    ACTIONS(1354), 1,
      anon_sym_GT_GT,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1723), 1,
      sym_expression_bit_string_segment,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1915), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1555), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [34914] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1356), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1003), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [35026] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1172), 1,
      anon_sym_DASH,
    ACTIONS(1174), 1,
      anon_sym_todo,
    ACTIONS(1176), 1,
      anon_sym_panic,
    ACTIONS(1178), 1,
      anon_sym_assert,
    ACTIONS(1180), 1,
      anon_sym_BANG,
    ACTIONS(1182), 1,
      sym_float,
    ACTIONS(1358), 1,
      anon_sym_GT_GT,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1520), 1,
      sym_expression_bit_string_segment,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1915), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1555), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [35142] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(518), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(516), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [35202] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(596), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(594), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [35262] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(11), 1,
      anon_sym_LBRACE,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LT_LT,
    ACTIONS(27), 1,
      anon_sym_DASH,
    ACTIONS(33), 1,
      anon_sym_todo,
    ACTIONS(35), 1,
      anon_sym_panic,
    ACTIONS(37), 1,
      anon_sym_echo,
    ACTIONS(39), 1,
      anon_sym_case,
    ACTIONS(43), 1,
      anon_sym_assert,
    ACTIONS(47), 1,
      anon_sym_BANG,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(59), 1,
      sym__decimal,
    ACTIONS(61), 1,
      sym__name,
    ACTIONS(63), 1,
      sym__upname,
    ACTIONS(978), 1,
      anon_sym_fn,
    ACTIONS(1360), 1,
      sym_float,
    STATE(57), 1,
      sym_identifier,
    STATE(124), 1,
      sym_anonymous_function,
    STATE(125), 1,
      sym_tuple,
    STATE(1639), 1,
      sym__maybe_function_expression,
    STATE(1906), 1,
      sym__maybe_record_expression,
    STATE(1907), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(39), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(126), 2,
      sym_record,
      sym_record_update,
    ACTIONS(57), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(62), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(187), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [35374] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(471), 1,
      anon_sym_DASH,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(475), 1,
      anon_sym_todo,
    ACTIONS(477), 1,
      anon_sym_panic,
    ACTIONS(479), 1,
      anon_sym_echo,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(485), 1,
      anon_sym_assert,
    ACTIONS(489), 1,
      anon_sym_BANG,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1362), 1,
      sym_float,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1866), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(537), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [35486] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(471), 1,
      anon_sym_DASH,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(475), 1,
      anon_sym_todo,
    ACTIONS(477), 1,
      anon_sym_panic,
    ACTIONS(479), 1,
      anon_sym_echo,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(485), 1,
      anon_sym_assert,
    ACTIONS(489), 1,
      anon_sym_BANG,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1364), 1,
      sym_float,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1866), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(535), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [35598] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(471), 1,
      anon_sym_DASH,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(475), 1,
      anon_sym_todo,
    ACTIONS(477), 1,
      anon_sym_panic,
    ACTIONS(479), 1,
      anon_sym_echo,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(485), 1,
      anon_sym_assert,
    ACTIONS(489), 1,
      anon_sym_BANG,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1366), 1,
      sym_float,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1866), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(543), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [35710] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(471), 1,
      anon_sym_DASH,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(475), 1,
      anon_sym_todo,
    ACTIONS(477), 1,
      anon_sym_panic,
    ACTIONS(479), 1,
      anon_sym_echo,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(485), 1,
      anon_sym_assert,
    ACTIONS(489), 1,
      anon_sym_BANG,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1368), 1,
      sym_float,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1866), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(533), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [35822] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(471), 1,
      anon_sym_DASH,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(475), 1,
      anon_sym_todo,
    ACTIONS(477), 1,
      anon_sym_panic,
    ACTIONS(479), 1,
      anon_sym_echo,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(485), 1,
      anon_sym_assert,
    ACTIONS(489), 1,
      anon_sym_BANG,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1370), 1,
      sym_float,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1866), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(540), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [35934] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1372), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1038), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [36046] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(471), 1,
      anon_sym_DASH,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(475), 1,
      anon_sym_todo,
    ACTIONS(477), 1,
      anon_sym_panic,
    ACTIONS(479), 1,
      anon_sym_echo,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(485), 1,
      anon_sym_assert,
    ACTIONS(489), 1,
      anon_sym_BANG,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1374), 1,
      sym_float,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1866), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(536), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [36158] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(11), 1,
      anon_sym_LBRACE,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LT_LT,
    ACTIONS(27), 1,
      anon_sym_DASH,
    ACTIONS(33), 1,
      anon_sym_todo,
    ACTIONS(35), 1,
      anon_sym_panic,
    ACTIONS(37), 1,
      anon_sym_echo,
    ACTIONS(39), 1,
      anon_sym_case,
    ACTIONS(43), 1,
      anon_sym_assert,
    ACTIONS(47), 1,
      anon_sym_BANG,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(59), 1,
      sym__decimal,
    ACTIONS(61), 1,
      sym__name,
    ACTIONS(63), 1,
      sym__upname,
    ACTIONS(978), 1,
      anon_sym_fn,
    ACTIONS(1376), 1,
      sym_float,
    STATE(57), 1,
      sym_identifier,
    STATE(124), 1,
      sym_anonymous_function,
    STATE(125), 1,
      sym_tuple,
    STATE(1639), 1,
      sym__maybe_function_expression,
    STATE(1906), 1,
      sym__maybe_record_expression,
    STATE(1907), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(39), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(126), 2,
      sym_record,
      sym_record_update,
    ACTIONS(57), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(62), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(186), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [36270] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(592), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(590), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [36330] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(790), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(788), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [36390] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(471), 1,
      anon_sym_DASH,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(475), 1,
      anon_sym_todo,
    ACTIONS(477), 1,
      anon_sym_panic,
    ACTIONS(479), 1,
      anon_sym_echo,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(485), 1,
      anon_sym_assert,
    ACTIONS(489), 1,
      anon_sym_BANG,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1378), 1,
      sym_float,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1866), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(538), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [36502] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(816), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(814), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [36562] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(471), 1,
      anon_sym_DASH,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(475), 1,
      anon_sym_todo,
    ACTIONS(477), 1,
      anon_sym_panic,
    ACTIONS(479), 1,
      anon_sym_echo,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(485), 1,
      anon_sym_assert,
    ACTIONS(489), 1,
      anon_sym_BANG,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1380), 1,
      sym_float,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1866), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(539), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [36674] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(471), 1,
      anon_sym_DASH,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(475), 1,
      anon_sym_todo,
    ACTIONS(477), 1,
      anon_sym_panic,
    ACTIONS(479), 1,
      anon_sym_echo,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(485), 1,
      anon_sym_assert,
    ACTIONS(489), 1,
      anon_sym_BANG,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1382), 1,
      sym_float,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1866), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(541), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [36786] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(808), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(806), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [36846] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1172), 1,
      anon_sym_DASH,
    ACTIONS(1174), 1,
      anon_sym_todo,
    ACTIONS(1176), 1,
      anon_sym_panic,
    ACTIONS(1178), 1,
      anon_sym_assert,
    ACTIONS(1180), 1,
      anon_sym_BANG,
    ACTIONS(1182), 1,
      sym_float,
    ACTIONS(1384), 1,
      anon_sym_GT_GT,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1553), 1,
      sym_expression_bit_string_segment,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1915), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1555), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [36962] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(803), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(800), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [37022] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(193), 1,
      anon_sym_fn,
    ACTIONS(195), 1,
      anon_sym_todo,
    ACTIONS(197), 1,
      anon_sym_panic,
    ACTIONS(199), 1,
      anon_sym_echo,
    ACTIONS(201), 1,
      anon_sym_case,
    ACTIONS(203), 1,
      anon_sym_assert,
    ACTIONS(1088), 1,
      anon_sym_POUND,
    ACTIONS(1090), 1,
      anon_sym_LBRACK,
    ACTIONS(1092), 1,
      anon_sym_LT_LT,
    ACTIONS(1094), 1,
      anon_sym_DASH,
    ACTIONS(1098), 1,
      anon_sym_BANG,
    ACTIONS(1100), 1,
      anon_sym_DQUOTE,
    ACTIONS(1106), 1,
      sym__decimal,
    ACTIONS(1108), 1,
      sym__name,
    ACTIONS(1110), 1,
      sym__upname,
    ACTIONS(1386), 1,
      sym_float,
    STATE(566), 1,
      sym_identifier,
    STATE(588), 1,
      sym_tuple,
    STATE(592), 1,
      sym_anonymous_function,
    STATE(1695), 1,
      sym__maybe_function_expression,
    STATE(1819), 1,
      sym__maybe_tuple_expression,
    STATE(1858), 1,
      sym__maybe_record_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(559), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(591), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1104), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(564), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(641), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [37134] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(798), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(796), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [37194] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(794), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(792), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [37254] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1388), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1013), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [37366] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1172), 1,
      anon_sym_DASH,
    ACTIONS(1174), 1,
      anon_sym_todo,
    ACTIONS(1176), 1,
      anon_sym_panic,
    ACTIONS(1178), 1,
      anon_sym_assert,
    ACTIONS(1180), 1,
      anon_sym_BANG,
    ACTIONS(1182), 1,
      sym_float,
    ACTIONS(1390), 1,
      anon_sym_GT_GT,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1723), 1,
      sym_expression_bit_string_segment,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1915), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1555), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [37482] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(11), 1,
      anon_sym_LBRACE,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LT_LT,
    ACTIONS(27), 1,
      anon_sym_DASH,
    ACTIONS(33), 1,
      anon_sym_todo,
    ACTIONS(35), 1,
      anon_sym_panic,
    ACTIONS(37), 1,
      anon_sym_echo,
    ACTIONS(39), 1,
      anon_sym_case,
    ACTIONS(43), 1,
      anon_sym_assert,
    ACTIONS(47), 1,
      anon_sym_BANG,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(59), 1,
      sym__decimal,
    ACTIONS(61), 1,
      sym__name,
    ACTIONS(63), 1,
      sym__upname,
    ACTIONS(978), 1,
      anon_sym_fn,
    ACTIONS(1392), 1,
      sym_float,
    STATE(57), 1,
      sym_identifier,
    STATE(124), 1,
      sym_anonymous_function,
    STATE(125), 1,
      sym_tuple,
    STATE(1639), 1,
      sym__maybe_function_expression,
    STATE(1906), 1,
      sym__maybe_record_expression,
    STATE(1907), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(39), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(126), 2,
      sym_record,
      sym_record_update,
    ACTIONS(57), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(62), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(135), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [37594] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1394), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(968), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [37706] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(588), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(586), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [37766] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1034), 1,
      anon_sym_LBRACE,
    ACTIONS(1036), 1,
      anon_sym_POUND,
    ACTIONS(1038), 1,
      anon_sym_LBRACK,
    ACTIONS(1040), 1,
      anon_sym_LT_LT,
    ACTIONS(1042), 1,
      anon_sym_DASH,
    ACTIONS(1044), 1,
      anon_sym_fn,
    ACTIONS(1046), 1,
      anon_sym_todo,
    ACTIONS(1048), 1,
      anon_sym_panic,
    ACTIONS(1052), 1,
      anon_sym_case,
    ACTIONS(1054), 1,
      anon_sym_assert,
    ACTIONS(1056), 1,
      anon_sym_BANG,
    ACTIONS(1058), 1,
      anon_sym_DQUOTE,
    ACTIONS(1064), 1,
      sym__decimal,
    ACTIONS(1066), 1,
      sym__name,
    ACTIONS(1068), 1,
      sym__upname,
    ACTIONS(1348), 1,
      anon_sym_echo,
    ACTIONS(1396), 1,
      sym_float,
    STATE(428), 1,
      sym_identifier,
    STATE(475), 1,
      sym_anonymous_function,
    STATE(476), 1,
      sym_tuple,
    STATE(1652), 1,
      sym__maybe_function_expression,
    STATE(1847), 1,
      sym__maybe_record_expression,
    STATE(1859), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(244), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(477), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1062), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(427), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(514), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [37878] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(584), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(582), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [37938] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1398), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1000), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [38050] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(11), 1,
      anon_sym_LBRACE,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LT_LT,
    ACTIONS(27), 1,
      anon_sym_DASH,
    ACTIONS(33), 1,
      anon_sym_todo,
    ACTIONS(35), 1,
      anon_sym_panic,
    ACTIONS(37), 1,
      anon_sym_echo,
    ACTIONS(39), 1,
      anon_sym_case,
    ACTIONS(43), 1,
      anon_sym_assert,
    ACTIONS(47), 1,
      anon_sym_BANG,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(59), 1,
      sym__decimal,
    ACTIONS(61), 1,
      sym__name,
    ACTIONS(63), 1,
      sym__upname,
    ACTIONS(978), 1,
      anon_sym_fn,
    ACTIONS(1400), 1,
      sym_float,
    STATE(57), 1,
      sym_identifier,
    STATE(124), 1,
      sym_anonymous_function,
    STATE(125), 1,
      sym_tuple,
    STATE(1639), 1,
      sym__maybe_function_expression,
    STATE(1906), 1,
      sym__maybe_record_expression,
    STATE(1907), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(39), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(126), 2,
      sym_record,
      sym_record_update,
    ACTIONS(57), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(62), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(185), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [38162] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1172), 1,
      anon_sym_DASH,
    ACTIONS(1174), 1,
      anon_sym_todo,
    ACTIONS(1176), 1,
      anon_sym_panic,
    ACTIONS(1178), 1,
      anon_sym_assert,
    ACTIONS(1180), 1,
      anon_sym_BANG,
    ACTIONS(1182), 1,
      sym_float,
    ACTIONS(1402), 1,
      anon_sym_GT_GT,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1545), 1,
      sym_expression_bit_string_segment,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1915), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1555), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [38278] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(471), 1,
      anon_sym_DASH,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(475), 1,
      anon_sym_todo,
    ACTIONS(477), 1,
      anon_sym_panic,
    ACTIONS(479), 1,
      anon_sym_echo,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(485), 1,
      anon_sym_assert,
    ACTIONS(489), 1,
      anon_sym_BANG,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1404), 1,
      sym_float,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1866), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(547), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [38390] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(389), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(387), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [38454] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN,
    ACTIONS(1406), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(389), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(387), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [38518] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(11), 1,
      anon_sym_LBRACE,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LT_LT,
    ACTIONS(27), 1,
      anon_sym_DASH,
    ACTIONS(33), 1,
      anon_sym_todo,
    ACTIONS(35), 1,
      anon_sym_panic,
    ACTIONS(37), 1,
      anon_sym_echo,
    ACTIONS(39), 1,
      anon_sym_case,
    ACTIONS(43), 1,
      anon_sym_assert,
    ACTIONS(47), 1,
      anon_sym_BANG,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(59), 1,
      sym__decimal,
    ACTIONS(61), 1,
      sym__name,
    ACTIONS(63), 1,
      sym__upname,
    ACTIONS(978), 1,
      anon_sym_fn,
    ACTIONS(1410), 1,
      sym_float,
    STATE(57), 1,
      sym_identifier,
    STATE(124), 1,
      sym_anonymous_function,
    STATE(125), 1,
      sym_tuple,
    STATE(1639), 1,
      sym__maybe_function_expression,
    STATE(1906), 1,
      sym__maybe_record_expression,
    STATE(1907), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(39), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(126), 2,
      sym_record,
      sym_record_update,
    ACTIONS(57), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(62), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(184), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [38630] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1412), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1009), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [38742] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(534), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(532), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [38802] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1172), 1,
      anon_sym_DASH,
    ACTIONS(1174), 1,
      anon_sym_todo,
    ACTIONS(1176), 1,
      anon_sym_panic,
    ACTIONS(1178), 1,
      anon_sym_assert,
    ACTIONS(1180), 1,
      anon_sym_BANG,
    ACTIONS(1182), 1,
      sym_float,
    ACTIONS(1414), 1,
      anon_sym_GT_GT,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1723), 1,
      sym_expression_bit_string_segment,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1915), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1555), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [38918] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(207), 1,
      anon_sym_todo,
    ACTIONS(209), 1,
      anon_sym_panic,
    ACTIONS(211), 1,
      anon_sym_echo,
    ACTIONS(213), 1,
      anon_sym_assert,
    ACTIONS(217), 1,
      sym_float,
    ACTIONS(966), 1,
      anon_sym_DASH,
    ACTIONS(968), 1,
      anon_sym_BANG,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(927), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [39030] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1034), 1,
      anon_sym_LBRACE,
    ACTIONS(1036), 1,
      anon_sym_POUND,
    ACTIONS(1038), 1,
      anon_sym_LBRACK,
    ACTIONS(1040), 1,
      anon_sym_LT_LT,
    ACTIONS(1042), 1,
      anon_sym_DASH,
    ACTIONS(1044), 1,
      anon_sym_fn,
    ACTIONS(1046), 1,
      anon_sym_todo,
    ACTIONS(1048), 1,
      anon_sym_panic,
    ACTIONS(1052), 1,
      anon_sym_case,
    ACTIONS(1054), 1,
      anon_sym_assert,
    ACTIONS(1056), 1,
      anon_sym_BANG,
    ACTIONS(1058), 1,
      anon_sym_DQUOTE,
    ACTIONS(1064), 1,
      sym__decimal,
    ACTIONS(1066), 1,
      sym__name,
    ACTIONS(1068), 1,
      sym__upname,
    ACTIONS(1348), 1,
      anon_sym_echo,
    ACTIONS(1416), 1,
      sym_float,
    STATE(428), 1,
      sym_identifier,
    STATE(475), 1,
      sym_anonymous_function,
    STATE(476), 1,
      sym_tuple,
    STATE(1652), 1,
      sym__maybe_function_expression,
    STATE(1847), 1,
      sym__maybe_record_expression,
    STATE(1859), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(244), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(477), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1062), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(427), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(496), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [39142] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1418), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(997), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [39254] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1420), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1001), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [39366] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1172), 1,
      anon_sym_DASH,
    ACTIONS(1174), 1,
      anon_sym_todo,
    ACTIONS(1176), 1,
      anon_sym_panic,
    ACTIONS(1178), 1,
      anon_sym_assert,
    ACTIONS(1180), 1,
      anon_sym_BANG,
    ACTIONS(1182), 1,
      sym_float,
    ACTIONS(1422), 1,
      anon_sym_GT_GT,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1723), 1,
      sym_expression_bit_string_segment,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1915), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1555), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [39482] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1424), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1043), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [39594] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(207), 1,
      anon_sym_todo,
    ACTIONS(209), 1,
      anon_sym_panic,
    ACTIONS(211), 1,
      anon_sym_echo,
    ACTIONS(213), 1,
      anon_sym_assert,
    ACTIONS(966), 1,
      anon_sym_DASH,
    ACTIONS(968), 1,
      anon_sym_BANG,
    ACTIONS(1291), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(734), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [39706] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(207), 1,
      anon_sym_todo,
    ACTIONS(209), 1,
      anon_sym_panic,
    ACTIONS(211), 1,
      anon_sym_echo,
    ACTIONS(213), 1,
      anon_sym_assert,
    ACTIONS(966), 1,
      anon_sym_DASH,
    ACTIONS(968), 1,
      anon_sym_BANG,
    ACTIONS(1426), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(943), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [39818] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1172), 1,
      anon_sym_DASH,
    ACTIONS(1174), 1,
      anon_sym_todo,
    ACTIONS(1176), 1,
      anon_sym_panic,
    ACTIONS(1178), 1,
      anon_sym_assert,
    ACTIONS(1180), 1,
      anon_sym_BANG,
    ACTIONS(1182), 1,
      sym_float,
    ACTIONS(1428), 1,
      anon_sym_GT_GT,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1723), 1,
      sym_expression_bit_string_segment,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1915), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1555), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [39934] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1034), 1,
      anon_sym_LBRACE,
    ACTIONS(1036), 1,
      anon_sym_POUND,
    ACTIONS(1038), 1,
      anon_sym_LBRACK,
    ACTIONS(1040), 1,
      anon_sym_LT_LT,
    ACTIONS(1042), 1,
      anon_sym_DASH,
    ACTIONS(1044), 1,
      anon_sym_fn,
    ACTIONS(1046), 1,
      anon_sym_todo,
    ACTIONS(1048), 1,
      anon_sym_panic,
    ACTIONS(1052), 1,
      anon_sym_case,
    ACTIONS(1054), 1,
      anon_sym_assert,
    ACTIONS(1056), 1,
      anon_sym_BANG,
    ACTIONS(1058), 1,
      anon_sym_DQUOTE,
    ACTIONS(1064), 1,
      sym__decimal,
    ACTIONS(1066), 1,
      sym__name,
    ACTIONS(1068), 1,
      sym__upname,
    ACTIONS(1348), 1,
      anon_sym_echo,
    ACTIONS(1430), 1,
      sym_float,
    STATE(428), 1,
      sym_identifier,
    STATE(475), 1,
      sym_anonymous_function,
    STATE(476), 1,
      sym_tuple,
    STATE(1652), 1,
      sym__maybe_function_expression,
    STATE(1847), 1,
      sym__maybe_record_expression,
    STATE(1859), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(244), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(477), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1062), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(427), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(492), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [40046] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1034), 1,
      anon_sym_LBRACE,
    ACTIONS(1036), 1,
      anon_sym_POUND,
    ACTIONS(1038), 1,
      anon_sym_LBRACK,
    ACTIONS(1040), 1,
      anon_sym_LT_LT,
    ACTIONS(1042), 1,
      anon_sym_DASH,
    ACTIONS(1044), 1,
      anon_sym_fn,
    ACTIONS(1046), 1,
      anon_sym_todo,
    ACTIONS(1048), 1,
      anon_sym_panic,
    ACTIONS(1052), 1,
      anon_sym_case,
    ACTIONS(1054), 1,
      anon_sym_assert,
    ACTIONS(1056), 1,
      anon_sym_BANG,
    ACTIONS(1058), 1,
      anon_sym_DQUOTE,
    ACTIONS(1064), 1,
      sym__decimal,
    ACTIONS(1066), 1,
      sym__name,
    ACTIONS(1068), 1,
      sym__upname,
    ACTIONS(1348), 1,
      anon_sym_echo,
    ACTIONS(1432), 1,
      sym_float,
    STATE(428), 1,
      sym_identifier,
    STATE(475), 1,
      sym_anonymous_function,
    STATE(476), 1,
      sym_tuple,
    STATE(1652), 1,
      sym__maybe_function_expression,
    STATE(1847), 1,
      sym__maybe_record_expression,
    STATE(1859), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(244), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(477), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1062), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(427), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(489), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [40158] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1034), 1,
      anon_sym_LBRACE,
    ACTIONS(1036), 1,
      anon_sym_POUND,
    ACTIONS(1038), 1,
      anon_sym_LBRACK,
    ACTIONS(1040), 1,
      anon_sym_LT_LT,
    ACTIONS(1042), 1,
      anon_sym_DASH,
    ACTIONS(1044), 1,
      anon_sym_fn,
    ACTIONS(1046), 1,
      anon_sym_todo,
    ACTIONS(1048), 1,
      anon_sym_panic,
    ACTIONS(1052), 1,
      anon_sym_case,
    ACTIONS(1054), 1,
      anon_sym_assert,
    ACTIONS(1056), 1,
      anon_sym_BANG,
    ACTIONS(1058), 1,
      anon_sym_DQUOTE,
    ACTIONS(1064), 1,
      sym__decimal,
    ACTIONS(1066), 1,
      sym__name,
    ACTIONS(1068), 1,
      sym__upname,
    ACTIONS(1348), 1,
      anon_sym_echo,
    ACTIONS(1434), 1,
      sym_float,
    STATE(428), 1,
      sym_identifier,
    STATE(475), 1,
      sym_anonymous_function,
    STATE(476), 1,
      sym_tuple,
    STATE(1652), 1,
      sym__maybe_function_expression,
    STATE(1847), 1,
      sym__maybe_record_expression,
    STATE(1859), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(244), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(477), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1062), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(427), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(488), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [40270] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1436), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(967), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [40382] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1034), 1,
      anon_sym_LBRACE,
    ACTIONS(1036), 1,
      anon_sym_POUND,
    ACTIONS(1038), 1,
      anon_sym_LBRACK,
    ACTIONS(1040), 1,
      anon_sym_LT_LT,
    ACTIONS(1042), 1,
      anon_sym_DASH,
    ACTIONS(1044), 1,
      anon_sym_fn,
    ACTIONS(1046), 1,
      anon_sym_todo,
    ACTIONS(1048), 1,
      anon_sym_panic,
    ACTIONS(1052), 1,
      anon_sym_case,
    ACTIONS(1054), 1,
      anon_sym_assert,
    ACTIONS(1056), 1,
      anon_sym_BANG,
    ACTIONS(1058), 1,
      anon_sym_DQUOTE,
    ACTIONS(1064), 1,
      sym__decimal,
    ACTIONS(1066), 1,
      sym__name,
    ACTIONS(1068), 1,
      sym__upname,
    ACTIONS(1348), 1,
      anon_sym_echo,
    ACTIONS(1438), 1,
      sym_float,
    STATE(428), 1,
      sym_identifier,
    STATE(475), 1,
      sym_anonymous_function,
    STATE(476), 1,
      sym_tuple,
    STATE(1652), 1,
      sym__maybe_function_expression,
    STATE(1847), 1,
      sym__maybe_record_expression,
    STATE(1859), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(244), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(477), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1062), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(427), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(487), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [40494] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1440), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(998), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [40606] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1172), 1,
      anon_sym_DASH,
    ACTIONS(1174), 1,
      anon_sym_todo,
    ACTIONS(1176), 1,
      anon_sym_panic,
    ACTIONS(1178), 1,
      anon_sym_assert,
    ACTIONS(1180), 1,
      anon_sym_BANG,
    ACTIONS(1182), 1,
      sym_float,
    ACTIONS(1442), 1,
      anon_sym_GT_GT,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1609), 1,
      sym_expression_bit_string_segment,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1915), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1555), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [40722] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(11), 1,
      anon_sym_LBRACE,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LT_LT,
    ACTIONS(27), 1,
      anon_sym_DASH,
    ACTIONS(33), 1,
      anon_sym_todo,
    ACTIONS(35), 1,
      anon_sym_panic,
    ACTIONS(37), 1,
      anon_sym_echo,
    ACTIONS(39), 1,
      anon_sym_case,
    ACTIONS(43), 1,
      anon_sym_assert,
    ACTIONS(47), 1,
      anon_sym_BANG,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(59), 1,
      sym__decimal,
    ACTIONS(61), 1,
      sym__name,
    ACTIONS(63), 1,
      sym__upname,
    ACTIONS(978), 1,
      anon_sym_fn,
    ACTIONS(1444), 1,
      sym_float,
    STATE(57), 1,
      sym_identifier,
    STATE(124), 1,
      sym_anonymous_function,
    STATE(125), 1,
      sym_tuple,
    STATE(1639), 1,
      sym__maybe_function_expression,
    STATE(1906), 1,
      sym__maybe_record_expression,
    STATE(1907), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(39), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(126), 2,
      sym_record,
      sym_record_update,
    ACTIONS(57), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(62), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(159), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [40834] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1446), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1007), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [40946] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1034), 1,
      anon_sym_LBRACE,
    ACTIONS(1036), 1,
      anon_sym_POUND,
    ACTIONS(1038), 1,
      anon_sym_LBRACK,
    ACTIONS(1040), 1,
      anon_sym_LT_LT,
    ACTIONS(1042), 1,
      anon_sym_DASH,
    ACTIONS(1044), 1,
      anon_sym_fn,
    ACTIONS(1046), 1,
      anon_sym_todo,
    ACTIONS(1048), 1,
      anon_sym_panic,
    ACTIONS(1052), 1,
      anon_sym_case,
    ACTIONS(1054), 1,
      anon_sym_assert,
    ACTIONS(1056), 1,
      anon_sym_BANG,
    ACTIONS(1058), 1,
      anon_sym_DQUOTE,
    ACTIONS(1064), 1,
      sym__decimal,
    ACTIONS(1066), 1,
      sym__name,
    ACTIONS(1068), 1,
      sym__upname,
    ACTIONS(1348), 1,
      anon_sym_echo,
    ACTIONS(1448), 1,
      sym_float,
    STATE(428), 1,
      sym_identifier,
    STATE(475), 1,
      sym_anonymous_function,
    STATE(476), 1,
      sym_tuple,
    STATE(1652), 1,
      sym__maybe_function_expression,
    STATE(1847), 1,
      sym__maybe_record_expression,
    STATE(1859), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(244), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(477), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1062), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(427), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(486), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [41058] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1450), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1014), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [41170] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(193), 1,
      anon_sym_fn,
    ACTIONS(195), 1,
      anon_sym_todo,
    ACTIONS(197), 1,
      anon_sym_panic,
    ACTIONS(199), 1,
      anon_sym_echo,
    ACTIONS(201), 1,
      anon_sym_case,
    ACTIONS(203), 1,
      anon_sym_assert,
    ACTIONS(1088), 1,
      anon_sym_POUND,
    ACTIONS(1090), 1,
      anon_sym_LBRACK,
    ACTIONS(1092), 1,
      anon_sym_LT_LT,
    ACTIONS(1094), 1,
      anon_sym_DASH,
    ACTIONS(1098), 1,
      anon_sym_BANG,
    ACTIONS(1100), 1,
      anon_sym_DQUOTE,
    ACTIONS(1106), 1,
      sym__decimal,
    ACTIONS(1108), 1,
      sym__name,
    ACTIONS(1110), 1,
      sym__upname,
    ACTIONS(1452), 1,
      sym_float,
    STATE(566), 1,
      sym_identifier,
    STATE(588), 1,
      sym_tuple,
    STATE(592), 1,
      sym_anonymous_function,
    STATE(1695), 1,
      sym__maybe_function_expression,
    STATE(1819), 1,
      sym__maybe_tuple_expression,
    STATE(1858), 1,
      sym__maybe_record_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(559), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(591), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1104), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(564), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(640), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [41282] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(11), 1,
      anon_sym_LBRACE,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LT_LT,
    ACTIONS(27), 1,
      anon_sym_DASH,
    ACTIONS(33), 1,
      anon_sym_todo,
    ACTIONS(35), 1,
      anon_sym_panic,
    ACTIONS(37), 1,
      anon_sym_echo,
    ACTIONS(39), 1,
      anon_sym_case,
    ACTIONS(43), 1,
      anon_sym_assert,
    ACTIONS(47), 1,
      anon_sym_BANG,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(59), 1,
      sym__decimal,
    ACTIONS(61), 1,
      sym__name,
    ACTIONS(63), 1,
      sym__upname,
    ACTIONS(978), 1,
      anon_sym_fn,
    ACTIONS(1454), 1,
      sym_float,
    STATE(57), 1,
      sym_identifier,
    STATE(124), 1,
      sym_anonymous_function,
    STATE(125), 1,
      sym_tuple,
    STATE(1639), 1,
      sym__maybe_function_expression,
    STATE(1906), 1,
      sym__maybe_record_expression,
    STATE(1907), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(39), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(126), 2,
      sym_record,
      sym_record_update,
    ACTIONS(57), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(62), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(181), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [41394] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1172), 1,
      anon_sym_DASH,
    ACTIONS(1174), 1,
      anon_sym_todo,
    ACTIONS(1176), 1,
      anon_sym_panic,
    ACTIONS(1178), 1,
      anon_sym_assert,
    ACTIONS(1180), 1,
      anon_sym_BANG,
    ACTIONS(1182), 1,
      sym_float,
    ACTIONS(1456), 1,
      anon_sym_GT_GT,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1723), 1,
      sym_expression_bit_string_segment,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1915), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1555), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [41510] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1458), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1008), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [41622] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(538), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(536), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [41682] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1460), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(972), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [41794] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1172), 1,
      anon_sym_DASH,
    ACTIONS(1174), 1,
      anon_sym_todo,
    ACTIONS(1176), 1,
      anon_sym_panic,
    ACTIONS(1178), 1,
      anon_sym_assert,
    ACTIONS(1180), 1,
      anon_sym_BANG,
    ACTIONS(1182), 1,
      sym_float,
    ACTIONS(1462), 1,
      anon_sym_GT_GT,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1723), 1,
      sym_expression_bit_string_segment,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1915), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1555), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [41910] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(544), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(542), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [41970] = 32,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1172), 1,
      anon_sym_DASH,
    ACTIONS(1174), 1,
      anon_sym_todo,
    ACTIONS(1176), 1,
      anon_sym_panic,
    ACTIONS(1178), 1,
      anon_sym_assert,
    ACTIONS(1180), 1,
      anon_sym_BANG,
    ACTIONS(1182), 1,
      sym_float,
    ACTIONS(1464), 1,
      anon_sym_GT_GT,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1723), 1,
      sym_expression_bit_string_segment,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1915), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1555), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [42086] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1466), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1021), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [42198] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(574), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(572), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [42258] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1468), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(975), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [42370] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1034), 1,
      anon_sym_LBRACE,
    ACTIONS(1036), 1,
      anon_sym_POUND,
    ACTIONS(1038), 1,
      anon_sym_LBRACK,
    ACTIONS(1040), 1,
      anon_sym_LT_LT,
    ACTIONS(1042), 1,
      anon_sym_DASH,
    ACTIONS(1044), 1,
      anon_sym_fn,
    ACTIONS(1046), 1,
      anon_sym_todo,
    ACTIONS(1048), 1,
      anon_sym_panic,
    ACTIONS(1052), 1,
      anon_sym_case,
    ACTIONS(1054), 1,
      anon_sym_assert,
    ACTIONS(1056), 1,
      anon_sym_BANG,
    ACTIONS(1058), 1,
      anon_sym_DQUOTE,
    ACTIONS(1064), 1,
      sym__decimal,
    ACTIONS(1066), 1,
      sym__name,
    ACTIONS(1068), 1,
      sym__upname,
    ACTIONS(1348), 1,
      anon_sym_echo,
    ACTIONS(1470), 1,
      sym_float,
    STATE(428), 1,
      sym_identifier,
    STATE(475), 1,
      sym_anonymous_function,
    STATE(476), 1,
      sym_tuple,
    STATE(1652), 1,
      sym__maybe_function_expression,
    STATE(1847), 1,
      sym__maybe_record_expression,
    STATE(1859), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(244), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(477), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1062), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(427), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(532), 13,
      sym__expression,
      sym_binary_expression,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [42482] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(610), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(608), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [42541] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1472), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(646), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(644), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [42602] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(630), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(628), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [42661] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(622), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(620), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [42720] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(606), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(604), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [42779] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(602), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(600), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [42838] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(614), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(612), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [42897] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(626), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(624), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [42956] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(634), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(632), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [43015] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(389), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(387), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [43076] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(598), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(389), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(387), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [43137] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(636), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(389), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(387), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [43198] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1474), 1,
      anon_sym_LPAREN,
    ACTIONS(1476), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(640), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(638), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [43261] = 31,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1172), 1,
      anon_sym_DASH,
    ACTIONS(1174), 1,
      anon_sym_todo,
    ACTIONS(1176), 1,
      anon_sym_panic,
    ACTIONS(1178), 1,
      anon_sym_assert,
    ACTIONS(1180), 1,
      anon_sym_BANG,
    ACTIONS(1182), 1,
      sym_float,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1723), 1,
      sym_expression_bit_string_segment,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1915), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1555), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [43374] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1478), 1,
      anon_sym_LPAREN,
    ACTIONS(1480), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(646), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(644), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [43437] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(574), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(572), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [43496] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1482), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(640), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(638), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [43557] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(471), 1,
      anon_sym_DASH,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(475), 1,
      anon_sym_todo,
    ACTIONS(477), 1,
      anon_sym_panic,
    ACTIONS(479), 1,
      anon_sym_echo,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(485), 1,
      anon_sym_assert,
    ACTIONS(489), 1,
      anon_sym_BANG,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1484), 1,
      sym_float,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1866), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(405), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [43667] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(726), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(724), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [43725] = 8,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1486), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1490), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1492), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(758), 16,
      anon_sym_as,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(756), 20,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [43791] = 9,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1494), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1486), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1490), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1492), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(758), 16,
      anon_sym_as,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(756), 19,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [43859] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1494), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1486), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1490), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1492), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(1496), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1498), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(758), 12,
      anon_sym_as,
      anon_sym_fn,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(756), 15,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [43931] = 12,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1494), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1486), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1490), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1492), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(1496), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1498), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(758), 12,
      anon_sym_as,
      anon_sym_fn,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(756), 13,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [44005] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1494), 1,
      anon_sym_PIPE_GT,
    ACTIONS(1502), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1486), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1490), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1492), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(1496), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1498), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(756), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(758), 12,
      anon_sym_as,
      anon_sym_fn,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
  [44081] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(682), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(680), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [44139] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1504), 1,
      sym_float,
    ACTIONS(1508), 1,
      sym__decimal,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1506), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(758), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [44249] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1486), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1492), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(758), 18,
      anon_sym_as,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(756), 22,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [44311] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(207), 1,
      anon_sym_todo,
    ACTIONS(209), 1,
      anon_sym_panic,
    ACTIONS(211), 1,
      anon_sym_echo,
    ACTIONS(213), 1,
      anon_sym_assert,
    ACTIONS(966), 1,
      anon_sym_DASH,
    ACTIONS(968), 1,
      anon_sym_BANG,
    ACTIONS(1504), 1,
      sym_float,
    ACTIONS(1508), 1,
      sym__decimal,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1506), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(758), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [44421] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1120), 1,
      anon_sym_LBRACE,
    ACTIONS(1122), 1,
      anon_sym_POUND,
    ACTIONS(1124), 1,
      anon_sym_LBRACK,
    ACTIONS(1126), 1,
      anon_sym_LT_LT,
    ACTIONS(1128), 1,
      anon_sym_DASH,
    ACTIONS(1130), 1,
      anon_sym_fn,
    ACTIONS(1132), 1,
      anon_sym_todo,
    ACTIONS(1134), 1,
      anon_sym_panic,
    ACTIONS(1138), 1,
      anon_sym_case,
    ACTIONS(1140), 1,
      anon_sym_assert,
    ACTIONS(1142), 1,
      anon_sym_BANG,
    ACTIONS(1144), 1,
      anon_sym_DQUOTE,
    ACTIONS(1152), 1,
      sym__name,
    ACTIONS(1154), 1,
      sym__upname,
    ACTIONS(1184), 1,
      anon_sym_echo,
    ACTIONS(1510), 1,
      sym_float,
    ACTIONS(1514), 1,
      sym__decimal,
    STATE(15), 1,
      sym_identifier,
    STATE(50), 1,
      sym_tuple,
    STATE(72), 1,
      sym_anonymous_function,
    STATE(1630), 1,
      sym__maybe_function_expression,
    STATE(1836), 1,
      sym__maybe_record_expression,
    STATE(1889), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(14), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(73), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1512), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(23), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(131), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [44531] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(79), 1,
      anon_sym_todo,
    ACTIONS(81), 1,
      anon_sym_panic,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(87), 1,
      anon_sym_assert,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(668), 1,
      anon_sym_DASH,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(1516), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(712), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [44641] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(758), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(756), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [44699] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1494), 1,
      anon_sym_PIPE_GT,
    ACTIONS(1502), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1518), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1486), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1490), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1492), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(1496), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1498), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(764), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(766), 12,
      anon_sym_as,
      anon_sym_fn,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
  [44777] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1494), 1,
      anon_sym_PIPE_GT,
    ACTIONS(1502), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1518), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1486), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1490), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1492), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(1496), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1498), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(768), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(770), 12,
      anon_sym_as,
      anon_sym_fn,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
  [44855] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_POUND,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(75), 1,
      anon_sym_LT_LT,
    ACTIONS(77), 1,
      anon_sym_fn,
    ACTIONS(85), 1,
      anon_sym_case,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(207), 1,
      anon_sym_todo,
    ACTIONS(209), 1,
      anon_sym_panic,
    ACTIONS(211), 1,
      anon_sym_echo,
    ACTIONS(213), 1,
      anon_sym_assert,
    ACTIONS(966), 1,
      anon_sym_DASH,
    ACTIONS(968), 1,
      anon_sym_BANG,
    ACTIONS(1516), 1,
      sym_float,
    STATE(655), 1,
      sym_identifier,
    STATE(700), 1,
      sym_tuple,
    STATE(702), 1,
      sym_anonymous_function,
    STATE(1767), 1,
      sym__maybe_function_expression,
    STATE(1823), 1,
      sym__maybe_record_expression,
    STATE(1917), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(650), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(699), 2,
      sym_record,
      sym_record_update,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(651), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(712), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [44965] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1172), 1,
      anon_sym_DASH,
    ACTIONS(1174), 1,
      anon_sym_todo,
    ACTIONS(1176), 1,
      anon_sym_panic,
    ACTIONS(1178), 1,
      anon_sym_assert,
    ACTIONS(1180), 1,
      anon_sym_BANG,
    ACTIONS(1520), 1,
      sym_float,
    ACTIONS(1524), 1,
      sym__decimal,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1915), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1522), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(410), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [45075] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(782), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(780), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [45133] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(471), 1,
      anon_sym_DASH,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(475), 1,
      anon_sym_todo,
    ACTIONS(477), 1,
      anon_sym_panic,
    ACTIONS(479), 1,
      anon_sym_echo,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(485), 1,
      anon_sym_assert,
    ACTIONS(489), 1,
      anon_sym_BANG,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1520), 1,
      sym_float,
    ACTIONS(1524), 1,
      sym__decimal,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1866), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1522), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(410), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [45243] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1034), 1,
      anon_sym_LBRACE,
    ACTIONS(1036), 1,
      anon_sym_POUND,
    ACTIONS(1038), 1,
      anon_sym_LBRACK,
    ACTIONS(1040), 1,
      anon_sym_LT_LT,
    ACTIONS(1042), 1,
      anon_sym_DASH,
    ACTIONS(1044), 1,
      anon_sym_fn,
    ACTIONS(1046), 1,
      anon_sym_todo,
    ACTIONS(1048), 1,
      anon_sym_panic,
    ACTIONS(1052), 1,
      anon_sym_case,
    ACTIONS(1054), 1,
      anon_sym_assert,
    ACTIONS(1056), 1,
      anon_sym_BANG,
    ACTIONS(1058), 1,
      anon_sym_DQUOTE,
    ACTIONS(1064), 1,
      sym__decimal,
    ACTIONS(1066), 1,
      sym__name,
    ACTIONS(1068), 1,
      sym__upname,
    ACTIONS(1348), 1,
      anon_sym_echo,
    ACTIONS(1526), 1,
      sym_float,
    STATE(428), 1,
      sym_identifier,
    STATE(475), 1,
      sym_anonymous_function,
    STATE(476), 1,
      sym_tuple,
    STATE(1652), 1,
      sym__maybe_function_expression,
    STATE(1847), 1,
      sym__maybe_record_expression,
    STATE(1859), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(244), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(477), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1062), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(427), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(510), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [45353] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(786), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(784), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [45411] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(754), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(752), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [45469] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1034), 1,
      anon_sym_LBRACE,
    ACTIONS(1036), 1,
      anon_sym_POUND,
    ACTIONS(1038), 1,
      anon_sym_LBRACK,
    ACTIONS(1040), 1,
      anon_sym_LT_LT,
    ACTIONS(1042), 1,
      anon_sym_DASH,
    ACTIONS(1044), 1,
      anon_sym_fn,
    ACTIONS(1046), 1,
      anon_sym_todo,
    ACTIONS(1048), 1,
      anon_sym_panic,
    ACTIONS(1052), 1,
      anon_sym_case,
    ACTIONS(1054), 1,
      anon_sym_assert,
    ACTIONS(1056), 1,
      anon_sym_BANG,
    ACTIONS(1058), 1,
      anon_sym_DQUOTE,
    ACTIONS(1066), 1,
      sym__name,
    ACTIONS(1068), 1,
      sym__upname,
    ACTIONS(1348), 1,
      anon_sym_echo,
    ACTIONS(1528), 1,
      sym_float,
    ACTIONS(1532), 1,
      sym__decimal,
    STATE(428), 1,
      sym_identifier,
    STATE(475), 1,
      sym_anonymous_function,
    STATE(476), 1,
      sym_tuple,
    STATE(1652), 1,
      sym__maybe_function_expression,
    STATE(1847), 1,
      sym__maybe_record_expression,
    STATE(1859), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(244), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(477), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1530), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(427), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(515), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [45579] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(664), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(662), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [45637] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(750), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(748), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [45695] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(193), 1,
      anon_sym_fn,
    ACTIONS(195), 1,
      anon_sym_todo,
    ACTIONS(197), 1,
      anon_sym_panic,
    ACTIONS(199), 1,
      anon_sym_echo,
    ACTIONS(201), 1,
      anon_sym_case,
    ACTIONS(203), 1,
      anon_sym_assert,
    ACTIONS(1088), 1,
      anon_sym_POUND,
    ACTIONS(1090), 1,
      anon_sym_LBRACK,
    ACTIONS(1092), 1,
      anon_sym_LT_LT,
    ACTIONS(1094), 1,
      anon_sym_DASH,
    ACTIONS(1098), 1,
      anon_sym_BANG,
    ACTIONS(1100), 1,
      anon_sym_DQUOTE,
    ACTIONS(1108), 1,
      sym__name,
    ACTIONS(1110), 1,
      sym__upname,
    ACTIONS(1534), 1,
      sym_float,
    ACTIONS(1538), 1,
      sym__decimal,
    STATE(566), 1,
      sym_identifier,
    STATE(588), 1,
      sym_tuple,
    STATE(592), 1,
      sym_anonymous_function,
    STATE(1695), 1,
      sym__maybe_function_expression,
    STATE(1819), 1,
      sym__maybe_tuple_expression,
    STATE(1858), 1,
      sym__maybe_record_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(559), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(591), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1536), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(564), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(606), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [45805] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(790), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(788), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [45863] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(816), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(814), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [45921] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(193), 1,
      anon_sym_fn,
    ACTIONS(195), 1,
      anon_sym_todo,
    ACTIONS(197), 1,
      anon_sym_panic,
    ACTIONS(199), 1,
      anon_sym_echo,
    ACTIONS(201), 1,
      anon_sym_case,
    ACTIONS(203), 1,
      anon_sym_assert,
    ACTIONS(1088), 1,
      anon_sym_POUND,
    ACTIONS(1090), 1,
      anon_sym_LBRACK,
    ACTIONS(1092), 1,
      anon_sym_LT_LT,
    ACTIONS(1094), 1,
      anon_sym_DASH,
    ACTIONS(1098), 1,
      anon_sym_BANG,
    ACTIONS(1100), 1,
      anon_sym_DQUOTE,
    ACTIONS(1106), 1,
      sym__decimal,
    ACTIONS(1108), 1,
      sym__name,
    ACTIONS(1110), 1,
      sym__upname,
    ACTIONS(1540), 1,
      sym_float,
    STATE(566), 1,
      sym_identifier,
    STATE(588), 1,
      sym_tuple,
    STATE(592), 1,
      sym_anonymous_function,
    STATE(1695), 1,
      sym__maybe_function_expression,
    STATE(1819), 1,
      sym__maybe_tuple_expression,
    STATE(1858), 1,
      sym__maybe_record_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(559), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(591), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1104), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(564), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(643), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [46031] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(690), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(688), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [46089] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1494), 1,
      anon_sym_PIPE_GT,
    ACTIONS(1502), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1518), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1486), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1490), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1492), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(1496), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1498), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(810), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(812), 12,
      anon_sym_as,
      anon_sym_fn,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
  [46167] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(808), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(806), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [46225] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(83), 1,
      anon_sym_echo,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(465), 1,
      anon_sym_POUND,
    ACTIONS(467), 1,
      anon_sym_LBRACK,
    ACTIONS(469), 1,
      anon_sym_LT_LT,
    ACTIONS(473), 1,
      anon_sym_fn,
    ACTIONS(481), 1,
      anon_sym_case,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(1172), 1,
      anon_sym_DASH,
    ACTIONS(1174), 1,
      anon_sym_todo,
    ACTIONS(1176), 1,
      anon_sym_panic,
    ACTIONS(1178), 1,
      anon_sym_assert,
    ACTIONS(1180), 1,
      anon_sym_BANG,
    ACTIONS(1484), 1,
      sym_float,
    STATE(203), 1,
      sym_identifier,
    STATE(233), 1,
      sym_tuple,
    STATE(234), 1,
      sym_anonymous_function,
    STATE(1676), 1,
      sym__maybe_function_expression,
    STATE(1781), 1,
      sym__maybe_record_expression,
    STATE(1915), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(198), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(232), 2,
      sym_record,
      sym_record_update,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(228), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(405), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [46335] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(219), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_POUND,
    ACTIONS(223), 1,
      anon_sym_LBRACK,
    ACTIONS(225), 1,
      anon_sym_LT_LT,
    ACTIONS(227), 1,
      anon_sym_fn,
    ACTIONS(229), 1,
      anon_sym_todo,
    ACTIONS(231), 1,
      anon_sym_panic,
    ACTIONS(233), 1,
      anon_sym_echo,
    ACTIONS(235), 1,
      anon_sym_case,
    ACTIONS(237), 1,
      anon_sym_assert,
    ACTIONS(241), 1,
      anon_sym_DQUOTE,
    ACTIONS(247), 1,
      sym__decimal,
    ACTIONS(249), 1,
      sym__name,
    ACTIONS(251), 1,
      sym__upname,
    ACTIONS(1160), 1,
      anon_sym_DASH,
    ACTIONS(1164), 1,
      anon_sym_BANG,
    ACTIONS(1542), 1,
      sym_float,
    STATE(910), 1,
      sym_identifier,
    STATE(931), 1,
      sym_anonymous_function,
    STATE(935), 1,
      sym_tuple,
    STATE(1738), 1,
      sym__maybe_function_expression,
    STATE(1790), 1,
      sym__maybe_tuple_expression,
    STATE(1869), 1,
      sym__maybe_record_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(853), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(938), 2,
      sym_record,
      sym_record_update,
    ACTIONS(245), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(908), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(995), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [46445] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(660), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(658), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [46503] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(219), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_POUND,
    ACTIONS(223), 1,
      anon_sym_LBRACK,
    ACTIONS(225), 1,
      anon_sym_LT_LT,
    ACTIONS(227), 1,
      anon_sym_fn,
    ACTIONS(229), 1,
      anon_sym_todo,
    ACTIONS(231), 1,
      anon_sym_panic,
    ACTIONS(233), 1,
      anon_sym_echo,
    ACTIONS(235), 1,
      anon_sym_case,
    ACTIONS(237), 1,
      anon_sym_assert,
    ACTIONS(241), 1,
      anon_sym_DQUOTE,
    ACTIONS(249), 1,
      sym__name,
    ACTIONS(251), 1,
      sym__upname,
    ACTIONS(1160), 1,
      anon_sym_DASH,
    ACTIONS(1164), 1,
      anon_sym_BANG,
    ACTIONS(1544), 1,
      sym_float,
    ACTIONS(1548), 1,
      sym__decimal,
    STATE(910), 1,
      sym_identifier,
    STATE(931), 1,
      sym_anonymous_function,
    STATE(935), 1,
      sym_tuple,
    STATE(1738), 1,
      sym__maybe_function_expression,
    STATE(1790), 1,
      sym__maybe_tuple_expression,
    STATE(1869), 1,
      sym__maybe_record_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(853), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(938), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1546), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(908), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(1045), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [46613] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(803), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(800), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [46671] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1494), 1,
      anon_sym_PIPE_GT,
    ACTIONS(1502), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1518), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1486), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1490), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1492), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(1496), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1498), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(696), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(698), 12,
      anon_sym_as,
      anon_sym_fn,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
  [46749] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(758), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(756), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [46807] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1120), 1,
      anon_sym_LBRACE,
    ACTIONS(1122), 1,
      anon_sym_POUND,
    ACTIONS(1124), 1,
      anon_sym_LBRACK,
    ACTIONS(1126), 1,
      anon_sym_LT_LT,
    ACTIONS(1128), 1,
      anon_sym_DASH,
    ACTIONS(1130), 1,
      anon_sym_fn,
    ACTIONS(1132), 1,
      anon_sym_todo,
    ACTIONS(1134), 1,
      anon_sym_panic,
    ACTIONS(1138), 1,
      anon_sym_case,
    ACTIONS(1140), 1,
      anon_sym_assert,
    ACTIONS(1142), 1,
      anon_sym_BANG,
    ACTIONS(1144), 1,
      anon_sym_DQUOTE,
    ACTIONS(1150), 1,
      sym__decimal,
    ACTIONS(1152), 1,
      sym__name,
    ACTIONS(1154), 1,
      sym__upname,
    ACTIONS(1184), 1,
      anon_sym_echo,
    ACTIONS(1550), 1,
      sym_float,
    STATE(15), 1,
      sym_identifier,
    STATE(50), 1,
      sym_tuple,
    STATE(72), 1,
      sym_anonymous_function,
    STATE(1630), 1,
      sym__maybe_function_expression,
    STATE(1836), 1,
      sym__maybe_record_expression,
    STATE(1889), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(14), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(73), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1148), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(23), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(127), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [46917] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(730), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(728), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [46975] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(734), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(732), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [47033] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(11), 1,
      anon_sym_LBRACE,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LT_LT,
    ACTIONS(27), 1,
      anon_sym_DASH,
    ACTIONS(33), 1,
      anon_sym_todo,
    ACTIONS(35), 1,
      anon_sym_panic,
    ACTIONS(37), 1,
      anon_sym_echo,
    ACTIONS(39), 1,
      anon_sym_case,
    ACTIONS(43), 1,
      anon_sym_assert,
    ACTIONS(47), 1,
      anon_sym_BANG,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(59), 1,
      sym__decimal,
    ACTIONS(61), 1,
      sym__name,
    ACTIONS(63), 1,
      sym__upname,
    ACTIONS(978), 1,
      anon_sym_fn,
    ACTIONS(1552), 1,
      sym_float,
    STATE(57), 1,
      sym_identifier,
    STATE(124), 1,
      sym_anonymous_function,
    STATE(125), 1,
      sym_tuple,
    STATE(1639), 1,
      sym__maybe_function_expression,
    STATE(1906), 1,
      sym__maybe_record_expression,
    STATE(1907), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(39), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(126), 2,
      sym_record,
      sym_record_update,
    ACTIONS(57), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(62), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(164), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [47143] = 30,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(11), 1,
      anon_sym_LBRACE,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(25), 1,
      anon_sym_LT_LT,
    ACTIONS(27), 1,
      anon_sym_DASH,
    ACTIONS(33), 1,
      anon_sym_todo,
    ACTIONS(35), 1,
      anon_sym_panic,
    ACTIONS(37), 1,
      anon_sym_echo,
    ACTIONS(39), 1,
      anon_sym_case,
    ACTIONS(43), 1,
      anon_sym_assert,
    ACTIONS(47), 1,
      anon_sym_BANG,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(61), 1,
      sym__name,
    ACTIONS(63), 1,
      sym__upname,
    ACTIONS(978), 1,
      anon_sym_fn,
    ACTIONS(1554), 1,
      sym_float,
    ACTIONS(1558), 1,
      sym__decimal,
    STATE(57), 1,
      sym_identifier,
    STATE(124), 1,
      sym_anonymous_function,
    STATE(125), 1,
      sym_tuple,
    STATE(1639), 1,
      sym__maybe_function_expression,
    STATE(1906), 1,
      sym__maybe_record_expression,
    STATE(1907), 1,
      sym__maybe_tuple_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(39), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    STATE(126), 2,
      sym_record,
      sym_record_update,
    ACTIONS(1556), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(62), 5,
      sym_block,
      sym_case,
      sym_tuple_access,
      sym_field_access,
      sym_function_call,
    STATE(177), 11,
      sym__expression_unit,
      sym_todo,
      sym_panic,
      sym_echo,
      sym_list,
      sym__expression_bit_string,
      sym_assert,
      sym_boolean_negation,
      sym_integer_negation,
      sym_string,
      sym_integer,
  [47253] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(742), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(740), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [47311] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(798), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(796), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [47369] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(794), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(792), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [47427] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(686), 20,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(684), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [47485] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1494), 1,
      anon_sym_PIPE_GT,
    ACTIONS(1502), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1518), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1486), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1490), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1492), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(1496), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1498), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(736), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(738), 12,
      anon_sym_as,
      anon_sym_fn,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
  [47563] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1560), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1562), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1574), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1568), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1570), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(1576), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(758), 11,
      anon_sym_fn,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(756), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [47638] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_GT,
    ACTIONS(1578), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1560), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1562), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1574), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1568), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1570), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(1576), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(844), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(846), 11,
      anon_sym_fn,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
  [47715] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1572), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1560), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1562), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1574), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1568), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1570), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(1576), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(758), 11,
      anon_sym_fn,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(756), 15,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [47786] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(758), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(756), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [47843] = 9,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1572), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1560), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1562), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1574), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1576), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(758), 15,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(756), 19,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [47910] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_GT,
    ACTIONS(1578), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1560), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1562), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1574), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1568), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1570), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(1576), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(874), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(876), 11,
      anon_sym_fn,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
  [47987] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_GT,
    ACTIONS(1578), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1560), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1562), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1574), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1568), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1570), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(1576), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(764), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(766), 11,
      anon_sym_fn,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
  [48064] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1560), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1576), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(758), 17,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(756), 22,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [48125] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_GT,
    ACTIONS(1578), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1560), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1562), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1574), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1568), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1570), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(1576), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(768), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(770), 11,
      anon_sym_fn,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
  [48202] = 8,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1560), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1562), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1574), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1576), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(758), 15,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(756), 20,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [48267] = 12,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1572), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1560), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1562), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1574), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1568), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1570), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(1576), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(758), 11,
      anon_sym_fn,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(756), 13,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [48340] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_GT,
    ACTIONS(1578), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1560), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1562), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1574), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1568), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1570), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(1576), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(838), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(840), 11,
      anon_sym_fn,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
  [48417] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(758), 19,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
    ACTIONS(756), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [48474] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_GT,
    ACTIONS(1578), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1560), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1562), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1574), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1568), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1570), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(1576), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(736), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(738), 11,
      anon_sym_fn,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
  [48551] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_GT,
    ACTIONS(1578), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1560), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1562), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1574), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1568), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1570), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(1576), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(810), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(812), 11,
      anon_sym_fn,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
  [48628] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_GT,
    ACTIONS(1578), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1560), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1562), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1574), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1568), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1570), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(1576), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(696), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(698), 11,
      anon_sym_fn,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
  [48705] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1564), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1572), 1,
      anon_sym_PIPE_GT,
    ACTIONS(1578), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1560), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1562), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1566), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1574), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1568), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1570), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(1576), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(856), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(858), 11,
      anon_sym_fn,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      anon_sym_BANG,
      sym__decimal,
      sym__name,
  [48782] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(507), 10,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(505), 33,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_import,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [48837] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(526), 10,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(524), 33,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_import,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [48892] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(399), 10,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(397), 33,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_import,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [48947] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(548), 10,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(546), 33,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_import,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [49002] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(682), 9,
      anon_sym_SLASH,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(680), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_import,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [49055] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(534), 9,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(532), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [49108] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(588), 9,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(586), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [49161] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(686), 9,
      anon_sym_SLASH,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(684), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_import,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [49214] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(544), 9,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(542), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [49267] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1580), 1,
      anon_sym_LPAREN,
    STATE(590), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(383), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(381), 26,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [49322] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(399), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(397), 27,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [49372] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(562), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(560), 27,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [49422] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(544), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(542), 27,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [49472] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(574), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(572), 27,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [49522] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(389), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(387), 25,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [49576] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(538), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(536), 27,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [49626] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN,
    ACTIONS(1582), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(389), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(387), 25,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [49680] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(507), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(505), 27,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [49730] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(584), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(582), 27,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [49780] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(592), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(590), 27,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [49830] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(596), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(594), 27,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [49880] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1586), 1,
      anon_sym_LPAREN,
    ACTIONS(1588), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(640), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(638), 25,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [49934] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(518), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(516), 27,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [49984] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(570), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(568), 27,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [50034] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(526), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(524), 27,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [50084] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1592), 1,
      anon_sym_LPAREN,
    STATE(615), 1,
      sym_constant_record_arguments,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1594), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1590), 28,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_fn,
      anon_sym_DASH_GT,
      anon_sym_external,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [50138] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1596), 1,
      anon_sym_LPAREN,
    ACTIONS(1598), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(646), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(644), 25,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [50192] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(548), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(546), 27,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [50242] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(558), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(556), 27,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [50292] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(534), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(532), 27,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [50342] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(552), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(550), 27,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [50392] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(588), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(586), 27,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [50442] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(630), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(628), 26,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [50491] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(622), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(620), 26,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [50540] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(626), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(624), 26,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [50589] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(610), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(608), 26,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [50638] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(606), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(604), 26,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [50687] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(602), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(600), 26,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [50736] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(598), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(389), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(387), 25,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [50787] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(614), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(612), 26,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [50836] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(634), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(632), 26,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [50885] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(636), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(389), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(387), 25,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [50936] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(389), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(387), 25,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [50987] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1614), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1600), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1602), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1608), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1616), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(770), 3,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(1610), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1612), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(1618), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(768), 10,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [51055] = 12,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1614), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1600), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1602), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1608), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1616), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(758), 3,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(1610), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1612), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(1618), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(756), 12,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [51119] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1622), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1620), 28,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_fn,
      anon_sym_DASH_GT,
      anon_sym_external,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [51167] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1626), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1624), 28,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_fn,
      anon_sym_DASH_GT,
      anon_sym_external,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [51215] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1630), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1628), 28,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_fn,
      anon_sym_DASH_GT,
      anon_sym_external,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [51263] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1634), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1632), 28,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_fn,
      anon_sym_DASH_GT,
      anon_sym_external,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [51311] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1638), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1636), 28,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_fn,
      anon_sym_DASH_GT,
      anon_sym_external,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [51359] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1642), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1640), 28,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_fn,
      anon_sym_DASH_GT,
      anon_sym_external,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [51407] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(794), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(792), 25,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [51455] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(798), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(796), 25,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [51503] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1646), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1644), 28,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_fn,
      anon_sym_DASH_GT,
      anon_sym_external,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [51551] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(803), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(800), 25,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [51599] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1650), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1648), 28,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_fn,
      anon_sym_DASH_GT,
      anon_sym_external,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [51647] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(808), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(806), 25,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [51695] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1614), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1600), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1602), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1608), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1616), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(698), 3,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(1610), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1612), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(1618), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(696), 10,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [51763] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1654), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1652), 28,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_fn,
      anon_sym_DASH_GT,
      anon_sym_external,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [51811] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1614), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1600), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1602), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1608), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1616), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(812), 3,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(1610), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1612), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(1618), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(810), 10,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [51879] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1658), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1656), 28,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_fn,
      anon_sym_DASH_GT,
      anon_sym_external,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [51927] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(816), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(814), 25,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [51975] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(726), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(724), 25,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [52023] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1662), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1660), 28,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_fn,
      anon_sym_DASH_GT,
      anon_sym_external,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [52071] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1666), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1664), 28,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_fn,
      anon_sym_DASH_GT,
      anon_sym_external,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [52119] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1670), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1668), 28,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_fn,
      anon_sym_DASH_GT,
      anon_sym_external,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [52167] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(730), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(728), 25,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [52215] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(734), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(732), 25,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [52263] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(660), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(658), 25,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [52311] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1674), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1672), 28,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_fn,
      anon_sym_DASH_GT,
      anon_sym_external,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [52359] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1614), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1600), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1602), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1608), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1616), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(738), 3,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(1610), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1612), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(1618), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(736), 10,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [52427] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(742), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(740), 25,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [52475] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(682), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(680), 25,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [52523] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1678), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1676), 28,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_fn,
      anon_sym_DASH_GT,
      anon_sym_external,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [52571] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(786), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(784), 25,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [52619] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(782), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(780), 25,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [52667] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(690), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(688), 25,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [52715] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1614), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1600), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1602), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1608), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1616), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(766), 3,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(1610), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1612), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(1618), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(764), 10,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [52783] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(758), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(756), 25,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [52831] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1682), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1680), 28,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_fn,
      anon_sym_DASH_GT,
      anon_sym_external,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [52879] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1600), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1618), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(758), 9,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(756), 21,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [52931] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1614), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1600), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1602), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1608), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1616), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(758), 3,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(1610), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1612), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(1618), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(756), 11,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [52997] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(750), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(748), 25,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [53045] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(686), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(684), 25,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [53093] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1614), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1600), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1602), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1616), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(758), 3,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(1610), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1612), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(1618), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(756), 14,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [53155] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(664), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(662), 25,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [53203] = 9,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1614), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1600), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1602), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1616), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1618), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(758), 7,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(756), 18,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [53261] = 8,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1600), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1602), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1616), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1618), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(758), 7,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(756), 19,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [53317] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(758), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(756), 25,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [53365] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1686), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1684), 28,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_fn,
      anon_sym_DASH_GT,
      anon_sym_external,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [53413] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1614), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1600), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1602), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1608), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1616), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1690), 3,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(1610), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1612), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(1618), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(1688), 10,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [53481] = 14,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1614), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1600), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1602), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1608), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1616), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1694), 3,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(1610), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1612), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(1618), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(1692), 10,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [53549] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(754), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(752), 25,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [53597] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(790), 11,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym__decimal,
      sym__discard_name,
      sym__name,
    ACTIONS(788), 25,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [53645] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1698), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1696), 28,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_fn,
      anon_sym_DASH_GT,
      anon_sym_external,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [53693] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1704), 1,
      anon_sym_SLASH,
    STATE(647), 1,
      aux_sym_module_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1700), 14,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1702), 19,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [53744] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1704), 1,
      anon_sym_SLASH,
    STATE(645), 1,
      aux_sym_module_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1706), 14,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1708), 19,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [53795] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1714), 1,
      anon_sym_SLASH,
    STATE(647), 1,
      aux_sym_module_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1710), 14,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1712), 19,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [53846] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1710), 14,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1712), 20,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [53892] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1721), 1,
      anon_sym_LPAREN,
    STATE(676), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1717), 14,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1719), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [53942] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1723), 1,
      anon_sym_LPAREN,
    STATE(710), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(383), 9,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(381), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [53992] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN,
    ACTIONS(1725), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(389), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(387), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [54041] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(574), 9,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(572), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [54086] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(570), 9,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(568), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [54131] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(538), 9,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(536), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [54176] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN,
    ACTIONS(1728), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(389), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(387), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [54225] = 7,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(11), 1,
      anon_sym_LBRACE,
    ACTIONS(1736), 1,
      anon_sym_DASH_GT,
    STATE(792), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1732), 12,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1734), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [54276] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(596), 9,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(594), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [54321] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(592), 9,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(590), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [54366] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1738), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1740), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [54411] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1746), 1,
      anon_sym_DOT,
    ACTIONS(1748), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1742), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1744), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [54460] = 7,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(11), 1,
      anon_sym_LBRACE,
    ACTIONS(1754), 1,
      anon_sym_DASH_GT,
    STATE(786), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1750), 12,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1752), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [54511] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(518), 9,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(516), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [54556] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1760), 1,
      anon_sym_LPAREN,
    STATE(728), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1756), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1758), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [54605] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(584), 9,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(582), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [54650] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1762), 1,
      anon_sym_LPAREN,
    STATE(769), 1,
      sym_constant_record_arguments,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1590), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1594), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [54699] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1764), 15,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1766), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [54744] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(562), 9,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(560), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [54789] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(558), 9,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(556), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [54834] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1772), 1,
      anon_sym_LPAREN,
    STATE(760), 1,
      sym__attribute_arguments,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1768), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1770), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [54883] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(552), 9,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(550), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [54928] = 24,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1774), 1,
      anon_sym_RBRACE,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1782), 1,
      anon_sym_DASH,
    ACTIONS(1784), 1,
      anon_sym_DQUOTE,
    ACTIONS(1786), 1,
      sym_float,
    ACTIONS(1790), 1,
      sym__decimal,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(1794), 1,
      sym__name,
    ACTIONS(1796), 1,
      sym__upname,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1281), 1,
      sym_identifier,
    STATE(1296), 1,
      sym_string,
    STATE(1366), 1,
      sym__pattern,
    STATE(1393), 1,
      sym_case_clause_pattern,
    STATE(1472), 1,
      sym_case_clause_patterns,
    STATE(1865), 1,
      sym_case_clauses,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(795), 2,
      sym_case_clause,
      aux_sym_case_clauses_repeat1,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(1788), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1312), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [55012] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(614), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(612), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [55056] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1802), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1798), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1800), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [55102] = 24,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1782), 1,
      anon_sym_DASH,
    ACTIONS(1784), 1,
      anon_sym_DQUOTE,
    ACTIONS(1786), 1,
      sym_float,
    ACTIONS(1790), 1,
      sym__decimal,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(1794), 1,
      sym__name,
    ACTIONS(1796), 1,
      sym__upname,
    ACTIONS(1804), 1,
      anon_sym_RBRACE,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1281), 1,
      sym_identifier,
    STATE(1296), 1,
      sym_string,
    STATE(1366), 1,
      sym__pattern,
    STATE(1393), 1,
      sym_case_clause_pattern,
    STATE(1472), 1,
      sym_case_clause_patterns,
    STATE(1914), 1,
      sym_case_clauses,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(795), 2,
      sym_case_clause,
      aux_sym_case_clauses_repeat1,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(1788), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1312), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [55186] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1806), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1808), 19,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [55230] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1810), 14,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1812), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [55274] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1814), 14,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1816), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [55318] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1818), 14,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DASH_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1820), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [55362] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1826), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1822), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1824), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [55408] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1832), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1828), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1830), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [55454] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1838), 1,
      anon_sym_LBRACE,
    ACTIONS(1840), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1834), 12,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1836), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [55502] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1842), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1844), 19,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [55546] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1846), 14,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1848), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [55590] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(397), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1850), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1852), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [55636] = 24,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1782), 1,
      anon_sym_DASH,
    ACTIONS(1784), 1,
      anon_sym_DQUOTE,
    ACTIONS(1786), 1,
      sym_float,
    ACTIONS(1790), 1,
      sym__decimal,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(1794), 1,
      sym__name,
    ACTIONS(1796), 1,
      sym__upname,
    ACTIONS(1854), 1,
      anon_sym_RBRACE,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1281), 1,
      sym_identifier,
    STATE(1296), 1,
      sym_string,
    STATE(1366), 1,
      sym__pattern,
    STATE(1393), 1,
      sym_case_clause_pattern,
    STATE(1472), 1,
      sym_case_clause_patterns,
    STATE(1912), 1,
      sym_case_clauses,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(795), 2,
      sym_case_clause,
      aux_sym_case_clauses_repeat1,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(1788), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1312), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [55720] = 24,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1782), 1,
      anon_sym_DASH,
    ACTIONS(1784), 1,
      anon_sym_DQUOTE,
    ACTIONS(1786), 1,
      sym_float,
    ACTIONS(1790), 1,
      sym__decimal,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(1794), 1,
      sym__name,
    ACTIONS(1796), 1,
      sym__upname,
    ACTIONS(1856), 1,
      anon_sym_RBRACE,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1281), 1,
      sym_identifier,
    STATE(1296), 1,
      sym_string,
    STATE(1366), 1,
      sym__pattern,
    STATE(1393), 1,
      sym_case_clause_pattern,
    STATE(1472), 1,
      sym_case_clause_patterns,
    STATE(1830), 1,
      sym_case_clauses,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(795), 2,
      sym_case_clause,
      aux_sym_case_clauses_repeat1,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(1788), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1312), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [55804] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1858), 14,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1860), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [55848] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1862), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1864), 19,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [55892] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1866), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1868), 19,
      anon_sym_if,
      anon_sym_import,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [55936] = 24,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1782), 1,
      anon_sym_DASH,
    ACTIONS(1784), 1,
      anon_sym_DQUOTE,
    ACTIONS(1786), 1,
      sym_float,
    ACTIONS(1790), 1,
      sym__decimal,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(1794), 1,
      sym__name,
    ACTIONS(1796), 1,
      sym__upname,
    ACTIONS(1870), 1,
      anon_sym_RBRACE,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1281), 1,
      sym_identifier,
    STATE(1296), 1,
      sym_string,
    STATE(1366), 1,
      sym__pattern,
    STATE(1393), 1,
      sym_case_clause_pattern,
    STATE(1472), 1,
      sym_case_clause_patterns,
    STATE(1816), 1,
      sym_case_clauses,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(795), 2,
      sym_case_clause,
      aux_sym_case_clauses_repeat1,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(1788), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1312), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [56020] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1872), 14,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DASH_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1874), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [56064] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1876), 14,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DASH_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1878), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [56108] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(11), 1,
      anon_sym_LBRACE,
    STATE(722), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1880), 12,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1882), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [56156] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1884), 1,
      anon_sym_LPAREN,
    ACTIONS(1886), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(646), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(644), 22,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [56204] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1888), 1,
      anon_sym_LPAREN,
    ACTIONS(1890), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(640), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(638), 22,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [56252] = 24,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1782), 1,
      anon_sym_DASH,
    ACTIONS(1784), 1,
      anon_sym_DQUOTE,
    ACTIONS(1786), 1,
      sym_float,
    ACTIONS(1790), 1,
      sym__decimal,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(1794), 1,
      sym__name,
    ACTIONS(1796), 1,
      sym__upname,
    ACTIONS(1892), 1,
      anon_sym_RBRACE,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1281), 1,
      sym_identifier,
    STATE(1296), 1,
      sym_string,
    STATE(1366), 1,
      sym__pattern,
    STATE(1393), 1,
      sym_case_clause_pattern,
    STATE(1472), 1,
      sym_case_clause_patterns,
    STATE(1788), 1,
      sym_case_clauses,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(795), 2,
      sym_case_clause,
      aux_sym_case_clauses_repeat1,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(1788), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1312), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [56336] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(630), 9,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(628), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [56380] = 24,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1782), 1,
      anon_sym_DASH,
    ACTIONS(1784), 1,
      anon_sym_DQUOTE,
    ACTIONS(1786), 1,
      sym_float,
    ACTIONS(1790), 1,
      sym__decimal,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(1794), 1,
      sym__name,
    ACTIONS(1796), 1,
      sym__upname,
    ACTIONS(1894), 1,
      anon_sym_RBRACE,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1281), 1,
      sym_identifier,
    STATE(1296), 1,
      sym_string,
    STATE(1366), 1,
      sym__pattern,
    STATE(1393), 1,
      sym_case_clause_pattern,
    STATE(1472), 1,
      sym_case_clause_patterns,
    STATE(1886), 1,
      sym_case_clauses,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(795), 2,
      sym_case_clause,
      aux_sym_case_clauses_repeat1,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(1788), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1312), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [56464] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1896), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(389), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(387), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [56510] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1898), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(389), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(387), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [56556] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(622), 9,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(620), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [56600] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(389), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(387), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [56646] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(610), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(608), 24,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [56690] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(11), 1,
      anon_sym_LBRACE,
    STATE(723), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1900), 12,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1902), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [56738] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(626), 9,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(624), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [56782] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(602), 9,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(600), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [56826] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(606), 9,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(604), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [56870] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1908), 1,
      anon_sym_LBRACE,
    ACTIONS(1910), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1904), 12,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1906), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [56918] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1912), 14,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_DASH_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1914), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [56962] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(634), 9,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(632), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [57006] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1916), 14,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1918), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [57050] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(790), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(788), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [57093] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1920), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1922), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [57136] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(734), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(732), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [57179] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(1926), 1,
      anon_sym_DASH,
    ACTIONS(1928), 1,
      anon_sym_size,
    ACTIONS(1934), 1,
      anon_sym_unit,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1924), 2,
      anon_sym_COMMA,
      anon_sym_GT_GT,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    ACTIONS(1932), 3,
      anon_sym_utf8,
      anon_sym_utf16,
      anon_sym_utf32,
    STATE(1504), 5,
      sym__pattern_bit_string_segment_option,
      sym__pattern_bit_string_named_segment_option,
      sym__pattern_bit_string_segment_option_size,
      sym_integer,
      sym__bit_string_segment_option,
    ACTIONS(1930), 14,
      anon_sym_binary,
      anon_sym_bytes,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bit_string,
      anon_sym_bits,
      anon_sym_utf8_codepoint,
      anon_sym_utf16_codepoint,
      anon_sym_utf32_codepoint,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_big,
      anon_sym_little,
      anon_sym_native,
  [57236] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(742), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(740), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [57279] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(750), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(748), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [57322] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1936), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1938), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [57365] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(664), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(662), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [57408] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(754), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(752), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [57451] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1940), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1942), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [57494] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1944), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1946), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [57537] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1948), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1950), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [57580] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1952), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1954), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [57623] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1956), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1958), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [57666] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(758), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(756), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [57709] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(1926), 1,
      anon_sym_DASH,
    ACTIONS(1934), 1,
      anon_sym_unit,
    ACTIONS(1962), 1,
      anon_sym_size,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1960), 2,
      anon_sym_COMMA,
      anon_sym_GT_GT,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    ACTIONS(1932), 3,
      anon_sym_utf8,
      anon_sym_utf16,
      anon_sym_utf32,
    STATE(1587), 5,
      sym__expression_bit_string_segment_option,
      sym__expression_bit_string_named_segment_option,
      sym__expression_bit_string_segment_option_size,
      sym_integer,
      sym__bit_string_segment_option,
    ACTIONS(1930), 14,
      anon_sym_binary,
      anon_sym_bytes,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bit_string,
      anon_sym_bits,
      anon_sym_utf8_codepoint,
      anon_sym_utf16_codepoint,
      anon_sym_utf32_codepoint,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_big,
      anon_sym_little,
      anon_sym_native,
  [57766] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1964), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1966), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [57809] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1968), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1970), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [57852] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1972), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1974), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [57895] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1976), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1978), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [57938] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1904), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1906), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [57981] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1980), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1982), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [58024] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(758), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(756), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [58067] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1984), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1986), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [58110] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1988), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1990), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [58153] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1992), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1994), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [58196] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(1926), 1,
      anon_sym_DASH,
    ACTIONS(1934), 1,
      anon_sym_unit,
    ACTIONS(1998), 1,
      anon_sym_size,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1996), 2,
      anon_sym_COMMA,
      anon_sym_GT_GT,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    ACTIONS(1932), 3,
      anon_sym_utf8,
      anon_sym_utf16,
      anon_sym_utf32,
    STATE(1529), 5,
      sym__constant_bit_string_segment_option,
      sym__constant_bit_string_named_segment_option,
      sym__constant_bit_string_segment_option_size,
      sym_integer,
      sym__bit_string_segment_option,
    ACTIONS(1930), 14,
      anon_sym_binary,
      anon_sym_bytes,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bit_string,
      anon_sym_bits,
      anon_sym_utf8_codepoint,
      anon_sym_utf16_codepoint,
      anon_sym_utf32_codepoint,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_big,
      anon_sym_little,
      anon_sym_native,
  [58253] = 24,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(2000), 1,
      anon_sym_RPAREN,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2004), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2006), 1,
      sym_float,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1255), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_string,
    STATE(1491), 1,
      sym__pattern,
    STATE(1620), 1,
      sym_record_pattern_argument,
    STATE(1810), 1,
      sym_pattern_spread,
    STATE(1811), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1278), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [58336] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2008), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(2010), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [58379] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2012), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(2014), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [58422] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2016), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(2018), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [58465] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(782), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(780), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [58508] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(786), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(784), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [58551] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2020), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(2022), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [58594] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2024), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(2026), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [58637] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2028), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(2030), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [58680] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2032), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(2034), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [58723] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2036), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(2038), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [58766] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(1926), 1,
      anon_sym_DASH,
    ACTIONS(1928), 1,
      anon_sym_size,
    ACTIONS(1934), 1,
      anon_sym_unit,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2040), 2,
      anon_sym_COMMA,
      anon_sym_GT_GT,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    ACTIONS(1932), 3,
      anon_sym_utf8,
      anon_sym_utf16,
      anon_sym_utf32,
    STATE(1504), 5,
      sym__pattern_bit_string_segment_option,
      sym__pattern_bit_string_named_segment_option,
      sym__pattern_bit_string_segment_option_size,
      sym_integer,
      sym__bit_string_segment_option,
    ACTIONS(1930), 14,
      anon_sym_binary,
      anon_sym_bytes,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bit_string,
      anon_sym_bits,
      anon_sym_utf8_codepoint,
      anon_sym_utf16_codepoint,
      anon_sym_utf32_codepoint,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_big,
      anon_sym_little,
      anon_sym_native,
  [58823] = 24,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2004), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2006), 1,
      sym_float,
    ACTIONS(2042), 1,
      anon_sym_RPAREN,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1255), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_string,
    STATE(1491), 1,
      sym__pattern,
    STATE(1620), 1,
      sym_record_pattern_argument,
    STATE(1811), 1,
      sym_label,
    STATE(1838), 1,
      sym_pattern_spread,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1278), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [58906] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1676), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1678), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [58949] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2044), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(2046), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [58992] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2048), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(2050), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [59035] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(816), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(814), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [59078] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2052), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(2054), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [59121] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2056), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(2058), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [59164] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(808), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(806), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [59207] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(803), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(800), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [59250] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2060), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(2062), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [59293] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(798), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(796), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [59336] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(794), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(792), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [59379] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2064), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(2066), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [59422] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2068), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(2070), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [59465] = 23,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2072), 1,
      anon_sym_RBRACE,
    ACTIONS(2074), 1,
      anon_sym_POUND,
    ACTIONS(2077), 1,
      anon_sym_LBRACK,
    ACTIONS(2080), 1,
      anon_sym_LT_LT,
    ACTIONS(2083), 1,
      anon_sym_DASH,
    ACTIONS(2086), 1,
      anon_sym_DQUOTE,
    ACTIONS(2089), 1,
      sym_float,
    ACTIONS(2095), 1,
      sym__decimal,
    ACTIONS(2098), 1,
      sym__discard_name,
    ACTIONS(2101), 1,
      sym__name,
    ACTIONS(2104), 1,
      sym__upname,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1281), 1,
      sym_identifier,
    STATE(1296), 1,
      sym_string,
    STATE(1366), 1,
      sym__pattern,
    STATE(1393), 1,
      sym_case_clause_pattern,
    STATE(1472), 1,
      sym_case_clause_patterns,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(765), 2,
      sym_case_clause,
      aux_sym_case_clauses_repeat1,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(2092), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1312), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [59546] = 24,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2004), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2006), 1,
      sym_float,
    ACTIONS(2107), 1,
      anon_sym_RPAREN,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1255), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_string,
    STATE(1368), 1,
      sym_record_pattern_argument,
    STATE(1491), 1,
      sym__pattern,
    STATE(1811), 1,
      sym_label,
    STATE(1812), 1,
      sym_pattern_spread,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1278), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [59629] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1656), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1658), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [59672] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(726), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(724), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [59715] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1668), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1670), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [59758] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(660), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(658), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [59801] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(730), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(728), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [59844] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2109), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(2111), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [59887] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(690), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(688), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [59930] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2113), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(2115), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [59973] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(1926), 1,
      anon_sym_DASH,
    ACTIONS(1934), 1,
      anon_sym_unit,
    ACTIONS(1962), 1,
      anon_sym_size,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2117), 2,
      anon_sym_COMMA,
      anon_sym_GT_GT,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    ACTIONS(1932), 3,
      anon_sym_utf8,
      anon_sym_utf16,
      anon_sym_utf32,
    STATE(1587), 5,
      sym__expression_bit_string_segment_option,
      sym__expression_bit_string_named_segment_option,
      sym__expression_bit_string_segment_option_size,
      sym_integer,
      sym__bit_string_segment_option,
    ACTIONS(1930), 14,
      anon_sym_binary,
      anon_sym_bytes,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bit_string,
      anon_sym_bits,
      anon_sym_utf8_codepoint,
      anon_sym_utf16_codepoint,
      anon_sym_utf32_codepoint,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_big,
      anon_sym_little,
      anon_sym_native,
  [60030] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2119), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(2121), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [60073] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(1926), 1,
      anon_sym_DASH,
    ACTIONS(1934), 1,
      anon_sym_unit,
    ACTIONS(1998), 1,
      anon_sym_size,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2123), 2,
      anon_sym_COMMA,
      anon_sym_GT_GT,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    ACTIONS(1932), 3,
      anon_sym_utf8,
      anon_sym_utf16,
      anon_sym_utf32,
    STATE(1529), 5,
      sym__constant_bit_string_segment_option,
      sym__constant_bit_string_named_segment_option,
      sym__constant_bit_string_segment_option_size,
      sym_integer,
      sym__bit_string_segment_option,
    ACTIONS(1930), 14,
      anon_sym_binary,
      anon_sym_bytes,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bit_string,
      anon_sym_bits,
      anon_sym_utf8_codepoint,
      anon_sym_utf16_codepoint,
      anon_sym_utf32_codepoint,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_big,
      anon_sym_little,
      anon_sym_native,
  [60130] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1680), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1682), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [60173] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1684), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1686), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [60216] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1652), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1654), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [60259] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2125), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(2127), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [60302] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2129), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(2131), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [60345] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1672), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1674), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [60388] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1628), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1630), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [60431] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1640), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1642), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [60474] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2133), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(2135), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [60517] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2137), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(2139), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [60560] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2141), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(2143), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [60603] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1696), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1698), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [60646] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1620), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1622), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [60689] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1632), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1634), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [60732] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2145), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(2147), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [60775] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1624), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1626), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [60818] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1636), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1638), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [60861] = 23,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1782), 1,
      anon_sym_DASH,
    ACTIONS(1784), 1,
      anon_sym_DQUOTE,
    ACTIONS(1786), 1,
      sym_float,
    ACTIONS(1790), 1,
      sym__decimal,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(1794), 1,
      sym__name,
    ACTIONS(1796), 1,
      sym__upname,
    ACTIONS(2149), 1,
      anon_sym_RBRACE,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1281), 1,
      sym_identifier,
    STATE(1296), 1,
      sym_string,
    STATE(1366), 1,
      sym__pattern,
    STATE(1393), 1,
      sym_case_clause_pattern,
    STATE(1472), 1,
      sym_case_clause_patterns,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(765), 2,
      sym_case_clause,
      aux_sym_case_clauses_repeat1,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(1788), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1312), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [60942] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1644), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1646), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [60985] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1648), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1650), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [61028] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2151), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(2153), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [61071] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1664), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1666), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [61114] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1660), 13,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
    ACTIONS(1662), 18,
      anon_sym_if,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym_visibility_modifier,
      sym_opacity_modifier,
      sym__decimal,
      sym__name,
  [61157] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(768), 7,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
  [61217] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(810), 7,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
  [61277] = 19,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(2175), 1,
      anon_sym_LBRACE,
    ACTIONS(2177), 1,
      anon_sym_POUND,
    ACTIONS(2179), 1,
      anon_sym_LBRACK,
    ACTIONS(2181), 1,
      anon_sym_LT_LT,
    ACTIONS(2183), 1,
      anon_sym_DASH,
    ACTIONS(2185), 1,
      sym_float,
    STATE(1059), 1,
      sym_identifier,
    STATE(1073), 1,
      sym__case_clause_guard_binary_expression,
    STATE(1074), 1,
      sym__case_clause_tuple_access,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1028), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1082), 11,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym__case_clause_guard_expression,
      sym__case_clause_guard_unit,
      sym_boolean_negation,
      sym_string,
      sym_integer,
  [61349] = 19,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(2175), 1,
      anon_sym_LBRACE,
    ACTIONS(2177), 1,
      anon_sym_POUND,
    ACTIONS(2179), 1,
      anon_sym_LBRACK,
    ACTIONS(2181), 1,
      anon_sym_LT_LT,
    ACTIONS(2183), 1,
      anon_sym_DASH,
    ACTIONS(2187), 1,
      sym_float,
    STATE(1059), 1,
      sym_identifier,
    STATE(1073), 1,
      sym__case_clause_guard_binary_expression,
    STATE(1074), 1,
      sym__case_clause_tuple_access,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1028), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1083), 11,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym__case_clause_guard_expression,
      sym__case_clause_guard_unit,
      sym_boolean_negation,
      sym_string,
      sym_integer,
  [61421] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(1926), 1,
      anon_sym_DASH,
    ACTIONS(1928), 1,
      anon_sym_size,
    ACTIONS(1934), 1,
      anon_sym_unit,
    STATE(1769), 1,
      sym_pattern_bit_string_segment_options,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    ACTIONS(1932), 3,
      anon_sym_utf8,
      anon_sym_utf16,
      anon_sym_utf32,
    STATE(1422), 5,
      sym__pattern_bit_string_segment_option,
      sym__pattern_bit_string_named_segment_option,
      sym__pattern_bit_string_segment_option_size,
      sym_integer,
      sym__bit_string_segment_option,
    ACTIONS(1930), 14,
      anon_sym_binary,
      anon_sym_bytes,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bit_string,
      anon_sym_bits,
      anon_sym_utf8_codepoint,
      anon_sym_utf16_codepoint,
      anon_sym_utf32_codepoint,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_big,
      anon_sym_little,
      anon_sym_native,
  [61477] = 19,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(2175), 1,
      anon_sym_LBRACE,
    ACTIONS(2177), 1,
      anon_sym_POUND,
    ACTIONS(2179), 1,
      anon_sym_LBRACK,
    ACTIONS(2181), 1,
      anon_sym_LT_LT,
    ACTIONS(2183), 1,
      anon_sym_DASH,
    ACTIONS(2189), 1,
      sym_float,
    STATE(1059), 1,
      sym_identifier,
    STATE(1073), 1,
      sym__case_clause_guard_binary_expression,
    STATE(1074), 1,
      sym__case_clause_tuple_access,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1028), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1085), 11,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym__case_clause_guard_expression,
      sym__case_clause_guard_unit,
      sym_boolean_negation,
      sym_string,
      sym_integer,
  [61549] = 19,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(2175), 1,
      anon_sym_LBRACE,
    ACTIONS(2177), 1,
      anon_sym_POUND,
    ACTIONS(2179), 1,
      anon_sym_LBRACK,
    ACTIONS(2181), 1,
      anon_sym_LT_LT,
    ACTIONS(2183), 1,
      anon_sym_DASH,
    ACTIONS(2191), 1,
      sym_float,
    STATE(1059), 1,
      sym_identifier,
    STATE(1073), 1,
      sym__case_clause_guard_binary_expression,
    STATE(1074), 1,
      sym__case_clause_tuple_access,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1028), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1086), 11,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym__case_clause_guard_expression,
      sym__case_clause_guard_unit,
      sym_boolean_negation,
      sym_string,
      sym_integer,
  [61621] = 19,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(241), 1,
      anon_sym_DQUOTE,
    ACTIONS(247), 1,
      sym__decimal,
    ACTIONS(249), 1,
      sym__name,
    ACTIONS(251), 1,
      sym__upname,
    ACTIONS(1164), 1,
      anon_sym_BANG,
    ACTIONS(1782), 1,
      anon_sym_DASH,
    ACTIONS(2193), 1,
      anon_sym_LBRACE,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2201), 1,
      sym_float,
    STATE(1052), 1,
      sym_identifier,
    STATE(1090), 1,
      sym__case_clause_tuple_access,
    STATE(1091), 1,
      sym__case_clause_guard_binary_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(245), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1092), 11,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym__case_clause_guard_expression,
      sym__case_clause_guard_unit,
      sym_boolean_negation,
      sym_string,
      sym_integer,
  [61693] = 19,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(2175), 1,
      anon_sym_LBRACE,
    ACTIONS(2177), 1,
      anon_sym_POUND,
    ACTIONS(2179), 1,
      anon_sym_LBRACK,
    ACTIONS(2181), 1,
      anon_sym_LT_LT,
    ACTIONS(2183), 1,
      anon_sym_DASH,
    ACTIONS(2203), 1,
      sym_float,
    STATE(1059), 1,
      sym_identifier,
    STATE(1073), 1,
      sym__case_clause_guard_binary_expression,
    STATE(1074), 1,
      sym__case_clause_tuple_access,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1028), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1101), 11,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym__case_clause_guard_expression,
      sym__case_clause_guard_unit,
      sym_boolean_negation,
      sym_string,
      sym_integer,
  [61765] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(696), 7,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
  [61825] = 19,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(2175), 1,
      anon_sym_LBRACE,
    ACTIONS(2177), 1,
      anon_sym_POUND,
    ACTIONS(2179), 1,
      anon_sym_LBRACK,
    ACTIONS(2181), 1,
      anon_sym_LT_LT,
    ACTIONS(2183), 1,
      anon_sym_DASH,
    ACTIONS(2205), 1,
      sym_float,
    STATE(1059), 1,
      sym_identifier,
    STATE(1073), 1,
      sym__case_clause_guard_binary_expression,
    STATE(1074), 1,
      sym__case_clause_tuple_access,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1028), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1088), 11,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym__case_clause_guard_expression,
      sym__case_clause_guard_unit,
      sym_boolean_negation,
      sym_string,
      sym_integer,
  [61897] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(764), 7,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
  [61957] = 19,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(241), 1,
      anon_sym_DQUOTE,
    ACTIONS(247), 1,
      sym__decimal,
    ACTIONS(249), 1,
      sym__name,
    ACTIONS(251), 1,
      sym__upname,
    ACTIONS(1164), 1,
      anon_sym_BANG,
    ACTIONS(1782), 1,
      anon_sym_DASH,
    ACTIONS(2193), 1,
      anon_sym_LBRACE,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2207), 1,
      sym_float,
    STATE(1052), 1,
      sym_identifier,
    STATE(1090), 1,
      sym__case_clause_tuple_access,
    STATE(1091), 1,
      sym__case_clause_guard_binary_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(245), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1094), 11,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym__case_clause_guard_expression,
      sym__case_clause_guard_unit,
      sym_boolean_negation,
      sym_string,
      sym_integer,
  [62029] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(586), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(399), 9,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(397), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [62073] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(736), 7,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
  [62133] = 19,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(2175), 1,
      anon_sym_LBRACE,
    ACTIONS(2177), 1,
      anon_sym_POUND,
    ACTIONS(2179), 1,
      anon_sym_LBRACK,
    ACTIONS(2181), 1,
      anon_sym_LT_LT,
    ACTIONS(2183), 1,
      anon_sym_DASH,
    ACTIONS(2209), 1,
      sym_float,
    STATE(1059), 1,
      sym_identifier,
    STATE(1073), 1,
      sym__case_clause_guard_binary_expression,
    STATE(1074), 1,
      sym__case_clause_tuple_access,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1028), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1063), 11,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym__case_clause_guard_expression,
      sym__case_clause_guard_unit,
      sym_boolean_negation,
      sym_string,
      sym_integer,
  [62205] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(574), 9,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE,
    ACTIONS(572), 21,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [62247] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(758), 6,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
    ACTIONS(756), 18,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_DOT_DOT,
  [62293] = 12,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(756), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_DOT_DOT,
  [62351] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(756), 9,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT_DOT,
  [62407] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(756), 11,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT_DOT,
  [62461] = 9,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(758), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(756), 15,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_DOT_DOT,
  [62513] = 19,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(241), 1,
      anon_sym_DQUOTE,
    ACTIONS(247), 1,
      sym__decimal,
    ACTIONS(249), 1,
      sym__name,
    ACTIONS(251), 1,
      sym__upname,
    ACTIONS(1164), 1,
      anon_sym_BANG,
    ACTIONS(1782), 1,
      anon_sym_DASH,
    ACTIONS(2193), 1,
      anon_sym_LBRACE,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2211), 1,
      sym_float,
    STATE(1052), 1,
      sym_identifier,
    STATE(1090), 1,
      sym__case_clause_tuple_access,
    STATE(1091), 1,
      sym__case_clause_guard_binary_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(245), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1098), 11,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym__case_clause_guard_expression,
      sym__case_clause_guard_unit,
      sym_boolean_negation,
      sym_string,
      sym_integer,
  [62585] = 8,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(758), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(756), 16,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_DOT_DOT,
  [62635] = 19,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(241), 1,
      anon_sym_DQUOTE,
    ACTIONS(247), 1,
      sym__decimal,
    ACTIONS(249), 1,
      sym__name,
    ACTIONS(251), 1,
      sym__upname,
    ACTIONS(1164), 1,
      anon_sym_BANG,
    ACTIONS(1782), 1,
      anon_sym_DASH,
    ACTIONS(2193), 1,
      anon_sym_LBRACE,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2213), 1,
      sym_float,
    STATE(1052), 1,
      sym_identifier,
    STATE(1090), 1,
      sym__case_clause_tuple_access,
    STATE(1091), 1,
      sym__case_clause_guard_binary_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(245), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1099), 11,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym__case_clause_guard_expression,
      sym__case_clause_guard_unit,
      sym_boolean_negation,
      sym_string,
      sym_integer,
  [62707] = 19,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(241), 1,
      anon_sym_DQUOTE,
    ACTIONS(247), 1,
      sym__decimal,
    ACTIONS(249), 1,
      sym__name,
    ACTIONS(251), 1,
      sym__upname,
    ACTIONS(1164), 1,
      anon_sym_BANG,
    ACTIONS(1782), 1,
      anon_sym_DASH,
    ACTIONS(2193), 1,
      anon_sym_LBRACE,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2215), 1,
      sym_float,
    STATE(1052), 1,
      sym_identifier,
    STATE(1090), 1,
      sym__case_clause_tuple_access,
    STATE(1091), 1,
      sym__case_clause_guard_binary_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(245), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1100), 11,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym__case_clause_guard_expression,
      sym__case_clause_guard_unit,
      sym_boolean_negation,
      sym_string,
      sym_integer,
  [62779] = 19,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(241), 1,
      anon_sym_DQUOTE,
    ACTIONS(247), 1,
      sym__decimal,
    ACTIONS(249), 1,
      sym__name,
    ACTIONS(251), 1,
      sym__upname,
    ACTIONS(1164), 1,
      anon_sym_BANG,
    ACTIONS(1782), 1,
      anon_sym_DASH,
    ACTIONS(2193), 1,
      anon_sym_LBRACE,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2217), 1,
      sym_float,
    STATE(1052), 1,
      sym_identifier,
    STATE(1090), 1,
      sym__case_clause_tuple_access,
    STATE(1091), 1,
      sym__case_clause_guard_binary_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(245), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1102), 11,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym__case_clause_guard_expression,
      sym__case_clause_guard_unit,
      sym_boolean_negation,
      sym_string,
      sym_integer,
  [62851] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(1926), 1,
      anon_sym_DASH,
    ACTIONS(1934), 1,
      anon_sym_unit,
    ACTIONS(1998), 1,
      anon_sym_size,
    STATE(1734), 1,
      sym_constant_bit_string_segment_options,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    ACTIONS(1932), 3,
      anon_sym_utf8,
      anon_sym_utf16,
      anon_sym_utf32,
    STATE(1411), 5,
      sym__constant_bit_string_segment_option,
      sym__constant_bit_string_named_segment_option,
      sym__constant_bit_string_segment_option_size,
      sym_integer,
      sym__bit_string_segment_option,
    ACTIONS(1930), 14,
      anon_sym_binary,
      anon_sym_bytes,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bit_string,
      anon_sym_bits,
      anon_sym_utf8_codepoint,
      anon_sym_utf16_codepoint,
      anon_sym_utf32_codepoint,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_big,
      anon_sym_little,
      anon_sym_native,
  [62907] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(1926), 1,
      anon_sym_DASH,
    ACTIONS(1934), 1,
      anon_sym_unit,
    ACTIONS(1962), 1,
      anon_sym_size,
    STATE(1719), 1,
      sym_expression_bit_string_segment_options,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    ACTIONS(1932), 3,
      anon_sym_utf8,
      anon_sym_utf16,
      anon_sym_utf32,
    STATE(1421), 5,
      sym__expression_bit_string_segment_option,
      sym__expression_bit_string_named_segment_option,
      sym__expression_bit_string_segment_option_size,
      sym_integer,
      sym__bit_string_segment_option,
    ACTIONS(1930), 14,
      anon_sym_binary,
      anon_sym_bytes,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bit_string,
      anon_sym_bits,
      anon_sym_utf8_codepoint,
      anon_sym_utf16_codepoint,
      anon_sym_utf32_codepoint,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_big,
      anon_sym_little,
      anon_sym_native,
  [62963] = 19,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(241), 1,
      anon_sym_DQUOTE,
    ACTIONS(247), 1,
      sym__decimal,
    ACTIONS(249), 1,
      sym__name,
    ACTIONS(251), 1,
      sym__upname,
    ACTIONS(1164), 1,
      anon_sym_BANG,
    ACTIONS(1782), 1,
      anon_sym_DASH,
    ACTIONS(2193), 1,
      anon_sym_LBRACE,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2219), 1,
      sym_float,
    STATE(1052), 1,
      sym_identifier,
    STATE(1090), 1,
      sym__case_clause_tuple_access,
    STATE(1091), 1,
      sym__case_clause_guard_binary_expression,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(245), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1103), 11,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym__case_clause_guard_expression,
      sym__case_clause_guard_unit,
      sym_boolean_negation,
      sym_string,
      sym_integer,
  [63035] = 19,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(672), 1,
      anon_sym_BANG,
    ACTIONS(2175), 1,
      anon_sym_LBRACE,
    ACTIONS(2177), 1,
      anon_sym_POUND,
    ACTIONS(2179), 1,
      anon_sym_LBRACK,
    ACTIONS(2181), 1,
      anon_sym_LT_LT,
    ACTIONS(2183), 1,
      anon_sym_DASH,
    ACTIONS(2221), 1,
      sym_float,
    STATE(1059), 1,
      sym_identifier,
    STATE(1073), 1,
      sym__case_clause_guard_binary_expression,
    STATE(1074), 1,
      sym__case_clause_tuple_access,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1028), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1078), 11,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym__case_clause_guard_expression,
      sym__case_clause_guard_unit,
      sym_boolean_negation,
      sym_string,
      sym_integer,
  [63107] = 22,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2006), 1,
      sym_float,
    ACTIONS(2223), 1,
      anon_sym_RBRACK,
    ACTIONS(2225), 1,
      anon_sym_DOT_DOT,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1255), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_string,
    STATE(1302), 1,
      sym__pattern,
    STATE(1806), 1,
      sym_list_pattern_tail,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1278), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [63184] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(1926), 1,
      anon_sym_DASH,
    ACTIONS(1928), 1,
      anon_sym_size,
    ACTIONS(1934), 1,
      anon_sym_unit,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    ACTIONS(1932), 3,
      anon_sym_utf8,
      anon_sym_utf16,
      anon_sym_utf32,
    STATE(1504), 5,
      sym__pattern_bit_string_segment_option,
      sym__pattern_bit_string_named_segment_option,
      sym__pattern_bit_string_segment_option_size,
      sym_integer,
      sym__bit_string_segment_option,
    ACTIONS(1930), 14,
      anon_sym_binary,
      anon_sym_bytes,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bit_string,
      anon_sym_bits,
      anon_sym_utf8_codepoint,
      anon_sym_utf16_codepoint,
      anon_sym_utf32_codepoint,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_big,
      anon_sym_little,
      anon_sym_native,
  [63237] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(1926), 1,
      anon_sym_DASH,
    ACTIONS(1934), 1,
      anon_sym_unit,
    ACTIONS(1962), 1,
      anon_sym_size,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    ACTIONS(1932), 3,
      anon_sym_utf8,
      anon_sym_utf16,
      anon_sym_utf32,
    STATE(1587), 5,
      sym__expression_bit_string_segment_option,
      sym__expression_bit_string_named_segment_option,
      sym__expression_bit_string_segment_option_size,
      sym_integer,
      sym__bit_string_segment_option,
    ACTIONS(1930), 14,
      anon_sym_binary,
      anon_sym_bytes,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bit_string,
      anon_sym_bits,
      anon_sym_utf8_codepoint,
      anon_sym_utf16_codepoint,
      anon_sym_utf32_codepoint,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_big,
      anon_sym_little,
      anon_sym_native,
  [63290] = 22,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2006), 1,
      sym_float,
    ACTIONS(2225), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2227), 1,
      anon_sym_RBRACK,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1255), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_string,
    STATE(1350), 1,
      sym__pattern,
    STATE(1877), 1,
      sym_list_pattern_tail,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1278), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [63367] = 22,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1782), 1,
      anon_sym_DASH,
    ACTIONS(1784), 1,
      anon_sym_DQUOTE,
    ACTIONS(1786), 1,
      sym_float,
    ACTIONS(1790), 1,
      sym__decimal,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(1794), 1,
      sym__name,
    ACTIONS(1796), 1,
      sym__upname,
    ACTIONS(2229), 1,
      anon_sym_if,
    ACTIONS(2231), 1,
      anon_sym_DASH_GT,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1281), 1,
      sym_identifier,
    STATE(1296), 1,
      sym_string,
    STATE(1366), 1,
      sym__pattern,
    STATE(1618), 1,
      sym_case_clause_pattern,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(1788), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1312), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [63444] = 21,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1782), 1,
      anon_sym_DASH,
    ACTIONS(1784), 1,
      anon_sym_DQUOTE,
    ACTIONS(1786), 1,
      sym_float,
    ACTIONS(1790), 1,
      sym__decimal,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(1794), 1,
      sym__name,
    ACTIONS(1796), 1,
      sym__upname,
    ACTIONS(2233), 1,
      anon_sym_if,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1281), 1,
      sym_identifier,
    STATE(1296), 1,
      sym_string,
    STATE(1302), 1,
      sym__pattern,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2235), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(1788), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1312), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [63519] = 20,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2006), 1,
      sym_float,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1255), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_string,
    STATE(1585), 1,
      sym__pattern,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    ACTIONS(2237), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
    STATE(1278), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [63592] = 22,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2006), 1,
      sym_float,
    ACTIONS(2225), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2239), 1,
      anon_sym_RBRACK,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1255), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_string,
    STATE(1302), 1,
      sym__pattern,
    STATE(1786), 1,
      sym_list_pattern_tail,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1278), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [63669] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(1926), 1,
      anon_sym_DASH,
    ACTIONS(1934), 1,
      anon_sym_unit,
    ACTIONS(1998), 1,
      anon_sym_size,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    ACTIONS(1932), 3,
      anon_sym_utf8,
      anon_sym_utf16,
      anon_sym_utf32,
    STATE(1529), 5,
      sym__constant_bit_string_segment_option,
      sym__constant_bit_string_named_segment_option,
      sym__constant_bit_string_segment_option_size,
      sym_integer,
      sym__bit_string_segment_option,
    ACTIONS(1930), 14,
      anon_sym_binary,
      anon_sym_bytes,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bit_string,
      anon_sym_bits,
      anon_sym_utf8_codepoint,
      anon_sym_utf16_codepoint,
      anon_sym_utf32_codepoint,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_big,
      anon_sym_little,
      anon_sym_native,
  [63722] = 22,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1784), 1,
      anon_sym_DQUOTE,
    ACTIONS(1790), 1,
      sym__decimal,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(1794), 1,
      sym__name,
    ACTIONS(1796), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2241), 1,
      anon_sym_LT_DASH,
    ACTIONS(2243), 1,
      sym_float,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1281), 1,
      sym_identifier,
    STATE(1296), 1,
      sym_string,
    STATE(1430), 1,
      sym__pattern,
    STATE(1435), 1,
      sym_use_assignment,
    STATE(1867), 1,
      sym_use_assignments,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(1788), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1353), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [63799] = 21,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1782), 1,
      anon_sym_DASH,
    ACTIONS(1784), 1,
      anon_sym_DQUOTE,
    ACTIONS(1786), 1,
      sym_float,
    ACTIONS(1790), 1,
      sym__decimal,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(1794), 1,
      sym__name,
    ACTIONS(1796), 1,
      sym__upname,
    ACTIONS(2245), 1,
      anon_sym_if,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1281), 1,
      sym_identifier,
    STATE(1296), 1,
      sym_string,
    STATE(1302), 1,
      sym__pattern,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2247), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(1788), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1312), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [63874] = 22,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1782), 1,
      anon_sym_DASH,
    ACTIONS(1784), 1,
      anon_sym_DQUOTE,
    ACTIONS(1786), 1,
      sym_float,
    ACTIONS(1790), 1,
      sym__decimal,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(1794), 1,
      sym__name,
    ACTIONS(1796), 1,
      sym__upname,
    ACTIONS(2249), 1,
      anon_sym_if,
    ACTIONS(2251), 1,
      anon_sym_DASH_GT,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1281), 1,
      sym_identifier,
    STATE(1296), 1,
      sym_string,
    STATE(1366), 1,
      sym__pattern,
    STATE(1618), 1,
      sym_case_clause_pattern,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(1788), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1312), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [63951] = 22,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1784), 1,
      anon_sym_DQUOTE,
    ACTIONS(1790), 1,
      sym__decimal,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(1794), 1,
      sym__name,
    ACTIONS(1796), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2243), 1,
      sym_float,
    ACTIONS(2253), 1,
      anon_sym_LT_DASH,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1281), 1,
      sym_identifier,
    STATE(1296), 1,
      sym_string,
    STATE(1430), 1,
      sym__pattern,
    STATE(1435), 1,
      sym_use_assignment,
    STATE(1894), 1,
      sym_use_assignments,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(1788), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1353), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [64028] = 21,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1784), 1,
      anon_sym_DQUOTE,
    ACTIONS(1790), 1,
      sym__decimal,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(1794), 1,
      sym__name,
    ACTIONS(1796), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2243), 1,
      sym_float,
    ACTIONS(2255), 1,
      anon_sym_LT_DASH,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1281), 1,
      sym_identifier,
    STATE(1296), 1,
      sym_string,
    STATE(1430), 1,
      sym__pattern,
    STATE(1740), 1,
      sym_use_assignment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(1788), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1353), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [64102] = 21,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2006), 1,
      sym_float,
    ACTIONS(2257), 1,
      anon_sym_GT_GT,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1255), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_string,
    STATE(1560), 1,
      sym__pattern,
    STATE(1768), 1,
      sym_pattern_bit_string_segment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1278), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [64176] = 21,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2006), 1,
      sym_float,
    ACTIONS(2259), 1,
      anon_sym_GT_GT,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1255), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_string,
    STATE(1549), 1,
      sym_pattern_bit_string_segment,
    STATE(1560), 1,
      sym__pattern,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1278), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [64250] = 21,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1784), 1,
      anon_sym_DQUOTE,
    ACTIONS(1790), 1,
      sym__decimal,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(1794), 1,
      sym__name,
    ACTIONS(1796), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2243), 1,
      sym_float,
    ACTIONS(2261), 1,
      anon_sym_LT_DASH,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1281), 1,
      sym_identifier,
    STATE(1296), 1,
      sym_string,
    STATE(1430), 1,
      sym__pattern,
    STATE(1740), 1,
      sym_use_assignment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(1788), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1353), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [64324] = 21,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2006), 1,
      sym_float,
    ACTIONS(2263), 1,
      anon_sym_assert,
    STATE(781), 1,
      sym__assignment,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1255), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_string,
    STATE(1460), 1,
      sym__pattern,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1278), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [64398] = 21,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2006), 1,
      sym_float,
    ACTIONS(2265), 1,
      anon_sym_GT_GT,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1255), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_string,
    STATE(1560), 1,
      sym__pattern,
    STATE(1768), 1,
      sym_pattern_bit_string_segment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1278), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [64472] = 21,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2006), 1,
      sym_float,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1255), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_string,
    STATE(1491), 1,
      sym__pattern,
    STATE(1620), 1,
      sym_record_pattern_argument,
    STATE(1811), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1278), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [64546] = 21,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2006), 1,
      sym_float,
    ACTIONS(2267), 1,
      anon_sym_assert,
    STATE(1054), 1,
      sym__assignment,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1255), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_string,
    STATE(1445), 1,
      sym__pattern,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1278), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [64620] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2269), 1,
      anon_sym_LPAREN,
    STATE(926), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(383), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(381), 17,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [64663] = 16,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2271), 1,
      anon_sym_COMMA,
    ACTIONS(2273), 1,
      anon_sym_RBRACK,
    ACTIONS(2275), 1,
      anon_sym_DOT_DOT,
    STATE(1374), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [64726] = 20,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2006), 1,
      sym_float,
    STATE(169), 1,
      sym__assignment,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1255), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_string,
    STATE(1460), 1,
      sym__pattern,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1278), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [64797] = 16,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2277), 1,
      anon_sym_COMMA,
    ACTIONS(2279), 1,
      anon_sym_RBRACK,
    ACTIONS(2281), 1,
      anon_sym_DOT_DOT,
    STATE(1429), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [64860] = 20,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1782), 1,
      anon_sym_DASH,
    ACTIONS(1784), 1,
      anon_sym_DQUOTE,
    ACTIONS(1786), 1,
      sym_float,
    ACTIONS(1790), 1,
      sym__decimal,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(1794), 1,
      sym__name,
    ACTIONS(1796), 1,
      sym__upname,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1281), 1,
      sym_identifier,
    STATE(1296), 1,
      sym_string,
    STATE(1366), 1,
      sym__pattern,
    STATE(1618), 1,
      sym_case_clause_pattern,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(1788), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1312), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [64931] = 20,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1784), 1,
      anon_sym_DQUOTE,
    ACTIONS(1790), 1,
      sym__decimal,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(1794), 1,
      sym__name,
    ACTIONS(1796), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2243), 1,
      sym_float,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1281), 1,
      sym_identifier,
    STATE(1296), 1,
      sym_string,
    STATE(1430), 1,
      sym__pattern,
    STATE(1740), 1,
      sym_use_assignment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(1788), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1353), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [65002] = 16,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2283), 1,
      anon_sym_COMMA,
    ACTIONS(2285), 1,
      anon_sym_RBRACK,
    ACTIONS(2287), 1,
      anon_sym_DOT_DOT,
    STATE(1384), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [65065] = 20,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2006), 1,
      sym_float,
    STATE(407), 1,
      sym__assignment,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1255), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_string,
    STATE(1548), 1,
      sym__pattern,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1278), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [65136] = 16,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2289), 1,
      anon_sym_COMMA,
    ACTIONS(2291), 1,
      anon_sym_RBRACK,
    ACTIONS(2293), 1,
      anon_sym_DOT_DOT,
    STATE(1424), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [65199] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(2295), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
  [65256] = 20,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2006), 1,
      sym_float,
    ACTIONS(2297), 1,
      anon_sym_RPAREN,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1255), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_string,
    STATE(1482), 1,
      sym__pattern,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1278), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [65327] = 20,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2006), 1,
      sym_float,
    STATE(679), 1,
      sym__assignment,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1255), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_string,
    STATE(1604), 1,
      sym__pattern,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1278), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [65398] = 20,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2006), 1,
      sym_float,
    ACTIONS(2299), 1,
      anon_sym_RPAREN,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1255), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_string,
    STATE(1302), 1,
      sym__pattern,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1278), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [65469] = 16,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2301), 1,
      anon_sym_COMMA,
    ACTIONS(2303), 1,
      anon_sym_RBRACK,
    ACTIONS(2305), 1,
      anon_sym_DOT_DOT,
    STATE(1391), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [65532] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1888), 1,
      anon_sym_LPAREN,
    ACTIONS(2307), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(640), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(638), 17,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [65575] = 20,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2006), 1,
      sym_float,
    STATE(755), 1,
      sym__assignment,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1255), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_string,
    STATE(1548), 1,
      sym__pattern,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1278), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [65646] = 20,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2006), 1,
      sym_float,
    STATE(1039), 1,
      sym__assignment,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1255), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_string,
    STATE(1592), 1,
      sym__pattern,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1278), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [65717] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1884), 1,
      anon_sym_LPAREN,
    ACTIONS(2309), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(646), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(644), 17,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [65760] = 20,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2006), 1,
      sym_float,
    STATE(511), 1,
      sym__assignment,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1255), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_string,
    STATE(1444), 1,
      sym__pattern,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1278), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [65831] = 20,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2006), 1,
      sym_float,
    STATE(1024), 1,
      sym__assignment,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1255), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_string,
    STATE(1444), 1,
      sym__pattern,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1278), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [65902] = 16,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2311), 1,
      anon_sym_COMMA,
    ACTIONS(2313), 1,
      anon_sym_RBRACK,
    ACTIONS(2315), 1,
      anon_sym_DOT_DOT,
    STATE(1427), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [65965] = 20,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2006), 1,
      sym_float,
    STATE(755), 1,
      sym__assignment,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1255), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_string,
    STATE(1453), 1,
      sym__pattern,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1278), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [66036] = 16,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2317), 1,
      anon_sym_COMMA,
    ACTIONS(2319), 1,
      anon_sym_RBRACK,
    ACTIONS(2321), 1,
      anon_sym_DOT_DOT,
    STATE(1399), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [66099] = 20,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2006), 1,
      sym_float,
    STATE(407), 1,
      sym__assignment,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1255), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_string,
    STATE(1445), 1,
      sym__pattern,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1278), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [66170] = 20,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2006), 1,
      sym_float,
    STATE(133), 1,
      sym__assignment,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1255), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_string,
    STATE(1604), 1,
      sym__pattern,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1278), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [66241] = 20,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2006), 1,
      sym_float,
    STATE(611), 1,
      sym__assignment,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1255), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_string,
    STATE(1509), 1,
      sym__pattern,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1278), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [66312] = 20,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2006), 1,
      sym_float,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1255), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_string,
    STATE(1560), 1,
      sym__pattern,
    STATE(1768), 1,
      sym_pattern_bit_string_segment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1278), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [66383] = 20,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2006), 1,
      sym_float,
    ACTIONS(2323), 1,
      anon_sym_RPAREN,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1255), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_string,
    STATE(1302), 1,
      sym__pattern,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1278), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [66454] = 15,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2325), 1,
      anon_sym_LBRACE,
    ACTIONS(2327), 1,
      anon_sym_COMMA,
    ACTIONS(2333), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2335), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2343), 1,
      anon_sym_PIPE_GT,
    STATE(1617), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2329), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2331), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2337), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2345), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2339), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2347), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [66514] = 18,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2349), 1,
      anon_sym_RPAREN,
    ACTIONS(2351), 1,
      sym_float,
    STATE(1323), 1,
      sym_identifier,
    STATE(1763), 1,
      sym_attribute_value,
    STATE(1845), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1626), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [66580] = 19,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2006), 1,
      sym_float,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1255), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_string,
    STATE(1302), 1,
      sym__pattern,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1278), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [66648] = 18,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2351), 1,
      sym_float,
    ACTIONS(2353), 1,
      anon_sym_RPAREN,
    STATE(1323), 1,
      sym_identifier,
    STATE(1763), 1,
      sym_attribute_value,
    STATE(1845), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1626), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [66714] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(534), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(532), 18,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [66752] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(588), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(586), 18,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [66790] = 18,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2355), 1,
      anon_sym_RPAREN,
    ACTIONS(2357), 1,
      sym_float,
    STATE(1323), 1,
      sym_identifier,
    STATE(1716), 1,
      sym_constant_record_argument,
    STATE(1783), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1625), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [66856] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2359), 1,
      anon_sym_LPAREN,
    ACTIONS(2361), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(646), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(644), 16,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [66898] = 18,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2357), 1,
      sym_float,
    ACTIONS(2363), 1,
      anon_sym_RPAREN,
    STATE(1323), 1,
      sym_identifier,
    STATE(1494), 1,
      sym_constant_record_argument,
    STATE(1783), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1625), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [66964] = 15,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2365), 1,
      anon_sym_COMMA,
    ACTIONS(2367), 1,
      anon_sym_RPAREN,
    STATE(1505), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [67024] = 18,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2357), 1,
      sym_float,
    ACTIONS(2369), 1,
      anon_sym_RPAREN,
    STATE(1323), 1,
      sym_identifier,
    STATE(1567), 1,
      sym_constant_record_argument,
    STATE(1783), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1625), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [67090] = 18,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2357), 1,
      sym_float,
    ACTIONS(2371), 1,
      anon_sym_RPAREN,
    STATE(1323), 1,
      sym_identifier,
    STATE(1716), 1,
      sym_constant_record_argument,
    STATE(1783), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1625), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [67156] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2373), 1,
      anon_sym_LPAREN,
    ACTIONS(2375), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(640), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(638), 16,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [67198] = 15,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2377), 1,
      anon_sym_COMMA,
    ACTIONS(2379), 1,
      anon_sym_RPAREN,
    STATE(1616), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [67258] = 15,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2381), 1,
      anon_sym_COMMA,
    ACTIONS(2383), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [67318] = 15,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2385), 1,
      anon_sym_COMMA,
    ACTIONS(2387), 1,
      anon_sym_RPAREN,
    STATE(1566), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [67378] = 15,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2389), 1,
      anon_sym_COMMA,
    ACTIONS(2391), 1,
      anon_sym_RPAREN,
    STATE(1563), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [67438] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(548), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(546), 18,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [67476] = 18,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2357), 1,
      sym_float,
    ACTIONS(2393), 1,
      anon_sym_RPAREN,
    STATE(1323), 1,
      sym_identifier,
    STATE(1716), 1,
      sym_constant_record_argument,
    STATE(1783), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1625), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [67542] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(399), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(397), 18,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [67580] = 15,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2395), 1,
      anon_sym_COMMA,
    ACTIONS(2397), 1,
      anon_sym_RPAREN,
    STATE(1438), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [67640] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(544), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(542), 18,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [67678] = 18,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2357), 1,
      sym_float,
    ACTIONS(2399), 1,
      anon_sym_RPAREN,
    STATE(1323), 1,
      sym_identifier,
    STATE(1716), 1,
      sym_constant_record_argument,
    STATE(1783), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1625), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [67744] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(552), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(550), 18,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [67782] = 19,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1782), 1,
      anon_sym_DASH,
    ACTIONS(1784), 1,
      anon_sym_DQUOTE,
    ACTIONS(1786), 1,
      sym_float,
    ACTIONS(1790), 1,
      sym__decimal,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(1794), 1,
      sym__name,
    ACTIONS(1796), 1,
      sym__upname,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1281), 1,
      sym_identifier,
    STATE(1296), 1,
      sym_string,
    STATE(1302), 1,
      sym__pattern,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(1788), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1312), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [67850] = 15,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2401), 1,
      anon_sym_COMMA,
    ACTIONS(2403), 1,
      anon_sym_RPAREN,
    STATE(1458), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [67910] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(526), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(524), 18,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [67948] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN,
    ACTIONS(513), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(389), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(387), 16,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [67990] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(558), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(556), 18,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [68028] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN,
    ACTIONS(2405), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(389), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(387), 16,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [68070] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(562), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(560), 18,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [68108] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(570), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(568), 18,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [68146] = 18,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2351), 1,
      sym_float,
    ACTIONS(2409), 1,
      anon_sym_RPAREN,
    STATE(1323), 1,
      sym_identifier,
    STATE(1763), 1,
      sym_attribute_value,
    STATE(1845), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1626), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [68212] = 18,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2357), 1,
      sym_float,
    ACTIONS(2411), 1,
      anon_sym_RPAREN,
    STATE(1323), 1,
      sym_identifier,
    STATE(1716), 1,
      sym_constant_record_argument,
    STATE(1783), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1625), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [68278] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(584), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(582), 18,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [68316] = 18,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2357), 1,
      sym_float,
    ACTIONS(2413), 1,
      anon_sym_RPAREN,
    STATE(1323), 1,
      sym_identifier,
    STATE(1581), 1,
      sym_constant_record_argument,
    STATE(1783), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1625), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [68382] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(538), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(536), 18,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [68420] = 18,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2357), 1,
      sym_float,
    ACTIONS(2415), 1,
      anon_sym_RPAREN,
    STATE(1323), 1,
      sym_identifier,
    STATE(1716), 1,
      sym_constant_record_argument,
    STATE(1783), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1625), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [68486] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(507), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(505), 18,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [68524] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(592), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(590), 18,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [68562] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(596), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(594), 18,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [68600] = 18,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2351), 1,
      sym_float,
    ACTIONS(2417), 1,
      anon_sym_RPAREN,
    STATE(1323), 1,
      sym_identifier,
    STATE(1763), 1,
      sym_attribute_value,
    STATE(1845), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1626), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [68666] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(518), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(516), 18,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [68704] = 9,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2343), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2329), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2331), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2345), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(758), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2347), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(756), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
  [68751] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(614), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(612), 17,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [68788] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(634), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(632), 17,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [68825] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2333), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2335), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2343), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(810), 2,
      anon_sym_LBRACE,
      anon_sym_COMMA,
    ACTIONS(2329), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2331), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2337), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2345), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2339), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2347), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [68880] = 17,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2419), 1,
      anon_sym_GT_GT,
    ACTIONS(2421), 1,
      sym_float,
    STATE(1323), 1,
      sym_identifier,
    STATE(1733), 1,
      sym_constant_bit_string_segment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1562), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [68943] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(626), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(624), 17,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [68980] = 17,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2421), 1,
      sym_float,
    ACTIONS(2423), 1,
      anon_sym_GT_GT,
    STATE(1323), 1,
      sym_identifier,
    STATE(1733), 1,
      sym_constant_bit_string_segment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1562), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [69043] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(391), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(389), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(387), 16,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [69082] = 18,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2425), 1,
      sym_float,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1255), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1197), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [69147] = 17,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2421), 1,
      sym_float,
    ACTIONS(2427), 1,
      anon_sym_GT_GT,
    STATE(1323), 1,
      sym_identifier,
    STATE(1733), 1,
      sym_constant_bit_string_segment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1562), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [69210] = 16,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2431), 1,
      sym_float,
    STATE(1323), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2429), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1714), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [69271] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(598), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(389), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(387), 16,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [69310] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(602), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(600), 17,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [69347] = 17,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2421), 1,
      sym_float,
    ACTIONS(2433), 1,
      anon_sym_GT_GT,
    STATE(1323), 1,
      sym_identifier,
    STATE(1471), 1,
      sym_constant_bit_string_segment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1562), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [69410] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(636), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(389), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(387), 16,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [69449] = 18,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1784), 1,
      anon_sym_DQUOTE,
    ACTIONS(1790), 1,
      sym__decimal,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(1794), 1,
      sym__name,
    ACTIONS(1796), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2425), 1,
      sym_float,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1281), 1,
      sym_identifier,
    STATE(1296), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(1788), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1197), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [69514] = 8,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2329), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2331), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2345), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(758), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2347), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(756), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
  [69559] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2333), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2335), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2343), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2295), 2,
      anon_sym_LBRACE,
      anon_sym_COMMA,
    ACTIONS(2329), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2331), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2337), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2345), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2339), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2347), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [69614] = 17,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2421), 1,
      sym_float,
    ACTIONS(2435), 1,
      anon_sym_GT_GT,
    STATE(1323), 1,
      sym_identifier,
    STATE(1733), 1,
      sym_constant_bit_string_segment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1562), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [69677] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2329), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2347), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(758), 6,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
    ACTIONS(756), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
  [69718] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2437), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [69773] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2333), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2335), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2343), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(768), 2,
      anon_sym_LBRACE,
      anon_sym_COMMA,
    ACTIONS(2329), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2331), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2337), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2345), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2339), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2347), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [69828] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2333), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2335), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2343), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(764), 2,
      anon_sym_LBRACE,
      anon_sym_COMMA,
    ACTIONS(2329), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2331), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2337), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2345), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2339), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2347), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [69883] = 17,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2351), 1,
      sym_float,
    STATE(1323), 1,
      sym_identifier,
    STATE(1452), 1,
      sym_attribute_value,
    STATE(1845), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1626), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [69946] = 12,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2335), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2343), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2329), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2331), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2337), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2345), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(756), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
    ACTIONS(2339), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2347), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [69999] = 17,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2357), 1,
      sym_float,
    STATE(1323), 1,
      sym_identifier,
    STATE(1716), 1,
      sym_constant_record_argument,
    STATE(1783), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1625), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [70062] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2343), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2329), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2331), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2337), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2345), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(756), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(2339), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2347), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [70113] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2343), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2329), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2331), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2345), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2339), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2347), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(756), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [70162] = 17,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2421), 1,
      sym_float,
    ACTIONS(2439), 1,
      anon_sym_GT_GT,
    STATE(1323), 1,
      sym_identifier,
    STATE(1733), 1,
      sym_constant_bit_string_segment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1562), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [70225] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2333), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2335), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2343), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(736), 2,
      anon_sym_LBRACE,
      anon_sym_COMMA,
    ACTIONS(2329), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2331), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2337), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2345), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2339), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2347), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [70280] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2333), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2335), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2343), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(696), 2,
      anon_sym_LBRACE,
      anon_sym_COMMA,
    ACTIONS(2329), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2331), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2337), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2345), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2339), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2341), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2347), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [70335] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(606), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(604), 17,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [70372] = 17,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2421), 1,
      sym_float,
    ACTIONS(2441), 1,
      anon_sym_GT_GT,
    STATE(1323), 1,
      sym_identifier,
    STATE(1574), 1,
      sym_constant_bit_string_segment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1562), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [70435] = 17,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2351), 1,
      sym_float,
    STATE(1323), 1,
      sym_identifier,
    STATE(1763), 1,
      sym_attribute_value,
    STATE(1845), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1626), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [70498] = 17,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2421), 1,
      sym_float,
    ACTIONS(2443), 1,
      anon_sym_GT_GT,
    STATE(1323), 1,
      sym_identifier,
    STATE(1733), 1,
      sym_constant_bit_string_segment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1562), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [70561] = 17,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2421), 1,
      sym_float,
    ACTIONS(2445), 1,
      anon_sym_GT_GT,
    STATE(1323), 1,
      sym_identifier,
    STATE(1571), 1,
      sym_constant_bit_string_segment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1562), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [70624] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(610), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(608), 17,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [70661] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2447), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [70716] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(630), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(628), 17,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [70753] = 17,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(678), 1,
      sym__name,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2351), 1,
      sym_float,
    STATE(1323), 1,
      sym_identifier,
    STATE(1502), 1,
      sym_attribute_value,
    STATE(1845), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1626), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [70816] = 18,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1776), 1,
      anon_sym_POUND,
    ACTIONS(1778), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_LT_LT,
    ACTIONS(1782), 1,
      anon_sym_DASH,
    ACTIONS(1784), 1,
      anon_sym_DQUOTE,
    ACTIONS(1790), 1,
      sym__decimal,
    ACTIONS(1792), 1,
      sym__discard_name,
    ACTIONS(1794), 1,
      sym__name,
    ACTIONS(1796), 1,
      sym__upname,
    ACTIONS(2425), 1,
      sym_float,
    STATE(1191), 1,
      sym__pattern_binary_expression,
    STATE(1281), 1,
      sym_identifier,
    STATE(1296), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1133), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(1788), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1197), 7,
      sym__pattern_expression,
      sym_record_pattern,
      sym_tuple_pattern,
      sym__pattern_bit_string,
      sym_list_pattern,
      sym_integer,
      sym_discard,
  [70881] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2449), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [70936] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(622), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(620), 17,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [70973] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2451), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [71027] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2453), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [71081] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(734), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(732), 16,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [71117] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(730), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(728), 16,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [71153] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(726), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(724), 16,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [71189] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2455), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [71243] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(758), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(756), 16,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [71279] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(696), 1,
      anon_sym_DASH_GT,
    ACTIONS(2461), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2471), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2457), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2465), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2473), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2467), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2469), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2475), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [71333] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2477), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [71387] = 16,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2479), 1,
      anon_sym_RBRACK,
    ACTIONS(2481), 1,
      sym_float,
    STATE(1323), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1544), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [71447] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2483), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [71501] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(682), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(680), 16,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [71537] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(764), 1,
      anon_sym_DASH_GT,
    ACTIONS(2461), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2471), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2457), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2465), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2473), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2467), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2469), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2475), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [71591] = 16,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2485), 1,
      anon_sym_RBRACK,
    ACTIONS(2487), 1,
      sym_float,
    STATE(1323), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1570), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [71651] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(660), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(658), 16,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [71687] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(768), 1,
      anon_sym_DASH_GT,
    ACTIONS(2461), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2471), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2457), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2465), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2473), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2467), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2469), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2475), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [71741] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(690), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(688), 16,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [71777] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2471), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2457), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2473), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2467), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2469), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2475), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(756), 5,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [71825] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(782), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(780), 16,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [71861] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2489), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [71915] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(786), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(784), 16,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [71951] = 16,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2491), 1,
      anon_sym_RPAREN,
    ACTIONS(2493), 1,
      sym_float,
    STATE(1323), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1615), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [72011] = 16,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2493), 1,
      sym_float,
    ACTIONS(2495), 1,
      anon_sym_RBRACK,
    STATE(1323), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1615), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [72071] = 16,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2493), 1,
      sym_float,
    ACTIONS(2497), 1,
      anon_sym_RBRACK,
    STATE(1323), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1615), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [72131] = 16,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2493), 1,
      sym_float,
    ACTIONS(2499), 1,
      anon_sym_RPAREN,
    STATE(1323), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1615), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [72191] = 9,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2471), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2457), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2473), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(758), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2475), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(756), 9,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
  [72237] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2471), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2457), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2465), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2473), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(756), 3,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(2467), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2469), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2475), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [72287] = 16,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2501), 1,
      anon_sym_RPAREN,
    ACTIONS(2503), 1,
      sym_float,
    STATE(1323), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1622), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [72347] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(790), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(788), 16,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [72383] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2505), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [72437] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2507), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [72491] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2509), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [72545] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2511), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [72599] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2513), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [72653] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2515), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [72707] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2457), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2475), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(758), 6,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
    ACTIONS(756), 12,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
  [72747] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2517), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [72801] = 16,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2493), 1,
      sym_float,
    ACTIONS(2519), 1,
      anon_sym_RPAREN,
    STATE(1323), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1615), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [72861] = 12,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2471), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(756), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
    ACTIONS(2457), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2465), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2473), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2467), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2469), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2475), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [72913] = 16,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2421), 1,
      sym_float,
    STATE(1323), 1,
      sym_identifier,
    STATE(1733), 1,
      sym_constant_bit_string_segment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1562), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [72973] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2521), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [73027] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2523), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [73081] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2525), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [73135] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(736), 1,
      anon_sym_DASH_GT,
    ACTIONS(2461), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2471), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2457), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2465), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2473), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2467), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2469), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2475), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [73189] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2527), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [73243] = 16,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2529), 1,
      anon_sym_RPAREN,
    ACTIONS(2531), 1,
      sym_float,
    STATE(1323), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1576), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [73303] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2533), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [73357] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2535), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [73411] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(742), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(740), 16,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [73447] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2537), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [73501] = 8,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2457), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2473), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(758), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2475), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
    ACTIONS(756), 10,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
  [73545] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2539), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [73599] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2541), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [73653] = 16,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2493), 1,
      sym_float,
    ACTIONS(2543), 1,
      anon_sym_RBRACK,
    STATE(1323), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1615), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [73713] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2545), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [73767] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2547), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [73821] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(686), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(684), 16,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [73857] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2549), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1824), 11,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym__decimal,
      sym__name,
    ACTIONS(1822), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [73895] = 16,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2493), 1,
      sym_float,
    ACTIONS(2551), 1,
      anon_sym_RPAREN,
    STATE(1323), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1615), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [73955] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2553), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [74009] = 16,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2493), 1,
      sym_float,
    ACTIONS(2555), 1,
      anon_sym_RBRACK,
    STATE(1323), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1615), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [74069] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2557), 1,
      anon_sym_LPAREN,
    STATE(1089), 1,
      sym_constant_record_arguments,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1594), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1590), 14,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
  [74109] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2559), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [74163] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(750), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(748), 16,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [74199] = 16,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2561), 1,
      anon_sym_RBRACK,
    ACTIONS(2563), 1,
      sym_float,
    STATE(1323), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1470), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [74259] = 16,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2493), 1,
      sym_float,
    ACTIONS(2565), 1,
      anon_sym_RPAREN,
    STATE(1323), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1615), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [74319] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(664), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(662), 16,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [74355] = 16,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2493), 1,
      sym_float,
    ACTIONS(2567), 1,
      anon_sym_RPAREN,
    STATE(1323), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1615), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [74415] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(754), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(752), 16,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [74451] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2569), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [74505] = 16,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2493), 1,
      sym_float,
    ACTIONS(2571), 1,
      anon_sym_RBRACK,
    STATE(1323), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1615), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [74565] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2573), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [74619] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(816), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(814), 16,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [74655] = 16,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2575), 1,
      anon_sym_RPAREN,
    ACTIONS(2577), 1,
      sym_float,
    STATE(1323), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1488), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [74715] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(794), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(792), 16,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [74751] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(798), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(796), 16,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [74787] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_GT,
    ACTIONS(2579), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2155), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2157), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2163), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2165), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2167), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2173), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [74841] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(803), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(800), 16,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [74877] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(808), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(806), 16,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [74913] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(810), 1,
      anon_sym_DASH_GT,
    ACTIONS(2461), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2471), 1,
      anon_sym_PIPE_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2457), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2459), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2465), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2473), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2467), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2469), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2475), 4,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [74967] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(758), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(756), 16,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PIPE_GT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
      anon_sym_LT_GT,
  [75003] = 16,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2493), 1,
      sym_float,
    ACTIONS(2581), 1,
      anon_sym_RBRACK,
    STATE(1323), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1615), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [75063] = 15,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2583), 1,
      sym_float,
    STATE(1252), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1261), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [75120] = 15,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(59), 1,
      sym__decimal,
    ACTIONS(61), 1,
      sym__name,
    ACTIONS(63), 1,
      sym__upname,
    ACTIONS(2585), 1,
      anon_sym_POUND,
    ACTIONS(2587), 1,
      anon_sym_LBRACK,
    ACTIONS(2589), 1,
      anon_sym_LT_LT,
    ACTIONS(2591), 1,
      anon_sym_DASH,
    ACTIONS(2593), 1,
      sym_float,
    STATE(673), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(665), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(57), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(757), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [75177] = 15,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2595), 1,
      sym_float,
    STATE(1252), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1286), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [75234] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2599), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(2602), 14,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
  [75271] = 15,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(59), 1,
      sym__decimal,
    ACTIONS(61), 1,
      sym__name,
    ACTIONS(63), 1,
      sym__upname,
    ACTIONS(2585), 1,
      anon_sym_POUND,
    ACTIONS(2587), 1,
      anon_sym_LBRACK,
    ACTIONS(2589), 1,
      anon_sym_LT_LT,
    ACTIONS(2591), 1,
      anon_sym_DASH,
    ACTIONS(2605), 1,
      sym_float,
    STATE(673), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(665), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(57), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(724), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [75328] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2127), 11,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_todo,
      anon_sym_panic,
      anon_sym_echo,
      anon_sym_case,
      anon_sym_let,
      anon_sym_assert,
      anon_sym_use,
      sym__decimal,
      sym__name,
    ACTIONS(2125), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_LBRACK,
      anon_sym_LT_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      sym_float,
      sym__hex,
      sym__octal,
      sym__binary,
      sym__upname,
  [75363] = 15,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2607), 1,
      sym_float,
    STATE(1252), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1288), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [75420] = 15,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(59), 1,
      sym__decimal,
    ACTIONS(61), 1,
      sym__name,
    ACTIONS(63), 1,
      sym__upname,
    ACTIONS(2585), 1,
      anon_sym_POUND,
    ACTIONS(2587), 1,
      anon_sym_LBRACK,
    ACTIONS(2589), 1,
      anon_sym_LT_LT,
    ACTIONS(2591), 1,
      anon_sym_DASH,
    ACTIONS(2609), 1,
      sym_float,
    STATE(673), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(665), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(57), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(764), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [75477] = 15,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2493), 1,
      sym_float,
    STATE(1323), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1615), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [75534] = 15,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2611), 1,
      sym_float,
    STATE(1252), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1279), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [75591] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2613), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2599), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(2602), 14,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
  [75628] = 15,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(59), 1,
      sym__decimal,
    ACTIONS(61), 1,
      sym__name,
    ACTIONS(63), 1,
      sym__upname,
    ACTIONS(2585), 1,
      anon_sym_POUND,
    ACTIONS(2587), 1,
      anon_sym_LBRACK,
    ACTIONS(2589), 1,
      anon_sym_LT_LT,
    ACTIONS(2591), 1,
      anon_sym_DASH,
    ACTIONS(2615), 1,
      sym_float,
    STATE(673), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(665), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(57), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(788), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [75685] = 15,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(2002), 1,
      anon_sym_DASH,
    ACTIONS(2195), 1,
      anon_sym_POUND,
    ACTIONS(2197), 1,
      anon_sym_LBRACK,
    ACTIONS(2199), 1,
      anon_sym_LT_LT,
    ACTIONS(2617), 1,
      sym_float,
    STATE(1323), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(575), 2,
      sym_constructor_name,
      sym_remote_constructor_name,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1762), 8,
      sym__constant_value,
      sym_constant_tuple,
      sym_constant_list,
      sym__constant_bit_string,
      sym_constant_record,
      sym_constant_field_access,
      sym_string,
      sym_integer,
  [75742] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1682), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1680), 14,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
  [75776] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2621), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2625), 3,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
    ACTIONS(2623), 6,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
    ACTIONS(2619), 11,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
  [75814] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1630), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1628), 14,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
  [75848] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1674), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1672), 14,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
  [75882] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1654), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1652), 14,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
  [75916] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1686), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1684), 14,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
  [75950] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1662), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1660), 14,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
  [75984] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1666), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1664), 14,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
  [76018] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1642), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1640), 14,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
  [76052] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1622), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1620), 14,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
  [76086] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1658), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1656), 14,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
  [76120] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2629), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(2627), 14,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
  [76154] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2633), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(2631), 14,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
  [76188] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(574), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(572), 21,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_import,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DASH,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      anon_sym_LT_DASH,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [76222] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2637), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(2635), 14,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
  [76256] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1634), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1632), 14,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
  [76290] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2623), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(2619), 14,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
  [76324] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1650), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1648), 14,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
  [76358] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1646), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1644), 14,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
  [76392] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1638), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1636), 14,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
  [76426] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2619), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
    ACTIONS(2621), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2639), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2643), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2649), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2625), 3,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
    ACTIONS(2645), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
  [76474] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2621), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2639), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2643), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2649), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2619), 3,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(2625), 3,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
    ACTIONS(2645), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
  [76520] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1626), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1624), 14,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
  [76554] = 9,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2621), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2639), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2649), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2625), 3,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
    ACTIONS(2645), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2619), 5,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [76598] = 8,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2621), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2639), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2649), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2625), 3,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
    ACTIONS(2623), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2619), 9,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
  [76640] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2651), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(2653), 14,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
  [76674] = 12,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2655), 1,
      anon_sym_RBRACE,
    ACTIONS(2657), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2621), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2639), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2643), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2649), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2625), 3,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
    ACTIONS(2645), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
  [76724] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1670), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1668), 14,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
  [76758] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2633), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(2631), 14,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
  [76792] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2629), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(2627), 14,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
  [76826] = 12,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2663), 1,
      anon_sym_DASH_GT,
    ACTIONS(2665), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2667), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2659), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2661), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2669), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2675), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2677), 3,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
    ACTIONS(2671), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2673), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
  [76876] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2651), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(2653), 14,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
  [76910] = 8,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2659), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2661), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2675), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2677), 3,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
    ACTIONS(2623), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2619), 9,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
  [76952] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1698), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1696), 14,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
  [76986] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2129), 22,
      anon_sym_if,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_import,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_fn,
      anon_sym_DASH_GT,
      anon_sym_external,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [77018] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1678), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(1676), 14,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
  [77052] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2623), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(2619), 14,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
  [77086] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2659), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2677), 3,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
    ACTIONS(2623), 6,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
    ACTIONS(2619), 11,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
  [77124] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2667), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2619), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
    ACTIONS(2659), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2661), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2669), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2675), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2677), 3,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
    ACTIONS(2671), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2673), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
  [77172] = 12,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2641), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2657), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2679), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2621), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2639), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2643), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2649), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2625), 3,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
    ACTIONS(2645), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2647), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
  [77222] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2659), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2661), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2669), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2675), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2619), 3,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(2677), 3,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
    ACTIONS(2671), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2673), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
  [77268] = 9,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2659), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2661), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2675), 2,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2677), 3,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
    ACTIONS(2671), 4,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(2673), 4,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
    ACTIONS(2619), 5,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [77312] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2637), 8,
      anon_sym_SLASH,
      anon_sym_DASH,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_PLUS,
      anon_sym_STAR,
    ACTIONS(2635), 14,
      anon_sym_DASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_DOT,
      anon_sym_LT_EQ_DOT,
      anon_sym_GT_DOT,
      anon_sym_GT_EQ_DOT,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
      anon_sym_PERCENT,
  [77346] = 12,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2681), 1,
      anon_sym_RBRACE,
    ACTIONS(2683), 1,
      anon_sym_AT,
    ACTIONS(2686), 1,
      anon_sym_import,
    ACTIONS(2689), 1,
      anon_sym_type,
    ACTIONS(2692), 1,
      anon_sym_const,
    ACTIONS(2695), 1,
      anon_sym_fn,
    ACTIONS(2698), 1,
      anon_sym_external,
    ACTIONS(2701), 1,
      sym_visibility_modifier,
    ACTIONS(2704), 1,
      sym_opacity_modifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1105), 10,
      sym__module_statement,
      sym_attribute,
      sym_import,
      sym_constant,
      sym_external_type,
      sym_external_function,
      sym_function,
      sym_type_definition,
      sym_type_alias,
      aux_sym_target_group_repeat1,
  [77393] = 12,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2707), 1,
      anon_sym_RBRACE,
    ACTIONS(2709), 1,
      anon_sym_AT,
    ACTIONS(2711), 1,
      anon_sym_import,
    ACTIONS(2713), 1,
      anon_sym_type,
    ACTIONS(2715), 1,
      anon_sym_const,
    ACTIONS(2717), 1,
      anon_sym_fn,
    ACTIONS(2719), 1,
      anon_sym_external,
    ACTIONS(2721), 1,
      sym_visibility_modifier,
    ACTIONS(2723), 1,
      sym_opacity_modifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1105), 10,
      sym__module_statement,
      sym_attribute,
      sym_import,
      sym_constant,
      sym_external_type,
      sym_external_function,
      sym_function,
      sym_type_definition,
      sym_type_alias,
      aux_sym_target_group_repeat1,
  [77440] = 12,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2709), 1,
      anon_sym_AT,
    ACTIONS(2711), 1,
      anon_sym_import,
    ACTIONS(2713), 1,
      anon_sym_type,
    ACTIONS(2715), 1,
      anon_sym_const,
    ACTIONS(2717), 1,
      anon_sym_fn,
    ACTIONS(2719), 1,
      anon_sym_external,
    ACTIONS(2721), 1,
      sym_visibility_modifier,
    ACTIONS(2723), 1,
      sym_opacity_modifier,
    ACTIONS(2725), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1106), 10,
      sym__module_statement,
      sym_attribute,
      sym_import,
      sym_constant,
      sym_external_type,
      sym_external_function,
      sym_function,
      sym_type_definition,
      sym_type_alias,
      aux_sym_target_group_repeat1,
  [77487] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2727), 1,
      anon_sym_RPAREN,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2735), 1,
      sym__name,
    ACTIONS(2737), 1,
      sym__upname,
    STATE(1709), 1,
      sym_data_constructor_argument,
    STATE(1797), 1,
      sym_label,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1757), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [77534] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2735), 1,
      sym__name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2739), 1,
      anon_sym_RPAREN,
    STATE(1441), 1,
      sym_data_constructor_argument,
    STATE(1797), 1,
      sym_label,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1757), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [77581] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2735), 1,
      sym__name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2741), 1,
      anon_sym_RPAREN,
    STATE(1709), 1,
      sym_data_constructor_argument,
    STATE(1797), 1,
      sym_label,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1757), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [77628] = 12,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2743), 1,
      anon_sym_RPAREN,
    ACTIONS(2745), 1,
      sym__name,
    STATE(1705), 1,
      sym_type_argument,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1752), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [77672] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(397), 2,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1850), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT_DASH,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [77700] = 12,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2735), 1,
      sym__name,
    ACTIONS(2737), 1,
      sym__upname,
    STATE(1709), 1,
      sym_data_constructor_argument,
    STATE(1797), 1,
      sym_label,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1757), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [77744] = 12,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    ACTIONS(2747), 1,
      anon_sym_RPAREN,
    STATE(1705), 1,
      sym_type_argument,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1752), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [77788] = 12,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    ACTIONS(2749), 1,
      anon_sym_RPAREN,
    STATE(1721), 1,
      sym_external_function_parameter,
    STATE(1748), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1758), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [77832] = 12,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    ACTIONS(2751), 1,
      anon_sym_RPAREN,
    STATE(1475), 1,
      sym_type_argument,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1752), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [77876] = 12,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    ACTIONS(2753), 1,
      anon_sym_RPAREN,
    STATE(1705), 1,
      sym_type_argument,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1752), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [77920] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1738), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_import,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT_DASH,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [77946] = 12,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    ACTIONS(2755), 1,
      anon_sym_RPAREN,
    STATE(1705), 1,
      sym_type_argument,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1752), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [77990] = 12,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    ACTIONS(2757), 1,
      anon_sym_RPAREN,
    STATE(1573), 1,
      sym_external_function_parameter,
    STATE(1748), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1758), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [78034] = 12,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    ACTIONS(2759), 1,
      anon_sym_RPAREN,
    STATE(1498), 1,
      sym_type_argument,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1752), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [78078] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2761), 1,
      anon_sym_LPAREN,
    STATE(1183), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1756), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT_DASH,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [78108] = 12,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    ACTIONS(2763), 1,
      anon_sym_RPAREN,
    STATE(1721), 1,
      sym_external_function_parameter,
    STATE(1748), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1758), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [78152] = 12,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2765), 1,
      anon_sym_RPAREN,
    ACTIONS(2767), 1,
      anon_sym_POUND,
    ACTIONS(2769), 1,
      anon_sym_fn,
    STATE(1701), 1,
      sym_constant_type_argument,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1370), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1749), 5,
      sym__constant_type,
      sym_constant_tuple_type,
      sym_constant_function_type,
      sym_constant_type,
      sym_type_hole,
  [78195] = 12,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2767), 1,
      anon_sym_POUND,
    ACTIONS(2769), 1,
      anon_sym_fn,
    ACTIONS(2771), 1,
      anon_sym_RPAREN,
    STATE(1701), 1,
      sym_constant_type_argument,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1370), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1749), 5,
      sym__constant_type,
      sym_constant_tuple_type,
      sym_constant_function_type,
      sym_constant_type,
      sym_type_hole,
  [78238] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    ACTIONS(2773), 1,
      anon_sym_RPAREN,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1474), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [78279] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1764), 15,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT_DASH,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [78304] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    ACTIONS(2775), 1,
      anon_sym_RPAREN,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1707), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [78345] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    ACTIONS(2777), 1,
      anon_sym_RPAREN,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1707), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [78386] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    STATE(1721), 1,
      sym_external_function_parameter,
    STATE(1748), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1758), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [78427] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    ACTIONS(2779), 1,
      anon_sym_RPAREN,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1707), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [78468] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    STATE(1705), 1,
      sym_type_argument,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1752), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [78509] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2783), 1,
      anon_sym_LPAREN,
    STATE(1196), 1,
      sym_record_pattern_arguments,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2781), 13,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [78538] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    ACTIONS(2785), 1,
      anon_sym_RPAREN,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1707), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [78579] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    ACTIONS(2787), 1,
      anon_sym_RPAREN,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1443), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [78620] = 12,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2767), 1,
      anon_sym_POUND,
    ACTIONS(2769), 1,
      anon_sym_fn,
    ACTIONS(2789), 1,
      anon_sym_RPAREN,
    STATE(1606), 1,
      sym_constant_type_argument,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1370), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1749), 5,
      sym__constant_type,
      sym_constant_tuple_type,
      sym_constant_function_type,
      sym_constant_type,
      sym_type_hole,
  [78663] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    ACTIONS(2791), 1,
      anon_sym_RPAREN,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1707), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [78704] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    ACTIONS(2793), 1,
      anon_sym_RPAREN,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1707), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [78745] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    ACTIONS(2795), 1,
      anon_sym_RPAREN,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1497), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [78786] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1373), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [78824] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1708), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [78862] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2767), 1,
      anon_sym_POUND,
    ACTIONS(2769), 1,
      anon_sym_fn,
    ACTIONS(2797), 1,
      anon_sym_RPAREN,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1370), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1703), 5,
      sym__constant_type,
      sym_constant_tuple_type,
      sym_constant_function_type,
      sym_constant_type,
      sym_type_hole,
  [78902] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1839), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [78940] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1707), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [78978] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1737), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [79016] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1629), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [79054] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2767), 1,
      anon_sym_POUND,
    ACTIONS(2769), 1,
      anon_sym_fn,
    STATE(1701), 1,
      sym_constant_type_argument,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1370), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1749), 5,
      sym__constant_type,
      sym_constant_tuple_type,
      sym_constant_function_type,
      sym_constant_type,
      sym_type_hole,
  [79094] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2799), 1,
      anon_sym_POUND,
    ACTIONS(2801), 1,
      anon_sym_fn,
    ACTIONS(2803), 1,
      sym__discard_name,
    ACTIONS(2805), 1,
      sym__name,
    ACTIONS(2807), 1,
      sym__upname,
    STATE(1901), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(663), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(713), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [79132] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1275), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [79170] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2799), 1,
      anon_sym_POUND,
    ACTIONS(2801), 1,
      anon_sym_fn,
    ACTIONS(2803), 1,
      sym__discard_name,
    ACTIONS(2805), 1,
      sym__name,
    ACTIONS(2807), 1,
      sym__upname,
    STATE(1901), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(663), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(704), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [79208] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1240), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [79246] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2799), 1,
      anon_sym_POUND,
    ACTIONS(2801), 1,
      anon_sym_fn,
    ACTIONS(2803), 1,
      sym__discard_name,
    ACTIONS(2805), 1,
      sym__name,
    ACTIONS(2807), 1,
      sym__upname,
    STATE(1901), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(663), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(733), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [79284] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1273), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [79322] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1290), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [79360] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2799), 1,
      anon_sym_POUND,
    ACTIONS(2801), 1,
      anon_sym_fn,
    ACTIONS(2803), 1,
      sym__discard_name,
    ACTIONS(2805), 1,
      sym__name,
    ACTIONS(2807), 1,
      sym__upname,
    STATE(1901), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(663), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(740), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [79398] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2064), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT_DASH,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [79422] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2052), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT_DASH,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [79446] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1180), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [79484] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1720), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [79522] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2044), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT_DASH,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [79546] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2767), 1,
      anon_sym_POUND,
    ACTIONS(2769), 1,
      anon_sym_fn,
    ACTIONS(2809), 1,
      anon_sym_RPAREN,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1370), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1436), 5,
      sym__constant_type,
      sym_constant_tuple_type,
      sym_constant_function_type,
      sym_constant_type,
      sym_type_hole,
  [79586] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2799), 1,
      anon_sym_POUND,
    ACTIONS(2801), 1,
      anon_sym_fn,
    ACTIONS(2803), 1,
      sym__discard_name,
    ACTIONS(2805), 1,
      sym__name,
    ACTIONS(2807), 1,
      sym__upname,
    STATE(1901), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(663), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(787), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [79624] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2020), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT_DASH,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [79648] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2016), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT_DASH,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [79672] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2767), 1,
      anon_sym_POUND,
    ACTIONS(2769), 1,
      anon_sym_fn,
    ACTIONS(2811), 1,
      anon_sym_RPAREN,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1370), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1493), 5,
      sym__constant_type,
      sym_constant_tuple_type,
      sym_constant_function_type,
      sym_constant_type,
      sym_type_hole,
  [79712] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1637), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [79750] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1805), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [79788] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2767), 1,
      anon_sym_POUND,
    ACTIONS(2769), 1,
      anon_sym_fn,
    ACTIONS(2813), 1,
      anon_sym_RPAREN,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1370), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1703), 5,
      sym__constant_type,
      sym_constant_tuple_type,
      sym_constant_function_type,
      sym_constant_type,
      sym_type_hole,
  [79828] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1764), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [79866] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1679), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [79904] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2799), 1,
      anon_sym_POUND,
    ACTIONS(2801), 1,
      anon_sym_fn,
    ACTIONS(2803), 1,
      sym__discard_name,
    ACTIONS(2805), 1,
      sym__name,
    ACTIONS(2807), 1,
      sym__upname,
    STATE(1901), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(663), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(693), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [79942] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1157), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [79980] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2767), 1,
      anon_sym_POUND,
    ACTIONS(2769), 1,
      anon_sym_fn,
    ACTIONS(2815), 1,
      anon_sym_RPAREN,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1370), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1703), 5,
      sym__constant_type,
      sym_constant_tuple_type,
      sym_constant_function_type,
      sym_constant_type,
      sym_type_hole,
  [80020] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1809), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [80058] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1807), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [80096] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2012), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT_DASH,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [80120] = 11,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2767), 1,
      anon_sym_POUND,
    ACTIONS(2769), 1,
      anon_sym_fn,
    ACTIONS(2817), 1,
      anon_sym_RPAREN,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1370), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1703), 5,
      sym__constant_type,
      sym_constant_tuple_type,
      sym_constant_function_type,
      sym_constant_type,
      sym_type_hole,
  [80160] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1722), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [80198] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1968), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT_DASH,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [80222] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1980), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT_DASH,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [80246] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1227), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [80284] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2799), 1,
      anon_sym_POUND,
    ACTIONS(2801), 1,
      anon_sym_fn,
    ACTIONS(2803), 1,
      sym__discard_name,
    ACTIONS(2805), 1,
      sym__name,
    ACTIONS(2807), 1,
      sym__upname,
    STATE(1901), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(663), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(756), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [80322] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1964), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT_DASH,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [80346] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2024), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT_DASH,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [80370] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2109), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT_DASH,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [80394] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2119), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_fn,
      anon_sym_external,
      anon_sym_LT_DASH,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [80418] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2729), 1,
      anon_sym_POUND,
    ACTIONS(2731), 1,
      anon_sym_fn,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2745), 1,
      sym__name,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1122), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1655), 6,
      sym__type,
      sym_type_hole,
      sym_tuple_type,
      sym_function_type,
      sym_type,
      sym_type_var,
  [80456] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2819), 13,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [80479] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2821), 13,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [80502] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2823), 13,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [80525] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2825), 13,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [80548] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2827), 13,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [80571] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2829), 13,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [80594] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2831), 13,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [80617] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2833), 13,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [80640] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2835), 13,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [80663] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2833), 13,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [80686] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2767), 1,
      anon_sym_POUND,
    ACTIONS(2769), 1,
      anon_sym_fn,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1370), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1534), 5,
      sym__constant_type,
      sym_constant_tuple_type,
      sym_constant_function_type,
      sym_constant_type,
      sym_type_hole,
  [80723] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2837), 13,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [80746] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2839), 13,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [80769] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2767), 1,
      anon_sym_POUND,
    ACTIONS(2769), 1,
      anon_sym_fn,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1370), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1834), 5,
      sym__constant_type,
      sym_constant_tuple_type,
      sym_constant_function_type,
      sym_constant_type,
      sym_type_hole,
  [80806] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2841), 13,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [80829] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2843), 13,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [80852] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2845), 1,
      anon_sym_SLASH,
    STATE(1204), 1,
      aux_sym_module_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1710), 11,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [80879] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2848), 13,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [80902] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2850), 13,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [80925] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2852), 13,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [80948] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2854), 13,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [80971] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2856), 13,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [80994] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2858), 13,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [81017] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    STATE(1243), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1717), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [81044] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2862), 13,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [81067] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2864), 1,
      anon_sym_SLASH,
    STATE(1216), 1,
      aux_sym_module_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1706), 11,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [81094] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2866), 13,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [81117] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2868), 13,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [81140] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2864), 1,
      anon_sym_SLASH,
    STATE(1204), 1,
      aux_sym_module_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1700), 11,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [81167] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2850), 13,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [81190] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2870), 13,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [81213] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2872), 13,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [81236] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2767), 1,
      anon_sym_POUND,
    ACTIONS(2769), 1,
      anon_sym_fn,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1370), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1577), 5,
      sym__constant_type,
      sym_constant_tuple_type,
      sym_constant_function_type,
      sym_constant_type,
      sym_type_hole,
  [81273] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2841), 13,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [81296] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(2733), 1,
      sym__discard_name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2767), 1,
      anon_sym_POUND,
    ACTIONS(2769), 1,
      anon_sym_fn,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1370), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
    STATE(1703), 5,
      sym__constant_type,
      sym_constant_tuple_type,
      sym_constant_function_type,
      sym_constant_type,
      sym_type_hole,
  [81333] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2874), 13,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [81356] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(2876), 1,
      anon_sym_DASH_GT,
    STATE(1283), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1732), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [81384] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(2878), 1,
      anon_sym_DASH_GT,
    STATE(1271), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1750), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [81412] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1712), 1,
      anon_sym_SLASH,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1710), 11,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [81436] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    STATE(1287), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1880), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [81461] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1876), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_DASH_GT,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [81482] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2880), 11,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [81503] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2882), 1,
      anon_sym_RPAREN,
    ACTIONS(2884), 1,
      sym__discard_name,
    ACTIONS(2886), 1,
      sym__name,
    STATE(1397), 1,
      sym_label,
    STATE(1398), 1,
      sym__name_param,
    STATE(1413), 1,
      sym__labeled_name_param,
    STATE(1415), 1,
      sym__discard_param,
    STATE(1416), 1,
      sym__labeled_discard_param,
    STATE(1595), 1,
      sym_identifier,
    STATE(1600), 1,
      sym_discard,
    STATE(1745), 1,
      sym_function_parameter,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [81544] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1912), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_DASH_GT,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [81565] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2884), 1,
      sym__discard_name,
    ACTIONS(2886), 1,
      sym__name,
    ACTIONS(2888), 1,
      anon_sym_RPAREN,
    STATE(1397), 1,
      sym_label,
    STATE(1398), 1,
      sym__name_param,
    STATE(1413), 1,
      sym__labeled_name_param,
    STATE(1415), 1,
      sym__discard_param,
    STATE(1416), 1,
      sym__labeled_discard_param,
    STATE(1595), 1,
      sym_identifier,
    STATE(1600), 1,
      sym_discard,
    STATE(1745), 1,
      sym_function_parameter,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [81606] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1858), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [81627] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1872), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_DASH_GT,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [81648] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2884), 1,
      sym__discard_name,
    ACTIONS(2886), 1,
      sym__name,
    ACTIONS(2890), 1,
      anon_sym_RPAREN,
    STATE(1397), 1,
      sym_label,
    STATE(1398), 1,
      sym__name_param,
    STATE(1413), 1,
      sym__labeled_name_param,
    STATE(1415), 1,
      sym__discard_param,
    STATE(1416), 1,
      sym__labeled_discard_param,
    STATE(1463), 1,
      sym_function_parameter,
    STATE(1595), 1,
      sym_identifier,
    STATE(1600), 1,
      sym_discard,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [81689] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2892), 1,
      anon_sym_LPAREN,
    STATE(1289), 1,
      sym__attribute_arguments,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1768), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [81714] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2894), 1,
      anon_sym_DOT,
    ACTIONS(2896), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1742), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [81739] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2884), 1,
      sym__discard_name,
    ACTIONS(2886), 1,
      sym__name,
    ACTIONS(2898), 1,
      anon_sym_RPAREN,
    STATE(1397), 1,
      sym_label,
    STATE(1398), 1,
      sym__name_param,
    STATE(1413), 1,
      sym__labeled_name_param,
    STATE(1415), 1,
      sym__discard_param,
    STATE(1416), 1,
      sym__labeled_discard_param,
    STATE(1595), 1,
      sym_identifier,
    STATE(1600), 1,
      sym_discard,
    STATE(1745), 1,
      sym_function_parameter,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [81780] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2900), 1,
      anon_sym_LBRACE,
    ACTIONS(2902), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1834), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [81805] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    STATE(1284), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1900), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [81830] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2904), 1,
      anon_sym_LBRACE,
    ACTIONS(2906), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1904), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [81855] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1846), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [81876] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1810), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [81897] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1818), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_DASH_GT,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [81918] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1916), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [81939] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2884), 1,
      sym__discard_name,
    ACTIONS(2886), 1,
      sym__name,
    ACTIONS(2908), 1,
      anon_sym_RPAREN,
    STATE(1397), 1,
      sym_label,
    STATE(1398), 1,
      sym__name_param,
    STATE(1413), 1,
      sym__labeled_name_param,
    STATE(1415), 1,
      sym__discard_param,
    STATE(1416), 1,
      sym__labeled_discard_param,
    STATE(1551), 1,
      sym_function_parameter,
    STATE(1595), 1,
      sym_identifier,
    STATE(1600), 1,
      sym_discard,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [81980] = 13,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2884), 1,
      sym__discard_name,
    ACTIONS(2886), 1,
      sym__name,
    ACTIONS(2910), 1,
      anon_sym_RPAREN,
    STATE(1397), 1,
      sym_label,
    STATE(1398), 1,
      sym__name_param,
    STATE(1413), 1,
      sym__labeled_name_param,
    STATE(1415), 1,
      sym__discard_param,
    STATE(1416), 1,
      sym__labeled_discard_param,
    STATE(1595), 1,
      sym_identifier,
    STATE(1600), 1,
      sym_discard,
    STATE(1745), 1,
      sym_function_parameter,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [82021] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1814), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_EQ,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [82042] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1806), 10,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [82062] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(247), 1,
      sym__decimal,
    ACTIONS(251), 1,
      sym__upname,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym__name,
    STATE(613), 1,
      sym_label,
    STATE(919), 1,
      sym_constructor_name,
    STATE(1087), 1,
      sym_integer,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(245), 3,
      sym__hex,
      sym__octal,
      sym__binary,
  [82096] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1862), 10,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [82116] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2916), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1798), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [82138] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2918), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1828), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [82160] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(2920), 1,
      anon_sym_DASH,
    ACTIONS(2922), 1,
      sym__name,
    STATE(550), 1,
      sym_constructor_name,
    STATE(1068), 1,
      sym_label,
    STATE(1093), 1,
      sym_integer,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
  [82194] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2926), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2924), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [82216] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1866), 10,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [82236] = 12,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2884), 1,
      sym__discard_name,
    ACTIONS(2886), 1,
      sym__name,
    STATE(1397), 1,
      sym_label,
    STATE(1398), 1,
      sym__name_param,
    STATE(1413), 1,
      sym__labeled_name_param,
    STATE(1415), 1,
      sym__discard_param,
    STATE(1416), 1,
      sym__labeled_discard_param,
    STATE(1595), 1,
      sym_identifier,
    STATE(1600), 1,
      sym_discard,
    STATE(1745), 1,
      sym_function_parameter,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [82274] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1842), 10,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_as,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [82294] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2928), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2924), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_LT_GT,
      anon_sym_DOT_DOT,
  [82315] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(505), 9,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [82334] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2056), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [82353] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(397), 9,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [82372] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1956), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [82391] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1936), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [82410] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1988), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [82429] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2151), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [82448] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(524), 9,
      anon_sym_if,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [82467] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2032), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [82486] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2036), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [82505] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2048), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [82524] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2133), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [82543] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2113), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [82562] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2008), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [82581] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1904), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [82600] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1920), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [82619] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1992), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [82638] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1940), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [82657] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2932), 1,
      anon_sym_as,
    ACTIONS(2934), 1,
      anon_sym_LT_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2930), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
      anon_sym_DOT_DOT,
  [82680] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2068), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [82699] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1976), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [82718] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2936), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2924), 8,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [82739] = 7,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(1926), 1,
      anon_sym_DASH,
    ACTIONS(2938), 1,
      sym__name,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
    STATE(1863), 3,
      sym__pattern_bit_string_segment_argument,
      sym_integer,
      sym_identifier,
  [82766] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2145), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [82785] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1948), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [82804] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1972), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [82823] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1952), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [82842] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1944), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [82861] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2141), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [82880] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2060), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [82899] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2137), 9,
      anon_sym_RBRACE,
      anon_sym_AT,
      anon_sym_import,
      anon_sym_type,
      anon_sym_const,
      anon_sym_fn,
      anon_sym_external,
      sym_visibility_modifier,
      sym_opacity_modifier,
  [82918] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(2884), 1,
      sym__discard_name,
    ACTIONS(2940), 1,
      anon_sym_RPAREN,
    STATE(1406), 1,
      sym__name_param,
    STATE(1408), 1,
      sym__discard_param,
    STATE(1595), 1,
      sym_identifier,
    STATE(1600), 1,
      sym_discard,
    STATE(1750), 1,
      sym_anonymous_function_parameter,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [82950] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(680), 8,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [82968] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(2884), 1,
      sym__discard_name,
    ACTIONS(2942), 1,
      anon_sym_RPAREN,
    STATE(1406), 1,
      sym__name_param,
    STATE(1408), 1,
      sym__discard_param,
    STATE(1595), 1,
      sym_identifier,
    STATE(1600), 1,
      sym_discard,
    STATE(1610), 1,
      sym_anonymous_function_parameter,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [83000] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(684), 8,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [83018] = 10,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(2884), 1,
      sym__discard_name,
    ACTIONS(2944), 1,
      anon_sym_RPAREN,
    STATE(1406), 1,
      sym__name_param,
    STATE(1408), 1,
      sym__discard_param,
    STATE(1595), 1,
      sym_identifier,
    STATE(1600), 1,
      sym_discard,
    STATE(1750), 1,
      sym_anonymous_function_parameter,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [83050] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2946), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2924), 7,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [83070] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(546), 8,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_LT_GT,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
  [83088] = 9,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2948), 1,
      anon_sym_RBRACE,
    ACTIONS(2950), 1,
      anon_sym_type,
    STATE(1476), 1,
      sym_unqualified_import,
    STATE(1598), 1,
      sym_identifier,
    STATE(1599), 1,
      sym_type_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [83117] = 9,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2950), 1,
      anon_sym_type,
    ACTIONS(2952), 1,
      anon_sym_RBRACE,
    STATE(1598), 1,
      sym_identifier,
    STATE(1599), 1,
      sym_type_identifier,
    STATE(1731), 1,
      sym_unqualified_import,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [83146] = 9,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2950), 1,
      anon_sym_type,
    ACTIONS(2954), 1,
      anon_sym_RBRACE,
    STATE(1598), 1,
      sym_identifier,
    STATE(1599), 1,
      sym_type_identifier,
    STATE(1731), 1,
      sym_unqualified_import,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [83175] = 9,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2950), 1,
      anon_sym_type,
    ACTIONS(2956), 1,
      anon_sym_RBRACE,
    STATE(1596), 1,
      sym_unqualified_import,
    STATE(1598), 1,
      sym_identifier,
    STATE(1599), 1,
      sym_type_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [83204] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2958), 7,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
  [83221] = 9,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2950), 1,
      anon_sym_type,
    ACTIONS(2960), 1,
      anon_sym_RBRACE,
    STATE(1598), 1,
      sym_identifier,
    STATE(1599), 1,
      sym_type_identifier,
    STATE(1731), 1,
      sym_unqualified_import,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [83250] = 9,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(2884), 1,
      sym__discard_name,
    STATE(1406), 1,
      sym__name_param,
    STATE(1408), 1,
      sym__discard_param,
    STATE(1595), 1,
      sym_identifier,
    STATE(1600), 1,
      sym_discard,
    STATE(1750), 1,
      sym_anonymous_function_parameter,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [83279] = 9,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2950), 1,
      anon_sym_type,
    ACTIONS(2962), 1,
      anon_sym_RBRACE,
    STATE(1598), 1,
      sym_identifier,
    STATE(1599), 1,
      sym_type_identifier,
    STATE(1731), 1,
      sym_unqualified_import,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [83308] = 7,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2807), 1,
      sym__upname,
    ACTIONS(2938), 1,
      sym__name,
    STATE(708), 1,
      sym_type_name,
    STATE(1901), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(649), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
  [83332] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(1926), 1,
      anon_sym_DASH,
    STATE(215), 1,
      sym_integer,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
  [83354] = 7,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2807), 1,
      sym__upname,
    ACTIONS(2938), 1,
      sym__name,
    STATE(681), 1,
      sym_type_name,
    STATE(1901), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(649), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
  [83378] = 8,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2950), 1,
      anon_sym_type,
    STATE(1598), 1,
      sym_identifier,
    STATE(1599), 1,
      sym_type_identifier,
    STATE(1731), 1,
      sym_unqualified_import,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [83404] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2964), 1,
      anon_sym_DQUOTE2,
    ACTIONS(2968), 1,
      sym_quoted_content,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2966), 2,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
    STATE(1326), 2,
      sym_escape_sequence,
      aux_sym_string_repeat1,
  [83426] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2968), 1,
      sym_quoted_content,
    ACTIONS(2970), 1,
      anon_sym_DQUOTE2,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2966), 2,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
    STATE(1326), 2,
      sym_escape_sequence,
      aux_sym_string_repeat1,
  [83448] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2972), 1,
      anon_sym_as,
    ACTIONS(2974), 1,
      anon_sym_LT_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2930), 4,
      anon_sym_if,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
  [83468] = 7,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2938), 1,
      sym__name,
    STATE(1680), 1,
      sym_type_name,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1211), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
  [83492] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2968), 1,
      sym_quoted_content,
    ACTIONS(2976), 1,
      anon_sym_DQUOTE2,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2966), 2,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
    STATE(1326), 2,
      sym_escape_sequence,
      aux_sym_string_repeat1,
  [83514] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2978), 1,
      anon_sym_DQUOTE2,
    ACTIONS(2980), 1,
      sym_quoted_content,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2966), 2,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
    STATE(1310), 2,
      sym_escape_sequence,
      aux_sym_string_repeat1,
  [83536] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2982), 1,
      anon_sym_DQUOTE2,
    ACTIONS(2984), 1,
      sym_quoted_content,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2966), 2,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
    STATE(1311), 2,
      sym_escape_sequence,
      aux_sym_string_repeat1,
  [83558] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(59), 1,
      sym__decimal,
    ACTIONS(2986), 1,
      anon_sym_DASH,
    STATE(70), 1,
      sym_integer,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(57), 3,
      sym__hex,
      sym__octal,
      sym__binary,
  [83580] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(1926), 1,
      anon_sym_DASH,
    STATE(1856), 1,
      sym_integer,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
  [83602] = 7,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2938), 1,
      sym__name,
    STATE(1239), 1,
      sym_type_name,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1211), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
  [83626] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1150), 1,
      sym__decimal,
    ACTIONS(2988), 1,
      anon_sym_DASH,
    STATE(46), 1,
      sym_integer,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1148), 3,
      sym__hex,
      sym__octal,
      sym__binary,
  [83648] = 7,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2938), 1,
      sym__name,
    STATE(1274), 1,
      sym_type_name,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1211), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
  [83672] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2990), 1,
      anon_sym_DQUOTE2,
    ACTIONS(2992), 1,
      sym_quoted_content,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2966), 2,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
    STATE(1314), 2,
      sym_escape_sequence,
      aux_sym_string_repeat1,
  [83694] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2994), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1798), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT_GT,
  [83712] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2968), 1,
      sym_quoted_content,
    ACTIONS(2996), 1,
      anon_sym_DQUOTE2,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2966), 2,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
    STATE(1326), 2,
      sym_escape_sequence,
      aux_sym_string_repeat1,
  [83734] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2968), 1,
      sym_quoted_content,
    ACTIONS(2998), 1,
      anon_sym_DQUOTE2,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2966), 2,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
    STATE(1326), 2,
      sym_escape_sequence,
      aux_sym_string_repeat1,
  [83756] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3000), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3005), 1,
      sym_quoted_content,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3002), 2,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
    STATE(1326), 2,
      sym_escape_sequence,
      aux_sym_string_repeat1,
  [83778] = 7,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2938), 1,
      sym__name,
    STATE(1742), 1,
      sym_type_name,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1211), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
  [83802] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3008), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3010), 1,
      sym_quoted_content,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2966), 2,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
    STATE(1324), 2,
      sym_escape_sequence,
      aux_sym_string_repeat1,
  [83824] = 7,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2807), 1,
      sym__upname,
    ACTIONS(2938), 1,
      sym__name,
    STATE(737), 1,
      sym_type_name,
    STATE(1901), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(649), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
  [83848] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(247), 1,
      sym__decimal,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    STATE(915), 1,
      sym_integer,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(245), 3,
      sym__hex,
      sym__octal,
      sym__binary,
  [83870] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3012), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3014), 1,
      sym_quoted_content,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2966), 2,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
    STATE(1346), 2,
      sym_escape_sequence,
      aux_sym_string_repeat1,
  [83892] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(1926), 1,
      anon_sym_DASH,
    STATE(1837), 1,
      sym_integer,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
  [83914] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1106), 1,
      sym__decimal,
    ACTIONS(3016), 1,
      anon_sym_DASH,
    STATE(568), 1,
      sym_integer,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1104), 3,
      sym__hex,
      sym__octal,
      sym__binary,
  [83936] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3018), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3020), 1,
      sym_quoted_content,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2966), 2,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
    STATE(1325), 2,
      sym_escape_sequence,
      aux_sym_string_repeat1,
  [83958] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(497), 1,
      sym__decimal,
    ACTIONS(3022), 1,
      anon_sym_DASH,
    STATE(215), 1,
      sym_integer,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(495), 3,
      sym__hex,
      sym__octal,
      sym__binary,
  [83980] = 7,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2938), 1,
      sym__name,
    STATE(1650), 1,
      sym_type_name,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1211), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
  [84004] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2968), 1,
      sym_quoted_content,
    ACTIONS(3024), 1,
      anon_sym_DQUOTE2,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2966), 2,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
    STATE(1326), 2,
      sym_escape_sequence,
      aux_sym_string_repeat1,
  [84026] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3026), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3028), 1,
      sym_quoted_content,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2966), 2,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
    STATE(1337), 2,
      sym_escape_sequence,
      aux_sym_string_repeat1,
  [84048] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1064), 1,
      sym__decimal,
    ACTIONS(3030), 1,
      anon_sym_DASH,
    STATE(422), 1,
      sym_integer,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1062), 3,
      sym__hex,
      sym__octal,
      sym__binary,
  [84070] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(97), 1,
      sym__decimal,
    ACTIONS(2920), 1,
      anon_sym_DASH,
    STATE(664), 1,
      sym_integer,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(95), 3,
      sym__hex,
      sym__octal,
      sym__binary,
  [84092] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3032), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3034), 1,
      sym_quoted_content,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2966), 2,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
    STATE(1347), 2,
      sym_escape_sequence,
      aux_sym_string_repeat1,
  [84114] = 7,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2938), 1,
      sym__name,
    STATE(1241), 1,
      sym_type_name,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1211), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
  [84138] = 7,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2938), 1,
      sym__name,
    STATE(1657), 1,
      sym_type_name,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1211), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
  [84162] = 7,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2737), 1,
      sym__upname,
    ACTIONS(2938), 1,
      sym__name,
    STATE(1276), 1,
      sym_type_name,
    STATE(1884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1211), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
  [84186] = 7,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2807), 1,
      sym__upname,
    ACTIONS(2938), 1,
      sym__name,
    STATE(732), 1,
      sym_type_name,
    STATE(1901), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(649), 2,
      sym_type_identifier,
      sym_remote_type_identifier,
  [84210] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2968), 1,
      sym_quoted_content,
    ACTIONS(3036), 1,
      anon_sym_DQUOTE2,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2966), 2,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
    STATE(1326), 2,
      sym_escape_sequence,
      aux_sym_string_repeat1,
  [84232] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2968), 1,
      sym_quoted_content,
    ACTIONS(3038), 1,
      anon_sym_DQUOTE2,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2966), 2,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
    STATE(1326), 2,
      sym_escape_sequence,
      aux_sym_string_repeat1,
  [84254] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(501), 1,
      sym__upname,
    STATE(1404), 1,
      sym_constructor_name,
    STATE(1779), 1,
      sym_data_constructors,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1362), 2,
      sym_data_constructor,
      aux_sym_data_constructors_repeat1,
  [84275] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(2884), 1,
      sym__discard_name,
    ACTIONS(3040), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1815), 2,
      sym_identifier,
      sym_discard,
  [84296] = 7,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2225), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3042), 1,
      anon_sym_COMMA,
    ACTIONS(3044), 1,
      anon_sym_RBRACK,
    STATE(1372), 1,
      aux_sym_case_clause_pattern_repeat1,
    STATE(1814), 1,
      sym_list_pattern_tail,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [84319] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3048), 1,
      anon_sym_COMMA,
    STATE(1354), 1,
      aux_sym_case_clause_pattern_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3046), 3,
      anon_sym_if,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
  [84338] = 7,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2000), 1,
      anon_sym_RPAREN,
    ACTIONS(2004), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3050), 1,
      anon_sym_COMMA,
    STATE(1405), 1,
      aux_sym_record_pattern_arguments_repeat1,
    STATE(1810), 1,
      sym_pattern_spread,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [84361] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2972), 1,
      anon_sym_as,
    ACTIONS(3052), 1,
      anon_sym_LT_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2930), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LT_DASH,
  [84380] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3056), 1,
      anon_sym_COMMA,
    STATE(1354), 1,
      aux_sym_case_clause_pattern_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3054), 3,
      anon_sym_if,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
  [84399] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(501), 1,
      sym__upname,
    STATE(1404), 1,
      sym_constructor_name,
    STATE(1885), 1,
      sym_data_constructors,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1362), 2,
      sym_data_constructor,
      aux_sym_data_constructors_repeat1,
  [84420] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(501), 1,
      sym__upname,
    STATE(1404), 1,
      sym_constructor_name,
    STATE(1893), 1,
      sym_data_constructors,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1362), 2,
      sym_data_constructor,
      aux_sym_data_constructors_repeat1,
  [84441] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(586), 1,
      sym__discard_name,
    ACTIONS(588), 1,
      sym__name,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(397), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [84460] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3059), 1,
      anon_sym_COMMA,
    STATE(1358), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2295), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
  [84479] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(501), 1,
      sym__upname,
    STATE(1404), 1,
      sym_constructor_name,
    STATE(1892), 1,
      sym_data_constructors,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1362), 2,
      sym_data_constructor,
      aux_sym_data_constructors_repeat1,
  [84500] = 7,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3062), 1,
      anon_sym_type,
    ACTIONS(3064), 1,
      anon_sym_const,
    ACTIONS(3066), 1,
      anon_sym_fn,
    ACTIONS(3068), 1,
      anon_sym_external,
    ACTIONS(3070), 1,
      sym_opacity_modifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [84523] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(501), 1,
      sym__upname,
    STATE(1404), 1,
      sym_constructor_name,
    STATE(1813), 1,
      sym_data_constructors,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1362), 2,
      sym_data_constructor,
      aux_sym_data_constructors_repeat1,
  [84544] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(3072), 1,
      anon_sym_RBRACE,
    STATE(1404), 1,
      sym_constructor_name,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1363), 2,
      sym_data_constructor,
      aux_sym_data_constructors_repeat1,
  [84565] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3074), 1,
      anon_sym_RBRACE,
    ACTIONS(3076), 1,
      sym__upname,
    STATE(1404), 1,
      sym_constructor_name,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1363), 2,
      sym_data_constructor,
      aux_sym_data_constructors_repeat1,
  [84586] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1474), 1,
      anon_sym_LPAREN,
    ACTIONS(1890), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(638), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_GT_GT,
  [84605] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1478), 1,
      anon_sym_LPAREN,
    ACTIONS(1886), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(644), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_GT_GT,
  [84624] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3081), 1,
      anon_sym_COMMA,
    STATE(1351), 1,
      aux_sym_case_clause_pattern_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3079), 3,
      anon_sym_if,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
  [84643] = 7,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3083), 1,
      anon_sym_type,
    ACTIONS(3085), 1,
      anon_sym_const,
    ACTIONS(3087), 1,
      anon_sym_fn,
    ACTIONS(3089), 1,
      anon_sym_external,
    ACTIONS(3091), 1,
      sym_opacity_modifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [84666] = 7,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2004), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3093), 1,
      anon_sym_COMMA,
    ACTIONS(3095), 1,
      anon_sym_RPAREN,
    STATE(1352), 1,
      aux_sym_record_pattern_arguments_repeat1,
    STATE(1782), 1,
      sym_pattern_spread,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [84689] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(501), 1,
      sym__upname,
    STATE(1404), 1,
      sym_constructor_name,
    STATE(1844), 1,
      sym_data_constructors,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1362), 2,
      sym_data_constructor,
      aux_sym_data_constructors_repeat1,
  [84710] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3097), 1,
      anon_sym_LPAREN,
    STATE(1613), 1,
      sym_constant_type_arguments,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3099), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [84729] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3101), 1,
      anon_sym_COMMA,
    STATE(1371), 1,
      aux_sym_case_clause_pattern_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3054), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
  [84748] = 7,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2225), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3104), 1,
      anon_sym_COMMA,
    ACTIONS(3106), 1,
      anon_sym_RBRACK,
    STATE(1371), 1,
      aux_sym_case_clause_pattern_repeat1,
    STATE(1778), 1,
      sym_list_pattern_tail,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [84771] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3108), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_LT_DASH,
  [84785] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(946), 1,
      anon_sym_RBRACK,
    ACTIONS(948), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3110), 1,
      anon_sym_COMMA,
    STATE(1358), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [84805] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3112), 1,
      anon_sym_RPAREN,
    ACTIONS(3114), 1,
      sym__name,
    STATE(1698), 1,
      sym_record_update_argument,
    STATE(1820), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [84825] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(2884), 1,
      sym__discard_name,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1280), 2,
      sym_identifier,
      sym_discard,
  [84843] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3118), 1,
      sym__decimal,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3116), 3,
      sym__hex,
      sym__octal,
      sym__binary,
  [84859] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3114), 1,
      sym__name,
    STATE(1608), 1,
      sym_record_update_argument,
    STATE(1820), 1,
      sym_label,
    STATE(1897), 1,
      sym_record_update_arguments,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [84879] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3120), 1,
      anon_sym_DASH,
    STATE(1401), 1,
      aux_sym_expression_bit_string_segment_options_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2117), 2,
      anon_sym_COMMA,
      anon_sym_GT_GT,
  [84897] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(99), 1,
      sym__name,
    ACTIONS(2884), 1,
      sym__discard_name,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(1272), 2,
      sym_identifier,
      sym_discard,
  [84915] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3124), 1,
      sym__decimal,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3122), 3,
      sym__hex,
      sym__octal,
      sym__binary,
  [84931] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3114), 1,
      sym__name,
    STATE(1608), 1,
      sym_record_update_argument,
    STATE(1820), 1,
      sym_label,
    STATE(1864), 1,
      sym_record_update_arguments,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [84951] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3128), 1,
      sym__decimal,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3126), 3,
      sym__hex,
      sym__octal,
      sym__binary,
  [84967] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(914), 1,
      anon_sym_RBRACK,
    ACTIONS(916), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3130), 1,
      anon_sym_COMMA,
    STATE(1358), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [84987] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3114), 1,
      sym__name,
    STATE(1608), 1,
      sym_record_update_argument,
    STATE(1818), 1,
      sym_record_update_arguments,
    STATE(1820), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [85007] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3134), 1,
      anon_sym_DASH,
    STATE(1386), 1,
      aux_sym_pattern_bit_string_segment_options_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3132), 2,
      anon_sym_COMMA,
      anon_sym_GT_GT,
  [85025] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3114), 1,
      sym__name,
    STATE(1608), 1,
      sym_record_update_argument,
    STATE(1820), 1,
      sym_label,
    STATE(1899), 1,
      sym_record_update_arguments,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [85045] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(63), 1,
      sym__upname,
    ACTIONS(3137), 1,
      sym__name,
    STATE(65), 1,
      sym_constructor_name,
    STATE(800), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [85065] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(61), 1,
      sym__name,
    ACTIONS(3139), 1,
      sym__discard_name,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(774), 2,
      sym_identifier,
      sym_discard,
  [85083] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3143), 1,
      sym__decimal,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3141), 3,
      sym__hex,
      sym__octal,
      sym__binary,
  [85099] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(950), 1,
      anon_sym_RBRACK,
    ACTIONS(952), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3145), 1,
      anon_sym_COMMA,
    STATE(1358), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [85119] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(501), 1,
      sym__upname,
    ACTIONS(3114), 1,
      sym__name,
    STATE(196), 1,
      sym_constructor_name,
    STATE(613), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [85139] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3149), 1,
      anon_sym_PIPE,
    STATE(1425), 1,
      aux_sym_case_clause_patterns_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3147), 2,
      anon_sym_if,
      anon_sym_DASH_GT,
  [85157] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(101), 1,
      sym__upname,
    ACTIONS(2922), 1,
      sym__name,
    STATE(550), 1,
      sym_constructor_name,
    STATE(613), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [85177] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3114), 1,
      sym__name,
    ACTIONS(3151), 1,
      anon_sym_RPAREN,
    STATE(1698), 1,
      sym_record_update_argument,
    STATE(1820), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [85197] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3155), 1,
      anon_sym_DASH,
    STATE(1396), 1,
      aux_sym_constant_bit_string_segment_options_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3153), 2,
      anon_sym_COMMA,
      anon_sym_GT_GT,
  [85215] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(499), 1,
      sym__name,
    ACTIONS(2884), 1,
      sym__discard_name,
    STATE(1579), 1,
      sym_discard,
    STATE(1582), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [85235] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3160), 1,
      anon_sym_COLON,
    STATE(1756), 1,
      sym__type_annotation,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3158), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [85253] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(942), 1,
      anon_sym_RBRACK,
    ACTIONS(944), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3162), 1,
      anon_sym_COMMA,
    STATE(1358), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [85273] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3164), 1,
      anon_sym_DASH,
    STATE(1386), 1,
      aux_sym_pattern_bit_string_segment_options_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2040), 2,
      anon_sym_COMMA,
      anon_sym_GT_GT,
  [85291] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3168), 1,
      anon_sym_DASH,
    STATE(1401), 1,
      aux_sym_expression_bit_string_segment_options_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3166), 2,
      anon_sym_COMMA,
      anon_sym_GT_GT,
  [85309] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3173), 1,
      sym__decimal,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3171), 3,
      sym__hex,
      sym__octal,
      sym__binary,
  [85325] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3114), 1,
      sym__name,
    STATE(1608), 1,
      sym_record_update_argument,
    STATE(1820), 1,
      sym_label,
    STATE(1825), 1,
      sym_record_update_arguments,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [85345] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3177), 1,
      anon_sym_LPAREN,
    STATE(1744), 1,
      sym_data_constructor_arguments,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3175), 2,
      anon_sym_RBRACE,
      sym__upname,
  [85363] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3179), 1,
      anon_sym_COMMA,
    STATE(1405), 1,
      aux_sym_record_pattern_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3182), 2,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
  [85381] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3160), 1,
      anon_sym_COLON,
    STATE(1735), 1,
      sym__type_annotation,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3184), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [85399] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(61), 1,
      sym__name,
    ACTIONS(3139), 1,
      sym__discard_name,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    STATE(731), 2,
      sym_identifier,
      sym_discard,
  [85417] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3160), 1,
      anon_sym_COLON,
    STATE(1724), 1,
      sym__type_annotation,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3184), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [85435] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3186), 1,
      anon_sym_DASH,
    STATE(1396), 1,
      aux_sym_constant_bit_string_segment_options_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2123), 2,
      anon_sym_COMMA,
      anon_sym_GT_GT,
  [85453] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(397), 1,
      anon_sym_DOT,
    ACTIONS(586), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(1850), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [85471] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3190), 1,
      anon_sym_DASH,
    STATE(1409), 1,
      aux_sym_constant_bit_string_segment_options_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_COMMA,
      anon_sym_GT_GT,
  [85489] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3192), 4,
      sym_quoted_content,
      anon_sym_DQUOTE2,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
  [85503] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3160), 1,
      anon_sym_COLON,
    STATE(1755), 1,
      sym__type_annotation,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3194), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [85521] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3196), 1,
      anon_sym_COMMA,
    STATE(1414), 1,
      aux_sym_constant_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3199), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [85539] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3160), 1,
      anon_sym_COLON,
    STATE(1754), 1,
      sym__type_annotation,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3158), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [85557] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3160), 1,
      anon_sym_COLON,
    STATE(1753), 1,
      sym__type_annotation,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3194), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [85575] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3203), 1,
      sym__decimal,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3201), 3,
      sym__hex,
      sym__octal,
      sym__binary,
  [85591] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3114), 1,
      sym__name,
    STATE(1608), 1,
      sym_record_update_argument,
    STATE(1784), 1,
      sym_record_update_arguments,
    STATE(1820), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [85611] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3207), 1,
      sym__decimal,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3205), 3,
      sym__hex,
      sym__octal,
      sym__binary,
  [85627] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3211), 1,
      sym__decimal,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3209), 3,
      sym__hex,
      sym__octal,
      sym__binary,
  [85643] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3215), 1,
      anon_sym_DASH,
    STATE(1379), 1,
      aux_sym_expression_bit_string_segment_options_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3213), 2,
      anon_sym_COMMA,
      anon_sym_GT_GT,
  [85661] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3219), 1,
      anon_sym_DASH,
    STATE(1400), 1,
      aux_sym_pattern_bit_string_segment_options_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3217), 2,
      anon_sym_COMMA,
      anon_sym_GT_GT,
  [85679] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3223), 1,
      anon_sym_PIPE,
    STATE(1423), 1,
      aux_sym_case_clause_patterns_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3221), 2,
      anon_sym_if,
      anon_sym_DASH_GT,
  [85697] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(930), 1,
      anon_sym_RBRACK,
    ACTIONS(932), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3226), 1,
      anon_sym_COMMA,
    STATE(1358), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [85717] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3228), 1,
      anon_sym_PIPE,
    STATE(1423), 1,
      aux_sym_case_clause_patterns_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2231), 2,
      anon_sym_if,
      anon_sym_DASH_GT,
  [85735] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2938), 1,
      sym__name,
    ACTIONS(3230), 1,
      anon_sym_LPAREN,
    STATE(1550), 1,
      sym_anonymous_function_parameters,
    STATE(1641), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [85755] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(906), 1,
      anon_sym_RBRACK,
    ACTIONS(908), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3232), 1,
      anon_sym_COMMA,
    STATE(1358), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [85775] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3114), 1,
      sym__name,
    STATE(1608), 1,
      sym_record_update_argument,
    STATE(1820), 1,
      sym_label,
    STATE(1905), 1,
      sym_record_update_arguments,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [85795] = 6,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(910), 1,
      anon_sym_RBRACK,
    ACTIONS(912), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3234), 1,
      anon_sym_COMMA,
    STATE(1358), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [85815] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3160), 1,
      anon_sym_COLON,
    STATE(1672), 1,
      sym__type_annotation,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3236), 2,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
  [85833] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2954), 1,
      anon_sym_RBRACE,
    ACTIONS(3238), 1,
      anon_sym_COMMA,
    STATE(1561), 1,
      aux_sym_unqualified_imports_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [85850] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3240), 3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DASH,
  [85863] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3242), 1,
      anon_sym_RPAREN,
    ACTIONS(3244), 1,
      sym__name,
    STATE(1456), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [85880] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3246), 1,
      anon_sym_LPAREN,
    ACTIONS(3248), 1,
      anon_sym_DASH_GT,
    STATE(1801), 1,
      sym_constant_function_parameter_types,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [85897] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3250), 1,
      anon_sym_COMMA,
    ACTIONS(3252), 1,
      anon_sym_LT_DASH,
    STATE(1554), 1,
      aux_sym_use_assignments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [85914] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3254), 1,
      anon_sym_COMMA,
    ACTIONS(3256), 1,
      anon_sym_RPAREN,
    STATE(1535), 1,
      aux_sym_constant_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [85931] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1456), 1,
      anon_sym_GT_GT,
    ACTIONS(3258), 1,
      anon_sym_COMMA,
    STATE(1451), 1,
      aux_sym__expression_bit_string_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [85948] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1008), 1,
      anon_sym_RPAREN,
    ACTIONS(3260), 1,
      anon_sym_COMMA,
    STATE(1358), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [85965] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1390), 1,
      anon_sym_GT_GT,
    ACTIONS(3262), 1,
      anon_sym_COMMA,
    STATE(1451), 1,
      aux_sym__expression_bit_string_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [85982] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3264), 3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DASH,
  [85995] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3266), 1,
      anon_sym_COMMA,
    ACTIONS(3268), 1,
      anon_sym_RPAREN,
    STATE(1583), 1,
      aux_sym_data_constructor_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86012] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1428), 1,
      anon_sym_GT_GT,
    ACTIONS(3270), 1,
      anon_sym_COMMA,
    STATE(1451), 1,
      aux_sym__expression_bit_string_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86029] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3272), 1,
      anon_sym_COMMA,
    ACTIONS(3274), 1,
      anon_sym_RPAREN,
    STATE(1547), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86046] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3160), 1,
      anon_sym_COLON,
    ACTIONS(3276), 1,
      anon_sym_EQ,
    STATE(1870), 1,
      sym__type_annotation,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86063] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3160), 1,
      anon_sym_COLON,
    ACTIONS(3278), 1,
      anon_sym_EQ,
    STATE(1898), 1,
      sym__type_annotation,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86080] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3280), 1,
      anon_sym_COLON,
    ACTIONS(3282), 1,
      anon_sym_EQ,
    STATE(1888), 1,
      sym__constant_type_annotation,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86097] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1034), 1,
      anon_sym_LBRACE,
    ACTIONS(3284), 1,
      anon_sym_DASH_GT,
    STATE(472), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86114] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3286), 1,
      anon_sym_COMMA,
    ACTIONS(3288), 1,
      anon_sym_GT_GT,
    STATE(1442), 1,
      aux_sym__expression_bit_string_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86131] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3290), 1,
      anon_sym_COMMA,
    ACTIONS(3292), 1,
      anon_sym_RPAREN,
    STATE(1468), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86148] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1414), 1,
      anon_sym_GT_GT,
    ACTIONS(3294), 1,
      anon_sym_COMMA,
    STATE(1451), 1,
      aux_sym__expression_bit_string_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86165] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3296), 1,
      anon_sym_COMMA,
    ACTIONS(3299), 1,
      anon_sym_GT_GT,
    STATE(1451), 1,
      aux_sym__expression_bit_string_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86182] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3301), 1,
      anon_sym_COMMA,
    ACTIONS(3303), 1,
      anon_sym_RPAREN,
    STATE(1473), 1,
      aux_sym__attribute_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86199] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3160), 1,
      anon_sym_COLON,
    ACTIONS(3305), 1,
      anon_sym_EQ,
    STATE(1821), 1,
      sym__type_annotation,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86216] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2940), 1,
      anon_sym_RPAREN,
    ACTIONS(3307), 1,
      anon_sym_COMMA,
    STATE(1589), 1,
      aux_sym_anonymous_function_parameters_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86233] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3309), 1,
      anon_sym_LPAREN,
    ACTIONS(3311), 1,
      anon_sym_DASH_GT,
    STATE(1891), 1,
      sym_function_parameter_types,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86250] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3313), 1,
      anon_sym_COMMA,
    ACTIONS(3315), 1,
      anon_sym_RPAREN,
    STATE(1481), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86267] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3317), 1,
      anon_sym_COMMA,
    ACTIONS(3319), 1,
      anon_sym_RPAREN,
    STATE(1483), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86284] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1084), 1,
      anon_sym_RPAREN,
    ACTIONS(3321), 1,
      anon_sym_COMMA,
    STATE(1358), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86301] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    ACTIONS(3323), 1,
      anon_sym_DASH_GT,
    STATE(243), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86318] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3160), 1,
      anon_sym_COLON,
    ACTIONS(3325), 1,
      anon_sym_EQ,
    STATE(1875), 1,
      sym__type_annotation,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86335] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3327), 1,
      anon_sym_COMMA,
    ACTIONS(3329), 1,
      anon_sym_GT_GT,
    STATE(1437), 1,
      aux_sym__expression_bit_string_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86352] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3331), 1,
      anon_sym_COMMA,
    ACTIONS(3334), 1,
      anon_sym_RPAREN,
    STATE(1462), 1,
      aux_sym_constant_record_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86369] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3336), 1,
      anon_sym_COMMA,
    ACTIONS(3338), 1,
      anon_sym_RPAREN,
    STATE(1485), 1,
      aux_sym_function_parameters_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86386] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3280), 1,
      anon_sym_COLON,
    ACTIONS(3340), 1,
      anon_sym_EQ,
    STATE(1876), 1,
      sym__constant_type_annotation,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86403] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1000), 1,
      anon_sym_RPAREN,
    ACTIONS(3342), 1,
      anon_sym_COMMA,
    STATE(1358), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86420] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3309), 1,
      anon_sym_LPAREN,
    ACTIONS(3344), 1,
      anon_sym_DASH_GT,
    STATE(1802), 1,
      sym_function_parameter_types,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86437] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3151), 1,
      anon_sym_RPAREN,
    ACTIONS(3346), 1,
      anon_sym_COMMA,
    STATE(1527), 1,
      aux_sym_record_update_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86454] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(878), 1,
      anon_sym_RPAREN,
    ACTIONS(3348), 1,
      anon_sym_COMMA,
    STATE(1624), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86471] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3350), 1,
      anon_sym_COMMA,
    ACTIONS(3353), 1,
      anon_sym_RPAREN,
    STATE(1469), 1,
      aux_sym_data_constructor_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86488] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3355), 1,
      anon_sym_COMMA,
    ACTIONS(3357), 1,
      anon_sym_RBRACK,
    STATE(1490), 1,
      aux_sym_constant_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86505] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3359), 1,
      anon_sym_COMMA,
    ACTIONS(3361), 1,
      anon_sym_GT_GT,
    STATE(1492), 1,
      aux_sym__constant_bit_string_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86522] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3363), 1,
      anon_sym_if,
    ACTIONS(3365), 1,
      anon_sym_DASH_GT,
    STATE(1787), 1,
      sym_case_clause_guard,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86539] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2353), 1,
      anon_sym_RPAREN,
    ACTIONS(3367), 1,
      anon_sym_COMMA,
    STATE(1575), 1,
      aux_sym__attribute_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86556] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3369), 1,
      anon_sym_COMMA,
    ACTIONS(3371), 1,
      anon_sym_RPAREN,
    STATE(1543), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86573] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3373), 1,
      anon_sym_COMMA,
    ACTIONS(3375), 1,
      anon_sym_RPAREN,
    STATE(1542), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86590] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3377), 1,
      anon_sym_RBRACE,
    ACTIONS(3379), 1,
      anon_sym_COMMA,
    STATE(1496), 1,
      aux_sym_unqualified_imports_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86607] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3381), 1,
      anon_sym_COMMA,
    ACTIONS(3383), 1,
      anon_sym_RPAREN,
    STATE(1541), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86624] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3385), 1,
      anon_sym_COMMA,
    ACTIONS(3387), 1,
      anon_sym_RPAREN,
    STATE(1501), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86641] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3244), 1,
      sym__name,
    ACTIONS(3389), 1,
      anon_sym_RPAREN,
    STATE(1751), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86658] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3244), 1,
      sym__name,
    ACTIONS(3391), 1,
      anon_sym_RPAREN,
    STATE(1751), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86675] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3391), 1,
      anon_sym_RPAREN,
    ACTIONS(3393), 1,
      anon_sym_COMMA,
    STATE(1486), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86692] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3395), 1,
      anon_sym_COMMA,
    ACTIONS(3397), 1,
      anon_sym_RPAREN,
    STATE(1552), 1,
      aux_sym_case_clause_pattern_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86709] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(842), 1,
      anon_sym_RPAREN,
    ACTIONS(3399), 1,
      anon_sym_COMMA,
    STATE(1624), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86726] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3401), 1,
      anon_sym_COMMA,
    ACTIONS(3404), 1,
      anon_sym_RPAREN,
    STATE(1484), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86743] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2882), 1,
      anon_sym_RPAREN,
    ACTIONS(3406), 1,
      anon_sym_COMMA,
    STATE(1597), 1,
      aux_sym_function_parameters_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86760] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3408), 1,
      anon_sym_COMMA,
    ACTIONS(3411), 1,
      anon_sym_RPAREN,
    STATE(1486), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86777] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2257), 1,
      anon_sym_GT_GT,
    ACTIONS(3413), 1,
      anon_sym_COMMA,
    STATE(1523), 1,
      aux_sym__pattern_bit_string_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86794] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3415), 1,
      anon_sym_COMMA,
    ACTIONS(3417), 1,
      anon_sym_RPAREN,
    STATE(1506), 1,
      aux_sym_constant_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86811] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3419), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [86824] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2495), 1,
      anon_sym_RBRACK,
    ACTIONS(3421), 1,
      anon_sym_COMMA,
    STATE(1414), 1,
      aux_sym_constant_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86841] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3423), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
  [86854] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2419), 1,
      anon_sym_GT_GT,
    ACTIONS(3425), 1,
      anon_sym_COMMA,
    STATE(1572), 1,
      aux_sym__constant_bit_string_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86871] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3427), 1,
      anon_sym_COMMA,
    ACTIONS(3429), 1,
      anon_sym_RPAREN,
    STATE(1536), 1,
      aux_sym_constant_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86888] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3431), 1,
      anon_sym_COMMA,
    ACTIONS(3433), 1,
      anon_sym_RPAREN,
    STATE(1510), 1,
      aux_sym_constant_record_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86905] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3435), 1,
      anon_sym_COMMA,
    ACTIONS(3438), 1,
      anon_sym_LT_DASH,
    STATE(1495), 1,
      aux_sym_use_assignments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86922] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2962), 1,
      anon_sym_RBRACE,
    ACTIONS(3440), 1,
      anon_sym_COMMA,
    STATE(1561), 1,
      aux_sym_unqualified_imports_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86939] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3442), 1,
      anon_sym_COMMA,
    ACTIONS(3444), 1,
      anon_sym_RPAREN,
    STATE(1513), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86956] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3446), 1,
      anon_sym_COMMA,
    ACTIONS(3448), 1,
      anon_sym_RPAREN,
    STATE(1515), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86973] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3244), 1,
      sym__name,
    ACTIONS(3450), 1,
      anon_sym_RPAREN,
    STATE(1751), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [86990] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1198), 1,
      anon_sym_GT_GT,
    ACTIONS(3452), 1,
      anon_sym_COMMA,
    STATE(1451), 1,
      aux_sym__expression_bit_string_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87007] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(870), 1,
      anon_sym_RPAREN,
    ACTIONS(3454), 1,
      anon_sym_COMMA,
    STATE(1624), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87024] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3456), 1,
      anon_sym_COMMA,
    ACTIONS(3458), 1,
      anon_sym_RPAREN,
    STATE(1590), 1,
      aux_sym__attribute_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87041] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    STATE(1903), 1,
      sym_target,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3460), 2,
      anon_sym_erlang,
      anon_sym_javascript,
  [87056] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3132), 3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DASH,
  [87069] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1006), 1,
      anon_sym_RPAREN,
    ACTIONS(3462), 1,
      anon_sym_COMMA,
    STATE(1358), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87086] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2551), 1,
      anon_sym_RPAREN,
    ACTIONS(3464), 1,
      anon_sym_COMMA,
    STATE(1414), 1,
      aux_sym_constant_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87103] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3466), 1,
      anon_sym_COMMA,
    ACTIONS(3469), 1,
      anon_sym_RPAREN,
    STATE(1507), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87120] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3471), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [87133] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3160), 1,
      anon_sym_COLON,
    ACTIONS(3473), 1,
      anon_sym_EQ,
    STATE(1842), 1,
      sym__type_annotation,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87150] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2393), 1,
      anon_sym_RPAREN,
    ACTIONS(3475), 1,
      anon_sym_COMMA,
    STATE(1462), 1,
      aux_sym_constant_record_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87167] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3477), 1,
      anon_sym_COMMA,
    ACTIONS(3480), 1,
      anon_sym_RPAREN,
    STATE(1511), 1,
      aux_sym_constant_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87184] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3482), 1,
      anon_sym_COMMA,
    ACTIONS(3484), 1,
      anon_sym_RPAREN,
    STATE(1538), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87201] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2775), 1,
      anon_sym_RPAREN,
    ACTIONS(3486), 1,
      anon_sym_COMMA,
    STATE(1484), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87218] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3488), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [87231] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2743), 1,
      anon_sym_RPAREN,
    ACTIONS(3490), 1,
      anon_sym_COMMA,
    STATE(1507), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87248] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(1264), 1,
      sym_external_function_body,
    STATE(1645), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87265] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    ACTIONS(3492), 1,
      anon_sym_DASH_GT,
    STATE(589), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87282] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(718), 1,
      sym_external_function_body,
    STATE(1699), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87299] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3494), 1,
      anon_sym_COMMA,
    ACTIONS(3497), 1,
      anon_sym_RPAREN,
    STATE(1519), 1,
      aux_sym_constant_type_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87316] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3499), 1,
      anon_sym_COMMA,
    ACTIONS(3501), 1,
      anon_sym_GT_GT,
    STATE(1450), 1,
      aux_sym__expression_bit_string_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87333] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3503), 3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DASH,
  [87346] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3505), 1,
      anon_sym_COMMA,
    ACTIONS(3508), 1,
      anon_sym_RPAREN,
    STATE(1522), 1,
      aux_sym_external_function_parameters_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87363] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3510), 1,
      anon_sym_COMMA,
    ACTIONS(3513), 1,
      anon_sym_GT_GT,
    STATE(1523), 1,
      aux_sym__pattern_bit_string_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87380] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(1269), 1,
      sym_external_function_body,
    STATE(1645), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87397] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3515), 3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DASH,
  [87410] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3280), 1,
      anon_sym_COLON,
    ACTIONS(3517), 1,
      anon_sym_EQ,
    STATE(1808), 1,
      sym__constant_type_annotation,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87427] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3519), 1,
      anon_sym_COMMA,
    ACTIONS(3522), 1,
      anon_sym_RPAREN,
    STATE(1527), 1,
      aux_sym_record_update_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87444] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3524), 1,
      anon_sym_COMMA,
    ACTIONS(3526), 1,
      anon_sym_RPAREN,
    STATE(1623), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87461] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3153), 3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DASH,
  [87474] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2771), 1,
      anon_sym_RPAREN,
    ACTIONS(3528), 1,
      anon_sym_COMMA,
    STATE(1519), 1,
      aux_sym_constant_type_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87491] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3530), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [87504] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3532), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [87517] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3534), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [87530] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3536), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [87543] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2817), 1,
      anon_sym_RPAREN,
    ACTIONS(3538), 1,
      anon_sym_COMMA,
    STATE(1511), 1,
      aux_sym_constant_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87560] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2815), 1,
      anon_sym_RPAREN,
    ACTIONS(3540), 1,
      anon_sym_COMMA,
    STATE(1511), 1,
      aux_sym_constant_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87577] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3542), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [87590] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(848), 1,
      anon_sym_RPAREN,
    ACTIONS(3544), 1,
      anon_sym_COMMA,
    STATE(1624), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87607] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3114), 1,
      sym__name,
    STATE(1698), 1,
      sym_record_update_argument,
    STATE(1820), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87624] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3546), 3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DASH,
  [87637] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(864), 1,
      anon_sym_RPAREN,
    ACTIONS(3548), 1,
      anon_sym_COMMA,
    STATE(1624), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87654] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2755), 1,
      anon_sym_RPAREN,
    ACTIONS(3550), 1,
      anon_sym_COMMA,
    STATE(1507), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87671] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2785), 1,
      anon_sym_RPAREN,
    ACTIONS(3552), 1,
      anon_sym_COMMA,
    STATE(1484), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87688] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3554), 1,
      anon_sym_COMMA,
    ACTIONS(3556), 1,
      anon_sym_RBRACK,
    STATE(1611), 1,
      aux_sym_constant_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87705] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3558), 1,
      anon_sym_COMMA,
    ACTIONS(3560), 1,
      anon_sym_GT_GT,
    STATE(1556), 1,
      aux_sym__expression_bit_string_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87722] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(3562), 1,
      anon_sym_DASH_GT,
    STATE(672), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87739] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2793), 1,
      anon_sym_RPAREN,
    ACTIONS(3564), 1,
      anon_sym_COMMA,
    STATE(1484), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87756] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3160), 1,
      anon_sym_COLON,
    ACTIONS(3566), 1,
      anon_sym_EQ,
    STATE(1918), 1,
      sym__type_annotation,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87773] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3568), 1,
      anon_sym_COMMA,
    ACTIONS(3570), 1,
      anon_sym_GT_GT,
    STATE(1487), 1,
      aux_sym__pattern_bit_string_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87790] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(11), 1,
      anon_sym_LBRACE,
    ACTIONS(3572), 1,
      anon_sym_DASH_GT,
    STATE(108), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87807] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3574), 1,
      anon_sym_COMMA,
    ACTIONS(3576), 1,
      anon_sym_RPAREN,
    STATE(1586), 1,
      aux_sym_function_parameters_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87824] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3578), 1,
      anon_sym_COMMA,
    ACTIONS(3580), 1,
      anon_sym_RPAREN,
    STATE(1371), 1,
      aux_sym_case_clause_pattern_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87841] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3582), 1,
      anon_sym_COMMA,
    ACTIONS(3584), 1,
      anon_sym_GT_GT,
    STATE(1500), 1,
      aux_sym__expression_bit_string_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87858] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2255), 1,
      anon_sym_LT_DASH,
    ACTIONS(3586), 1,
      anon_sym_COMMA,
    STATE(1495), 1,
      aux_sym_use_assignments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87875] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3590), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3588), 2,
      anon_sym_COMMA,
      anon_sym_GT_GT,
  [87890] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1354), 1,
      anon_sym_GT_GT,
    ACTIONS(3592), 1,
      anon_sym_COMMA,
    STATE(1451), 1,
      aux_sym__expression_bit_string_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87907] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3596), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3594), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [87922] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(749), 1,
      sym_external_function_body,
    STATE(1699), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87939] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3598), 1,
      anon_sym_COMMA,
    ACTIONS(3600), 1,
      anon_sym_RPAREN,
    STATE(1568), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87956] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3604), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3602), 2,
      anon_sym_COMMA,
      anon_sym_GT_GT,
  [87971] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3606), 1,
      anon_sym_RBRACE,
    ACTIONS(3608), 1,
      anon_sym_COMMA,
    STATE(1561), 1,
      aux_sym_unqualified_imports_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [87988] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3613), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3611), 2,
      anon_sym_COMMA,
      anon_sym_GT_GT,
  [88003] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(994), 1,
      anon_sym_RPAREN,
    ACTIONS(3615), 1,
      anon_sym_COMMA,
    STATE(1358), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88020] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3617), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [88033] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3280), 1,
      anon_sym_COLON,
    ACTIONS(3619), 1,
      anon_sym_EQ,
    STATE(1833), 1,
      sym__constant_type_annotation,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88050] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(972), 1,
      anon_sym_RPAREN,
    ACTIONS(3621), 1,
      anon_sym_COMMA,
    STATE(1358), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88067] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3623), 1,
      anon_sym_COMMA,
    ACTIONS(3625), 1,
      anon_sym_RPAREN,
    STATE(1569), 1,
      aux_sym_constant_record_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88084] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(860), 1,
      anon_sym_RPAREN,
    ACTIONS(3627), 1,
      anon_sym_COMMA,
    STATE(1624), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88101] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2399), 1,
      anon_sym_RPAREN,
    ACTIONS(3629), 1,
      anon_sym_COMMA,
    STATE(1462), 1,
      aux_sym_constant_record_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88118] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3631), 1,
      anon_sym_COMMA,
    ACTIONS(3633), 1,
      anon_sym_RBRACK,
    STATE(1578), 1,
      aux_sym_constant_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88135] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3635), 1,
      anon_sym_COMMA,
    ACTIONS(3637), 1,
      anon_sym_GT_GT,
    STATE(1580), 1,
      aux_sym__constant_bit_string_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88152] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3639), 1,
      anon_sym_COMMA,
    ACTIONS(3642), 1,
      anon_sym_GT_GT,
    STATE(1572), 1,
      aux_sym__constant_bit_string_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88169] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3644), 1,
      anon_sym_COMMA,
    ACTIONS(3646), 1,
      anon_sym_RPAREN,
    STATE(1605), 1,
      aux_sym_external_function_parameters_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88186] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3648), 1,
      anon_sym_COMMA,
    ACTIONS(3650), 1,
      anon_sym_GT_GT,
    STATE(1593), 1,
      aux_sym__constant_bit_string_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88203] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3652), 1,
      anon_sym_COMMA,
    ACTIONS(3655), 1,
      anon_sym_RPAREN,
    STATE(1575), 1,
      aux_sym__attribute_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88220] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3657), 1,
      anon_sym_COMMA,
    ACTIONS(3659), 1,
      anon_sym_RPAREN,
    STATE(1584), 1,
      aux_sym_constant_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88237] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3661), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [88250] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2543), 1,
      anon_sym_RBRACK,
    ACTIONS(3663), 1,
      anon_sym_COMMA,
    STATE(1414), 1,
      aux_sym_constant_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88267] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3665), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [88280] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2435), 1,
      anon_sym_GT_GT,
    ACTIONS(3667), 1,
      anon_sym_COMMA,
    STATE(1572), 1,
      aux_sym__constant_bit_string_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88297] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3669), 1,
      anon_sym_COMMA,
    ACTIONS(3671), 1,
      anon_sym_RPAREN,
    STATE(1588), 1,
      aux_sym_constant_record_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88314] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3673), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [88327] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2741), 1,
      anon_sym_RPAREN,
    ACTIONS(3675), 1,
      anon_sym_COMMA,
    STATE(1469), 1,
      aux_sym_data_constructor_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88344] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2565), 1,
      anon_sym_RPAREN,
    ACTIONS(3677), 1,
      anon_sym_COMMA,
    STATE(1414), 1,
      aux_sym_constant_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88361] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3679), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
  [88374] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2910), 1,
      anon_sym_RPAREN,
    ACTIONS(3681), 1,
      anon_sym_COMMA,
    STATE(1597), 1,
      aux_sym_function_parameters_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88391] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3166), 3,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_DASH,
  [88404] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2415), 1,
      anon_sym_RPAREN,
    ACTIONS(3683), 1,
      anon_sym_COMMA,
    STATE(1462), 1,
      aux_sym_constant_record_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88421] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3685), 1,
      anon_sym_COMMA,
    ACTIONS(3688), 1,
      anon_sym_RPAREN,
    STATE(1589), 1,
      aux_sym_anonymous_function_parameters_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88438] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2417), 1,
      anon_sym_RPAREN,
    ACTIONS(3690), 1,
      anon_sym_COMMA,
    STATE(1575), 1,
      aux_sym__attribute_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88455] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3244), 1,
      sym__name,
    ACTIONS(3692), 1,
      anon_sym_RPAREN,
    STATE(1528), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88472] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3160), 1,
      anon_sym_COLON,
    ACTIONS(3694), 1,
      anon_sym_EQ,
    STATE(1791), 1,
      sym__type_annotation,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88489] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2439), 1,
      anon_sym_GT_GT,
    ACTIONS(3696), 1,
      anon_sym_COMMA,
    STATE(1572), 1,
      aux_sym__constant_bit_string_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88506] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2499), 1,
      anon_sym_RPAREN,
    ACTIONS(3698), 1,
      anon_sym_COMMA,
    STATE(1414), 1,
      aux_sym_constant_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88523] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3700), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [88536] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3702), 1,
      anon_sym_RBRACE,
    ACTIONS(3704), 1,
      anon_sym_COMMA,
    STATE(1431), 1,
      aux_sym_unqualified_imports_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88553] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3706), 1,
      anon_sym_COMMA,
    ACTIONS(3709), 1,
      anon_sym_RPAREN,
    STATE(1597), 1,
      aux_sym_function_parameters_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88570] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3713), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3711), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [88585] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3715), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3711), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [88600] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3717), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [88613] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3719), 1,
      anon_sym_COMMA,
    ACTIONS(3721), 1,
      anon_sym_GT_GT,
    STATE(1612), 1,
      aux_sym__expression_bit_string_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88630] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1120), 1,
      anon_sym_LBRACE,
    ACTIONS(3723), 1,
      anon_sym_DASH_GT,
    STATE(56), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88647] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(219), 1,
      anon_sym_LBRACE,
    ACTIONS(3725), 1,
      anon_sym_DASH_GT,
    STATE(925), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88664] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3160), 1,
      anon_sym_COLON,
    ACTIONS(3727), 1,
      anon_sym_EQ,
    STATE(1919), 1,
      sym__type_annotation,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88681] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2749), 1,
      anon_sym_RPAREN,
    ACTIONS(3729), 1,
      anon_sym_COMMA,
    STATE(1522), 1,
      aux_sym_external_function_parameters_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88698] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3731), 1,
      anon_sym_COMMA,
    ACTIONS(3733), 1,
      anon_sym_RPAREN,
    STATE(1530), 1,
      aux_sym_constant_type_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88715] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2295), 1,
      anon_sym_LBRACE,
    ACTIONS(3735), 1,
      anon_sym_COMMA,
    STATE(1607), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88732] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3738), 1,
      anon_sym_COMMA,
    ACTIONS(3740), 1,
      anon_sym_RPAREN,
    STATE(1467), 1,
      aux_sym_record_update_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88749] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3742), 1,
      anon_sym_COMMA,
    ACTIONS(3744), 1,
      anon_sym_GT_GT,
    STATE(1439), 1,
      aux_sym__expression_bit_string_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88766] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3746), 1,
      anon_sym_COMMA,
    ACTIONS(3748), 1,
      anon_sym_RPAREN,
    STATE(1454), 1,
      aux_sym_anonymous_function_parameters_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88783] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2555), 1,
      anon_sym_RBRACK,
    ACTIONS(3750), 1,
      anon_sym_COMMA,
    STATE(1414), 1,
      aux_sym_constant_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88800] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1261), 1,
      anon_sym_GT_GT,
    ACTIONS(3752), 1,
      anon_sym_COMMA,
    STATE(1451), 1,
      aux_sym__expression_bit_string_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88817] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3754), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [88830] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3758), 1,
      anon_sym_RPAREN,
    STATE(1621), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88847] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3199), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [88860] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1082), 1,
      anon_sym_RPAREN,
    ACTIONS(3760), 1,
      anon_sym_COMMA,
    STATE(1358), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88877] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3762), 1,
      anon_sym_LBRACE,
    ACTIONS(3764), 1,
      anon_sym_COMMA,
    STATE(1607), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88894] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3221), 3,
      anon_sym_if,
      anon_sym_DASH_GT,
      anon_sym_PIPE,
  [88907] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3244), 1,
      sym__name,
    ACTIONS(3766), 1,
      anon_sym_RPAREN,
    STATE(1751), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88924] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3182), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
  [88937] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(852), 1,
      anon_sym_RPAREN,
    ACTIONS(3768), 1,
      anon_sym_COMMA,
    STATE(1624), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88954] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3770), 1,
      anon_sym_COMMA,
    ACTIONS(3772), 1,
      anon_sym_RPAREN,
    STATE(1594), 1,
      aux_sym_constant_tuple_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88971] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3766), 1,
      anon_sym_RPAREN,
    ACTIONS(3774), 1,
      anon_sym_COMMA,
    STATE(1486), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [88988] = 5,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3776), 1,
      anon_sym_COMMA,
    ACTIONS(3779), 1,
      anon_sym_RPAREN,
    STATE(1624), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89005] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3781), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [89017] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3783), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [89029] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2922), 1,
      sym__name,
    STATE(658), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89043] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3785), 1,
      sym__name,
    STATE(48), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89057] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1120), 1,
      anon_sym_LBRACE,
    STATE(55), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89071] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3787), 1,
      anon_sym_LPAREN,
    STATE(31), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89085] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2938), 1,
      sym__name,
    STATE(1633), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89099] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2938), 1,
      sym__name,
    STATE(1634), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89113] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3789), 1,
      anon_sym_LPAREN,
    STATE(1910), 1,
      sym_external_function_parameters,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89127] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3789), 1,
      anon_sym_LPAREN,
    STATE(1909), 1,
      sym_external_function_parameters,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89141] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3791), 1,
      sym__name,
    STATE(660), 1,
      sym_module,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89155] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2938), 1,
      sym__name,
    STATE(1565), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89169] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    STATE(703), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89183] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3793), 1,
      anon_sym_type,
    ACTIONS(3795), 1,
      anon_sym_fn,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89197] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3797), 1,
      anon_sym_LPAREN,
    STATE(83), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89211] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3230), 1,
      anon_sym_LPAREN,
    STATE(1459), 1,
      sym_anonymous_function_parameters,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89225] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3799), 1,
      anon_sym_LPAREN,
    STATE(656), 1,
      sym_function_parameters,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89239] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2938), 1,
      sym__name,
    STATE(1663), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89253] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(1879), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89267] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(1878), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89281] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(91), 1,
      anon_sym_DQUOTE,
    STATE(1268), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89295] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2938), 1,
      sym__name,
    STATE(1526), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89309] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2938), 1,
      sym__name,
    STATE(1673), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89323] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3801), 1,
      anon_sym_type,
    ACTIONS(3803), 1,
      anon_sym_fn,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89337] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3137), 1,
      sym__name,
    STATE(68), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89351] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3805), 1,
      anon_sym_LBRACE,
    ACTIONS(3807), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89365] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(63), 1,
      sym__upname,
    STATE(65), 1,
      sym_constructor_name,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89379] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3809), 1,
      anon_sym_LPAREN,
    STATE(457), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89393] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3811), 1,
      anon_sym_LBRACE,
    STATE(680), 1,
      sym_unqualified_imports,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89407] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2807), 1,
      sym__upname,
    STATE(666), 1,
      sym_type_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89421] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(461), 1,
      anon_sym_LBRACE,
    STATE(259), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89435] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3813), 1,
      sym__name,
    STATE(669), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89449] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2904), 1,
      anon_sym_LBRACE,
    ACTIONS(2906), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89463] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3815), 1,
      anon_sym_LPAREN,
    STATE(1225), 1,
      sym_function_parameters,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89477] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3817), 1,
      sym__name,
    STATE(1195), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89491] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3819), 2,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
  [89503] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3821), 1,
      sym__name,
    STATE(404), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89517] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3817), 1,
      sym__name,
    STATE(1229), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89531] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3789), 1,
      anon_sym_LPAREN,
    STATE(1817), 1,
      sym_external_function_parameters,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89545] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2938), 1,
      sym__name,
    STATE(1229), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89559] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3823), 1,
      sym__name,
    STATE(1195), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89573] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3825), 1,
      anon_sym_LBRACE,
    STATE(1253), 1,
      sym_unqualified_imports,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89587] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(1794), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89601] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3114), 1,
      sym__name,
    STATE(200), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89615] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(1795), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89629] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3230), 1,
      anon_sym_LPAREN,
    STATE(1603), 1,
      sym_anonymous_function_parameters,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89643] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3827), 1,
      anon_sym_type,
    ACTIONS(3829), 1,
      anon_sym_fn,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89657] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3831), 2,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
  [89669] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3799), 1,
      anon_sym_LPAREN,
    STATE(661), 1,
      sym_function_parameters,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89683] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3815), 1,
      anon_sym_LPAREN,
    STATE(1224), 1,
      sym_function_parameters,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89697] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1110), 1,
      sym__upname,
    STATE(567), 1,
      sym_constructor_name,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89711] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3833), 1,
      anon_sym_LPAREN,
    STATE(226), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89725] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2938), 1,
      sym__name,
    STATE(1741), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89739] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3835), 1,
      anon_sym_type,
    ACTIONS(3837), 1,
      anon_sym_fn,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89753] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1034), 1,
      anon_sym_LBRACE,
    STATE(466), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89767] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1908), 1,
      anon_sym_LBRACE,
    ACTIONS(1910), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89781] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3839), 1,
      sym__name,
    STATE(1237), 1,
      sym_module,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89795] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3823), 1,
      sym__name,
    STATE(1236), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89809] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(251), 1,
      sym__upname,
    STATE(919), 1,
      sym_constructor_name,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89823] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1154), 1,
      sym__upname,
    STATE(20), 1,
      sym_constructor_name,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89837] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1068), 1,
      sym__upname,
    STATE(289), 1,
      sym_constructor_name,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89851] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(1796), 1,
      sym__upname,
    STATE(1260), 1,
      sym_constructor_name,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89865] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3841), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [89877] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(101), 1,
      sym__upname,
    STATE(550), 1,
      sym_constructor_name,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89891] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(501), 1,
      sym__upname,
    STATE(196), 1,
      sym_constructor_name,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89905] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2737), 1,
      sym__upname,
    STATE(1127), 1,
      sym_type_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89919] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(1848), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89933] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(1849), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89947] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3230), 1,
      anon_sym_LPAREN,
    STATE(1517), 1,
      sym_anonymous_function_parameters,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89961] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2447), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [89973] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3843), 1,
      anon_sym_LPAREN,
    STATE(565), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [89987] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3845), 2,
      anon_sym_RBRACE,
      sym__upname,
  [89999] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2938), 1,
      sym__name,
    STATE(1674), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [90013] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3522), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [90025] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    STATE(748), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [90039] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3847), 2,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
  [90051] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3497), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [90063] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(1871), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [90077] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3480), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [90089] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3849), 1,
      sym__name,
    STATE(569), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [90103] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3469), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [90115] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(1872), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [90129] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3404), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [90141] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3851), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [90153] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3353), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [90165] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3853), 2,
      anon_sym_RBRACE,
      sym__upname,
  [90177] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3855), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [90189] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3230), 1,
      anon_sym_LPAREN,
    STATE(1447), 1,
      sym_anonymous_function_parameters,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [90203] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3857), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [90215] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3859), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [90227] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(1793), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [90241] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3334), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [90253] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(1900), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [90267] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3230), 1,
      anon_sym_LPAREN,
    STATE(1602), 1,
      sym_anonymous_function_parameters,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [90281] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3861), 2,
      anon_sym_COMMA,
      anon_sym_GT_GT,
  [90293] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3863), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [90305] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3508), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [90317] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(191), 1,
      anon_sym_LBRACE,
    STATE(585), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [90331] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3299), 2,
      anon_sym_COMMA,
      anon_sym_GT_GT,
  [90343] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3865), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [90355] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(1902), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [90369] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3244), 1,
      sym__name,
    STATE(1751), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [90383] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(1916), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [90397] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3867), 2,
      anon_sym_RBRACE,
      sym__upname,
  [90409] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3869), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [90421] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3230), 1,
      anon_sym_LPAREN,
    STATE(1550), 1,
      sym_anonymous_function_parameters,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [90435] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3606), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [90447] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2737), 1,
      sym__upname,
    STATE(1711), 1,
      sym_type_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [90461] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3642), 2,
      anon_sym_COMMA,
      anon_sym_GT_GT,
  [90473] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3871), 2,
      anon_sym_COMMA,
      anon_sym_GT_GT,
  [90485] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3865), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [90497] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3873), 2,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
  [90509] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(11), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [90523] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3875), 1,
      anon_sym_LPAREN,
    STATE(917), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [90537] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3877), 1,
      anon_sym_COMMA,
    ACTIONS(3879), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [90551] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3438), 2,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
  [90563] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3789), 1,
      anon_sym_LPAREN,
    STATE(1789), 1,
      sym_external_function_parameters,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [90577] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3881), 1,
      anon_sym_LBRACE,
    ACTIONS(3883), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [90591] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2737), 1,
      sym__upname,
    STATE(1557), 1,
      sym_type_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [90605] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3885), 2,
      anon_sym_RBRACE,
      sym__upname,
  [90617] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3709), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [90629] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3887), 2,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
  [90641] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2914), 1,
      sym__name,
    STATE(920), 1,
      sym_label,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [90655] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3889), 1,
      anon_sym_COLON,
    ACTIONS(3891), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [90669] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3893), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [90681] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3688), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [90693] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3411), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [90705] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3895), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [90717] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3897), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [90729] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3899), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [90741] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3897), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [90753] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3899), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [90765] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3901), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [90777] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3903), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [90789] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3905), 2,
      anon_sym_RBRACE,
      sym__upname,
  [90801] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2737), 1,
      sym__upname,
    STATE(1729), 1,
      sym_type_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [90815] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2938), 1,
      sym__name,
    STATE(1729), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [90829] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3907), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [90841] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3655), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [90853] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(219), 1,
      anon_sym_LBRACE,
    STATE(960), 1,
      sym_block,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [90867] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(2449), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [90879] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3779), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [90891] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3909), 1,
      anon_sym_LPAREN,
    STATE(654), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [90905] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3513), 2,
      anon_sym_COMMA,
      anon_sym_GT_GT,
  [90917] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
    ACTIONS(3911), 2,
      anon_sym_COMMA,
      anon_sym_GT_GT,
  [90929] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2938), 1,
      sym__name,
    STATE(1464), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [90943] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3230), 1,
      anon_sym_LPAREN,
    STATE(1546), 1,
      sym_anonymous_function_parameters,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [90957] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(1882), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [90971] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(491), 1,
      anon_sym_DQUOTE,
    STATE(1883), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [90985] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2938), 1,
      sym__name,
    STATE(1446), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [90999] = 4,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2938), 1,
      sym__name,
    STATE(1658), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91013] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3913), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91024] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3915), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91035] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3917), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91046] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3919), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91057] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3921), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91068] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3923), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91079] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2000), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91090] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3925), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91101] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3927), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91112] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3929), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91123] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3931), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91134] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3933), 1,
      anon_sym_DASH_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91145] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3935), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91156] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3937), 1,
      anon_sym_DASH_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91167] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3939), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91178] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3941), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91189] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3943), 1,
      anon_sym_DASH_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91200] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3945), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91211] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3947), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91222] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3949), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91233] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3951), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91244] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3953), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91255] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3955), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91266] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3957), 1,
      anon_sym_DASH_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91277] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91288] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3961), 1,
      anon_sym_DASH_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91299] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3963), 1,
      anon_sym_DASH_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91310] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3965), 1,
      anon_sym_DASH_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91321] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3967), 1,
      anon_sym_DASH_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91332] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3969), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91343] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3971), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91354] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3973), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91365] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3975), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91376] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3977), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91387] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(2042), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91398] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3979), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91409] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3095), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91420] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3981), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91431] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3983), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91442] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3985), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91453] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3987), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91464] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91475] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3991), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91486] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3993), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91497] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3995), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91508] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3997), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91519] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3999), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91530] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4001), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91541] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4003), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91552] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4005), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91563] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4007), 1,
      anon_sym_DASH_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91574] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4009), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91585] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4011), 1,
      anon_sym_DASH_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91596] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4013), 1,
      anon_sym_DASH_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91607] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4015), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91618] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4017), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91629] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4019), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91640] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4021), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91651] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4023), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91662] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4025), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91673] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4027), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91684] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4029), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91695] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4031), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91706] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4033), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91717] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4035), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91728] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4037), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91739] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4039), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91750] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4041), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91761] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4043), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91772] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4045), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91783] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4047), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91794] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4049), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91805] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4051), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91816] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4053), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91827] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4055), 1,
      anon_sym_DASH_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91838] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4057), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91849] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4059), 1,
      anon_sym_DASH_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91860] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4061), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91871] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4063), 1,
      anon_sym_DASH_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91882] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4065), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91893] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4067), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91904] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4069), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91915] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4071), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91926] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4073), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91937] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4075), 1,
      anon_sym_DASH_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91948] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4077), 1,
      anon_sym_DASH_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91959] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4079), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91970] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4081), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91981] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4083), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [91992] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4085), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92003] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4087), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92014] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4089), 1,
      anon_sym_LT_DASH,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92025] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92036] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4093), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92047] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4095), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92058] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4097), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92069] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4099), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92080] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4101), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92091] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4103), 1,
      sym__name,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92102] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4105), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92113] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4107), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92124] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4109), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92135] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4111), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92146] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4113), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92157] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4115), 1,
      anon_sym_type,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92168] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4117), 1,
      anon_sym_type,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92179] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4119), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92190] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4121), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92201] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(3891), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92212] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4123), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92223] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4125), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92234] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4127), 1,
      sym__name,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92245] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4129), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92256] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4131), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92267] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4133), 1,
      anon_sym_type,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92278] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4135), 1,
      anon_sym_DASH_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92289] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4137), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92300] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4139), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92311] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4141), 1,
      anon_sym_LT_DASH,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92322] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4143), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92333] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4145), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92344] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4147), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92355] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4149), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92366] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4151), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92377] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4153), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92388] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4155), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92399] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4157), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92410] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4159), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92421] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4161), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92432] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4163), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92443] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4165), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92454] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4167), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92465] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4169), 1,
      ts_builtin_sym_end,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92476] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4171), 1,
      anon_sym_DASH_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92487] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4173), 1,
      anon_sym_DASH_GT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92498] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4175), 1,
      anon_sym_type,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92509] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4177), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92520] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4179), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92531] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4181), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92542] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4183), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92553] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4185), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92564] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4187), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92575] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4189), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
  [92586] = 3,
    ACTIONS(3), 1,
      sym_module_comment,
    ACTIONS(4191), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_statement_comment,
      sym_comment,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(14)] = 0,
  [SMALL_STATE(15)] = 73,
  [SMALL_STATE(16)] = 145,
  [SMALL_STATE(17)] = 213,
  [SMALL_STATE(18)] = 341,
  [SMALL_STATE(19)] = 469,
  [SMALL_STATE(20)] = 597,
  [SMALL_STATE(21)] = 665,
  [SMALL_STATE(22)] = 793,
  [SMALL_STATE(23)] = 921,
  [SMALL_STATE(24)] = 993,
  [SMALL_STATE(25)] = 1061,
  [SMALL_STATE(26)] = 1189,
  [SMALL_STATE(27)] = 1317,
  [SMALL_STATE(28)] = 1385,
  [SMALL_STATE(29)] = 1513,
  [SMALL_STATE(30)] = 1641,
  [SMALL_STATE(31)] = 1709,
  [SMALL_STATE(32)] = 1777,
  [SMALL_STATE(33)] = 1905,
  [SMALL_STATE(34)] = 1973,
  [SMALL_STATE(35)] = 2041,
  [SMALL_STATE(36)] = 2109,
  [SMALL_STATE(37)] = 2237,
  [SMALL_STATE(38)] = 2305,
  [SMALL_STATE(39)] = 2373,
  [SMALL_STATE(40)] = 2445,
  [SMALL_STATE(41)] = 2573,
  [SMALL_STATE(42)] = 2641,
  [SMALL_STATE(43)] = 2709,
  [SMALL_STATE(44)] = 2837,
  [SMALL_STATE(45)] = 2965,
  [SMALL_STATE(46)] = 3093,
  [SMALL_STATE(47)] = 3161,
  [SMALL_STATE(48)] = 3229,
  [SMALL_STATE(49)] = 3297,
  [SMALL_STATE(50)] = 3365,
  [SMALL_STATE(51)] = 3434,
  [SMALL_STATE(52)] = 3501,
  [SMALL_STATE(53)] = 3568,
  [SMALL_STATE(54)] = 3635,
  [SMALL_STATE(55)] = 3702,
  [SMALL_STATE(56)] = 3769,
  [SMALL_STATE(57)] = 3836,
  [SMALL_STATE(58)] = 3907,
  [SMALL_STATE(59)] = 3974,
  [SMALL_STATE(60)] = 4041,
  [SMALL_STATE(61)] = 4108,
  [SMALL_STATE(62)] = 4175,
  [SMALL_STATE(63)] = 4246,
  [SMALL_STATE(64)] = 4313,
  [SMALL_STATE(65)] = 4380,
  [SMALL_STATE(66)] = 4447,
  [SMALL_STATE(67)] = 4514,
  [SMALL_STATE(68)] = 4581,
  [SMALL_STATE(69)] = 4648,
  [SMALL_STATE(70)] = 4715,
  [SMALL_STATE(71)] = 4782,
  [SMALL_STATE(72)] = 4849,
  [SMALL_STATE(73)] = 4918,
  [SMALL_STATE(74)] = 4987,
  [SMALL_STATE(75)] = 5056,
  [SMALL_STATE(76)] = 5125,
  [SMALL_STATE(77)] = 5192,
  [SMALL_STATE(78)] = 5263,
  [SMALL_STATE(79)] = 5334,
  [SMALL_STATE(80)] = 5401,
  [SMALL_STATE(81)] = 5468,
  [SMALL_STATE(82)] = 5535,
  [SMALL_STATE(83)] = 5602,
  [SMALL_STATE(84)] = 5669,
  [SMALL_STATE(85)] = 5735,
  [SMALL_STATE(86)] = 5801,
  [SMALL_STATE(87)] = 5931,
  [SMALL_STATE(88)] = 5997,
  [SMALL_STATE(89)] = 6063,
  [SMALL_STATE(90)] = 6129,
  [SMALL_STATE(91)] = 6259,
  [SMALL_STATE(92)] = 6325,
  [SMALL_STATE(93)] = 6411,
  [SMALL_STATE(94)] = 6541,
  [SMALL_STATE(95)] = 6607,
  [SMALL_STATE(96)] = 6673,
  [SMALL_STATE(97)] = 6739,
  [SMALL_STATE(98)] = 6825,
  [SMALL_STATE(99)] = 6891,
  [SMALL_STATE(100)] = 7021,
  [SMALL_STATE(101)] = 7087,
  [SMALL_STATE(102)] = 7153,
  [SMALL_STATE(103)] = 7219,
  [SMALL_STATE(104)] = 7285,
  [SMALL_STATE(105)] = 7359,
  [SMALL_STATE(106)] = 7425,
  [SMALL_STATE(107)] = 7555,
  [SMALL_STATE(108)] = 7631,
  [SMALL_STATE(109)] = 7697,
  [SMALL_STATE(110)] = 7763,
  [SMALL_STATE(111)] = 7843,
  [SMALL_STATE(112)] = 7909,
  [SMALL_STATE(113)] = 7991,
  [SMALL_STATE(114)] = 8075,
  [SMALL_STATE(115)] = 8145,
  [SMALL_STATE(116)] = 8211,
  [SMALL_STATE(117)] = 8277,
  [SMALL_STATE(118)] = 8363,
  [SMALL_STATE(119)] = 8449,
  [SMALL_STATE(120)] = 8579,
  [SMALL_STATE(121)] = 8709,
  [SMALL_STATE(122)] = 8775,
  [SMALL_STATE(123)] = 8841,
  [SMALL_STATE(124)] = 8907,
  [SMALL_STATE(125)] = 8975,
  [SMALL_STATE(126)] = 9043,
  [SMALL_STATE(127)] = 9111,
  [SMALL_STATE(128)] = 9177,
  [SMALL_STATE(129)] = 9243,
  [SMALL_STATE(130)] = 9309,
  [SMALL_STATE(131)] = 9375,
  [SMALL_STATE(132)] = 9441,
  [SMALL_STATE(133)] = 9527,
  [SMALL_STATE(134)] = 9593,
  [SMALL_STATE(135)] = 9659,
  [SMALL_STATE(136)] = 9744,
  [SMALL_STATE(137)] = 9829,
  [SMALL_STATE(138)] = 9894,
  [SMALL_STATE(139)] = 10021,
  [SMALL_STATE(140)] = 10086,
  [SMALL_STATE(141)] = 10151,
  [SMALL_STATE(142)] = 10278,
  [SMALL_STATE(143)] = 10343,
  [SMALL_STATE(144)] = 10428,
  [SMALL_STATE(145)] = 10555,
  [SMALL_STATE(146)] = 10682,
  [SMALL_STATE(147)] = 10809,
  [SMALL_STATE(148)] = 10874,
  [SMALL_STATE(149)] = 10939,
  [SMALL_STATE(150)] = 11004,
  [SMALL_STATE(151)] = 11131,
  [SMALL_STATE(152)] = 11258,
  [SMALL_STATE(153)] = 11323,
  [SMALL_STATE(154)] = 11450,
  [SMALL_STATE(155)] = 11535,
  [SMALL_STATE(156)] = 11600,
  [SMALL_STATE(157)] = 11685,
  [SMALL_STATE(158)] = 11770,
  [SMALL_STATE(159)] = 11897,
  [SMALL_STATE(160)] = 11982,
  [SMALL_STATE(161)] = 12047,
  [SMALL_STATE(162)] = 12174,
  [SMALL_STATE(163)] = 12301,
  [SMALL_STATE(164)] = 12374,
  [SMALL_STATE(165)] = 12439,
  [SMALL_STATE(166)] = 12504,
  [SMALL_STATE(167)] = 12631,
  [SMALL_STATE(168)] = 12696,
  [SMALL_STATE(169)] = 12823,
  [SMALL_STATE(170)] = 12888,
  [SMALL_STATE(171)] = 12953,
  [SMALL_STATE(172)] = 13018,
  [SMALL_STATE(173)] = 13145,
  [SMALL_STATE(174)] = 13272,
  [SMALL_STATE(175)] = 13399,
  [SMALL_STATE(176)] = 13464,
  [SMALL_STATE(177)] = 13591,
  [SMALL_STATE(178)] = 13656,
  [SMALL_STATE(179)] = 13783,
  [SMALL_STATE(180)] = 13910,
  [SMALL_STATE(181)] = 13975,
  [SMALL_STATE(182)] = 14060,
  [SMALL_STATE(183)] = 14125,
  [SMALL_STATE(184)] = 14252,
  [SMALL_STATE(185)] = 14317,
  [SMALL_STATE(186)] = 14386,
  [SMALL_STATE(187)] = 14469,
  [SMALL_STATE(188)] = 14550,
  [SMALL_STATE(189)] = 14629,
  [SMALL_STATE(190)] = 14756,
  [SMALL_STATE(191)] = 14831,
  [SMALL_STATE(192)] = 14916,
  [SMALL_STATE(193)] = 14980,
  [SMALL_STATE(194)] = 15104,
  [SMALL_STATE(195)] = 15168,
  [SMALL_STATE(196)] = 15232,
  [SMALL_STATE(197)] = 15296,
  [SMALL_STATE(198)] = 15418,
  [SMALL_STATE(199)] = 15485,
  [SMALL_STATE(200)] = 15547,
  [SMALL_STATE(201)] = 15609,
  [SMALL_STATE(202)] = 15727,
  [SMALL_STATE(203)] = 15789,
  [SMALL_STATE(204)] = 15855,
  [SMALL_STATE(205)] = 15917,
  [SMALL_STATE(206)] = 16035,
  [SMALL_STATE(207)] = 16153,
  [SMALL_STATE(208)] = 16215,
  [SMALL_STATE(209)] = 16333,
  [SMALL_STATE(210)] = 16395,
  [SMALL_STATE(211)] = 16513,
  [SMALL_STATE(212)] = 16631,
  [SMALL_STATE(213)] = 16749,
  [SMALL_STATE(214)] = 16811,
  [SMALL_STATE(215)] = 16929,
  [SMALL_STATE(216)] = 16991,
  [SMALL_STATE(217)] = 17107,
  [SMALL_STATE(218)] = 17225,
  [SMALL_STATE(219)] = 17343,
  [SMALL_STATE(220)] = 17405,
  [SMALL_STATE(221)] = 17467,
  [SMALL_STATE(222)] = 17585,
  [SMALL_STATE(223)] = 17703,
  [SMALL_STATE(224)] = 17821,
  [SMALL_STATE(225)] = 17883,
  [SMALL_STATE(226)] = 17945,
  [SMALL_STATE(227)] = 18007,
  [SMALL_STATE(228)] = 18125,
  [SMALL_STATE(229)] = 18191,
  [SMALL_STATE(230)] = 18252,
  [SMALL_STATE(231)] = 18367,
  [SMALL_STATE(232)] = 18482,
  [SMALL_STATE(233)] = 18545,
  [SMALL_STATE(234)] = 18608,
  [SMALL_STATE(235)] = 18671,
  [SMALL_STATE(236)] = 18786,
  [SMALL_STATE(237)] = 18901,
  [SMALL_STATE(238)] = 19016,
  [SMALL_STATE(239)] = 19131,
  [SMALL_STATE(240)] = 19192,
  [SMALL_STATE(241)] = 19307,
  [SMALL_STATE(242)] = 19422,
  [SMALL_STATE(243)] = 19537,
  [SMALL_STATE(244)] = 19598,
  [SMALL_STATE(245)] = 19663,
  [SMALL_STATE(246)] = 19778,
  [SMALL_STATE(247)] = 19893,
  [SMALL_STATE(248)] = 20008,
  [SMALL_STATE(249)] = 20123,
  [SMALL_STATE(250)] = 20238,
  [SMALL_STATE(251)] = 20353,
  [SMALL_STATE(252)] = 20468,
  [SMALL_STATE(253)] = 20529,
  [SMALL_STATE(254)] = 20644,
  [SMALL_STATE(255)] = 20759,
  [SMALL_STATE(256)] = 20820,
  [SMALL_STATE(257)] = 20935,
  [SMALL_STATE(258)] = 21050,
  [SMALL_STATE(259)] = 21165,
  [SMALL_STATE(260)] = 21226,
  [SMALL_STATE(261)] = 21341,
  [SMALL_STATE(262)] = 21456,
  [SMALL_STATE(263)] = 21571,
  [SMALL_STATE(264)] = 21686,
  [SMALL_STATE(265)] = 21747,
  [SMALL_STATE(266)] = 21862,
  [SMALL_STATE(267)] = 21977,
  [SMALL_STATE(268)] = 22038,
  [SMALL_STATE(269)] = 22153,
  [SMALL_STATE(270)] = 22268,
  [SMALL_STATE(271)] = 22383,
  [SMALL_STATE(272)] = 22498,
  [SMALL_STATE(273)] = 22613,
  [SMALL_STATE(274)] = 22728,
  [SMALL_STATE(275)] = 22843,
  [SMALL_STATE(276)] = 22958,
  [SMALL_STATE(277)] = 23073,
  [SMALL_STATE(278)] = 23188,
  [SMALL_STATE(279)] = 23303,
  [SMALL_STATE(280)] = 23418,
  [SMALL_STATE(281)] = 23533,
  [SMALL_STATE(282)] = 23648,
  [SMALL_STATE(283)] = 23763,
  [SMALL_STATE(284)] = 23878,
  [SMALL_STATE(285)] = 23990,
  [SMALL_STATE(286)] = 24106,
  [SMALL_STATE(287)] = 24218,
  [SMALL_STATE(288)] = 24330,
  [SMALL_STATE(289)] = 24442,
  [SMALL_STATE(290)] = 24502,
  [SMALL_STATE(291)] = 24614,
  [SMALL_STATE(292)] = 24730,
  [SMALL_STATE(293)] = 24842,
  [SMALL_STATE(294)] = 24958,
  [SMALL_STATE(295)] = 25070,
  [SMALL_STATE(296)] = 25182,
  [SMALL_STATE(297)] = 25294,
  [SMALL_STATE(298)] = 25406,
  [SMALL_STATE(299)] = 25518,
  [SMALL_STATE(300)] = 25630,
  [SMALL_STATE(301)] = 25742,
  [SMALL_STATE(302)] = 25854,
  [SMALL_STATE(303)] = 25966,
  [SMALL_STATE(304)] = 26078,
  [SMALL_STATE(305)] = 26190,
  [SMALL_STATE(306)] = 26302,
  [SMALL_STATE(307)] = 26414,
  [SMALL_STATE(308)] = 26526,
  [SMALL_STATE(309)] = 26638,
  [SMALL_STATE(310)] = 26750,
  [SMALL_STATE(311)] = 26862,
  [SMALL_STATE(312)] = 26974,
  [SMALL_STATE(313)] = 27086,
  [SMALL_STATE(314)] = 27198,
  [SMALL_STATE(315)] = 27310,
  [SMALL_STATE(316)] = 27422,
  [SMALL_STATE(317)] = 27534,
  [SMALL_STATE(318)] = 27646,
  [SMALL_STATE(319)] = 27758,
  [SMALL_STATE(320)] = 27870,
  [SMALL_STATE(321)] = 27982,
  [SMALL_STATE(322)] = 28098,
  [SMALL_STATE(323)] = 28210,
  [SMALL_STATE(324)] = 28322,
  [SMALL_STATE(325)] = 28438,
  [SMALL_STATE(326)] = 28550,
  [SMALL_STATE(327)] = 28662,
  [SMALL_STATE(328)] = 28774,
  [SMALL_STATE(329)] = 28886,
  [SMALL_STATE(330)] = 28998,
  [SMALL_STATE(331)] = 29110,
  [SMALL_STATE(332)] = 29222,
  [SMALL_STATE(333)] = 29334,
  [SMALL_STATE(334)] = 29446,
  [SMALL_STATE(335)] = 29558,
  [SMALL_STATE(336)] = 29670,
  [SMALL_STATE(337)] = 29782,
  [SMALL_STATE(338)] = 29894,
  [SMALL_STATE(339)] = 30006,
  [SMALL_STATE(340)] = 30118,
  [SMALL_STATE(341)] = 30230,
  [SMALL_STATE(342)] = 30342,
  [SMALL_STATE(343)] = 30454,
  [SMALL_STATE(344)] = 30566,
  [SMALL_STATE(345)] = 30626,
  [SMALL_STATE(346)] = 30742,
  [SMALL_STATE(347)] = 30802,
  [SMALL_STATE(348)] = 30914,
  [SMALL_STATE(349)] = 31026,
  [SMALL_STATE(350)] = 31138,
  [SMALL_STATE(351)] = 31250,
  [SMALL_STATE(352)] = 31310,
  [SMALL_STATE(353)] = 31370,
  [SMALL_STATE(354)] = 31482,
  [SMALL_STATE(355)] = 31542,
  [SMALL_STATE(356)] = 31658,
  [SMALL_STATE(357)] = 31770,
  [SMALL_STATE(358)] = 31882,
  [SMALL_STATE(359)] = 31994,
  [SMALL_STATE(360)] = 32106,
  [SMALL_STATE(361)] = 32218,
  [SMALL_STATE(362)] = 32278,
  [SMALL_STATE(363)] = 32338,
  [SMALL_STATE(364)] = 32398,
  [SMALL_STATE(365)] = 32458,
  [SMALL_STATE(366)] = 32518,
  [SMALL_STATE(367)] = 32578,
  [SMALL_STATE(368)] = 32638,
  [SMALL_STATE(369)] = 32750,
  [SMALL_STATE(370)] = 32866,
  [SMALL_STATE(371)] = 32926,
  [SMALL_STATE(372)] = 33038,
  [SMALL_STATE(373)] = 33150,
  [SMALL_STATE(374)] = 33262,
  [SMALL_STATE(375)] = 33374,
  [SMALL_STATE(376)] = 33486,
  [SMALL_STATE(377)] = 33598,
  [SMALL_STATE(378)] = 33658,
  [SMALL_STATE(379)] = 33774,
  [SMALL_STATE(380)] = 33886,
  [SMALL_STATE(381)] = 33946,
  [SMALL_STATE(382)] = 34006,
  [SMALL_STATE(383)] = 34118,
  [SMALL_STATE(384)] = 34230,
  [SMALL_STATE(385)] = 34342,
  [SMALL_STATE(386)] = 34454,
  [SMALL_STATE(387)] = 34514,
  [SMALL_STATE(388)] = 34574,
  [SMALL_STATE(389)] = 34686,
  [SMALL_STATE(390)] = 34798,
  [SMALL_STATE(391)] = 34914,
  [SMALL_STATE(392)] = 35026,
  [SMALL_STATE(393)] = 35142,
  [SMALL_STATE(394)] = 35202,
  [SMALL_STATE(395)] = 35262,
  [SMALL_STATE(396)] = 35374,
  [SMALL_STATE(397)] = 35486,
  [SMALL_STATE(398)] = 35598,
  [SMALL_STATE(399)] = 35710,
  [SMALL_STATE(400)] = 35822,
  [SMALL_STATE(401)] = 35934,
  [SMALL_STATE(402)] = 36046,
  [SMALL_STATE(403)] = 36158,
  [SMALL_STATE(404)] = 36270,
  [SMALL_STATE(405)] = 36330,
  [SMALL_STATE(406)] = 36390,
  [SMALL_STATE(407)] = 36502,
  [SMALL_STATE(408)] = 36562,
  [SMALL_STATE(409)] = 36674,
  [SMALL_STATE(410)] = 36786,
  [SMALL_STATE(411)] = 36846,
  [SMALL_STATE(412)] = 36962,
  [SMALL_STATE(413)] = 37022,
  [SMALL_STATE(414)] = 37134,
  [SMALL_STATE(415)] = 37194,
  [SMALL_STATE(416)] = 37254,
  [SMALL_STATE(417)] = 37366,
  [SMALL_STATE(418)] = 37482,
  [SMALL_STATE(419)] = 37594,
  [SMALL_STATE(420)] = 37706,
  [SMALL_STATE(421)] = 37766,
  [SMALL_STATE(422)] = 37878,
  [SMALL_STATE(423)] = 37938,
  [SMALL_STATE(424)] = 38050,
  [SMALL_STATE(425)] = 38162,
  [SMALL_STATE(426)] = 38278,
  [SMALL_STATE(427)] = 38390,
  [SMALL_STATE(428)] = 38454,
  [SMALL_STATE(429)] = 38518,
  [SMALL_STATE(430)] = 38630,
  [SMALL_STATE(431)] = 38742,
  [SMALL_STATE(432)] = 38802,
  [SMALL_STATE(433)] = 38918,
  [SMALL_STATE(434)] = 39030,
  [SMALL_STATE(435)] = 39142,
  [SMALL_STATE(436)] = 39254,
  [SMALL_STATE(437)] = 39366,
  [SMALL_STATE(438)] = 39482,
  [SMALL_STATE(439)] = 39594,
  [SMALL_STATE(440)] = 39706,
  [SMALL_STATE(441)] = 39818,
  [SMALL_STATE(442)] = 39934,
  [SMALL_STATE(443)] = 40046,
  [SMALL_STATE(444)] = 40158,
  [SMALL_STATE(445)] = 40270,
  [SMALL_STATE(446)] = 40382,
  [SMALL_STATE(447)] = 40494,
  [SMALL_STATE(448)] = 40606,
  [SMALL_STATE(449)] = 40722,
  [SMALL_STATE(450)] = 40834,
  [SMALL_STATE(451)] = 40946,
  [SMALL_STATE(452)] = 41058,
  [SMALL_STATE(453)] = 41170,
  [SMALL_STATE(454)] = 41282,
  [SMALL_STATE(455)] = 41394,
  [SMALL_STATE(456)] = 41510,
  [SMALL_STATE(457)] = 41622,
  [SMALL_STATE(458)] = 41682,
  [SMALL_STATE(459)] = 41794,
  [SMALL_STATE(460)] = 41910,
  [SMALL_STATE(461)] = 41970,
  [SMALL_STATE(462)] = 42086,
  [SMALL_STATE(463)] = 42198,
  [SMALL_STATE(464)] = 42258,
  [SMALL_STATE(465)] = 42370,
  [SMALL_STATE(466)] = 42482,
  [SMALL_STATE(467)] = 42541,
  [SMALL_STATE(468)] = 42602,
  [SMALL_STATE(469)] = 42661,
  [SMALL_STATE(470)] = 42720,
  [SMALL_STATE(471)] = 42779,
  [SMALL_STATE(472)] = 42838,
  [SMALL_STATE(473)] = 42897,
  [SMALL_STATE(474)] = 42956,
  [SMALL_STATE(475)] = 43015,
  [SMALL_STATE(476)] = 43076,
  [SMALL_STATE(477)] = 43137,
  [SMALL_STATE(478)] = 43198,
  [SMALL_STATE(479)] = 43261,
  [SMALL_STATE(480)] = 43374,
  [SMALL_STATE(481)] = 43437,
  [SMALL_STATE(482)] = 43496,
  [SMALL_STATE(483)] = 43557,
  [SMALL_STATE(484)] = 43667,
  [SMALL_STATE(485)] = 43725,
  [SMALL_STATE(486)] = 43791,
  [SMALL_STATE(487)] = 43859,
  [SMALL_STATE(488)] = 43931,
  [SMALL_STATE(489)] = 44005,
  [SMALL_STATE(490)] = 44081,
  [SMALL_STATE(491)] = 44139,
  [SMALL_STATE(492)] = 44249,
  [SMALL_STATE(493)] = 44311,
  [SMALL_STATE(494)] = 44421,
  [SMALL_STATE(495)] = 44531,
  [SMALL_STATE(496)] = 44641,
  [SMALL_STATE(497)] = 44699,
  [SMALL_STATE(498)] = 44777,
  [SMALL_STATE(499)] = 44855,
  [SMALL_STATE(500)] = 44965,
  [SMALL_STATE(501)] = 45075,
  [SMALL_STATE(502)] = 45133,
  [SMALL_STATE(503)] = 45243,
  [SMALL_STATE(504)] = 45353,
  [SMALL_STATE(505)] = 45411,
  [SMALL_STATE(506)] = 45469,
  [SMALL_STATE(507)] = 45579,
  [SMALL_STATE(508)] = 45637,
  [SMALL_STATE(509)] = 45695,
  [SMALL_STATE(510)] = 45805,
  [SMALL_STATE(511)] = 45863,
  [SMALL_STATE(512)] = 45921,
  [SMALL_STATE(513)] = 46031,
  [SMALL_STATE(514)] = 46089,
  [SMALL_STATE(515)] = 46167,
  [SMALL_STATE(516)] = 46225,
  [SMALL_STATE(517)] = 46335,
  [SMALL_STATE(518)] = 46445,
  [SMALL_STATE(519)] = 46503,
  [SMALL_STATE(520)] = 46613,
  [SMALL_STATE(521)] = 46671,
  [SMALL_STATE(522)] = 46749,
  [SMALL_STATE(523)] = 46807,
  [SMALL_STATE(524)] = 46917,
  [SMALL_STATE(525)] = 46975,
  [SMALL_STATE(526)] = 47033,
  [SMALL_STATE(527)] = 47143,
  [SMALL_STATE(528)] = 47253,
  [SMALL_STATE(529)] = 47311,
  [SMALL_STATE(530)] = 47369,
  [SMALL_STATE(531)] = 47427,
  [SMALL_STATE(532)] = 47485,
  [SMALL_STATE(533)] = 47563,
  [SMALL_STATE(534)] = 47638,
  [SMALL_STATE(535)] = 47715,
  [SMALL_STATE(536)] = 47786,
  [SMALL_STATE(537)] = 47843,
  [SMALL_STATE(538)] = 47910,
  [SMALL_STATE(539)] = 47987,
  [SMALL_STATE(540)] = 48064,
  [SMALL_STATE(541)] = 48125,
  [SMALL_STATE(542)] = 48202,
  [SMALL_STATE(543)] = 48267,
  [SMALL_STATE(544)] = 48340,
  [SMALL_STATE(545)] = 48417,
  [SMALL_STATE(546)] = 48474,
  [SMALL_STATE(547)] = 48551,
  [SMALL_STATE(548)] = 48628,
  [SMALL_STATE(549)] = 48705,
  [SMALL_STATE(550)] = 48782,
  [SMALL_STATE(551)] = 48837,
  [SMALL_STATE(552)] = 48892,
  [SMALL_STATE(553)] = 48947,
  [SMALL_STATE(554)] = 49002,
  [SMALL_STATE(555)] = 49055,
  [SMALL_STATE(556)] = 49108,
  [SMALL_STATE(557)] = 49161,
  [SMALL_STATE(558)] = 49214,
  [SMALL_STATE(559)] = 49267,
  [SMALL_STATE(560)] = 49322,
  [SMALL_STATE(561)] = 49372,
  [SMALL_STATE(562)] = 49422,
  [SMALL_STATE(563)] = 49472,
  [SMALL_STATE(564)] = 49522,
  [SMALL_STATE(565)] = 49576,
  [SMALL_STATE(566)] = 49626,
  [SMALL_STATE(567)] = 49680,
  [SMALL_STATE(568)] = 49730,
  [SMALL_STATE(569)] = 49780,
  [SMALL_STATE(570)] = 49830,
  [SMALL_STATE(571)] = 49880,
  [SMALL_STATE(572)] = 49934,
  [SMALL_STATE(573)] = 49984,
  [SMALL_STATE(574)] = 50034,
  [SMALL_STATE(575)] = 50084,
  [SMALL_STATE(576)] = 50138,
  [SMALL_STATE(577)] = 50192,
  [SMALL_STATE(578)] = 50242,
  [SMALL_STATE(579)] = 50292,
  [SMALL_STATE(580)] = 50342,
  [SMALL_STATE(581)] = 50392,
  [SMALL_STATE(582)] = 50442,
  [SMALL_STATE(583)] = 50491,
  [SMALL_STATE(584)] = 50540,
  [SMALL_STATE(585)] = 50589,
  [SMALL_STATE(586)] = 50638,
  [SMALL_STATE(587)] = 50687,
  [SMALL_STATE(588)] = 50736,
  [SMALL_STATE(589)] = 50787,
  [SMALL_STATE(590)] = 50836,
  [SMALL_STATE(591)] = 50885,
  [SMALL_STATE(592)] = 50936,
  [SMALL_STATE(593)] = 50987,
  [SMALL_STATE(594)] = 51055,
  [SMALL_STATE(595)] = 51119,
  [SMALL_STATE(596)] = 51167,
  [SMALL_STATE(597)] = 51215,
  [SMALL_STATE(598)] = 51263,
  [SMALL_STATE(599)] = 51311,
  [SMALL_STATE(600)] = 51359,
  [SMALL_STATE(601)] = 51407,
  [SMALL_STATE(602)] = 51455,
  [SMALL_STATE(603)] = 51503,
  [SMALL_STATE(604)] = 51551,
  [SMALL_STATE(605)] = 51599,
  [SMALL_STATE(606)] = 51647,
  [SMALL_STATE(607)] = 51695,
  [SMALL_STATE(608)] = 51763,
  [SMALL_STATE(609)] = 51811,
  [SMALL_STATE(610)] = 51879,
  [SMALL_STATE(611)] = 51927,
  [SMALL_STATE(612)] = 51975,
  [SMALL_STATE(613)] = 52023,
  [SMALL_STATE(614)] = 52071,
  [SMALL_STATE(615)] = 52119,
  [SMALL_STATE(616)] = 52167,
  [SMALL_STATE(617)] = 52215,
  [SMALL_STATE(618)] = 52263,
  [SMALL_STATE(619)] = 52311,
  [SMALL_STATE(620)] = 52359,
  [SMALL_STATE(621)] = 52427,
  [SMALL_STATE(622)] = 52475,
  [SMALL_STATE(623)] = 52523,
  [SMALL_STATE(624)] = 52571,
  [SMALL_STATE(625)] = 52619,
  [SMALL_STATE(626)] = 52667,
  [SMALL_STATE(627)] = 52715,
  [SMALL_STATE(628)] = 52783,
  [SMALL_STATE(629)] = 52831,
  [SMALL_STATE(630)] = 52879,
  [SMALL_STATE(631)] = 52931,
  [SMALL_STATE(632)] = 52997,
  [SMALL_STATE(633)] = 53045,
  [SMALL_STATE(634)] = 53093,
  [SMALL_STATE(635)] = 53155,
  [SMALL_STATE(636)] = 53203,
  [SMALL_STATE(637)] = 53261,
  [SMALL_STATE(638)] = 53317,
  [SMALL_STATE(639)] = 53365,
  [SMALL_STATE(640)] = 53413,
  [SMALL_STATE(641)] = 53481,
  [SMALL_STATE(642)] = 53549,
  [SMALL_STATE(643)] = 53597,
  [SMALL_STATE(644)] = 53645,
  [SMALL_STATE(645)] = 53693,
  [SMALL_STATE(646)] = 53744,
  [SMALL_STATE(647)] = 53795,
  [SMALL_STATE(648)] = 53846,
  [SMALL_STATE(649)] = 53892,
  [SMALL_STATE(650)] = 53942,
  [SMALL_STATE(651)] = 53992,
  [SMALL_STATE(652)] = 54041,
  [SMALL_STATE(653)] = 54086,
  [SMALL_STATE(654)] = 54131,
  [SMALL_STATE(655)] = 54176,
  [SMALL_STATE(656)] = 54225,
  [SMALL_STATE(657)] = 54276,
  [SMALL_STATE(658)] = 54321,
  [SMALL_STATE(659)] = 54366,
  [SMALL_STATE(660)] = 54411,
  [SMALL_STATE(661)] = 54460,
  [SMALL_STATE(662)] = 54511,
  [SMALL_STATE(663)] = 54556,
  [SMALL_STATE(664)] = 54605,
  [SMALL_STATE(665)] = 54650,
  [SMALL_STATE(666)] = 54699,
  [SMALL_STATE(667)] = 54744,
  [SMALL_STATE(668)] = 54789,
  [SMALL_STATE(669)] = 54834,
  [SMALL_STATE(670)] = 54883,
  [SMALL_STATE(671)] = 54928,
  [SMALL_STATE(672)] = 55012,
  [SMALL_STATE(673)] = 55056,
  [SMALL_STATE(674)] = 55102,
  [SMALL_STATE(675)] = 55186,
  [SMALL_STATE(676)] = 55230,
  [SMALL_STATE(677)] = 55274,
  [SMALL_STATE(678)] = 55318,
  [SMALL_STATE(679)] = 55362,
  [SMALL_STATE(680)] = 55408,
  [SMALL_STATE(681)] = 55454,
  [SMALL_STATE(682)] = 55502,
  [SMALL_STATE(683)] = 55546,
  [SMALL_STATE(684)] = 55590,
  [SMALL_STATE(685)] = 55636,
  [SMALL_STATE(686)] = 55720,
  [SMALL_STATE(687)] = 55804,
  [SMALL_STATE(688)] = 55848,
  [SMALL_STATE(689)] = 55892,
  [SMALL_STATE(690)] = 55936,
  [SMALL_STATE(691)] = 56020,
  [SMALL_STATE(692)] = 56064,
  [SMALL_STATE(693)] = 56108,
  [SMALL_STATE(694)] = 56156,
  [SMALL_STATE(695)] = 56204,
  [SMALL_STATE(696)] = 56252,
  [SMALL_STATE(697)] = 56336,
  [SMALL_STATE(698)] = 56380,
  [SMALL_STATE(699)] = 56464,
  [SMALL_STATE(700)] = 56510,
  [SMALL_STATE(701)] = 56556,
  [SMALL_STATE(702)] = 56600,
  [SMALL_STATE(703)] = 56646,
  [SMALL_STATE(704)] = 56690,
  [SMALL_STATE(705)] = 56738,
  [SMALL_STATE(706)] = 56782,
  [SMALL_STATE(707)] = 56826,
  [SMALL_STATE(708)] = 56870,
  [SMALL_STATE(709)] = 56918,
  [SMALL_STATE(710)] = 56962,
  [SMALL_STATE(711)] = 57006,
  [SMALL_STATE(712)] = 57050,
  [SMALL_STATE(713)] = 57093,
  [SMALL_STATE(714)] = 57136,
  [SMALL_STATE(715)] = 57179,
  [SMALL_STATE(716)] = 57236,
  [SMALL_STATE(717)] = 57279,
  [SMALL_STATE(718)] = 57322,
  [SMALL_STATE(719)] = 57365,
  [SMALL_STATE(720)] = 57408,
  [SMALL_STATE(721)] = 57451,
  [SMALL_STATE(722)] = 57494,
  [SMALL_STATE(723)] = 57537,
  [SMALL_STATE(724)] = 57580,
  [SMALL_STATE(725)] = 57623,
  [SMALL_STATE(726)] = 57666,
  [SMALL_STATE(727)] = 57709,
  [SMALL_STATE(728)] = 57766,
  [SMALL_STATE(729)] = 57809,
  [SMALL_STATE(730)] = 57852,
  [SMALL_STATE(731)] = 57895,
  [SMALL_STATE(732)] = 57938,
  [SMALL_STATE(733)] = 57981,
  [SMALL_STATE(734)] = 58024,
  [SMALL_STATE(735)] = 58067,
  [SMALL_STATE(736)] = 58110,
  [SMALL_STATE(737)] = 58153,
  [SMALL_STATE(738)] = 58196,
  [SMALL_STATE(739)] = 58253,
  [SMALL_STATE(740)] = 58336,
  [SMALL_STATE(741)] = 58379,
  [SMALL_STATE(742)] = 58422,
  [SMALL_STATE(743)] = 58465,
  [SMALL_STATE(744)] = 58508,
  [SMALL_STATE(745)] = 58551,
  [SMALL_STATE(746)] = 58594,
  [SMALL_STATE(747)] = 58637,
  [SMALL_STATE(748)] = 58680,
  [SMALL_STATE(749)] = 58723,
  [SMALL_STATE(750)] = 58766,
  [SMALL_STATE(751)] = 58823,
  [SMALL_STATE(752)] = 58906,
  [SMALL_STATE(753)] = 58949,
  [SMALL_STATE(754)] = 58992,
  [SMALL_STATE(755)] = 59035,
  [SMALL_STATE(756)] = 59078,
  [SMALL_STATE(757)] = 59121,
  [SMALL_STATE(758)] = 59164,
  [SMALL_STATE(759)] = 59207,
  [SMALL_STATE(760)] = 59250,
  [SMALL_STATE(761)] = 59293,
  [SMALL_STATE(762)] = 59336,
  [SMALL_STATE(763)] = 59379,
  [SMALL_STATE(764)] = 59422,
  [SMALL_STATE(765)] = 59465,
  [SMALL_STATE(766)] = 59546,
  [SMALL_STATE(767)] = 59629,
  [SMALL_STATE(768)] = 59672,
  [SMALL_STATE(769)] = 59715,
  [SMALL_STATE(770)] = 59758,
  [SMALL_STATE(771)] = 59801,
  [SMALL_STATE(772)] = 59844,
  [SMALL_STATE(773)] = 59887,
  [SMALL_STATE(774)] = 59930,
  [SMALL_STATE(775)] = 59973,
  [SMALL_STATE(776)] = 60030,
  [SMALL_STATE(777)] = 60073,
  [SMALL_STATE(778)] = 60130,
  [SMALL_STATE(779)] = 60173,
  [SMALL_STATE(780)] = 60216,
  [SMALL_STATE(781)] = 60259,
  [SMALL_STATE(782)] = 60302,
  [SMALL_STATE(783)] = 60345,
  [SMALL_STATE(784)] = 60388,
  [SMALL_STATE(785)] = 60431,
  [SMALL_STATE(786)] = 60474,
  [SMALL_STATE(787)] = 60517,
  [SMALL_STATE(788)] = 60560,
  [SMALL_STATE(789)] = 60603,
  [SMALL_STATE(790)] = 60646,
  [SMALL_STATE(791)] = 60689,
  [SMALL_STATE(792)] = 60732,
  [SMALL_STATE(793)] = 60775,
  [SMALL_STATE(794)] = 60818,
  [SMALL_STATE(795)] = 60861,
  [SMALL_STATE(796)] = 60942,
  [SMALL_STATE(797)] = 60985,
  [SMALL_STATE(798)] = 61028,
  [SMALL_STATE(799)] = 61071,
  [SMALL_STATE(800)] = 61114,
  [SMALL_STATE(801)] = 61157,
  [SMALL_STATE(802)] = 61217,
  [SMALL_STATE(803)] = 61277,
  [SMALL_STATE(804)] = 61349,
  [SMALL_STATE(805)] = 61421,
  [SMALL_STATE(806)] = 61477,
  [SMALL_STATE(807)] = 61549,
  [SMALL_STATE(808)] = 61621,
  [SMALL_STATE(809)] = 61693,
  [SMALL_STATE(810)] = 61765,
  [SMALL_STATE(811)] = 61825,
  [SMALL_STATE(812)] = 61897,
  [SMALL_STATE(813)] = 61957,
  [SMALL_STATE(814)] = 62029,
  [SMALL_STATE(815)] = 62073,
  [SMALL_STATE(816)] = 62133,
  [SMALL_STATE(817)] = 62205,
  [SMALL_STATE(818)] = 62247,
  [SMALL_STATE(819)] = 62293,
  [SMALL_STATE(820)] = 62351,
  [SMALL_STATE(821)] = 62407,
  [SMALL_STATE(822)] = 62461,
  [SMALL_STATE(823)] = 62513,
  [SMALL_STATE(824)] = 62585,
  [SMALL_STATE(825)] = 62635,
  [SMALL_STATE(826)] = 62707,
  [SMALL_STATE(827)] = 62779,
  [SMALL_STATE(828)] = 62851,
  [SMALL_STATE(829)] = 62907,
  [SMALL_STATE(830)] = 62963,
  [SMALL_STATE(831)] = 63035,
  [SMALL_STATE(832)] = 63107,
  [SMALL_STATE(833)] = 63184,
  [SMALL_STATE(834)] = 63237,
  [SMALL_STATE(835)] = 63290,
  [SMALL_STATE(836)] = 63367,
  [SMALL_STATE(837)] = 63444,
  [SMALL_STATE(838)] = 63519,
  [SMALL_STATE(839)] = 63592,
  [SMALL_STATE(840)] = 63669,
  [SMALL_STATE(841)] = 63722,
  [SMALL_STATE(842)] = 63799,
  [SMALL_STATE(843)] = 63874,
  [SMALL_STATE(844)] = 63951,
  [SMALL_STATE(845)] = 64028,
  [SMALL_STATE(846)] = 64102,
  [SMALL_STATE(847)] = 64176,
  [SMALL_STATE(848)] = 64250,
  [SMALL_STATE(849)] = 64324,
  [SMALL_STATE(850)] = 64398,
  [SMALL_STATE(851)] = 64472,
  [SMALL_STATE(852)] = 64546,
  [SMALL_STATE(853)] = 64620,
  [SMALL_STATE(854)] = 64663,
  [SMALL_STATE(855)] = 64726,
  [SMALL_STATE(856)] = 64797,
  [SMALL_STATE(857)] = 64860,
  [SMALL_STATE(858)] = 64931,
  [SMALL_STATE(859)] = 65002,
  [SMALL_STATE(860)] = 65065,
  [SMALL_STATE(861)] = 65136,
  [SMALL_STATE(862)] = 65199,
  [SMALL_STATE(863)] = 65256,
  [SMALL_STATE(864)] = 65327,
  [SMALL_STATE(865)] = 65398,
  [SMALL_STATE(866)] = 65469,
  [SMALL_STATE(867)] = 65532,
  [SMALL_STATE(868)] = 65575,
  [SMALL_STATE(869)] = 65646,
  [SMALL_STATE(870)] = 65717,
  [SMALL_STATE(871)] = 65760,
  [SMALL_STATE(872)] = 65831,
  [SMALL_STATE(873)] = 65902,
  [SMALL_STATE(874)] = 65965,
  [SMALL_STATE(875)] = 66036,
  [SMALL_STATE(876)] = 66099,
  [SMALL_STATE(877)] = 66170,
  [SMALL_STATE(878)] = 66241,
  [SMALL_STATE(879)] = 66312,
  [SMALL_STATE(880)] = 66383,
  [SMALL_STATE(881)] = 66454,
  [SMALL_STATE(882)] = 66514,
  [SMALL_STATE(883)] = 66580,
  [SMALL_STATE(884)] = 66648,
  [SMALL_STATE(885)] = 66714,
  [SMALL_STATE(886)] = 66752,
  [SMALL_STATE(887)] = 66790,
  [SMALL_STATE(888)] = 66856,
  [SMALL_STATE(889)] = 66898,
  [SMALL_STATE(890)] = 66964,
  [SMALL_STATE(891)] = 67024,
  [SMALL_STATE(892)] = 67090,
  [SMALL_STATE(893)] = 67156,
  [SMALL_STATE(894)] = 67198,
  [SMALL_STATE(895)] = 67258,
  [SMALL_STATE(896)] = 67318,
  [SMALL_STATE(897)] = 67378,
  [SMALL_STATE(898)] = 67438,
  [SMALL_STATE(899)] = 67476,
  [SMALL_STATE(900)] = 67542,
  [SMALL_STATE(901)] = 67580,
  [SMALL_STATE(902)] = 67640,
  [SMALL_STATE(903)] = 67678,
  [SMALL_STATE(904)] = 67744,
  [SMALL_STATE(905)] = 67782,
  [SMALL_STATE(906)] = 67850,
  [SMALL_STATE(907)] = 67910,
  [SMALL_STATE(908)] = 67948,
  [SMALL_STATE(909)] = 67990,
  [SMALL_STATE(910)] = 68028,
  [SMALL_STATE(911)] = 68070,
  [SMALL_STATE(912)] = 68108,
  [SMALL_STATE(913)] = 68146,
  [SMALL_STATE(914)] = 68212,
  [SMALL_STATE(915)] = 68278,
  [SMALL_STATE(916)] = 68316,
  [SMALL_STATE(917)] = 68382,
  [SMALL_STATE(918)] = 68420,
  [SMALL_STATE(919)] = 68486,
  [SMALL_STATE(920)] = 68524,
  [SMALL_STATE(921)] = 68562,
  [SMALL_STATE(922)] = 68600,
  [SMALL_STATE(923)] = 68666,
  [SMALL_STATE(924)] = 68704,
  [SMALL_STATE(925)] = 68751,
  [SMALL_STATE(926)] = 68788,
  [SMALL_STATE(927)] = 68825,
  [SMALL_STATE(928)] = 68880,
  [SMALL_STATE(929)] = 68943,
  [SMALL_STATE(930)] = 68980,
  [SMALL_STATE(931)] = 69043,
  [SMALL_STATE(932)] = 69082,
  [SMALL_STATE(933)] = 69147,
  [SMALL_STATE(934)] = 69210,
  [SMALL_STATE(935)] = 69271,
  [SMALL_STATE(936)] = 69310,
  [SMALL_STATE(937)] = 69347,
  [SMALL_STATE(938)] = 69410,
  [SMALL_STATE(939)] = 69449,
  [SMALL_STATE(940)] = 69514,
  [SMALL_STATE(941)] = 69559,
  [SMALL_STATE(942)] = 69614,
  [SMALL_STATE(943)] = 69677,
  [SMALL_STATE(944)] = 69718,
  [SMALL_STATE(945)] = 69773,
  [SMALL_STATE(946)] = 69828,
  [SMALL_STATE(947)] = 69883,
  [SMALL_STATE(948)] = 69946,
  [SMALL_STATE(949)] = 69999,
  [SMALL_STATE(950)] = 70062,
  [SMALL_STATE(951)] = 70113,
  [SMALL_STATE(952)] = 70162,
  [SMALL_STATE(953)] = 70225,
  [SMALL_STATE(954)] = 70280,
  [SMALL_STATE(955)] = 70335,
  [SMALL_STATE(956)] = 70372,
  [SMALL_STATE(957)] = 70435,
  [SMALL_STATE(958)] = 70498,
  [SMALL_STATE(959)] = 70561,
  [SMALL_STATE(960)] = 70624,
  [SMALL_STATE(961)] = 70661,
  [SMALL_STATE(962)] = 70716,
  [SMALL_STATE(963)] = 70753,
  [SMALL_STATE(964)] = 70816,
  [SMALL_STATE(965)] = 70881,
  [SMALL_STATE(966)] = 70936,
  [SMALL_STATE(967)] = 70973,
  [SMALL_STATE(968)] = 71027,
  [SMALL_STATE(969)] = 71081,
  [SMALL_STATE(970)] = 71117,
  [SMALL_STATE(971)] = 71153,
  [SMALL_STATE(972)] = 71189,
  [SMALL_STATE(973)] = 71243,
  [SMALL_STATE(974)] = 71279,
  [SMALL_STATE(975)] = 71333,
  [SMALL_STATE(976)] = 71387,
  [SMALL_STATE(977)] = 71447,
  [SMALL_STATE(978)] = 71501,
  [SMALL_STATE(979)] = 71537,
  [SMALL_STATE(980)] = 71591,
  [SMALL_STATE(981)] = 71651,
  [SMALL_STATE(982)] = 71687,
  [SMALL_STATE(983)] = 71741,
  [SMALL_STATE(984)] = 71777,
  [SMALL_STATE(985)] = 71825,
  [SMALL_STATE(986)] = 71861,
  [SMALL_STATE(987)] = 71915,
  [SMALL_STATE(988)] = 71951,
  [SMALL_STATE(989)] = 72011,
  [SMALL_STATE(990)] = 72071,
  [SMALL_STATE(991)] = 72131,
  [SMALL_STATE(992)] = 72191,
  [SMALL_STATE(993)] = 72237,
  [SMALL_STATE(994)] = 72287,
  [SMALL_STATE(995)] = 72347,
  [SMALL_STATE(996)] = 72383,
  [SMALL_STATE(997)] = 72437,
  [SMALL_STATE(998)] = 72491,
  [SMALL_STATE(999)] = 72545,
  [SMALL_STATE(1000)] = 72599,
  [SMALL_STATE(1001)] = 72653,
  [SMALL_STATE(1002)] = 72707,
  [SMALL_STATE(1003)] = 72747,
  [SMALL_STATE(1004)] = 72801,
  [SMALL_STATE(1005)] = 72861,
  [SMALL_STATE(1006)] = 72913,
  [SMALL_STATE(1007)] = 72973,
  [SMALL_STATE(1008)] = 73027,
  [SMALL_STATE(1009)] = 73081,
  [SMALL_STATE(1010)] = 73135,
  [SMALL_STATE(1011)] = 73189,
  [SMALL_STATE(1012)] = 73243,
  [SMALL_STATE(1013)] = 73303,
  [SMALL_STATE(1014)] = 73357,
  [SMALL_STATE(1015)] = 73411,
  [SMALL_STATE(1016)] = 73447,
  [SMALL_STATE(1017)] = 73501,
  [SMALL_STATE(1018)] = 73545,
  [SMALL_STATE(1019)] = 73599,
  [SMALL_STATE(1020)] = 73653,
  [SMALL_STATE(1021)] = 73713,
  [SMALL_STATE(1022)] = 73767,
  [SMALL_STATE(1023)] = 73821,
  [SMALL_STATE(1024)] = 73857,
  [SMALL_STATE(1025)] = 73895,
  [SMALL_STATE(1026)] = 73955,
  [SMALL_STATE(1027)] = 74009,
  [SMALL_STATE(1028)] = 74069,
  [SMALL_STATE(1029)] = 74109,
  [SMALL_STATE(1030)] = 74163,
  [SMALL_STATE(1031)] = 74199,
  [SMALL_STATE(1032)] = 74259,
  [SMALL_STATE(1033)] = 74319,
  [SMALL_STATE(1034)] = 74355,
  [SMALL_STATE(1035)] = 74415,
  [SMALL_STATE(1036)] = 74451,
  [SMALL_STATE(1037)] = 74505,
  [SMALL_STATE(1038)] = 74565,
  [SMALL_STATE(1039)] = 74619,
  [SMALL_STATE(1040)] = 74655,
  [SMALL_STATE(1041)] = 74715,
  [SMALL_STATE(1042)] = 74751,
  [SMALL_STATE(1043)] = 74787,
  [SMALL_STATE(1044)] = 74841,
  [SMALL_STATE(1045)] = 74877,
  [SMALL_STATE(1046)] = 74913,
  [SMALL_STATE(1047)] = 74967,
  [SMALL_STATE(1048)] = 75003,
  [SMALL_STATE(1049)] = 75063,
  [SMALL_STATE(1050)] = 75120,
  [SMALL_STATE(1051)] = 75177,
  [SMALL_STATE(1052)] = 75234,
  [SMALL_STATE(1053)] = 75271,
  [SMALL_STATE(1054)] = 75328,
  [SMALL_STATE(1055)] = 75363,
  [SMALL_STATE(1056)] = 75420,
  [SMALL_STATE(1057)] = 75477,
  [SMALL_STATE(1058)] = 75534,
  [SMALL_STATE(1059)] = 75591,
  [SMALL_STATE(1060)] = 75628,
  [SMALL_STATE(1061)] = 75685,
  [SMALL_STATE(1062)] = 75742,
  [SMALL_STATE(1063)] = 75776,
  [SMALL_STATE(1064)] = 75814,
  [SMALL_STATE(1065)] = 75848,
  [SMALL_STATE(1066)] = 75882,
  [SMALL_STATE(1067)] = 75916,
  [SMALL_STATE(1068)] = 75950,
  [SMALL_STATE(1069)] = 75984,
  [SMALL_STATE(1070)] = 76018,
  [SMALL_STATE(1071)] = 76052,
  [SMALL_STATE(1072)] = 76086,
  [SMALL_STATE(1073)] = 76120,
  [SMALL_STATE(1074)] = 76154,
  [SMALL_STATE(1075)] = 76188,
  [SMALL_STATE(1076)] = 76222,
  [SMALL_STATE(1077)] = 76256,
  [SMALL_STATE(1078)] = 76290,
  [SMALL_STATE(1079)] = 76324,
  [SMALL_STATE(1080)] = 76358,
  [SMALL_STATE(1081)] = 76392,
  [SMALL_STATE(1082)] = 76426,
  [SMALL_STATE(1083)] = 76474,
  [SMALL_STATE(1084)] = 76520,
  [SMALL_STATE(1085)] = 76554,
  [SMALL_STATE(1086)] = 76598,
  [SMALL_STATE(1087)] = 76640,
  [SMALL_STATE(1088)] = 76674,
  [SMALL_STATE(1089)] = 76724,
  [SMALL_STATE(1090)] = 76758,
  [SMALL_STATE(1091)] = 76792,
  [SMALL_STATE(1092)] = 76826,
  [SMALL_STATE(1093)] = 76876,
  [SMALL_STATE(1094)] = 76910,
  [SMALL_STATE(1095)] = 76952,
  [SMALL_STATE(1096)] = 76986,
  [SMALL_STATE(1097)] = 77018,
  [SMALL_STATE(1098)] = 77052,
  [SMALL_STATE(1099)] = 77086,
  [SMALL_STATE(1100)] = 77124,
  [SMALL_STATE(1101)] = 77172,
  [SMALL_STATE(1102)] = 77222,
  [SMALL_STATE(1103)] = 77268,
  [SMALL_STATE(1104)] = 77312,
  [SMALL_STATE(1105)] = 77346,
  [SMALL_STATE(1106)] = 77393,
  [SMALL_STATE(1107)] = 77440,
  [SMALL_STATE(1108)] = 77487,
  [SMALL_STATE(1109)] = 77534,
  [SMALL_STATE(1110)] = 77581,
  [SMALL_STATE(1111)] = 77628,
  [SMALL_STATE(1112)] = 77672,
  [SMALL_STATE(1113)] = 77700,
  [SMALL_STATE(1114)] = 77744,
  [SMALL_STATE(1115)] = 77788,
  [SMALL_STATE(1116)] = 77832,
  [SMALL_STATE(1117)] = 77876,
  [SMALL_STATE(1118)] = 77920,
  [SMALL_STATE(1119)] = 77946,
  [SMALL_STATE(1120)] = 77990,
  [SMALL_STATE(1121)] = 78034,
  [SMALL_STATE(1122)] = 78078,
  [SMALL_STATE(1123)] = 78108,
  [SMALL_STATE(1124)] = 78152,
  [SMALL_STATE(1125)] = 78195,
  [SMALL_STATE(1126)] = 78238,
  [SMALL_STATE(1127)] = 78279,
  [SMALL_STATE(1128)] = 78304,
  [SMALL_STATE(1129)] = 78345,
  [SMALL_STATE(1130)] = 78386,
  [SMALL_STATE(1131)] = 78427,
  [SMALL_STATE(1132)] = 78468,
  [SMALL_STATE(1133)] = 78509,
  [SMALL_STATE(1134)] = 78538,
  [SMALL_STATE(1135)] = 78579,
  [SMALL_STATE(1136)] = 78620,
  [SMALL_STATE(1137)] = 78663,
  [SMALL_STATE(1138)] = 78704,
  [SMALL_STATE(1139)] = 78745,
  [SMALL_STATE(1140)] = 78786,
  [SMALL_STATE(1141)] = 78824,
  [SMALL_STATE(1142)] = 78862,
  [SMALL_STATE(1143)] = 78902,
  [SMALL_STATE(1144)] = 78940,
  [SMALL_STATE(1145)] = 78978,
  [SMALL_STATE(1146)] = 79016,
  [SMALL_STATE(1147)] = 79054,
  [SMALL_STATE(1148)] = 79094,
  [SMALL_STATE(1149)] = 79132,
  [SMALL_STATE(1150)] = 79170,
  [SMALL_STATE(1151)] = 79208,
  [SMALL_STATE(1152)] = 79246,
  [SMALL_STATE(1153)] = 79284,
  [SMALL_STATE(1154)] = 79322,
  [SMALL_STATE(1155)] = 79360,
  [SMALL_STATE(1156)] = 79398,
  [SMALL_STATE(1157)] = 79422,
  [SMALL_STATE(1158)] = 79446,
  [SMALL_STATE(1159)] = 79484,
  [SMALL_STATE(1160)] = 79522,
  [SMALL_STATE(1161)] = 79546,
  [SMALL_STATE(1162)] = 79586,
  [SMALL_STATE(1163)] = 79624,
  [SMALL_STATE(1164)] = 79648,
  [SMALL_STATE(1165)] = 79672,
  [SMALL_STATE(1166)] = 79712,
  [SMALL_STATE(1167)] = 79750,
  [SMALL_STATE(1168)] = 79788,
  [SMALL_STATE(1169)] = 79828,
  [SMALL_STATE(1170)] = 79866,
  [SMALL_STATE(1171)] = 79904,
  [SMALL_STATE(1172)] = 79942,
  [SMALL_STATE(1173)] = 79980,
  [SMALL_STATE(1174)] = 80020,
  [SMALL_STATE(1175)] = 80058,
  [SMALL_STATE(1176)] = 80096,
  [SMALL_STATE(1177)] = 80120,
  [SMALL_STATE(1178)] = 80160,
  [SMALL_STATE(1179)] = 80198,
  [SMALL_STATE(1180)] = 80222,
  [SMALL_STATE(1181)] = 80246,
  [SMALL_STATE(1182)] = 80284,
  [SMALL_STATE(1183)] = 80322,
  [SMALL_STATE(1184)] = 80346,
  [SMALL_STATE(1185)] = 80370,
  [SMALL_STATE(1186)] = 80394,
  [SMALL_STATE(1187)] = 80418,
  [SMALL_STATE(1188)] = 80456,
  [SMALL_STATE(1189)] = 80479,
  [SMALL_STATE(1190)] = 80502,
  [SMALL_STATE(1191)] = 80525,
  [SMALL_STATE(1192)] = 80548,
  [SMALL_STATE(1193)] = 80571,
  [SMALL_STATE(1194)] = 80594,
  [SMALL_STATE(1195)] = 80617,
  [SMALL_STATE(1196)] = 80640,
  [SMALL_STATE(1197)] = 80663,
  [SMALL_STATE(1198)] = 80686,
  [SMALL_STATE(1199)] = 80723,
  [SMALL_STATE(1200)] = 80746,
  [SMALL_STATE(1201)] = 80769,
  [SMALL_STATE(1202)] = 80806,
  [SMALL_STATE(1203)] = 80829,
  [SMALL_STATE(1204)] = 80852,
  [SMALL_STATE(1205)] = 80879,
  [SMALL_STATE(1206)] = 80902,
  [SMALL_STATE(1207)] = 80925,
  [SMALL_STATE(1208)] = 80948,
  [SMALL_STATE(1209)] = 80971,
  [SMALL_STATE(1210)] = 80994,
  [SMALL_STATE(1211)] = 81017,
  [SMALL_STATE(1212)] = 81044,
  [SMALL_STATE(1213)] = 81067,
  [SMALL_STATE(1214)] = 81094,
  [SMALL_STATE(1215)] = 81117,
  [SMALL_STATE(1216)] = 81140,
  [SMALL_STATE(1217)] = 81167,
  [SMALL_STATE(1218)] = 81190,
  [SMALL_STATE(1219)] = 81213,
  [SMALL_STATE(1220)] = 81236,
  [SMALL_STATE(1221)] = 81273,
  [SMALL_STATE(1222)] = 81296,
  [SMALL_STATE(1223)] = 81333,
  [SMALL_STATE(1224)] = 81356,
  [SMALL_STATE(1225)] = 81384,
  [SMALL_STATE(1226)] = 81412,
  [SMALL_STATE(1227)] = 81436,
  [SMALL_STATE(1228)] = 81461,
  [SMALL_STATE(1229)] = 81482,
  [SMALL_STATE(1230)] = 81503,
  [SMALL_STATE(1231)] = 81544,
  [SMALL_STATE(1232)] = 81565,
  [SMALL_STATE(1233)] = 81606,
  [SMALL_STATE(1234)] = 81627,
  [SMALL_STATE(1235)] = 81648,
  [SMALL_STATE(1236)] = 81689,
  [SMALL_STATE(1237)] = 81714,
  [SMALL_STATE(1238)] = 81739,
  [SMALL_STATE(1239)] = 81780,
  [SMALL_STATE(1240)] = 81805,
  [SMALL_STATE(1241)] = 81830,
  [SMALL_STATE(1242)] = 81855,
  [SMALL_STATE(1243)] = 81876,
  [SMALL_STATE(1244)] = 81897,
  [SMALL_STATE(1245)] = 81918,
  [SMALL_STATE(1246)] = 81939,
  [SMALL_STATE(1247)] = 81980,
  [SMALL_STATE(1248)] = 82021,
  [SMALL_STATE(1249)] = 82042,
  [SMALL_STATE(1250)] = 82062,
  [SMALL_STATE(1251)] = 82096,
  [SMALL_STATE(1252)] = 82116,
  [SMALL_STATE(1253)] = 82138,
  [SMALL_STATE(1254)] = 82160,
  [SMALL_STATE(1255)] = 82194,
  [SMALL_STATE(1256)] = 82216,
  [SMALL_STATE(1257)] = 82236,
  [SMALL_STATE(1258)] = 82274,
  [SMALL_STATE(1259)] = 82294,
  [SMALL_STATE(1260)] = 82315,
  [SMALL_STATE(1261)] = 82334,
  [SMALL_STATE(1262)] = 82353,
  [SMALL_STATE(1263)] = 82372,
  [SMALL_STATE(1264)] = 82391,
  [SMALL_STATE(1265)] = 82410,
  [SMALL_STATE(1266)] = 82429,
  [SMALL_STATE(1267)] = 82448,
  [SMALL_STATE(1268)] = 82467,
  [SMALL_STATE(1269)] = 82486,
  [SMALL_STATE(1270)] = 82505,
  [SMALL_STATE(1271)] = 82524,
  [SMALL_STATE(1272)] = 82543,
  [SMALL_STATE(1273)] = 82562,
  [SMALL_STATE(1274)] = 82581,
  [SMALL_STATE(1275)] = 82600,
  [SMALL_STATE(1276)] = 82619,
  [SMALL_STATE(1277)] = 82638,
  [SMALL_STATE(1278)] = 82657,
  [SMALL_STATE(1279)] = 82680,
  [SMALL_STATE(1280)] = 82699,
  [SMALL_STATE(1281)] = 82718,
  [SMALL_STATE(1282)] = 82739,
  [SMALL_STATE(1283)] = 82766,
  [SMALL_STATE(1284)] = 82785,
  [SMALL_STATE(1285)] = 82804,
  [SMALL_STATE(1286)] = 82823,
  [SMALL_STATE(1287)] = 82842,
  [SMALL_STATE(1288)] = 82861,
  [SMALL_STATE(1289)] = 82880,
  [SMALL_STATE(1290)] = 82899,
  [SMALL_STATE(1291)] = 82918,
  [SMALL_STATE(1292)] = 82950,
  [SMALL_STATE(1293)] = 82968,
  [SMALL_STATE(1294)] = 83000,
  [SMALL_STATE(1295)] = 83018,
  [SMALL_STATE(1296)] = 83050,
  [SMALL_STATE(1297)] = 83070,
  [SMALL_STATE(1298)] = 83088,
  [SMALL_STATE(1299)] = 83117,
  [SMALL_STATE(1300)] = 83146,
  [SMALL_STATE(1301)] = 83175,
  [SMALL_STATE(1302)] = 83204,
  [SMALL_STATE(1303)] = 83221,
  [SMALL_STATE(1304)] = 83250,
  [SMALL_STATE(1305)] = 83279,
  [SMALL_STATE(1306)] = 83308,
  [SMALL_STATE(1307)] = 83332,
  [SMALL_STATE(1308)] = 83354,
  [SMALL_STATE(1309)] = 83378,
  [SMALL_STATE(1310)] = 83404,
  [SMALL_STATE(1311)] = 83426,
  [SMALL_STATE(1312)] = 83448,
  [SMALL_STATE(1313)] = 83468,
  [SMALL_STATE(1314)] = 83492,
  [SMALL_STATE(1315)] = 83514,
  [SMALL_STATE(1316)] = 83536,
  [SMALL_STATE(1317)] = 83558,
  [SMALL_STATE(1318)] = 83580,
  [SMALL_STATE(1319)] = 83602,
  [SMALL_STATE(1320)] = 83626,
  [SMALL_STATE(1321)] = 83648,
  [SMALL_STATE(1322)] = 83672,
  [SMALL_STATE(1323)] = 83694,
  [SMALL_STATE(1324)] = 83712,
  [SMALL_STATE(1325)] = 83734,
  [SMALL_STATE(1326)] = 83756,
  [SMALL_STATE(1327)] = 83778,
  [SMALL_STATE(1328)] = 83802,
  [SMALL_STATE(1329)] = 83824,
  [SMALL_STATE(1330)] = 83848,
  [SMALL_STATE(1331)] = 83870,
  [SMALL_STATE(1332)] = 83892,
  [SMALL_STATE(1333)] = 83914,
  [SMALL_STATE(1334)] = 83936,
  [SMALL_STATE(1335)] = 83958,
  [SMALL_STATE(1336)] = 83980,
  [SMALL_STATE(1337)] = 84004,
  [SMALL_STATE(1338)] = 84026,
  [SMALL_STATE(1339)] = 84048,
  [SMALL_STATE(1340)] = 84070,
  [SMALL_STATE(1341)] = 84092,
  [SMALL_STATE(1342)] = 84114,
  [SMALL_STATE(1343)] = 84138,
  [SMALL_STATE(1344)] = 84162,
  [SMALL_STATE(1345)] = 84186,
  [SMALL_STATE(1346)] = 84210,
  [SMALL_STATE(1347)] = 84232,
  [SMALL_STATE(1348)] = 84254,
  [SMALL_STATE(1349)] = 84275,
  [SMALL_STATE(1350)] = 84296,
  [SMALL_STATE(1351)] = 84319,
  [SMALL_STATE(1352)] = 84338,
  [SMALL_STATE(1353)] = 84361,
  [SMALL_STATE(1354)] = 84380,
  [SMALL_STATE(1355)] = 84399,
  [SMALL_STATE(1356)] = 84420,
  [SMALL_STATE(1357)] = 84441,
  [SMALL_STATE(1358)] = 84460,
  [SMALL_STATE(1359)] = 84479,
  [SMALL_STATE(1360)] = 84500,
  [SMALL_STATE(1361)] = 84523,
  [SMALL_STATE(1362)] = 84544,
  [SMALL_STATE(1363)] = 84565,
  [SMALL_STATE(1364)] = 84586,
  [SMALL_STATE(1365)] = 84605,
  [SMALL_STATE(1366)] = 84624,
  [SMALL_STATE(1367)] = 84643,
  [SMALL_STATE(1368)] = 84666,
  [SMALL_STATE(1369)] = 84689,
  [SMALL_STATE(1370)] = 84710,
  [SMALL_STATE(1371)] = 84729,
  [SMALL_STATE(1372)] = 84748,
  [SMALL_STATE(1373)] = 84771,
  [SMALL_STATE(1374)] = 84785,
  [SMALL_STATE(1375)] = 84805,
  [SMALL_STATE(1376)] = 84825,
  [SMALL_STATE(1377)] = 84843,
  [SMALL_STATE(1378)] = 84859,
  [SMALL_STATE(1379)] = 84879,
  [SMALL_STATE(1380)] = 84897,
  [SMALL_STATE(1381)] = 84915,
  [SMALL_STATE(1382)] = 84931,
  [SMALL_STATE(1383)] = 84951,
  [SMALL_STATE(1384)] = 84967,
  [SMALL_STATE(1385)] = 84987,
  [SMALL_STATE(1386)] = 85007,
  [SMALL_STATE(1387)] = 85025,
  [SMALL_STATE(1388)] = 85045,
  [SMALL_STATE(1389)] = 85065,
  [SMALL_STATE(1390)] = 85083,
  [SMALL_STATE(1391)] = 85099,
  [SMALL_STATE(1392)] = 85119,
  [SMALL_STATE(1393)] = 85139,
  [SMALL_STATE(1394)] = 85157,
  [SMALL_STATE(1395)] = 85177,
  [SMALL_STATE(1396)] = 85197,
  [SMALL_STATE(1397)] = 85215,
  [SMALL_STATE(1398)] = 85235,
  [SMALL_STATE(1399)] = 85253,
  [SMALL_STATE(1400)] = 85273,
  [SMALL_STATE(1401)] = 85291,
  [SMALL_STATE(1402)] = 85309,
  [SMALL_STATE(1403)] = 85325,
  [SMALL_STATE(1404)] = 85345,
  [SMALL_STATE(1405)] = 85363,
  [SMALL_STATE(1406)] = 85381,
  [SMALL_STATE(1407)] = 85399,
  [SMALL_STATE(1408)] = 85417,
  [SMALL_STATE(1409)] = 85435,
  [SMALL_STATE(1410)] = 85453,
  [SMALL_STATE(1411)] = 85471,
  [SMALL_STATE(1412)] = 85489,
  [SMALL_STATE(1413)] = 85503,
  [SMALL_STATE(1414)] = 85521,
  [SMALL_STATE(1415)] = 85539,
  [SMALL_STATE(1416)] = 85557,
  [SMALL_STATE(1417)] = 85575,
  [SMALL_STATE(1418)] = 85591,
  [SMALL_STATE(1419)] = 85611,
  [SMALL_STATE(1420)] = 85627,
  [SMALL_STATE(1421)] = 85643,
  [SMALL_STATE(1422)] = 85661,
  [SMALL_STATE(1423)] = 85679,
  [SMALL_STATE(1424)] = 85697,
  [SMALL_STATE(1425)] = 85717,
  [SMALL_STATE(1426)] = 85735,
  [SMALL_STATE(1427)] = 85755,
  [SMALL_STATE(1428)] = 85775,
  [SMALL_STATE(1429)] = 85795,
  [SMALL_STATE(1430)] = 85815,
  [SMALL_STATE(1431)] = 85833,
  [SMALL_STATE(1432)] = 85850,
  [SMALL_STATE(1433)] = 85863,
  [SMALL_STATE(1434)] = 85880,
  [SMALL_STATE(1435)] = 85897,
  [SMALL_STATE(1436)] = 85914,
  [SMALL_STATE(1437)] = 85931,
  [SMALL_STATE(1438)] = 85948,
  [SMALL_STATE(1439)] = 85965,
  [SMALL_STATE(1440)] = 85982,
  [SMALL_STATE(1441)] = 85995,
  [SMALL_STATE(1442)] = 86012,
  [SMALL_STATE(1443)] = 86029,
  [SMALL_STATE(1444)] = 86046,
  [SMALL_STATE(1445)] = 86063,
  [SMALL_STATE(1446)] = 86080,
  [SMALL_STATE(1447)] = 86097,
  [SMALL_STATE(1448)] = 86114,
  [SMALL_STATE(1449)] = 86131,
  [SMALL_STATE(1450)] = 86148,
  [SMALL_STATE(1451)] = 86165,
  [SMALL_STATE(1452)] = 86182,
  [SMALL_STATE(1453)] = 86199,
  [SMALL_STATE(1454)] = 86216,
  [SMALL_STATE(1455)] = 86233,
  [SMALL_STATE(1456)] = 86250,
  [SMALL_STATE(1457)] = 86267,
  [SMALL_STATE(1458)] = 86284,
  [SMALL_STATE(1459)] = 86301,
  [SMALL_STATE(1460)] = 86318,
  [SMALL_STATE(1461)] = 86335,
  [SMALL_STATE(1462)] = 86352,
  [SMALL_STATE(1463)] = 86369,
  [SMALL_STATE(1464)] = 86386,
  [SMALL_STATE(1465)] = 86403,
  [SMALL_STATE(1466)] = 86420,
  [SMALL_STATE(1467)] = 86437,
  [SMALL_STATE(1468)] = 86454,
  [SMALL_STATE(1469)] = 86471,
  [SMALL_STATE(1470)] = 86488,
  [SMALL_STATE(1471)] = 86505,
  [SMALL_STATE(1472)] = 86522,
  [SMALL_STATE(1473)] = 86539,
  [SMALL_STATE(1474)] = 86556,
  [SMALL_STATE(1475)] = 86573,
  [SMALL_STATE(1476)] = 86590,
  [SMALL_STATE(1477)] = 86607,
  [SMALL_STATE(1478)] = 86624,
  [SMALL_STATE(1479)] = 86641,
  [SMALL_STATE(1480)] = 86658,
  [SMALL_STATE(1481)] = 86675,
  [SMALL_STATE(1482)] = 86692,
  [SMALL_STATE(1483)] = 86709,
  [SMALL_STATE(1484)] = 86726,
  [SMALL_STATE(1485)] = 86743,
  [SMALL_STATE(1486)] = 86760,
  [SMALL_STATE(1487)] = 86777,
  [SMALL_STATE(1488)] = 86794,
  [SMALL_STATE(1489)] = 86811,
  [SMALL_STATE(1490)] = 86824,
  [SMALL_STATE(1491)] = 86841,
  [SMALL_STATE(1492)] = 86854,
  [SMALL_STATE(1493)] = 86871,
  [SMALL_STATE(1494)] = 86888,
  [SMALL_STATE(1495)] = 86905,
  [SMALL_STATE(1496)] = 86922,
  [SMALL_STATE(1497)] = 86939,
  [SMALL_STATE(1498)] = 86956,
  [SMALL_STATE(1499)] = 86973,
  [SMALL_STATE(1500)] = 86990,
  [SMALL_STATE(1501)] = 87007,
  [SMALL_STATE(1502)] = 87024,
  [SMALL_STATE(1503)] = 87041,
  [SMALL_STATE(1504)] = 87056,
  [SMALL_STATE(1505)] = 87069,
  [SMALL_STATE(1506)] = 87086,
  [SMALL_STATE(1507)] = 87103,
  [SMALL_STATE(1508)] = 87120,
  [SMALL_STATE(1509)] = 87133,
  [SMALL_STATE(1510)] = 87150,
  [SMALL_STATE(1511)] = 87167,
  [SMALL_STATE(1512)] = 87184,
  [SMALL_STATE(1513)] = 87201,
  [SMALL_STATE(1514)] = 87218,
  [SMALL_STATE(1515)] = 87231,
  [SMALL_STATE(1516)] = 87248,
  [SMALL_STATE(1517)] = 87265,
  [SMALL_STATE(1518)] = 87282,
  [SMALL_STATE(1519)] = 87299,
  [SMALL_STATE(1520)] = 87316,
  [SMALL_STATE(1521)] = 87333,
  [SMALL_STATE(1522)] = 87346,
  [SMALL_STATE(1523)] = 87363,
  [SMALL_STATE(1524)] = 87380,
  [SMALL_STATE(1525)] = 87397,
  [SMALL_STATE(1526)] = 87410,
  [SMALL_STATE(1527)] = 87427,
  [SMALL_STATE(1528)] = 87444,
  [SMALL_STATE(1529)] = 87461,
  [SMALL_STATE(1530)] = 87474,
  [SMALL_STATE(1531)] = 87491,
  [SMALL_STATE(1532)] = 87504,
  [SMALL_STATE(1533)] = 87517,
  [SMALL_STATE(1534)] = 87530,
  [SMALL_STATE(1535)] = 87543,
  [SMALL_STATE(1536)] = 87560,
  [SMALL_STATE(1537)] = 87577,
  [SMALL_STATE(1538)] = 87590,
  [SMALL_STATE(1539)] = 87607,
  [SMALL_STATE(1540)] = 87624,
  [SMALL_STATE(1541)] = 87637,
  [SMALL_STATE(1542)] = 87654,
  [SMALL_STATE(1543)] = 87671,
  [SMALL_STATE(1544)] = 87688,
  [SMALL_STATE(1545)] = 87705,
  [SMALL_STATE(1546)] = 87722,
  [SMALL_STATE(1547)] = 87739,
  [SMALL_STATE(1548)] = 87756,
  [SMALL_STATE(1549)] = 87773,
  [SMALL_STATE(1550)] = 87790,
  [SMALL_STATE(1551)] = 87807,
  [SMALL_STATE(1552)] = 87824,
  [SMALL_STATE(1553)] = 87841,
  [SMALL_STATE(1554)] = 87858,
  [SMALL_STATE(1555)] = 87875,
  [SMALL_STATE(1556)] = 87890,
  [SMALL_STATE(1557)] = 87907,
  [SMALL_STATE(1558)] = 87922,
  [SMALL_STATE(1559)] = 87939,
  [SMALL_STATE(1560)] = 87956,
  [SMALL_STATE(1561)] = 87971,
  [SMALL_STATE(1562)] = 87988,
  [SMALL_STATE(1563)] = 88003,
  [SMALL_STATE(1564)] = 88020,
  [SMALL_STATE(1565)] = 88033,
  [SMALL_STATE(1566)] = 88050,
  [SMALL_STATE(1567)] = 88067,
  [SMALL_STATE(1568)] = 88084,
  [SMALL_STATE(1569)] = 88101,
  [SMALL_STATE(1570)] = 88118,
  [SMALL_STATE(1571)] = 88135,
  [SMALL_STATE(1572)] = 88152,
  [SMALL_STATE(1573)] = 88169,
  [SMALL_STATE(1574)] = 88186,
  [SMALL_STATE(1575)] = 88203,
  [SMALL_STATE(1576)] = 88220,
  [SMALL_STATE(1577)] = 88237,
  [SMALL_STATE(1578)] = 88250,
  [SMALL_STATE(1579)] = 88267,
  [SMALL_STATE(1580)] = 88280,
  [SMALL_STATE(1581)] = 88297,
  [SMALL_STATE(1582)] = 88314,
  [SMALL_STATE(1583)] = 88327,
  [SMALL_STATE(1584)] = 88344,
  [SMALL_STATE(1585)] = 88361,
  [SMALL_STATE(1586)] = 88374,
  [SMALL_STATE(1587)] = 88391,
  [SMALL_STATE(1588)] = 88404,
  [SMALL_STATE(1589)] = 88421,
  [SMALL_STATE(1590)] = 88438,
  [SMALL_STATE(1591)] = 88455,
  [SMALL_STATE(1592)] = 88472,
  [SMALL_STATE(1593)] = 88489,
  [SMALL_STATE(1594)] = 88506,
  [SMALL_STATE(1595)] = 88523,
  [SMALL_STATE(1596)] = 88536,
  [SMALL_STATE(1597)] = 88553,
  [SMALL_STATE(1598)] = 88570,
  [SMALL_STATE(1599)] = 88585,
  [SMALL_STATE(1600)] = 88600,
  [SMALL_STATE(1601)] = 88613,
  [SMALL_STATE(1602)] = 88630,
  [SMALL_STATE(1603)] = 88647,
  [SMALL_STATE(1604)] = 88664,
  [SMALL_STATE(1605)] = 88681,
  [SMALL_STATE(1606)] = 88698,
  [SMALL_STATE(1607)] = 88715,
  [SMALL_STATE(1608)] = 88732,
  [SMALL_STATE(1609)] = 88749,
  [SMALL_STATE(1610)] = 88766,
  [SMALL_STATE(1611)] = 88783,
  [SMALL_STATE(1612)] = 88800,
  [SMALL_STATE(1613)] = 88817,
  [SMALL_STATE(1614)] = 88830,
  [SMALL_STATE(1615)] = 88847,
  [SMALL_STATE(1616)] = 88860,
  [SMALL_STATE(1617)] = 88877,
  [SMALL_STATE(1618)] = 88894,
  [SMALL_STATE(1619)] = 88907,
  [SMALL_STATE(1620)] = 88924,
  [SMALL_STATE(1621)] = 88937,
  [SMALL_STATE(1622)] = 88954,
  [SMALL_STATE(1623)] = 88971,
  [SMALL_STATE(1624)] = 88988,
  [SMALL_STATE(1625)] = 89005,
  [SMALL_STATE(1626)] = 89017,
  [SMALL_STATE(1627)] = 89029,
  [SMALL_STATE(1628)] = 89043,
  [SMALL_STATE(1629)] = 89057,
  [SMALL_STATE(1630)] = 89071,
  [SMALL_STATE(1631)] = 89085,
  [SMALL_STATE(1632)] = 89099,
  [SMALL_STATE(1633)] = 89113,
  [SMALL_STATE(1634)] = 89127,
  [SMALL_STATE(1635)] = 89141,
  [SMALL_STATE(1636)] = 89155,
  [SMALL_STATE(1637)] = 89169,
  [SMALL_STATE(1638)] = 89183,
  [SMALL_STATE(1639)] = 89197,
  [SMALL_STATE(1640)] = 89211,
  [SMALL_STATE(1641)] = 89225,
  [SMALL_STATE(1642)] = 89239,
  [SMALL_STATE(1643)] = 89253,
  [SMALL_STATE(1644)] = 89267,
  [SMALL_STATE(1645)] = 89281,
  [SMALL_STATE(1646)] = 89295,
  [SMALL_STATE(1647)] = 89309,
  [SMALL_STATE(1648)] = 89323,
  [SMALL_STATE(1649)] = 89337,
  [SMALL_STATE(1650)] = 89351,
  [SMALL_STATE(1651)] = 89365,
  [SMALL_STATE(1652)] = 89379,
  [SMALL_STATE(1653)] = 89393,
  [SMALL_STATE(1654)] = 89407,
  [SMALL_STATE(1655)] = 89421,
  [SMALL_STATE(1656)] = 89435,
  [SMALL_STATE(1657)] = 89449,
  [SMALL_STATE(1658)] = 89463,
  [SMALL_STATE(1659)] = 89477,
  [SMALL_STATE(1660)] = 89491,
  [SMALL_STATE(1661)] = 89503,
  [SMALL_STATE(1662)] = 89517,
  [SMALL_STATE(1663)] = 89531,
  [SMALL_STATE(1664)] = 89545,
  [SMALL_STATE(1665)] = 89559,
  [SMALL_STATE(1666)] = 89573,
  [SMALL_STATE(1667)] = 89587,
  [SMALL_STATE(1668)] = 89601,
  [SMALL_STATE(1669)] = 89615,
  [SMALL_STATE(1670)] = 89629,
  [SMALL_STATE(1671)] = 89643,
  [SMALL_STATE(1672)] = 89657,
  [SMALL_STATE(1673)] = 89669,
  [SMALL_STATE(1674)] = 89683,
  [SMALL_STATE(1675)] = 89697,
  [SMALL_STATE(1676)] = 89711,
  [SMALL_STATE(1677)] = 89725,
  [SMALL_STATE(1678)] = 89739,
  [SMALL_STATE(1679)] = 89753,
  [SMALL_STATE(1680)] = 89767,
  [SMALL_STATE(1681)] = 89781,
  [SMALL_STATE(1682)] = 89795,
  [SMALL_STATE(1683)] = 89809,
  [SMALL_STATE(1684)] = 89823,
  [SMALL_STATE(1685)] = 89837,
  [SMALL_STATE(1686)] = 89851,
  [SMALL_STATE(1687)] = 89865,
  [SMALL_STATE(1688)] = 89877,
  [SMALL_STATE(1689)] = 89891,
  [SMALL_STATE(1690)] = 89905,
  [SMALL_STATE(1691)] = 89919,
  [SMALL_STATE(1692)] = 89933,
  [SMALL_STATE(1693)] = 89947,
  [SMALL_STATE(1694)] = 89961,
  [SMALL_STATE(1695)] = 89973,
  [SMALL_STATE(1696)] = 89987,
  [SMALL_STATE(1697)] = 89999,
  [SMALL_STATE(1698)] = 90013,
  [SMALL_STATE(1699)] = 90025,
  [SMALL_STATE(1700)] = 90039,
  [SMALL_STATE(1701)] = 90051,
  [SMALL_STATE(1702)] = 90063,
  [SMALL_STATE(1703)] = 90077,
  [SMALL_STATE(1704)] = 90089,
  [SMALL_STATE(1705)] = 90103,
  [SMALL_STATE(1706)] = 90115,
  [SMALL_STATE(1707)] = 90129,
  [SMALL_STATE(1708)] = 90141,
  [SMALL_STATE(1709)] = 90153,
  [SMALL_STATE(1710)] = 90165,
  [SMALL_STATE(1711)] = 90177,
  [SMALL_STATE(1712)] = 90189,
  [SMALL_STATE(1713)] = 90203,
  [SMALL_STATE(1714)] = 90215,
  [SMALL_STATE(1715)] = 90227,
  [SMALL_STATE(1716)] = 90241,
  [SMALL_STATE(1717)] = 90253,
  [SMALL_STATE(1718)] = 90267,
  [SMALL_STATE(1719)] = 90281,
  [SMALL_STATE(1720)] = 90293,
  [SMALL_STATE(1721)] = 90305,
  [SMALL_STATE(1722)] = 90317,
  [SMALL_STATE(1723)] = 90331,
  [SMALL_STATE(1724)] = 90343,
  [SMALL_STATE(1725)] = 90355,
  [SMALL_STATE(1726)] = 90369,
  [SMALL_STATE(1727)] = 90383,
  [SMALL_STATE(1728)] = 90397,
  [SMALL_STATE(1729)] = 90409,
  [SMALL_STATE(1730)] = 90421,
  [SMALL_STATE(1731)] = 90435,
  [SMALL_STATE(1732)] = 90447,
  [SMALL_STATE(1733)] = 90461,
  [SMALL_STATE(1734)] = 90473,
  [SMALL_STATE(1735)] = 90485,
  [SMALL_STATE(1736)] = 90497,
  [SMALL_STATE(1737)] = 90509,
  [SMALL_STATE(1738)] = 90523,
  [SMALL_STATE(1739)] = 90537,
  [SMALL_STATE(1740)] = 90551,
  [SMALL_STATE(1741)] = 90563,
  [SMALL_STATE(1742)] = 90577,
  [SMALL_STATE(1743)] = 90591,
  [SMALL_STATE(1744)] = 90605,
  [SMALL_STATE(1745)] = 90617,
  [SMALL_STATE(1746)] = 90629,
  [SMALL_STATE(1747)] = 90641,
  [SMALL_STATE(1748)] = 90655,
  [SMALL_STATE(1749)] = 90669,
  [SMALL_STATE(1750)] = 90681,
  [SMALL_STATE(1751)] = 90693,
  [SMALL_STATE(1752)] = 90705,
  [SMALL_STATE(1753)] = 90717,
  [SMALL_STATE(1754)] = 90729,
  [SMALL_STATE(1755)] = 90741,
  [SMALL_STATE(1756)] = 90753,
  [SMALL_STATE(1757)] = 90765,
  [SMALL_STATE(1758)] = 90777,
  [SMALL_STATE(1759)] = 90789,
  [SMALL_STATE(1760)] = 90801,
  [SMALL_STATE(1761)] = 90815,
  [SMALL_STATE(1762)] = 90829,
  [SMALL_STATE(1763)] = 90841,
  [SMALL_STATE(1764)] = 90853,
  [SMALL_STATE(1765)] = 90867,
  [SMALL_STATE(1766)] = 90879,
  [SMALL_STATE(1767)] = 90891,
  [SMALL_STATE(1768)] = 90905,
  [SMALL_STATE(1769)] = 90917,
  [SMALL_STATE(1770)] = 90929,
  [SMALL_STATE(1771)] = 90943,
  [SMALL_STATE(1772)] = 90957,
  [SMALL_STATE(1773)] = 90971,
  [SMALL_STATE(1774)] = 90985,
  [SMALL_STATE(1775)] = 90999,
  [SMALL_STATE(1776)] = 91013,
  [SMALL_STATE(1777)] = 91024,
  [SMALL_STATE(1778)] = 91035,
  [SMALL_STATE(1779)] = 91046,
  [SMALL_STATE(1780)] = 91057,
  [SMALL_STATE(1781)] = 91068,
  [SMALL_STATE(1782)] = 91079,
  [SMALL_STATE(1783)] = 91090,
  [SMALL_STATE(1784)] = 91101,
  [SMALL_STATE(1785)] = 91112,
  [SMALL_STATE(1786)] = 91123,
  [SMALL_STATE(1787)] = 91134,
  [SMALL_STATE(1788)] = 91145,
  [SMALL_STATE(1789)] = 91156,
  [SMALL_STATE(1790)] = 91167,
  [SMALL_STATE(1791)] = 91178,
  [SMALL_STATE(1792)] = 91189,
  [SMALL_STATE(1793)] = 91200,
  [SMALL_STATE(1794)] = 91211,
  [SMALL_STATE(1795)] = 91222,
  [SMALL_STATE(1796)] = 91233,
  [SMALL_STATE(1797)] = 91244,
  [SMALL_STATE(1798)] = 91255,
  [SMALL_STATE(1799)] = 91266,
  [SMALL_STATE(1800)] = 91277,
  [SMALL_STATE(1801)] = 91288,
  [SMALL_STATE(1802)] = 91299,
  [SMALL_STATE(1803)] = 91310,
  [SMALL_STATE(1804)] = 91321,
  [SMALL_STATE(1805)] = 91332,
  [SMALL_STATE(1806)] = 91343,
  [SMALL_STATE(1807)] = 91354,
  [SMALL_STATE(1808)] = 91365,
  [SMALL_STATE(1809)] = 91376,
  [SMALL_STATE(1810)] = 91387,
  [SMALL_STATE(1811)] = 91398,
  [SMALL_STATE(1812)] = 91409,
  [SMALL_STATE(1813)] = 91420,
  [SMALL_STATE(1814)] = 91431,
  [SMALL_STATE(1815)] = 91442,
  [SMALL_STATE(1816)] = 91453,
  [SMALL_STATE(1817)] = 91464,
  [SMALL_STATE(1818)] = 91475,
  [SMALL_STATE(1819)] = 91486,
  [SMALL_STATE(1820)] = 91497,
  [SMALL_STATE(1821)] = 91508,
  [SMALL_STATE(1822)] = 91519,
  [SMALL_STATE(1823)] = 91530,
  [SMALL_STATE(1824)] = 91541,
  [SMALL_STATE(1825)] = 91552,
  [SMALL_STATE(1826)] = 91563,
  [SMALL_STATE(1827)] = 91574,
  [SMALL_STATE(1828)] = 91585,
  [SMALL_STATE(1829)] = 91596,
  [SMALL_STATE(1830)] = 91607,
  [SMALL_STATE(1831)] = 91618,
  [SMALL_STATE(1832)] = 91629,
  [SMALL_STATE(1833)] = 91640,
  [SMALL_STATE(1834)] = 91651,
  [SMALL_STATE(1835)] = 91662,
  [SMALL_STATE(1836)] = 91673,
  [SMALL_STATE(1837)] = 91684,
  [SMALL_STATE(1838)] = 91695,
  [SMALL_STATE(1839)] = 91706,
  [SMALL_STATE(1840)] = 91717,
  [SMALL_STATE(1841)] = 91728,
  [SMALL_STATE(1842)] = 91739,
  [SMALL_STATE(1843)] = 91750,
  [SMALL_STATE(1844)] = 91761,
  [SMALL_STATE(1845)] = 91772,
  [SMALL_STATE(1846)] = 91783,
  [SMALL_STATE(1847)] = 91794,
  [SMALL_STATE(1848)] = 91805,
  [SMALL_STATE(1849)] = 91816,
  [SMALL_STATE(1850)] = 91827,
  [SMALL_STATE(1851)] = 91838,
  [SMALL_STATE(1852)] = 91849,
  [SMALL_STATE(1853)] = 91860,
  [SMALL_STATE(1854)] = 91871,
  [SMALL_STATE(1855)] = 91882,
  [SMALL_STATE(1856)] = 91893,
  [SMALL_STATE(1857)] = 91904,
  [SMALL_STATE(1858)] = 91915,
  [SMALL_STATE(1859)] = 91926,
  [SMALL_STATE(1860)] = 91937,
  [SMALL_STATE(1861)] = 91948,
  [SMALL_STATE(1862)] = 91959,
  [SMALL_STATE(1863)] = 91970,
  [SMALL_STATE(1864)] = 91981,
  [SMALL_STATE(1865)] = 91992,
  [SMALL_STATE(1866)] = 92003,
  [SMALL_STATE(1867)] = 92014,
  [SMALL_STATE(1868)] = 92025,
  [SMALL_STATE(1869)] = 92036,
  [SMALL_STATE(1870)] = 92047,
  [SMALL_STATE(1871)] = 92058,
  [SMALL_STATE(1872)] = 92069,
  [SMALL_STATE(1873)] = 92080,
  [SMALL_STATE(1874)] = 92091,
  [SMALL_STATE(1875)] = 92102,
  [SMALL_STATE(1876)] = 92113,
  [SMALL_STATE(1877)] = 92124,
  [SMALL_STATE(1878)] = 92135,
  [SMALL_STATE(1879)] = 92146,
  [SMALL_STATE(1880)] = 92157,
  [SMALL_STATE(1881)] = 92168,
  [SMALL_STATE(1882)] = 92179,
  [SMALL_STATE(1883)] = 92190,
  [SMALL_STATE(1884)] = 92201,
  [SMALL_STATE(1885)] = 92212,
  [SMALL_STATE(1886)] = 92223,
  [SMALL_STATE(1887)] = 92234,
  [SMALL_STATE(1888)] = 92245,
  [SMALL_STATE(1889)] = 92256,
  [SMALL_STATE(1890)] = 92267,
  [SMALL_STATE(1891)] = 92278,
  [SMALL_STATE(1892)] = 92289,
  [SMALL_STATE(1893)] = 92300,
  [SMALL_STATE(1894)] = 92311,
  [SMALL_STATE(1895)] = 92322,
  [SMALL_STATE(1896)] = 92333,
  [SMALL_STATE(1897)] = 92344,
  [SMALL_STATE(1898)] = 92355,
  [SMALL_STATE(1899)] = 92366,
  [SMALL_STATE(1900)] = 92377,
  [SMALL_STATE(1901)] = 92388,
  [SMALL_STATE(1902)] = 92399,
  [SMALL_STATE(1903)] = 92410,
  [SMALL_STATE(1904)] = 92421,
  [SMALL_STATE(1905)] = 92432,
  [SMALL_STATE(1906)] = 92443,
  [SMALL_STATE(1907)] = 92454,
  [SMALL_STATE(1908)] = 92465,
  [SMALL_STATE(1909)] = 92476,
  [SMALL_STATE(1910)] = 92487,
  [SMALL_STATE(1911)] = 92498,
  [SMALL_STATE(1912)] = 92509,
  [SMALL_STATE(1913)] = 92520,
  [SMALL_STATE(1914)] = 92531,
  [SMALL_STATE(1915)] = 92542,
  [SMALL_STATE(1916)] = 92553,
  [SMALL_STATE(1917)] = 92564,
  [SMALL_STATE(1918)] = 92575,
  [SMALL_STATE(1919)] = 92586,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1636),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(67),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [65] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipeline_echo, 1),
  [67] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipeline_echo, 1),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1),
  [105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2),
  [107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1503),
  [110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(28),
  [113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1656),
  [116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1635),
  [119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1308),
  [122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1636),
  [125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1913),
  [128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(256),
  [131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(411),
  [134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(527),
  [137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1426),
  [140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1638),
  [143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(78),
  [146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(77),
  [149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(333),
  [152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(271),
  [155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(849),
  [158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(855),
  [161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(844),
  [164] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(526),
  [167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1367),
  [170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1911),
  [173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1322),
  [176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(136),
  [179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(71),
  [182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(71),
  [185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(67),
  [188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(64),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1693),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 1),
  [255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 1),
  [257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 1), SHIFT(28),
  [260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 1), SHIFT(1913),
  [263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 1), SHIFT(256),
  [266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 1), SHIFT(411),
  [269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 1), SHIFT(527),
  [272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 1), SHIFT(1730),
  [275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 1), SHIFT(78),
  [278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 1), SHIFT(77),
  [281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 1), SHIFT(333),
  [284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 1), SHIFT(271),
  [287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 1), SHIFT(849),
  [290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 1), SHIFT(855),
  [293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 1), SHIFT(844),
  [296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 1), SHIFT(526),
  [299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 1), SHIFT(1322),
  [302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 1), SHIFT(136),
  [305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 1), SHIFT(71),
  [308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 1), SHIFT(71),
  [311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 1), SHIFT(67),
  [314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 1), SHIFT(64),
  [317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statement_seq, 2),
  [319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statement_seq, 2),
  [321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(28),
  [324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(1913),
  [327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(256),
  [330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(411),
  [333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(527),
  [336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(1730),
  [339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(78),
  [342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(77),
  [345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(333),
  [348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(271),
  [351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(849),
  [354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(855),
  [357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(844),
  [360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(526),
  [363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(1322),
  [366] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(136),
  [369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(71),
  [372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(71),
  [375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(67),
  [378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(64),
  [381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record, 1, .production_id = 1),
  [383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record, 1, .production_id = 1),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_unit, 1),
  [389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression_unit, 1),
  [391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__maybe_function_expression, 1),
  [393] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__maybe_tuple_expression, 1), REDUCE(sym__maybe_record_expression, 1), SHIFT(1684),
  [397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1),
  [399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1),
  [401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(32),
  [404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(1780),
  [407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(269),
  [410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(378),
  [413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(502),
  [416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(1640),
  [419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(480),
  [422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(478),
  [425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(426),
  [428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(266),
  [431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(852),
  [434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(876),
  [437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(841),
  [440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(483),
  [443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(1315),
  [446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(544),
  [449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(195),
  [452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(195),
  [455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(109),
  [458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_seq, 2), SHIFT_REPEAT(194),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_remote_constructor_name, 3, .production_id = 23),
  [507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_remote_constructor_name, 3, .production_id = 23),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__maybe_tuple_expression, 1), REDUCE(sym__maybe_record_expression, 1),
  [516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 4, .production_id = 33),
  [518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 4, .production_id = 33),
  [520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_name, 1),
  [526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_name, 1),
  [528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2),
  [534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2),
  [536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 2, .production_id = 8),
  [538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 2, .production_id = 8),
  [540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3),
  [544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3),
  [546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_integer, 1),
  [548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_integer, 1),
  [550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5),
  [552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 5),
  [554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4),
  [558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4),
  [560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 5, .production_id = 48),
  [562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 5, .production_id = 48),
  [564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3),
  [570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3),
  [572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_integer, 2),
  [574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_integer, 2),
  [576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_access, 3, .production_id = 21),
  [584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_access, 3, .production_id = 21),
  [586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_label, 1),
  [588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_label, 1),
  [590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_access, 3, .production_id = 22),
  [592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_access, 3, .production_id = 22),
  [594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2),
  [596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2),
  [598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__maybe_tuple_expression, 1),
  [600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 4),
  [602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 4),
  [604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 5),
  [606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 5),
  [608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function, 5, .production_id = 43),
  [610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function, 5, .production_id = 43),
  [612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function, 3, .production_id = 13),
  [614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function, 3, .production_id = 13),
  [616] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__maybe_tuple_expression, 1), REDUCE(sym__maybe_record_expression, 1), SHIFT(1651),
  [620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 6),
  [622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 6),
  [624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 3),
  [626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 3),
  [628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_update, 7, .production_id = 74),
  [630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_update, 7, .production_id = 74),
  [632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record, 2, .production_id = 9),
  [634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record, 2, .production_id = 9),
  [636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__maybe_record_expression, 1),
  [638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_panic, 1),
  [640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_panic, 1),
  [642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_todo, 1),
  [646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_todo, 1),
  [648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 6, .production_id = 60),
  [660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 6, .production_id = 60),
  [662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_bit_string, 4),
  [664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression_bit_string, 4),
  [666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1687),
  [678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 7, .production_id = 70),
  [690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 7, .production_id = 70),
  [692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignment, 4, .production_id = 54),
  [698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__assignment, 4, .production_id = 54),
  [700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_bit_string, 5),
  [726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression_bit_string, 5),
  [728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 5),
  [730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 5),
  [732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 5, .production_id = 42),
  [734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 5, .production_id = 42),
  [736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignment, 3, .production_id = 36),
  [738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__assignment, 3, .production_id = 36),
  [740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_panic, 4, .production_id = 15),
  [742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_panic, 4, .production_id = 15),
  [744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_todo, 4, .production_id = 15),
  [750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_todo, 4, .production_id = 15),
  [752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 4),
  [754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 4),
  [756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 20),
  [758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 20),
  [760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_panic, 3, .production_id = 15),
  [766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_panic, 3, .production_id = 15),
  [768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_todo, 3, .production_id = 15),
  [770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_todo, 3, .production_id = 15),
  [772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_bit_string, 3),
  [782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression_bit_string, 3),
  [784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3),
  [786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3),
  [788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_negation, 2),
  [790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_negation, 2),
  [792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 2),
  [794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 2),
  [796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_bit_string, 2),
  [798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression_bit_string, 2),
  [800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_integer, 1), REDUCE(sym_integer, 2),
  [803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_integer, 1), REDUCE(sym_integer, 2),
  [806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_integer_negation, 2),
  [808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_integer_negation, 2),
  [810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_echo, 2),
  [812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_echo, 2),
  [814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert, 2, .production_id = 5),
  [816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert, 2, .production_id = 5),
  [818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement, 1),
  [840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement, 1),
  [842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use, 4, .production_id = 38),
  [846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use, 4, .production_id = 38),
  [848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_assert, 5, .production_id = 53),
  [858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_assert, 5, .production_id = 53),
  [860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use, 3, .production_id = 18),
  [876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use, 3, .production_id = 18),
  [878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, .production_id = 40),
  [884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [894] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__maybe_tuple_expression, 1), REDUCE(sym__maybe_record_expression, 1), SHIFT(1689),
  [898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_update_argument, 2, .production_id = 40),
  [928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8),
  [964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1730),
  [980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [1000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [1002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [1004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [1006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [1008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [1010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [1012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [1014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [1016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [1018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [1020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [1022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [1024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [1026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [1028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [1030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [1032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [1034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [1036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [1038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [1040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [1042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [1044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1712),
  [1046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [1048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [1050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7),
  [1052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [1054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [1056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [1058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [1060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [1062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [1064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [1066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [1068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [1070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [1072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [1074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4),
  [1076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [1078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [1082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [1084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [1086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [1088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [1094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [1096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [1100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [1102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [1106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [1108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [1110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [1112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [1114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [1116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [1118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [1120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [1122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [1124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [1126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [1128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [1130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1718),
  [1132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [1134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [1136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [1138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [1140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [1142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [1144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [1146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [1148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [1150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(34),
  [1152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16),
  [1154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [1156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [1158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [1160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [1162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [1164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [1166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [1170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [1172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [1174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [1176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [1178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [1180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [1182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [1184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [1186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [1188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [1190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [1192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [1194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [1198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [1200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_case_subjects, 3), SHIFT(25),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [1283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [1285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [1287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [1297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [1299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [1301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [1303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [1307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_case_subjects, 2), SHIFT(25),
  [1310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [1312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [1314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [1316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [1318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [1320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [1322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [1324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [1326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [1328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [1330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [1332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [1334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [1336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [1338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [1340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [1342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [1344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [1346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [1348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [1350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [1352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [1354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [1356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [1358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [1360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [1362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [1364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [1366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [1368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [1370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [1372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [1374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [1376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [1378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [1380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [1382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [1386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [1388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [1390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [1392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [1396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [1398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [1400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [1404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [1406] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__maybe_tuple_expression, 1), REDUCE(sym__maybe_record_expression, 1), SHIFT(1685),
  [1410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [1412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [1414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [1416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [1418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [1420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [1422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [1424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [1426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [1428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [1430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [1432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [1434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [1436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [1438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [1440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [1442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [1444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [1446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [1448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [1450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [1452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [1454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [1456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [1458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [1460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [1462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [1464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [1466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [1468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [1470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [1472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [1474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [1476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [1478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [1480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [1482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [1484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [1486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [1488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [1490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [1492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [1494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [1496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [1498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [1500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [1502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [1504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [1506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [1508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [1510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [1514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [1516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [1518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [1520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [1522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [1524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [1526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [1528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [1530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [1532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [1534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [1536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [1538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [1540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [1542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [1544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [1546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [1548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [1550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [1554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [1556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [1558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [1560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [1562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [1564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [1566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [1568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [1570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [1572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [1574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [1576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [1578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [1580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [1582] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__maybe_tuple_expression, 1), REDUCE(sym__maybe_record_expression, 1), SHIFT(1675),
  [1586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [1588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [1590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_record, 1, .production_id = 1),
  [1592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [1594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant_record, 1, .production_id = 1),
  [1596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [1598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [1600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [1602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [1604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [1606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [1608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [1610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [1612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [1614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [1616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [1618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [1620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_list, 3),
  [1622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant_list, 3),
  [1624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_record_arguments, 3),
  [1626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant_record_arguments, 3),
  [1628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_list, 5),
  [1630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant_list, 5),
  [1632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constant_bit_string, 3),
  [1634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constant_bit_string, 3),
  [1636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constant_bit_string, 4),
  [1638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constant_bit_string, 4),
  [1640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_tuple, 5),
  [1642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant_tuple, 5),
  [1644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_list, 4),
  [1646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant_list, 4),
  [1648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_tuple, 4),
  [1650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant_tuple, 4),
  [1652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_record_arguments, 4),
  [1654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant_record_arguments, 4),
  [1656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constant_bit_string, 2),
  [1658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constant_bit_string, 2),
  [1660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_field_access, 3, .production_id = 22),
  [1662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant_field_access, 3, .production_id = 22),
  [1664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_record_arguments, 2),
  [1666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant_record_arguments, 2),
  [1668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_record, 2, .production_id = 9),
  [1670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant_record, 2, .production_id = 9),
  [1672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constant_bit_string, 5),
  [1674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constant_bit_string, 5),
  [1676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_list, 2),
  [1678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant_list, 2),
  [1680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_record_arguments, 5),
  [1682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant_record_arguments, 5),
  [1684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_tuple, 6),
  [1686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant_tuple, 6),
  [1688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 4, .production_id = 72),
  [1690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 4, .production_id = 72),
  [1692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 3, .production_id = 63),
  [1694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 3, .production_id = 63),
  [1696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_tuple, 3),
  [1698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant_tuple, 3),
  [1700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 2),
  [1702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 2),
  [1704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [1706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 1),
  [1708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 1),
  [1710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2),
  [1712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2),
  [1714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1887),
  [1717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_name, 1, .production_id = 1),
  [1719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_name, 1, .production_id = 1),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [1725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__maybe_tuple_expression, 1), REDUCE(sym__maybe_record_expression, 1),
  [1728] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__maybe_tuple_expression, 1), REDUCE(sym__maybe_record_expression, 1), SHIFT(1688),
  [1732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 3, .production_id = 14),
  [1734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 3, .production_id = 14),
  [1736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [1738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_identifier, 1),
  [1740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_identifier, 1),
  [1742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 2, .production_id = 3),
  [1744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 2, .production_id = 3),
  [1746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [1748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1407),
  [1750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 4, .production_id = 39),
  [1752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 4, .production_id = 39),
  [1754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [1756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, .production_id = 1),
  [1758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, .production_id = 1),
  [1760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [1762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [1764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_remote_type_identifier, 3, .production_id = 23),
  [1766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_remote_type_identifier, 3, .production_id = 23),
  [1768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, .production_id = 2),
  [1770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 2, .production_id = 2),
  [1772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [1774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [1776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [1778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [1780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [1782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [1784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [1786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [1788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [1790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [1792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1096),
  [1794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [1796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [1798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constant_value, 1),
  [1800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constant_value, 1),
  [1802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [1804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [1806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unqualified_imports, 4),
  [1808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unqualified_imports, 4),
  [1810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_name, 2, .production_id = 11),
  [1812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_name, 2, .production_id = 11),
  [1814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3),
  [1816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 3),
  [1818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_parameters, 4),
  [1820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_parameters, 4),
  [1822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_assert, 3, .production_id = 17),
  [1824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_assert, 3, .production_id = 17),
  [1826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [1828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 4, .production_id = 25),
  [1830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 4, .production_id = 25),
  [1832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [1834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external_type, 2),
  [1836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external_type, 2),
  [1838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [1840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [1842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unqualified_imports, 2),
  [1844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unqualified_imports, 2),
  [1846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 5),
  [1848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 5),
  [1850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_var, 1),
  [1852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_var, 1),
  [1854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [1856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [1858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 2),
  [1860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 2),
  [1862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unqualified_imports, 3),
  [1864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unqualified_imports, 3),
  [1866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unqualified_imports, 5),
  [1868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unqualified_imports, 5),
  [1870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [1872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_parameters, 2),
  [1874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_parameters, 2),
  [1876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_parameters, 3),
  [1878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_parameters, 3),
  [1880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 5, .production_id = 46),
  [1882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 5, .production_id = 46),
  [1884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [1886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [1888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [1890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [1892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [1894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__maybe_record_expression, 1),
  [1898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__maybe_tuple_expression, 1),
  [1900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 6, .production_id = 67),
  [1902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 6, .production_id = 67),
  [1904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external_type, 3),
  [1906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external_type, 3),
  [1908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [1910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [1912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_parameters, 5),
  [1914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_parameters, 5),
  [1916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4),
  [1918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 4),
  [1920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias, 5),
  [1922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias, 5),
  [1924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_bit_string_segment_options, 3),
  [1926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [1928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [1930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [1932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [1934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [1936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external_function, 8, .production_id = 76),
  [1938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external_function, 8, .production_id = 76),
  [1940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute_arguments, 5),
  [1942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attribute_arguments, 5),
  [1944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 6, .production_id = 61),
  [1946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 6, .production_id = 61),
  [1948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 7, .production_id = 73),
  [1950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 7, .production_id = 73),
  [1952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant, 5, .production_id = 55),
  [1954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant, 5, .production_id = 55),
  [1956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 7),
  [1958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 7),
  [1960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_bit_string_segment_options, 3),
  [1962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [1964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 2, .production_id = 9),
  [1966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 2, .production_id = 9),
  [1968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 4),
  [1970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 4),
  [1972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute_arguments, 4),
  [1974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attribute_arguments, 4),
  [1976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 4, .production_id = 26),
  [1978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 4, .production_id = 26),
  [1980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 4, .production_id = 69),
  [1982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 4, .production_id = 69),
  [1984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_target_group, 4, .production_id = 24),
  [1986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_target_group, 4, .production_id = 24),
  [1988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5),
  [1990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5),
  [1992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external_type, 4),
  [1994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external_type, 4),
  [1996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_bit_string_segment_options, 3),
  [1998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [2000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [2002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [2004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [2006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [2008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias, 6),
  [2010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias, 6),
  [2012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_hole, 1),
  [2014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_hole, 1),
  [2016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 6),
  [2018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 6),
  [2020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5),
  [2022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5),
  [2024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3),
  [2026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3),
  [2028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_target_group, 5, .production_id = 24),
  [2030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_target_group, 5, .production_id = 24),
  [2032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external_function_body, 2),
  [2034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external_function_body, 2),
  [2036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external_function, 9, .production_id = 77),
  [2038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external_function, 9, .production_id = 77),
  [2040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_bit_string_segment_options, 2),
  [2042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [2044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 2),
  [2046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 2),
  [2048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6),
  [2050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6),
  [2052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, .production_id = 59),
  [2054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, .production_id = 59),
  [2056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant, 5, .production_id = 41),
  [2058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant, 5, .production_id = 41),
  [2060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, .production_id = 10),
  [2062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 3, .production_id = 10),
  [2064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3),
  [2066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3),
  [2068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant, 6, .production_id = 66),
  [2070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant, 6, .production_id = 66),
  [2072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_clauses_repeat1, 2),
  [2074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clauses_repeat1, 2), SHIFT_REPEAT(1895),
  [2077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clauses_repeat1, 2), SHIFT_REPEAT(835),
  [2080] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clauses_repeat1, 2), SHIFT_REPEAT(847),
  [2083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_clauses_repeat1, 2), SHIFT_REPEAT(1420),
  [2086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clauses_repeat1, 2), SHIFT_REPEAT(1328),
  [2089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clauses_repeat1, 2), SHIFT_REPEAT(1312),
  [2092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clauses_repeat1, 2), SHIFT_REPEAT(1297),
  [2095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_clauses_repeat1, 2), SHIFT_REPEAT(1297),
  [2098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_clauses_repeat1, 2), SHIFT_REPEAT(1096),
  [2101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_clauses_repeat1, 2), SHIFT_REPEAT(1262),
  [2104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clauses_repeat1, 2), SHIFT_REPEAT(1267),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [2109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4),
  [2111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4),
  [2113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 6, .production_id = 58),
  [2115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 6, .production_id = 58),
  [2117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_bit_string_segment_options, 2),
  [2119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 5),
  [2121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 5),
  [2123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_bit_string_segment_options, 2),
  [2125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let, 2, .production_id = 5),
  [2127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let, 2, .production_id = 5),
  [2129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_discard, 1),
  [2131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_discard, 1),
  [2133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 5, .production_id = 56),
  [2135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 5, .production_id = 56),
  [2137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias, 4),
  [2139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias, 4),
  [2141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant, 4, .production_id = 28),
  [2143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant, 4, .production_id = 28),
  [2145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 4, .production_id = 32),
  [2147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 4, .production_id = 32),
  [2149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clauses, 1),
  [2151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute_arguments, 3),
  [2153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attribute_arguments, 3),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [2157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [2165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [2171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [2183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [2203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [2205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [2207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [2215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [2229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause_patterns, 2),
  [2231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause_patterns, 2),
  [2233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause_pattern, 2, .production_id = 7),
  [2235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause_pattern, 2, .production_id = 7),
  [2237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern_argument, 2, .production_id = 40),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [2245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause_pattern, 3, .production_id = 49),
  [2247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause_pattern, 3, .production_id = 49),
  [2249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause_patterns, 3),
  [2251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause_patterns, 3),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [2255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_assignments, 2),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [2261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_assignments, 3),
  [2263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [2267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [2295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_repeat1, 2),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [2325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_subjects, 1),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [2329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [2331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [2339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2405] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__maybe_tuple_expression, 1), REDUCE(sym__maybe_record_expression, 1), SHIFT(1683),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [2429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_record_argument, 2, .production_id = 40),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [2437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_update_argument, 3, .production_id = 57),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [2447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1, .production_id = 4),
  [2449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 3, .production_id = 57),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [2457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [2459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [2467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [2503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [2505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [2507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [2509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [2511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [2521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [2527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [2529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [2543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [2549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [2579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1419),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [2599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__constant_value, 1), REDUCE(sym__case_clause_guard_unit, 1),
  [2602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__constant_value, 1), REDUCE(sym__case_clause_guard_unit, 1),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [2619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__case_clause_guard_binary_expression, 3, .production_id = 20),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [2623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__case_clause_guard_binary_expression, 3, .production_id = 20),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [2627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__case_clause_guard_expression, 1, .production_id = 6),
  [2629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__case_clause_guard_expression, 1, .production_id = 6),
  [2631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__case_clause_guard_unit, 1, .production_id = 62),
  [2633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__case_clause_guard_unit, 1, .production_id = 62),
  [2635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__case_clause_guard_unit, 3),
  [2637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__case_clause_guard_unit, 3),
  [2639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [2645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [2651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__case_clause_tuple_access, 3, .production_id = 21),
  [2653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__case_clause_tuple_access, 3, .production_id = 21),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [2659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [2661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [2663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause_guard, 2),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [2671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [2681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_target_group_repeat1, 2),
  [2683] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_target_group_repeat1, 2), SHIFT_REPEAT(1682),
  [2686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_target_group_repeat1, 2), SHIFT_REPEAT(1681),
  [2689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_target_group_repeat1, 2), SHIFT_REPEAT(1319),
  [2692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_target_group_repeat1, 2), SHIFT_REPEAT(1770),
  [2695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_target_group_repeat1, 2), SHIFT_REPEAT(1697),
  [2698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_target_group_repeat1, 2), SHIFT_REPEAT(1678),
  [2701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_target_group_repeat1, 2), SHIFT_REPEAT(1360),
  [2704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_target_group_repeat1, 2), SHIFT_REPEAT(1880),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [2731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [2735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [2745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [2759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [2763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [2769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [2781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 1, .production_id = 1),
  [2783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [2787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [2789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [2793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [2797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [2799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [2801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1466),
  [2803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [2807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [2819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 6, .production_id = 51),
  [2821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 6, .production_id = 64),
  [2823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 5, .production_id = 34),
  [2825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern_expression, 1, .production_id = 6),
  [2827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 5, .production_id = 64),
  [2829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern_arguments, 2),
  [2831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 5, .production_id = 50),
  [2833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern_binary_expression, 3, .production_id = 20),
  [2835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 2, .production_id = 9),
  [2837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern_bit_string, 3),
  [2839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 3),
  [2841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 5, .production_id = 51),
  [2843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern_bit_string, 5),
  [2845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1874),
  [2848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 3),
  [2850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 4, .production_id = 34),
  [2852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern_arguments, 3),
  [2854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 4, .production_id = 50),
  [2856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern_bit_string, 2),
  [2858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 4, .production_id = 51),
  [2860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [2862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern_arguments, 5),
  [2864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [2866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern_arguments, 4),
  [2868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 2),
  [2870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 3, .production_id = 34),
  [2872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern_bit_string, 4),
  [2874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern_arguments, 6),
  [2876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [2880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern, 3, .production_id = 35),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [2884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [2886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [2888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [2894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [2898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [2900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [2902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [2904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [2906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [2908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [2912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [2924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern_expression, 1),
  [2926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1688),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [2930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern, 1),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [2934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [2942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [2950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1743),
  [2952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [2954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [2958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_clause_pattern_repeat1, 2, .production_id = 34),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [2966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [2970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [2972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [2974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [2976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [2980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [2982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [2984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [2986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [2988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [2990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [2992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [2994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [2996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [3000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2),
  [3002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(1412),
  [3005] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(1326),
  [3008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [3010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [3012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [3014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [3016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [3018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [3020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [3024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [3032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [3040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern_tail, 1),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [3044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [3046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause_pattern, 2, .production_id = 49),
  [3048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [3054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_clause_pattern_repeat1, 2, .production_id = 49),
  [3056] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clause_pattern_repeat1, 2, .production_id = 49), SHIFT_REPEAT(905),
  [3059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_repeat1, 2), SHIFT_REPEAT(384),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [3072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_constructors, 1),
  [3074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_data_constructors_repeat1, 2),
  [3076] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_data_constructors_repeat1, 2), SHIFT_REPEAT(194),
  [3079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause_pattern, 1, .production_id = 7),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [3083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [3089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [3099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_type, 1, .production_id = 1),
  [3101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clause_pattern_repeat1, 2, .production_id = 49), SHIFT_REPEAT(883),
  [3104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [3108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_annotation, 2, .production_id = 27),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [3112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_update_arguments, 3),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [3116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [3118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [3120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [3122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [3124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [3128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(42),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [3132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pattern_bit_string_segment_options_repeat1, 2),
  [3134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pattern_bit_string_segment_options_repeat1, 2), SHIFT_REPEAT(833),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [3143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [3147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause_patterns, 1),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [3151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_update_arguments, 2),
  [3153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constant_bit_string_segment_options_repeat1, 2),
  [3155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_constant_bit_string_segment_options_repeat1, 2), SHIFT_REPEAT(840),
  [3158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_parameter, 1, .production_id = 12),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [3164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [3166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_bit_string_segment_options_repeat1, 2),
  [3168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_bit_string_segment_options_repeat1, 2), SHIFT_REPEAT(834),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [3173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [3175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_constructor, 1, .production_id = 1),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [3179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_pattern_arguments_repeat1, 2), SHIFT_REPEAT(851),
  [3182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_pattern_arguments_repeat1, 2),
  [3184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_parameter, 1, .production_id = 12),
  [3186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [3188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_bit_string_segment_options, 1),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [3192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape_sequence, 1),
  [3194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_parameter, 1, .production_id = 31),
  [3196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_constant_tuple_repeat1, 2), SHIFT_REPEAT(1057),
  [3199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constant_tuple_repeat1, 2),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [3203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [3207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [3211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [3213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_bit_string_segment_options, 1),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [3217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_bit_string_segment_options, 1),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [3221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_clause_patterns_repeat1, 2),
  [3223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clause_patterns_repeat1, 2), SHIFT_REPEAT(857),
  [3226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [3228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [3230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [3232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [3234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [3236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_assignment, 1, .production_id = 7),
  [3238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [3240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_bit_string_segment_option_size, 4),
  [3242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [3244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [3246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [3248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [3250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [3252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_assignments, 1),
  [3254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [3256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [3258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [3260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [3262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [3264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__bit_string_segment_option, 1),
  [3266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [3268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [3270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [3272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [3274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [3276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [3278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [3280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [3282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [3284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [3286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [3288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [3290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [3292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [3294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [3296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__expression_bit_string_repeat1, 2), SHIFT_REPEAT(479),
  [3299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__expression_bit_string_repeat1, 2),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [3331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_constant_record_arguments_repeat1, 2), SHIFT_REPEAT(949),
  [3334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constant_record_arguments_repeat1, 2),
  [3336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [3338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [3340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [3342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [3344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [3346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [3348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [3350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_data_constructor_arguments_repeat1, 2), SHIFT_REPEAT(1113),
  [3353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_data_constructor_arguments_repeat1, 2),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [3401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2), SHIFT_REPEAT(1144),
  [3404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2),
  [3406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [3408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2), SHIFT_REPEAT(1726),
  [3411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [3419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_tuple_type, 3),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [3423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern_argument, 1, .production_id = 37),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [3435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_assignments_repeat1, 2), SHIFT_REPEAT(858),
  [3438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_use_assignments_repeat1, 2),
  [3440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [3442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [3444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [3446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [3448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [3450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [3452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [3454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [3456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [3458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [3460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [3462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [3464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [3466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2), SHIFT_REPEAT(1132),
  [3469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2),
  [3471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_tuple_type, 5),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [3477] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_constant_tuple_type_repeat1, 2), SHIFT_REPEAT(1222),
  [3480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constant_tuple_type_repeat1, 2),
  [3482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [3486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [3488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_type_arguments, 4),
  [3490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [3492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [3494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_constant_type_arguments_repeat1, 2), SHIFT_REPEAT(1147),
  [3497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constant_type_arguments_repeat1, 2),
  [3499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [3503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern_bit_string_segment_option_size, 4),
  [3505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_external_function_parameters_repeat1, 2), SHIFT_REPEAT(1130),
  [3508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_external_function_parameters_repeat1, 2),
  [3510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__pattern_bit_string_repeat1, 2), SHIFT_REPEAT(879),
  [3513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__pattern_bit_string_repeat1, 2),
  [3515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__bit_string_segment_option, 4),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [3519] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_update_arguments_repeat1, 2), SHIFT_REPEAT(1539),
  [3522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_update_arguments_repeat1, 2),
  [3524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [3526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [3528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [3530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_type_arguments, 3),
  [3532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_tuple_type, 6),
  [3534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_type_arguments, 5),
  [3536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_function_type, 4, .production_id = 69),
  [3538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [3540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [3542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_tuple_type, 4),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [3546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constant_bit_string_segment_option_size, 4),
  [3548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [3550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [3552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [3554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [3556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [3558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [3560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [3562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [3564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [3566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [3568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [3570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [3572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [3574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [3576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [3578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [3580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [3582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [3586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [3588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_bit_string_segment, 1, .production_id = 4),
  [3590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [3592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [3594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unqualified_import, 2, .production_id = 2),
  [3596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [3600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [3602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_bit_string_segment, 1, .production_id = 16),
  [3604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [3606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unqualified_imports_repeat1, 2),
  [3608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unqualified_imports_repeat1, 2), SHIFT_REPEAT(1309),
  [3611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_bit_string_segment, 1, .production_id = 4),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [3617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_type_arguments, 2),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [3639] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constant_bit_string_repeat1, 2), SHIFT_REPEAT(1006),
  [3642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__constant_bit_string_repeat1, 2),
  [3644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [3648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [3650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [3652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attribute_arguments_repeat1, 2), SHIFT_REPEAT(957),
  [3655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__attribute_arguments_repeat1, 2),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [3661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_function_type, 3, .production_id = 59),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [3665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__labeled_discard_param, 2, .production_id = 45),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [3673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__labeled_name_param, 2, .production_id = 45),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [3679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern_argument, 3, .production_id = 65),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [3685] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_anonymous_function_parameters_repeat1, 2), SHIFT_REPEAT(1304),
  [3688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_anonymous_function_parameters_repeat1, 2),
  [3690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [3694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [3696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [3698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [3700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__name_param, 1, .production_id = 1),
  [3702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [3706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_parameters_repeat1, 2), SHIFT_REPEAT(1257),
  [3709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_parameters_repeat1, 2),
  [3711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unqualified_import, 1, .production_id = 1),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [3717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__discard_param, 1, .production_id = 1),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [3725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [3729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [3735] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_repeat1, 2), SHIFT_REPEAT(353),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [3740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_update_arguments, 1),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [3754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_type, 2, .production_id = 9),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [3762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_subjects, 2),
  [3764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [3766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [3768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [3770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [3774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [3776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(193),
  [3779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2),
  [3781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_record_argument, 1, .production_id = 4),
  [3783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_value, 1),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [3819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_parameters, 2),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [3823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [3831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_assignment, 2, .production_id = 19),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [3841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hole, 1),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [3845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_constructor_arguments, 5),
  [3847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_parameters, 4),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [3851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_constructor_argument, 3, .production_id = 57),
  [3853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_constructor_arguments, 4),
  [3855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unqualified_import, 4, .production_id = 75),
  [3857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 1),
  [3859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_record_argument, 3, .production_id = 57),
  [3861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_bit_string_segment, 3, .production_id = 29),
  [3863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external_function_parameter, 3, .production_id = 71),
  [3865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_parameter, 2, .production_id = 30),
  [3867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_constructor_arguments, 3),
  [3869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unqualified_import, 3, .production_id = 68),
  [3871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_bit_string_segment, 3, .production_id = 29),
  [3873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_parameters, 3),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [3879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_spread, 1),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [3885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_constructor, 2, .production_id = 9),
  [3887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_parameters, 5),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [3893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_type_argument, 1),
  [3895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_argument, 1),
  [3897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_parameter, 2, .production_id = 44),
  [3899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_parameter, 2, .production_id = 30),
  [3901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_constructor_argument, 1, .production_id = 4),
  [3903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external_function_parameter, 1, .production_id = 47),
  [3905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_constructor_arguments, 2),
  [3907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_value, 3, .production_id = 57),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [3911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_bit_string_segment, 3, .production_id = 52),
  [3913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_spread, 2),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [3943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external_function_parameters, 2),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [3947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [3957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_parameter_types, 2),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [3965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_function_parameter_types, 2),
  [3967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external_function_parameters, 3),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [3977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [3981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [3985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern_tail, 2),
  [3987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [3989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [3993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [3997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [3999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [4001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [4005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [4007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_parameter_types, 3),
  [4009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [4011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_function_parameter_types, 3),
  [4013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external_function_parameters, 4),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [4019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [4023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constant_type_annotation, 2, .production_id = 27),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [4027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [4029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [4031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [4039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [4051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [4055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_parameter_types, 4),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [4059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_function_parameter_types, 4),
  [4061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [4063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external_function_parameters, 5),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [4067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [4071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [4073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [4075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_parameter_types, 5),
  [4077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_function_parameter_types, 5),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [4081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [4087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [4089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [4091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [4139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [4151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [4161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_target, 1),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [4165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [4169] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [4189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_gleam_external_scanner_create(void);
void tree_sitter_gleam_external_scanner_destroy(void *);
bool tree_sitter_gleam_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_gleam_external_scanner_serialize(void *, char *);
void tree_sitter_gleam_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_gleam(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_gleam_external_scanner_create,
      tree_sitter_gleam_external_scanner_destroy,
      tree_sitter_gleam_external_scanner_scan,
      tree_sitter_gleam_external_scanner_serialize,
      tree_sitter_gleam_external_scanner_deserialize,
    },
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
