#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2150
#define LARGE_STATE_COUNT 379
#define SYMBOL_COUNT 395
#define ALIAS_COUNT 0
#define TOKEN_COUNT 214
#define EXTERNAL_TOKEN_COUNT 1
#define FIELD_COUNT 14
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 27

enum ts_symbol_identifiers {
  sym_comment = 1,
  sym_decimal_integer_literal = 2,
  sym_hexadecimal_integer_literal = 3,
  sym_real_literal = 4,
  aux_sym_expandable_string_literal_token1 = 5,
  aux_sym_expandable_string_literal_token2 = 6,
  aux_sym_expandable_string_literal_token3 = 7,
  aux_sym_expandable_string_literal_token4 = 8,
  anon_sym_DQUOTE_DQUOTE = 9,
  anon_sym_DOLLAR = 10,
  aux_sym_expandable_string_literal_token5 = 11,
  aux_sym_expandable_here_string_literal_token1 = 12,
  aux_sym_expandable_here_string_literal_token2 = 13,
  aux_sym_expandable_here_string_literal_token3 = 14,
  aux_sym_expandable_here_string_literal_token4 = 15,
  aux_sym_expandable_here_string_literal_token5 = 16,
  sym_verbatim_string_characters = 17,
  sym_verbatim_here_string_characters = 18,
  sym_simple_name = 19,
  sym_type_identifier = 20,
  anon_sym_DOT = 21,
  anon_sym_LBRACK = 22,
  anon_sym_EQ = 23,
  anon_sym_BANG_EQ = 24,
  anon_sym_PLUS_EQ = 25,
  anon_sym_STAR_EQ = 26,
  anon_sym_SLASH_EQ = 27,
  anon_sym_PERCENT_EQ = 28,
  anon_sym_GT = 29,
  anon_sym_GT_GT = 30,
  anon_sym_2_GT = 31,
  anon_sym_2_GT_GT = 32,
  anon_sym_3_GT = 33,
  anon_sym_3_GT_GT = 34,
  anon_sym_4_GT = 35,
  anon_sym_4_GT_GT = 36,
  anon_sym_5_GT = 37,
  anon_sym_5_GT_GT = 38,
  anon_sym_6_GT = 39,
  anon_sym_6_GT_GT = 40,
  anon_sym_STAR_GT = 41,
  anon_sym_STAR_GT_GT = 42,
  anon_sym_LT = 43,
  anon_sym_STAR_GT_AMP1 = 44,
  anon_sym_2_GT_AMP1 = 45,
  anon_sym_3_GT_AMP1 = 46,
  anon_sym_4_GT_AMP1 = 47,
  anon_sym_5_GT_AMP1 = 48,
  anon_sym_6_GT_AMP1 = 49,
  anon_sym_STAR_GT_AMP2 = 50,
  anon_sym_1_GT_AMP2 = 51,
  anon_sym_3_GT_AMP2 = 52,
  anon_sym_4_GT_AMP2 = 53,
  anon_sym_5_GT_AMP2 = 54,
  anon_sym_6_GT_AMP2 = 55,
  aux_sym_comparison_operator_token1 = 56,
  aux_sym_comparison_operator_token2 = 57,
  aux_sym_comparison_operator_token3 = 58,
  aux_sym_comparison_operator_token4 = 59,
  aux_sym_comparison_operator_token5 = 60,
  aux_sym_comparison_operator_token6 = 61,
  aux_sym_comparison_operator_token7 = 62,
  aux_sym_comparison_operator_token8 = 63,
  aux_sym_comparison_operator_token9 = 64,
  aux_sym_comparison_operator_token10 = 65,
  aux_sym_comparison_operator_token11 = 66,
  aux_sym_comparison_operator_token12 = 67,
  aux_sym_comparison_operator_token13 = 68,
  aux_sym_comparison_operator_token14 = 69,
  aux_sym_comparison_operator_token15 = 70,
  aux_sym_comparison_operator_token16 = 71,
  aux_sym_comparison_operator_token17 = 72,
  aux_sym_comparison_operator_token18 = 73,
  aux_sym_comparison_operator_token19 = 74,
  aux_sym_comparison_operator_token20 = 75,
  aux_sym_comparison_operator_token21 = 76,
  aux_sym_comparison_operator_token22 = 77,
  aux_sym_comparison_operator_token23 = 78,
  aux_sym_comparison_operator_token24 = 79,
  aux_sym_comparison_operator_token25 = 80,
  aux_sym_comparison_operator_token26 = 81,
  aux_sym_comparison_operator_token27 = 82,
  aux_sym_comparison_operator_token28 = 83,
  aux_sym_comparison_operator_token29 = 84,
  aux_sym_comparison_operator_token30 = 85,
  aux_sym_comparison_operator_token31 = 86,
  aux_sym_comparison_operator_token32 = 87,
  aux_sym_comparison_operator_token33 = 88,
  aux_sym_comparison_operator_token34 = 89,
  aux_sym_comparison_operator_token35 = 90,
  aux_sym_comparison_operator_token36 = 91,
  aux_sym_comparison_operator_token37 = 92,
  aux_sym_comparison_operator_token38 = 93,
  aux_sym_comparison_operator_token39 = 94,
  aux_sym_comparison_operator_token40 = 95,
  aux_sym_comparison_operator_token41 = 96,
  aux_sym_comparison_operator_token42 = 97,
  aux_sym_comparison_operator_token43 = 98,
  aux_sym_comparison_operator_token44 = 99,
  aux_sym_comparison_operator_token45 = 100,
  aux_sym_comparison_operator_token46 = 101,
  aux_sym_comparison_operator_token47 = 102,
  aux_sym_comparison_operator_token48 = 103,
  aux_sym_comparison_operator_token49 = 104,
  aux_sym_comparison_operator_token50 = 105,
  aux_sym_format_operator_token1 = 106,
  anon_sym_DOLLAR_DOLLAR = 107,
  anon_sym_DOLLAR_CARET = 108,
  anon_sym_DOLLAR_QMARK = 109,
  anon_sym_DOLLAR_ = 110,
  aux_sym_variable_token1 = 111,
  aux_sym_variable_token2 = 112,
  sym_braced_variable = 113,
  sym_generic_token = 114,
  sym__command_token = 115,
  sym_command_parameter = 116,
  aux_sym__verbatim_command_argument_chars_token1 = 117,
  aux_sym__verbatim_command_argument_chars_token2 = 118,
  aux_sym__verbatim_command_argument_chars_token3 = 119,
  anon_sym_SEMI = 120,
  aux_sym_param_block_token1 = 121,
  anon_sym_LPAREN = 122,
  anon_sym_RPAREN = 123,
  anon_sym_COMMA = 124,
  aux_sym_block_name_token1 = 125,
  aux_sym_block_name_token2 = 126,
  aux_sym_block_name_token3 = 127,
  aux_sym_block_name_token4 = 128,
  anon_sym_LBRACE = 129,
  anon_sym_RBRACE = 130,
  aux_sym_if_statement_token1 = 131,
  aux_sym_elseif_clause_token1 = 132,
  aux_sym_else_clause_token1 = 133,
  aux_sym_switch_statement_token1 = 134,
  aux_sym_switch_parameter_token1 = 135,
  aux_sym_switch_parameter_token2 = 136,
  aux_sym_switch_parameter_token3 = 137,
  aux_sym_switch_parameter_token4 = 138,
  aux_sym_switch_parameter_token5 = 139,
  aux_sym_switch_condition_token1 = 140,
  aux_sym_foreach_statement_token1 = 141,
  aux_sym_foreach_statement_token2 = 142,
  aux_sym_for_statement_token1 = 143,
  anon_sym_LF = 144,
  aux_sym_while_statement_token1 = 145,
  aux_sym_do_statement_token1 = 146,
  aux_sym_do_statement_token2 = 147,
  aux_sym_function_statement_token1 = 148,
  aux_sym_function_statement_token2 = 149,
  aux_sym_function_statement_token3 = 150,
  aux_sym_flow_control_statement_token1 = 151,
  aux_sym_flow_control_statement_token2 = 152,
  aux_sym_flow_control_statement_token3 = 153,
  aux_sym_flow_control_statement_token4 = 154,
  aux_sym_flow_control_statement_token5 = 155,
  sym_label = 156,
  aux_sym_trap_statement_token1 = 157,
  aux_sym_try_statement_token1 = 158,
  aux_sym_catch_clause_token1 = 159,
  aux_sym_finally_clause_token1 = 160,
  aux_sym_data_statement_token1 = 161,
  aux_sym_data_commands_allowed_token1 = 162,
  aux_sym_inlinescript_statement_token1 = 163,
  aux_sym_parallel_statement_token1 = 164,
  aux_sym_sequence_statement_token1 = 165,
  anon_sym_PIPE = 166,
  anon_sym_AMP = 167,
  aux_sym__expandable_string_literal_immediate_token1 = 168,
  aux_sym__expandable_string_literal_immediate_token2 = 169,
  aux_sym__expandable_string_literal_immediate_token3 = 170,
  anon_sym_DQUOTE_DQUOTE2 = 171,
  anon_sym_DOLLAR2 = 172,
  anon_sym_DQUOTE = 173,
  aux_sym_command_name_token1 = 174,
  aux_sym_command_name_token2 = 175,
  anon_sym_DQUOTE2 = 176,
  anon_sym_SQUOTE_SQUOTE = 177,
  sym_path_command_name_token = 178,
  sym_stop_parsing = 179,
  anon_sym_SPACE = 180,
  anon_sym_COLON = 181,
  anon_sym_PERCENT = 182,
  aux_sym_foreach_command_token1 = 183,
  anon_sym_DASH_DASH_PERCENT = 184,
  aux_sym_class_attribute_token1 = 185,
  aux_sym_class_attribute_token2 = 186,
  aux_sym_class_statement_token1 = 187,
  aux_sym_enum_statement_token1 = 188,
  aux_sym_logical_expression_token1 = 189,
  aux_sym_logical_expression_token2 = 190,
  aux_sym_logical_expression_token3 = 191,
  aux_sym_bitwise_expression_token1 = 192,
  aux_sym_bitwise_expression_token2 = 193,
  aux_sym_bitwise_expression_token3 = 194,
  anon_sym_PLUS = 195,
  anon_sym_DASH = 196,
  anon_sym_SLASH = 197,
  anon_sym_BSLASH = 198,
  anon_sym_STAR = 199,
  anon_sym_DOT_DOT = 200,
  aux_sym_expression_with_unary_operator_token1 = 201,
  anon_sym_BANG = 202,
  aux_sym_expression_with_unary_operator_token2 = 203,
  anon_sym_PLUS_PLUS = 204,
  anon_sym_DASH_DASH = 205,
  anon_sym_DOLLAR_LPAREN = 206,
  anon_sym_AT_LPAREN = 207,
  anon_sym_AT_LBRACE = 208,
  anon_sym_DOT2 = 209,
  anon_sym_COLON_COLON = 210,
  anon_sym_RBRACK = 211,
  aux_sym_invokation_foreach_expression_token1 = 212,
  sym__statement_terminator = 213,
  sym_program = 214,
  sym__literal = 215,
  sym_integer_literal = 216,
  sym_string_literal = 217,
  sym_expandable_string_literal = 218,
  sym_expandable_here_string_literal = 219,
  sym_type_name = 220,
  sym_array_type_name = 221,
  sym_generic_type_name = 222,
  sym_assignement_operator = 223,
  sym_file_redirection_operator = 224,
  sym_merging_redirection_operator = 225,
  sym_comparison_operator = 226,
  sym_format_operator = 227,
  sym_variable = 228,
  aux_sym__verbatim_command_argument_chars = 229,
  sym_script_block = 230,
  sym_param_block = 231,
  sym_parameter_list = 232,
  sym_script_parameter = 233,
  sym_script_parameter_default = 234,
  sym_script_block_body = 235,
  sym_named_block_list = 236,
  sym_named_block = 237,
  sym_block_name = 238,
  sym_statement_block = 239,
  sym_statement_list = 240,
  sym__statement = 241,
  sym_empty_statement = 242,
  sym_if_statement = 243,
  sym_elseif_clauses = 244,
  sym_elseif_clause = 245,
  sym_else_clause = 246,
  sym__labeled_statement = 247,
  sym_switch_statement = 248,
  sym_switch_parameters = 249,
  sym_switch_parameter = 250,
  sym_switch_condition = 251,
  sym_switch_filename = 252,
  sym_switch_body = 253,
  sym_switch_clauses = 254,
  sym_switch_clause = 255,
  sym_switch_clause_condition = 256,
  sym_foreach_statement = 257,
  sym_foreach_parameter = 258,
  sym_for_statement = 259,
  sym_for_initializer = 260,
  sym_for_condition = 261,
  sym_for_iterator = 262,
  sym_while_statement = 263,
  sym_while_condition = 264,
  sym_do_statement = 265,
  sym_function_statement = 266,
  sym_function_name = 267,
  sym_function_parameter_declaration = 268,
  sym_flow_control_statement = 269,
  sym_label_expression = 270,
  sym_trap_statement = 271,
  sym_try_statement = 272,
  sym_catch_clauses = 273,
  sym_catch_clause = 274,
  sym_catch_type_list = 275,
  sym_finally_clause = 276,
  sym_data_statement = 277,
  sym_data_name = 278,
  sym_data_commands_allowed = 279,
  sym_data_commands_list = 280,
  sym_data_command = 281,
  sym_inlinescript_statement = 282,
  sym_parallel_statement = 283,
  sym_sequence_statement = 284,
  sym_pipeline = 285,
  sym_left_assignment_expression = 286,
  sym_assignment_expression = 287,
  aux_sym__pipeline_tail = 288,
  sym_command = 289,
  sym_command_invokation_operator = 290,
  sym__expandable_string_literal_immediate = 291,
  sym_command_name = 292,
  sym_path_command_name = 293,
  sym_command_name_expr = 294,
  sym_command_elements = 295,
  sym__command_element = 296,
  sym_command_argument_sep = 297,
  sym__command_argument = 298,
  sym_foreach_command = 299,
  sym_verbatim_command_argument = 300,
  sym_redirections = 301,
  sym_redirection = 302,
  sym_redirected_file_name = 303,
  sym_class_attribute = 304,
  sym_class_property_definition = 305,
  sym_class_method_parameter = 306,
  sym_class_method_parameter_list = 307,
  sym_class_method_definition = 308,
  sym_class_statement = 309,
  sym_enum_statement = 310,
  sym_enum_member = 311,
  sym__expression = 312,
  sym_logical_expression = 313,
  sym_bitwise_expression = 314,
  sym_comparison_expression = 315,
  sym_additive_expression = 316,
  sym_multiplicative_expression = 317,
  sym_format_expression = 318,
  sym_range_expression = 319,
  sym_array_literal_expression = 320,
  sym_unary_expression = 321,
  sym_expression_with_unary_operator = 322,
  sym_pre_increment_expression = 323,
  sym_pre_decrement_expression = 324,
  sym_cast_expression = 325,
  sym__primary_expression = 326,
  sym__value = 327,
  sym_parenthesized_expression = 328,
  sym_sub_expression = 329,
  sym_array_expression = 330,
  sym_script_block_expression = 331,
  sym_hash_literal_expression = 332,
  sym_hash_literal_body = 333,
  sym_hash_entry = 334,
  sym_key_expression = 335,
  sym_post_increment_expression = 336,
  sym_post_decrement_expression = 337,
  sym_member_access = 338,
  sym_member_name = 339,
  sym_element_access = 340,
  sym_invokation_expression = 341,
  sym_invokation_foreach_expression = 342,
  sym_argument_list = 343,
  sym_argument_expression_list = 344,
  sym_argument_expression = 345,
  sym_logical_argument_expression = 346,
  sym_bitwise_argument_expression = 347,
  sym_comparison_argument_expression = 348,
  sym_additive_argument_expression = 349,
  sym_multiplicative_argument_expression = 350,
  sym_format_argument_expression = 351,
  sym_range_argument_expression = 352,
  sym_type_literal = 353,
  sym_type_spec = 354,
  sym_dimension = 355,
  sym_generic_type_arguments = 356,
  sym_attribute_list = 357,
  sym_attribute = 358,
  sym_attribute_name = 359,
  sym_attribute_arguments = 360,
  sym_attribute_argument = 361,
  aux_sym_expandable_string_literal_repeat1 = 362,
  aux_sym_expandable_string_literal_repeat2 = 363,
  aux_sym_expandable_here_string_literal_repeat1 = 364,
  aux_sym_script_block_repeat1 = 365,
  aux_sym_parameter_list_repeat1 = 366,
  aux_sym_named_block_list_repeat1 = 367,
  aux_sym_statement_list_repeat1 = 368,
  aux_sym_elseif_clauses_repeat1 = 369,
  aux_sym_switch_parameters_repeat1 = 370,
  aux_sym_switch_clauses_repeat1 = 371,
  aux_sym_catch_clauses_repeat1 = 372,
  aux_sym_catch_type_list_repeat1 = 373,
  aux_sym_data_commands_list_repeat1 = 374,
  aux_sym__expandable_string_literal_immediate_repeat1 = 375,
  aux_sym__expandable_string_literal_immediate_repeat2 = 376,
  aux_sym_command_name_repeat1 = 377,
  aux_sym_path_command_name_repeat1 = 378,
  aux_sym_command_elements_repeat1 = 379,
  aux_sym_command_argument_sep_repeat1 = 380,
  aux_sym_foreach_command_repeat1 = 381,
  aux_sym_redirections_repeat1 = 382,
  aux_sym_class_property_definition_repeat1 = 383,
  aux_sym_class_method_parameter_list_repeat1 = 384,
  aux_sym_class_statement_repeat1 = 385,
  aux_sym_class_statement_repeat2 = 386,
  aux_sym_enum_statement_repeat1 = 387,
  aux_sym_array_literal_expression_repeat1 = 388,
  aux_sym_hash_literal_body_repeat1 = 389,
  aux_sym_argument_expression_list_repeat1 = 390,
  aux_sym_dimension_repeat1 = 391,
  aux_sym_generic_type_arguments_repeat1 = 392,
  aux_sym_attribute_list_repeat1 = 393,
  aux_sym_attribute_arguments_repeat1 = 394,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_comment] = "comment",
  [sym_decimal_integer_literal] = "decimal_integer_literal",
  [sym_hexadecimal_integer_literal] = "hexadecimal_integer_literal",
  [sym_real_literal] = "real_literal",
  [aux_sym_expandable_string_literal_token1] = "expandable_string_literal_token1",
  [aux_sym_expandable_string_literal_token2] = "expandable_string_literal_token2",
  [aux_sym_expandable_string_literal_token3] = "expandable_string_literal_token3",
  [aux_sym_expandable_string_literal_token4] = "expandable_string_literal_token4",
  [anon_sym_DQUOTE_DQUOTE] = "\"\"",
  [anon_sym_DOLLAR] = "$",
  [aux_sym_expandable_string_literal_token5] = "expandable_string_literal_token5",
  [aux_sym_expandable_here_string_literal_token1] = "expandable_here_string_literal_token1",
  [aux_sym_expandable_here_string_literal_token2] = "expandable_here_string_literal_token2",
  [aux_sym_expandable_here_string_literal_token3] = "expandable_here_string_literal_token3",
  [aux_sym_expandable_here_string_literal_token4] = "expandable_here_string_literal_token4",
  [aux_sym_expandable_here_string_literal_token5] = "expandable_here_string_literal_token5",
  [sym_verbatim_string_characters] = "verbatim_string_characters",
  [sym_verbatim_here_string_characters] = "verbatim_here_string_characters",
  [sym_simple_name] = "simple_name",
  [sym_type_identifier] = "type_identifier",
  [anon_sym_DOT] = ".",
  [anon_sym_LBRACK] = "[",
  [anon_sym_EQ] = "=",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_2_GT] = "2>",
  [anon_sym_2_GT_GT] = "2>>",
  [anon_sym_3_GT] = "3>",
  [anon_sym_3_GT_GT] = "3>>",
  [anon_sym_4_GT] = "4>",
  [anon_sym_4_GT_GT] = "4>>",
  [anon_sym_5_GT] = "5>",
  [anon_sym_5_GT_GT] = "5>>",
  [anon_sym_6_GT] = "6>",
  [anon_sym_6_GT_GT] = "6>>",
  [anon_sym_STAR_GT] = "*>",
  [anon_sym_STAR_GT_GT] = "*>>",
  [anon_sym_LT] = "<",
  [anon_sym_STAR_GT_AMP1] = "*>&1",
  [anon_sym_2_GT_AMP1] = "2>&1",
  [anon_sym_3_GT_AMP1] = "3>&1",
  [anon_sym_4_GT_AMP1] = "4>&1",
  [anon_sym_5_GT_AMP1] = "5>&1",
  [anon_sym_6_GT_AMP1] = "6>&1",
  [anon_sym_STAR_GT_AMP2] = "*>&2",
  [anon_sym_1_GT_AMP2] = "1>&2",
  [anon_sym_3_GT_AMP2] = "3>&2",
  [anon_sym_4_GT_AMP2] = "4>&2",
  [anon_sym_5_GT_AMP2] = "5>&2",
  [anon_sym_6_GT_AMP2] = "6>&2",
  [aux_sym_comparison_operator_token1] = "-as",
  [aux_sym_comparison_operator_token2] = "-ccontains",
  [aux_sym_comparison_operator_token3] = "-ceq",
  [aux_sym_comparison_operator_token4] = "-cge",
  [aux_sym_comparison_operator_token5] = "-cgt",
  [aux_sym_comparison_operator_token6] = "-cle",
  [aux_sym_comparison_operator_token7] = "-clike",
  [aux_sym_comparison_operator_token8] = "-clt",
  [aux_sym_comparison_operator_token9] = "-cmatch",
  [aux_sym_comparison_operator_token10] = "-cne",
  [aux_sym_comparison_operator_token11] = "-cnotcontains",
  [aux_sym_comparison_operator_token12] = "-cnotlike",
  [aux_sym_comparison_operator_token13] = "-cnotmatch",
  [aux_sym_comparison_operator_token14] = "-contains",
  [aux_sym_comparison_operator_token15] = "-creplace",
  [aux_sym_comparison_operator_token16] = "-csplit",
  [aux_sym_comparison_operator_token17] = "-eq",
  [aux_sym_comparison_operator_token18] = "-ge",
  [aux_sym_comparison_operator_token19] = "-gt",
  [aux_sym_comparison_operator_token20] = "-icontains",
  [aux_sym_comparison_operator_token21] = "-ieq",
  [aux_sym_comparison_operator_token22] = "-ige",
  [aux_sym_comparison_operator_token23] = "-igt",
  [aux_sym_comparison_operator_token24] = "-ile",
  [aux_sym_comparison_operator_token25] = "-ilike",
  [aux_sym_comparison_operator_token26] = "-ilt",
  [aux_sym_comparison_operator_token27] = "-imatch",
  [aux_sym_comparison_operator_token28] = "-in",
  [aux_sym_comparison_operator_token29] = "-ine",
  [aux_sym_comparison_operator_token30] = "-inotcontains",
  [aux_sym_comparison_operator_token31] = "-inotlike",
  [aux_sym_comparison_operator_token32] = "-inotmatch",
  [aux_sym_comparison_operator_token33] = "-ireplace",
  [aux_sym_comparison_operator_token34] = "-is",
  [aux_sym_comparison_operator_token35] = "-isnot",
  [aux_sym_comparison_operator_token36] = "-isplit",
  [aux_sym_comparison_operator_token37] = "-join",
  [aux_sym_comparison_operator_token38] = "-le",
  [aux_sym_comparison_operator_token39] = "-like",
  [aux_sym_comparison_operator_token40] = "-lt",
  [aux_sym_comparison_operator_token41] = "-match",
  [aux_sym_comparison_operator_token42] = "-ne",
  [aux_sym_comparison_operator_token43] = "-notcontains",
  [aux_sym_comparison_operator_token44] = "-notin",
  [aux_sym_comparison_operator_token45] = "-notlike",
  [aux_sym_comparison_operator_token46] = "-notmatch",
  [aux_sym_comparison_operator_token47] = "-replace",
  [aux_sym_comparison_operator_token48] = "-shl",
  [aux_sym_comparison_operator_token49] = "-shr",
  [aux_sym_comparison_operator_token50] = "-split",
  [aux_sym_format_operator_token1] = "-f",
  [anon_sym_DOLLAR_DOLLAR] = "$$",
  [anon_sym_DOLLAR_CARET] = "$^",
  [anon_sym_DOLLAR_QMARK] = "$\?",
  [anon_sym_DOLLAR_] = "$_",
  [aux_sym_variable_token1] = "variable_token1",
  [aux_sym_variable_token2] = "variable_token2",
  [sym_braced_variable] = "braced_variable",
  [sym_generic_token] = "generic_token",
  [sym__command_token] = "_command_token",
  [sym_command_parameter] = "command_parameter",
  [aux_sym__verbatim_command_argument_chars_token1] = "_verbatim_command_argument_chars_token1",
  [aux_sym__verbatim_command_argument_chars_token2] = "_verbatim_command_argument_chars_token2",
  [aux_sym__verbatim_command_argument_chars_token3] = "_verbatim_command_argument_chars_token3",
  [anon_sym_SEMI] = ";",
  [aux_sym_param_block_token1] = "param",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COMMA] = ",",
  [aux_sym_block_name_token1] = "dynamicparam",
  [aux_sym_block_name_token2] = "begin",
  [aux_sym_block_name_token3] = "process",
  [aux_sym_block_name_token4] = "end",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [aux_sym_if_statement_token1] = "if",
  [aux_sym_elseif_clause_token1] = "elseif",
  [aux_sym_else_clause_token1] = "else",
  [aux_sym_switch_statement_token1] = "switch",
  [aux_sym_switch_parameter_token1] = "-regex",
  [aux_sym_switch_parameter_token2] = "-wildcard",
  [aux_sym_switch_parameter_token3] = "-exact",
  [aux_sym_switch_parameter_token4] = "-casesensitive",
  [aux_sym_switch_parameter_token5] = "-parallel",
  [aux_sym_switch_condition_token1] = "-file",
  [aux_sym_foreach_statement_token1] = "foreach",
  [aux_sym_foreach_statement_token2] = "in",
  [aux_sym_for_statement_token1] = "for",
  [anon_sym_LF] = "\n",
  [aux_sym_while_statement_token1] = "while",
  [aux_sym_do_statement_token1] = "do",
  [aux_sym_do_statement_token2] = "until",
  [aux_sym_function_statement_token1] = "function",
  [aux_sym_function_statement_token2] = "filter",
  [aux_sym_function_statement_token3] = "workflow",
  [aux_sym_flow_control_statement_token1] = "break",
  [aux_sym_flow_control_statement_token2] = "continue",
  [aux_sym_flow_control_statement_token3] = "throw",
  [aux_sym_flow_control_statement_token4] = "return",
  [aux_sym_flow_control_statement_token5] = "exit",
  [sym_label] = "label",
  [aux_sym_trap_statement_token1] = "trap",
  [aux_sym_try_statement_token1] = "try",
  [aux_sym_catch_clause_token1] = "catch",
  [aux_sym_finally_clause_token1] = "finally",
  [aux_sym_data_statement_token1] = "data",
  [aux_sym_data_commands_allowed_token1] = "-supportedcommand",
  [aux_sym_inlinescript_statement_token1] = "inlinescript",
  [aux_sym_parallel_statement_token1] = "parallel",
  [aux_sym_sequence_statement_token1] = "sequence",
  [anon_sym_PIPE] = "|",
  [anon_sym_AMP] = "&",
  [aux_sym__expandable_string_literal_immediate_token1] = "_expandable_string_literal_immediate_token1",
  [aux_sym__expandable_string_literal_immediate_token2] = "_expandable_string_literal_immediate_token2",
  [aux_sym__expandable_string_literal_immediate_token3] = "_expandable_string_literal_immediate_token3",
  [anon_sym_DQUOTE_DQUOTE2] = "\"\"",
  [anon_sym_DOLLAR2] = "$",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_command_name_token1] = "command_name_token1",
  [aux_sym_command_name_token2] = "command_name_token2",
  [anon_sym_DQUOTE2] = "\"",
  [anon_sym_SQUOTE_SQUOTE] = "''",
  [sym_path_command_name_token] = "path_command_name_token",
  [sym_stop_parsing] = "stop_parsing",
  [anon_sym_SPACE] = " ",
  [anon_sym_COLON] = ":",
  [anon_sym_PERCENT] = "%",
  [aux_sym_foreach_command_token1] = "foreach-object",
  [anon_sym_DASH_DASH_PERCENT] = "--%",
  [aux_sym_class_attribute_token1] = "hidden",
  [aux_sym_class_attribute_token2] = "static",
  [aux_sym_class_statement_token1] = "class",
  [aux_sym_enum_statement_token1] = "enum",
  [aux_sym_logical_expression_token1] = "-and",
  [aux_sym_logical_expression_token2] = "-or",
  [aux_sym_logical_expression_token3] = "-xor",
  [aux_sym_bitwise_expression_token1] = "-band",
  [aux_sym_bitwise_expression_token2] = "-bor",
  [aux_sym_bitwise_expression_token3] = "-bxor",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_BSLASH] = "\\",
  [anon_sym_STAR] = "*",
  [anon_sym_DOT_DOT] = "..",
  [aux_sym_expression_with_unary_operator_token1] = "-not",
  [anon_sym_BANG] = "!",
  [aux_sym_expression_with_unary_operator_token2] = "-bnot",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_DOLLAR_LPAREN] = "$(",
  [anon_sym_AT_LPAREN] = "@(",
  [anon_sym_AT_LBRACE] = "@{",
  [anon_sym_DOT2] = ".",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_RBRACK] = "]",
  [aux_sym_invokation_foreach_expression_token1] = "invokation_foreach_expression_token1",
  [sym__statement_terminator] = "_statement_terminator",
  [sym_program] = "program",
  [sym__literal] = "_literal",
  [sym_integer_literal] = "integer_literal",
  [sym_string_literal] = "string_literal",
  [sym_expandable_string_literal] = "expandable_string_literal",
  [sym_expandable_here_string_literal] = "expandable_here_string_literal",
  [sym_type_name] = "type_name",
  [sym_array_type_name] = "array_type_name",
  [sym_generic_type_name] = "generic_type_name",
  [sym_assignement_operator] = "assignement_operator",
  [sym_file_redirection_operator] = "file_redirection_operator",
  [sym_merging_redirection_operator] = "merging_redirection_operator",
  [sym_comparison_operator] = "comparison_operator",
  [sym_format_operator] = "format_operator",
  [sym_variable] = "variable",
  [aux_sym__verbatim_command_argument_chars] = "_verbatim_command_argument_chars",
  [sym_script_block] = "script_block",
  [sym_param_block] = "param_block",
  [sym_parameter_list] = "parameter_list",
  [sym_script_parameter] = "script_parameter",
  [sym_script_parameter_default] = "script_parameter_default",
  [sym_script_block_body] = "script_block_body",
  [sym_named_block_list] = "named_block_list",
  [sym_named_block] = "named_block",
  [sym_block_name] = "block_name",
  [sym_statement_block] = "statement_block",
  [sym_statement_list] = "statement_list",
  [sym__statement] = "_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_if_statement] = "if_statement",
  [sym_elseif_clauses] = "elseif_clauses",
  [sym_elseif_clause] = "elseif_clause",
  [sym_else_clause] = "else_clause",
  [sym__labeled_statement] = "_labeled_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_parameters] = "switch_parameters",
  [sym_switch_parameter] = "switch_parameter",
  [sym_switch_condition] = "switch_condition",
  [sym_switch_filename] = "switch_filename",
  [sym_switch_body] = "switch_body",
  [sym_switch_clauses] = "switch_clauses",
  [sym_switch_clause] = "switch_clause",
  [sym_switch_clause_condition] = "switch_clause_condition",
  [sym_foreach_statement] = "foreach_statement",
  [sym_foreach_parameter] = "foreach_parameter",
  [sym_for_statement] = "for_statement",
  [sym_for_initializer] = "for_initializer",
  [sym_for_condition] = "for_condition",
  [sym_for_iterator] = "for_iterator",
  [sym_while_statement] = "while_statement",
  [sym_while_condition] = "while_condition",
  [sym_do_statement] = "do_statement",
  [sym_function_statement] = "function_statement",
  [sym_function_name] = "function_name",
  [sym_function_parameter_declaration] = "function_parameter_declaration",
  [sym_flow_control_statement] = "flow_control_statement",
  [sym_label_expression] = "label_expression",
  [sym_trap_statement] = "trap_statement",
  [sym_try_statement] = "try_statement",
  [sym_catch_clauses] = "catch_clauses",
  [sym_catch_clause] = "catch_clause",
  [sym_catch_type_list] = "catch_type_list",
  [sym_finally_clause] = "finally_clause",
  [sym_data_statement] = "data_statement",
  [sym_data_name] = "data_name",
  [sym_data_commands_allowed] = "data_commands_allowed",
  [sym_data_commands_list] = "data_commands_list",
  [sym_data_command] = "data_command",
  [sym_inlinescript_statement] = "inlinescript_statement",
  [sym_parallel_statement] = "parallel_statement",
  [sym_sequence_statement] = "sequence_statement",
  [sym_pipeline] = "pipeline",
  [sym_left_assignment_expression] = "left_assignment_expression",
  [sym_assignment_expression] = "assignment_expression",
  [aux_sym__pipeline_tail] = "_pipeline_tail",
  [sym_command] = "command",
  [sym_command_invokation_operator] = "command_invokation_operator",
  [sym__expandable_string_literal_immediate] = "_expandable_string_literal_immediate",
  [sym_command_name] = "command_name",
  [sym_path_command_name] = "path_command_name",
  [sym_command_name_expr] = "command_name_expr",
  [sym_command_elements] = "command_elements",
  [sym__command_element] = "_command_element",
  [sym_command_argument_sep] = "command_argument_sep",
  [sym__command_argument] = "_command_argument",
  [sym_foreach_command] = "foreach_command",
  [sym_verbatim_command_argument] = "verbatim_command_argument",
  [sym_redirections] = "redirections",
  [sym_redirection] = "redirection",
  [sym_redirected_file_name] = "redirected_file_name",
  [sym_class_attribute] = "class_attribute",
  [sym_class_property_definition] = "class_property_definition",
  [sym_class_method_parameter] = "class_method_parameter",
  [sym_class_method_parameter_list] = "class_method_parameter_list",
  [sym_class_method_definition] = "class_method_definition",
  [sym_class_statement] = "class_statement",
  [sym_enum_statement] = "enum_statement",
  [sym_enum_member] = "enum_member",
  [sym__expression] = "_expression",
  [sym_logical_expression] = "logical_expression",
  [sym_bitwise_expression] = "bitwise_expression",
  [sym_comparison_expression] = "comparison_expression",
  [sym_additive_expression] = "additive_expression",
  [sym_multiplicative_expression] = "multiplicative_expression",
  [sym_format_expression] = "format_expression",
  [sym_range_expression] = "range_expression",
  [sym_array_literal_expression] = "array_literal_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_expression_with_unary_operator] = "expression_with_unary_operator",
  [sym_pre_increment_expression] = "pre_increment_expression",
  [sym_pre_decrement_expression] = "pre_decrement_expression",
  [sym_cast_expression] = "cast_expression",
  [sym__primary_expression] = "_primary_expression",
  [sym__value] = "_value",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_sub_expression] = "sub_expression",
  [sym_array_expression] = "array_expression",
  [sym_script_block_expression] = "script_block_expression",
  [sym_hash_literal_expression] = "hash_literal_expression",
  [sym_hash_literal_body] = "hash_literal_body",
  [sym_hash_entry] = "hash_entry",
  [sym_key_expression] = "key_expression",
  [sym_post_increment_expression] = "post_increment_expression",
  [sym_post_decrement_expression] = "post_decrement_expression",
  [sym_member_access] = "member_access",
  [sym_member_name] = "member_name",
  [sym_element_access] = "element_access",
  [sym_invokation_expression] = "invokation_expression",
  [sym_invokation_foreach_expression] = "invokation_foreach_expression",
  [sym_argument_list] = "argument_list",
  [sym_argument_expression_list] = "argument_expression_list",
  [sym_argument_expression] = "argument_expression",
  [sym_logical_argument_expression] = "logical_argument_expression",
  [sym_bitwise_argument_expression] = "bitwise_argument_expression",
  [sym_comparison_argument_expression] = "comparison_argument_expression",
  [sym_additive_argument_expression] = "additive_argument_expression",
  [sym_multiplicative_argument_expression] = "multiplicative_argument_expression",
  [sym_format_argument_expression] = "format_argument_expression",
  [sym_range_argument_expression] = "range_argument_expression",
  [sym_type_literal] = "type_literal",
  [sym_type_spec] = "type_spec",
  [sym_dimension] = "dimension",
  [sym_generic_type_arguments] = "generic_type_arguments",
  [sym_attribute_list] = "attribute_list",
  [sym_attribute] = "attribute",
  [sym_attribute_name] = "attribute_name",
  [sym_attribute_arguments] = "attribute_arguments",
  [sym_attribute_argument] = "attribute_argument",
  [aux_sym_expandable_string_literal_repeat1] = "expandable_string_literal_repeat1",
  [aux_sym_expandable_string_literal_repeat2] = "expandable_string_literal_repeat2",
  [aux_sym_expandable_here_string_literal_repeat1] = "expandable_here_string_literal_repeat1",
  [aux_sym_script_block_repeat1] = "script_block_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_named_block_list_repeat1] = "named_block_list_repeat1",
  [aux_sym_statement_list_repeat1] = "statement_list_repeat1",
  [aux_sym_elseif_clauses_repeat1] = "elseif_clauses_repeat1",
  [aux_sym_switch_parameters_repeat1] = "switch_parameters_repeat1",
  [aux_sym_switch_clauses_repeat1] = "switch_clauses_repeat1",
  [aux_sym_catch_clauses_repeat1] = "catch_clauses_repeat1",
  [aux_sym_catch_type_list_repeat1] = "catch_type_list_repeat1",
  [aux_sym_data_commands_list_repeat1] = "data_commands_list_repeat1",
  [aux_sym__expandable_string_literal_immediate_repeat1] = "_expandable_string_literal_immediate_repeat1",
  [aux_sym__expandable_string_literal_immediate_repeat2] = "_expandable_string_literal_immediate_repeat2",
  [aux_sym_command_name_repeat1] = "command_name_repeat1",
  [aux_sym_path_command_name_repeat1] = "path_command_name_repeat1",
  [aux_sym_command_elements_repeat1] = "command_elements_repeat1",
  [aux_sym_command_argument_sep_repeat1] = "command_argument_sep_repeat1",
  [aux_sym_foreach_command_repeat1] = "foreach_command_repeat1",
  [aux_sym_redirections_repeat1] = "redirections_repeat1",
  [aux_sym_class_property_definition_repeat1] = "class_property_definition_repeat1",
  [aux_sym_class_method_parameter_list_repeat1] = "class_method_parameter_list_repeat1",
  [aux_sym_class_statement_repeat1] = "class_statement_repeat1",
  [aux_sym_class_statement_repeat2] = "class_statement_repeat2",
  [aux_sym_enum_statement_repeat1] = "enum_statement_repeat1",
  [aux_sym_array_literal_expression_repeat1] = "array_literal_expression_repeat1",
  [aux_sym_hash_literal_body_repeat1] = "hash_literal_body_repeat1",
  [aux_sym_argument_expression_list_repeat1] = "argument_expression_list_repeat1",
  [aux_sym_dimension_repeat1] = "dimension_repeat1",
  [aux_sym_generic_type_arguments_repeat1] = "generic_type_arguments_repeat1",
  [aux_sym_attribute_list_repeat1] = "attribute_list_repeat1",
  [aux_sym_attribute_arguments_repeat1] = "attribute_arguments_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_comment] = sym_comment,
  [sym_decimal_integer_literal] = sym_decimal_integer_literal,
  [sym_hexadecimal_integer_literal] = sym_hexadecimal_integer_literal,
  [sym_real_literal] = sym_real_literal,
  [aux_sym_expandable_string_literal_token1] = aux_sym_expandable_string_literal_token1,
  [aux_sym_expandable_string_literal_token2] = aux_sym_expandable_string_literal_token2,
  [aux_sym_expandable_string_literal_token3] = aux_sym_expandable_string_literal_token3,
  [aux_sym_expandable_string_literal_token4] = aux_sym_expandable_string_literal_token4,
  [anon_sym_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [aux_sym_expandable_string_literal_token5] = aux_sym_expandable_string_literal_token5,
  [aux_sym_expandable_here_string_literal_token1] = aux_sym_expandable_here_string_literal_token1,
  [aux_sym_expandable_here_string_literal_token2] = aux_sym_expandable_here_string_literal_token2,
  [aux_sym_expandable_here_string_literal_token3] = aux_sym_expandable_here_string_literal_token3,
  [aux_sym_expandable_here_string_literal_token4] = aux_sym_expandable_here_string_literal_token4,
  [aux_sym_expandable_here_string_literal_token5] = aux_sym_expandable_here_string_literal_token5,
  [sym_verbatim_string_characters] = sym_verbatim_string_characters,
  [sym_verbatim_here_string_characters] = sym_verbatim_here_string_characters,
  [sym_simple_name] = sym_simple_name,
  [sym_type_identifier] = sym_type_identifier,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_2_GT] = anon_sym_2_GT,
  [anon_sym_2_GT_GT] = anon_sym_2_GT_GT,
  [anon_sym_3_GT] = anon_sym_3_GT,
  [anon_sym_3_GT_GT] = anon_sym_3_GT_GT,
  [anon_sym_4_GT] = anon_sym_4_GT,
  [anon_sym_4_GT_GT] = anon_sym_4_GT_GT,
  [anon_sym_5_GT] = anon_sym_5_GT,
  [anon_sym_5_GT_GT] = anon_sym_5_GT_GT,
  [anon_sym_6_GT] = anon_sym_6_GT,
  [anon_sym_6_GT_GT] = anon_sym_6_GT_GT,
  [anon_sym_STAR_GT] = anon_sym_STAR_GT,
  [anon_sym_STAR_GT_GT] = anon_sym_STAR_GT_GT,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_STAR_GT_AMP1] = anon_sym_STAR_GT_AMP1,
  [anon_sym_2_GT_AMP1] = anon_sym_2_GT_AMP1,
  [anon_sym_3_GT_AMP1] = anon_sym_3_GT_AMP1,
  [anon_sym_4_GT_AMP1] = anon_sym_4_GT_AMP1,
  [anon_sym_5_GT_AMP1] = anon_sym_5_GT_AMP1,
  [anon_sym_6_GT_AMP1] = anon_sym_6_GT_AMP1,
  [anon_sym_STAR_GT_AMP2] = anon_sym_STAR_GT_AMP2,
  [anon_sym_1_GT_AMP2] = anon_sym_1_GT_AMP2,
  [anon_sym_3_GT_AMP2] = anon_sym_3_GT_AMP2,
  [anon_sym_4_GT_AMP2] = anon_sym_4_GT_AMP2,
  [anon_sym_5_GT_AMP2] = anon_sym_5_GT_AMP2,
  [anon_sym_6_GT_AMP2] = anon_sym_6_GT_AMP2,
  [aux_sym_comparison_operator_token1] = aux_sym_comparison_operator_token1,
  [aux_sym_comparison_operator_token2] = aux_sym_comparison_operator_token2,
  [aux_sym_comparison_operator_token3] = aux_sym_comparison_operator_token3,
  [aux_sym_comparison_operator_token4] = aux_sym_comparison_operator_token4,
  [aux_sym_comparison_operator_token5] = aux_sym_comparison_operator_token5,
  [aux_sym_comparison_operator_token6] = aux_sym_comparison_operator_token6,
  [aux_sym_comparison_operator_token7] = aux_sym_comparison_operator_token7,
  [aux_sym_comparison_operator_token8] = aux_sym_comparison_operator_token8,
  [aux_sym_comparison_operator_token9] = aux_sym_comparison_operator_token9,
  [aux_sym_comparison_operator_token10] = aux_sym_comparison_operator_token10,
  [aux_sym_comparison_operator_token11] = aux_sym_comparison_operator_token11,
  [aux_sym_comparison_operator_token12] = aux_sym_comparison_operator_token12,
  [aux_sym_comparison_operator_token13] = aux_sym_comparison_operator_token13,
  [aux_sym_comparison_operator_token14] = aux_sym_comparison_operator_token14,
  [aux_sym_comparison_operator_token15] = aux_sym_comparison_operator_token15,
  [aux_sym_comparison_operator_token16] = aux_sym_comparison_operator_token16,
  [aux_sym_comparison_operator_token17] = aux_sym_comparison_operator_token17,
  [aux_sym_comparison_operator_token18] = aux_sym_comparison_operator_token18,
  [aux_sym_comparison_operator_token19] = aux_sym_comparison_operator_token19,
  [aux_sym_comparison_operator_token20] = aux_sym_comparison_operator_token20,
  [aux_sym_comparison_operator_token21] = aux_sym_comparison_operator_token21,
  [aux_sym_comparison_operator_token22] = aux_sym_comparison_operator_token22,
  [aux_sym_comparison_operator_token23] = aux_sym_comparison_operator_token23,
  [aux_sym_comparison_operator_token24] = aux_sym_comparison_operator_token24,
  [aux_sym_comparison_operator_token25] = aux_sym_comparison_operator_token25,
  [aux_sym_comparison_operator_token26] = aux_sym_comparison_operator_token26,
  [aux_sym_comparison_operator_token27] = aux_sym_comparison_operator_token27,
  [aux_sym_comparison_operator_token28] = aux_sym_comparison_operator_token28,
  [aux_sym_comparison_operator_token29] = aux_sym_comparison_operator_token29,
  [aux_sym_comparison_operator_token30] = aux_sym_comparison_operator_token30,
  [aux_sym_comparison_operator_token31] = aux_sym_comparison_operator_token31,
  [aux_sym_comparison_operator_token32] = aux_sym_comparison_operator_token32,
  [aux_sym_comparison_operator_token33] = aux_sym_comparison_operator_token33,
  [aux_sym_comparison_operator_token34] = aux_sym_comparison_operator_token34,
  [aux_sym_comparison_operator_token35] = aux_sym_comparison_operator_token35,
  [aux_sym_comparison_operator_token36] = aux_sym_comparison_operator_token36,
  [aux_sym_comparison_operator_token37] = aux_sym_comparison_operator_token37,
  [aux_sym_comparison_operator_token38] = aux_sym_comparison_operator_token38,
  [aux_sym_comparison_operator_token39] = aux_sym_comparison_operator_token39,
  [aux_sym_comparison_operator_token40] = aux_sym_comparison_operator_token40,
  [aux_sym_comparison_operator_token41] = aux_sym_comparison_operator_token41,
  [aux_sym_comparison_operator_token42] = aux_sym_comparison_operator_token42,
  [aux_sym_comparison_operator_token43] = aux_sym_comparison_operator_token43,
  [aux_sym_comparison_operator_token44] = aux_sym_comparison_operator_token44,
  [aux_sym_comparison_operator_token45] = aux_sym_comparison_operator_token45,
  [aux_sym_comparison_operator_token46] = aux_sym_comparison_operator_token46,
  [aux_sym_comparison_operator_token47] = aux_sym_comparison_operator_token47,
  [aux_sym_comparison_operator_token48] = aux_sym_comparison_operator_token48,
  [aux_sym_comparison_operator_token49] = aux_sym_comparison_operator_token49,
  [aux_sym_comparison_operator_token50] = aux_sym_comparison_operator_token50,
  [aux_sym_format_operator_token1] = aux_sym_format_operator_token1,
  [anon_sym_DOLLAR_DOLLAR] = anon_sym_DOLLAR_DOLLAR,
  [anon_sym_DOLLAR_CARET] = anon_sym_DOLLAR_CARET,
  [anon_sym_DOLLAR_QMARK] = anon_sym_DOLLAR_QMARK,
  [anon_sym_DOLLAR_] = anon_sym_DOLLAR_,
  [aux_sym_variable_token1] = aux_sym_variable_token1,
  [aux_sym_variable_token2] = aux_sym_variable_token2,
  [sym_braced_variable] = sym_braced_variable,
  [sym_generic_token] = sym_generic_token,
  [sym__command_token] = sym__command_token,
  [sym_command_parameter] = sym_command_parameter,
  [aux_sym__verbatim_command_argument_chars_token1] = aux_sym__verbatim_command_argument_chars_token1,
  [aux_sym__verbatim_command_argument_chars_token2] = aux_sym__verbatim_command_argument_chars_token2,
  [aux_sym__verbatim_command_argument_chars_token3] = aux_sym__verbatim_command_argument_chars_token3,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [aux_sym_param_block_token1] = aux_sym_param_block_token1,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [aux_sym_block_name_token1] = aux_sym_block_name_token1,
  [aux_sym_block_name_token2] = aux_sym_block_name_token2,
  [aux_sym_block_name_token3] = aux_sym_block_name_token3,
  [aux_sym_block_name_token4] = aux_sym_block_name_token4,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym_if_statement_token1] = aux_sym_if_statement_token1,
  [aux_sym_elseif_clause_token1] = aux_sym_elseif_clause_token1,
  [aux_sym_else_clause_token1] = aux_sym_else_clause_token1,
  [aux_sym_switch_statement_token1] = aux_sym_switch_statement_token1,
  [aux_sym_switch_parameter_token1] = aux_sym_switch_parameter_token1,
  [aux_sym_switch_parameter_token2] = aux_sym_switch_parameter_token2,
  [aux_sym_switch_parameter_token3] = aux_sym_switch_parameter_token3,
  [aux_sym_switch_parameter_token4] = aux_sym_switch_parameter_token4,
  [aux_sym_switch_parameter_token5] = aux_sym_switch_parameter_token5,
  [aux_sym_switch_condition_token1] = aux_sym_switch_condition_token1,
  [aux_sym_foreach_statement_token1] = aux_sym_foreach_statement_token1,
  [aux_sym_foreach_statement_token2] = aux_sym_foreach_statement_token2,
  [aux_sym_for_statement_token1] = aux_sym_for_statement_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_while_statement_token1] = aux_sym_while_statement_token1,
  [aux_sym_do_statement_token1] = aux_sym_do_statement_token1,
  [aux_sym_do_statement_token2] = aux_sym_do_statement_token2,
  [aux_sym_function_statement_token1] = aux_sym_function_statement_token1,
  [aux_sym_function_statement_token2] = aux_sym_function_statement_token2,
  [aux_sym_function_statement_token3] = aux_sym_function_statement_token3,
  [aux_sym_flow_control_statement_token1] = aux_sym_flow_control_statement_token1,
  [aux_sym_flow_control_statement_token2] = aux_sym_flow_control_statement_token2,
  [aux_sym_flow_control_statement_token3] = aux_sym_flow_control_statement_token3,
  [aux_sym_flow_control_statement_token4] = aux_sym_flow_control_statement_token4,
  [aux_sym_flow_control_statement_token5] = aux_sym_flow_control_statement_token5,
  [sym_label] = sym_label,
  [aux_sym_trap_statement_token1] = aux_sym_trap_statement_token1,
  [aux_sym_try_statement_token1] = aux_sym_try_statement_token1,
  [aux_sym_catch_clause_token1] = aux_sym_catch_clause_token1,
  [aux_sym_finally_clause_token1] = aux_sym_finally_clause_token1,
  [aux_sym_data_statement_token1] = aux_sym_data_statement_token1,
  [aux_sym_data_commands_allowed_token1] = aux_sym_data_commands_allowed_token1,
  [aux_sym_inlinescript_statement_token1] = aux_sym_inlinescript_statement_token1,
  [aux_sym_parallel_statement_token1] = aux_sym_parallel_statement_token1,
  [aux_sym_sequence_statement_token1] = aux_sym_sequence_statement_token1,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_AMP] = anon_sym_AMP,
  [aux_sym__expandable_string_literal_immediate_token1] = aux_sym__expandable_string_literal_immediate_token1,
  [aux_sym__expandable_string_literal_immediate_token2] = aux_sym__expandable_string_literal_immediate_token2,
  [aux_sym__expandable_string_literal_immediate_token3] = aux_sym__expandable_string_literal_immediate_token3,
  [anon_sym_DQUOTE_DQUOTE2] = anon_sym_DQUOTE_DQUOTE,
  [anon_sym_DOLLAR2] = anon_sym_DOLLAR,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_command_name_token1] = aux_sym_command_name_token1,
  [aux_sym_command_name_token2] = aux_sym_command_name_token2,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE_SQUOTE] = anon_sym_SQUOTE_SQUOTE,
  [sym_path_command_name_token] = sym_path_command_name_token,
  [sym_stop_parsing] = sym_stop_parsing,
  [anon_sym_SPACE] = anon_sym_SPACE,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_foreach_command_token1] = aux_sym_foreach_command_token1,
  [anon_sym_DASH_DASH_PERCENT] = anon_sym_DASH_DASH_PERCENT,
  [aux_sym_class_attribute_token1] = aux_sym_class_attribute_token1,
  [aux_sym_class_attribute_token2] = aux_sym_class_attribute_token2,
  [aux_sym_class_statement_token1] = aux_sym_class_statement_token1,
  [aux_sym_enum_statement_token1] = aux_sym_enum_statement_token1,
  [aux_sym_logical_expression_token1] = aux_sym_logical_expression_token1,
  [aux_sym_logical_expression_token2] = aux_sym_logical_expression_token2,
  [aux_sym_logical_expression_token3] = aux_sym_logical_expression_token3,
  [aux_sym_bitwise_expression_token1] = aux_sym_bitwise_expression_token1,
  [aux_sym_bitwise_expression_token2] = aux_sym_bitwise_expression_token2,
  [aux_sym_bitwise_expression_token3] = aux_sym_bitwise_expression_token3,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [aux_sym_expression_with_unary_operator_token1] = aux_sym_expression_with_unary_operator_token1,
  [anon_sym_BANG] = anon_sym_BANG,
  [aux_sym_expression_with_unary_operator_token2] = aux_sym_expression_with_unary_operator_token2,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_DOLLAR_LPAREN] = anon_sym_DOLLAR_LPAREN,
  [anon_sym_AT_LPAREN] = anon_sym_AT_LPAREN,
  [anon_sym_AT_LBRACE] = anon_sym_AT_LBRACE,
  [anon_sym_DOT2] = anon_sym_DOT,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [aux_sym_invokation_foreach_expression_token1] = aux_sym_invokation_foreach_expression_token1,
  [sym__statement_terminator] = sym__statement_terminator,
  [sym_program] = sym_program,
  [sym__literal] = sym__literal,
  [sym_integer_literal] = sym_integer_literal,
  [sym_string_literal] = sym_string_literal,
  [sym_expandable_string_literal] = sym_expandable_string_literal,
  [sym_expandable_here_string_literal] = sym_expandable_here_string_literal,
  [sym_type_name] = sym_type_name,
  [sym_array_type_name] = sym_array_type_name,
  [sym_generic_type_name] = sym_generic_type_name,
  [sym_assignement_operator] = sym_assignement_operator,
  [sym_file_redirection_operator] = sym_file_redirection_operator,
  [sym_merging_redirection_operator] = sym_merging_redirection_operator,
  [sym_comparison_operator] = sym_comparison_operator,
  [sym_format_operator] = sym_format_operator,
  [sym_variable] = sym_variable,
  [aux_sym__verbatim_command_argument_chars] = aux_sym__verbatim_command_argument_chars,
  [sym_script_block] = sym_script_block,
  [sym_param_block] = sym_param_block,
  [sym_parameter_list] = sym_parameter_list,
  [sym_script_parameter] = sym_script_parameter,
  [sym_script_parameter_default] = sym_script_parameter_default,
  [sym_script_block_body] = sym_script_block_body,
  [sym_named_block_list] = sym_named_block_list,
  [sym_named_block] = sym_named_block,
  [sym_block_name] = sym_block_name,
  [sym_statement_block] = sym_statement_block,
  [sym_statement_list] = sym_statement_list,
  [sym__statement] = sym__statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_elseif_clauses] = sym_elseif_clauses,
  [sym_elseif_clause] = sym_elseif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym__labeled_statement] = sym__labeled_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_parameters] = sym_switch_parameters,
  [sym_switch_parameter] = sym_switch_parameter,
  [sym_switch_condition] = sym_switch_condition,
  [sym_switch_filename] = sym_switch_filename,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_clauses] = sym_switch_clauses,
  [sym_switch_clause] = sym_switch_clause,
  [sym_switch_clause_condition] = sym_switch_clause_condition,
  [sym_foreach_statement] = sym_foreach_statement,
  [sym_foreach_parameter] = sym_foreach_parameter,
  [sym_for_statement] = sym_for_statement,
  [sym_for_initializer] = sym_for_initializer,
  [sym_for_condition] = sym_for_condition,
  [sym_for_iterator] = sym_for_iterator,
  [sym_while_statement] = sym_while_statement,
  [sym_while_condition] = sym_while_condition,
  [sym_do_statement] = sym_do_statement,
  [sym_function_statement] = sym_function_statement,
  [sym_function_name] = sym_function_name,
  [sym_function_parameter_declaration] = sym_function_parameter_declaration,
  [sym_flow_control_statement] = sym_flow_control_statement,
  [sym_label_expression] = sym_label_expression,
  [sym_trap_statement] = sym_trap_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clauses] = sym_catch_clauses,
  [sym_catch_clause] = sym_catch_clause,
  [sym_catch_type_list] = sym_catch_type_list,
  [sym_finally_clause] = sym_finally_clause,
  [sym_data_statement] = sym_data_statement,
  [sym_data_name] = sym_data_name,
  [sym_data_commands_allowed] = sym_data_commands_allowed,
  [sym_data_commands_list] = sym_data_commands_list,
  [sym_data_command] = sym_data_command,
  [sym_inlinescript_statement] = sym_inlinescript_statement,
  [sym_parallel_statement] = sym_parallel_statement,
  [sym_sequence_statement] = sym_sequence_statement,
  [sym_pipeline] = sym_pipeline,
  [sym_left_assignment_expression] = sym_left_assignment_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [aux_sym__pipeline_tail] = aux_sym__pipeline_tail,
  [sym_command] = sym_command,
  [sym_command_invokation_operator] = sym_command_invokation_operator,
  [sym__expandable_string_literal_immediate] = sym__expandable_string_literal_immediate,
  [sym_command_name] = sym_command_name,
  [sym_path_command_name] = sym_path_command_name,
  [sym_command_name_expr] = sym_command_name_expr,
  [sym_command_elements] = sym_command_elements,
  [sym__command_element] = sym__command_element,
  [sym_command_argument_sep] = sym_command_argument_sep,
  [sym__command_argument] = sym__command_argument,
  [sym_foreach_command] = sym_foreach_command,
  [sym_verbatim_command_argument] = sym_verbatim_command_argument,
  [sym_redirections] = sym_redirections,
  [sym_redirection] = sym_redirection,
  [sym_redirected_file_name] = sym_redirected_file_name,
  [sym_class_attribute] = sym_class_attribute,
  [sym_class_property_definition] = sym_class_property_definition,
  [sym_class_method_parameter] = sym_class_method_parameter,
  [sym_class_method_parameter_list] = sym_class_method_parameter_list,
  [sym_class_method_definition] = sym_class_method_definition,
  [sym_class_statement] = sym_class_statement,
  [sym_enum_statement] = sym_enum_statement,
  [sym_enum_member] = sym_enum_member,
  [sym__expression] = sym__expression,
  [sym_logical_expression] = sym_logical_expression,
  [sym_bitwise_expression] = sym_bitwise_expression,
  [sym_comparison_expression] = sym_comparison_expression,
  [sym_additive_expression] = sym_additive_expression,
  [sym_multiplicative_expression] = sym_multiplicative_expression,
  [sym_format_expression] = sym_format_expression,
  [sym_range_expression] = sym_range_expression,
  [sym_array_literal_expression] = sym_array_literal_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_expression_with_unary_operator] = sym_expression_with_unary_operator,
  [sym_pre_increment_expression] = sym_pre_increment_expression,
  [sym_pre_decrement_expression] = sym_pre_decrement_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym__primary_expression] = sym__primary_expression,
  [sym__value] = sym__value,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_sub_expression] = sym_sub_expression,
  [sym_array_expression] = sym_array_expression,
  [sym_script_block_expression] = sym_script_block_expression,
  [sym_hash_literal_expression] = sym_hash_literal_expression,
  [sym_hash_literal_body] = sym_hash_literal_body,
  [sym_hash_entry] = sym_hash_entry,
  [sym_key_expression] = sym_key_expression,
  [sym_post_increment_expression] = sym_post_increment_expression,
  [sym_post_decrement_expression] = sym_post_decrement_expression,
  [sym_member_access] = sym_member_access,
  [sym_member_name] = sym_member_name,
  [sym_element_access] = sym_element_access,
  [sym_invokation_expression] = sym_invokation_expression,
  [sym_invokation_foreach_expression] = sym_invokation_foreach_expression,
  [sym_argument_list] = sym_argument_list,
  [sym_argument_expression_list] = sym_argument_expression_list,
  [sym_argument_expression] = sym_argument_expression,
  [sym_logical_argument_expression] = sym_logical_argument_expression,
  [sym_bitwise_argument_expression] = sym_bitwise_argument_expression,
  [sym_comparison_argument_expression] = sym_comparison_argument_expression,
  [sym_additive_argument_expression] = sym_additive_argument_expression,
  [sym_multiplicative_argument_expression] = sym_multiplicative_argument_expression,
  [sym_format_argument_expression] = sym_format_argument_expression,
  [sym_range_argument_expression] = sym_range_argument_expression,
  [sym_type_literal] = sym_type_literal,
  [sym_type_spec] = sym_type_spec,
  [sym_dimension] = sym_dimension,
  [sym_generic_type_arguments] = sym_generic_type_arguments,
  [sym_attribute_list] = sym_attribute_list,
  [sym_attribute] = sym_attribute,
  [sym_attribute_name] = sym_attribute_name,
  [sym_attribute_arguments] = sym_attribute_arguments,
  [sym_attribute_argument] = sym_attribute_argument,
  [aux_sym_expandable_string_literal_repeat1] = aux_sym_expandable_string_literal_repeat1,
  [aux_sym_expandable_string_literal_repeat2] = aux_sym_expandable_string_literal_repeat2,
  [aux_sym_expandable_here_string_literal_repeat1] = aux_sym_expandable_here_string_literal_repeat1,
  [aux_sym_script_block_repeat1] = aux_sym_script_block_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_named_block_list_repeat1] = aux_sym_named_block_list_repeat1,
  [aux_sym_statement_list_repeat1] = aux_sym_statement_list_repeat1,
  [aux_sym_elseif_clauses_repeat1] = aux_sym_elseif_clauses_repeat1,
  [aux_sym_switch_parameters_repeat1] = aux_sym_switch_parameters_repeat1,
  [aux_sym_switch_clauses_repeat1] = aux_sym_switch_clauses_repeat1,
  [aux_sym_catch_clauses_repeat1] = aux_sym_catch_clauses_repeat1,
  [aux_sym_catch_type_list_repeat1] = aux_sym_catch_type_list_repeat1,
  [aux_sym_data_commands_list_repeat1] = aux_sym_data_commands_list_repeat1,
  [aux_sym__expandable_string_literal_immediate_repeat1] = aux_sym__expandable_string_literal_immediate_repeat1,
  [aux_sym__expandable_string_literal_immediate_repeat2] = aux_sym__expandable_string_literal_immediate_repeat2,
  [aux_sym_command_name_repeat1] = aux_sym_command_name_repeat1,
  [aux_sym_path_command_name_repeat1] = aux_sym_path_command_name_repeat1,
  [aux_sym_command_elements_repeat1] = aux_sym_command_elements_repeat1,
  [aux_sym_command_argument_sep_repeat1] = aux_sym_command_argument_sep_repeat1,
  [aux_sym_foreach_command_repeat1] = aux_sym_foreach_command_repeat1,
  [aux_sym_redirections_repeat1] = aux_sym_redirections_repeat1,
  [aux_sym_class_property_definition_repeat1] = aux_sym_class_property_definition_repeat1,
  [aux_sym_class_method_parameter_list_repeat1] = aux_sym_class_method_parameter_list_repeat1,
  [aux_sym_class_statement_repeat1] = aux_sym_class_statement_repeat1,
  [aux_sym_class_statement_repeat2] = aux_sym_class_statement_repeat2,
  [aux_sym_enum_statement_repeat1] = aux_sym_enum_statement_repeat1,
  [aux_sym_array_literal_expression_repeat1] = aux_sym_array_literal_expression_repeat1,
  [aux_sym_hash_literal_body_repeat1] = aux_sym_hash_literal_body_repeat1,
  [aux_sym_argument_expression_list_repeat1] = aux_sym_argument_expression_list_repeat1,
  [aux_sym_dimension_repeat1] = aux_sym_dimension_repeat1,
  [aux_sym_generic_type_arguments_repeat1] = aux_sym_generic_type_arguments_repeat1,
  [aux_sym_attribute_list_repeat1] = aux_sym_attribute_list_repeat1,
  [aux_sym_attribute_arguments_repeat1] = aux_sym_attribute_arguments_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_decimal_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_hexadecimal_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_real_literal] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_expandable_string_literal_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expandable_string_literal_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expandable_string_literal_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expandable_string_literal_token4] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_expandable_string_literal_token5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expandable_here_string_literal_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expandable_here_string_literal_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expandable_here_string_literal_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expandable_here_string_literal_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expandable_here_string_literal_token5] = {
    .visible = false,
    .named = false,
  },
  [sym_verbatim_string_characters] = {
    .visible = true,
    .named = true,
  },
  [sym_verbatim_here_string_characters] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_name] = {
    .visible = true,
    .named = true,
  },
  [sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_2_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_2_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_3_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_3_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_4_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_4_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_5_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_5_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_6_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_6_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_GT_AMP1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_2_GT_AMP1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_3_GT_AMP1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_4_GT_AMP1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_5_GT_AMP1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_6_GT_AMP1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_GT_AMP2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_1_GT_AMP2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_3_GT_AMP2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_4_GT_AMP2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_5_GT_AMP2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_6_GT_AMP2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token6] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token7] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token8] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token9] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token10] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token11] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token12] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token13] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token14] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token15] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token16] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token17] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token18] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token19] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token20] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token21] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token22] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token23] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token24] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token25] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token26] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token27] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token28] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token29] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token30] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token31] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token32] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token33] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token34] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token35] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token36] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token37] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token38] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token39] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token40] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token41] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token42] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token43] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token44] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token45] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token46] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token47] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token48] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token49] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comparison_operator_token50] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_format_operator_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_variable_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_braced_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_token] = {
    .visible = true,
    .named = true,
  },
  [sym__command_token] = {
    .visible = false,
    .named = true,
  },
  [sym_command_parameter] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__verbatim_command_argument_chars_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__verbatim_command_argument_chars_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__verbatim_command_argument_chars_token3] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_param_block_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_block_name_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_block_name_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_block_name_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_block_name_token4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_elseif_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_parameter_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_parameter_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_parameter_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_parameter_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_parameter_token5] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_condition_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_do_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_do_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_flow_control_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_flow_control_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_flow_control_statement_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_flow_control_statement_token4] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_flow_control_statement_token5] = {
    .visible = true,
    .named = false,
  },
  [sym_label] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_trap_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_try_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_catch_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_finally_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_data_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_data_commands_allowed_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_inlinescript_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_parallel_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_sequence_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__expandable_string_literal_immediate_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__expandable_string_literal_immediate_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__expandable_string_literal_immediate_token3] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_command_name_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_name_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_path_command_name_token] = {
    .visible = true,
    .named = true,
  },
  [sym_stop_parsing] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SPACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_command_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_attribute_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_attribute_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_logical_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_logical_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_logical_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_bitwise_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_bitwise_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_bitwise_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_expression_with_unary_operator_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_expression_with_unary_operator_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_invokation_foreach_expression_token1] = {
    .visible = false,
    .named = false,
  },
  [sym__statement_terminator] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym__literal] = {
    .visible = false,
    .named = true,
  },
  [sym_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_expandable_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_expandable_here_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_type_name] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_name] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type_name] = {
    .visible = true,
    .named = true,
  },
  [sym_assignement_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_file_redirection_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_merging_redirection_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_comparison_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_format_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_variable] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__verbatim_command_argument_chars] = {
    .visible = false,
    .named = false,
  },
  [sym_script_block] = {
    .visible = true,
    .named = true,
  },
  [sym_param_block] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_script_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_script_parameter_default] = {
    .visible = true,
    .named = true,
  },
  [sym_script_block_body] = {
    .visible = true,
    .named = true,
  },
  [sym_named_block_list] = {
    .visible = true,
    .named = true,
  },
  [sym_named_block] = {
    .visible = true,
    .named = true,
  },
  [sym_block_name] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_list] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elseif_clauses] = {
    .visible = true,
    .named = true,
  },
  [sym_elseif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__labeled_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_filename] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_clauses] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_clause_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_for_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_for_iterator] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_function_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_function_name] = {
    .visible = true,
    .named = true,
  },
  [sym_function_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_flow_control_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_label_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_trap_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clauses] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_data_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_data_name] = {
    .visible = true,
    .named = true,
  },
  [sym_data_commands_allowed] = {
    .visible = true,
    .named = true,
  },
  [sym_data_commands_list] = {
    .visible = true,
    .named = true,
  },
  [sym_data_command] = {
    .visible = true,
    .named = true,
  },
  [sym_inlinescript_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_parallel_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_pipeline] = {
    .visible = true,
    .named = true,
  },
  [sym_left_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__pipeline_tail] = {
    .visible = false,
    .named = false,
  },
  [sym_command] = {
    .visible = true,
    .named = true,
  },
  [sym_command_invokation_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__expandable_string_literal_immediate] = {
    .visible = false,
    .named = true,
  },
  [sym_command_name] = {
    .visible = true,
    .named = true,
  },
  [sym_path_command_name] = {
    .visible = true,
    .named = true,
  },
  [sym_command_name_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_command_elements] = {
    .visible = true,
    .named = true,
  },
  [sym__command_element] = {
    .visible = false,
    .named = true,
  },
  [sym_command_argument_sep] = {
    .visible = true,
    .named = true,
  },
  [sym__command_argument] = {
    .visible = false,
    .named = true,
  },
  [sym_foreach_command] = {
    .visible = true,
    .named = true,
  },
  [sym_verbatim_command_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_redirections] = {
    .visible = true,
    .named = true,
  },
  [sym_redirection] = {
    .visible = true,
    .named = true,
  },
  [sym_redirected_file_name] = {
    .visible = true,
    .named = true,
  },
  [sym_class_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_class_property_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_method_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_class_method_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_class_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_member] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_logical_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_bitwise_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_comparison_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_additive_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_multiplicative_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_format_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_range_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_with_unary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_pre_increment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pre_decrement_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__primary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__value] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sub_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_script_block_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_literal_body] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_entry] = {
    .visible = true,
    .named = true,
  },
  [sym_key_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_post_increment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_post_decrement_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_access] = {
    .visible = true,
    .named = true,
  },
  [sym_member_name] = {
    .visible = true,
    .named = true,
  },
  [sym_element_access] = {
    .visible = true,
    .named = true,
  },
  [sym_invokation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_invokation_foreach_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_logical_argument_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_bitwise_argument_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_comparison_argument_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_additive_argument_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_multiplicative_argument_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_format_argument_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_range_argument_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_type_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_dimension] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_list] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_name] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_argument] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_expandable_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expandable_string_literal_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expandable_here_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_script_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_block_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_statement_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_elseif_clauses_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_clauses_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_catch_clauses_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_catch_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_data_commands_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__expandable_string_literal_immediate_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__expandable_string_literal_immediate_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_path_command_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_elements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_argument_sep_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_foreach_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_redirections_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_property_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_method_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_literal_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_hash_literal_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_expression_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dimension_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_type_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_argument_expression_list = 1,
  field_command_elements = 2,
  field_command_name = 3,
  field_condition = 4,
  field_else_clause = 5,
  field_elseif_clauses = 6,
  field_for_condition = 7,
  field_for_initializer = 8,
  field_for_iterator = 9,
  field_named_block_list = 10,
  field_script_block_body = 11,
  field_statement_list = 12,
  field_statements = 13,
  field_value = 14,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_argument_expression_list] = "argument_expression_list",
  [field_command_elements] = "command_elements",
  [field_command_name] = "command_name",
  [field_condition] = "condition",
  [field_else_clause] = "else_clause",
  [field_elseif_clauses] = "elseif_clauses",
  [field_for_condition] = "for_condition",
  [field_for_initializer] = "for_initializer",
  [field_for_iterator] = "for_iterator",
  [field_named_block_list] = "named_block_list",
  [field_script_block_body] = "script_block_body",
  [field_statement_list] = "statement_list",
  [field_statements] = "statements",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 1},
  [5] = {.index = 4, .length = 1},
  [6] = {.index = 5, .length = 1},
  [7] = {.index = 6, .length = 2},
  [8] = {.index = 8, .length = 1},
  [9] = {.index = 9, .length = 1},
  [10] = {.index = 10, .length = 2},
  [11] = {.index = 12, .length = 1},
  [12] = {.index = 13, .length = 1},
  [13] = {.index = 14, .length = 1},
  [14] = {.index = 15, .length = 1},
  [15] = {.index = 16, .length = 1},
  [16] = {.index = 17, .length = 2},
  [17] = {.index = 19, .length = 2},
  [18] = {.index = 21, .length = 1},
  [19] = {.index = 22, .length = 1},
  [20] = {.index = 23, .length = 3},
  [21] = {.index = 26, .length = 1},
  [22] = {.index = 27, .length = 1},
  [23] = {.index = 28, .length = 2},
  [24] = {.index = 30, .length = 2},
  [25] = {.index = 32, .length = 2},
  [26] = {.index = 34, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_command_name, 0},
  [1] =
    {field_script_block_body, 0},
  [2] =
    {field_named_block_list, 0},
  [3] =
    {field_statement_list, 0},
  [4] =
    {field_command_elements, 1},
  [5] =
    {field_command_name, 1},
  [6] =
    {field_command_elements, 1},
    {field_command_name, 0},
  [8] =
    {field_statements, 1},
  [9] =
    {field_value, 2},
  [10] =
    {field_command_elements, 2},
    {field_command_name, 1},
  [12] =
    {field_script_block_body, 2},
  [13] =
    {field_statement_list, 1},
  [14] =
    {field_script_block_body, 3},
  [15] =
    {field_condition, 2},
  [16] =
    {field_argument_expression_list, 1},
  [17] =
    {field_condition, 2},
    {field_elseif_clauses, 5},
  [19] =
    {field_condition, 2},
    {field_else_clause, 5},
  [21] =
    {field_for_initializer, 2},
  [22] =
    {field_condition, 4},
  [23] =
    {field_condition, 2},
    {field_else_clause, 6},
    {field_elseif_clauses, 5},
  [26] =
    {field_for_condition, 3},
  [27] =
    {field_for_iterator, 4},
  [28] =
    {field_for_condition, 5},
    {field_for_initializer, 2},
  [30] =
    {field_for_condition, 3},
    {field_for_iterator, 6},
  [32] =
    {field_for_initializer, 2},
    {field_for_iterator, 6},
  [34] =
    {field_for_condition, 5},
    {field_for_initializer, 2},
    {field_for_iterator, 8},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 3,
  [5] = 3,
  [6] = 3,
  [7] = 7,
  [8] = 7,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 9,
  [17] = 10,
  [18] = 9,
  [19] = 10,
  [20] = 9,
  [21] = 10,
  [22] = 7,
  [23] = 7,
  [24] = 7,
  [25] = 7,
  [26] = 7,
  [27] = 7,
  [28] = 7,
  [29] = 7,
  [30] = 30,
  [31] = 30,
  [32] = 30,
  [33] = 30,
  [34] = 30,
  [35] = 30,
  [36] = 30,
  [37] = 30,
  [38] = 30,
  [39] = 30,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 42,
  [44] = 44,
  [45] = 45,
  [46] = 45,
  [47] = 47,
  [48] = 44,
  [49] = 47,
  [50] = 45,
  [51] = 47,
  [52] = 44,
  [53] = 45,
  [54] = 54,
  [55] = 44,
  [56] = 45,
  [57] = 47,
  [58] = 44,
  [59] = 45,
  [60] = 47,
  [61] = 44,
  [62] = 45,
  [63] = 47,
  [64] = 44,
  [65] = 45,
  [66] = 47,
  [67] = 44,
  [68] = 45,
  [69] = 45,
  [70] = 45,
  [71] = 71,
  [72] = 47,
  [73] = 73,
  [74] = 54,
  [75] = 71,
  [76] = 3,
  [77] = 3,
  [78] = 78,
  [79] = 78,
  [80] = 3,
  [81] = 81,
  [82] = 3,
  [83] = 83,
  [84] = 84,
  [85] = 83,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 83,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 86,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 83,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 117,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 87,
  [122] = 92,
  [123] = 106,
  [124] = 89,
  [125] = 98,
  [126] = 95,
  [127] = 112,
  [128] = 117,
  [129] = 111,
  [130] = 90,
  [131] = 101,
  [132] = 116,
  [133] = 103,
  [134] = 105,
  [135] = 108,
  [136] = 110,
  [137] = 114,
  [138] = 115,
  [139] = 91,
  [140] = 118,
  [141] = 120,
  [142] = 119,
  [143] = 143,
  [144] = 143,
  [145] = 84,
  [146] = 104,
  [147] = 113,
  [148] = 93,
  [149] = 109,
  [150] = 96,
  [151] = 97,
  [152] = 99,
  [153] = 100,
  [154] = 88,
  [155] = 143,
  [156] = 143,
  [157] = 157,
  [158] = 99,
  [159] = 100,
  [160] = 160,
  [161] = 106,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 157,
  [166] = 166,
  [167] = 162,
  [168] = 95,
  [169] = 96,
  [170] = 160,
  [171] = 97,
  [172] = 95,
  [173] = 97,
  [174] = 96,
  [175] = 106,
  [176] = 100,
  [177] = 99,
  [178] = 164,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 166,
  [184] = 179,
  [185] = 182,
  [186] = 180,
  [187] = 163,
  [188] = 181,
  [189] = 189,
  [190] = 190,
  [191] = 190,
  [192] = 189,
  [193] = 42,
  [194] = 42,
  [195] = 195,
  [196] = 195,
  [197] = 197,
  [198] = 197,
  [199] = 3,
  [200] = 200,
  [201] = 200,
  [202] = 3,
  [203] = 203,
  [204] = 203,
  [205] = 3,
  [206] = 3,
  [207] = 3,
  [208] = 3,
  [209] = 3,
  [210] = 3,
  [211] = 3,
  [212] = 3,
  [213] = 3,
  [214] = 214,
  [215] = 3,
  [216] = 214,
  [217] = 214,
  [218] = 214,
  [219] = 214,
  [220] = 214,
  [221] = 214,
  [222] = 214,
  [223] = 3,
  [224] = 3,
  [225] = 3,
  [226] = 3,
  [227] = 214,
  [228] = 214,
  [229] = 229,
  [230] = 230,
  [231] = 230,
  [232] = 232,
  [233] = 229,
  [234] = 230,
  [235] = 232,
  [236] = 229,
  [237] = 230,
  [238] = 232,
  [239] = 229,
  [240] = 232,
  [241] = 241,
  [242] = 242,
  [243] = 241,
  [244] = 244,
  [245] = 241,
  [246] = 246,
  [247] = 242,
  [248] = 246,
  [249] = 244,
  [250] = 246,
  [251] = 242,
  [252] = 241,
  [253] = 246,
  [254] = 242,
  [255] = 244,
  [256] = 244,
  [257] = 257,
  [258] = 257,
  [259] = 259,
  [260] = 257,
  [261] = 261,
  [262] = 261,
  [263] = 257,
  [264] = 261,
  [265] = 261,
  [266] = 266,
  [267] = 267,
  [268] = 266,
  [269] = 267,
  [270] = 267,
  [271] = 271,
  [272] = 267,
  [273] = 273,
  [274] = 274,
  [275] = 267,
  [276] = 267,
  [277] = 267,
  [278] = 278,
  [279] = 267,
  [280] = 273,
  [281] = 278,
  [282] = 271,
  [283] = 266,
  [284] = 273,
  [285] = 278,
  [286] = 271,
  [287] = 266,
  [288] = 273,
  [289] = 278,
  [290] = 271,
  [291] = 143,
  [292] = 143,
  [293] = 143,
  [294] = 143,
  [295] = 295,
  [296] = 295,
  [297] = 157,
  [298] = 160,
  [299] = 299,
  [300] = 162,
  [301] = 160,
  [302] = 160,
  [303] = 303,
  [304] = 162,
  [305] = 42,
  [306] = 157,
  [307] = 162,
  [308] = 42,
  [309] = 309,
  [310] = 303,
  [311] = 42,
  [312] = 312,
  [313] = 42,
  [314] = 180,
  [315] = 182,
  [316] = 312,
  [317] = 317,
  [318] = 179,
  [319] = 181,
  [320] = 309,
  [321] = 299,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 179,
  [326] = 181,
  [327] = 180,
  [328] = 324,
  [329] = 309,
  [330] = 312,
  [331] = 331,
  [332] = 324,
  [333] = 333,
  [334] = 324,
  [335] = 335,
  [336] = 182,
  [337] = 324,
  [338] = 338,
  [339] = 324,
  [340] = 324,
  [341] = 324,
  [342] = 342,
  [343] = 324,
  [344] = 324,
  [345] = 345,
  [346] = 179,
  [347] = 181,
  [348] = 324,
  [349] = 324,
  [350] = 180,
  [351] = 331,
  [352] = 182,
  [353] = 309,
  [354] = 312,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 331,
  [359] = 359,
  [360] = 356,
  [361] = 356,
  [362] = 338,
  [363] = 363,
  [364] = 356,
  [365] = 323,
  [366] = 322,
  [367] = 367,
  [368] = 356,
  [369] = 356,
  [370] = 356,
  [371] = 371,
  [372] = 342,
  [373] = 189,
  [374] = 331,
  [375] = 375,
  [376] = 376,
  [377] = 356,
  [378] = 190,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 189,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 189,
  [387] = 387,
  [388] = 190,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 190,
  [394] = 394,
  [395] = 379,
  [396] = 396,
  [397] = 394,
  [398] = 398,
  [399] = 399,
  [400] = 312,
  [401] = 399,
  [402] = 389,
  [403] = 399,
  [404] = 381,
  [405] = 379,
  [406] = 394,
  [407] = 309,
  [408] = 379,
  [409] = 312,
  [410] = 398,
  [411] = 394,
  [412] = 42,
  [413] = 42,
  [414] = 390,
  [415] = 383,
  [416] = 399,
  [417] = 309,
  [418] = 399,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 426,
  [431] = 431,
  [432] = 432,
  [433] = 420,
  [434] = 434,
  [435] = 426,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 420,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 426,
  [445] = 420,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 420,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 420,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 420,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 426,
  [478] = 478,
  [479] = 479,
  [480] = 379,
  [481] = 481,
  [482] = 482,
  [483] = 394,
  [484] = 420,
  [485] = 465,
  [486] = 437,
  [487] = 427,
  [488] = 438,
  [489] = 449,
  [490] = 450,
  [491] = 491,
  [492] = 453,
  [493] = 454,
  [494] = 331,
  [495] = 468,
  [496] = 479,
  [497] = 481,
  [498] = 455,
  [499] = 436,
  [500] = 441,
  [501] = 442,
  [502] = 443,
  [503] = 461,
  [504] = 462,
  [505] = 467,
  [506] = 469,
  [507] = 470,
  [508] = 476,
  [509] = 482,
  [510] = 421,
  [511] = 423,
  [512] = 424,
  [513] = 491,
  [514] = 428,
  [515] = 429,
  [516] = 431,
  [517] = 432,
  [518] = 491,
  [519] = 456,
  [520] = 491,
  [521] = 195,
  [522] = 459,
  [523] = 471,
  [524] = 524,
  [525] = 491,
  [526] = 474,
  [527] = 475,
  [528] = 425,
  [529] = 422,
  [530] = 379,
  [531] = 448,
  [532] = 473,
  [533] = 197,
  [534] = 534,
  [535] = 463,
  [536] = 464,
  [537] = 434,
  [538] = 394,
  [539] = 446,
  [540] = 478,
  [541] = 466,
  [542] = 447,
  [543] = 451,
  [544] = 460,
  [545] = 331,
  [546] = 3,
  [547] = 547,
  [548] = 548,
  [549] = 547,
  [550] = 195,
  [551] = 335,
  [552] = 547,
  [553] = 195,
  [554] = 3,
  [555] = 3,
  [556] = 333,
  [557] = 547,
  [558] = 200,
  [559] = 197,
  [560] = 3,
  [561] = 547,
  [562] = 197,
  [563] = 203,
  [564] = 345,
  [565] = 565,
  [566] = 566,
  [567] = 566,
  [568] = 200,
  [569] = 569,
  [570] = 203,
  [571] = 566,
  [572] = 566,
  [573] = 573,
  [574] = 566,
  [575] = 200,
  [576] = 203,
  [577] = 577,
  [578] = 578,
  [579] = 577,
  [580] = 580,
  [581] = 577,
  [582] = 577,
  [583] = 583,
  [584] = 577,
  [585] = 585,
  [586] = 586,
  [587] = 586,
  [588] = 586,
  [589] = 586,
  [590] = 590,
  [591] = 586,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 593,
  [596] = 593,
  [597] = 597,
  [598] = 598,
  [599] = 598,
  [600] = 594,
  [601] = 593,
  [602] = 597,
  [603] = 598,
  [604] = 593,
  [605] = 597,
  [606] = 598,
  [607] = 593,
  [608] = 597,
  [609] = 598,
  [610] = 593,
  [611] = 597,
  [612] = 598,
  [613] = 593,
  [614] = 597,
  [615] = 598,
  [616] = 597,
  [617] = 598,
  [618] = 593,
  [619] = 597,
  [620] = 598,
  [621] = 593,
  [622] = 597,
  [623] = 598,
  [624] = 593,
  [625] = 593,
  [626] = 597,
  [627] = 598,
  [628] = 594,
  [629] = 593,
  [630] = 597,
  [631] = 598,
  [632] = 594,
  [633] = 597,
  [634] = 598,
  [635] = 593,
  [636] = 597,
  [637] = 598,
  [638] = 593,
  [639] = 593,
  [640] = 597,
  [641] = 593,
  [642] = 593,
  [643] = 597,
  [644] = 598,
  [645] = 594,
  [646] = 593,
  [647] = 597,
  [648] = 598,
  [649] = 597,
  [650] = 594,
  [651] = 598,
  [652] = 597,
  [653] = 594,
  [654] = 593,
  [655] = 597,
  [656] = 594,
  [657] = 598,
  [658] = 597,
  [659] = 594,
  [660] = 594,
  [661] = 594,
  [662] = 594,
  [663] = 663,
  [664] = 593,
  [665] = 597,
  [666] = 598,
  [667] = 598,
  [668] = 597,
  [669] = 593,
  [670] = 593,
  [671] = 598,
  [672] = 594,
  [673] = 597,
  [674] = 598,
  [675] = 593,
  [676] = 597,
  [677] = 598,
  [678] = 594,
  [679] = 593,
  [680] = 597,
  [681] = 598,
  [682] = 593,
  [683] = 597,
  [684] = 598,
  [685] = 593,
  [686] = 597,
  [687] = 598,
  [688] = 593,
  [689] = 597,
  [690] = 598,
  [691] = 598,
  [692] = 692,
  [693] = 692,
  [694] = 692,
  [695] = 692,
  [696] = 692,
  [697] = 692,
  [698] = 692,
  [699] = 692,
  [700] = 692,
  [701] = 692,
  [702] = 692,
  [703] = 692,
  [704] = 692,
  [705] = 692,
  [706] = 692,
  [707] = 692,
  [708] = 692,
  [709] = 692,
  [710] = 692,
  [711] = 692,
  [712] = 692,
  [713] = 692,
  [714] = 692,
  [715] = 692,
  [716] = 84,
  [717] = 717,
  [718] = 84,
  [719] = 719,
  [720] = 717,
  [721] = 721,
  [722] = 717,
  [723] = 84,
  [724] = 84,
  [725] = 717,
  [726] = 726,
  [727] = 726,
  [728] = 728,
  [729] = 729,
  [730] = 729,
  [731] = 728,
  [732] = 729,
  [733] = 728,
  [734] = 729,
  [735] = 729,
  [736] = 728,
  [737] = 729,
  [738] = 726,
  [739] = 726,
  [740] = 740,
  [741] = 42,
  [742] = 742,
  [743] = 743,
  [744] = 743,
  [745] = 745,
  [746] = 745,
  [747] = 83,
  [748] = 83,
  [749] = 83,
  [750] = 743,
  [751] = 751,
  [752] = 745,
  [753] = 751,
  [754] = 743,
  [755] = 745,
  [756] = 756,
  [757] = 756,
  [758] = 83,
  [759] = 103,
  [760] = 97,
  [761] = 99,
  [762] = 100,
  [763] = 106,
  [764] = 92,
  [765] = 93,
  [766] = 84,
  [767] = 83,
  [768] = 84,
  [769] = 95,
  [770] = 84,
  [771] = 84,
  [772] = 83,
  [773] = 751,
  [774] = 83,
  [775] = 751,
  [776] = 756,
  [777] = 90,
  [778] = 87,
  [779] = 756,
  [780] = 91,
  [781] = 111,
  [782] = 113,
  [783] = 91,
  [784] = 143,
  [785] = 115,
  [786] = 119,
  [787] = 114,
  [788] = 101,
  [789] = 116,
  [790] = 86,
  [791] = 791,
  [792] = 117,
  [793] = 105,
  [794] = 108,
  [795] = 795,
  [796] = 110,
  [797] = 88,
  [798] = 118,
  [799] = 120,
  [800] = 92,
  [801] = 104,
  [802] = 93,
  [803] = 90,
  [804] = 109,
  [805] = 97,
  [806] = 791,
  [807] = 99,
  [808] = 89,
  [809] = 98,
  [810] = 112,
  [811] = 117,
  [812] = 111,
  [813] = 813,
  [814] = 113,
  [815] = 143,
  [816] = 115,
  [817] = 119,
  [818] = 114,
  [819] = 100,
  [820] = 101,
  [821] = 116,
  [822] = 813,
  [823] = 103,
  [824] = 105,
  [825] = 106,
  [826] = 108,
  [827] = 110,
  [828] = 83,
  [829] = 88,
  [830] = 87,
  [831] = 95,
  [832] = 118,
  [833] = 120,
  [834] = 104,
  [835] = 109,
  [836] = 96,
  [837] = 89,
  [838] = 98,
  [839] = 86,
  [840] = 112,
  [841] = 96,
  [842] = 106,
  [843] = 84,
  [844] = 84,
  [845] = 110,
  [846] = 88,
  [847] = 101,
  [848] = 791,
  [849] = 116,
  [850] = 118,
  [851] = 813,
  [852] = 852,
  [853] = 120,
  [854] = 104,
  [855] = 109,
  [856] = 791,
  [857] = 852,
  [858] = 858,
  [859] = 103,
  [860] = 89,
  [861] = 98,
  [862] = 105,
  [863] = 108,
  [864] = 112,
  [865] = 117,
  [866] = 110,
  [867] = 115,
  [868] = 88,
  [869] = 858,
  [870] = 119,
  [871] = 118,
  [872] = 120,
  [873] = 87,
  [874] = 104,
  [875] = 86,
  [876] = 109,
  [877] = 114,
  [878] = 89,
  [879] = 98,
  [880] = 112,
  [881] = 90,
  [882] = 117,
  [883] = 87,
  [884] = 91,
  [885] = 86,
  [886] = 813,
  [887] = 113,
  [888] = 143,
  [889] = 90,
  [890] = 91,
  [891] = 891,
  [892] = 115,
  [893] = 92,
  [894] = 143,
  [895] = 93,
  [896] = 143,
  [897] = 119,
  [898] = 114,
  [899] = 92,
  [900] = 93,
  [901] = 143,
  [902] = 891,
  [903] = 95,
  [904] = 96,
  [905] = 97,
  [906] = 111,
  [907] = 99,
  [908] = 100,
  [909] = 106,
  [910] = 101,
  [911] = 95,
  [912] = 96,
  [913] = 97,
  [914] = 99,
  [915] = 100,
  [916] = 113,
  [917] = 116,
  [918] = 103,
  [919] = 105,
  [920] = 84,
  [921] = 108,
  [922] = 84,
  [923] = 111,
  [924] = 924,
  [925] = 925,
  [926] = 924,
  [927] = 83,
  [928] = 143,
  [929] = 143,
  [930] = 42,
  [931] = 42,
  [932] = 925,
  [933] = 83,
  [934] = 103,
  [935] = 116,
  [936] = 42,
  [937] = 925,
  [938] = 42,
  [939] = 95,
  [940] = 96,
  [941] = 86,
  [942] = 942,
  [943] = 925,
  [944] = 90,
  [945] = 945,
  [946] = 97,
  [947] = 113,
  [948] = 117,
  [949] = 105,
  [950] = 950,
  [951] = 108,
  [952] = 110,
  [953] = 88,
  [954] = 106,
  [955] = 115,
  [956] = 120,
  [957] = 87,
  [958] = 119,
  [959] = 99,
  [960] = 114,
  [961] = 111,
  [962] = 104,
  [963] = 924,
  [964] = 91,
  [965] = 945,
  [966] = 942,
  [967] = 924,
  [968] = 109,
  [969] = 101,
  [970] = 84,
  [971] = 89,
  [972] = 100,
  [973] = 98,
  [974] = 92,
  [975] = 950,
  [976] = 112,
  [977] = 93,
  [978] = 118,
  [979] = 979,
  [980] = 83,
  [981] = 981,
  [982] = 942,
  [983] = 950,
  [984] = 981,
  [985] = 945,
  [986] = 986,
  [987] = 942,
  [988] = 988,
  [989] = 986,
  [990] = 945,
  [991] = 950,
  [992] = 979,
  [993] = 988,
  [994] = 83,
  [995] = 157,
  [996] = 110,
  [997] = 986,
  [998] = 103,
  [999] = 91,
  [1000] = 115,
  [1001] = 96,
  [1002] = 90,
  [1003] = 119,
  [1004] = 114,
  [1005] = 104,
  [1006] = 162,
  [1007] = 979,
  [1008] = 92,
  [1009] = 988,
  [1010] = 93,
  [1011] = 97,
  [1012] = 101,
  [1013] = 88,
  [1014] = 116,
  [1015] = 95,
  [1016] = 118,
  [1017] = 111,
  [1018] = 42,
  [1019] = 120,
  [1020] = 113,
  [1021] = 160,
  [1022] = 986,
  [1023] = 105,
  [1024] = 86,
  [1025] = 143,
  [1026] = 143,
  [1027] = 99,
  [1028] = 162,
  [1029] = 100,
  [1030] = 109,
  [1031] = 108,
  [1032] = 979,
  [1033] = 160,
  [1034] = 84,
  [1035] = 157,
  [1036] = 106,
  [1037] = 89,
  [1038] = 988,
  [1039] = 112,
  [1040] = 117,
  [1041] = 98,
  [1042] = 87,
  [1043] = 157,
  [1044] = 164,
  [1045] = 1045,
  [1046] = 162,
  [1047] = 160,
  [1048] = 106,
  [1049] = 99,
  [1050] = 97,
  [1051] = 100,
  [1052] = 157,
  [1053] = 1045,
  [1054] = 99,
  [1055] = 100,
  [1056] = 106,
  [1057] = 162,
  [1058] = 143,
  [1059] = 143,
  [1060] = 96,
  [1061] = 95,
  [1062] = 96,
  [1063] = 160,
  [1064] = 164,
  [1065] = 157,
  [1066] = 160,
  [1067] = 157,
  [1068] = 162,
  [1069] = 160,
  [1070] = 95,
  [1071] = 162,
  [1072] = 97,
  [1073] = 162,
  [1074] = 95,
  [1075] = 924,
  [1076] = 1076,
  [1077] = 96,
  [1078] = 106,
  [1079] = 924,
  [1080] = 99,
  [1081] = 100,
  [1082] = 95,
  [1083] = 42,
  [1084] = 1045,
  [1085] = 97,
  [1086] = 1076,
  [1087] = 99,
  [1088] = 100,
  [1089] = 164,
  [1090] = 164,
  [1091] = 162,
  [1092] = 96,
  [1093] = 106,
  [1094] = 157,
  [1095] = 97,
  [1096] = 160,
  [1097] = 157,
  [1098] = 160,
  [1099] = 1045,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1101,
  [1106] = 1106,
  [1107] = 93,
  [1108] = 92,
  [1109] = 1109,
  [1110] = 1109,
  [1111] = 1076,
  [1112] = 1076,
  [1113] = 1113,
  [1114] = 1100,
  [1115] = 42,
  [1116] = 1106,
  [1117] = 1103,
  [1118] = 355,
  [1119] = 93,
  [1120] = 92,
  [1121] = 1104,
  [1122] = 93,
  [1123] = 1101,
  [1124] = 92,
  [1125] = 1109,
  [1126] = 1104,
  [1127] = 1100,
  [1128] = 1128,
  [1129] = 1106,
  [1130] = 1128,
  [1131] = 1109,
  [1132] = 1101,
  [1133] = 1133,
  [1134] = 1106,
  [1135] = 1133,
  [1136] = 93,
  [1137] = 1100,
  [1138] = 1104,
  [1139] = 1103,
  [1140] = 92,
  [1141] = 1103,
  [1142] = 160,
  [1143] = 162,
  [1144] = 162,
  [1145] = 160,
  [1146] = 157,
  [1147] = 157,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1101,
  [1151] = 1104,
  [1152] = 1076,
  [1153] = 1109,
  [1154] = 1100,
  [1155] = 1076,
  [1156] = 1109,
  [1157] = 1104,
  [1158] = 1101,
  [1159] = 1100,
  [1160] = 1160,
  [1161] = 355,
  [1162] = 1162,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1166,
  [1167] = 1165,
  [1168] = 1168,
  [1169] = 1165,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1168,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1171,
  [1176] = 1173,
  [1177] = 1166,
  [1178] = 1165,
  [1179] = 1174,
  [1180] = 1166,
  [1181] = 1168,
  [1182] = 1174,
  [1183] = 1171,
  [1184] = 1173,
  [1185] = 1166,
  [1186] = 1168,
  [1187] = 1174,
  [1188] = 1171,
  [1189] = 1173,
  [1190] = 1190,
  [1191] = 1190,
  [1192] = 1190,
  [1193] = 1190,
  [1194] = 1190,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1196,
  [1198] = 1195,
  [1199] = 1196,
  [1200] = 1195,
  [1201] = 1195,
  [1202] = 1196,
  [1203] = 1196,
  [1204] = 1195,
  [1205] = 1195,
  [1206] = 1206,
  [1207] = 1196,
  [1208] = 1206,
  [1209] = 1196,
  [1210] = 1196,
  [1211] = 1195,
  [1212] = 1206,
  [1213] = 1206,
  [1214] = 1206,
  [1215] = 1195,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1217,
  [1219] = 1217,
  [1220] = 1220,
  [1221] = 1216,
  [1222] = 1222,
  [1223] = 1217,
  [1224] = 1216,
  [1225] = 1217,
  [1226] = 1216,
  [1227] = 1216,
  [1228] = 1216,
  [1229] = 1216,
  [1230] = 1230,
  [1231] = 1217,
  [1232] = 1217,
  [1233] = 1216,
  [1234] = 1217,
  [1235] = 84,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 1237,
  [1239] = 1236,
  [1240] = 1236,
  [1241] = 717,
  [1242] = 1242,
  [1243] = 1237,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 91,
  [1248] = 90,
  [1249] = 91,
  [1250] = 1250,
  [1251] = 91,
  [1252] = 1252,
  [1253] = 1253,
  [1254] = 84,
  [1255] = 355,
  [1256] = 84,
  [1257] = 1257,
  [1258] = 84,
  [1259] = 90,
  [1260] = 90,
  [1261] = 1261,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1265,
  [1266] = 1266,
  [1267] = 1267,
  [1268] = 1268,
  [1269] = 745,
  [1270] = 1270,
  [1271] = 743,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 394,
  [1275] = 1275,
  [1276] = 379,
  [1277] = 1277,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1279,
  [1283] = 1283,
  [1284] = 1283,
  [1285] = 1279,
  [1286] = 1283,
  [1287] = 1283,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1279,
  [1291] = 143,
  [1292] = 84,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1295,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 1294,
  [1299] = 1288,
  [1300] = 1300,
  [1301] = 1289,
  [1302] = 1302,
  [1303] = 1303,
  [1304] = 1304,
  [1305] = 143,
  [1306] = 858,
  [1307] = 1307,
  [1308] = 1308,
  [1309] = 891,
  [1310] = 925,
  [1311] = 1311,
  [1312] = 1307,
  [1313] = 1302,
  [1314] = 1307,
  [1315] = 1302,
  [1316] = 1307,
  [1317] = 1302,
  [1318] = 891,
  [1319] = 299,
  [1320] = 143,
  [1321] = 1321,
  [1322] = 858,
  [1323] = 143,
  [1324] = 942,
  [1325] = 1325,
  [1326] = 891,
  [1327] = 858,
  [1328] = 299,
  [1329] = 303,
  [1330] = 950,
  [1331] = 1331,
  [1332] = 945,
  [1333] = 303,
  [1334] = 1325,
  [1335] = 1335,
  [1336] = 1336,
  [1337] = 1337,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1340,
  [1343] = 1340,
  [1344] = 1344,
  [1345] = 1341,
  [1346] = 1339,
  [1347] = 979,
  [1348] = 1339,
  [1349] = 988,
  [1350] = 1336,
  [1351] = 986,
  [1352] = 1338,
  [1353] = 1339,
  [1354] = 1344,
  [1355] = 1355,
  [1356] = 342,
  [1357] = 1344,
  [1358] = 1358,
  [1359] = 323,
  [1360] = 322,
  [1361] = 1358,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 379,
  [1366] = 1358,
  [1367] = 1358,
  [1368] = 1358,
  [1369] = 394,
  [1370] = 1358,
  [1371] = 1358,
  [1372] = 1358,
  [1373] = 1358,
  [1374] = 981,
  [1375] = 1341,
  [1376] = 1358,
  [1377] = 1358,
  [1378] = 1378,
  [1379] = 1362,
  [1380] = 1341,
  [1381] = 1362,
  [1382] = 1362,
  [1383] = 1383,
  [1384] = 1358,
  [1385] = 1358,
  [1386] = 1358,
  [1387] = 338,
  [1388] = 1358,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 342,
  [1392] = 1358,
  [1393] = 1344,
  [1394] = 1358,
  [1395] = 1355,
  [1396] = 338,
  [1397] = 323,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 322,
  [1401] = 1358,
  [1402] = 981,
  [1403] = 1403,
  [1404] = 1403,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1408,
  [1412] = 1412,
  [1413] = 1403,
  [1414] = 1405,
  [1415] = 1415,
  [1416] = 1409,
  [1417] = 1408,
  [1418] = 1403,
  [1419] = 1405,
  [1420] = 1420,
  [1421] = 87,
  [1422] = 86,
  [1423] = 981,
  [1424] = 1405,
  [1425] = 1425,
  [1426] = 1409,
  [1427] = 87,
  [1428] = 1409,
  [1429] = 86,
  [1430] = 1408,
  [1431] = 1425,
  [1432] = 1432,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1435,
  [1436] = 1436,
  [1437] = 1437,
  [1438] = 1438,
  [1439] = 1439,
  [1440] = 1440,
  [1441] = 1441,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 1442,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1447,
  [1448] = 1448,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 398,
  [1452] = 1452,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1435,
  [1459] = 1459,
  [1460] = 1438,
  [1461] = 1461,
  [1462] = 1442,
  [1463] = 1433,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 383,
  [1467] = 1456,
  [1468] = 1468,
  [1469] = 1469,
  [1470] = 1435,
  [1471] = 1438,
  [1472] = 1442,
  [1473] = 1456,
  [1474] = 1474,
  [1475] = 1435,
  [1476] = 1476,
  [1477] = 1456,
  [1478] = 1435,
  [1479] = 389,
  [1480] = 1456,
  [1481] = 1435,
  [1482] = 1482,
  [1483] = 1469,
  [1484] = 381,
  [1485] = 1442,
  [1486] = 1486,
  [1487] = 398,
  [1488] = 1488,
  [1489] = 1456,
  [1490] = 1490,
  [1491] = 1464,
  [1492] = 1438,
  [1493] = 390,
  [1494] = 1494,
  [1495] = 1495,
  [1496] = 1434,
  [1497] = 1449,
  [1498] = 1488,
  [1499] = 1494,
  [1500] = 1432,
  [1501] = 1501,
  [1502] = 1490,
  [1503] = 1464,
  [1504] = 390,
  [1505] = 1468,
  [1506] = 1494,
  [1507] = 1495,
  [1508] = 1508,
  [1509] = 1434,
  [1510] = 1510,
  [1511] = 1449,
  [1512] = 1508,
  [1513] = 1510,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 1517,
  [1518] = 1490,
  [1519] = 1464,
  [1520] = 1520,
  [1521] = 1468,
  [1522] = 1494,
  [1523] = 1495,
  [1524] = 1434,
  [1525] = 1525,
  [1526] = 1449,
  [1527] = 383,
  [1528] = 1528,
  [1529] = 1495,
  [1530] = 1490,
  [1531] = 1438,
  [1532] = 1532,
  [1533] = 1455,
  [1534] = 1432,
  [1535] = 1535,
  [1536] = 1461,
  [1537] = 1488,
  [1538] = 1456,
  [1539] = 389,
  [1540] = 1456,
  [1541] = 1516,
  [1542] = 1432,
  [1543] = 1435,
  [1544] = 1435,
  [1545] = 1545,
  [1546] = 381,
  [1547] = 1488,
  [1548] = 1468,
  [1549] = 1549,
  [1550] = 1550,
  [1551] = 1551,
  [1552] = 1552,
  [1553] = 1549,
  [1554] = 1552,
  [1555] = 1551,
  [1556] = 1556,
  [1557] = 1557,
  [1558] = 1558,
  [1559] = 1559,
  [1560] = 1560,
  [1561] = 1106,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 1564,
  [1565] = 1565,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 1568,
  [1569] = 1569,
  [1570] = 1570,
  [1571] = 1571,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1557,
  [1575] = 1575,
  [1576] = 1576,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1566,
  [1580] = 1569,
  [1581] = 1575,
  [1582] = 1556,
  [1583] = 1583,
  [1584] = 1584,
  [1585] = 1585,
  [1586] = 1567,
  [1587] = 1587,
  [1588] = 1557,
  [1589] = 1587,
  [1590] = 1590,
  [1591] = 1591,
  [1592] = 1592,
  [1593] = 1593,
  [1594] = 1590,
  [1595] = 1591,
  [1596] = 1592,
  [1597] = 1558,
  [1598] = 1571,
  [1599] = 1599,
  [1600] = 1587,
  [1601] = 1601,
  [1602] = 1590,
  [1603] = 1558,
  [1604] = 1591,
  [1605] = 1605,
  [1606] = 1572,
  [1607] = 1592,
  [1608] = 1593,
  [1609] = 1609,
  [1610] = 1550,
  [1611] = 1558,
  [1612] = 1551,
  [1613] = 1573,
  [1614] = 1614,
  [1615] = 1615,
  [1616] = 1558,
  [1617] = 1617,
  [1618] = 1593,
  [1619] = 1615,
  [1620] = 1558,
  [1621] = 1621,
  [1622] = 1565,
  [1623] = 1549,
  [1624] = 1624,
  [1625] = 1552,
  [1626] = 1570,
  [1627] = 1556,
  [1628] = 1571,
  [1629] = 1558,
  [1630] = 1560,
  [1631] = 1572,
  [1632] = 1560,
  [1633] = 1633,
  [1634] = 1609,
  [1635] = 1562,
  [1636] = 1636,
  [1637] = 1573,
  [1638] = 1564,
  [1639] = 1565,
  [1640] = 1640,
  [1641] = 1633,
  [1642] = 1562,
  [1643] = 1643,
  [1644] = 1564,
  [1645] = 1560,
  [1646] = 1576,
  [1647] = 1624,
  [1648] = 1570,
  [1649] = 1633,
  [1650] = 1571,
  [1651] = 1572,
  [1652] = 1573,
  [1653] = 1550,
  [1654] = 1577,
  [1655] = 1578,
  [1656] = 1576,
  [1657] = 1577,
  [1658] = 1658,
  [1659] = 1566,
  [1660] = 1578,
  [1661] = 1661,
  [1662] = 1566,
  [1663] = 1564,
  [1664] = 1569,
  [1665] = 1665,
  [1666] = 1666,
  [1667] = 1575,
  [1668] = 1668,
  [1669] = 1583,
  [1670] = 1670,
  [1671] = 1584,
  [1672] = 1633,
  [1673] = 1585,
  [1674] = 1567,
  [1675] = 1557,
  [1676] = 1587,
  [1677] = 1590,
  [1678] = 1591,
  [1679] = 1592,
  [1680] = 1593,
  [1681] = 1569,
  [1682] = 1682,
  [1683] = 1576,
  [1684] = 1684,
  [1685] = 1565,
  [1686] = 1577,
  [1687] = 1605,
  [1688] = 1688,
  [1689] = 1689,
  [1690] = 1583,
  [1691] = 1691,
  [1692] = 1584,
  [1693] = 1585,
  [1694] = 1605,
  [1695] = 1695,
  [1696] = 1609,
  [1697] = 1550,
  [1698] = 1551,
  [1699] = 1699,
  [1700] = 1567,
  [1701] = 1575,
  [1702] = 1702,
  [1703] = 1583,
  [1704] = 1704,
  [1705] = 1615,
  [1706] = 1549,
  [1707] = 1552,
  [1708] = 1708,
  [1709] = 1556,
  [1710] = 1584,
  [1711] = 1711,
  [1712] = 1688,
  [1713] = 1688,
  [1714] = 1578,
  [1715] = 1688,
  [1716] = 1716,
  [1717] = 1570,
  [1718] = 1684,
  [1719] = 1684,
  [1720] = 1684,
  [1721] = 1621,
  [1722] = 1621,
  [1723] = 1621,
  [1724] = 1585,
  [1725] = 1558,
  [1726] = 1605,
  [1727] = 1609,
  [1728] = 1562,
  [1729] = 1729,
  [1730] = 1730,
  [1731] = 456,
  [1732] = 1732,
  [1733] = 459,
  [1734] = 431,
  [1735] = 465,
  [1736] = 1736,
  [1737] = 471,
  [1738] = 1738,
  [1739] = 1739,
  [1740] = 1740,
  [1741] = 1741,
  [1742] = 1742,
  [1743] = 1743,
  [1744] = 1744,
  [1745] = 1739,
  [1746] = 1746,
  [1747] = 1747,
  [1748] = 1748,
  [1749] = 432,
  [1750] = 1750,
  [1751] = 1751,
  [1752] = 1752,
  [1753] = 1751,
  [1754] = 1754,
  [1755] = 1755,
  [1756] = 453,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1741,
  [1760] = 1760,
  [1761] = 461,
  [1762] = 1746,
  [1763] = 1763,
  [1764] = 1764,
  [1765] = 454,
  [1766] = 1766,
  [1767] = 1767,
  [1768] = 1741,
  [1769] = 1742,
  [1770] = 1770,
  [1771] = 1739,
  [1772] = 1746,
  [1773] = 1747,
  [1774] = 1755,
  [1775] = 1775,
  [1776] = 1750,
  [1777] = 1751,
  [1778] = 1778,
  [1779] = 1755,
  [1780] = 1757,
  [1781] = 1781,
  [1782] = 1750,
  [1783] = 1783,
  [1784] = 1757,
  [1785] = 1785,
  [1786] = 1786,
  [1787] = 1787,
  [1788] = 345,
  [1789] = 1747,
  [1790] = 1741,
  [1791] = 1742,
  [1792] = 463,
  [1793] = 1739,
  [1794] = 1746,
  [1795] = 1747,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1750,
  [1799] = 1751,
  [1800] = 464,
  [1801] = 1755,
  [1802] = 1757,
  [1803] = 434,
  [1804] = 1804,
  [1805] = 446,
  [1806] = 1806,
  [1807] = 478,
  [1808] = 466,
  [1809] = 1809,
  [1810] = 1810,
  [1811] = 447,
  [1812] = 1741,
  [1813] = 1742,
  [1814] = 1814,
  [1815] = 1739,
  [1816] = 1746,
  [1817] = 1747,
  [1818] = 468,
  [1819] = 437,
  [1820] = 1750,
  [1821] = 1751,
  [1822] = 451,
  [1823] = 1755,
  [1824] = 1757,
  [1825] = 460,
  [1826] = 1826,
  [1827] = 1742,
  [1828] = 1739,
  [1829] = 1750,
  [1830] = 1830,
  [1831] = 1757,
  [1832] = 1832,
  [1833] = 1833,
  [1834] = 1742,
  [1835] = 1739,
  [1836] = 1750,
  [1837] = 1837,
  [1838] = 1757,
  [1839] = 427,
  [1840] = 438,
  [1841] = 1739,
  [1842] = 449,
  [1843] = 1757,
  [1844] = 450,
  [1845] = 1740,
  [1846] = 1757,
  [1847] = 1847,
  [1848] = 1848,
  [1849] = 453,
  [1850] = 454,
  [1851] = 1851,
  [1852] = 333,
  [1853] = 1853,
  [1854] = 1854,
  [1855] = 468,
  [1856] = 1856,
  [1857] = 479,
  [1858] = 1858,
  [1859] = 481,
  [1860] = 1860,
  [1861] = 455,
  [1862] = 436,
  [1863] = 441,
  [1864] = 442,
  [1865] = 443,
  [1866] = 1866,
  [1867] = 461,
  [1868] = 462,
  [1869] = 467,
  [1870] = 1740,
  [1871] = 469,
  [1872] = 1741,
  [1873] = 470,
  [1874] = 1742,
  [1875] = 1875,
  [1876] = 476,
  [1877] = 1744,
  [1878] = 482,
  [1879] = 1804,
  [1880] = 421,
  [1881] = 1881,
  [1882] = 1882,
  [1883] = 423,
  [1884] = 1743,
  [1885] = 424,
  [1886] = 1886,
  [1887] = 1887,
  [1888] = 462,
  [1889] = 1889,
  [1890] = 474,
  [1891] = 428,
  [1892] = 475,
  [1893] = 1893,
  [1894] = 1894,
  [1895] = 1740,
  [1896] = 429,
  [1897] = 479,
  [1898] = 1887,
  [1899] = 1899,
  [1900] = 1900,
  [1901] = 431,
  [1902] = 1752,
  [1903] = 432,
  [1904] = 1742,
  [1905] = 481,
  [1906] = 1906,
  [1907] = 1907,
  [1908] = 437,
  [1909] = 1909,
  [1910] = 1910,
  [1911] = 1911,
  [1912] = 455,
  [1913] = 1913,
  [1914] = 1914,
  [1915] = 1915,
  [1916] = 1739,
  [1917] = 1740,
  [1918] = 1918,
  [1919] = 425,
  [1920] = 1920,
  [1921] = 1921,
  [1922] = 1757,
  [1923] = 474,
  [1924] = 475,
  [1925] = 422,
  [1926] = 1854,
  [1927] = 425,
  [1928] = 422,
  [1929] = 448,
  [1930] = 473,
  [1931] = 1881,
  [1932] = 448,
  [1933] = 1933,
  [1934] = 473,
  [1935] = 1935,
  [1936] = 1875,
  [1937] = 1796,
  [1938] = 1744,
  [1939] = 1804,
  [1940] = 1751,
  [1941] = 1881,
  [1942] = 1882,
  [1943] = 1740,
  [1944] = 1899,
  [1945] = 1729,
  [1946] = 1746,
  [1947] = 1889,
  [1948] = 1948,
  [1949] = 1900,
  [1950] = 1741,
  [1951] = 1893,
  [1952] = 1894,
  [1953] = 1742,
  [1954] = 1882,
  [1955] = 1747,
  [1956] = 1887,
  [1957] = 1899,
  [1958] = 1900,
  [1959] = 1740,
  [1960] = 1752,
  [1961] = 1961,
  [1962] = 436,
  [1963] = 467,
  [1964] = 469,
  [1965] = 1961,
  [1966] = 1966,
  [1967] = 1739,
  [1968] = 1809,
  [1969] = 1740,
  [1970] = 1970,
  [1971] = 1746,
  [1972] = 1747,
  [1973] = 1973,
  [1974] = 1750,
  [1975] = 1975,
  [1976] = 1750,
  [1977] = 1977,
  [1978] = 441,
  [1979] = 1751,
  [1980] = 1875,
  [1981] = 1981,
  [1982] = 1804,
  [1983] = 1751,
  [1984] = 1881,
  [1985] = 1882,
  [1986] = 1986,
  [1987] = 1987,
  [1988] = 1740,
  [1989] = 442,
  [1990] = 1889,
  [1991] = 1755,
  [1992] = 1740,
  [1993] = 443,
  [1994] = 1893,
  [1995] = 1894,
  [1996] = 1996,
  [1997] = 1997,
  [1998] = 470,
  [1999] = 1887,
  [2000] = 1899,
  [2001] = 1900,
  [2002] = 456,
  [2003] = 1752,
  [2004] = 2004,
  [2005] = 459,
  [2006] = 2006,
  [2007] = 465,
  [2008] = 1875,
  [2009] = 471,
  [2010] = 1740,
  [2011] = 1889,
  [2012] = 2012,
  [2013] = 1755,
  [2014] = 1740,
  [2015] = 2015,
  [2016] = 2016,
  [2017] = 1796,
  [2018] = 1740,
  [2019] = 2019,
  [2020] = 1973,
  [2021] = 1973,
  [2022] = 1740,
  [2023] = 1755,
  [2024] = 1858,
  [2025] = 1740,
  [2026] = 2026,
  [2027] = 1848,
  [2028] = 1781,
  [2029] = 2029,
  [2030] = 1767,
  [2031] = 2031,
  [2032] = 1826,
  [2033] = 2033,
  [2034] = 1886,
  [2035] = 1740,
  [2036] = 1920,
  [2037] = 1729,
  [2038] = 2038,
  [2039] = 1750,
  [2040] = 1732,
  [2041] = 2041,
  [2042] = 2015,
  [2043] = 2043,
  [2044] = 2044,
  [2045] = 1785,
  [2046] = 1797,
  [2047] = 2047,
  [2048] = 1973,
  [2049] = 1757,
  [2050] = 1893,
  [2051] = 2051,
  [2052] = 1858,
  [2053] = 1886,
  [2054] = 1854,
  [2055] = 1781,
  [2056] = 2056,
  [2057] = 463,
  [2058] = 464,
  [2059] = 434,
  [2060] = 1796,
  [2061] = 1894,
  [2062] = 446,
  [2063] = 1781,
  [2064] = 476,
  [2065] = 1961,
  [2066] = 478,
  [2067] = 466,
  [2068] = 2031,
  [2069] = 1741,
  [2070] = 1742,
  [2071] = 482,
  [2072] = 447,
  [2073] = 1757,
  [2074] = 1787,
  [2075] = 1740,
  [2076] = 421,
  [2077] = 1858,
  [2078] = 1848,
  [2079] = 1886,
  [2080] = 2029,
  [2081] = 1767,
  [2082] = 2031,
  [2083] = 1739,
  [2084] = 1746,
  [2085] = 1920,
  [2086] = 1729,
  [2087] = 2038,
  [2088] = 1747,
  [2089] = 1732,
  [2090] = 451,
  [2091] = 2015,
  [2092] = 2043,
  [2093] = 460,
  [2094] = 1785,
  [2095] = 1797,
  [2096] = 2047,
  [2097] = 1848,
  [2098] = 2043,
  [2099] = 2029,
  [2100] = 1767,
  [2101] = 423,
  [2102] = 2038,
  [2103] = 1920,
  [2104] = 424,
  [2105] = 2038,
  [2106] = 2106,
  [2107] = 1732,
  [2108] = 2029,
  [2109] = 2015,
  [2110] = 2043,
  [2111] = 1833,
  [2112] = 1785,
  [2113] = 1797,
  [2114] = 2047,
  [2115] = 1935,
  [2116] = 2051,
  [2117] = 2006,
  [2118] = 1910,
  [2119] = 2119,
  [2120] = 1997,
  [2121] = 1814,
  [2122] = 1935,
  [2123] = 2051,
  [2124] = 428,
  [2125] = 1910,
  [2126] = 2119,
  [2127] = 1997,
  [2128] = 1935,
  [2129] = 2051,
  [2130] = 2047,
  [2131] = 1910,
  [2132] = 2119,
  [2133] = 1997,
  [2134] = 2119,
  [2135] = 427,
  [2136] = 438,
  [2137] = 2137,
  [2138] = 449,
  [2139] = 450,
  [2140] = 2140,
  [2141] = 429,
  [2142] = 2142,
  [2143] = 1740,
  [2144] = 2041,
  [2145] = 335,
  [2146] = 2041,
  [2147] = 2147,
  [2148] = 2041,
  [2149] = 1787,
};

static TSCharacterRange sym_generic_token_character_set_1[] = {
  {0, 0x08}, {0x0e, 0x1f}, {'!', '!'}, {'#', '#'}, {'%', '&'}, {'*', ','}, {'.', '?'}, {'A', 'Z'},
  {'\\', '_'}, {'a', 'z'}, {'~', 0x10ffff},
};

static TSCharacterRange aux_sym_command_name_token1_character_set_1[] = {
  {0, 0x08}, {0x0e, 0x1f}, {'#', '#'}, {'.', '.'}, {'0', ':'}, {'=', '?'}, {'A', 'Z'}, {'\\', '\\'},
  {'^', '_'}, {'a', 'z'}, {'~', 0x10ffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(461);
      ADVANCE_MAP(
        '!', 1797,
        '"', 1720,
        '#', 463,
        '$', 592,
        '%', 1757,
        '&', 1511,
        '\'', 123,
        '(', 1455,
        ')', 1456,
        '*', 1791,
        '+', 1774,
        ',', 1458,
        '-', 1777,
        '.', 1820,
        '/', 1788,
        '0', 485,
        '1', 479,
        '2', 480,
        '3', 481,
        '4', 482,
        '5', 483,
        '6', 484,
        ':', 1753,
        ';', 1453,
        '<', 826,
        '=', 778,
        '>', 784,
        '@', 96,
        '[', 775,
        '\\', 1789,
        ']', 1822,
      );
      if (lookahead == '`') SKIP(446);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == '|') ADVANCE(1510);
      if (lookahead == '}') ADVANCE(1466);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(675);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(650);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(654);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(710);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(697);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(698);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(688);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(656);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(681);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(676);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(695);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(728);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(696);
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(486);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(453);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(80);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(81);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(596);
      if (lookahead == ' ') ADVANCE(2);
      END_STATE();
    case 3:
      if (lookahead == '\n') ADVANCE(5);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(3);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(4);
      if (lookahead == '\'') ADVANCE(40);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(5);
      if (lookahead != 0) ADVANCE(7);
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(4);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(5);
      if (lookahead != 0) ADVANCE(7);
      END_STATE();
    case 6:
      if (lookahead == '\n') ADVANCE(48);
      if (lookahead == '\'') ADVANCE(40);
      if (lookahead != 0) ADVANCE(7);
      END_STATE();
    case 7:
      if (lookahead == '\n') ADVANCE(48);
      if (lookahead != 0) ADVANCE(7);
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(89);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(90);
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(94);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(58);
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(95);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(14);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '\n', 1486,
        '!', 1796,
        '"', 540,
        '#', 468,
        '$', 120,
        '%', 1756,
        '&', 1511,
        '\'', 124,
        '(', 1455,
        ')', 1456,
        '+', 1773,
        ',', 1458,
        '-', 1781,
        '.', 773,
        '0', 487,
        ';', 1453,
        '<', 115,
        '@', 96,
        '[', 775,
      );
      if (lookahead == '`') SKIP(13);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1653);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1530);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(488);
      if (lookahead != 0 &&
          (lookahead < ' ' || '9' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1695);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(88);
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(77);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(63);
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(100);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(59);
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(107);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(66);
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(69);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(72);
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(74);
      END_STATE();
    case 25:
      if (lookahead == '\n') ADVANCE(1523);
      if (lookahead != 0) ADVANCE(1522);
      END_STATE();
    case 26:
      if (lookahead == '\n') ADVANCE(588);
      if (lookahead != 0) ADVANCE(588);
      END_STATE();
    case 27:
      if (lookahead == '\n') ADVANCE(27);
      if (lookahead == '"') ADVANCE(157);
      if (lookahead == '#') ADVANCE(642);
      if (lookahead == '$') ADVANCE(640);
      if (lookahead == '<') ADVANCE(639);
      if (lookahead == '@') ADVANCE(641);
      if (lookahead == '`') ADVANCE(638);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(638);
      if (lookahead != 0) ADVANCE(638);
      END_STATE();
    case 28:
      if (lookahead == '\n') ADVANCE(27);
      if (lookahead == '#') ADVANCE(635);
      if (lookahead == '$') ADVANCE(592);
      if (lookahead == '<') ADVANCE(598);
      if (lookahead == '@') ADVANCE(633);
      if (lookahead == '`') ADVANCE(26);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(597);
      if (lookahead != 0) ADVANCE(637);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(110);
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(108);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(118);
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(112);
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(33);
      if (lookahead == '"') ADVANCE(1447);
      if (lookahead == '#') ADVANCE(465);
      if (lookahead == '&') ADVANCE(1443);
      if (lookahead == ')') ADVANCE(1457);
      if (lookahead == '<') ADVANCE(1448);
      if (lookahead == '`') ADVANCE(1452);
      if (lookahead == '|') ADVANCE(1510);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1445);
      if (lookahead != 0) ADVANCE(1452);
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(111);
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(35);
      if (lookahead == '"') ADVANCE(1447);
      if (lookahead == '#') ADVANCE(465);
      if (lookahead == '&') ADVANCE(1443);
      if (lookahead == '<') ADVANCE(1448);
      if (lookahead == '`') ADVANCE(1452);
      if (lookahead == '|') ADVANCE(1510);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1446);
      if (lookahead != 0) ADVANCE(1452);
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(114);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(113);
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(39);
      END_STATE();
    case 39:
      if (lookahead == '\n') ADVANCE(1487);
      if (lookahead == '#') ADVANCE(473);
      if (lookahead == ')') ADVANCE(1456);
      if (lookahead == ';') ADVANCE(1453);
      if (lookahead == '<') ADVANCE(115);
      if (lookahead == '`') SKIP(38);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(39);
      END_STATE();
    case 40:
      if (lookahead == '\n') ADVANCE(6);
      if (lookahead == '@') ADVANCE(649);
      if (lookahead != 0) ADVANCE(7);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(83);
      END_STATE();
    case 42:
      if (lookahead == '\n') SKIP(93);
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(56);
      END_STATE();
    case 44:
      if (lookahead == '\n') SKIP(76);
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(84);
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(86);
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(71);
      END_STATE();
    case 48:
      if (lookahead == '\n') ADVANCE(49);
      if (lookahead == '\'') ADVANCE(156);
      if (lookahead != 0) ADVANCE(7);
      END_STATE();
    case 49:
      if (lookahead == '\n') ADVANCE(49);
      if (lookahead == '\'') ADVANCE(155);
      if (lookahead != 0) ADVANCE(7);
      END_STATE();
    case 50:
      if (lookahead == '\n') SKIP(78);
      END_STATE();
    case 51:
      if (lookahead == '\n') SKIP(65);
      END_STATE();
    case 52:
      if (lookahead == '\n') SKIP(67);
      END_STATE();
    case 53:
      if (lookahead == '\n') SKIP(73);
      END_STATE();
    case 54:
      if (lookahead == '\n') SKIP(75);
      END_STATE();
    case 55:
      if (lookahead == '\n') SKIP(91);
      END_STATE();
    case 56:
      ADVANCE_MAP(
        ' ', 1746,
        '!', 1796,
        '"', 540,
        '#', 473,
        '$', 120,
        '\'', 124,
        '(', 1455,
        ')', 1456,
        '*', 145,
        '+', 1773,
        ',', 1458,
        '-', 1778,
        '.', 440,
        '0', 485,
        '1', 479,
        '2', 480,
        '3', 481,
        '4', 482,
        '5', 483,
        '6', 484,
        ':', 1753,
        '<', 826,
        '>', 784,
        '@', 96,
        '[', 775,
      );
      if (lookahead == '`') SKIP(43);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == '|') ADVANCE(1510);
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(486);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(56);
      END_STATE();
    case 57:
      ADVANCE_MAP(
        ' ', 1746,
        '!', 1796,
        '"', 540,
        '#', 473,
        '$', 120,
        '\'', 124,
        '(', 1455,
        ')', 1456,
        '*', 145,
        '+', 1773,
        ',', 1458,
        '-', 1778,
        '.', 1819,
        '0', 485,
        '1', 479,
        '2', 480,
        '3', 481,
        '4', 482,
        '5', 483,
        '6', 484,
        ':', 1753,
        '<', 826,
        '>', 784,
        '@', 96,
        '[', 775,
      );
      if (lookahead == '`') SKIP(43);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == '|') ADVANCE(1510);
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(486);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(56);
      END_STATE();
    case 58:
      ADVANCE_MAP(
        ' ', 1747,
        '!', 1798,
        '"', 540,
        '#', 467,
        '$', 120,
        '\'', 124,
        '(', 1455,
        ')', 1456,
        '*', 1173,
        '+', 1775,
        ',', 1459,
        '-', 1778,
        '.', 1205,
        '0', 495,
        '1', 489,
        '2', 490,
        '3', 491,
        '4', 492,
        '5', 493,
        '6', 494,
        ':', 1755,
        '<', 827,
        '>', 785,
        '@', 96,
        '[', 775,
      );
      if (lookahead == '`') SKIP(11);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == '|') ADVANCE(1510);
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(496);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1153);
      if (('\t' <= lookahead && lookahead <= '\r')) SKIP(58);
      if (lookahead != 0 &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1212);
      END_STATE();
    case 59:
      ADVANCE_MAP(
        ' ', 1748,
        '"', 540,
        '#', 473,
        '$', 120,
        '\'', 124,
        '(', 1455,
        '.', 440,
        '0', 485,
        ':', 1752,
        '<', 115,
        '@', 96,
        '[', 775,
      );
      if (lookahead == '`') SKIP(19);
      if (lookahead == '{') ADVANCE(1464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(59);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(486);
      END_STATE();
    case 60:
      ADVANCE_MAP(
        ' ', 1748,
        '"', 1721,
        '#', 1715,
        '\'', 123,
        ')', 1456,
        '*', 1708,
        '-', 1705,
        '1', 1709,
        '2', 1710,
        '3', 1711,
        '4', 1712,
        '5', 1713,
        '6', 1714,
        ':', 1754,
        '<', 828,
        '>', 786,
        '`', 1719,
        '|', 1510,
        0xa0, 1696,
        0x200b, 1696,
        0x2060, 1696,
        0xfeff, 1696,
      );
      if (('\t' <= lookahead && lookahead <= '\r')) SKIP(74);
      if (lookahead != 0 &&
          (lookahead < '&' || '*' < lookahead) &&
          lookahead != ',' &&
          lookahead != '-' &&
          (lookahead < ':' || '<' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1719);
      END_STATE();
    case 61:
      ADVANCE_MAP(
        ' ', 1748,
        '"', 1721,
        '#', 1715,
        '\'', 123,
        ')', 1456,
        '*', 1708,
        '-', 1707,
        '1', 1709,
        '2', 1710,
        '3', 1711,
        '4', 1712,
        '5', 1713,
        '6', 1714,
        ':', 1754,
        '<', 828,
        '>', 786,
        '`', 1719,
        '|', 1510,
        0xa0, 1697,
        0x200b, 1697,
        0x2060, 1697,
        0xfeff, 1697,
      );
      if (('\t' <= lookahead && lookahead <= '\r')) SKIP(75);
      if (lookahead != 0 &&
          (lookahead < '&' || '*' < lookahead) &&
          lookahead != ',' &&
          lookahead != '-' &&
          (lookahead < ':' || '<' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1719);
      END_STATE();
    case 62:
      ADVANCE_MAP(
        ' ', 1748,
        '#', 473,
        '$', 121,
        ')', 1456,
        '*', 145,
        '+', 125,
        '-', 1724,
        '.', 1817,
        '1', 1730,
        '2', 1731,
        '3', 1732,
        '4', 1733,
        '5', 1734,
        '6', 1735,
        ':', 1753,
        '<', 826,
        '>', 784,
        '@', 152,
        '[', 775,
      );
      if (lookahead == '`') SKIP(17);
      if (lookahead == '|') ADVANCE(1510);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(63);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('?' <= lookahead && lookahead <= '\\') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1744);
      END_STATE();
    case 63:
      ADVANCE_MAP(
        ' ', 1748,
        '#', 473,
        '$', 121,
        ')', 1456,
        '*', 145,
        '+', 125,
        '-', 1724,
        '1', 1730,
        '2', 1731,
        '3', 1732,
        '4', 1733,
        '5', 1734,
        '6', 1735,
        ':', 1753,
        '<', 826,
        '>', 784,
        '@', 152,
        '[', 775,
      );
      if (lookahead == '`') SKIP(17);
      if (lookahead == '|') ADVANCE(1510);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(63);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('?' <= lookahead && lookahead <= '\\') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1744);
      END_STATE();
    case 64:
      ADVANCE_MAP(
        ' ', 1748,
        '#', 473,
        '$', 121,
        ')', 1456,
        '*', 145,
        '+', 125,
        '-', 1728,
        '.', 1817,
        '1', 1730,
        '2', 1731,
        '3', 1732,
        '4', 1733,
        '5', 1734,
        '6', 1735,
        ':', 1753,
        '<', 826,
        '>', 784,
        '@', 152,
        '[', 775,
      );
      if (lookahead == '`') SKIP(51);
      if (lookahead == '|') ADVANCE(1510);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(65);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('?' <= lookahead && lookahead <= '\\') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1744);
      END_STATE();
    case 65:
      ADVANCE_MAP(
        ' ', 1748,
        '#', 473,
        '$', 121,
        ')', 1456,
        '*', 145,
        '+', 125,
        '-', 1728,
        '1', 1730,
        '2', 1731,
        '3', 1732,
        '4', 1733,
        '5', 1734,
        '6', 1735,
        ':', 1753,
        '<', 826,
        '>', 784,
        '@', 152,
        '[', 775,
      );
      if (lookahead == '`') SKIP(51);
      if (lookahead == '|') ADVANCE(1510);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(65);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('?' <= lookahead && lookahead <= '\\') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1744);
      END_STATE();
    case 66:
      ADVANCE_MAP(
        ' ', 1748,
        '#', 473,
        '$', 121,
        ')', 1456,
        '*', 145,
        '-', 1725,
        '1', 1730,
        '2', 1731,
        '3', 1732,
        '4', 1733,
        '5', 1734,
        '6', 1735,
        ':', 1752,
        '<', 826,
        '>', 784,
        '@', 152,
      );
      if (lookahead == '`') SKIP(21);
      if (lookahead == '|') ADVANCE(1510);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(66);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('?' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1744);
      END_STATE();
    case 67:
      ADVANCE_MAP(
        ' ', 1748,
        '#', 473,
        '$', 121,
        ')', 1456,
        '*', 145,
        '-', 1729,
        '1', 1730,
        '2', 1731,
        '3', 1732,
        '4', 1733,
        '5', 1734,
        '6', 1735,
        ':', 1752,
        '<', 826,
        '>', 784,
        '@', 152,
      );
      if (lookahead == '`') SKIP(52);
      if (lookahead == '|') ADVANCE(1510);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(67);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('?' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1744);
      END_STATE();
    case 68:
      ADVANCE_MAP(
        ' ', 1748,
        '#', 473,
        '(', 1455,
        ')', 1456,
        '*', 145,
        '+', 125,
        ',', 1458,
        '-', 126,
        '.', 1818,
        '1', 146,
        '2', 147,
        '3', 148,
        '4', 149,
        '5', 150,
        '6', 151,
        ':', 1753,
        '<', 826,
        '>', 784,
        '[', 775,
      );
      if (lookahead == '`') SKIP(22);
      if (lookahead == '|') ADVANCE(1510);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(69);
      END_STATE();
    case 69:
      ADVANCE_MAP(
        ' ', 1748,
        '#', 473,
        '(', 1455,
        ')', 1456,
        '*', 145,
        '+', 125,
        ',', 1458,
        '-', 126,
        '1', 146,
        '2', 147,
        '3', 148,
        '4', 149,
        '5', 150,
        '6', 151,
        ':', 1753,
        '<', 826,
        '>', 784,
        '[', 775,
      );
      if (lookahead == '`') SKIP(22);
      if (lookahead == '|') ADVANCE(1510);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(69);
      END_STATE();
    case 70:
      ADVANCE_MAP(
        ' ', 1748,
        '#', 473,
        '(', 1455,
        ')', 1456,
        '*', 145,
        '+', 125,
        ',', 1458,
        '-', 129,
        '.', 1818,
        '1', 146,
        '2', 147,
        '3', 148,
        '4', 149,
        '5', 150,
        '6', 151,
        ':', 1753,
        '<', 826,
        '>', 784,
        '[', 775,
      );
      if (lookahead == '`') SKIP(47);
      if (lookahead == '|') ADVANCE(1510);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(71);
      END_STATE();
    case 71:
      ADVANCE_MAP(
        ' ', 1748,
        '#', 473,
        '(', 1455,
        ')', 1456,
        '*', 145,
        '+', 125,
        ',', 1458,
        '-', 129,
        '1', 146,
        '2', 147,
        '3', 148,
        '4', 149,
        '5', 150,
        '6', 151,
        ':', 1753,
        '<', 826,
        '>', 784,
        '[', 775,
      );
      if (lookahead == '`') SKIP(47);
      if (lookahead == '|') ADVANCE(1510);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(71);
      END_STATE();
    case 72:
      ADVANCE_MAP(
        ' ', 1748,
        '#', 473,
        '(', 1455,
        ')', 1456,
        '*', 145,
        ',', 1458,
        '-', 128,
        '1', 146,
        '2', 147,
        '3', 148,
        '4', 149,
        '5', 150,
        '6', 151,
        ':', 1752,
        '<', 826,
        '>', 784,
      );
      if (lookahead == '`') SKIP(23);
      if (lookahead == '|') ADVANCE(1510);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(72);
      END_STATE();
    case 73:
      ADVANCE_MAP(
        ' ', 1748,
        '#', 473,
        '(', 1455,
        ')', 1456,
        '*', 145,
        ',', 1458,
        '-', 130,
        '1', 146,
        '2', 147,
        '3', 148,
        '4', 149,
        '5', 150,
        '6', 151,
        ':', 1752,
        '<', 826,
        '>', 784,
      );
      if (lookahead == '`') SKIP(53);
      if (lookahead == '|') ADVANCE(1510);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(73);
      END_STATE();
    case 74:
      ADVANCE_MAP(
        ' ', 1748,
        '#', 473,
        ')', 1456,
        '*', 145,
        '-', 128,
        '1', 146,
        '2', 147,
        '3', 148,
        '4', 149,
        '5', 150,
        '6', 151,
        ':', 1752,
        '<', 826,
        '>', 784,
      );
      if (lookahead == '`') SKIP(24);
      if (lookahead == '|') ADVANCE(1510);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(74);
      END_STATE();
    case 75:
      ADVANCE_MAP(
        ' ', 1748,
        '#', 473,
        ')', 1456,
        '*', 145,
        '-', 130,
        '1', 146,
        '2', 147,
        '3', 148,
        '4', 149,
        '5', 150,
        '6', 151,
        ':', 1752,
        '<', 826,
        '>', 784,
      );
      if (lookahead == '`') SKIP(54);
      if (lookahead == '|') ADVANCE(1510);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(75);
      END_STATE();
    case 76:
      ADVANCE_MAP(
        ' ', 1749,
        '!', 1798,
        '"', 540,
        '#', 467,
        '$', 120,
        '\'', 124,
        '(', 1455,
        ')', 1456,
        '*', 1173,
        '+', 1775,
        ',', 1459,
        '-', 1784,
        '.', 1205,
        '0', 495,
        '1', 489,
        '2', 490,
        '3', 491,
        '4', 492,
        '5', 493,
        '6', 494,
        ':', 1755,
        '<', 827,
        '>', 785,
        '@', 96,
        '[', 775,
      );
      if (lookahead == '`') SKIP(44);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == '|') ADVANCE(1510);
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(496);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1154);
      if (('\t' <= lookahead && lookahead <= '\r')) SKIP(76);
      if (lookahead != 0 &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1212);
      END_STATE();
    case 77:
      ADVANCE_MAP(
        ' ', 1750,
        '!', 1798,
        '"', 540,
        '#', 467,
        '$', 120,
        '\'', 124,
        '(', 1455,
        ')', 1456,
        '*', 1173,
        '+', 1775,
        ',', 1459,
        '-', 1781,
        '.', 1205,
        '0', 495,
        '1', 489,
        '2', 490,
        '3', 491,
        '4', 492,
        '5', 493,
        '6', 494,
        '<', 827,
        '>', 785,
        '@', 96,
        '[', 775,
      );
      if (lookahead == '`') SKIP(16);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == '|') ADVANCE(1510);
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(496);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1155);
      if (('\t' <= lookahead && lookahead <= '\r')) SKIP(77);
      if (lookahead != 0 &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1212);
      END_STATE();
    case 78:
      ADVANCE_MAP(
        ' ', 1751,
        '!', 1796,
        '"', 540,
        '#', 473,
        '$', 120,
        '\'', 124,
        '(', 1455,
        ')', 1456,
        '*', 145,
        '+', 1773,
        ',', 1458,
        '-', 1784,
        '.', 440,
        '0', 485,
        '1', 479,
        '2', 480,
        '3', 481,
        '4', 482,
        '5', 483,
        '6', 484,
        ':', 1753,
        '<', 826,
        '>', 784,
        '@', 96,
        '[', 775,
      );
      if (lookahead == '`') SKIP(50);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == '|') ADVANCE(1510);
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(486);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(78);
      END_STATE();
    case 79:
      ADVANCE_MAP(
        ' ', 1751,
        '!', 1796,
        '"', 540,
        '#', 473,
        '$', 120,
        '\'', 124,
        '(', 1455,
        ')', 1456,
        '*', 145,
        '+', 1773,
        ',', 1458,
        '-', 1784,
        '.', 1819,
        '0', 485,
        '1', 479,
        '2', 480,
        '3', 481,
        '4', 482,
        '5', 483,
        '6', 484,
        ':', 1753,
        '<', 826,
        '>', 784,
        '@', 96,
        '[', 775,
      );
      if (lookahead == '`') SKIP(50);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == '|') ADVANCE(1510);
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(486);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(78);
      END_STATE();
    case 80:
      ADVANCE_MAP(
        '!', 1797,
        '"', 1528,
        '#', 463,
        '$', 1527,
        '%', 1757,
        '&', 1511,
        '(', 1455,
        ')', 1456,
        '*', 1791,
        '+', 1774,
        ',', 1458,
        '-', 1777,
        '.', 772,
        '/', 1788,
        '0', 485,
        '1', 479,
        '2', 480,
        '3', 481,
        '4', 482,
        '5', 483,
        '6', 484,
        ':', 1753,
        ';', 1453,
        '<', 826,
        '=', 778,
        '>', 784,
        '@', 96,
        '[', 775,
        '\\', 1789,
        ']', 1822,
      );
      if (lookahead == '`') SKIP(1);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == '|') ADVANCE(1510);
      if (lookahead == '}') ADVANCE(1466);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(675);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(650);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(654);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(710);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(697);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(698);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(688);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(656);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(681);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(676);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(695);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(728);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(696);
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(486);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(81);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(80);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 81:
      ADVANCE_MAP(
        '!', 1797,
        '"', 1528,
        '#', 473,
        '$', 1527,
        '%', 1757,
        '&', 1511,
        '(', 1455,
        ')', 1456,
        '*', 1791,
        '+', 1774,
        ',', 1458,
        '-', 1777,
        '.', 772,
        '/', 1788,
        '0', 485,
        '1', 479,
        '2', 480,
        '3', 481,
        '4', 482,
        '5', 483,
        '6', 484,
        ':', 1753,
        ';', 1453,
        '<', 826,
        '=', 778,
        '>', 784,
        '@', 96,
        '[', 775,
        '\\', 1789,
        ']', 1822,
      );
      if (lookahead == '`') SKIP(1);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == '|') ADVANCE(1510);
      if (lookahead == '}') ADVANCE(1466);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(675);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(650);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(654);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(710);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(697);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(698);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(688);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(656);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(681);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(676);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(695);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(728);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(696);
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(486);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(81);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 82:
      ADVANCE_MAP(
        '!', 1796,
        '"', 540,
        '#', 473,
        '$', 120,
        '%', 1756,
        '\'', 124,
        '(', 1455,
        ')', 1456,
        '*', 1790,
        '+', 1773,
        ',', 1458,
        '-', 1779,
        '.', 1816,
        '/', 1787,
        '0', 485,
        ':', 141,
        ';', 1453,
        '<', 115,
        '@', 96,
        '[', 775,
        '\\', 1789,
        ']', 1822,
      );
      if (lookahead == '`') SKIP(41);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == '}') ADVANCE(1466);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(486);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(83);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 83:
      ADVANCE_MAP(
        '!', 1796,
        '"', 540,
        '#', 473,
        '$', 120,
        '%', 1756,
        '\'', 124,
        '(', 1455,
        ')', 1456,
        '*', 1790,
        '+', 1773,
        ',', 1458,
        '-', 1779,
        '.', 132,
        '/', 1787,
        '0', 485,
        ':', 141,
        ';', 1453,
        '<', 115,
        '@', 96,
        '[', 775,
        '\\', 1789,
        ']', 1822,
      );
      if (lookahead == '`') SKIP(41);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == '}') ADVANCE(1466);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(486);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(83);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 84:
      ADVANCE_MAP(
        '!', 1796,
        '"', 540,
        '#', 473,
        '$', 120,
        '\'', 124,
        '(', 1455,
        ')', 1456,
        '*', 145,
        '+', 1773,
        ',', 1458,
        '-', 1781,
        '.', 440,
        '0', 485,
        '1', 479,
        '2', 480,
        '3', 481,
        '4', 482,
        '5', 483,
        '6', 484,
        ':', 140,
        '<', 826,
        '>', 784,
        '@', 96,
        '[', 775,
      );
      if (lookahead == '`') SKIP(45);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == '|') ADVANCE(1510);
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(486);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(84);
      END_STATE();
    case 85:
      ADVANCE_MAP(
        '!', 1796,
        '"', 540,
        '#', 473,
        '$', 120,
        '\'', 124,
        '(', 1455,
        ')', 1456,
        '*', 145,
        '+', 1773,
        ',', 1458,
        '-', 1781,
        '.', 1819,
        '0', 485,
        '1', 479,
        '2', 480,
        '3', 481,
        '4', 482,
        '5', 483,
        '6', 484,
        ':', 140,
        '<', 826,
        '>', 784,
        '@', 96,
        '[', 775,
      );
      if (lookahead == '`') SKIP(45);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == '|') ADVANCE(1510);
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(486);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(84);
      END_STATE();
    case 86:
      ADVANCE_MAP(
        '!', 1796,
        '"', 540,
        '#', 473,
        '$', 120,
        '\'', 124,
        '(', 1455,
        '+', 1773,
        ',', 1458,
        '-', 1781,
        '.', 440,
        '0', 485,
        ':', 140,
        '<', 115,
        '=', 778,
        '@', 96,
        '[', 775,
      );
      if (lookahead == '`') SKIP(46);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(698);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(755);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(486);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(86);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 87:
      ADVANCE_MAP(
        '!', 1796,
        '"', 540,
        '#', 473,
        '$', 120,
        '\'', 124,
        '(', 1455,
        '+', 1773,
        ',', 1458,
        '-', 1781,
        '.', 1819,
        '0', 485,
        ':', 140,
        '<', 115,
        '=', 778,
        '@', 96,
        '[', 775,
      );
      if (lookahead == '`') SKIP(46);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(698);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(755);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(486);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(86);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 88:
      ADVANCE_MAP(
        '!', 1796,
        '"', 540,
        '#', 468,
        '$', 120,
        '%', 1756,
        '&', 1511,
        '\'', 124,
        '(', 1455,
        ')', 1456,
        '+', 1773,
        ',', 1458,
        '-', 1781,
        '.', 773,
        '0', 487,
        '<', 115,
        '@', 96,
        '[', 775,
      );
      if (lookahead == '`') SKIP(15);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1653);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1539);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(88);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(488);
      if (lookahead != 0 &&
          (lookahead < ' ' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != ']' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1695);
      END_STATE();
    case 89:
      ADVANCE_MAP(
        '!', 1796,
        '"', 540,
        '#', 468,
        '$', 120,
        '%', 1756,
        '&', 1511,
        '\'', 124,
        '(', 1455,
        '+', 1773,
        ',', 1458,
        '-', 1781,
        '.', 773,
        '0', 487,
        ':', 1694,
        ';', 1453,
        '<', 115,
        '@', 96,
        '[', 775,
      );
      if (lookahead == '`') SKIP(8);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1662);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1623);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1556);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1641);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1608);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1598);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1563);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1589);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1586);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1607);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1606);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1531);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(89);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(488);
      if (lookahead != 0 &&
          (lookahead < ' ' || '<' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1695);
      END_STATE();
    case 90:
      ADVANCE_MAP(
        '!', 1796,
        '"', 540,
        '#', 468,
        '$', 120,
        '%', 1756,
        '&', 1511,
        '\'', 124,
        '(', 1455,
        '+', 1773,
        ',', 1458,
        '-', 1781,
        '.', 773,
        '0', 487,
        ':', 1694,
        ';', 1453,
        '<', 115,
        '@', 96,
        '[', 775,
      );
      if (lookahead == '`') SKIP(9);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == '}') ADVANCE(1466);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1587);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1623);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1555);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1643);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1608);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1598);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1562);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1589);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1586);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1607);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1606);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1537);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(90);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(488);
      if (lookahead != 0 &&
          (lookahead < ' ' || '<' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1695);
      END_STATE();
    case 91:
      ADVANCE_MAP(
        '!', 1796,
        '"', 540,
        '#', 468,
        '$', 120,
        '%', 1756,
        '&', 1511,
        '\'', 124,
        '(', 1455,
        '+', 1773,
        ',', 1458,
        '-', 1781,
        '.', 773,
        '0', 487,
        ':', 1694,
        ';', 1453,
        '<', 115,
        '@', 96,
        '[', 775,
      );
      if (lookahead == '`') SKIP(55);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == '}') ADVANCE(1466);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1587);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1623);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1555);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1643);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1608);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1598);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1571);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1589);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1586);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1607);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1606);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1538);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(91);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(488);
      if (lookahead != 0 &&
          (lookahead < ' ' || '<' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1695);
      END_STATE();
    case 92:
      ADVANCE_MAP(
        '!', 144,
        '"', 1528,
        '#', 473,
        '$', 1525,
        '%', 1757,
        '(', 1455,
        ')', 1456,
        '*', 1791,
        '+', 1774,
        ',', 1458,
        '-', 1780,
        '.', 1815,
        '/', 1788,
        '1', 146,
        '2', 147,
        '3', 148,
        '4', 149,
        '5', 150,
        '6', 151,
        ':', 140,
        '<', 826,
        '=', 778,
        '>', 784,
        '[', 775,
        '\\', 1789,
        ']', 1822,
      );
      if (lookahead == '`') SKIP(42);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == '|') ADVANCE(1510);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(330);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(93);
      END_STATE();
    case 93:
      ADVANCE_MAP(
        '!', 144,
        '"', 1528,
        '#', 473,
        '$', 1525,
        '%', 1757,
        '(', 1455,
        ')', 1456,
        '*', 1791,
        '+', 1774,
        ',', 1458,
        '-', 1780,
        '.', 131,
        '/', 1788,
        '1', 146,
        '2', 147,
        '3', 148,
        '4', 149,
        '5', 150,
        '6', 151,
        ':', 140,
        '<', 826,
        '=', 778,
        '>', 784,
        '[', 775,
        '\\', 1789,
        ']', 1822,
      );
      if (lookahead == '`') SKIP(42);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == '|') ADVANCE(1510);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(330);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(93);
      END_STATE();
    case 94:
      ADVANCE_MAP(
        '!', 144,
        '#', 473,
        '$', 121,
        '%', 1757,
        ')', 1456,
        '*', 1791,
        '+', 1776,
        ',', 1458,
        '-', 1786,
        '.', 131,
        '/', 1788,
        '1', 146,
        '2', 147,
        '3', 148,
        '4', 149,
        '5', 150,
        '6', 151,
        ':', 1752,
        ';', 1453,
        '<', 826,
        '=', 778,
        '>', 784,
        '@', 152,
        '[', 775,
        '\\', 1789,
        ']', 1822,
      );
      if (lookahead == '`') SKIP(10);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == '|') ADVANCE(1510);
      if (lookahead == '}') ADVANCE(1466);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(698);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(755);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(94);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 95:
      ADVANCE_MAP(
        '!', 1798,
        '"', 540,
        '#', 467,
        '$', 120,
        '\'', 124,
        '(', 1455,
        ')', 1456,
        '*', 1173,
        '+', 1775,
        ',', 1459,
        '-', 1781,
        '.', 1205,
        '0', 495,
        '1', 489,
        '2', 490,
        '3', 491,
        '4', 492,
        '5', 493,
        '6', 494,
        '<', 827,
        '>', 785,
        '@', 96,
        '[', 775,
      );
      if (lookahead == '`') SKIP(12);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == '|') ADVANCE(1510);
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(496);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1156);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(95);
      if (lookahead != 0 &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1212);
      END_STATE();
    case 96:
      ADVANCE_MAP(
        '"', 2,
        '\'', 3,
        '(', 1812,
        '?', 1018,
        '{', 1813,
        'G', 1063,
        'g', 1063,
        'L', 1069,
        'l', 1069,
        'P', 1071,
        'p', 1071,
        'S', 1054,
        's', 1054,
        'U', 1074,
        'u', 1074,
        'W', 1068,
        'w', 1068,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 97:
      if (lookahead == '"') ADVANCE(593);
      if (lookahead == '#') ADVANCE(463);
      if (lookahead == '$') ADVANCE(590);
      if (lookahead == '<') ADVANCE(115);
      if (lookahead == '`') SKIP(36);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(114);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(98);
      END_STATE();
    case 98:
      if (lookahead == '"') ADVANCE(593);
      if (lookahead == '#') ADVANCE(463);
      if (lookahead == '<') ADVANCE(115);
      if (lookahead == '`') SKIP(36);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(114);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(98);
      END_STATE();
    case 99:
      if (lookahead == '"') ADVANCE(593);
      if (lookahead == '#') ADVANCE(99);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(99);
      END_STATE();
    case 100:
      ADVANCE_MAP(
        '"', 540,
        '#', 468,
        '$', 120,
        '\'', 124,
        '(', 1455,
        '-', 1744,
        '.', 1546,
        '0', 475,
        '<', 115,
        '@', 96,
        '[', 775,
      );
      if (lookahead == '`') SKIP(18);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1540);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(100);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(476);
      if (('?' <= lookahead && lookahead <= '\\') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1548);
      if (lookahead != 0 &&
          (lookahead < ' ' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1695);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        '"', 542,
        '#', 466,
        '$', 1221,
        '\'', 1222,
        '(', 1455,
        '.', 1231,
        '0', 497,
        ';', 1453,
        '<', 1218,
        '@', 1216,
        '[', 777,
        '`', 1235,
        '{', 1464,
        '}', 1466,
        0xa0, 1215,
        0x200b, 1215,
        0x2060, 1215,
        0xfeff, 1215,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(101);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (lookahead != 0 &&
          (lookahead < '\'' || ')' < lookahead)) ADVANCE(1235);
      END_STATE();
    case 102:
      ADVANCE_MAP(
        '"', 1721,
        '#', 1715,
        '\'', 123,
        ',', 1458,
        '<', 1699,
        '`', 1719,
        '{', 1464,
        0xa0, 1698,
        0x200b, 1698,
        0x2060, 1698,
        0xfeff, 1698,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(112);
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1719);
      END_STATE();
    case 103:
      if (lookahead == '"') ADVANCE(1529);
      if (lookahead == '#') ADVANCE(464);
      if (lookahead == '$') ADVANCE(1526);
      if (lookahead == '<') ADVANCE(1513);
      if (lookahead == '@') ADVANCE(1517);
      if (lookahead == '`') ADVANCE(25);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1512);
      if (lookahead != 0) ADVANCE(1519);
      END_STATE();
    case 104:
      ADVANCE_MAP(
        '"', 594,
        '#', 544,
        '$', 591,
        '<', 548,
        '@', 583,
        '`', 26,
        0xa0, 547,
        0x200b, 547,
        0x2060, 547,
        0xfeff, 547,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(546);
      if (lookahead != 0) ADVANCE(586);
      END_STATE();
    case 105:
      if (lookahead == '"') ADVANCE(1441);
      if (lookahead != 0) ADVANCE(105);
      END_STATE();
    case 106:
      ADVANCE_MAP(
        '#', 473,
        '$', 121,
        '(', 1455,
        ')', 1456,
        '*', 145,
        '+', 125,
        ',', 1458,
        '-', 127,
        '.', 1818,
        '1', 146,
        '2', 147,
        '3', 148,
        '4', 149,
        '5', 150,
        '6', 151,
        ':', 140,
        '<', 826,
        '=', 778,
        '>', 784,
        '@', 152,
        '[', 775,
      );
      if (lookahead == '`') SKIP(20);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == '|') ADVANCE(1510);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(107);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 107:
      ADVANCE_MAP(
        '#', 473,
        '$', 121,
        '(', 1455,
        ')', 1456,
        '*', 145,
        '+', 125,
        ',', 1458,
        '-', 127,
        '1', 146,
        '2', 147,
        '3', 148,
        '4', 149,
        '5', 150,
        '6', 151,
        ':', 140,
        '<', 826,
        '=', 778,
        '>', 784,
        '@', 152,
        '[', 775,
      );
      if (lookahead == '`') SKIP(20);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == '|') ADVANCE(1510);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(107);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 108:
      if (lookahead == '#') ADVANCE(473);
      if (lookahead == '$') ADVANCE(121);
      if (lookahead == ')') ADVANCE(1456);
      if (lookahead == ',') ADVANCE(1458);
      if (lookahead == '-') ADVANCE(1727);
      if (lookahead == '<') ADVANCE(115);
      if (lookahead == '@') ADVANCE(152);
      if (lookahead == '`') SKIP(30);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == '|') ADVANCE(1510);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(108);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('?' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1744);
      END_STATE();
    case 109:
      ADVANCE_MAP(
        '#', 473,
        '$', 121,
        '+', 125,
        ',', 1458,
        '-', 1726,
        '.', 1817,
        ':', 140,
        '<', 115,
        '@', 152,
        '[', 775,
      );
      if (lookahead == '`') SKIP(29);
      if (lookahead == '{') ADVANCE(1464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(110);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('?' <= lookahead && lookahead <= '\\') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1744);
      END_STATE();
    case 110:
      ADVANCE_MAP(
        '#', 473,
        '$', 121,
        '+', 125,
        ',', 1458,
        '-', 1726,
        ':', 140,
        '<', 115,
        '@', 152,
        '[', 775,
      );
      if (lookahead == '`') SKIP(29);
      if (lookahead == '{') ADVANCE(1464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(110);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('?' <= lookahead && lookahead <= '\\') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1744);
      END_STATE();
    case 111:
      if (lookahead == '#') ADVANCE(473);
      if (lookahead == '(') ADVANCE(1455);
      if (lookahead == ',') ADVANCE(1458);
      if (lookahead == '.') ADVANCE(771);
      if (lookahead == '<') ADVANCE(115);
      if (lookahead == '[') ADVANCE(775);
      if (lookahead == ']') ADVANCE(1822);
      if (lookahead == '`') SKIP(34);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(111);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(770);
      END_STATE();
    case 112:
      if (lookahead == '#') ADVANCE(473);
      if (lookahead == ',') ADVANCE(1458);
      if (lookahead == '<') ADVANCE(115);
      if (lookahead == '`') SKIP(32);
      if (lookahead == '{') ADVANCE(1464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(112);
      END_STATE();
    case 113:
      if (lookahead == '#') ADVANCE(473);
      if (lookahead == '0') ADVANCE(500);
      if (lookahead == '<') ADVANCE(115);
      if (lookahead == '`') SKIP(37);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(501);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(113);
      END_STATE();
    case 114:
      if (lookahead == '#') ADVANCE(473);
      if (lookahead == '<') ADVANCE(115);
      if (lookahead == '`') SKIP(36);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(114);
      END_STATE();
    case 115:
      if (lookahead == '#') ADVANCE(117);
      END_STATE();
    case 116:
      if (lookahead == '#') ADVANCE(116);
      if (lookahead == '>') ADVANCE(462);
      if (lookahead != 0) ADVANCE(117);
      END_STATE();
    case 117:
      if (lookahead == '#') ADVANCE(116);
      if (lookahead == '`') ADVANCE(444);
      if (lookahead != 0) ADVANCE(117);
      END_STATE();
    case 118:
      if (lookahead == '#') ADVANCE(468);
      if (lookahead == '%') ADVANCE(1756);
      if (lookahead == '&') ADVANCE(1511);
      if (lookahead == '.') ADVANCE(774);
      if (lookahead == '<') ADVANCE(115);
      if (lookahead == '`') SKIP(31);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1653);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1541);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(118);
      if (lookahead != 0 &&
          (lookahead < ' ' || '/' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '@' &&
          lookahead != '[' &&
          lookahead != ']' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1695);
      END_STATE();
    case 119:
      if (lookahead == '#') ADVANCE(466);
      if (lookahead == '<') ADVANCE(1218);
      if (lookahead == '`') ADVANCE(1235);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1217);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(119);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 120:
      ADVANCE_MAP(
        '$', 907,
        '(', 1811,
        '?', 913,
        '^', 910,
        '_', 916,
        '{', 443,
        'G', 933,
        'g', 933,
        'L', 939,
        'l', 939,
        'P', 941,
        'p', 941,
        'S', 924,
        's', 924,
        'U', 944,
        'u', 944,
        'W', 938,
        'w', 938,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 121:
      ADVANCE_MAP(
        '$', 907,
        '?', 913,
        '^', 910,
        '_', 916,
        '{', 443,
        'G', 933,
        'g', 933,
        'L', 939,
        'l', 939,
        'P', 941,
        'p', 941,
        'S', 924,
        's', 924,
        'U', 944,
        'u', 944,
        'W', 938,
        'w', 938,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 122:
      if (lookahead == '&') ADVANCE(139);
      END_STATE();
    case 123:
      if (lookahead == '\'') ADVANCE(1722);
      END_STATE();
    case 124:
      if (lookahead == '\'') ADVANCE(645);
      if (lookahead != 0) ADVANCE(124);
      END_STATE();
    case 125:
      if (lookahead == '+') ADVANCE(1800);
      END_STATE();
    case 126:
      if (lookahead == '-') ADVANCE(1803);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 127:
      ADVANCE_MAP(
        '-', 1802,
        'C', 177,
        'c', 177,
        'E', 438,
        'e', 438,
        'F', 296,
        'f', 296,
        'P', 173,
        'p', 173,
        'R', 252,
        'r', 252,
        'S', 434,
        's', 434,
        'W', 285,
        'w', 285,
      );
      END_STATE();
    case 128:
      if (lookahead == '-') ADVANCE(1236);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 129:
      if (lookahead == '-') ADVANCE(1805);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 130:
      if (lookahead == '-') ADVANCE(1238);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 131:
      if (lookahead == '.') ADVANCE(1792);
      END_STATE();
    case 132:
      if (lookahead == '.') ADVANCE(1792);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(527);
      END_STATE();
    case 133:
      if (lookahead == '1') ADVANCE(829);
      if (lookahead == '2') ADVANCE(841);
      END_STATE();
    case 134:
      if (lookahead == '1') ADVANCE(831);
      END_STATE();
    case 135:
      if (lookahead == '1') ADVANCE(833);
      if (lookahead == '2') ADVANCE(845);
      END_STATE();
    case 136:
      if (lookahead == '1') ADVANCE(835);
      if (lookahead == '2') ADVANCE(847);
      END_STATE();
    case 137:
      if (lookahead == '1') ADVANCE(837);
      if (lookahead == '2') ADVANCE(849);
      END_STATE();
    case 138:
      if (lookahead == '1') ADVANCE(839);
      if (lookahead == '2') ADVANCE(851);
      END_STATE();
    case 139:
      if (lookahead == '2') ADVANCE(843);
      END_STATE();
    case 140:
      if (lookahead == ':') ADVANCE(1821);
      END_STATE();
    case 141:
      if (lookahead == ':') ADVANCE(1821);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1500);
      END_STATE();
    case 142:
      if (lookahead == ':') ADVANCE(154);
      if (lookahead == '?') ADVANCE(919);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1013);
      END_STATE();
    case 143:
      if (lookahead == ':') ADVANCE(153);
      if (lookahead == '?') ADVANCE(1018);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1143);
      END_STATE();
    case 144:
      if (lookahead == '=') ADVANCE(779);
      END_STATE();
    case 145:
      if (lookahead == '>') ADVANCE(820);
      END_STATE();
    case 146:
      if (lookahead == '>') ADVANCE(122);
      END_STATE();
    case 147:
      if (lookahead == '>') ADVANCE(790);
      END_STATE();
    case 148:
      if (lookahead == '>') ADVANCE(796);
      END_STATE();
    case 149:
      if (lookahead == '>') ADVANCE(802);
      END_STATE();
    case 150:
      if (lookahead == '>') ADVANCE(808);
      END_STATE();
    case 151:
      if (lookahead == '>') ADVANCE(814);
      END_STATE();
    case 152:
      ADVANCE_MAP(
        '?', 1018,
        'G', 1063,
        'g', 1063,
        'L', 1069,
        'l', 1069,
        'P', 1071,
        'p', 1071,
        'S', 1054,
        's', 1054,
        'U', 1074,
        'u', 1074,
        'W', 1068,
        'w', 1068,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 153:
      if (lookahead == '?') ADVANCE(1018);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1143);
      END_STATE();
    case 154:
      if (lookahead == '?') ADVANCE(919);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1013);
      END_STATE();
    case 155:
      if (lookahead == '@') ADVANCE(648);
      END_STATE();
    case 156:
      if (lookahead == '@') ADVANCE(648);
      if (lookahead != 0) ADVANCE(7);
      END_STATE();
    case 157:
      if (lookahead == '@') ADVANCE(644);
      if (lookahead != 0) ADVANCE(643);
      END_STATE();
    case 158:
      if (lookahead == '`') ADVANCE(1521);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1520);
      END_STATE();
    case 159:
      if (lookahead == 'b') ADVANCE(474);
      END_STATE();
    case 160:
      if (lookahead == 'b') ADVANCE(523);
      END_STATE();
    case 161:
      if (lookahead == 'b') ADVANCE(508);
      END_STATE();
    case 162:
      if (lookahead == '}') ADVANCE(1150);
      if (lookahead != 0) ADVANCE(162);
      END_STATE();
    case 163:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(441);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(532);
      END_STATE();
    case 164:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(328);
      END_STATE();
    case 165:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(325);
      END_STATE();
    case 166:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(387);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(359);
      END_STATE();
    case 167:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(326);
      END_STATE();
    case 168:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(315);
      END_STATE();
    case 169:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(416);
      END_STATE();
    case 170:
      ADVANCE_MAP(
        'A', 338,
        'a', 338,
        'N', 358,
        'n', 358,
        'O', 383,
        'o', 383,
        'X', 363,
        'x', 363,
      );
      END_STATE();
    case 171:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(338);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(383);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(363);
      END_STATE();
    case 172:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(321);
      END_STATE();
    case 173:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(392);
      END_STATE();
    case 174:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(388);
      END_STATE();
    case 175:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(343);
      END_STATE();
    case 176:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(214);
      END_STATE();
    case 177:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(402);
      END_STATE();
    case 178:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(212);
      END_STATE();
    case 179:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(390);
      END_STATE();
    case 180:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(421);
      END_STATE();
    case 181:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(287);
      END_STATE();
    case 182:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(215);
      END_STATE();
    case 183:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(288);
      END_STATE();
    case 184:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(216);
      END_STATE();
    case 185:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(423);
      END_STATE();
    case 186:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(290);
      END_STATE();
    case 187:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(424);
      END_STATE();
    case 188:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(292);
      END_STATE();
    case 189:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(206);
      END_STATE();
    case 190:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(425);
      END_STATE();
    case 191:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(293);
      END_STATE();
    case 192:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(207);
      END_STATE();
    case 193:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(294);
      END_STATE();
    case 194:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(426);
      END_STATE();
    case 195:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(427);
      END_STATE();
    case 196:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(301);
      END_STATE();
    case 197:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(374);
      END_STATE();
    case 198:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(266);
      END_STATE();
    case 199:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(267);
      END_STATE();
    case 200:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(412);
      END_STATE();
    case 201:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(268);
      END_STATE();
    case 202:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(269);
      END_STATE();
    case 203:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(270);
      END_STATE();
    case 204:
      ADVANCE_MAP(
        'C', 366,
        'c', 366,
        'E', 380,
        'e', 380,
        'G', 232,
        'g', 232,
        'L', 233,
        'l', 233,
        'M', 185,
        'm', 185,
        'N', 234,
        'n', 234,
        'O', 346,
        'o', 346,
        'R', 261,
        'r', 261,
        'S', 376,
        's', 376,
      );
      END_STATE();
    case 205:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(253);
      END_STATE();
    case 206:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(271);
      END_STATE();
    case 207:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(276);
      END_STATE();
    case 208:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(360);
      END_STATE();
    case 209:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(272);
      END_STATE();
    case 210:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(273);
      END_STATE();
    case 211:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(274);
      END_STATE();
    case 212:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(243);
      END_STATE();
    case 213:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(174);
      END_STATE();
    case 214:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(406);
      END_STATE();
    case 215:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(245);
      END_STATE();
    case 216:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(247);
      END_STATE();
    case 217:
      ADVANCE_MAP(
        'C', 367,
        'c', 367,
        'E', 381,
        'e', 381,
        'G', 235,
        'g', 235,
        'L', 236,
        'l', 236,
        'M', 187,
        'm', 187,
        'N', 881,
        'n', 881,
        'R', 262,
        'r', 262,
        'S', 887,
        's', 887,
      );
      END_STATE();
    case 218:
      ADVANCE_MAP(
        'C', 368,
        'c', 368,
        'I', 333,
        'i', 333,
        'L', 298,
        'l', 298,
        'M', 190,
        'm', 190,
      );
      END_STATE();
    case 219:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(369);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(299);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(194);
      END_STATE();
    case 220:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(370);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(300);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(195);
      END_STATE();
    case 221:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1463);
      END_STATE();
    case 222:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1767);
      END_STATE();
    case 223:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1770);
      END_STATE();
    case 224:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1475);
      END_STATE();
    case 225:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1506);
      END_STATE();
    case 226:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(213);
      END_STATE();
    case 227:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(208);
      END_STATE();
    case 228:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(870);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(871);
      END_STATE();
    case 229:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(892);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(302);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(894);
      END_STATE();
    case 230:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(896);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(415);
      END_STATE();
    case 231:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(896);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(414);
      END_STATE();
    case 232:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(856);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(857);
      END_STATE();
    case 233:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(858);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(303);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(860);
      END_STATE();
    case 234:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(862);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(413);
      END_STATE();
    case 235:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(874);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(875);
      END_STATE();
    case 236:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(876);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(304);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(878);
      END_STATE();
    case 237:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1479);
      END_STATE();
    case 238:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(893);
      END_STATE();
    case 239:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1488);
      END_STATE();
    case 240:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(859);
      END_STATE();
    case 241:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(877);
      END_STATE();
    case 242:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(899);
      END_STATE();
    case 243:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(901);
      END_STATE();
    case 244:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(864);
      END_STATE();
    case 245:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(867);
      END_STATE();
    case 246:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(884);
      END_STATE();
    case 247:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(886);
      END_STATE();
    case 248:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1477);
      END_STATE();
    case 249:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(200);
      END_STATE();
    case 250:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(265);
      END_STATE();
    case 251:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1470);
      END_STATE();
    case 252:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(264);
      END_STATE();
    case 253:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(400);
      END_STATE();
    case 254:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(437);
      END_STATE();
    case 255:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(310);
      END_STATE();
    case 256:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(348);
      END_STATE();
    case 257:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(372);
      END_STATE();
    case 258:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(227);
      END_STATE();
    case 259:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(403);
      END_STATE();
    case 260:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(192);
      END_STATE();
    case 261:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(377);
      END_STATE();
    case 262:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(378);
      END_STATE();
    case 263:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1468);
      END_STATE();
    case 264:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(254);
      END_STATE();
    case 265:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(286);
      END_STATE();
    case 266:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1503);
      END_STATE();
    case 267:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(895);
      END_STATE();
    case 268:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1473);
      END_STATE();
    case 269:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(861);
      END_STATE();
    case 270:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(879);
      END_STATE();
    case 271:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1480);
      END_STATE();
    case 272:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(900);
      END_STATE();
    case 273:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(865);
      END_STATE();
    case 274:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(885);
      END_STATE();
    case 275:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(308);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(313);
      END_STATE();
    case 276:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1823);
      END_STATE();
    case 277:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(280);
      END_STATE();
    case 278:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(435);
      END_STATE();
    case 279:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(331);
      END_STATE();
    case 280:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(317);
      END_STATE();
    case 281:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(408);
      END_STATE();
    case 282:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(197);
      END_STATE();
    case 283:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(309);
      END_STATE();
    case 284:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(337);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(386);
      END_STATE();
    case 285:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(314);
      END_STATE();
    case 286:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(332);
      END_STATE();
    case 287:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(339);
      END_STATE();
    case 288:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(340);
      END_STATE();
    case 289:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(409);
      END_STATE();
    case 290:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(342);
      END_STATE();
    case 291:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(410);
      END_STATE();
    case 292:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(344);
      END_STATE();
    case 293:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(345);
      END_STATE();
    case 294:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(347);
      END_STATE();
    case 295:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(419);
      END_STATE();
    case 296:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(318);
      END_STATE();
    case 297:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(422);
      END_STATE();
    case 298:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(305);
      END_STATE();
    case 299:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(306);
      END_STATE();
    case 300:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(307);
      END_STATE();
    case 301:
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(249);
      END_STATE();
    case 302:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(238);
      END_STATE();
    case 303:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(240);
      END_STATE();
    case 304:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(241);
      END_STATE();
    case 305:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(242);
      END_STATE();
    case 306:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(244);
      END_STATE();
    case 307:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(246);
      END_STATE();
    case 308:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(902);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(903);
      END_STATE();
    case 309:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1490);
      END_STATE();
    case 310:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1478);
      END_STATE();
    case 311:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(401);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(221);
      END_STATE();
    case 312:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(439);
      END_STATE();
    case 313:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(281);
      END_STATE();
    case 314:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(226);
      END_STATE();
    case 315:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(312);
      END_STATE();
    case 316:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(178);
      END_STATE();
    case 317:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(239);
      END_STATE();
    case 318:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(237);
      END_STATE();
    case 319:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(255);
      END_STATE();
    case 320:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(289);
      END_STATE();
    case 321:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(319);
      END_STATE();
    case 322:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(291);
      END_STATE();
    case 323:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(182);
      END_STATE();
    case 324:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(184);
      END_STATE();
    case 325:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1454);
      END_STATE();
    case 326:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1460);
      END_STATE();
    case 327:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(329);
      END_STATE();
    case 328:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(282);
      END_STATE();
    case 329:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(175);
      END_STATE();
    case 330:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1482);
      END_STATE();
    case 331:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(891);
      END_STATE();
    case 332:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1461);
      END_STATE();
    case 333:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(898);
      END_STATE();
    case 334:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(164);
      END_STATE();
    case 335:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(222);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(853);
      END_STATE();
    case 336:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(358);
      END_STATE();
    case 337:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(168);
      END_STATE();
    case 338:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(223);
      END_STATE();
    case 339:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(394);
      END_STATE();
    case 340:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(395);
      END_STATE();
    case 341:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(417);
      END_STATE();
    case 342:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(396);
      END_STATE();
    case 343:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(225);
      END_STATE();
    case 344:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(397);
      END_STATE();
    case 345:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(398);
      END_STATE();
    case 346:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(418);
      END_STATE();
    case 347:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(399);
      END_STATE();
    case 348:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(404);
      END_STATE();
    case 349:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(428);
      END_STATE();
    case 350:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(429);
      END_STATE();
    case 351:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(430);
      END_STATE();
    case 352:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(431);
      END_STATE();
    case 353:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(432);
      END_STATE();
    case 354:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1489);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(334);
      END_STATE();
    case 355:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(279);
      END_STATE();
    case 356:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(411);
      END_STATE();
    case 357:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(196);
      END_STATE();
    case 358:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(405);
      END_STATE();
    case 359:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(205);
      END_STATE();
    case 360:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(327);
      END_STATE();
    case 361:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(384);
      END_STATE();
    case 362:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(389);
      END_STATE();
    case 363:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(385);
      END_STATE();
    case 364:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(391);
      END_STATE();
    case 365:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(407);
      END_STATE();
    case 366:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(349);
      END_STATE();
    case 367:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(350);
      END_STATE();
    case 368:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(351);
      END_STATE();
    case 369:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(352);
      END_STATE();
    case 370:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(353);
      END_STATE();
    case 371:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(313);
      END_STATE();
    case 372:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(316);
      END_STATE();
    case 373:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(375);
      END_STATE();
    case 374:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(179);
      END_STATE();
    case 375:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(364);
      END_STATE();
    case 376:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(320);
      END_STATE();
    case 377:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(323);
      END_STATE();
    case 378:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(324);
      END_STATE();
    case 379:
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(869);
      END_STATE();
    case 380:
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(855);
      END_STATE();
    case 381:
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(873);
      END_STATE();
    case 382:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1768);
      END_STATE();
    case 383:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1771);
      END_STATE();
    case 384:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1769);
      END_STATE();
    case 385:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1772);
      END_STATE();
    case 386:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1483);
      END_STATE();
    case 387:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(165);
      END_STATE();
    case 388:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(224);
      END_STATE();
    case 389:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(260);
      END_STATE();
    case 390:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(167);
      END_STATE();
    case 391:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(420);
      END_STATE();
    case 392:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(172);
      END_STATE();
    case 393:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1462);
      END_STATE();
    case 394:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(866);
      END_STATE();
    case 395:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(854);
      END_STATE();
    case 396:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(872);
      END_STATE();
    case 397:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(897);
      END_STATE();
    case 398:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(863);
      END_STATE();
    case 399:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(883);
      END_STATE();
    case 400:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(393);
      END_STATE();
    case 401:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(251);
      END_STATE();
    case 402:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(259);
      END_STATE();
    case 403:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(256);
      END_STATE();
    case 404:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(295);
      END_STATE();
    case 405:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1799);
      END_STATE();
    case 406:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1476);
      END_STATE();
    case 407:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(889);
      END_STATE();
    case 408:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(904);
      END_STATE();
    case 409:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(868);
      END_STATE();
    case 410:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(890);
      END_STATE();
    case 411:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1793);
      END_STATE();
    case 412:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1758);
      END_STATE();
    case 413:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(219);
      END_STATE();
    case 414:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(218);
      END_STATE();
    case 415:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1794);
      END_STATE();
    case 416:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(198);
      END_STATE();
    case 417:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(283);
      END_STATE();
    case 418:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(181);
      END_STATE();
    case 419:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(278);
      END_STATE();
    case 420:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(258);
      END_STATE();
    case 421:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(199);
      END_STATE();
    case 422:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(201);
      END_STATE();
    case 423:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(202);
      END_STATE();
    case 424:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(203);
      END_STATE();
    case 425:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(209);
      END_STATE();
    case 426:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(210);
      END_STATE();
    case 427:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(211);
      END_STATE();
    case 428:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(183);
      END_STATE();
    case 429:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(186);
      END_STATE();
    case 430:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(188);
      END_STATE();
    case 431:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(191);
      END_STATE();
    case 432:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(193);
      END_STATE();
    case 433:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(220);
      END_STATE();
    case 434:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(373);
      END_STATE();
    case 435:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(248);
      END_STATE();
    case 436:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(297);
      END_STATE();
    case 437:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1474);
      END_STATE();
    case 438:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(176);
      END_STATE();
    case 439:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1504);
      END_STATE();
    case 440:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(527);
      END_STATE();
    case 441:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(532);
      END_STATE();
    case 442:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(512);
      END_STATE();
    case 443:
      if (lookahead != 0 &&
          lookahead != '}') ADVANCE(162);
      END_STATE();
    case 444:
      if (lookahead != 0) ADVANCE(117);
      END_STATE();
    case 445:
      if (lookahead != 0) ADVANCE(587);
      END_STATE();
    case 446:
      if (eof) ADVANCE(461);
      if (lookahead == '\n') SKIP(453);
      END_STATE();
    case 447:
      if (eof) ADVANCE(461);
      if (lookahead == '\n') SKIP(456);
      END_STATE();
    case 448:
      if (eof) ADVANCE(461);
      if (lookahead == '\n') SKIP(455);
      END_STATE();
    case 449:
      if (eof) ADVANCE(461);
      if (lookahead == '\n') SKIP(457);
      END_STATE();
    case 450:
      if (eof) ADVANCE(461);
      if (lookahead == '\n') SKIP(458);
      END_STATE();
    case 451:
      if (eof) ADVANCE(461);
      if (lookahead == '\n') SKIP(459);
      END_STATE();
    case 452:
      if (eof) ADVANCE(461);
      if (lookahead == '\n') SKIP(460);
      END_STATE();
    case 453:
      if (eof) ADVANCE(461);
      ADVANCE_MAP(
        '!', 1797,
        '"', 1528,
        '#', 473,
        '$', 1527,
        '%', 1757,
        '&', 1511,
        '(', 1455,
        ')', 1456,
        '*', 1791,
        '+', 1774,
        ',', 1458,
        '-', 1777,
        '.', 772,
        '/', 1788,
        '0', 485,
        '1', 479,
        '2', 480,
        '3', 481,
        '4', 482,
        '5', 483,
        '6', 484,
        ':', 1753,
        ';', 1453,
        '<', 826,
        '=', 778,
        '>', 784,
        '@', 96,
        '[', 775,
        '\\', 1789,
        ']', 1822,
      );
      if (lookahead == '`') SKIP(446);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == '|') ADVANCE(1510);
      if (lookahead == '}') ADVANCE(1466);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(675);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(650);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(654);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(710);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(697);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(698);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(688);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(656);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(681);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(676);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(695);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(728);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(696);
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(486);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(453);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 454:
      if (eof) ADVANCE(461);
      ADVANCE_MAP(
        '!', 1797,
        '"', 540,
        '#', 473,
        '$', 120,
        '%', 1757,
        '\'', 124,
        '(', 1455,
        ')', 1456,
        '*', 1791,
        '+', 1774,
        ',', 1458,
        '-', 1779,
        '.', 1816,
        '/', 1788,
        '0', 485,
        '1', 479,
        '2', 480,
        '3', 481,
        '4', 482,
        '5', 483,
        '6', 484,
        ':', 140,
        '<', 826,
        '=', 778,
        '>', 784,
        '@', 96,
        '[', 775,
        '\\', 1789,
        ']', 1822,
      );
      if (lookahead == '`') SKIP(448);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == '|') ADVANCE(1510);
      if (lookahead == '}') ADVANCE(1466);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(250);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(169);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(354);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(311);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(284);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(330);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(166);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(436);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(341);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(277);
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(486);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(455);
      END_STATE();
    case 455:
      if (eof) ADVANCE(461);
      ADVANCE_MAP(
        '!', 1797,
        '"', 540,
        '#', 473,
        '$', 120,
        '%', 1757,
        '\'', 124,
        '(', 1455,
        ')', 1456,
        '*', 1791,
        '+', 1774,
        ',', 1458,
        '-', 1779,
        '.', 132,
        '/', 1788,
        '0', 485,
        '1', 479,
        '2', 480,
        '3', 481,
        '4', 482,
        '5', 483,
        '6', 484,
        ':', 140,
        '<', 826,
        '=', 778,
        '>', 784,
        '@', 96,
        '[', 775,
        '\\', 1789,
        ']', 1822,
      );
      if (lookahead == '`') SKIP(448);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == '|') ADVANCE(1510);
      if (lookahead == '}') ADVANCE(1466);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(250);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(169);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(354);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(311);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(284);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(330);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(166);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(436);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(341);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(277);
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(486);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(455);
      END_STATE();
    case 456:
      if (eof) ADVANCE(461);
      ADVANCE_MAP(
        '!', 1796,
        '"', 540,
        '#', 468,
        '$', 120,
        '%', 1756,
        '&', 1511,
        '\'', 124,
        '(', 1455,
        ')', 1456,
        '+', 1773,
        ',', 1458,
        '-', 1781,
        '.', 773,
        '0', 487,
        ':', 1694,
        ';', 1453,
        '<', 115,
        '@', 96,
        '[', 775,
      );
      if (lookahead == '`') SKIP(447);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == '}') ADVANCE(1466);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1662);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1623);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1556);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1641);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1608);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1598);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1572);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1589);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1586);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1607);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1606);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1532);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(456);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(488);
      if (lookahead != 0 &&
          (lookahead < ' ' || '<' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1695);
      END_STATE();
    case 457:
      if (eof) ADVANCE(461);
      ADVANCE_MAP(
        '!', 1796,
        '"', 540,
        '#', 468,
        '$', 120,
        '%', 1756,
        '&', 1511,
        '\'', 124,
        '(', 1455,
        ')', 1456,
        '+', 1773,
        ',', 1458,
        '-', 1781,
        '.', 773,
        '0', 487,
        ':', 1694,
        ';', 1453,
        '<', 115,
        '@', 96,
        '[', 775,
      );
      if (lookahead == '`') SKIP(449);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == '}') ADVANCE(1466);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1662);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1623);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1556);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1628);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1608);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1598);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1572);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1589);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1586);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1607);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1606);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1534);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(457);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(488);
      if (lookahead != 0 &&
          (lookahead < ' ' || '<' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1695);
      END_STATE();
    case 458:
      if (eof) ADVANCE(461);
      ADVANCE_MAP(
        '!', 1796,
        '"', 540,
        '#', 468,
        '$', 120,
        '%', 1756,
        '&', 1511,
        '\'', 124,
        '(', 1455,
        ')', 1456,
        '+', 1773,
        ',', 1458,
        '-', 1781,
        '.', 773,
        '0', 487,
        ':', 1694,
        ';', 1453,
        '<', 115,
        '@', 96,
        '[', 775,
      );
      if (lookahead == '`') SKIP(450);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == '}') ADVANCE(1466);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1662);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1569);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1556);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1641);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1609);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1598);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1572);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1589);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1586);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1607);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1606);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1536);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(458);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(488);
      if (lookahead != 0 &&
          (lookahead < ' ' || '<' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1695);
      END_STATE();
    case 459:
      if (eof) ADVANCE(461);
      ADVANCE_MAP(
        '!', 1796,
        '"', 540,
        '#', 468,
        '$', 120,
        '%', 1756,
        '&', 1511,
        '\'', 124,
        '(', 1455,
        ')', 1456,
        '+', 1773,
        ',', 1458,
        '-', 1781,
        '.', 773,
        '0', 487,
        ':', 1694,
        ';', 1453,
        '<', 115,
        '@', 96,
        '[', 775,
      );
      if (lookahead == '`') SKIP(451);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == '}') ADVANCE(1466);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1662);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1623);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1556);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1641);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1609);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1598);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1572);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1589);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1586);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1607);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1606);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1533);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(459);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(488);
      if (lookahead != 0 &&
          (lookahead < ' ' || '<' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1695);
      END_STATE();
    case 460:
      if (eof) ADVANCE(461);
      ADVANCE_MAP(
        '!', 1796,
        '"', 540,
        '#', 468,
        '$', 120,
        '%', 1756,
        '&', 1511,
        '\'', 124,
        '(', 1455,
        ')', 1456,
        '+', 1773,
        ',', 1458,
        '-', 1781,
        '.', 773,
        '0', 487,
        ':', 1694,
        ';', 1453,
        '<', 115,
        '@', 96,
        '[', 775,
      );
      if (lookahead == '`') SKIP(452);
      if (lookahead == '{') ADVANCE(1464);
      if (lookahead == '}') ADVANCE(1466);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1662);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1623);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1556);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1634);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1608);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1598);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1572);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1589);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1586);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1607);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1606);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1535);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(460);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(488);
      if (lookahead != 0 &&
          (lookahead < ' ' || '<' < lookahead) &&
          lookahead != ']' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1695);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(99);
      if (lookahead == '"') ADVANCE(595);
      if (lookahead == '#') ADVANCE(463);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(463);
      if (lookahead != 0) ADVANCE(473);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(1519);
      if (lookahead == '"' ||
          lookahead == '$' ||
          lookahead == '`') ADVANCE(473);
      if (lookahead != 0) ADVANCE(464);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '|') ADVANCE(473);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(465);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ';' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(473);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(466);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ',' ||
          lookahead == ';' ||
          lookahead == '|' ||
          lookahead == '}') ADVANCE(473);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(467);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          (' ' <= lookahead && lookahead <= '"') ||
          ('$' <= lookahead && lookahead <= '-') ||
          lookahead == '/' ||
          lookahead == ';' ||
          lookahead == '<' ||
          lookahead == '@' ||
          lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '`' ||
          ('{' <= lookahead && lookahead <= '}')) ADVANCE(473);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(468);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(1519);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '|') ADVANCE(1452);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(473);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '-', 1744,
        '.', 1546,
        'e', 1542,
        'g', 1543,
        'k', 1543,
        'm', 1543,
        'p', 1543,
        't', 1543,
        'x', 1547,
        'd', 477,
        'l', 477,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(476);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1548);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1695);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '-', 1744,
        '.', 1546,
        'e', 1542,
        'g', 1543,
        'k', 1543,
        'm', 1543,
        'p', 1543,
        't', 1543,
        'd', 477,
        'l', 477,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(476);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1548);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1695);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead == '-') ADVANCE(1744);
      if (lookahead == 'g') ADVANCE(1543);
      if (lookahead == 'k') ADVANCE(1543);
      if (lookahead == 'm') ADVANCE(1543);
      if (lookahead == 'p') ADVANCE(1543);
      if (lookahead == 't') ADVANCE(1543);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1548);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1695);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead == '-') ADVANCE(1744);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1548);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1695);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 440,
        '>', 122,
        'e', 163,
        'g', 159,
        'k', 159,
        'm', 159,
        'p', 159,
        't', 159,
        'd', 499,
        'l', 499,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(486);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 440,
        '>', 790,
        'e', 163,
        'g', 159,
        'k', 159,
        'm', 159,
        'p', 159,
        't', 159,
        'd', 499,
        'l', 499,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(486);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 440,
        '>', 796,
        'e', 163,
        'g', 159,
        'k', 159,
        'm', 159,
        'p', 159,
        't', 159,
        'd', 499,
        'l', 499,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(486);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 440,
        '>', 802,
        'e', 163,
        'g', 159,
        'k', 159,
        'm', 159,
        'p', 159,
        't', 159,
        'd', 499,
        'l', 499,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(486);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 440,
        '>', 808,
        'e', 163,
        'g', 159,
        'k', 159,
        'm', 159,
        'p', 159,
        't', 159,
        'd', 499,
        'l', 499,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(486);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 440,
        '>', 814,
        'e', 163,
        'g', 159,
        'k', 159,
        'm', 159,
        'p', 159,
        't', 159,
        'd', 499,
        'l', 499,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(486);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 440,
        'e', 163,
        'g', 159,
        'k', 159,
        'm', 159,
        'p', 159,
        't', 159,
        'x', 442,
        'd', 499,
        'l', 499,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(486);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 440,
        'e', 163,
        'g', 159,
        'k', 159,
        'm', 159,
        'p', 159,
        't', 159,
        'd', 499,
        'l', 499,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(486);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 1692,
        'e', 1553,
        'g', 1550,
        'k', 1550,
        'm', 1550,
        'p', 1550,
        't', 1550,
        'x', 1693,
        'd', 502,
        'l', 502,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(488);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 1692,
        'e', 1553,
        'g', 1550,
        'k', 1550,
        'm', 1550,
        'p', 1550,
        't', 1550,
        'd', 502,
        'l', 502,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(488);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 1205,
        '>', 1161,
        'e', 1180,
        'g', 1176,
        'k', 1176,
        'm', 1176,
        'p', 1176,
        't', 1176,
        'd', 503,
        'l', 503,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(496);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 1205,
        '>', 792,
        'e', 1180,
        'g', 1176,
        'k', 1176,
        'm', 1176,
        'p', 1176,
        't', 1176,
        'd', 503,
        'l', 503,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(496);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 1205,
        '>', 798,
        'e', 1180,
        'g', 1176,
        'k', 1176,
        'm', 1176,
        'p', 1176,
        't', 1176,
        'd', 503,
        'l', 503,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(496);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 1205,
        '>', 804,
        'e', 1180,
        'g', 1176,
        'k', 1176,
        'm', 1176,
        'p', 1176,
        't', 1176,
        'd', 503,
        'l', 503,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(496);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 1205,
        '>', 810,
        'e', 1180,
        'g', 1176,
        'k', 1176,
        'm', 1176,
        'p', 1176,
        't', 1176,
        'd', 503,
        'l', 503,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(496);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 1205,
        '>', 816,
        'e', 1180,
        'g', 1176,
        'k', 1176,
        'm', 1176,
        'p', 1176,
        't', 1176,
        'd', 503,
        'l', 503,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(496);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 1205,
        'e', 1180,
        'g', 1176,
        'k', 1176,
        'm', 1176,
        'p', 1176,
        't', 1176,
        'x', 1210,
        'd', 503,
        'l', 503,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(496);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 1205,
        'e', 1180,
        'g', 1176,
        'k', 1176,
        'm', 1176,
        'p', 1176,
        't', 1176,
        'd', 503,
        'l', 503,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(496);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 1231,
        'e', 1230,
        'g', 1227,
        'k', 1227,
        'm', 1227,
        'p', 1227,
        't', 1227,
        'x', 1234,
        'd', 504,
        'l', 504,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 1231,
        'e', 1230,
        'g', 1227,
        'k', 1227,
        'm', 1227,
        'p', 1227,
        't', 1227,
        'd', 504,
        'l', 504,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead == 'g') ADVANCE(159);
      if (lookahead == 'k') ADVANCE(159);
      if (lookahead == 'm') ADVANCE(159);
      if (lookahead == 'p') ADVANCE(159);
      if (lookahead == 't') ADVANCE(159);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        'g', 159,
        'k', 159,
        'm', 159,
        'p', 159,
        't', 159,
        'x', 442,
        'd', 499,
        'l', 499,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(501);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead == 'g') ADVANCE(159);
      if (lookahead == 'k') ADVANCE(159);
      if (lookahead == 'm') ADVANCE(159);
      if (lookahead == 'p') ADVANCE(159);
      if (lookahead == 't') ADVANCE(159);
      if (lookahead == 'd' ||
          lookahead == 'l') ADVANCE(499);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(501);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead == 'g') ADVANCE(1550);
      if (lookahead == 'k') ADVANCE(1550);
      if (lookahead == 'm') ADVANCE(1550);
      if (lookahead == 'p') ADVANCE(1550);
      if (lookahead == 't') ADVANCE(1550);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead == 'g') ADVANCE(1176);
      if (lookahead == 'k') ADVANCE(1176);
      if (lookahead == 'm') ADVANCE(1176);
      if (lookahead == 'p') ADVANCE(1176);
      if (lookahead == 't') ADVANCE(1176);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead == 'g') ADVANCE(1227);
      if (lookahead == 'k') ADVANCE(1227);
      if (lookahead == 'm') ADVANCE(1227);
      if (lookahead == 'p') ADVANCE(1227);
      if (lookahead == 't') ADVANCE(1227);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(sym_hexadecimal_integer_literal);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(sym_hexadecimal_integer_literal);
      if (lookahead == '-') ADVANCE(1744);
      if (lookahead == 'g') ADVANCE(1545);
      if (lookahead == 'k') ADVANCE(1545);
      if (lookahead == 'l') ADVANCE(510);
      if (lookahead == 'm') ADVANCE(1545);
      if (lookahead == 'p') ADVANCE(1545);
      if (lookahead == 't') ADVANCE(1545);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(509);
      if (lookahead == '.' ||
          lookahead == '?' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('h' <= lookahead && lookahead <= 'z')) ADVANCE(1548);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1695);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(sym_hexadecimal_integer_literal);
      if (lookahead == '-') ADVANCE(1744);
      if (lookahead == 'g') ADVANCE(1545);
      if (lookahead == 'k') ADVANCE(1545);
      if (lookahead == 'm') ADVANCE(1545);
      if (lookahead == 'p') ADVANCE(1545);
      if (lookahead == 't') ADVANCE(1545);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1548);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1695);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(sym_hexadecimal_integer_literal);
      if (lookahead == '-') ADVANCE(1744);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1548);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1695);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(sym_hexadecimal_integer_literal);
      if (lookahead == 'g') ADVANCE(161);
      if (lookahead == 'k') ADVANCE(161);
      if (lookahead == 'l') ADVANCE(513);
      if (lookahead == 'm') ADVANCE(161);
      if (lookahead == 'p') ADVANCE(161);
      if (lookahead == 't') ADVANCE(161);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(512);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(sym_hexadecimal_integer_literal);
      if (lookahead == 'g') ADVANCE(161);
      if (lookahead == 'k') ADVANCE(161);
      if (lookahead == 'm') ADVANCE(161);
      if (lookahead == 'p') ADVANCE(161);
      if (lookahead == 't') ADVANCE(161);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(sym_hexadecimal_integer_literal);
      if (lookahead == 'g') ADVANCE(1552);
      if (lookahead == 'k') ADVANCE(1552);
      if (lookahead == 'l') ADVANCE(515);
      if (lookahead == 'm') ADVANCE(1552);
      if (lookahead == 'p') ADVANCE(1552);
      if (lookahead == 't') ADVANCE(1552);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(514);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(sym_hexadecimal_integer_literal);
      if (lookahead == 'g') ADVANCE(1552);
      if (lookahead == 'k') ADVANCE(1552);
      if (lookahead == 'm') ADVANCE(1552);
      if (lookahead == 'p') ADVANCE(1552);
      if (lookahead == 't') ADVANCE(1552);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(sym_hexadecimal_integer_literal);
      if (lookahead == 'g') ADVANCE(1178);
      if (lookahead == 'k') ADVANCE(1178);
      if (lookahead == 'l') ADVANCE(517);
      if (lookahead == 'm') ADVANCE(1178);
      if (lookahead == 'p') ADVANCE(1178);
      if (lookahead == 't') ADVANCE(1178);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(516);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(sym_hexadecimal_integer_literal);
      if (lookahead == 'g') ADVANCE(1178);
      if (lookahead == 'k') ADVANCE(1178);
      if (lookahead == 'm') ADVANCE(1178);
      if (lookahead == 'p') ADVANCE(1178);
      if (lookahead == 't') ADVANCE(1178);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(sym_hexadecimal_integer_literal);
      if (lookahead == 'g') ADVANCE(1229);
      if (lookahead == 'k') ADVANCE(1229);
      if (lookahead == 'l') ADVANCE(519);
      if (lookahead == 'm') ADVANCE(1229);
      if (lookahead == 'p') ADVANCE(1229);
      if (lookahead == 't') ADVANCE(1229);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(518);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(sym_hexadecimal_integer_literal);
      if (lookahead == 'g') ADVANCE(1229);
      if (lookahead == 'k') ADVANCE(1229);
      if (lookahead == 'm') ADVANCE(1229);
      if (lookahead == 'p') ADVANCE(1229);
      if (lookahead == 't') ADVANCE(1229);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(sym_hexadecimal_integer_literal);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(sym_hexadecimal_integer_literal);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(sym_hexadecimal_integer_literal);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(sym_real_literal);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead == '-') ADVANCE(1744);
      if (lookahead == 'e') ADVANCE(1542);
      if (lookahead == 'g') ADVANCE(1544);
      if (lookahead == 'k') ADVANCE(1544);
      if (lookahead == 'm') ADVANCE(1544);
      if (lookahead == 'p') ADVANCE(1544);
      if (lookahead == 't') ADVANCE(1544);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(524);
      if (lookahead == '.' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1548);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1695);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead == '-') ADVANCE(1744);
      if (lookahead == 'g') ADVANCE(1544);
      if (lookahead == 'k') ADVANCE(1544);
      if (lookahead == 'm') ADVANCE(1544);
      if (lookahead == 'p') ADVANCE(1544);
      if (lookahead == 't') ADVANCE(1544);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(525);
      if (lookahead == '.' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1548);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1695);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead == '-') ADVANCE(1744);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1548);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1695);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead == 'e') ADVANCE(163);
      if (lookahead == 'g') ADVANCE(160);
      if (lookahead == 'k') ADVANCE(160);
      if (lookahead == 'm') ADVANCE(160);
      if (lookahead == 'p') ADVANCE(160);
      if (lookahead == 't') ADVANCE(160);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(527);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead == 'e') ADVANCE(1553);
      if (lookahead == 'g') ADVANCE(1551);
      if (lookahead == 'k') ADVANCE(1551);
      if (lookahead == 'm') ADVANCE(1551);
      if (lookahead == 'p') ADVANCE(1551);
      if (lookahead == 't') ADVANCE(1551);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(528);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead == 'e') ADVANCE(1180);
      if (lookahead == 'g') ADVANCE(1177);
      if (lookahead == 'k') ADVANCE(1177);
      if (lookahead == 'm') ADVANCE(1177);
      if (lookahead == 'p') ADVANCE(1177);
      if (lookahead == 't') ADVANCE(1177);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(529);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead == 'e') ADVANCE(1230);
      if (lookahead == 'g') ADVANCE(1228);
      if (lookahead == 'k') ADVANCE(1228);
      if (lookahead == 'm') ADVANCE(1228);
      if (lookahead == 'p') ADVANCE(1228);
      if (lookahead == 't') ADVANCE(1228);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(530);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead == 'g') ADVANCE(1736);
      if (lookahead == 'k') ADVANCE(1736);
      if (lookahead == 'm') ADVANCE(1736);
      if (lookahead == 'p') ADVANCE(1736);
      if (lookahead == 't') ADVANCE(1736);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(531);
      if (lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1744);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead == 'g') ADVANCE(160);
      if (lookahead == 'k') ADVANCE(160);
      if (lookahead == 'm') ADVANCE(160);
      if (lookahead == 'p') ADVANCE(160);
      if (lookahead == 't') ADVANCE(160);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(532);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead == 'g') ADVANCE(1551);
      if (lookahead == 'k') ADVANCE(1551);
      if (lookahead == 'm') ADVANCE(1551);
      if (lookahead == 'p') ADVANCE(1551);
      if (lookahead == 't') ADVANCE(1551);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(533);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead == 'g') ADVANCE(1177);
      if (lookahead == 'k') ADVANCE(1177);
      if (lookahead == 'm') ADVANCE(1177);
      if (lookahead == 'p') ADVANCE(1177);
      if (lookahead == 't') ADVANCE(1177);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(534);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead == 'g') ADVANCE(1228);
      if (lookahead == 'k') ADVANCE(1228);
      if (lookahead == 'm') ADVANCE(1228);
      if (lookahead == 'p') ADVANCE(1228);
      if (lookahead == 't') ADVANCE(1228);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(535);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1744);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(sym_real_literal);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token1);
      if (lookahead == '#') ADVANCE(540);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(540);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token1);
      if (lookahead == '#') ADVANCE(541);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(540);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token1);
      if (lookahead == '#') ADVANCE(542);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(540);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == '\n') ADVANCE(586);
      if (lookahead == '"' ||
          lookahead == '$' ||
          lookahead == '`') ADVANCE(473);
      if (lookahead != 0) ADVANCE(543);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == '\n') ADVANCE(545);
      if (lookahead == '"') ADVANCE(595);
      if (lookahead == '#') ADVANCE(544);
      if (lookahead == '$' ||
          lookahead == '`') ADVANCE(473);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(544);
      if (lookahead != 0) ADVANCE(543);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == '"') ADVANCE(593);
      if (lookahead == '#') ADVANCE(545);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(545);
      if (lookahead != 0 &&
          (lookahead < '"' || '$' < lookahead) &&
          lookahead != '`') ADVANCE(586);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == '#') ADVANCE(544);
      if (lookahead == '<') ADVANCE(548);
      if (lookahead == '@') ADVANCE(583);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(547);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(546);
      if (lookahead != 0 &&
          (lookahead < '"' || '$' < lookahead) &&
          lookahead != '`') ADVANCE(586);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == '#') ADVANCE(543);
      if (lookahead == '<') ADVANCE(548);
      if (lookahead == '@') ADVANCE(583);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(547);
      if (lookahead != 0 &&
          (lookahead < '"' || '$' < lookahead) &&
          lookahead != '`') ADVANCE(586);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == '#') ADVANCE(550);
      if (lookahead != 0 &&
          (lookahead < '"' || '$' < lookahead) &&
          lookahead != '`') ADVANCE(586);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == '#') ADVANCE(549);
      if (lookahead == '>') ADVANCE(586);
      if (('"' <= lookahead && lookahead <= '$') ||
          lookahead == '`') ADVANCE(117);
      if (lookahead != 0) ADVANCE(550);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == '#') ADVANCE(549);
      if (lookahead == '`') ADVANCE(444);
      if (('"' <= lookahead && lookahead <= '$')) ADVANCE(117);
      if (lookahead != 0) ADVANCE(550);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(584);
      if (lookahead == '?') ADVANCE(586);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(585);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(584);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(577);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(584);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(564);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(584);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(553);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(584);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(553);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(584);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(575);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(584);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(582);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(584);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(566);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(584);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(582);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(584);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(579);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(584);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(567);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(584);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(572);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(584);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(558);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(584);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(582);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(584);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(568);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(584);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(569);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(584);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(559);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(584);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(554);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(584);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(580);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(584);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(574);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(584);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(555);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(584);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(578);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(584);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(560);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(584);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(563);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(584);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(562);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(584);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(561);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(584);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(557);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(584);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(582);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(584);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(552);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(584);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(582);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(584);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == ':') ADVANCE(551);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      ADVANCE_MAP(
        '?', 586,
        'G', 565,
        'g', 565,
        'L', 571,
        'l', 571,
        'P', 573,
        'p', 573,
        'S', 556,
        's', 556,
        'U', 576,
        'u', 576,
        'W', 570,
        'w', 570,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead == '?') ADVANCE(586);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(585);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(585);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(586);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token2);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(586);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token3);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token4);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      ADVANCE_MAP(
        '$', 907,
        '(', 1811,
        '?', 913,
        '^', 910,
        '_', 916,
        '`', 445,
        '{', 443,
        'G', 933,
        'g', 933,
        'L', 939,
        'l', 939,
        'P', 941,
        'p', 941,
        'S', 924,
        's', 924,
        'U', 944,
        'u', 944,
        'W', 938,
        'w', 938,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '\\') ADVANCE(587);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      ADVANCE_MAP(
        '$', 907,
        '(', 1811,
        '?', 913,
        '^', 910,
        '_', 916,
        '{', 443,
        'G', 933,
        'g', 933,
        'L', 939,
        'l', 939,
        'P', 941,
        'p', 941,
        'S', 924,
        's', 924,
        'U', 944,
        'u', 944,
        'W', 938,
        'w', 938,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token5);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token5);
      if (lookahead == '"') ADVANCE(589);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(aux_sym_expandable_string_literal_token5);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(473);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token1);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == '#') ADVANCE(635);
      if (lookahead == '<') ADVANCE(598);
      if (lookahead == '@') ADVANCE(633);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(597);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '#' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(637);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == '#') ADVANCE(600);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '#' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(637);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == '#') ADVANCE(599);
      if (lookahead == '>') ADVANCE(637);
      if (lookahead == '\n' ||
          lookahead == '$' ||
          lookahead == '`') ADVANCE(117);
      if (lookahead != 0) ADVANCE(600);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == '#') ADVANCE(599);
      if (lookahead == '`') ADVANCE(444);
      if (lookahead == '\n' ||
          lookahead == '$') ADVANCE(117);
      if (lookahead != 0) ADVANCE(600);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(634);
      if (lookahead == '?') ADVANCE(637);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(636);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(634);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(627);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(634);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(614);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(634);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(603);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(634);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(603);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(634);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(625);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(634);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(632);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(634);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(616);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(634);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(632);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(634);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(629);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(634);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(617);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(634);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(622);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(634);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(608);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(634);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(632);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(634);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(618);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(634);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(619);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(634);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(609);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(634);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(604);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(634);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(630);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(634);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(624);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(634);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(605);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(634);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(628);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(634);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(610);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(634);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(613);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(634);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(612);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(634);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(611);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(634);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(607);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(634);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(632);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(634);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(602);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(634);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(632);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(634);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == ':') ADVANCE(601);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      ADVANCE_MAP(
        '?', 637,
        'G', 615,
        'g', 615,
        'L', 621,
        'l', 621,
        'P', 623,
        'p', 623,
        'S', 606,
        's', 606,
        'U', 626,
        'u', 626,
        'W', 620,
        'w', 620,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == '?') ADVANCE(637);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(636);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead == '$' ||
          lookahead == '`') ADVANCE(473);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(635);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(636);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(637);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(637);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token3);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token3);
      if (lookahead == '#') ADVANCE(117);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token3);
      ADVANCE_MAP(
        '$', 907,
        '(', 1811,
        '?', 913,
        '^', 910,
        '_', 916,
        '{', 443,
        'G', 933,
        'g', 933,
        'L', 939,
        'l', 939,
        'P', 941,
        'p', 941,
        'S', 924,
        's', 924,
        'U', 944,
        'u', 944,
        'W', 938,
        'w', 938,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token3);
      ADVANCE_MAP(
        '?', 1018,
        'G', 1063,
        'g', 1063,
        'L', 1069,
        'l', 1069,
        'P', 1071,
        'p', 1071,
        'S', 1054,
        's', 1054,
        'U', 1074,
        'u', 1074,
        'W', 1068,
        'w', 1068,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token3);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(473);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token4);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(aux_sym_expandable_here_string_literal_token5);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_verbatim_string_characters);
      if (lookahead == '\'') ADVANCE(124);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_verbatim_string_characters);
      if (lookahead == '\'') ADVANCE(1162);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_verbatim_string_characters);
      if (lookahead == '\'') ADVANCE(1222);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_verbatim_here_string_characters);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_verbatim_here_string_characters);
      if (lookahead == '\n') ADVANCE(48);
      if (lookahead != 0) ADVANCE(7);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(752);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(655);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(732);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(737);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1502);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1505);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(719);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(757);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1489);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(729);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(750);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(745);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(735);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(722);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(715);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(709);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(721);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(746);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(668);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(760);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(692);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1764);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(738);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(693);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(694);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(687);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(680);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(761);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1463);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(720);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(674);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(683);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(691);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(682);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(739);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(663);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(707);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1471);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1488);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1495);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1509);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(753);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(659);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(724);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(742);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(713);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(731);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(751);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1467);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1482);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1468);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(714);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(702);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1503);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1473);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1480);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(743);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(651);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(699);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(741);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(716);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(740);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(727);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(673);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(717);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(736);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(711);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(723);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(665);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(730);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(754);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(666);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(762);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(690);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1494);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(749);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(672);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(705);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1490);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(768);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1508);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(734);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(712);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(756);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(658);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(678);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(685);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(718);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1454);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1766);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1460);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(706);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1461);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1763);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1497);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1491);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(671);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(758);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(657);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(764);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(670);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(759);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(766);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(767);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(669);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(726);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1501);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(661);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(765);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1485);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(708);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1492);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(733);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(725);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(653);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(660);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1765);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1462);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(677);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(747);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(748);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(664);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(763);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1498);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(663);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(684);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(652);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(701);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(704);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(703);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(700);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(667);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(744);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(679);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(686);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1496);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1493);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(sym_simple_name);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1504);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(sym_simple_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(769);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(sym_type_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(770);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(527);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(528);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(anon_sym_DOT);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '>') ADVANCE(787);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '>') ADVANCE(789);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '>') ADVANCE(788);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1719);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1719);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(anon_sym_2_GT);
      if (lookahead == '&') ADVANCE(134);
      if (lookahead == '>') ADVANCE(793);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(anon_sym_2_GT);
      if (lookahead == '&') ADVANCE(134);
      if (lookahead == '>') ADVANCE(794);
      if (((!eof && set_contains(sym_generic_token_character_set_1, 11, lookahead)) ||
          lookahead == '$' ||
          lookahead == '-' ||
          lookahead == '@' ||
          lookahead == '[' ||
          lookahead == '`') &&
          lookahead != ',' &&
          lookahead != ';') ADVANCE(1719);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(anon_sym_2_GT);
      if (lookahead == '&') ADVANCE(1165);
      if (lookahead == '>') ADVANCE(795);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(anon_sym_2_GT_GT);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(anon_sym_2_GT_GT);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1719);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(anon_sym_2_GT_GT);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(anon_sym_3_GT);
      if (lookahead == '&') ADVANCE(135);
      if (lookahead == '>') ADVANCE(799);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(anon_sym_3_GT);
      if (lookahead == '&') ADVANCE(135);
      if (lookahead == '>') ADVANCE(800);
      if (((!eof && set_contains(sym_generic_token_character_set_1, 11, lookahead)) ||
          lookahead == '$' ||
          lookahead == '-' ||
          lookahead == '@' ||
          lookahead == '[' ||
          lookahead == '`') &&
          lookahead != ',' &&
          lookahead != ';') ADVANCE(1719);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(anon_sym_3_GT);
      if (lookahead == '&') ADVANCE(1166);
      if (lookahead == '>') ADVANCE(801);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(anon_sym_3_GT_GT);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(anon_sym_3_GT_GT);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1719);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(anon_sym_3_GT_GT);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(anon_sym_4_GT);
      if (lookahead == '&') ADVANCE(136);
      if (lookahead == '>') ADVANCE(805);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(anon_sym_4_GT);
      if (lookahead == '&') ADVANCE(136);
      if (lookahead == '>') ADVANCE(806);
      if (((!eof && set_contains(sym_generic_token_character_set_1, 11, lookahead)) ||
          lookahead == '$' ||
          lookahead == '-' ||
          lookahead == '@' ||
          lookahead == '[' ||
          lookahead == '`') &&
          lookahead != ',' &&
          lookahead != ';') ADVANCE(1719);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(anon_sym_4_GT);
      if (lookahead == '&') ADVANCE(1167);
      if (lookahead == '>') ADVANCE(807);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(anon_sym_4_GT_GT);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(anon_sym_4_GT_GT);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1719);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(anon_sym_4_GT_GT);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(anon_sym_5_GT);
      if (lookahead == '&') ADVANCE(137);
      if (lookahead == '>') ADVANCE(811);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(anon_sym_5_GT);
      if (lookahead == '&') ADVANCE(137);
      if (lookahead == '>') ADVANCE(812);
      if (((!eof && set_contains(sym_generic_token_character_set_1, 11, lookahead)) ||
          lookahead == '$' ||
          lookahead == '-' ||
          lookahead == '@' ||
          lookahead == '[' ||
          lookahead == '`') &&
          lookahead != ',' &&
          lookahead != ';') ADVANCE(1719);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(anon_sym_5_GT);
      if (lookahead == '&') ADVANCE(1168);
      if (lookahead == '>') ADVANCE(813);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(anon_sym_5_GT_GT);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(anon_sym_5_GT_GT);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1719);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(anon_sym_5_GT_GT);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(anon_sym_6_GT);
      if (lookahead == '&') ADVANCE(138);
      if (lookahead == '>') ADVANCE(817);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(anon_sym_6_GT);
      if (lookahead == '&') ADVANCE(138);
      if (lookahead == '>') ADVANCE(818);
      if (((!eof && set_contains(sym_generic_token_character_set_1, 11, lookahead)) ||
          lookahead == '$' ||
          lookahead == '-' ||
          lookahead == '@' ||
          lookahead == '[' ||
          lookahead == '`') &&
          lookahead != ',' &&
          lookahead != ';') ADVANCE(1719);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(anon_sym_6_GT);
      if (lookahead == '&') ADVANCE(1169);
      if (lookahead == '>') ADVANCE(819);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(anon_sym_6_GT_GT);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(anon_sym_6_GT_GT);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1719);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(anon_sym_6_GT_GT);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(anon_sym_STAR_GT);
      if (lookahead == '&') ADVANCE(133);
      if (lookahead == '>') ADVANCE(823);
      END_STATE();
    case 821:
      ACCEPT_TOKEN(anon_sym_STAR_GT);
      if (lookahead == '&') ADVANCE(133);
      if (lookahead == '>') ADVANCE(824);
      if (((!eof && set_contains(sym_generic_token_character_set_1, 11, lookahead)) ||
          lookahead == '$' ||
          lookahead == '-' ||
          lookahead == '@' ||
          lookahead == '[' ||
          lookahead == '`') &&
          lookahead != ',' &&
          lookahead != ';') ADVANCE(1719);
      END_STATE();
    case 822:
      ACCEPT_TOKEN(anon_sym_STAR_GT);
      if (lookahead == '&') ADVANCE(1164);
      if (lookahead == '>') ADVANCE(825);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 823:
      ACCEPT_TOKEN(anon_sym_STAR_GT_GT);
      END_STATE();
    case 824:
      ACCEPT_TOKEN(anon_sym_STAR_GT_GT);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1719);
      END_STATE();
    case 825:
      ACCEPT_TOKEN(anon_sym_STAR_GT_GT);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '#') ADVANCE(117);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '#') ADVANCE(1159);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 828:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '#') ADVANCE(1701);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          lookahead != '#' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1719);
      END_STATE();
    case 829:
      ACCEPT_TOKEN(anon_sym_STAR_GT_AMP1);
      END_STATE();
    case 830:
      ACCEPT_TOKEN(anon_sym_STAR_GT_AMP1);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 831:
      ACCEPT_TOKEN(anon_sym_2_GT_AMP1);
      END_STATE();
    case 832:
      ACCEPT_TOKEN(anon_sym_2_GT_AMP1);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 833:
      ACCEPT_TOKEN(anon_sym_3_GT_AMP1);
      END_STATE();
    case 834:
      ACCEPT_TOKEN(anon_sym_3_GT_AMP1);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 835:
      ACCEPT_TOKEN(anon_sym_4_GT_AMP1);
      END_STATE();
    case 836:
      ACCEPT_TOKEN(anon_sym_4_GT_AMP1);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 837:
      ACCEPT_TOKEN(anon_sym_5_GT_AMP1);
      END_STATE();
    case 838:
      ACCEPT_TOKEN(anon_sym_5_GT_AMP1);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 839:
      ACCEPT_TOKEN(anon_sym_6_GT_AMP1);
      END_STATE();
    case 840:
      ACCEPT_TOKEN(anon_sym_6_GT_AMP1);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 841:
      ACCEPT_TOKEN(anon_sym_STAR_GT_AMP2);
      END_STATE();
    case 842:
      ACCEPT_TOKEN(anon_sym_STAR_GT_AMP2);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 843:
      ACCEPT_TOKEN(anon_sym_1_GT_AMP2);
      END_STATE();
    case 844:
      ACCEPT_TOKEN(anon_sym_1_GT_AMP2);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 845:
      ACCEPT_TOKEN(anon_sym_3_GT_AMP2);
      END_STATE();
    case 846:
      ACCEPT_TOKEN(anon_sym_3_GT_AMP2);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 847:
      ACCEPT_TOKEN(anon_sym_4_GT_AMP2);
      END_STATE();
    case 848:
      ACCEPT_TOKEN(anon_sym_4_GT_AMP2);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 849:
      ACCEPT_TOKEN(anon_sym_5_GT_AMP2);
      END_STATE();
    case 850:
      ACCEPT_TOKEN(anon_sym_5_GT_AMP2);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 851:
      ACCEPT_TOKEN(anon_sym_6_GT_AMP2);
      END_STATE();
    case 852:
      ACCEPT_TOKEN(anon_sym_6_GT_AMP2);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 853:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token1);
      END_STATE();
    case 854:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token2);
      END_STATE();
    case 855:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token3);
      END_STATE();
    case 856:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token4);
      END_STATE();
    case 857:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token5);
      END_STATE();
    case 858:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token6);
      END_STATE();
    case 859:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token7);
      END_STATE();
    case 860:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token8);
      END_STATE();
    case 861:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token9);
      END_STATE();
    case 862:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token10);
      END_STATE();
    case 863:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token11);
      END_STATE();
    case 864:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token12);
      END_STATE();
    case 865:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token13);
      END_STATE();
    case 866:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token14);
      END_STATE();
    case 867:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token15);
      END_STATE();
    case 868:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token16);
      END_STATE();
    case 869:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token17);
      END_STATE();
    case 870:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token18);
      END_STATE();
    case 871:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token19);
      END_STATE();
    case 872:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token20);
      END_STATE();
    case 873:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token21);
      END_STATE();
    case 874:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token22);
      END_STATE();
    case 875:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token23);
      END_STATE();
    case 876:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token24);
      END_STATE();
    case 877:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token25);
      END_STATE();
    case 878:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token26);
      END_STATE();
    case 879:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token27);
      END_STATE();
    case 880:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token28);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(882);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1437);
      END_STATE();
    case 881:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token28);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(882);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(433);
      END_STATE();
    case 882:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token29);
      END_STATE();
    case 883:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token30);
      END_STATE();
    case 884:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token31);
      END_STATE();
    case 885:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token32);
      END_STATE();
    case 886:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token33);
      END_STATE();
    case 887:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(365);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(322);
      END_STATE();
    case 888:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1382);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1352);
      END_STATE();
    case 889:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token35);
      END_STATE();
    case 890:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token36);
      END_STATE();
    case 891:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token37);
      END_STATE();
    case 892:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token38);
      END_STATE();
    case 893:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token39);
      END_STATE();
    case 894:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token40);
      END_STATE();
    case 895:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token41);
      END_STATE();
    case 896:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token42);
      END_STATE();
    case 897:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token43);
      END_STATE();
    case 898:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token44);
      END_STATE();
    case 899:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token45);
      END_STATE();
    case 900:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token46);
      END_STATE();
    case 901:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token47);
      END_STATE();
    case 902:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token48);
      END_STATE();
    case 903:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token49);
      END_STATE();
    case 904:
      ACCEPT_TOKEN(aux_sym_comparison_operator_token50);
      END_STATE();
    case 905:
      ACCEPT_TOKEN(aux_sym_format_operator_token1);
      END_STATE();
    case 906:
      ACCEPT_TOKEN(aux_sym_format_operator_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1347);
      END_STATE();
    case 907:
      ACCEPT_TOKEN(anon_sym_DOLLAR_DOLLAR);
      END_STATE();
    case 908:
      ACCEPT_TOKEN(anon_sym_DOLLAR_DOLLAR);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 909:
      ACCEPT_TOKEN(anon_sym_DOLLAR_DOLLAR);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 910:
      ACCEPT_TOKEN(anon_sym_DOLLAR_CARET);
      END_STATE();
    case 911:
      ACCEPT_TOKEN(anon_sym_DOLLAR_CARET);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 912:
      ACCEPT_TOKEN(anon_sym_DOLLAR_CARET);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 913:
      ACCEPT_TOKEN(anon_sym_DOLLAR_QMARK);
      END_STATE();
    case 914:
      ACCEPT_TOKEN(anon_sym_DOLLAR_QMARK);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 915:
      ACCEPT_TOKEN(anon_sym_DOLLAR_QMARK);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 916:
      ACCEPT_TOKEN(anon_sym_DOLLAR_);
      if (lookahead == ':') ADVANCE(154);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 917:
      ACCEPT_TOKEN(anon_sym_DOLLAR_);
      if (lookahead == ':') ADVANCE(1175);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(980);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 918:
      ACCEPT_TOKEN(anon_sym_DOLLAR_);
      if (lookahead == ':') ADVANCE(1226);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1011);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 919:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      END_STATE();
    case 920:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(154);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(945);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 921:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(154);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(932);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 922:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(154);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(921);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 923:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(154);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(921);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 924:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(154);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(943);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 925:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(154);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(950);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 926:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(154);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(934);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 927:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(154);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(950);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 928:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(154);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(947);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 929:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(154);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(935);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 930:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(154);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(940);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 931:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(154);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(926);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 932:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(154);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(950);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 933:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(154);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(936);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 934:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(154);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(937);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 935:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(154);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(927);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 936:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(154);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(922);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 937:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(154);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(948);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 938:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(154);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(942);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 939:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(154);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(923);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 940:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(154);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(946);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 941:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(154);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(928);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 942:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(154);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(931);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 943:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(154);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(930);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 944:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(154);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(929);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 945:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(154);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(925);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 946:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(154);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(950);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 947:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(154);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(920);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 948:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(154);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(950);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 949:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(154);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 950:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(142);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 951:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1175);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(976);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(980);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 952:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1175);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(963);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(980);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 953:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1175);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(952);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(980);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 954:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1175);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(952);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(980);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 955:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1175);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(974);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(980);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 956:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1175);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(981);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(980);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 957:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1175);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(965);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(980);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 958:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1175);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(981);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(980);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 959:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1175);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(978);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(980);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 960:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1175);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(966);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(980);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 961:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1175);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(971);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(980);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 962:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1175);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(957);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(980);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 963:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1175);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(981);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(980);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 964:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1175);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(967);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(980);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 965:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1175);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(968);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(980);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 966:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1175);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(958);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(980);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 967:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1175);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(953);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(980);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 968:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1175);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(979);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(980);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 969:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1175);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(973);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(980);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 970:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1175);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(954);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(980);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 971:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1175);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(977);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(980);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 972:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1175);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(959);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(980);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 973:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1175);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(962);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(980);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 974:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1175);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(961);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(980);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 975:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1175);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(960);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(980);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 976:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1175);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(956);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(980);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 977:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1175);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(981);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(980);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 978:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1175);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(951);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(980);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 979:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1175);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(981);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(980);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 980:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1175);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(980);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 981:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1171);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(980);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 982:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1226);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1007);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1011);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 983:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1226);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(994);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1011);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 984:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1226);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(983);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1011);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 985:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1226);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(983);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1011);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 986:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1226);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1005);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1011);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 987:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1226);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1012);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1011);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 988:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1226);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(996);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1011);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 989:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1226);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1012);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1011);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 990:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1226);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1009);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1011);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 991:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1226);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(997);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1011);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 992:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1226);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1002);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1011);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 993:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1226);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(988);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1011);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 994:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1226);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1012);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1011);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 995:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1226);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(998);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1011);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 996:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1226);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(999);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1011);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 997:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1226);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(989);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1011);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 998:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1226);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(984);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1011);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 999:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1226);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1010);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1011);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1000:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1226);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1004);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1011);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1001:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1226);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(985);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1011);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1002:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1226);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1008);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1011);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1003:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1226);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(990);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1011);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1004:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1226);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(993);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1011);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1005:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1226);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(992);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1011);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1006:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1226);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(991);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1011);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1007:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1226);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(987);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1011);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1008:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1226);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1012);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1011);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1009:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1226);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(982);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1011);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1010:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1226);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1012);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1011);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1011:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1226);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1011);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1012:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead == ':') ADVANCE(1223);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1011);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1013:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1013);
      END_STATE();
    case 1014:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1014);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1015:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1016:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1017:
      ACCEPT_TOKEN(aux_sym_variable_token1);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1018:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      END_STATE();
    case 1019:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1518);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1044);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1020:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1518);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1031);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1021:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1518);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1020);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1022:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1518);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1020);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1023:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1518);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1042);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1024:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1518);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1049);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1025:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1518);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1033);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1026:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1518);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1049);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1027:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1518);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1046);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1028:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1518);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1034);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1029:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1518);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1039);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1030:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1518);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1025);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1031:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1518);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1049);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1032:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1518);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1035);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1033:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1518);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1036);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1034:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1518);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1026);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1035:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1518);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1021);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1036:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1518);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1047);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1037:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1518);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1041);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1038:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1518);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1022);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1039:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1518);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1045);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1040:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1518);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1027);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1041:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1518);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1030);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1042:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1518);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1029);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1043:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1518);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1028);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1044:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1518);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1024);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1045:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1518);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1049);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1046:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1518);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1019);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1047:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1518);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1049);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1048:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1518);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1049:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1516);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1050:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(153);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1075);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 1051:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(153);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1062);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 1052:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(153);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1051);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 1053:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(153);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1051);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 1054:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(153);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1073);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 1055:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(153);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1080);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 1056:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(153);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1064);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 1057:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(153);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1080);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 1058:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(153);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1077);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 1059:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(153);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1065);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 1060:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(153);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1070);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 1061:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(153);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1056);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 1062:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(153);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1080);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 1063:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(153);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1066);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 1064:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(153);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1067);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 1065:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(153);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1057);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 1066:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(153);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1052);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 1067:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(153);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1078);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 1068:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(153);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1072);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 1069:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(153);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1053);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 1070:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(153);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1076);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 1071:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(153);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1058);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 1072:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(153);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1061);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 1073:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(153);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1060);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 1074:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(153);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1059);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 1075:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(153);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1055);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 1076:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(153);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1080);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 1077:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(153);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1050);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 1078:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(153);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1080);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 1079:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(153);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 1080:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(143);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1079);
      END_STATE();
    case 1081:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1174);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1106);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1110);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1082:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1174);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1093);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1110);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1083:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1174);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1082);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1110);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1084:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1174);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1082);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1110);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1085:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1174);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1104);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1110);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1086:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1174);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1111);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1110);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1087:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1174);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1095);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1110);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1088:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1174);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1111);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1110);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1089:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1174);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1108);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1110);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1090:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1174);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1096);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1110);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1091:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1174);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1101);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1110);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1092:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1174);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1087);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1110);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1093:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1174);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1111);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1110);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1094:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1174);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1097);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1110);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1095:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1174);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1098);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1110);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1096:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1174);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1088);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1110);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1097:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1174);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1083);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1110);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1098:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1174);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1110);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1099:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1174);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1103);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1110);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1100:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1174);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1084);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1110);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1101:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1174);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1107);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1110);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1102:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1174);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1089);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1110);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1103:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1174);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1092);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1110);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1104:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1174);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1091);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1110);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1105:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1174);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1090);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1110);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1106:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1174);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1086);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1110);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1107:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1174);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1111);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1110);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1108:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1174);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1081);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1110);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1109:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1174);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1111);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1110);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1110:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1174);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1110);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1111:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1172);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1110);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1112:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1225);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1137);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1141);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1113:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1225);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1124);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1141);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1114:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1225);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1141);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1115:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1225);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1141);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1116:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1225);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1135);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1141);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1117:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1225);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1142);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1141);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1118:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1225);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1126);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1141);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1119:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1225);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1142);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1141);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1120:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1225);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1139);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1141);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1121:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1225);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1127);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1141);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1122:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1225);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1132);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1141);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1123:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1225);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1118);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1141);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1124:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1225);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1142);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1141);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1125:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1225);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1128);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1141);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1126:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1225);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1129);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1141);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1127:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1225);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1119);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1141);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1128:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1225);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1114);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1141);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1129:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1225);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1140);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1141);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1130:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1225);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1134);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1141);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1131:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1225);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1115);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1141);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1132:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1225);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1138);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1141);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1133:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1225);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1120);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1141);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1134:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1225);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1123);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1141);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1135:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1225);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1122);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1141);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1136:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1225);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1121);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1141);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1137:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1225);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1117);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1141);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1138:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1225);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1142);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1141);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1139:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1225);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1112);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1141);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1140:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1225);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1142);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1141);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1141:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1141);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1142:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead == ':') ADVANCE(1224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1141);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1143:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1143);
      END_STATE();
    case 1144:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1144);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1145:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1145);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1146:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1146);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1147:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1148:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1149:
      ACCEPT_TOKEN(aux_sym_variable_token2);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(1519);
      END_STATE();
    case 1150:
      ACCEPT_TOKEN(sym_braced_variable);
      END_STATE();
    case 1151:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '\n') ADVANCE(596);
      if (lookahead == ' ') ADVANCE(2);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1152:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '\n') ADVANCE(5);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(3);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1153:
      ACCEPT_TOKEN(sym_generic_token);
      ADVANCE_MAP(
        ' ', 1747,
        '!', 1798,
        '"', 541,
        '#', 467,
        '$', 1160,
        '\'', 1162,
        '*', 1173,
        '+', 1775,
        ',', 1459,
        '-', 1782,
        '.', 1205,
        '0', 495,
        '1', 489,
        '2', 490,
        '3', 491,
        '4', 492,
        '5', 493,
        '6', 494,
        ':', 1755,
        ';', 1212,
        '<', 827,
        '>', 785,
        '@', 1157,
        '[', 776,
        '`', 1212,
        '{', 1465,
      );
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(496);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1153);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < '\'' || '.' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1212);
      END_STATE();
    case 1154:
      ACCEPT_TOKEN(sym_generic_token);
      ADVANCE_MAP(
        ' ', 1749,
        '!', 1798,
        '"', 541,
        '#', 467,
        '$', 1160,
        '\'', 1162,
        '*', 1173,
        '+', 1775,
        ',', 1459,
        '-', 1785,
        '.', 1205,
        '0', 495,
        '1', 489,
        '2', 490,
        '3', 491,
        '4', 492,
        '5', 493,
        '6', 494,
        ':', 1755,
        ';', 1212,
        '<', 827,
        '>', 785,
        '@', 1157,
        '[', 776,
        '`', 1212,
        '{', 1465,
      );
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(496);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1154);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < '\'' || '.' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1212);
      END_STATE();
    case 1155:
      ACCEPT_TOKEN(sym_generic_token);
      ADVANCE_MAP(
        ' ', 1750,
        '!', 1798,
        '"', 541,
        '#', 467,
        '$', 1160,
        '\'', 1162,
        '*', 1173,
        '+', 1775,
        ',', 1459,
        '-', 1783,
        '.', 1205,
        '0', 495,
        '1', 489,
        '2', 490,
        '3', 491,
        '4', 492,
        '5', 493,
        '6', 494,
        ';', 1212,
        '<', 827,
        '>', 785,
        '@', 1157,
        '[', 776,
        '`', 1212,
        '{', 1465,
      );
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(496);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1155);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < '\'' || '.' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1212);
      END_STATE();
    case 1156:
      ACCEPT_TOKEN(sym_generic_token);
      ADVANCE_MAP(
        '!', 1798,
        '"', 541,
        '#', 467,
        '$', 1160,
        '\'', 1162,
        '*', 1173,
        '+', 1775,
        ',', 1459,
        '-', 1783,
        '.', 1205,
        '0', 495,
        '1', 489,
        '2', 490,
        '3', 491,
        '4', 492,
        '5', 493,
        '6', 494,
        ';', 1212,
        '<', 827,
        '>', 785,
        '@', 1157,
        '[', 776,
        '`', 1212,
        '{', 1465,
      );
      if (('7' <= lookahead && lookahead <= '9')) ADVANCE(496);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1156);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '$' < lookahead) &&
          (lookahead < '\'' || '.' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1212);
      END_STATE();
    case 1157:
      ACCEPT_TOKEN(sym_generic_token);
      ADVANCE_MAP(
        '"', 1151,
        '\'', 1152,
        '(', 1812,
        '?', 1147,
        '{', 1814,
        'G', 1094,
        'g', 1094,
        'L', 1100,
        'l', 1100,
        'P', 1102,
        'p', 1102,
        'S', 1085,
        's', 1085,
        'U', 1105,
        'u', 1105,
        'W', 1099,
        'w', 1099,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1110);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < 'a' || '}' < lookahead)) ADVANCE(1212);
      END_STATE();
    case 1158:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '#') ADVANCE(1158);
      if (lookahead == '>') ADVANCE(469);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ',' ||
          lookahead == ';' ||
          lookahead == '|' ||
          lookahead == '}') ADVANCE(117);
      if (lookahead != 0) ADVANCE(1159);
      END_STATE();
    case 1159:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '#') ADVANCE(1158);
      if (lookahead == '`') ADVANCE(1209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ',' ||
          lookahead == ';' ||
          lookahead == '|' ||
          lookahead == '}') ADVANCE(117);
      if (lookahead != 0) ADVANCE(1159);
      END_STATE();
    case 1160:
      ACCEPT_TOKEN(sym_generic_token);
      ADVANCE_MAP(
        '$', 908,
        '(', 1811,
        '?', 914,
        '^', 911,
        '_', 917,
        '{', 1208,
        'G', 964,
        'g', 964,
        'L', 970,
        'l', 970,
        'P', 972,
        'p', 972,
        'S', 955,
        's', 955,
        'U', 975,
        'u', 975,
        'W', 969,
        'w', 969,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(980);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < 'a' || '}' < lookahead)) ADVANCE(1212);
      END_STATE();
    case 1161:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '&') ADVANCE(1170);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1162:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '\'') ADVANCE(646);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ',' ||
          lookahead == ';' ||
          lookahead == '|' ||
          lookahead == '}') ADVANCE(124);
      if (lookahead != 0) ADVANCE(1162);
      END_STATE();
    case 1163:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '-') ADVANCE(1163);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1211);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1164:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '1') ADVANCE(830);
      if (lookahead == '2') ADVANCE(842);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1165:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '1') ADVANCE(832);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1166:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '1') ADVANCE(834);
      if (lookahead == '2') ADVANCE(846);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1167:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '1') ADVANCE(836);
      if (lookahead == '2') ADVANCE(848);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1168:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '1') ADVANCE(838);
      if (lookahead == '2') ADVANCE(850);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1169:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '1') ADVANCE(840);
      if (lookahead == '2') ADVANCE(852);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1170:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '2') ADVANCE(844);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1171:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == ':') ADVANCE(1175);
      if (lookahead == '?') ADVANCE(1016);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1014);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1172:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == ':') ADVANCE(1174);
      if (lookahead == '?') ADVANCE(1147);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1144);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          (lookahead < '0' || ';' < lookahead) &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1173:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '>') ADVANCE(822);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1174:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '?') ADVANCE(1147);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1144);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1175:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '?') ADVANCE(1016);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1014);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1176:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'b') ADVANCE(506);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1177:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'b') ADVANCE(538);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1178:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'b') ADVANCE(521);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1179:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '}') ADVANCE(1150);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ',' ||
          lookahead == ';' ||
          lookahead == '|') ADVANCE(162);
      if (lookahead != 0) ADVANCE(1179);
      END_STATE();
    case 1180:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(1206);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(534);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '+' || '-' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1181:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1187);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1211);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1182:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1188);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1183:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1201);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1211);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1184:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1202);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1185:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1183);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1211);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1186:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1184);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1187:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(891);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1211);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1188:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(891);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1189:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1195);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1211);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1190:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1196);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1191:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1181);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1211);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1192:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1203);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1211);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1193:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1182);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1194:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1204);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1195:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1199);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1211);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1196:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1200);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1197:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1185);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1211);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1198:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1186);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1199:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1799);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1211);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1200:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1799);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1201:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(904);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1211);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1202:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(904);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1203:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1793);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1211);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1204:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1793);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1205:
      ACCEPT_TOKEN(sym_generic_token);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(529);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1206:
      ACCEPT_TOKEN(sym_generic_token);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(534);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1207:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ',' ||
          lookahead == ';' ||
          lookahead == '|' ||
          lookahead == '}') ADVANCE(1745);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1207);
      END_STATE();
    case 1208:
      ACCEPT_TOKEN(sym_generic_token);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ',' ||
          lookahead == ';' ||
          lookahead == '|') ADVANCE(162);
      if (lookahead != 0 &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1179);
      END_STATE();
    case 1209:
      ACCEPT_TOKEN(sym_generic_token);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ',' ||
          lookahead == ';' ||
          lookahead == '|' ||
          lookahead == '}') ADVANCE(117);
      if (lookahead != 0) ADVANCE(1159);
      END_STATE();
    case 1210:
      ACCEPT_TOKEN(sym_generic_token);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(516);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1211:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1211);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1212:
      ACCEPT_TOKEN(sym_generic_token);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1213:
      ACCEPT_TOKEN(sym__command_token);
      if (lookahead == '\n') ADVANCE(596);
      if (lookahead == ' ') ADVANCE(2);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1214:
      ACCEPT_TOKEN(sym__command_token);
      if (lookahead == '\n') ADVANCE(5);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(3);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1215:
      ACCEPT_TOKEN(sym__command_token);
      ADVANCE_MAP(
        '"', 542,
        '#', 466,
        '$', 1221,
        '\'', 1222,
        '.', 1231,
        '0', 497,
        '<', 1218,
        '@', 1216,
        '[', 777,
        '`', 1235,
        0xa0, 1215,
        0x200b, 1215,
        0x2060, 1215,
        0xfeff, 1215,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(498);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1216:
      ACCEPT_TOKEN(sym__command_token);
      ADVANCE_MAP(
        '"', 1213,
        '\'', 1214,
        '(', 1812,
        '?', 1148,
        '{', 1813,
        'G', 1125,
        'g', 1125,
        'L', 1131,
        'l', 1131,
        'P', 1133,
        'p', 1133,
        'S', 1116,
        's', 1116,
        'U', 1136,
        'u', 1136,
        'W', 1130,
        'w', 1130,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1141);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1217:
      ACCEPT_TOKEN(sym__command_token);
      if (lookahead == '#') ADVANCE(466);
      if (lookahead == '<') ADVANCE(1218);
      if (lookahead == '`') ADVANCE(1235);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1217);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1218:
      ACCEPT_TOKEN(sym__command_token);
      if (lookahead == '#') ADVANCE(1220);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1219:
      ACCEPT_TOKEN(sym__command_token);
      if (lookahead == '#') ADVANCE(1219);
      if (lookahead == '>') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ';' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(117);
      if (lookahead != 0) ADVANCE(1220);
      END_STATE();
    case 1220:
      ACCEPT_TOKEN(sym__command_token);
      if (lookahead == '#') ADVANCE(1219);
      if (lookahead == '`') ADVANCE(1233);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ';' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(117);
      if (lookahead != 0) ADVANCE(1220);
      END_STATE();
    case 1221:
      ACCEPT_TOKEN(sym__command_token);
      ADVANCE_MAP(
        '$', 909,
        '(', 1811,
        '?', 915,
        '^', 912,
        '_', 918,
        '{', 443,
        'G', 995,
        'g', 995,
        'L', 1001,
        'l', 1001,
        'P', 1003,
        'p', 1003,
        'S', 986,
        's', 986,
        'U', 1006,
        'u', 1006,
        'W', 1000,
        'w', 1000,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1011);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1222:
      ACCEPT_TOKEN(sym__command_token);
      if (lookahead == '\'') ADVANCE(647);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ';' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(124);
      if (lookahead != 0) ADVANCE(1222);
      END_STATE();
    case 1223:
      ACCEPT_TOKEN(sym__command_token);
      if (lookahead == ':') ADVANCE(1226);
      if (lookahead == '?') ADVANCE(1017);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1224:
      ACCEPT_TOKEN(sym__command_token);
      if (lookahead == ':') ADVANCE(1225);
      if (lookahead == '?') ADVANCE(1148);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1145);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          (lookahead < '0' || ';' < lookahead) &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1225:
      ACCEPT_TOKEN(sym__command_token);
      if (lookahead == '?') ADVANCE(1148);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1145);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1226:
      ACCEPT_TOKEN(sym__command_token);
      if (lookahead == '?') ADVANCE(1017);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1015);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          (lookahead < 'a' || '{' < lookahead) &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1227:
      ACCEPT_TOKEN(sym__command_token);
      if (lookahead == 'b') ADVANCE(507);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1228:
      ACCEPT_TOKEN(sym__command_token);
      if (lookahead == 'b') ADVANCE(539);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1229:
      ACCEPT_TOKEN(sym__command_token);
      if (lookahead == 'b') ADVANCE(522);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1230:
      ACCEPT_TOKEN(sym__command_token);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(1232);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(535);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1231:
      ACCEPT_TOKEN(sym__command_token);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(530);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1232:
      ACCEPT_TOKEN(sym__command_token);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(535);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1233:
      ACCEPT_TOKEN(sym__command_token);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ';' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(117);
      if (lookahead != 0) ADVANCE(1220);
      END_STATE();
    case 1234:
      ACCEPT_TOKEN(sym__command_token);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(518);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1235:
      ACCEPT_TOKEN(sym__command_token);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(1235);
      END_STATE();
    case 1236:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == '%') ADVANCE(1762);
      if (lookahead == '-') ADVANCE(1240);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1237:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == '%') ADVANCE(1762);
      if (lookahead == '-') ADVANCE(1241);
      if (lookahead == '`') ADVANCE(1440);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '\\') ADVANCE(1744);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1242);
      END_STATE();
    case 1238:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == '%') ADVANCE(1745);
      if (lookahead == '-') ADVANCE(1240);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1239:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == '%') ADVANCE(1745);
      if (lookahead == '-') ADVANCE(1241);
      if (lookahead == '`') ADVANCE(1440);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '\\') ADVANCE(1744);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1242);
      END_STATE();
    case 1240:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == '-') ADVANCE(1240);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1241:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == '-') ADVANCE(1241);
      if (lookahead == '`') ADVANCE(1440);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '\\') ADVANCE(1744);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1242);
      END_STATE();
    case 1242:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == '`') ADVANCE(1440);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '\\') ADVANCE(1744);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1242);
      END_STATE();
    case 1243:
      ACCEPT_TOKEN(sym_command_parameter);
      ADVANCE_MAP(
        'A', 1360,
        'a', 1360,
        'N', 1378,
        'n', 1378,
        'O', 1399,
        'o', 1399,
        'X', 1380,
        'x', 1380,
      );
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1244:
      ACCEPT_TOKEN(sym_command_parameter);
      ADVANCE_MAP(
        'A', 1411,
        'a', 1411,
        'C', 1384,
        'c', 1384,
        'E', 1396,
        'e', 1396,
        'G', 1290,
        'g', 1290,
        'L', 1291,
        'l', 1291,
        'M', 1252,
        'm', 1252,
        'N', 1292,
        'n', 1292,
        'O', 1367,
        'o', 1367,
        'R', 1310,
        'r', 1310,
        'S', 1392,
        's', 1392,
      );
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1245:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1423);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1246:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1271);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1247:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1402);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1248:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1350);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1249:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1273);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1250:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1403);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1251:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1365);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1252:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1424);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1253:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1324);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1254:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1274);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1255:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1425);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1256:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1325);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1257:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1275);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1258:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1428);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1259:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1326);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1260:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1429);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1261:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1328);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1262:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1430);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1263:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1330);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1264:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1332);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1265:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1315);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1266:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1316);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1267:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1317);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1268:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1318);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1269:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1376);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1270:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1319);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1271:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1417);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1272:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1320);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1273:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1301);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1274:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1303);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1275:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1305);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1276:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1250);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1277:
      ACCEPT_TOKEN(sym_command_parameter);
      ADVANCE_MAP(
        'C', 1385,
        'c', 1385,
        'E', 1397,
        'e', 1397,
        'G', 1293,
        'g', 1293,
        'L', 1294,
        'l', 1294,
        'M', 1255,
        'm', 1255,
        'N', 880,
        'n', 880,
        'R', 1312,
        'r', 1312,
        'S', 888,
        's', 888,
      );
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1278:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1387);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1335);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1260);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1279:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1388);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1336);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1262);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1280:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1767);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1281:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1770);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1282:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1475);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1283:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1506);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1284:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1276);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1285:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1269);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1286:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(870);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(871);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1287:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(892);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1337);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(894);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1288:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(896);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1414);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1289:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1313);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1290:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(856);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(857);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1291:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(858);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1338);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(860);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1292:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(862);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1416);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1293:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(874);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(875);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1294:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(876);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1339);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(878);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1295:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1479);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1296:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(893);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1297:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1439);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1298:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(859);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1299:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(877);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1300:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(899);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1301:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(901);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1302:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(864);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1303:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(867);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1304:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(884);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1305:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(886);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1306:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1477);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1307:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1361);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1308:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1344);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1309:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1412);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1310:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1393);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1311:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1285);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1312:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1394);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1313:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1297);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1348);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1314:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1343);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1345);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1390);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1315:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(895);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1316:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(861);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1317:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(879);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1318:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(900);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1319:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(865);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1320:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(885);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1321:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1438);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1322:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1358);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1323:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1346);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1324:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1363);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1325:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1364);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1326:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1366);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1327:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1419);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1328:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1368);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1329:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1420);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1330:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1369);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1331:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1421);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1332:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1370);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1333:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1427);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1334:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1340);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1335:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1341);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1336:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1342);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1337:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1296);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1338:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1298);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1339:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1299);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1340:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1300);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1341:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1302);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1342:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1304);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1343:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(902);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(903);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1344:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1478);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1345:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1327);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1346:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1284);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1347:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1295);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1348:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1249);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1349:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1308);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1350:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1349);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1351:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1329);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1352:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1331);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1353:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1254);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1354:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1257);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1355:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1356);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1356:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1251);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1357:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1280);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(853);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1358:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(891);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1359:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(898);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1360:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1281);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1361:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1413);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1362:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1378);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1363:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1405);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1364:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1406);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1365:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1283);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1366:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1407);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1367:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1426);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1368:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1408);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1369:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1409);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1370:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1410);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1371:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1432);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1372:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1433);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1373:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1434);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1374:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1435);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1375:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1436);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1376:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1355);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1377:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1322);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1378:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1415);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1379:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1400);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1380:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1401);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1381:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1404);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1382:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1418);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1383:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1422);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1384:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1371);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1385:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1372);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1386:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1373);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1387:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1374);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1388:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1375);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1389:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1345);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1390:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1391);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1391:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1381);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1392:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1351);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1393:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1353);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1394:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1354);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1395:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(869);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1246);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1396:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(855);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1397:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(873);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1398:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1768);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1399:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1771);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1400:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1769);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1401:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1772);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1402:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1248);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1403:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1282);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1404:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1431);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1405:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(866);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1406:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(854);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1407:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(872);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1408:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(897);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1409:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(863);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1410:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(883);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1411:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1309);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1412:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1307);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1413:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1333);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1414:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1795);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1415:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1799);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1416:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1278);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1417:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1476);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1418:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(889);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1419:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(904);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1420:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(868);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1421:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(890);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1422:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1793);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1423:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1265);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1424:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1266);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1425:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1267);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1426:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1253);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1427:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1321);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1428:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1268);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1429:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1270);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1430:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1272);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1431:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1311);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1432:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1256);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1433:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1259);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1434:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1261);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1435:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1263);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1436:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1264);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1437:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1279);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1438:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1306);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1439:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1474);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1440:
      ACCEPT_TOKEN(sym_command_parameter);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1441:
      ACCEPT_TOKEN(aux_sym__verbatim_command_argument_chars_token1);
      END_STATE();
    case 1442:
      ACCEPT_TOKEN(aux_sym__verbatim_command_argument_chars_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '|') ADVANCE(1452);
      END_STATE();
    case 1443:
      ACCEPT_TOKEN(aux_sym__verbatim_command_argument_chars_token2);
      if (lookahead == '&') ADVANCE(1452);
      if (lookahead == '\n' ||
          lookahead == '|') ADVANCE(1444);
      if (lookahead != 0) ADVANCE(1443);
      END_STATE();
    case 1444:
      ACCEPT_TOKEN(aux_sym__verbatim_command_argument_chars_token2);
      if (lookahead != 0 &&
          lookahead != '&') ADVANCE(1444);
      END_STATE();
    case 1445:
      ACCEPT_TOKEN(aux_sym__verbatim_command_argument_chars_token3);
      if (lookahead == '"') ADVANCE(1447);
      if (lookahead == '#') ADVANCE(465);
      if (lookahead == '&') ADVANCE(1443);
      if (lookahead == ')') ADVANCE(1457);
      if (lookahead == '<') ADVANCE(1448);
      if (lookahead == '`') ADVANCE(1452);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1445);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '|') ADVANCE(1452);
      END_STATE();
    case 1446:
      ACCEPT_TOKEN(aux_sym__verbatim_command_argument_chars_token3);
      if (lookahead == '"') ADVANCE(1447);
      if (lookahead == '#') ADVANCE(465);
      if (lookahead == '&') ADVANCE(1443);
      if (lookahead == '<') ADVANCE(1448);
      if (lookahead == '`') ADVANCE(1452);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1446);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '|') ADVANCE(1452);
      END_STATE();
    case 1447:
      ACCEPT_TOKEN(aux_sym__verbatim_command_argument_chars_token3);
      if (lookahead == '"') ADVANCE(1442);
      if (lookahead == '\n' ||
          lookahead == '|') ADVANCE(105);
      if (lookahead != 0) ADVANCE(1447);
      END_STATE();
    case 1448:
      ACCEPT_TOKEN(aux_sym__verbatim_command_argument_chars_token3);
      if (lookahead == '#') ADVANCE(1450);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '|') ADVANCE(1452);
      END_STATE();
    case 1449:
      ACCEPT_TOKEN(aux_sym__verbatim_command_argument_chars_token3);
      if (lookahead == '#') ADVANCE(1449);
      if (lookahead == '>') ADVANCE(472);
      if (lookahead == '\n' ||
          lookahead == '|') ADVANCE(117);
      if (lookahead != 0) ADVANCE(1450);
      END_STATE();
    case 1450:
      ACCEPT_TOKEN(aux_sym__verbatim_command_argument_chars_token3);
      if (lookahead == '#') ADVANCE(1449);
      if (lookahead == '`') ADVANCE(1451);
      if (lookahead == '\n' ||
          lookahead == '|') ADVANCE(117);
      if (lookahead != 0) ADVANCE(1450);
      END_STATE();
    case 1451:
      ACCEPT_TOKEN(aux_sym__verbatim_command_argument_chars_token3);
      if (lookahead == '\n' ||
          lookahead == '|') ADVANCE(117);
      if (lookahead != 0) ADVANCE(1450);
      END_STATE();
    case 1452:
      ACCEPT_TOKEN(aux_sym__verbatim_command_argument_chars_token3);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '|') ADVANCE(1452);
      END_STATE();
    case 1453:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 1454:
      ACCEPT_TOKEN(aux_sym_param_block_token1);
      END_STATE();
    case 1455:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 1456:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 1457:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '|') ADVANCE(1452);
      END_STATE();
    case 1458:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 1459:
      ACCEPT_TOKEN(anon_sym_COMMA);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1460:
      ACCEPT_TOKEN(aux_sym_block_name_token1);
      END_STATE();
    case 1461:
      ACCEPT_TOKEN(aux_sym_block_name_token2);
      END_STATE();
    case 1462:
      ACCEPT_TOKEN(aux_sym_block_name_token3);
      END_STATE();
    case 1463:
      ACCEPT_TOKEN(aux_sym_block_name_token4);
      END_STATE();
    case 1464:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 1465:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1466:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 1467:
      ACCEPT_TOKEN(aux_sym_if_statement_token1);
      END_STATE();
    case 1468:
      ACCEPT_TOKEN(aux_sym_elseif_clause_token1);
      END_STATE();
    case 1469:
      ACCEPT_TOKEN(aux_sym_else_clause_token1);
      END_STATE();
    case 1470:
      ACCEPT_TOKEN(aux_sym_else_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(263);
      END_STATE();
    case 1471:
      ACCEPT_TOKEN(aux_sym_else_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(689);
      END_STATE();
    case 1472:
      ACCEPT_TOKEN(aux_sym_else_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1599);
      END_STATE();
    case 1473:
      ACCEPT_TOKEN(aux_sym_switch_statement_token1);
      END_STATE();
    case 1474:
      ACCEPT_TOKEN(aux_sym_switch_parameter_token1);
      END_STATE();
    case 1475:
      ACCEPT_TOKEN(aux_sym_switch_parameter_token2);
      END_STATE();
    case 1476:
      ACCEPT_TOKEN(aux_sym_switch_parameter_token3);
      END_STATE();
    case 1477:
      ACCEPT_TOKEN(aux_sym_switch_parameter_token4);
      END_STATE();
    case 1478:
      ACCEPT_TOKEN(aux_sym_switch_parameter_token5);
      END_STATE();
    case 1479:
      ACCEPT_TOKEN(aux_sym_switch_condition_token1);
      END_STATE();
    case 1480:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token1);
      END_STATE();
    case 1481:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token1);
      if (lookahead == '-') ADVANCE(357);
      END_STATE();
    case 1482:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token2);
      END_STATE();
    case 1483:
      ACCEPT_TOKEN(aux_sym_for_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(189);
      END_STATE();
    case 1484:
      ACCEPT_TOKEN(aux_sym_for_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1565);
      END_STATE();
    case 1485:
      ACCEPT_TOKEN(aux_sym_for_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(662);
      END_STATE();
    case 1486:
      ACCEPT_TOKEN(anon_sym_LF);
      ADVANCE_MAP(
        '\n', 1486,
        '-', 1781,
        'F', 1653,
        'f', 1653,
        0xa0, 1530,
        0x200b, 1530,
        0x2060, 1530,
        0xfeff, 1530,
      );
      END_STATE();
    case 1487:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(1487);
      END_STATE();
    case 1488:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      END_STATE();
    case 1489:
      ACCEPT_TOKEN(aux_sym_do_statement_token1);
      END_STATE();
    case 1490:
      ACCEPT_TOKEN(aux_sym_do_statement_token2);
      END_STATE();
    case 1491:
      ACCEPT_TOKEN(aux_sym_function_statement_token1);
      END_STATE();
    case 1492:
      ACCEPT_TOKEN(aux_sym_function_statement_token2);
      END_STATE();
    case 1493:
      ACCEPT_TOKEN(aux_sym_function_statement_token3);
      END_STATE();
    case 1494:
      ACCEPT_TOKEN(aux_sym_flow_control_statement_token1);
      END_STATE();
    case 1495:
      ACCEPT_TOKEN(aux_sym_flow_control_statement_token2);
      END_STATE();
    case 1496:
      ACCEPT_TOKEN(aux_sym_flow_control_statement_token3);
      END_STATE();
    case 1497:
      ACCEPT_TOKEN(aux_sym_flow_control_statement_token4);
      END_STATE();
    case 1498:
      ACCEPT_TOKEN(aux_sym_flow_control_statement_token5);
      END_STATE();
    case 1499:
      ACCEPT_TOKEN(sym_label);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1499);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1500:
      ACCEPT_TOKEN(sym_label);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1500);
      END_STATE();
    case 1501:
      ACCEPT_TOKEN(aux_sym_trap_statement_token1);
      END_STATE();
    case 1502:
      ACCEPT_TOKEN(aux_sym_try_statement_token1);
      END_STATE();
    case 1503:
      ACCEPT_TOKEN(aux_sym_catch_clause_token1);
      END_STATE();
    case 1504:
      ACCEPT_TOKEN(aux_sym_finally_clause_token1);
      END_STATE();
    case 1505:
      ACCEPT_TOKEN(aux_sym_data_statement_token1);
      END_STATE();
    case 1506:
      ACCEPT_TOKEN(aux_sym_data_commands_allowed_token1);
      END_STATE();
    case 1507:
      ACCEPT_TOKEN(aux_sym_inlinescript_statement_token1);
      END_STATE();
    case 1508:
      ACCEPT_TOKEN(aux_sym_parallel_statement_token1);
      END_STATE();
    case 1509:
      ACCEPT_TOKEN(aux_sym_sequence_statement_token1);
      END_STATE();
    case 1510:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 1511:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 1512:
      ACCEPT_TOKEN(aux_sym__expandable_string_literal_immediate_token1);
      if (lookahead == '#') ADVANCE(464);
      if (lookahead == '<') ADVANCE(1513);
      if (lookahead == '@') ADVANCE(1517);
      if (lookahead == '`') ADVANCE(25);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1512);
      if (lookahead != 0 &&
          (lookahead < '"' || '$' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1513:
      ACCEPT_TOKEN(aux_sym__expandable_string_literal_immediate_token1);
      if (lookahead == '#') ADVANCE(1515);
      if (lookahead != 0 &&
          (lookahead < '"' || '$' < lookahead) &&
          lookahead != '`') ADVANCE(1519);
      END_STATE();
    case 1514:
      ACCEPT_TOKEN(aux_sym__expandable_string_literal_immediate_token1);
      if (lookahead == '#') ADVANCE(1514);
      if (lookahead == '>') ADVANCE(471);
      if (('"' <= lookahead && lookahead <= '$') ||
          lookahead == '`') ADVANCE(117);
      if (lookahead != 0) ADVANCE(1515);
      END_STATE();
    case 1515:
      ACCEPT_TOKEN(aux_sym__expandable_string_literal_immediate_token1);
      if (lookahead == '#') ADVANCE(1514);
      if (lookahead == '`') ADVANCE(444);
      if (('"' <= lookahead && lookahead <= '$')) ADVANCE(117);
      if (lookahead != 0) ADVANCE(1515);
      END_STATE();
    case 1516:
      ACCEPT_TOKEN(aux_sym__expandable_string_literal_immediate_token1);
      if (lookahead == ':') ADVANCE(1518);
      if (lookahead == '?') ADVANCE(1149);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1146);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1517:
      ACCEPT_TOKEN(aux_sym__expandable_string_literal_immediate_token1);
      ADVANCE_MAP(
        '?', 1149,
        'G', 1032,
        'g', 1032,
        'L', 1038,
        'l', 1038,
        'P', 1040,
        'p', 1040,
        'S', 1023,
        's', 1023,
        'U', 1043,
        'u', 1043,
        'W', 1037,
        'w', 1037,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1048);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1518:
      ACCEPT_TOKEN(aux_sym__expandable_string_literal_immediate_token1);
      if (lookahead == '?') ADVANCE(1149);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1146);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          (lookahead < '_' || 'z' < lookahead)) ADVANCE(1519);
      END_STATE();
    case 1519:
      ACCEPT_TOKEN(aux_sym__expandable_string_literal_immediate_token1);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(1519);
      END_STATE();
    case 1520:
      ACCEPT_TOKEN(aux_sym__expandable_string_literal_immediate_token2);
      END_STATE();
    case 1521:
      ACCEPT_TOKEN(aux_sym__expandable_string_literal_immediate_token2);
      if (lookahead == '\n') ADVANCE(1520);
      END_STATE();
    case 1522:
      ACCEPT_TOKEN(aux_sym__expandable_string_literal_immediate_token3);
      END_STATE();
    case 1523:
      ACCEPT_TOKEN(aux_sym__expandable_string_literal_immediate_token3);
      if (lookahead == '`') ADVANCE(25);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1512);
      END_STATE();
    case 1524:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE2);
      END_STATE();
    case 1525:
      ACCEPT_TOKEN(anon_sym_DOLLAR2);
      END_STATE();
    case 1526:
      ACCEPT_TOKEN(anon_sym_DOLLAR2);
      ADVANCE_MAP(
        '$', 907,
        '(', 1811,
        '?', 913,
        '^', 910,
        '_', 916,
        '`', 158,
        '{', 443,
        'G', 933,
        'g', 933,
        'L', 939,
        'l', 939,
        'P', 941,
        'p', 941,
        'S', 924,
        's', 924,
        'U', 944,
        'u', 944,
        'W', 938,
        'w', 938,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 1527:
      ACCEPT_TOKEN(anon_sym_DOLLAR2);
      ADVANCE_MAP(
        '$', 907,
        '(', 1811,
        '?', 913,
        '^', 910,
        '_', 916,
        '{', 443,
        'G', 933,
        'g', 933,
        'L', 939,
        'l', 939,
        'P', 941,
        'p', 941,
        'S', 924,
        's', 924,
        'U', 944,
        'u', 944,
        'W', 938,
        'w', 938,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(949);
      END_STATE();
    case 1528:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 1529:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      if (lookahead == '"') ADVANCE(1524);
      END_STATE();
    case 1530:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      ADVANCE_MAP(
        '\n', 1486,
        '#', 468,
        '-', 1781,
        '.', 773,
        '0', 487,
        'F', 1653,
        'f', 1653,
        0xa0, 1530,
        0x200b, 1530,
        0x2060, 1530,
        0xfeff, 1530,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(488);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1531:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      ADVANCE_MAP(
        '#', 468,
        '-', 1781,
        '.', 773,
        '0', 487,
        ':', 1694,
        'B', 1662,
        'b', 1662,
        'C', 1623,
        'c', 1623,
        'D', 1556,
        'd', 1556,
        'E', 1641,
        'e', 1641,
        'F', 1608,
        'f', 1608,
        'I', 1598,
        'i', 1598,
        'P', 1563,
        'p', 1563,
        'R', 1589,
        'r', 1589,
        'S', 1586,
        's', 1586,
        'T', 1607,
        't', 1607,
        'W', 1606,
        'w', 1606,
        0xa0, 1531,
        0x200b, 1531,
        0x2060, 1531,
        0xfeff, 1531,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(488);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1532:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      ADVANCE_MAP(
        '#', 468,
        '-', 1781,
        '.', 773,
        '0', 487,
        ':', 1694,
        'B', 1662,
        'b', 1662,
        'C', 1623,
        'c', 1623,
        'D', 1556,
        'd', 1556,
        'E', 1641,
        'e', 1641,
        'F', 1608,
        'f', 1608,
        'I', 1598,
        'i', 1598,
        'P', 1572,
        'p', 1572,
        'R', 1589,
        'r', 1589,
        'S', 1586,
        's', 1586,
        'T', 1607,
        't', 1607,
        'W', 1606,
        'w', 1606,
        0xa0, 1532,
        0x200b, 1532,
        0x2060, 1532,
        0xfeff, 1532,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(488);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1533:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      ADVANCE_MAP(
        '#', 468,
        '-', 1781,
        '.', 773,
        '0', 487,
        ':', 1694,
        'B', 1662,
        'b', 1662,
        'C', 1623,
        'c', 1623,
        'D', 1556,
        'd', 1556,
        'E', 1641,
        'e', 1641,
        'F', 1609,
        'f', 1609,
        'I', 1598,
        'i', 1598,
        'P', 1572,
        'p', 1572,
        'R', 1589,
        'r', 1589,
        'S', 1586,
        's', 1586,
        'T', 1607,
        't', 1607,
        'W', 1606,
        'w', 1606,
        0xa0, 1533,
        0x200b, 1533,
        0x2060, 1533,
        0xfeff, 1533,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(488);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1534:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      ADVANCE_MAP(
        '#', 468,
        '-', 1781,
        '.', 773,
        '0', 487,
        ':', 1694,
        'B', 1662,
        'b', 1662,
        'C', 1623,
        'c', 1623,
        'D', 1556,
        'd', 1556,
        'E', 1628,
        'e', 1628,
        'F', 1608,
        'f', 1608,
        'I', 1598,
        'i', 1598,
        'P', 1572,
        'p', 1572,
        'R', 1589,
        'r', 1589,
        'S', 1586,
        's', 1586,
        'T', 1607,
        't', 1607,
        'W', 1606,
        'w', 1606,
        0xa0, 1534,
        0x200b, 1534,
        0x2060, 1534,
        0xfeff, 1534,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(488);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1535:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      ADVANCE_MAP(
        '#', 468,
        '-', 1781,
        '.', 773,
        '0', 487,
        ':', 1694,
        'B', 1662,
        'b', 1662,
        'C', 1623,
        'c', 1623,
        'D', 1556,
        'd', 1556,
        'E', 1634,
        'e', 1634,
        'F', 1608,
        'f', 1608,
        'I', 1598,
        'i', 1598,
        'P', 1572,
        'p', 1572,
        'R', 1589,
        'r', 1589,
        'S', 1586,
        's', 1586,
        'T', 1607,
        't', 1607,
        'W', 1606,
        'w', 1606,
        0xa0, 1535,
        0x200b, 1535,
        0x2060, 1535,
        0xfeff, 1535,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(488);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1536:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      ADVANCE_MAP(
        '#', 468,
        '-', 1781,
        '.', 773,
        '0', 487,
        ':', 1694,
        'B', 1662,
        'b', 1662,
        'C', 1569,
        'c', 1569,
        'D', 1556,
        'd', 1556,
        'E', 1641,
        'e', 1641,
        'F', 1609,
        'f', 1609,
        'I', 1598,
        'i', 1598,
        'P', 1572,
        'p', 1572,
        'R', 1589,
        'r', 1589,
        'S', 1586,
        's', 1586,
        'T', 1607,
        't', 1607,
        'W', 1606,
        'w', 1606,
        0xa0, 1536,
        0x200b, 1536,
        0x2060, 1536,
        0xfeff, 1536,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(488);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1537:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      ADVANCE_MAP(
        '#', 468,
        '-', 1781,
        '.', 773,
        '0', 487,
        ':', 1694,
        'B', 1587,
        'b', 1587,
        'C', 1623,
        'c', 1623,
        'D', 1555,
        'd', 1555,
        'E', 1643,
        'e', 1643,
        'F', 1608,
        'f', 1608,
        'I', 1598,
        'i', 1598,
        'P', 1562,
        'p', 1562,
        'R', 1589,
        'r', 1589,
        'S', 1586,
        's', 1586,
        'T', 1607,
        't', 1607,
        'W', 1606,
        'w', 1606,
        0xa0, 1537,
        0x200b, 1537,
        0x2060, 1537,
        0xfeff, 1537,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(488);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1538:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      ADVANCE_MAP(
        '#', 468,
        '-', 1781,
        '.', 773,
        '0', 487,
        ':', 1694,
        'B', 1587,
        'b', 1587,
        'C', 1623,
        'c', 1623,
        'D', 1555,
        'd', 1555,
        'E', 1643,
        'e', 1643,
        'F', 1608,
        'f', 1608,
        'I', 1598,
        'i', 1598,
        'P', 1571,
        'p', 1571,
        'R', 1589,
        'r', 1589,
        'S', 1586,
        's', 1586,
        'T', 1607,
        't', 1607,
        'W', 1606,
        'w', 1606,
        0xa0, 1538,
        0x200b, 1538,
        0x2060, 1538,
        0xfeff, 1538,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(488);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1539:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      ADVANCE_MAP(
        '#', 468,
        '-', 1781,
        '.', 773,
        '0', 487,
        'F', 1653,
        'f', 1653,
        0xa0, 1539,
        0x200b, 1539,
        0x2060, 1539,
        0xfeff, 1539,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(488);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1540:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == '#') ADVANCE(468);
      if (lookahead == '.') ADVANCE(1546);
      if (lookahead == '0') ADVANCE(475);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1540);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(476);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1548);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1695);
      END_STATE();
    case 1541:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      ADVANCE_MAP(
        '#', 468,
        '.', 774,
        'F', 1653,
        'f', 1653,
        0xa0, 1541,
        0x200b, 1541,
        0x2060, 1541,
        0xfeff, 1541,
      );
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1542:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == '+') ADVANCE(441);
      if (lookahead == '-') ADVANCE(1743);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(525);
      if (lookahead == '.' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1548);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1695);
      END_STATE();
    case 1543:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == '-') ADVANCE(1744);
      if (lookahead == 'b') ADVANCE(478);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1548);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1695);
      END_STATE();
    case 1544:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == '-') ADVANCE(1744);
      if (lookahead == 'b') ADVANCE(526);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1548);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1695);
      END_STATE();
    case 1545:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == '-') ADVANCE(1744);
      if (lookahead == 'b') ADVANCE(511);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1548);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1695);
      END_STATE();
    case 1546:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == '-') ADVANCE(1744);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(524);
      if (lookahead == '.' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1548);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1695);
      END_STATE();
    case 1547:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == '-') ADVANCE(1744);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(509);
      if (lookahead == '.' ||
          lookahead == '?' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(1548);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1695);
      END_STATE();
    case 1548:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == '-') ADVANCE(1744);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1548);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          (lookahead < ' ' || '"' < lookahead) &&
          (lookahead < '$' || '9' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          (lookahead < '?' || ']' < lookahead) &&
          (lookahead < '_' || '}' < lookahead)) ADVANCE(1695);
      END_STATE();
    case 1549:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == '-') ADVANCE(357);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1550:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'b') ADVANCE(505);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1551:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'b') ADVANCE(537);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1552:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'b') ADVANCE(520);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1553:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(441);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(533);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1554:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1505);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1555:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1681);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1489);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1647);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1556:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1681);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1489);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1557:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1671);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1558:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1654);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1502);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1559:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1632);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1560:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1637);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1561:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1619);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1562:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1663);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1652);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1563:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1663);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1564:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1636);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1565:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1574);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1566:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1633);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1567:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1630);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1568:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1576);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1569:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1684);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1557);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1644);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1570:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1666);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1571:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1667);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1652);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1572:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1667);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1573:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1603);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1574:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1604);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1575:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1656);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1576:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1605);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1577:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1602);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1578:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1665);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1579:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1585);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1580:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1597);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1581:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1683);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1582:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1463);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1635);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1583:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1488);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1584:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1495);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1585:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1509);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1586:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1657);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1616);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1587:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1601);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1591);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1588:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1469);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1589:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1678);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1590:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1472);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1591:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1561);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1592:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1673);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1593:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1621);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1594:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1645);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1595:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1658);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1596:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1568);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1597:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1672);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1598:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1467);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1624);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1599:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1468);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1600:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1631);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1601:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1618);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1602:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1503);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1603:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1473);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1604:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1481);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1605:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1549);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1606:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1613);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1660);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1607:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1659);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1558);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1608:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1627);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1661);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1642);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1609:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1626);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1661);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1642);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1610:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1651);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1611:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1655);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1612:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1646);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1613:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1625);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1614:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1648);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1615:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1676);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1616:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1679);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1617:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1575);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1618:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1638);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1619:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1494);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1620:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1600);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1621:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1508);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1622:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1691);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1623:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1557);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1644);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1624:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1612);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1625:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1583);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1626:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1680);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1567);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1627:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1680);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1628:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1674);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1685);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1615);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1629:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1593);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1630:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1622);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1631:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1650);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1632:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1629);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1454);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1633:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1629);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1634:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1675);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1685);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1615);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1635:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1766);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1636:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1460);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1637:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1617);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1638:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1461);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1639:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1497);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1640:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1491);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1641:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1685);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1615);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1642:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1581);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1643:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1582);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(1615);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1644:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1682);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1645:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1579);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1646:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1592);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1647:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1560);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1648:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1688);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1649:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1689);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1650:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1690);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1651:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1640);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1652:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1580);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1653:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1668);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1654:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1501);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1655:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1677);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1656:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1570);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1657:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(1686);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1658:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1492);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1659:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1649);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1660:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1620);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1661:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1484);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1662:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1591);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1663:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1559);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1664:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1639);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1665:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1611);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1666:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1564);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1667:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1566);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1668:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1596);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1669:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1765);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1670:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1462);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1671:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1669);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1672:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1670);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1673:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1578);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1674:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1590);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1675:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1588);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1676:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1498);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1677:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1507);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1678:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1687);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1679:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1573);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1680:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1595);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1681:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1554);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1682:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1614);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1683:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1610);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1684:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1577);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1685:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1635);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1686:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1594);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1687:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1664);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1688:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1584);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1689:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1496);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1690:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1493);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1691:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1504);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1692:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(528);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1693:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(514);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1694:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1499);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1695:
      ACCEPT_TOKEN(aux_sym_command_name_token1);
      if ((!eof && set_contains(aux_sym_command_name_token1_character_set_1, 11, lookahead))) ADVANCE(1695);
      END_STATE();
    case 1696:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      ADVANCE_MAP(
        '#', 1715,
        '*', 1708,
        '-', 1705,
        '1', 1709,
        '2', 1710,
        '3', 1711,
        '4', 1712,
        '5', 1713,
        '6', 1714,
        ':', 1754,
        '<', 828,
        '>', 786,
        '`', 1719,
        0xa0, 1696,
        0x200b, 1696,
        0x2060, 1696,
        0xfeff, 1696,
      );
      if (((!eof && set_contains(sym_generic_token_character_set_1, 11, lookahead)) ||
          lookahead == '$' ||
          lookahead == '@' ||
          lookahead == '[') &&
          lookahead != '&' &&
          lookahead != ',' &&
          (lookahead < ':' || '<' < lookahead)) ADVANCE(1719);
      END_STATE();
    case 1697:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      ADVANCE_MAP(
        '#', 1715,
        '*', 1708,
        '-', 1707,
        '1', 1709,
        '2', 1710,
        '3', 1711,
        '4', 1712,
        '5', 1713,
        '6', 1714,
        ':', 1754,
        '<', 828,
        '>', 786,
        '`', 1719,
        0xa0, 1697,
        0x200b, 1697,
        0x2060, 1697,
        0xfeff, 1697,
      );
      if (((!eof && set_contains(sym_generic_token_character_set_1, 11, lookahead)) ||
          lookahead == '$' ||
          lookahead == '@' ||
          lookahead == '[') &&
          lookahead != '&' &&
          lookahead != ',' &&
          (lookahead < ':' || '<' < lookahead)) ADVANCE(1719);
      END_STATE();
    case 1698:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '#') ADVANCE(1715);
      if (lookahead == '<') ADVANCE(1699);
      if (lookahead == '`') ADVANCE(1719);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1698);
      if (((!eof && set_contains(sym_generic_token_character_set_1, 11, lookahead)) ||
          lookahead == '$' ||
          lookahead == '-' ||
          lookahead == '@' ||
          lookahead == '[') &&
          lookahead != '&' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '<') ADVANCE(1719);
      END_STATE();
    case 1699:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '#') ADVANCE(1701);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          lookahead != '#' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1719);
      END_STATE();
    case 1700:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '#') ADVANCE(1700);
      if (lookahead == '>') ADVANCE(1719);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '"' ||
          ('&' <= lookahead && lookahead <= ')') ||
          lookahead == ',' ||
          lookahead == ';' ||
          ('{' <= lookahead && lookahead <= '}')) ADVANCE(117);
      if (lookahead != 0) ADVANCE(1701);
      END_STATE();
    case 1701:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '#') ADVANCE(1700);
      if (lookahead == '`') ADVANCE(1717);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '"' ||
          ('&' <= lookahead && lookahead <= ')') ||
          lookahead == ',' ||
          lookahead == ';' ||
          ('{' <= lookahead && lookahead <= '}')) ADVANCE(117);
      if (lookahead != 0) ADVANCE(1701);
      END_STATE();
    case 1702:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '%') ADVANCE(1761);
      if (lookahead == '-') ADVANCE(1706);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1718);
      if (((!eof && set_contains(sym_generic_token_character_set_1, 11, lookahead)) ||
          lookahead == '$' ||
          ('@' <= lookahead && lookahead <= '[')) &&
          lookahead != '%' &&
          lookahead != '&' &&
          lookahead != ',' &&
          lookahead != ';') ADVANCE(1719);
      END_STATE();
    case 1703:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '%') ADVANCE(1716);
      if (lookahead == '-') ADVANCE(1706);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1718);
      if (((!eof && set_contains(sym_generic_token_character_set_1, 11, lookahead)) ||
          lookahead == '$' ||
          ('@' <= lookahead && lookahead <= '[')) &&
          lookahead != '%' &&
          lookahead != '&' &&
          lookahead != ',' &&
          lookahead != ';') ADVANCE(1719);
      END_STATE();
    case 1704:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '&') ADVANCE(139);
      if (((!eof && set_contains(sym_generic_token_character_set_1, 11, lookahead)) ||
          lookahead == '$' ||
          lookahead == '-' ||
          lookahead == '@' ||
          lookahead == '[' ||
          lookahead == '`') &&
          lookahead != ',' &&
          lookahead != ';') ADVANCE(1719);
      END_STATE();
    case 1705:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '-') ADVANCE(1702);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1718);
      if (((!eof && set_contains(sym_generic_token_character_set_1, 11, lookahead)) ||
          lookahead == '$' ||
          ('@' <= lookahead && lookahead <= '[')) &&
          lookahead != '&' &&
          lookahead != ',' &&
          lookahead != ';') ADVANCE(1719);
      END_STATE();
    case 1706:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '-') ADVANCE(1706);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1718);
      if (((!eof && set_contains(sym_generic_token_character_set_1, 11, lookahead)) ||
          lookahead == '$' ||
          ('@' <= lookahead && lookahead <= '[')) &&
          lookahead != '&' &&
          lookahead != ',' &&
          lookahead != ';') ADVANCE(1719);
      END_STATE();
    case 1707:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '-') ADVANCE(1703);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1718);
      if (((!eof && set_contains(sym_generic_token_character_set_1, 11, lookahead)) ||
          lookahead == '$' ||
          ('@' <= lookahead && lookahead <= '[')) &&
          lookahead != '&' &&
          lookahead != ',' &&
          lookahead != ';') ADVANCE(1719);
      END_STATE();
    case 1708:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '>') ADVANCE(821);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1719);
      END_STATE();
    case 1709:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '>') ADVANCE(1704);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1719);
      END_STATE();
    case 1710:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '>') ADVANCE(791);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1719);
      END_STATE();
    case 1711:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '>') ADVANCE(797);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1719);
      END_STATE();
    case 1712:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '>') ADVANCE(803);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1719);
      END_STATE();
    case 1713:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '>') ADVANCE(809);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1719);
      END_STATE();
    case 1714:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '>') ADVANCE(815);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1719);
      END_STATE();
    case 1715:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '"' ||
          ('&' <= lookahead && lookahead <= ')') ||
          lookahead == ',' ||
          lookahead == ';' ||
          ('{' <= lookahead && lookahead <= '}')) ADVANCE(473);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1715);
      END_STATE();
    case 1716:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '"' ||
          ('&' <= lookahead && lookahead <= ')') ||
          lookahead == ',' ||
          lookahead == ';' ||
          ('{' <= lookahead && lookahead <= '}')) ADVANCE(1745);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1716);
      END_STATE();
    case 1717:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '"' ||
          ('&' <= lookahead && lookahead <= ')') ||
          lookahead == ',' ||
          lookahead == ';' ||
          ('{' <= lookahead && lookahead <= '}')) ADVANCE(117);
      if (lookahead != 0) ADVANCE(1701);
      END_STATE();
    case 1718:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead == '-' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1718);
      if (((!eof && set_contains(sym_generic_token_character_set_1, 11, lookahead)) ||
          lookahead == '$' ||
          ('@' <= lookahead && lookahead <= '[')) &&
          lookahead != '&' &&
          lookahead != ',' &&
          lookahead != ';') ADVANCE(1719);
      END_STATE();
    case 1719:
      ACCEPT_TOKEN(aux_sym_command_name_token2);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1719);
      END_STATE();
    case 1720:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 1721:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      if (lookahead == '"') ADVANCE(589);
      END_STATE();
    case 1722:
      ACCEPT_TOKEN(anon_sym_SQUOTE_SQUOTE);
      END_STATE();
    case 1723:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == '%') ADVANCE(1759);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1744);
      END_STATE();
    case 1724:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == '-') ADVANCE(1804);
      if (lookahead == '`') ADVANCE(1440);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '\\') ADVANCE(1744);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1242);
      END_STATE();
    case 1725:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == '-') ADVANCE(1237);
      if (lookahead == '`') ADVANCE(1440);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '\\') ADVANCE(1744);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1242);
      END_STATE();
    case 1726:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == '-') ADVANCE(1809);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1744);
      END_STATE();
    case 1727:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == '-') ADVANCE(1723);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1744);
      END_STATE();
    case 1728:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == '-') ADVANCE(1806);
      if (lookahead == '`') ADVANCE(1440);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '\\') ADVANCE(1744);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1242);
      END_STATE();
    case 1729:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == '-') ADVANCE(1239);
      if (lookahead == '`') ADVANCE(1440);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '\\') ADVANCE(1744);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1242);
      END_STATE();
    case 1730:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == '>') ADVANCE(122);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1744);
      END_STATE();
    case 1731:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == '>') ADVANCE(790);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1744);
      END_STATE();
    case 1732:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == '>') ADVANCE(796);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1744);
      END_STATE();
    case 1733:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == '>') ADVANCE(802);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1744);
      END_STATE();
    case 1734:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == '>') ADVANCE(808);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1744);
      END_STATE();
    case 1735:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == '>') ADVANCE(814);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1744);
      END_STATE();
    case 1736:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == 'b') ADVANCE(536);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1744);
      END_STATE();
    case 1737:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1738);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(1744);
      END_STATE();
    case 1738:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1740);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1744);
      END_STATE();
    case 1739:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1737);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1744);
      END_STATE();
    case 1740:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1824);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1744);
      END_STATE();
    case 1741:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1742);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1744);
      END_STATE();
    case 1742:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1739);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1744);
      END_STATE();
    case 1743:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(531);
      if (lookahead == '-' ||
          lookahead == '.' ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1744);
      END_STATE();
    case 1744:
      ACCEPT_TOKEN(sym_path_command_name_token);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1744);
      END_STATE();
    case 1745:
      ACCEPT_TOKEN(sym_stop_parsing);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1745);
      END_STATE();
    case 1746:
      ACCEPT_TOKEN(anon_sym_SPACE);
      if (lookahead == ' ') ADVANCE(1746);
      if (lookahead == '-') ADVANCE(1778);
      END_STATE();
    case 1747:
      ACCEPT_TOKEN(anon_sym_SPACE);
      if (lookahead == ' ') ADVANCE(1747);
      if (lookahead == '-') ADVANCE(1778);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1153);
      END_STATE();
    case 1748:
      ACCEPT_TOKEN(anon_sym_SPACE);
      if (lookahead == ' ') ADVANCE(1748);
      END_STATE();
    case 1749:
      ACCEPT_TOKEN(anon_sym_SPACE);
      if (lookahead == ' ') ADVANCE(1749);
      if (lookahead == '-') ADVANCE(1784);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1154);
      END_STATE();
    case 1750:
      ACCEPT_TOKEN(anon_sym_SPACE);
      if (lookahead == ' ') ADVANCE(1750);
      if (lookahead == '-') ADVANCE(1781);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(1155);
      END_STATE();
    case 1751:
      ACCEPT_TOKEN(anon_sym_SPACE);
      if (lookahead == ' ') ADVANCE(1751);
      if (lookahead == '-') ADVANCE(1784);
      END_STATE();
    case 1752:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 1753:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(1821);
      END_STATE();
    case 1754:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ',' &&
          lookahead != ';' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(1719);
      END_STATE();
    case 1755:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1756:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 1757:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(783);
      END_STATE();
    case 1758:
      ACCEPT_TOKEN(aux_sym_foreach_command_token1);
      END_STATE();
    case 1759:
      ACCEPT_TOKEN(anon_sym_DASH_DASH_PERCENT);
      END_STATE();
    case 1760:
      ACCEPT_TOKEN(anon_sym_DASH_DASH_PERCENT);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ',' ||
          lookahead == ';' ||
          lookahead == '|' ||
          lookahead == '}') ADVANCE(1745);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1207);
      END_STATE();
    case 1761:
      ACCEPT_TOKEN(anon_sym_DASH_DASH_PERCENT);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == '"' ||
          ('&' <= lookahead && lookahead <= ')') ||
          lookahead == ',' ||
          lookahead == ';' ||
          ('{' <= lookahead && lookahead <= '}')) ADVANCE(1745);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(1716);
      END_STATE();
    case 1762:
      ACCEPT_TOKEN(anon_sym_DASH_DASH_PERCENT);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(1745);
      END_STATE();
    case 1763:
      ACCEPT_TOKEN(aux_sym_class_attribute_token1);
      END_STATE();
    case 1764:
      ACCEPT_TOKEN(aux_sym_class_attribute_token2);
      END_STATE();
    case 1765:
      ACCEPT_TOKEN(aux_sym_class_statement_token1);
      END_STATE();
    case 1766:
      ACCEPT_TOKEN(aux_sym_enum_statement_token1);
      END_STATE();
    case 1767:
      ACCEPT_TOKEN(aux_sym_logical_expression_token1);
      END_STATE();
    case 1768:
      ACCEPT_TOKEN(aux_sym_logical_expression_token2);
      END_STATE();
    case 1769:
      ACCEPT_TOKEN(aux_sym_logical_expression_token3);
      END_STATE();
    case 1770:
      ACCEPT_TOKEN(aux_sym_bitwise_expression_token1);
      END_STATE();
    case 1771:
      ACCEPT_TOKEN(aux_sym_bitwise_expression_token2);
      END_STATE();
    case 1772:
      ACCEPT_TOKEN(aux_sym_bitwise_expression_token3);
      END_STATE();
    case 1773:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(1800);
      END_STATE();
    case 1774:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(1800);
      if (lookahead == '=') ADVANCE(780);
      END_STATE();
    case 1775:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(1801);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != '+' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1776:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(780);
      END_STATE();
    case 1777:
      ACCEPT_TOKEN(anon_sym_DASH);
      ADVANCE_MAP(
        '-', 1803,
        'A', 1357,
        'a', 1357,
        'B', 1243,
        'b', 1243,
        'C', 1244,
        'c', 1244,
        'E', 1395,
        'e', 1395,
        'F', 906,
        'f', 906,
        'G', 1286,
        'g', 1286,
        'I', 1277,
        'i', 1277,
        'J', 1377,
        'j', 1377,
        'L', 1287,
        'l', 1287,
        'M', 1245,
        'm', 1245,
        'N', 1288,
        'n', 1288,
        'O', 1398,
        'o', 1398,
        'P', 1247,
        'p', 1247,
        'R', 1289,
        'r', 1289,
        'S', 1314,
        's', 1314,
        'W', 1323,
        'w', 1323,
        'X', 1379,
        'x', 1379,
      );
      if (lookahead == '?' ||
          ('D' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1778:
      ACCEPT_TOKEN(anon_sym_DASH);
      ADVANCE_MAP(
        '-', 1803,
        'B', 1362,
        'b', 1362,
        'J', 1377,
        'j', 1377,
        'N', 1383,
        'n', 1383,
        'S', 1389,
        's', 1389,
      );
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1779:
      ACCEPT_TOKEN(anon_sym_DASH);
      ADVANCE_MAP(
        '-', 1802,
        'A', 335,
        'a', 335,
        'B', 170,
        'b', 170,
        'C', 204,
        'c', 204,
        'E', 379,
        'e', 379,
        'F', 905,
        'f', 905,
        'G', 228,
        'g', 228,
        'I', 217,
        'i', 217,
        'J', 355,
        'j', 355,
        'L', 229,
        'l', 229,
        'M', 180,
        'm', 180,
        'N', 230,
        'n', 230,
        'O', 382,
        'o', 382,
        'R', 257,
        'r', 257,
        'S', 275,
        's', 275,
        'X', 361,
        'x', 361,
      );
      END_STATE();
    case 1780:
      ACCEPT_TOKEN(anon_sym_DASH);
      ADVANCE_MAP(
        '-', 1802,
        'A', 335,
        'a', 335,
        'B', 171,
        'b', 171,
        'C', 204,
        'c', 204,
        'E', 379,
        'e', 379,
        'F', 905,
        'f', 905,
        'G', 228,
        'g', 228,
        'I', 217,
        'i', 217,
        'J', 355,
        'j', 355,
        'L', 229,
        'l', 229,
        'M', 180,
        'm', 180,
        'N', 231,
        'n', 231,
        'O', 382,
        'o', 382,
        'R', 257,
        'r', 257,
        'S', 275,
        's', 275,
        'X', 361,
        'x', 361,
      );
      END_STATE();
    case 1781:
      ACCEPT_TOKEN(anon_sym_DASH);
      ADVANCE_MAP(
        '-', 1802,
        'B', 336,
        'b', 336,
        'J', 355,
        'j', 355,
        'N', 356,
        'n', 356,
        'S', 371,
        's', 371,
      );
      END_STATE();
    case 1782:
      ACCEPT_TOKEN(anon_sym_DASH);
      ADVANCE_MAP(
        '-', 1807,
        'B', 1189,
        'b', 1189,
        'J', 1191,
        'j', 1191,
        'N', 1192,
        'n', 1192,
        'S', 1197,
        's', 1197,
      );
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1211);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1783:
      ACCEPT_TOKEN(anon_sym_DASH);
      ADVANCE_MAP(
        '-', 1810,
        'B', 1190,
        'b', 1190,
        'J', 1193,
        'j', 1193,
        'N', 1194,
        'n', 1194,
        'S', 1198,
        's', 1198,
      );
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1784:
      ACCEPT_TOKEN(anon_sym_DASH);
      ADVANCE_MAP(
        '-', 1805,
        'B', 1362,
        'b', 1362,
        'J', 1377,
        'j', 1377,
        'N', 1383,
        'n', 1383,
        'S', 1389,
        's', 1389,
      );
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1785:
      ACCEPT_TOKEN(anon_sym_DASH);
      ADVANCE_MAP(
        '-', 1808,
        'B', 1189,
        'b', 1189,
        'J', 1191,
        'j', 1191,
        'N', 1192,
        'n', 1192,
        'S', 1197,
        's', 1197,
      );
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1211);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1786:
      ACCEPT_TOKEN(anon_sym_DASH);
      ADVANCE_MAP(
        'A', 335,
        'a', 335,
        'B', 171,
        'b', 171,
        'C', 204,
        'c', 204,
        'E', 379,
        'e', 379,
        'F', 905,
        'f', 905,
        'G', 228,
        'g', 228,
        'I', 217,
        'i', 217,
        'J', 355,
        'j', 355,
        'L', 229,
        'l', 229,
        'M', 180,
        'm', 180,
        'N', 231,
        'n', 231,
        'O', 382,
        'o', 382,
        'R', 257,
        'r', 257,
        'S', 275,
        's', 275,
        'X', 361,
        'x', 361,
      );
      END_STATE();
    case 1787:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 1788:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '=') ADVANCE(782);
      END_STATE();
    case 1789:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 1790:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 1791:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(781);
      if (lookahead == '>') ADVANCE(820);
      END_STATE();
    case 1792:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 1793:
      ACCEPT_TOKEN(aux_sym_expression_with_unary_operator_token1);
      END_STATE();
    case 1794:
      ACCEPT_TOKEN(aux_sym_expression_with_unary_operator_token1);
      ADVANCE_MAP(
        'C', 368,
        'c', 368,
        'I', 333,
        'i', 333,
        'L', 298,
        'l', 298,
        'M', 190,
        'm', 190,
      );
      END_STATE();
    case 1795:
      ACCEPT_TOKEN(aux_sym_expression_with_unary_operator_token1);
      ADVANCE_MAP(
        'C', 1386,
        'c', 1386,
        'I', 1359,
        'i', 1359,
        'L', 1334,
        'l', 1334,
        'M', 1258,
        'm', 1258,
      );
      END_STATE();
    case 1796:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 1797:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(779);
      END_STATE();
    case 1798:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1799:
      ACCEPT_TOKEN(aux_sym_expression_with_unary_operator_token2);
      END_STATE();
    case 1800:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 1801:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1802:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 1803:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead == '%') ADVANCE(1762);
      if (lookahead == '-') ADVANCE(1240);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1804:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead == '%') ADVANCE(1762);
      if (lookahead == '-') ADVANCE(1241);
      if (lookahead == '`') ADVANCE(1440);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '\\') ADVANCE(1744);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1242);
      END_STATE();
    case 1805:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead == '%') ADVANCE(1745);
      if (lookahead == '-') ADVANCE(1240);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1440);
      END_STATE();
    case 1806:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead == '%') ADVANCE(1745);
      if (lookahead == '-') ADVANCE(1241);
      if (lookahead == '`') ADVANCE(1440);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '\\') ADVANCE(1744);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1242);
      END_STATE();
    case 1807:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead == '%') ADVANCE(1760);
      if (lookahead == '-') ADVANCE(1163);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1211);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1808:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead == '%') ADVANCE(1207);
      if (lookahead == '-') ADVANCE(1163);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(1211);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != '-' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1809:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1744);
      END_STATE();
    case 1810:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1811:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LPAREN);
      END_STATE();
    case 1812:
      ACCEPT_TOKEN(anon_sym_AT_LPAREN);
      END_STATE();
    case 1813:
      ACCEPT_TOKEN(anon_sym_AT_LBRACE);
      END_STATE();
    case 1814:
      ACCEPT_TOKEN(anon_sym_AT_LBRACE);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ',' &&
          lookahead != ';' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(1212);
      END_STATE();
    case 1815:
      ACCEPT_TOKEN(anon_sym_DOT2);
      if (lookahead == '.') ADVANCE(1792);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(362);
      END_STATE();
    case 1816:
      ACCEPT_TOKEN(anon_sym_DOT2);
      if (lookahead == '.') ADVANCE(1792);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(362);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(527);
      END_STATE();
    case 1817:
      ACCEPT_TOKEN(anon_sym_DOT2);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1741);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1744);
      END_STATE();
    case 1818:
      ACCEPT_TOKEN(anon_sym_DOT2);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(362);
      END_STATE();
    case 1819:
      ACCEPT_TOKEN(anon_sym_DOT2);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(362);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(527);
      END_STATE();
    case 1820:
      ACCEPT_TOKEN(anon_sym_DOT2);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(527);
      END_STATE();
    case 1821:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 1822:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 1823:
      ACCEPT_TOKEN(aux_sym_invokation_foreach_expression_token1);
      END_STATE();
    case 1824:
      ACCEPT_TOKEN(aux_sym_invokation_foreach_expression_token1);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '\\' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(1744);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 89},
  [2] = {.lex_state = 454, .external_lex_state = 1},
  [3] = {.lex_state = 454, .external_lex_state = 1},
  [4] = {.lex_state = 454},
  [5] = {.lex_state = 454, .external_lex_state = 1},
  [6] = {.lex_state = 454},
  [7] = {.lex_state = 90, .external_lex_state = 1},
  [8] = {.lex_state = 90, .external_lex_state = 1},
  [9] = {.lex_state = 90},
  [10] = {.lex_state = 90},
  [11] = {.lex_state = 90},
  [12] = {.lex_state = 90},
  [13] = {.lex_state = 90},
  [14] = {.lex_state = 90},
  [15] = {.lex_state = 90},
  [16] = {.lex_state = 90},
  [17] = {.lex_state = 90},
  [18] = {.lex_state = 90},
  [19] = {.lex_state = 90},
  [20] = {.lex_state = 90},
  [21] = {.lex_state = 90},
  [22] = {.lex_state = 90, .external_lex_state = 1},
  [23] = {.lex_state = 90, .external_lex_state = 1},
  [24] = {.lex_state = 90, .external_lex_state = 1},
  [25] = {.lex_state = 90, .external_lex_state = 1},
  [26] = {.lex_state = 90, .external_lex_state = 1},
  [27] = {.lex_state = 90, .external_lex_state = 1},
  [28] = {.lex_state = 90, .external_lex_state = 1},
  [29] = {.lex_state = 90, .external_lex_state = 1},
  [30] = {.lex_state = 90},
  [31] = {.lex_state = 90},
  [32] = {.lex_state = 90},
  [33] = {.lex_state = 90},
  [34] = {.lex_state = 90},
  [35] = {.lex_state = 90},
  [36] = {.lex_state = 90},
  [37] = {.lex_state = 90},
  [38] = {.lex_state = 90},
  [39] = {.lex_state = 90},
  [40] = {.lex_state = 91},
  [41] = {.lex_state = 91},
  [42] = {.lex_state = 454, .external_lex_state = 1},
  [43] = {.lex_state = 454},
  [44] = {.lex_state = 456},
  [45] = {.lex_state = 456},
  [46] = {.lex_state = 456},
  [47] = {.lex_state = 456},
  [48] = {.lex_state = 456},
  [49] = {.lex_state = 456},
  [50] = {.lex_state = 456},
  [51] = {.lex_state = 456},
  [52] = {.lex_state = 456},
  [53] = {.lex_state = 456},
  [54] = {.lex_state = 456},
  [55] = {.lex_state = 456},
  [56] = {.lex_state = 456},
  [57] = {.lex_state = 456},
  [58] = {.lex_state = 456},
  [59] = {.lex_state = 456},
  [60] = {.lex_state = 456},
  [61] = {.lex_state = 456},
  [62] = {.lex_state = 456},
  [63] = {.lex_state = 456},
  [64] = {.lex_state = 456},
  [65] = {.lex_state = 456},
  [66] = {.lex_state = 456},
  [67] = {.lex_state = 456},
  [68] = {.lex_state = 456},
  [69] = {.lex_state = 456},
  [70] = {.lex_state = 456},
  [71] = {.lex_state = 456},
  [72] = {.lex_state = 456},
  [73] = {.lex_state = 456},
  [74] = {.lex_state = 456},
  [75] = {.lex_state = 456},
  [76] = {.lex_state = 82},
  [77] = {.lex_state = 82},
  [78] = {.lex_state = 456},
  [79] = {.lex_state = 456},
  [80] = {.lex_state = 82, .external_lex_state = 1},
  [81] = {.lex_state = 456},
  [82] = {.lex_state = 82, .external_lex_state = 1},
  [83] = {.lex_state = 92},
  [84] = {.lex_state = 92},
  [85] = {.lex_state = 92},
  [86] = {.lex_state = 92},
  [87] = {.lex_state = 92},
  [88] = {.lex_state = 92},
  [89] = {.lex_state = 92},
  [90] = {.lex_state = 92},
  [91] = {.lex_state = 92},
  [92] = {.lex_state = 92},
  [93] = {.lex_state = 92},
  [94] = {.lex_state = 92, .external_lex_state = 1},
  [95] = {.lex_state = 92},
  [96] = {.lex_state = 92},
  [97] = {.lex_state = 92},
  [98] = {.lex_state = 92},
  [99] = {.lex_state = 92},
  [100] = {.lex_state = 92},
  [101] = {.lex_state = 92},
  [102] = {.lex_state = 92, .external_lex_state = 1},
  [103] = {.lex_state = 92},
  [104] = {.lex_state = 92},
  [105] = {.lex_state = 92},
  [106] = {.lex_state = 92},
  [107] = {.lex_state = 92, .external_lex_state = 1},
  [108] = {.lex_state = 92},
  [109] = {.lex_state = 92},
  [110] = {.lex_state = 92},
  [111] = {.lex_state = 92},
  [112] = {.lex_state = 92},
  [113] = {.lex_state = 92},
  [114] = {.lex_state = 92},
  [115] = {.lex_state = 92},
  [116] = {.lex_state = 92},
  [117] = {.lex_state = 92},
  [118] = {.lex_state = 92},
  [119] = {.lex_state = 92},
  [120] = {.lex_state = 92},
  [121] = {.lex_state = 92, .external_lex_state = 1},
  [122] = {.lex_state = 92, .external_lex_state = 1},
  [123] = {.lex_state = 92, .external_lex_state = 1},
  [124] = {.lex_state = 92, .external_lex_state = 1},
  [125] = {.lex_state = 92, .external_lex_state = 1},
  [126] = {.lex_state = 92, .external_lex_state = 1},
  [127] = {.lex_state = 92, .external_lex_state = 1},
  [128] = {.lex_state = 92, .external_lex_state = 1},
  [129] = {.lex_state = 92, .external_lex_state = 1},
  [130] = {.lex_state = 92, .external_lex_state = 1},
  [131] = {.lex_state = 92, .external_lex_state = 1},
  [132] = {.lex_state = 92, .external_lex_state = 1},
  [133] = {.lex_state = 92, .external_lex_state = 1},
  [134] = {.lex_state = 92, .external_lex_state = 1},
  [135] = {.lex_state = 92, .external_lex_state = 1},
  [136] = {.lex_state = 92, .external_lex_state = 1},
  [137] = {.lex_state = 92, .external_lex_state = 1},
  [138] = {.lex_state = 92, .external_lex_state = 1},
  [139] = {.lex_state = 92, .external_lex_state = 1},
  [140] = {.lex_state = 92, .external_lex_state = 1},
  [141] = {.lex_state = 92, .external_lex_state = 1},
  [142] = {.lex_state = 92, .external_lex_state = 1},
  [143] = {.lex_state = 92, .external_lex_state = 1},
  [144] = {.lex_state = 92},
  [145] = {.lex_state = 92, .external_lex_state = 1},
  [146] = {.lex_state = 92, .external_lex_state = 1},
  [147] = {.lex_state = 92, .external_lex_state = 1},
  [148] = {.lex_state = 92, .external_lex_state = 1},
  [149] = {.lex_state = 92, .external_lex_state = 1},
  [150] = {.lex_state = 92, .external_lex_state = 1},
  [151] = {.lex_state = 92, .external_lex_state = 1},
  [152] = {.lex_state = 92, .external_lex_state = 1},
  [153] = {.lex_state = 92, .external_lex_state = 1},
  [154] = {.lex_state = 92, .external_lex_state = 1},
  [155] = {.lex_state = 92},
  [156] = {.lex_state = 92, .external_lex_state = 1},
  [157] = {.lex_state = 94, .external_lex_state = 1},
  [158] = {.lex_state = 94},
  [159] = {.lex_state = 94},
  [160] = {.lex_state = 94},
  [161] = {.lex_state = 94},
  [162] = {.lex_state = 94, .external_lex_state = 1},
  [163] = {.lex_state = 94},
  [164] = {.lex_state = 94},
  [165] = {.lex_state = 94},
  [166] = {.lex_state = 94},
  [167] = {.lex_state = 94},
  [168] = {.lex_state = 94},
  [169] = {.lex_state = 94},
  [170] = {.lex_state = 94, .external_lex_state = 1},
  [171] = {.lex_state = 94},
  [172] = {.lex_state = 94, .external_lex_state = 1},
  [173] = {.lex_state = 94, .external_lex_state = 1},
  [174] = {.lex_state = 94, .external_lex_state = 1},
  [175] = {.lex_state = 94, .external_lex_state = 1},
  [176] = {.lex_state = 94, .external_lex_state = 1},
  [177] = {.lex_state = 94, .external_lex_state = 1},
  [178] = {.lex_state = 94, .external_lex_state = 1},
  [179] = {.lex_state = 94},
  [180] = {.lex_state = 94},
  [181] = {.lex_state = 94},
  [182] = {.lex_state = 94},
  [183] = {.lex_state = 94, .external_lex_state = 1},
  [184] = {.lex_state = 94, .external_lex_state = 1},
  [185] = {.lex_state = 94, .external_lex_state = 1},
  [186] = {.lex_state = 94, .external_lex_state = 1},
  [187] = {.lex_state = 94, .external_lex_state = 1},
  [188] = {.lex_state = 94, .external_lex_state = 1},
  [189] = {.lex_state = 94},
  [190] = {.lex_state = 94, .external_lex_state = 1},
  [191] = {.lex_state = 94},
  [192] = {.lex_state = 94, .external_lex_state = 1},
  [193] = {.lex_state = 82},
  [194] = {.lex_state = 82, .external_lex_state = 1},
  [195] = {.lex_state = 94},
  [196] = {.lex_state = 94, .external_lex_state = 1},
  [197] = {.lex_state = 94, .external_lex_state = 1},
  [198] = {.lex_state = 94},
  [199] = {.lex_state = 57},
  [200] = {.lex_state = 454},
  [201] = {.lex_state = 454, .external_lex_state = 1},
  [202] = {.lex_state = 57, .external_lex_state = 1},
  [203] = {.lex_state = 454},
  [204] = {.lex_state = 454, .external_lex_state = 1},
  [205] = {.lex_state = 57, .external_lex_state = 1},
  [206] = {.lex_state = 57},
  [207] = {.lex_state = 57, .external_lex_state = 1},
  [208] = {.lex_state = 57},
  [209] = {.lex_state = 79},
  [210] = {.lex_state = 79, .external_lex_state = 1},
  [211] = {.lex_state = 79},
  [212] = {.lex_state = 79, .external_lex_state = 1},
  [213] = {.lex_state = 79, .external_lex_state = 1},
  [214] = {.lex_state = 58, .external_lex_state = 1},
  [215] = {.lex_state = 79},
  [216] = {.lex_state = 58},
  [217] = {.lex_state = 58, .external_lex_state = 1},
  [218] = {.lex_state = 58},
  [219] = {.lex_state = 76, .external_lex_state = 1},
  [220] = {.lex_state = 76},
  [221] = {.lex_state = 76},
  [222] = {.lex_state = 76, .external_lex_state = 1},
  [223] = {.lex_state = 85, .external_lex_state = 1},
  [224] = {.lex_state = 85},
  [225] = {.lex_state = 85},
  [226] = {.lex_state = 85, .external_lex_state = 1},
  [227] = {.lex_state = 95, .external_lex_state = 1},
  [228] = {.lex_state = 95},
  [229] = {.lex_state = 14},
  [230] = {.lex_state = 14},
  [231] = {.lex_state = 14},
  [232] = {.lex_state = 14},
  [233] = {.lex_state = 14},
  [234] = {.lex_state = 14},
  [235] = {.lex_state = 14},
  [236] = {.lex_state = 14},
  [237] = {.lex_state = 14},
  [238] = {.lex_state = 14},
  [239] = {.lex_state = 14},
  [240] = {.lex_state = 14},
  [241] = {.lex_state = 88},
  [242] = {.lex_state = 88},
  [243] = {.lex_state = 88},
  [244] = {.lex_state = 88},
  [245] = {.lex_state = 88},
  [246] = {.lex_state = 88},
  [247] = {.lex_state = 88},
  [248] = {.lex_state = 88},
  [249] = {.lex_state = 88},
  [250] = {.lex_state = 88},
  [251] = {.lex_state = 88},
  [252] = {.lex_state = 88},
  [253] = {.lex_state = 88},
  [254] = {.lex_state = 88},
  [255] = {.lex_state = 88},
  [256] = {.lex_state = 88},
  [257] = {.lex_state = 88},
  [258] = {.lex_state = 88},
  [259] = {.lex_state = 88, .external_lex_state = 1},
  [260] = {.lex_state = 88},
  [261] = {.lex_state = 88},
  [262] = {.lex_state = 88},
  [263] = {.lex_state = 88},
  [264] = {.lex_state = 88},
  [265] = {.lex_state = 88},
  [266] = {.lex_state = 88},
  [267] = {.lex_state = 88},
  [268] = {.lex_state = 88},
  [269] = {.lex_state = 88},
  [270] = {.lex_state = 88},
  [271] = {.lex_state = 88},
  [272] = {.lex_state = 88},
  [273] = {.lex_state = 88},
  [274] = {.lex_state = 88},
  [275] = {.lex_state = 88},
  [276] = {.lex_state = 88},
  [277] = {.lex_state = 88},
  [278] = {.lex_state = 88},
  [279] = {.lex_state = 88},
  [280] = {.lex_state = 88},
  [281] = {.lex_state = 88},
  [282] = {.lex_state = 88},
  [283] = {.lex_state = 88},
  [284] = {.lex_state = 88},
  [285] = {.lex_state = 88},
  [286] = {.lex_state = 88},
  [287] = {.lex_state = 88},
  [288] = {.lex_state = 88},
  [289] = {.lex_state = 88},
  [290] = {.lex_state = 88},
  [291] = {.lex_state = 92},
  [292] = {.lex_state = 92},
  [293] = {.lex_state = 92, .external_lex_state = 1},
  [294] = {.lex_state = 92, .external_lex_state = 1},
  [295] = {.lex_state = 82},
  [296] = {.lex_state = 82},
  [297] = {.lex_state = 94},
  [298] = {.lex_state = 94, .external_lex_state = 1},
  [299] = {.lex_state = 457},
  [300] = {.lex_state = 94},
  [301] = {.lex_state = 94},
  [302] = {.lex_state = 94},
  [303] = {.lex_state = 458},
  [304] = {.lex_state = 94, .external_lex_state = 1},
  [305] = {.lex_state = 57, .external_lex_state = 1},
  [306] = {.lex_state = 94, .external_lex_state = 1},
  [307] = {.lex_state = 94},
  [308] = {.lex_state = 57},
  [309] = {.lex_state = 58, .external_lex_state = 1},
  [310] = {.lex_state = 458},
  [311] = {.lex_state = 79},
  [312] = {.lex_state = 58},
  [313] = {.lex_state = 79, .external_lex_state = 1},
  [314] = {.lex_state = 94},
  [315] = {.lex_state = 94},
  [316] = {.lex_state = 58, .external_lex_state = 1},
  [317] = {.lex_state = 82},
  [318] = {.lex_state = 94},
  [319] = {.lex_state = 94},
  [320] = {.lex_state = 58},
  [321] = {.lex_state = 457},
  [322] = {.lex_state = 458},
  [323] = {.lex_state = 457},
  [324] = {.lex_state = 82},
  [325] = {.lex_state = 94},
  [326] = {.lex_state = 94},
  [327] = {.lex_state = 94},
  [328] = {.lex_state = 82},
  [329] = {.lex_state = 76},
  [330] = {.lex_state = 76},
  [331] = {.lex_state = 58, .external_lex_state = 1},
  [332] = {.lex_state = 82},
  [333] = {.lex_state = 90, .external_lex_state = 1},
  [334] = {.lex_state = 82},
  [335] = {.lex_state = 90, .external_lex_state = 1},
  [336] = {.lex_state = 94},
  [337] = {.lex_state = 82},
  [338] = {.lex_state = 457},
  [339] = {.lex_state = 82},
  [340] = {.lex_state = 82},
  [341] = {.lex_state = 82},
  [342] = {.lex_state = 458},
  [343] = {.lex_state = 82},
  [344] = {.lex_state = 82},
  [345] = {.lex_state = 90, .external_lex_state = 1},
  [346] = {.lex_state = 94, .external_lex_state = 1},
  [347] = {.lex_state = 94, .external_lex_state = 1},
  [348] = {.lex_state = 82},
  [349] = {.lex_state = 82},
  [350] = {.lex_state = 94, .external_lex_state = 1},
  [351] = {.lex_state = 58},
  [352] = {.lex_state = 94, .external_lex_state = 1},
  [353] = {.lex_state = 76, .external_lex_state = 1},
  [354] = {.lex_state = 76, .external_lex_state = 1},
  [355] = {.lex_state = 91},
  [356] = {.lex_state = 82},
  [357] = {.lex_state = 82},
  [358] = {.lex_state = 76, .external_lex_state = 1},
  [359] = {.lex_state = 82},
  [360] = {.lex_state = 82},
  [361] = {.lex_state = 82},
  [362] = {.lex_state = 457},
  [363] = {.lex_state = 91},
  [364] = {.lex_state = 82},
  [365] = {.lex_state = 457},
  [366] = {.lex_state = 458},
  [367] = {.lex_state = 82},
  [368] = {.lex_state = 82},
  [369] = {.lex_state = 82},
  [370] = {.lex_state = 82},
  [371] = {.lex_state = 82},
  [372] = {.lex_state = 458},
  [373] = {.lex_state = 94},
  [374] = {.lex_state = 76},
  [375] = {.lex_state = 82},
  [376] = {.lex_state = 82},
  [377] = {.lex_state = 82},
  [378] = {.lex_state = 94},
  [379] = {.lex_state = 457},
  [380] = {.lex_state = 94},
  [381] = {.lex_state = 458},
  [382] = {.lex_state = 94, .external_lex_state = 1},
  [383] = {.lex_state = 459},
  [384] = {.lex_state = 94},
  [385] = {.lex_state = 94},
  [386] = {.lex_state = 94},
  [387] = {.lex_state = 94},
  [388] = {.lex_state = 94, .external_lex_state = 1},
  [389] = {.lex_state = 458},
  [390] = {.lex_state = 457},
  [391] = {.lex_state = 94},
  [392] = {.lex_state = 94},
  [393] = {.lex_state = 94},
  [394] = {.lex_state = 457},
  [395] = {.lex_state = 458},
  [396] = {.lex_state = 82},
  [397] = {.lex_state = 458},
  [398] = {.lex_state = 460},
  [399] = {.lex_state = 82},
  [400] = {.lex_state = 77},
  [401] = {.lex_state = 82},
  [402] = {.lex_state = 458},
  [403] = {.lex_state = 82},
  [404] = {.lex_state = 458},
  [405] = {.lex_state = 457},
  [406] = {.lex_state = 457},
  [407] = {.lex_state = 77, .external_lex_state = 1},
  [408] = {.lex_state = 458},
  [409] = {.lex_state = 77, .external_lex_state = 1},
  [410] = {.lex_state = 460},
  [411] = {.lex_state = 458},
  [412] = {.lex_state = 85, .external_lex_state = 1},
  [413] = {.lex_state = 85},
  [414] = {.lex_state = 457},
  [415] = {.lex_state = 459},
  [416] = {.lex_state = 82},
  [417] = {.lex_state = 77},
  [418] = {.lex_state = 82},
  [419] = {.lex_state = 82},
  [420] = {.lex_state = 82},
  [421] = {.lex_state = 456},
  [422] = {.lex_state = 456},
  [423] = {.lex_state = 456},
  [424] = {.lex_state = 456},
  [425] = {.lex_state = 456},
  [426] = {.lex_state = 82},
  [427] = {.lex_state = 456},
  [428] = {.lex_state = 456},
  [429] = {.lex_state = 456},
  [430] = {.lex_state = 82},
  [431] = {.lex_state = 456},
  [432] = {.lex_state = 456},
  [433] = {.lex_state = 82},
  [434] = {.lex_state = 456},
  [435] = {.lex_state = 82},
  [436] = {.lex_state = 456},
  [437] = {.lex_state = 456},
  [438] = {.lex_state = 456},
  [439] = {.lex_state = 94},
  [440] = {.lex_state = 82},
  [441] = {.lex_state = 456},
  [442] = {.lex_state = 456},
  [443] = {.lex_state = 456},
  [444] = {.lex_state = 82},
  [445] = {.lex_state = 82},
  [446] = {.lex_state = 456},
  [447] = {.lex_state = 456},
  [448] = {.lex_state = 456},
  [449] = {.lex_state = 456},
  [450] = {.lex_state = 456},
  [451] = {.lex_state = 456},
  [452] = {.lex_state = 82},
  [453] = {.lex_state = 456},
  [454] = {.lex_state = 456},
  [455] = {.lex_state = 456},
  [456] = {.lex_state = 456},
  [457] = {.lex_state = 82},
  [458] = {.lex_state = 94},
  [459] = {.lex_state = 456},
  [460] = {.lex_state = 456},
  [461] = {.lex_state = 456},
  [462] = {.lex_state = 456},
  [463] = {.lex_state = 456},
  [464] = {.lex_state = 456},
  [465] = {.lex_state = 456},
  [466] = {.lex_state = 456},
  [467] = {.lex_state = 456},
  [468] = {.lex_state = 456},
  [469] = {.lex_state = 456},
  [470] = {.lex_state = 456},
  [471] = {.lex_state = 456},
  [472] = {.lex_state = 82},
  [473] = {.lex_state = 456},
  [474] = {.lex_state = 456},
  [475] = {.lex_state = 456},
  [476] = {.lex_state = 456},
  [477] = {.lex_state = 82},
  [478] = {.lex_state = 456},
  [479] = {.lex_state = 456},
  [480] = {.lex_state = 456},
  [481] = {.lex_state = 456},
  [482] = {.lex_state = 456},
  [483] = {.lex_state = 456},
  [484] = {.lex_state = 82},
  [485] = {.lex_state = 456},
  [486] = {.lex_state = 456},
  [487] = {.lex_state = 456},
  [488] = {.lex_state = 456},
  [489] = {.lex_state = 456},
  [490] = {.lex_state = 456},
  [491] = {.lex_state = 82},
  [492] = {.lex_state = 456},
  [493] = {.lex_state = 456},
  [494] = {.lex_state = 95},
  [495] = {.lex_state = 456},
  [496] = {.lex_state = 456},
  [497] = {.lex_state = 456},
  [498] = {.lex_state = 456},
  [499] = {.lex_state = 456},
  [500] = {.lex_state = 456},
  [501] = {.lex_state = 456},
  [502] = {.lex_state = 456},
  [503] = {.lex_state = 456},
  [504] = {.lex_state = 456},
  [505] = {.lex_state = 456},
  [506] = {.lex_state = 456},
  [507] = {.lex_state = 456},
  [508] = {.lex_state = 456},
  [509] = {.lex_state = 456},
  [510] = {.lex_state = 456},
  [511] = {.lex_state = 456},
  [512] = {.lex_state = 456},
  [513] = {.lex_state = 82},
  [514] = {.lex_state = 456},
  [515] = {.lex_state = 456},
  [516] = {.lex_state = 456},
  [517] = {.lex_state = 456},
  [518] = {.lex_state = 82},
  [519] = {.lex_state = 456},
  [520] = {.lex_state = 82},
  [521] = {.lex_state = 94},
  [522] = {.lex_state = 456},
  [523] = {.lex_state = 456},
  [524] = {.lex_state = 82},
  [525] = {.lex_state = 82},
  [526] = {.lex_state = 456},
  [527] = {.lex_state = 456},
  [528] = {.lex_state = 456},
  [529] = {.lex_state = 456},
  [530] = {.lex_state = 456},
  [531] = {.lex_state = 456},
  [532] = {.lex_state = 456},
  [533] = {.lex_state = 94},
  [534] = {.lex_state = 82},
  [535] = {.lex_state = 456},
  [536] = {.lex_state = 456},
  [537] = {.lex_state = 456},
  [538] = {.lex_state = 456},
  [539] = {.lex_state = 456},
  [540] = {.lex_state = 456},
  [541] = {.lex_state = 456},
  [542] = {.lex_state = 456},
  [543] = {.lex_state = 456},
  [544] = {.lex_state = 456},
  [545] = {.lex_state = 95, .external_lex_state = 1},
  [546] = {.lex_state = 87},
  [547] = {.lex_state = 82},
  [548] = {.lex_state = 82},
  [549] = {.lex_state = 82},
  [550] = {.lex_state = 94, .external_lex_state = 1},
  [551] = {.lex_state = 456},
  [552] = {.lex_state = 82},
  [553] = {.lex_state = 94},
  [554] = {.lex_state = 87, .external_lex_state = 1},
  [555] = {.lex_state = 87},
  [556] = {.lex_state = 456},
  [557] = {.lex_state = 82},
  [558] = {.lex_state = 454},
  [559] = {.lex_state = 94, .external_lex_state = 1},
  [560] = {.lex_state = 87, .external_lex_state = 1},
  [561] = {.lex_state = 82},
  [562] = {.lex_state = 94},
  [563] = {.lex_state = 454},
  [564] = {.lex_state = 456},
  [565] = {.lex_state = 456},
  [566] = {.lex_state = 82},
  [567] = {.lex_state = 82},
  [568] = {.lex_state = 454, .external_lex_state = 1},
  [569] = {.lex_state = 82},
  [570] = {.lex_state = 454, .external_lex_state = 1},
  [571] = {.lex_state = 82},
  [572] = {.lex_state = 82},
  [573] = {.lex_state = 82, .external_lex_state = 1},
  [574] = {.lex_state = 82},
  [575] = {.lex_state = 454},
  [576] = {.lex_state = 454},
  [577] = {.lex_state = 82},
  [578] = {.lex_state = 82},
  [579] = {.lex_state = 82},
  [580] = {.lex_state = 94},
  [581] = {.lex_state = 82},
  [582] = {.lex_state = 82},
  [583] = {.lex_state = 94},
  [584] = {.lex_state = 82},
  [585] = {.lex_state = 82},
  [586] = {.lex_state = 82},
  [587] = {.lex_state = 82},
  [588] = {.lex_state = 82},
  [589] = {.lex_state = 82},
  [590] = {.lex_state = 454},
  [591] = {.lex_state = 82},
  [592] = {.lex_state = 454},
  [593] = {.lex_state = 82},
  [594] = {.lex_state = 82},
  [595] = {.lex_state = 82},
  [596] = {.lex_state = 82},
  [597] = {.lex_state = 82},
  [598] = {.lex_state = 82},
  [599] = {.lex_state = 82},
  [600] = {.lex_state = 82},
  [601] = {.lex_state = 82},
  [602] = {.lex_state = 82},
  [603] = {.lex_state = 82},
  [604] = {.lex_state = 82},
  [605] = {.lex_state = 82},
  [606] = {.lex_state = 82},
  [607] = {.lex_state = 82},
  [608] = {.lex_state = 82},
  [609] = {.lex_state = 82},
  [610] = {.lex_state = 82},
  [611] = {.lex_state = 82},
  [612] = {.lex_state = 82},
  [613] = {.lex_state = 82},
  [614] = {.lex_state = 82},
  [615] = {.lex_state = 82},
  [616] = {.lex_state = 82},
  [617] = {.lex_state = 82},
  [618] = {.lex_state = 82},
  [619] = {.lex_state = 82},
  [620] = {.lex_state = 82},
  [621] = {.lex_state = 82},
  [622] = {.lex_state = 82},
  [623] = {.lex_state = 82},
  [624] = {.lex_state = 82},
  [625] = {.lex_state = 82},
  [626] = {.lex_state = 82},
  [627] = {.lex_state = 82},
  [628] = {.lex_state = 82},
  [629] = {.lex_state = 82},
  [630] = {.lex_state = 82},
  [631] = {.lex_state = 82},
  [632] = {.lex_state = 82},
  [633] = {.lex_state = 82},
  [634] = {.lex_state = 82},
  [635] = {.lex_state = 82},
  [636] = {.lex_state = 82},
  [637] = {.lex_state = 82},
  [638] = {.lex_state = 82},
  [639] = {.lex_state = 82},
  [640] = {.lex_state = 82},
  [641] = {.lex_state = 82},
  [642] = {.lex_state = 82},
  [643] = {.lex_state = 82},
  [644] = {.lex_state = 82},
  [645] = {.lex_state = 82},
  [646] = {.lex_state = 82},
  [647] = {.lex_state = 82},
  [648] = {.lex_state = 82},
  [649] = {.lex_state = 82},
  [650] = {.lex_state = 82},
  [651] = {.lex_state = 82},
  [652] = {.lex_state = 82},
  [653] = {.lex_state = 82},
  [654] = {.lex_state = 82},
  [655] = {.lex_state = 82},
  [656] = {.lex_state = 82},
  [657] = {.lex_state = 82},
  [658] = {.lex_state = 82},
  [659] = {.lex_state = 82},
  [660] = {.lex_state = 82},
  [661] = {.lex_state = 82},
  [662] = {.lex_state = 82},
  [663] = {.lex_state = 82},
  [664] = {.lex_state = 82},
  [665] = {.lex_state = 82},
  [666] = {.lex_state = 82},
  [667] = {.lex_state = 82},
  [668] = {.lex_state = 82},
  [669] = {.lex_state = 82},
  [670] = {.lex_state = 82},
  [671] = {.lex_state = 82},
  [672] = {.lex_state = 82},
  [673] = {.lex_state = 82},
  [674] = {.lex_state = 82},
  [675] = {.lex_state = 82},
  [676] = {.lex_state = 82},
  [677] = {.lex_state = 82},
  [678] = {.lex_state = 82},
  [679] = {.lex_state = 82},
  [680] = {.lex_state = 82},
  [681] = {.lex_state = 82},
  [682] = {.lex_state = 82},
  [683] = {.lex_state = 82},
  [684] = {.lex_state = 82},
  [685] = {.lex_state = 82},
  [686] = {.lex_state = 82},
  [687] = {.lex_state = 82},
  [688] = {.lex_state = 82},
  [689] = {.lex_state = 82},
  [690] = {.lex_state = 82},
  [691] = {.lex_state = 82},
  [692] = {.lex_state = 82},
  [693] = {.lex_state = 82},
  [694] = {.lex_state = 82},
  [695] = {.lex_state = 82},
  [696] = {.lex_state = 82},
  [697] = {.lex_state = 82},
  [698] = {.lex_state = 82},
  [699] = {.lex_state = 82},
  [700] = {.lex_state = 82},
  [701] = {.lex_state = 82},
  [702] = {.lex_state = 82},
  [703] = {.lex_state = 82},
  [704] = {.lex_state = 82},
  [705] = {.lex_state = 82},
  [706] = {.lex_state = 82},
  [707] = {.lex_state = 82},
  [708] = {.lex_state = 82},
  [709] = {.lex_state = 82},
  [710] = {.lex_state = 82},
  [711] = {.lex_state = 82},
  [712] = {.lex_state = 82},
  [713] = {.lex_state = 82},
  [714] = {.lex_state = 82},
  [715] = {.lex_state = 82},
  [716] = {.lex_state = 62, .external_lex_state = 1},
  [717] = {.lex_state = 62},
  [718] = {.lex_state = 62},
  [719] = {.lex_state = 100},
  [720] = {.lex_state = 62, .external_lex_state = 1},
  [721] = {.lex_state = 100},
  [722] = {.lex_state = 64},
  [723] = {.lex_state = 64},
  [724] = {.lex_state = 64, .external_lex_state = 1},
  [725] = {.lex_state = 64, .external_lex_state = 1},
  [726] = {.lex_state = 101},
  [727] = {.lex_state = 101},
  [728] = {.lex_state = 100},
  [729] = {.lex_state = 59},
  [730] = {.lex_state = 59},
  [731] = {.lex_state = 100},
  [732] = {.lex_state = 59},
  [733] = {.lex_state = 100},
  [734] = {.lex_state = 59},
  [735] = {.lex_state = 59},
  [736] = {.lex_state = 100},
  [737] = {.lex_state = 59},
  [738] = {.lex_state = 101},
  [739] = {.lex_state = 101},
  [740] = {.lex_state = 101},
  [741] = {.lex_state = 106},
  [742] = {.lex_state = 101},
  [743] = {.lex_state = 66},
  [744] = {.lex_state = 66, .external_lex_state = 1},
  [745] = {.lex_state = 66},
  [746] = {.lex_state = 66, .external_lex_state = 1},
  [747] = {.lex_state = 68},
  [748] = {.lex_state = 68, .external_lex_state = 1},
  [749] = {.lex_state = 68},
  [750] = {.lex_state = 67, .external_lex_state = 1},
  [751] = {.lex_state = 72, .external_lex_state = 1},
  [752] = {.lex_state = 67, .external_lex_state = 1},
  [753] = {.lex_state = 72},
  [754] = {.lex_state = 67},
  [755] = {.lex_state = 67},
  [756] = {.lex_state = 72},
  [757] = {.lex_state = 72, .external_lex_state = 1},
  [758] = {.lex_state = 68, .external_lex_state = 1},
  [759] = {.lex_state = 68, .external_lex_state = 1},
  [760] = {.lex_state = 68},
  [761] = {.lex_state = 68},
  [762] = {.lex_state = 68},
  [763] = {.lex_state = 68},
  [764] = {.lex_state = 68},
  [765] = {.lex_state = 68},
  [766] = {.lex_state = 66, .external_lex_state = 1},
  [767] = {.lex_state = 70},
  [768] = {.lex_state = 68, .external_lex_state = 1},
  [769] = {.lex_state = 68},
  [770] = {.lex_state = 66},
  [771] = {.lex_state = 68},
  [772] = {.lex_state = 70, .external_lex_state = 1},
  [773] = {.lex_state = 73, .external_lex_state = 1},
  [774] = {.lex_state = 70},
  [775] = {.lex_state = 73},
  [776] = {.lex_state = 73},
  [777] = {.lex_state = 68},
  [778] = {.lex_state = 68},
  [779] = {.lex_state = 73, .external_lex_state = 1},
  [780] = {.lex_state = 68},
  [781] = {.lex_state = 68, .external_lex_state = 1},
  [782] = {.lex_state = 68, .external_lex_state = 1},
  [783] = {.lex_state = 68, .external_lex_state = 1},
  [784] = {.lex_state = 68, .external_lex_state = 1},
  [785] = {.lex_state = 68, .external_lex_state = 1},
  [786] = {.lex_state = 68, .external_lex_state = 1},
  [787] = {.lex_state = 68, .external_lex_state = 1},
  [788] = {.lex_state = 68, .external_lex_state = 1},
  [789] = {.lex_state = 68, .external_lex_state = 1},
  [790] = {.lex_state = 68},
  [791] = {.lex_state = 72, .external_lex_state = 1},
  [792] = {.lex_state = 68},
  [793] = {.lex_state = 68, .external_lex_state = 1},
  [794] = {.lex_state = 68, .external_lex_state = 1},
  [795] = {.lex_state = 101},
  [796] = {.lex_state = 68, .external_lex_state = 1},
  [797] = {.lex_state = 68, .external_lex_state = 1},
  [798] = {.lex_state = 68, .external_lex_state = 1},
  [799] = {.lex_state = 68, .external_lex_state = 1},
  [800] = {.lex_state = 68, .external_lex_state = 1},
  [801] = {.lex_state = 68, .external_lex_state = 1},
  [802] = {.lex_state = 68, .external_lex_state = 1},
  [803] = {.lex_state = 68, .external_lex_state = 1},
  [804] = {.lex_state = 68, .external_lex_state = 1},
  [805] = {.lex_state = 68, .external_lex_state = 1},
  [806] = {.lex_state = 72},
  [807] = {.lex_state = 68, .external_lex_state = 1},
  [808] = {.lex_state = 68, .external_lex_state = 1},
  [809] = {.lex_state = 68, .external_lex_state = 1},
  [810] = {.lex_state = 68, .external_lex_state = 1},
  [811] = {.lex_state = 68, .external_lex_state = 1},
  [812] = {.lex_state = 68},
  [813] = {.lex_state = 72, .external_lex_state = 1},
  [814] = {.lex_state = 68},
  [815] = {.lex_state = 68},
  [816] = {.lex_state = 68},
  [817] = {.lex_state = 68},
  [818] = {.lex_state = 68},
  [819] = {.lex_state = 68, .external_lex_state = 1},
  [820] = {.lex_state = 68},
  [821] = {.lex_state = 68},
  [822] = {.lex_state = 72},
  [823] = {.lex_state = 68},
  [824] = {.lex_state = 68},
  [825] = {.lex_state = 68, .external_lex_state = 1},
  [826] = {.lex_state = 68},
  [827] = {.lex_state = 68},
  [828] = {.lex_state = 70, .external_lex_state = 1},
  [829] = {.lex_state = 68},
  [830] = {.lex_state = 68, .external_lex_state = 1},
  [831] = {.lex_state = 68, .external_lex_state = 1},
  [832] = {.lex_state = 68},
  [833] = {.lex_state = 68},
  [834] = {.lex_state = 68},
  [835] = {.lex_state = 68},
  [836] = {.lex_state = 68},
  [837] = {.lex_state = 68},
  [838] = {.lex_state = 68},
  [839] = {.lex_state = 68, .external_lex_state = 1},
  [840] = {.lex_state = 68},
  [841] = {.lex_state = 68, .external_lex_state = 1},
  [842] = {.lex_state = 70},
  [843] = {.lex_state = 67},
  [844] = {.lex_state = 70},
  [845] = {.lex_state = 70},
  [846] = {.lex_state = 70},
  [847] = {.lex_state = 70, .external_lex_state = 1},
  [848] = {.lex_state = 73},
  [849] = {.lex_state = 70, .external_lex_state = 1},
  [850] = {.lex_state = 70},
  [851] = {.lex_state = 73},
  [852] = {.lex_state = 454, .external_lex_state = 1},
  [853] = {.lex_state = 70},
  [854] = {.lex_state = 70},
  [855] = {.lex_state = 70},
  [856] = {.lex_state = 73, .external_lex_state = 1},
  [857] = {.lex_state = 454},
  [858] = {.lex_state = 454},
  [859] = {.lex_state = 70, .external_lex_state = 1},
  [860] = {.lex_state = 70},
  [861] = {.lex_state = 70},
  [862] = {.lex_state = 70, .external_lex_state = 1},
  [863] = {.lex_state = 70, .external_lex_state = 1},
  [864] = {.lex_state = 70},
  [865] = {.lex_state = 70},
  [866] = {.lex_state = 70, .external_lex_state = 1},
  [867] = {.lex_state = 70, .external_lex_state = 1},
  [868] = {.lex_state = 70, .external_lex_state = 1},
  [869] = {.lex_state = 454, .external_lex_state = 1},
  [870] = {.lex_state = 70, .external_lex_state = 1},
  [871] = {.lex_state = 70, .external_lex_state = 1},
  [872] = {.lex_state = 70, .external_lex_state = 1},
  [873] = {.lex_state = 70, .external_lex_state = 1},
  [874] = {.lex_state = 70, .external_lex_state = 1},
  [875] = {.lex_state = 70, .external_lex_state = 1},
  [876] = {.lex_state = 70, .external_lex_state = 1},
  [877] = {.lex_state = 70, .external_lex_state = 1},
  [878] = {.lex_state = 70, .external_lex_state = 1},
  [879] = {.lex_state = 70, .external_lex_state = 1},
  [880] = {.lex_state = 70, .external_lex_state = 1},
  [881] = {.lex_state = 70, .external_lex_state = 1},
  [882] = {.lex_state = 70, .external_lex_state = 1},
  [883] = {.lex_state = 70},
  [884] = {.lex_state = 70, .external_lex_state = 1},
  [885] = {.lex_state = 70},
  [886] = {.lex_state = 73, .external_lex_state = 1},
  [887] = {.lex_state = 70},
  [888] = {.lex_state = 70},
  [889] = {.lex_state = 70},
  [890] = {.lex_state = 70},
  [891] = {.lex_state = 454, .external_lex_state = 1},
  [892] = {.lex_state = 70},
  [893] = {.lex_state = 70, .external_lex_state = 1},
  [894] = {.lex_state = 68, .external_lex_state = 1},
  [895] = {.lex_state = 70, .external_lex_state = 1},
  [896] = {.lex_state = 68},
  [897] = {.lex_state = 70},
  [898] = {.lex_state = 70},
  [899] = {.lex_state = 70},
  [900] = {.lex_state = 70},
  [901] = {.lex_state = 70, .external_lex_state = 1},
  [902] = {.lex_state = 454},
  [903] = {.lex_state = 70, .external_lex_state = 1},
  [904] = {.lex_state = 70, .external_lex_state = 1},
  [905] = {.lex_state = 70, .external_lex_state = 1},
  [906] = {.lex_state = 70, .external_lex_state = 1},
  [907] = {.lex_state = 70, .external_lex_state = 1},
  [908] = {.lex_state = 70, .external_lex_state = 1},
  [909] = {.lex_state = 70, .external_lex_state = 1},
  [910] = {.lex_state = 70},
  [911] = {.lex_state = 70},
  [912] = {.lex_state = 70},
  [913] = {.lex_state = 70},
  [914] = {.lex_state = 70},
  [915] = {.lex_state = 70},
  [916] = {.lex_state = 70, .external_lex_state = 1},
  [917] = {.lex_state = 70},
  [918] = {.lex_state = 70},
  [919] = {.lex_state = 70},
  [920] = {.lex_state = 67, .external_lex_state = 1},
  [921] = {.lex_state = 70},
  [922] = {.lex_state = 70, .external_lex_state = 1},
  [923] = {.lex_state = 70},
  [924] = {.lex_state = 68},
  [925] = {.lex_state = 68},
  [926] = {.lex_state = 68, .external_lex_state = 1},
  [927] = {.lex_state = 106},
  [928] = {.lex_state = 70, .external_lex_state = 1},
  [929] = {.lex_state = 70},
  [930] = {.lex_state = 68, .external_lex_state = 1},
  [931] = {.lex_state = 68},
  [932] = {.lex_state = 68, .external_lex_state = 1},
  [933] = {.lex_state = 106},
  [934] = {.lex_state = 106},
  [935] = {.lex_state = 106},
  [936] = {.lex_state = 70, .external_lex_state = 1},
  [937] = {.lex_state = 70, .external_lex_state = 1},
  [938] = {.lex_state = 70},
  [939] = {.lex_state = 106},
  [940] = {.lex_state = 106},
  [941] = {.lex_state = 106},
  [942] = {.lex_state = 60, .external_lex_state = 1},
  [943] = {.lex_state = 70},
  [944] = {.lex_state = 106},
  [945] = {.lex_state = 60},
  [946] = {.lex_state = 106},
  [947] = {.lex_state = 106},
  [948] = {.lex_state = 106},
  [949] = {.lex_state = 106},
  [950] = {.lex_state = 60, .external_lex_state = 1},
  [951] = {.lex_state = 106},
  [952] = {.lex_state = 106},
  [953] = {.lex_state = 106},
  [954] = {.lex_state = 106},
  [955] = {.lex_state = 106},
  [956] = {.lex_state = 106},
  [957] = {.lex_state = 106},
  [958] = {.lex_state = 106},
  [959] = {.lex_state = 106},
  [960] = {.lex_state = 106},
  [961] = {.lex_state = 106},
  [962] = {.lex_state = 106},
  [963] = {.lex_state = 70, .external_lex_state = 1},
  [964] = {.lex_state = 106},
  [965] = {.lex_state = 60, .external_lex_state = 1},
  [966] = {.lex_state = 60},
  [967] = {.lex_state = 70},
  [968] = {.lex_state = 106},
  [969] = {.lex_state = 106},
  [970] = {.lex_state = 106},
  [971] = {.lex_state = 106},
  [972] = {.lex_state = 106},
  [973] = {.lex_state = 106},
  [974] = {.lex_state = 106},
  [975] = {.lex_state = 60},
  [976] = {.lex_state = 106},
  [977] = {.lex_state = 106},
  [978] = {.lex_state = 106},
  [979] = {.lex_state = 60, .external_lex_state = 1},
  [980] = {.lex_state = 106, .external_lex_state = 1},
  [981] = {.lex_state = 454},
  [982] = {.lex_state = 61},
  [983] = {.lex_state = 61, .external_lex_state = 1},
  [984] = {.lex_state = 454, .external_lex_state = 1},
  [985] = {.lex_state = 61},
  [986] = {.lex_state = 60, .external_lex_state = 1},
  [987] = {.lex_state = 61, .external_lex_state = 1},
  [988] = {.lex_state = 60, .external_lex_state = 1},
  [989] = {.lex_state = 60},
  [990] = {.lex_state = 61, .external_lex_state = 1},
  [991] = {.lex_state = 61},
  [992] = {.lex_state = 60},
  [993] = {.lex_state = 60},
  [994] = {.lex_state = 106, .external_lex_state = 1},
  [995] = {.lex_state = 72},
  [996] = {.lex_state = 106, .external_lex_state = 1},
  [997] = {.lex_state = 61},
  [998] = {.lex_state = 106, .external_lex_state = 1},
  [999] = {.lex_state = 106, .external_lex_state = 1},
  [1000] = {.lex_state = 106, .external_lex_state = 1},
  [1001] = {.lex_state = 106, .external_lex_state = 1},
  [1002] = {.lex_state = 106, .external_lex_state = 1},
  [1003] = {.lex_state = 106, .external_lex_state = 1},
  [1004] = {.lex_state = 106, .external_lex_state = 1},
  [1005] = {.lex_state = 106, .external_lex_state = 1},
  [1006] = {.lex_state = 72},
  [1007] = {.lex_state = 61},
  [1008] = {.lex_state = 106, .external_lex_state = 1},
  [1009] = {.lex_state = 61},
  [1010] = {.lex_state = 106, .external_lex_state = 1},
  [1011] = {.lex_state = 106, .external_lex_state = 1},
  [1012] = {.lex_state = 106, .external_lex_state = 1},
  [1013] = {.lex_state = 106, .external_lex_state = 1},
  [1014] = {.lex_state = 106, .external_lex_state = 1},
  [1015] = {.lex_state = 106, .external_lex_state = 1},
  [1016] = {.lex_state = 106, .external_lex_state = 1},
  [1017] = {.lex_state = 106, .external_lex_state = 1},
  [1018] = {.lex_state = 87},
  [1019] = {.lex_state = 106, .external_lex_state = 1},
  [1020] = {.lex_state = 106, .external_lex_state = 1},
  [1021] = {.lex_state = 72, .external_lex_state = 1},
  [1022] = {.lex_state = 61, .external_lex_state = 1},
  [1023] = {.lex_state = 106, .external_lex_state = 1},
  [1024] = {.lex_state = 106, .external_lex_state = 1},
  [1025] = {.lex_state = 106, .external_lex_state = 1},
  [1026] = {.lex_state = 106},
  [1027] = {.lex_state = 106, .external_lex_state = 1},
  [1028] = {.lex_state = 72, .external_lex_state = 1},
  [1029] = {.lex_state = 106, .external_lex_state = 1},
  [1030] = {.lex_state = 106, .external_lex_state = 1},
  [1031] = {.lex_state = 106, .external_lex_state = 1},
  [1032] = {.lex_state = 61, .external_lex_state = 1},
  [1033] = {.lex_state = 72},
  [1034] = {.lex_state = 106, .external_lex_state = 1},
  [1035] = {.lex_state = 72, .external_lex_state = 1},
  [1036] = {.lex_state = 106, .external_lex_state = 1},
  [1037] = {.lex_state = 106, .external_lex_state = 1},
  [1038] = {.lex_state = 61, .external_lex_state = 1},
  [1039] = {.lex_state = 106, .external_lex_state = 1},
  [1040] = {.lex_state = 106, .external_lex_state = 1},
  [1041] = {.lex_state = 106, .external_lex_state = 1},
  [1042] = {.lex_state = 106, .external_lex_state = 1},
  [1043] = {.lex_state = 72, .external_lex_state = 1},
  [1044] = {.lex_state = 72, .external_lex_state = 1},
  [1045] = {.lex_state = 72},
  [1046] = {.lex_state = 73},
  [1047] = {.lex_state = 73, .external_lex_state = 1},
  [1048] = {.lex_state = 72, .external_lex_state = 1},
  [1049] = {.lex_state = 72, .external_lex_state = 1},
  [1050] = {.lex_state = 72},
  [1051] = {.lex_state = 72, .external_lex_state = 1},
  [1052] = {.lex_state = 73},
  [1053] = {.lex_state = 72, .external_lex_state = 1},
  [1054] = {.lex_state = 72},
  [1055] = {.lex_state = 72},
  [1056] = {.lex_state = 72},
  [1057] = {.lex_state = 73, .external_lex_state = 1},
  [1058] = {.lex_state = 106, .external_lex_state = 1},
  [1059] = {.lex_state = 106},
  [1060] = {.lex_state = 72, .external_lex_state = 1},
  [1061] = {.lex_state = 72},
  [1062] = {.lex_state = 72},
  [1063] = {.lex_state = 73},
  [1064] = {.lex_state = 72},
  [1065] = {.lex_state = 73, .external_lex_state = 1},
  [1066] = {.lex_state = 72, .external_lex_state = 1},
  [1067] = {.lex_state = 72},
  [1068] = {.lex_state = 72},
  [1069] = {.lex_state = 72},
  [1070] = {.lex_state = 72, .external_lex_state = 1},
  [1071] = {.lex_state = 72, .external_lex_state = 1},
  [1072] = {.lex_state = 72, .external_lex_state = 1},
  [1073] = {.lex_state = 73},
  [1074] = {.lex_state = 73, .external_lex_state = 1},
  [1075] = {.lex_state = 106, .external_lex_state = 1},
  [1076] = {.lex_state = 72},
  [1077] = {.lex_state = 73},
  [1078] = {.lex_state = 73, .external_lex_state = 1},
  [1079] = {.lex_state = 106},
  [1080] = {.lex_state = 73, .external_lex_state = 1},
  [1081] = {.lex_state = 73, .external_lex_state = 1},
  [1082] = {.lex_state = 73},
  [1083] = {.lex_state = 106, .external_lex_state = 1},
  [1084] = {.lex_state = 73},
  [1085] = {.lex_state = 73},
  [1086] = {.lex_state = 72, .external_lex_state = 1},
  [1087] = {.lex_state = 73},
  [1088] = {.lex_state = 73},
  [1089] = {.lex_state = 73},
  [1090] = {.lex_state = 73, .external_lex_state = 1},
  [1091] = {.lex_state = 73, .external_lex_state = 1},
  [1092] = {.lex_state = 73, .external_lex_state = 1},
  [1093] = {.lex_state = 73},
  [1094] = {.lex_state = 73, .external_lex_state = 1},
  [1095] = {.lex_state = 73, .external_lex_state = 1},
  [1096] = {.lex_state = 73, .external_lex_state = 1},
  [1097] = {.lex_state = 73},
  [1098] = {.lex_state = 73},
  [1099] = {.lex_state = 73, .external_lex_state = 1},
  [1100] = {.lex_state = 72},
  [1101] = {.lex_state = 72, .external_lex_state = 1},
  [1102] = {.lex_state = 82},
  [1103] = {.lex_state = 72, .external_lex_state = 1},
  [1104] = {.lex_state = 72},
  [1105] = {.lex_state = 72},
  [1106] = {.lex_state = 72, .external_lex_state = 1},
  [1107] = {.lex_state = 72, .external_lex_state = 1},
  [1108] = {.lex_state = 72},
  [1109] = {.lex_state = 72},
  [1110] = {.lex_state = 72, .external_lex_state = 1},
  [1111] = {.lex_state = 73, .external_lex_state = 1},
  [1112] = {.lex_state = 73},
  [1113] = {.lex_state = 82},
  [1114] = {.lex_state = 72, .external_lex_state = 1},
  [1115] = {.lex_state = 87, .external_lex_state = 1},
  [1116] = {.lex_state = 72},
  [1117] = {.lex_state = 72},
  [1118] = {.lex_state = 82},
  [1119] = {.lex_state = 72},
  [1120] = {.lex_state = 72, .external_lex_state = 1},
  [1121] = {.lex_state = 72, .external_lex_state = 1},
  [1122] = {.lex_state = 73, .external_lex_state = 1},
  [1123] = {.lex_state = 73},
  [1124] = {.lex_state = 73, .external_lex_state = 1},
  [1125] = {.lex_state = 73, .external_lex_state = 1},
  [1126] = {.lex_state = 73},
  [1127] = {.lex_state = 73},
  [1128] = {.lex_state = 454},
  [1129] = {.lex_state = 73},
  [1130] = {.lex_state = 454, .external_lex_state = 1},
  [1131] = {.lex_state = 73},
  [1132] = {.lex_state = 73, .external_lex_state = 1},
  [1133] = {.lex_state = 454, .external_lex_state = 1},
  [1134] = {.lex_state = 73, .external_lex_state = 1},
  [1135] = {.lex_state = 454},
  [1136] = {.lex_state = 73},
  [1137] = {.lex_state = 73, .external_lex_state = 1},
  [1138] = {.lex_state = 73, .external_lex_state = 1},
  [1139] = {.lex_state = 73, .external_lex_state = 1},
  [1140] = {.lex_state = 73},
  [1141] = {.lex_state = 73},
  [1142] = {.lex_state = 454, .external_lex_state = 1},
  [1143] = {.lex_state = 454, .external_lex_state = 1},
  [1144] = {.lex_state = 454},
  [1145] = {.lex_state = 454},
  [1146] = {.lex_state = 454},
  [1147] = {.lex_state = 454, .external_lex_state = 1},
  [1148] = {.lex_state = 82},
  [1149] = {.lex_state = 82},
  [1150] = {.lex_state = 454},
  [1151] = {.lex_state = 454},
  [1152] = {.lex_state = 454, .external_lex_state = 1},
  [1153] = {.lex_state = 454},
  [1154] = {.lex_state = 454, .external_lex_state = 1},
  [1155] = {.lex_state = 454},
  [1156] = {.lex_state = 454, .external_lex_state = 1},
  [1157] = {.lex_state = 454, .external_lex_state = 1},
  [1158] = {.lex_state = 454, .external_lex_state = 1},
  [1159] = {.lex_state = 454},
  [1160] = {.lex_state = 101},
  [1161] = {.lex_state = 101},
  [1162] = {.lex_state = 101},
  [1163] = {.lex_state = 59},
  [1164] = {.lex_state = 100},
  [1165] = {.lex_state = 94},
  [1166] = {.lex_state = 94},
  [1167] = {.lex_state = 94},
  [1168] = {.lex_state = 94},
  [1169] = {.lex_state = 94},
  [1170] = {.lex_state = 94},
  [1171] = {.lex_state = 94},
  [1172] = {.lex_state = 94},
  [1173] = {.lex_state = 94},
  [1174] = {.lex_state = 94},
  [1175] = {.lex_state = 94},
  [1176] = {.lex_state = 94},
  [1177] = {.lex_state = 94},
  [1178] = {.lex_state = 94},
  [1179] = {.lex_state = 94},
  [1180] = {.lex_state = 94},
  [1181] = {.lex_state = 94},
  [1182] = {.lex_state = 94},
  [1183] = {.lex_state = 94},
  [1184] = {.lex_state = 94},
  [1185] = {.lex_state = 94},
  [1186] = {.lex_state = 94},
  [1187] = {.lex_state = 94},
  [1188] = {.lex_state = 94},
  [1189] = {.lex_state = 94},
  [1190] = {.lex_state = 103},
  [1191] = {.lex_state = 103},
  [1192] = {.lex_state = 103},
  [1193] = {.lex_state = 103},
  [1194] = {.lex_state = 103},
  [1195] = {.lex_state = 104},
  [1196] = {.lex_state = 104},
  [1197] = {.lex_state = 104},
  [1198] = {.lex_state = 104},
  [1199] = {.lex_state = 104},
  [1200] = {.lex_state = 104},
  [1201] = {.lex_state = 104},
  [1202] = {.lex_state = 104},
  [1203] = {.lex_state = 104},
  [1204] = {.lex_state = 104},
  [1205] = {.lex_state = 104},
  [1206] = {.lex_state = 103},
  [1207] = {.lex_state = 104},
  [1208] = {.lex_state = 103},
  [1209] = {.lex_state = 104},
  [1210] = {.lex_state = 104},
  [1211] = {.lex_state = 104},
  [1212] = {.lex_state = 103},
  [1213] = {.lex_state = 103},
  [1214] = {.lex_state = 103},
  [1215] = {.lex_state = 104},
  [1216] = {.lex_state = 28},
  [1217] = {.lex_state = 28},
  [1218] = {.lex_state = 28},
  [1219] = {.lex_state = 28},
  [1220] = {.lex_state = 28},
  [1221] = {.lex_state = 28},
  [1222] = {.lex_state = 103},
  [1223] = {.lex_state = 28},
  [1224] = {.lex_state = 28},
  [1225] = {.lex_state = 28},
  [1226] = {.lex_state = 28},
  [1227] = {.lex_state = 28},
  [1228] = {.lex_state = 28},
  [1229] = {.lex_state = 28},
  [1230] = {.lex_state = 104},
  [1231] = {.lex_state = 28},
  [1232] = {.lex_state = 28},
  [1233] = {.lex_state = 28},
  [1234] = {.lex_state = 28},
  [1235] = {.lex_state = 109},
  [1236] = {.lex_state = 454},
  [1237] = {.lex_state = 454},
  [1238] = {.lex_state = 454},
  [1239] = {.lex_state = 454},
  [1240] = {.lex_state = 454},
  [1241] = {.lex_state = 109},
  [1242] = {.lex_state = 454},
  [1243] = {.lex_state = 454},
  [1244] = {.lex_state = 94},
  [1245] = {.lex_state = 94},
  [1246] = {.lex_state = 94},
  [1247] = {.lex_state = 104},
  [1248] = {.lex_state = 103},
  [1249] = {.lex_state = 28},
  [1250] = {.lex_state = 94},
  [1251] = {.lex_state = 103},
  [1252] = {.lex_state = 454},
  [1253] = {.lex_state = 104},
  [1254] = {.lex_state = 104},
  [1255] = {.lex_state = 94},
  [1256] = {.lex_state = 103},
  [1257] = {.lex_state = 94},
  [1258] = {.lex_state = 28},
  [1259] = {.lex_state = 28},
  [1260] = {.lex_state = 104},
  [1261] = {.lex_state = 454},
  [1262] = {.lex_state = 454},
  [1263] = {.lex_state = 454},
  [1264] = {.lex_state = 94},
  [1265] = {.lex_state = 454},
  [1266] = {.lex_state = 94},
  [1267] = {.lex_state = 94},
  [1268] = {.lex_state = 94},
  [1269] = {.lex_state = 108},
  [1270] = {.lex_state = 94},
  [1271] = {.lex_state = 108},
  [1272] = {.lex_state = 454},
  [1273] = {.lex_state = 94},
  [1274] = {.lex_state = 454},
  [1275] = {.lex_state = 94},
  [1276] = {.lex_state = 454},
  [1277] = {.lex_state = 94},
  [1278] = {.lex_state = 454},
  [1279] = {.lex_state = 454},
  [1280] = {.lex_state = 454},
  [1281] = {.lex_state = 94},
  [1282] = {.lex_state = 454},
  [1283] = {.lex_state = 106},
  [1284] = {.lex_state = 106},
  [1285] = {.lex_state = 454},
  [1286] = {.lex_state = 106},
  [1287] = {.lex_state = 106},
  [1288] = {.lex_state = 94},
  [1289] = {.lex_state = 94},
  [1290] = {.lex_state = 454},
  [1291] = {.lex_state = 106},
  [1292] = {.lex_state = 108},
  [1293] = {.lex_state = 82},
  [1294] = {.lex_state = 118},
  [1295] = {.lex_state = 454},
  [1296] = {.lex_state = 82},
  [1297] = {.lex_state = 106},
  [1298] = {.lex_state = 118},
  [1299] = {.lex_state = 454},
  [1300] = {.lex_state = 106},
  [1301] = {.lex_state = 454},
  [1302] = {.lex_state = 454},
  [1303] = {.lex_state = 454},
  [1304] = {.lex_state = 454},
  [1305] = {.lex_state = 106, .external_lex_state = 1},
  [1306] = {.lex_state = 454},
  [1307] = {.lex_state = 454},
  [1308] = {.lex_state = 454},
  [1309] = {.lex_state = 454},
  [1310] = {.lex_state = 106},
  [1311] = {.lex_state = 454},
  [1312] = {.lex_state = 454},
  [1313] = {.lex_state = 454},
  [1314] = {.lex_state = 454},
  [1315] = {.lex_state = 454},
  [1316] = {.lex_state = 454},
  [1317] = {.lex_state = 454},
  [1318] = {.lex_state = 454},
  [1319] = {.lex_state = 454},
  [1320] = {.lex_state = 106, .external_lex_state = 1},
  [1321] = {.lex_state = 106},
  [1322] = {.lex_state = 454},
  [1323] = {.lex_state = 106},
  [1324] = {.lex_state = 102},
  [1325] = {.lex_state = 454},
  [1326] = {.lex_state = 454, .external_lex_state = 1},
  [1327] = {.lex_state = 454, .external_lex_state = 1},
  [1328] = {.lex_state = 454, .external_lex_state = 1},
  [1329] = {.lex_state = 454},
  [1330] = {.lex_state = 102},
  [1331] = {.lex_state = 106},
  [1332] = {.lex_state = 102},
  [1333] = {.lex_state = 454, .external_lex_state = 1},
  [1334] = {.lex_state = 454},
  [1335] = {.lex_state = 106},
  [1336] = {.lex_state = 33},
  [1337] = {.lex_state = 111},
  [1338] = {.lex_state = 33},
  [1339] = {.lex_state = 106},
  [1340] = {.lex_state = 111},
  [1341] = {.lex_state = 108, .external_lex_state = 1},
  [1342] = {.lex_state = 111},
  [1343] = {.lex_state = 111},
  [1344] = {.lex_state = 108},
  [1345] = {.lex_state = 108},
  [1346] = {.lex_state = 106},
  [1347] = {.lex_state = 102},
  [1348] = {.lex_state = 106},
  [1349] = {.lex_state = 102},
  [1350] = {.lex_state = 35, .external_lex_state = 1},
  [1351] = {.lex_state = 102},
  [1352] = {.lex_state = 35, .external_lex_state = 1},
  [1353] = {.lex_state = 106},
  [1354] = {.lex_state = 108, .external_lex_state = 1},
  [1355] = {.lex_state = 108},
  [1356] = {.lex_state = 454},
  [1357] = {.lex_state = 454},
  [1358] = {.lex_state = 111},
  [1359] = {.lex_state = 454, .external_lex_state = 1},
  [1360] = {.lex_state = 454},
  [1361] = {.lex_state = 111},
  [1362] = {.lex_state = 454},
  [1363] = {.lex_state = 111},
  [1364] = {.lex_state = 454},
  [1365] = {.lex_state = 454, .external_lex_state = 1},
  [1366] = {.lex_state = 111},
  [1367] = {.lex_state = 111},
  [1368] = {.lex_state = 111},
  [1369] = {.lex_state = 454, .external_lex_state = 1},
  [1370] = {.lex_state = 111},
  [1371] = {.lex_state = 111},
  [1372] = {.lex_state = 111},
  [1373] = {.lex_state = 111},
  [1374] = {.lex_state = 454},
  [1375] = {.lex_state = 454},
  [1376] = {.lex_state = 111},
  [1377] = {.lex_state = 111},
  [1378] = {.lex_state = 454},
  [1379] = {.lex_state = 454},
  [1380] = {.lex_state = 454, .external_lex_state = 1},
  [1381] = {.lex_state = 454},
  [1382] = {.lex_state = 454},
  [1383] = {.lex_state = 111},
  [1384] = {.lex_state = 111},
  [1385] = {.lex_state = 111},
  [1386] = {.lex_state = 111},
  [1387] = {.lex_state = 454},
  [1388] = {.lex_state = 111},
  [1389] = {.lex_state = 454},
  [1390] = {.lex_state = 454},
  [1391] = {.lex_state = 454, .external_lex_state = 1},
  [1392] = {.lex_state = 111},
  [1393] = {.lex_state = 454, .external_lex_state = 1},
  [1394] = {.lex_state = 111},
  [1395] = {.lex_state = 108, .external_lex_state = 1},
  [1396] = {.lex_state = 454, .external_lex_state = 1},
  [1397] = {.lex_state = 454},
  [1398] = {.lex_state = 111},
  [1399] = {.lex_state = 111},
  [1400] = {.lex_state = 454, .external_lex_state = 1},
  [1401] = {.lex_state = 111},
  [1402] = {.lex_state = 454},
  [1403] = {.lex_state = 82},
  [1404] = {.lex_state = 82},
  [1405] = {.lex_state = 82},
  [1406] = {.lex_state = 82},
  [1407] = {.lex_state = 82},
  [1408] = {.lex_state = 106},
  [1409] = {.lex_state = 454},
  [1410] = {.lex_state = 454},
  [1411] = {.lex_state = 106},
  [1412] = {.lex_state = 82},
  [1413] = {.lex_state = 82},
  [1414] = {.lex_state = 82},
  [1415] = {.lex_state = 454},
  [1416] = {.lex_state = 454},
  [1417] = {.lex_state = 106},
  [1418] = {.lex_state = 82},
  [1419] = {.lex_state = 82},
  [1420] = {.lex_state = 454},
  [1421] = {.lex_state = 108},
  [1422] = {.lex_state = 108},
  [1423] = {.lex_state = 454, .external_lex_state = 1},
  [1424] = {.lex_state = 82},
  [1425] = {.lex_state = 35},
  [1426] = {.lex_state = 454},
  [1427] = {.lex_state = 108, .external_lex_state = 1},
  [1428] = {.lex_state = 454},
  [1429] = {.lex_state = 108, .external_lex_state = 1},
  [1430] = {.lex_state = 106},
  [1431] = {.lex_state = 35},
  [1432] = {.lex_state = 454},
  [1433] = {.lex_state = 108},
  [1434] = {.lex_state = 454},
  [1435] = {.lex_state = 97},
  [1436] = {.lex_state = 97},
  [1437] = {.lex_state = 454},
  [1438] = {.lex_state = 92},
  [1439] = {.lex_state = 113},
  [1440] = {.lex_state = 454},
  [1441] = {.lex_state = 454},
  [1442] = {.lex_state = 92},
  [1443] = {.lex_state = 454},
  [1444] = {.lex_state = 92},
  [1445] = {.lex_state = 454},
  [1446] = {.lex_state = 454},
  [1447] = {.lex_state = 111},
  [1448] = {.lex_state = 454},
  [1449] = {.lex_state = 39},
  [1450] = {.lex_state = 454},
  [1451] = {.lex_state = 454},
  [1452] = {.lex_state = 454},
  [1453] = {.lex_state = 454},
  [1454] = {.lex_state = 454},
  [1455] = {.lex_state = 454, .external_lex_state = 1},
  [1456] = {.lex_state = 97},
  [1457] = {.lex_state = 454},
  [1458] = {.lex_state = 97},
  [1459] = {.lex_state = 454},
  [1460] = {.lex_state = 92},
  [1461] = {.lex_state = 454, .external_lex_state = 1},
  [1462] = {.lex_state = 92},
  [1463] = {.lex_state = 108, .external_lex_state = 1},
  [1464] = {.lex_state = 454},
  [1465] = {.lex_state = 454},
  [1466] = {.lex_state = 454, .external_lex_state = 1},
  [1467] = {.lex_state = 97},
  [1468] = {.lex_state = 39},
  [1469] = {.lex_state = 108, .external_lex_state = 1},
  [1470] = {.lex_state = 97},
  [1471] = {.lex_state = 92},
  [1472] = {.lex_state = 92},
  [1473] = {.lex_state = 97},
  [1474] = {.lex_state = 454},
  [1475] = {.lex_state = 97},
  [1476] = {.lex_state = 454},
  [1477] = {.lex_state = 97},
  [1478] = {.lex_state = 97},
  [1479] = {.lex_state = 454, .external_lex_state = 1},
  [1480] = {.lex_state = 97},
  [1481] = {.lex_state = 97},
  [1482] = {.lex_state = 454},
  [1483] = {.lex_state = 108},
  [1484] = {.lex_state = 454, .external_lex_state = 1},
  [1485] = {.lex_state = 92},
  [1486] = {.lex_state = 92},
  [1487] = {.lex_state = 454, .external_lex_state = 1},
  [1488] = {.lex_state = 106},
  [1489] = {.lex_state = 97},
  [1490] = {.lex_state = 106},
  [1491] = {.lex_state = 454},
  [1492] = {.lex_state = 92},
  [1493] = {.lex_state = 454, .external_lex_state = 1},
  [1494] = {.lex_state = 454},
  [1495] = {.lex_state = 39},
  [1496] = {.lex_state = 454},
  [1497] = {.lex_state = 39},
  [1498] = {.lex_state = 106},
  [1499] = {.lex_state = 454},
  [1500] = {.lex_state = 454},
  [1501] = {.lex_state = 454},
  [1502] = {.lex_state = 106},
  [1503] = {.lex_state = 454},
  [1504] = {.lex_state = 454},
  [1505] = {.lex_state = 39},
  [1506] = {.lex_state = 454},
  [1507] = {.lex_state = 39},
  [1508] = {.lex_state = 454, .external_lex_state = 1},
  [1509] = {.lex_state = 454},
  [1510] = {.lex_state = 454, .external_lex_state = 1},
  [1511] = {.lex_state = 39},
  [1512] = {.lex_state = 454},
  [1513] = {.lex_state = 454},
  [1514] = {.lex_state = 454},
  [1515] = {.lex_state = 454},
  [1516] = {.lex_state = 108},
  [1517] = {.lex_state = 454},
  [1518] = {.lex_state = 106},
  [1519] = {.lex_state = 454},
  [1520] = {.lex_state = 454},
  [1521] = {.lex_state = 39},
  [1522] = {.lex_state = 454},
  [1523] = {.lex_state = 39},
  [1524] = {.lex_state = 454},
  [1525] = {.lex_state = 454},
  [1526] = {.lex_state = 39},
  [1527] = {.lex_state = 454},
  [1528] = {.lex_state = 454},
  [1529] = {.lex_state = 39},
  [1530] = {.lex_state = 106},
  [1531] = {.lex_state = 92},
  [1532] = {.lex_state = 454},
  [1533] = {.lex_state = 454},
  [1534] = {.lex_state = 454},
  [1535] = {.lex_state = 454},
  [1536] = {.lex_state = 454},
  [1537] = {.lex_state = 106},
  [1538] = {.lex_state = 97},
  [1539] = {.lex_state = 454},
  [1540] = {.lex_state = 97},
  [1541] = {.lex_state = 108, .external_lex_state = 1},
  [1542] = {.lex_state = 454},
  [1543] = {.lex_state = 97},
  [1544] = {.lex_state = 97},
  [1545] = {.lex_state = 454},
  [1546] = {.lex_state = 454},
  [1547] = {.lex_state = 106},
  [1548] = {.lex_state = 39},
  [1549] = {.lex_state = 454},
  [1550] = {.lex_state = 454},
  [1551] = {.lex_state = 454},
  [1552] = {.lex_state = 454},
  [1553] = {.lex_state = 454},
  [1554] = {.lex_state = 454},
  [1555] = {.lex_state = 454},
  [1556] = {.lex_state = 454},
  [1557] = {.lex_state = 454},
  [1558] = {.lex_state = 454},
  [1559] = {.lex_state = 106},
  [1560] = {.lex_state = 454},
  [1561] = {.lex_state = 454},
  [1562] = {.lex_state = 454},
  [1563] = {.lex_state = 454},
  [1564] = {.lex_state = 454},
  [1565] = {.lex_state = 454},
  [1566] = {.lex_state = 454},
  [1567] = {.lex_state = 454},
  [1568] = {.lex_state = 454},
  [1569] = {.lex_state = 454},
  [1570] = {.lex_state = 454},
  [1571] = {.lex_state = 454},
  [1572] = {.lex_state = 454},
  [1573] = {.lex_state = 454},
  [1574] = {.lex_state = 454},
  [1575] = {.lex_state = 454},
  [1576] = {.lex_state = 454},
  [1577] = {.lex_state = 454},
  [1578] = {.lex_state = 454},
  [1579] = {.lex_state = 454},
  [1580] = {.lex_state = 454},
  [1581] = {.lex_state = 454},
  [1582] = {.lex_state = 454},
  [1583] = {.lex_state = 454},
  [1584] = {.lex_state = 454},
  [1585] = {.lex_state = 454},
  [1586] = {.lex_state = 454},
  [1587] = {.lex_state = 454},
  [1588] = {.lex_state = 454},
  [1589] = {.lex_state = 454},
  [1590] = {.lex_state = 454},
  [1591] = {.lex_state = 454},
  [1592] = {.lex_state = 454},
  [1593] = {.lex_state = 454},
  [1594] = {.lex_state = 454},
  [1595] = {.lex_state = 454},
  [1596] = {.lex_state = 454},
  [1597] = {.lex_state = 454},
  [1598] = {.lex_state = 454},
  [1599] = {.lex_state = 454},
  [1600] = {.lex_state = 454},
  [1601] = {.lex_state = 454},
  [1602] = {.lex_state = 454},
  [1603] = {.lex_state = 454},
  [1604] = {.lex_state = 454},
  [1605] = {.lex_state = 454},
  [1606] = {.lex_state = 454},
  [1607] = {.lex_state = 454},
  [1608] = {.lex_state = 454},
  [1609] = {.lex_state = 454},
  [1610] = {.lex_state = 454},
  [1611] = {.lex_state = 454},
  [1612] = {.lex_state = 454},
  [1613] = {.lex_state = 454},
  [1614] = {.lex_state = 454, .external_lex_state = 1},
  [1615] = {.lex_state = 454},
  [1616] = {.lex_state = 454},
  [1617] = {.lex_state = 454},
  [1618] = {.lex_state = 454},
  [1619] = {.lex_state = 454},
  [1620] = {.lex_state = 454},
  [1621] = {.lex_state = 454},
  [1622] = {.lex_state = 454},
  [1623] = {.lex_state = 454},
  [1624] = {.lex_state = 454},
  [1625] = {.lex_state = 454},
  [1626] = {.lex_state = 454},
  [1627] = {.lex_state = 454},
  [1628] = {.lex_state = 454},
  [1629] = {.lex_state = 454},
  [1630] = {.lex_state = 454},
  [1631] = {.lex_state = 454},
  [1632] = {.lex_state = 454},
  [1633] = {.lex_state = 94},
  [1634] = {.lex_state = 454},
  [1635] = {.lex_state = 454},
  [1636] = {.lex_state = 454},
  [1637] = {.lex_state = 454},
  [1638] = {.lex_state = 454},
  [1639] = {.lex_state = 454},
  [1640] = {.lex_state = 454, .external_lex_state = 1},
  [1641] = {.lex_state = 94},
  [1642] = {.lex_state = 454},
  [1643] = {.lex_state = 454, .external_lex_state = 1},
  [1644] = {.lex_state = 454},
  [1645] = {.lex_state = 454},
  [1646] = {.lex_state = 454},
  [1647] = {.lex_state = 454, .external_lex_state = 1},
  [1648] = {.lex_state = 454},
  [1649] = {.lex_state = 94},
  [1650] = {.lex_state = 454},
  [1651] = {.lex_state = 454},
  [1652] = {.lex_state = 454},
  [1653] = {.lex_state = 454},
  [1654] = {.lex_state = 454},
  [1655] = {.lex_state = 454},
  [1656] = {.lex_state = 454},
  [1657] = {.lex_state = 454},
  [1658] = {.lex_state = 454},
  [1659] = {.lex_state = 454},
  [1660] = {.lex_state = 454},
  [1661] = {.lex_state = 454},
  [1662] = {.lex_state = 454},
  [1663] = {.lex_state = 454},
  [1664] = {.lex_state = 454},
  [1665] = {.lex_state = 454},
  [1666] = {.lex_state = 454},
  [1667] = {.lex_state = 454},
  [1668] = {.lex_state = 454},
  [1669] = {.lex_state = 454},
  [1670] = {.lex_state = 454},
  [1671] = {.lex_state = 454},
  [1672] = {.lex_state = 94},
  [1673] = {.lex_state = 454},
  [1674] = {.lex_state = 454},
  [1675] = {.lex_state = 454},
  [1676] = {.lex_state = 454},
  [1677] = {.lex_state = 454},
  [1678] = {.lex_state = 454},
  [1679] = {.lex_state = 454},
  [1680] = {.lex_state = 454},
  [1681] = {.lex_state = 454},
  [1682] = {.lex_state = 454},
  [1683] = {.lex_state = 454},
  [1684] = {.lex_state = 454},
  [1685] = {.lex_state = 454},
  [1686] = {.lex_state = 454},
  [1687] = {.lex_state = 454},
  [1688] = {.lex_state = 119},
  [1689] = {.lex_state = 454},
  [1690] = {.lex_state = 454},
  [1691] = {.lex_state = 454},
  [1692] = {.lex_state = 454},
  [1693] = {.lex_state = 454},
  [1694] = {.lex_state = 454},
  [1695] = {.lex_state = 454},
  [1696] = {.lex_state = 454},
  [1697] = {.lex_state = 454},
  [1698] = {.lex_state = 454},
  [1699] = {.lex_state = 454},
  [1700] = {.lex_state = 454},
  [1701] = {.lex_state = 454},
  [1702] = {.lex_state = 454},
  [1703] = {.lex_state = 454},
  [1704] = {.lex_state = 454},
  [1705] = {.lex_state = 454},
  [1706] = {.lex_state = 454},
  [1707] = {.lex_state = 454},
  [1708] = {.lex_state = 454},
  [1709] = {.lex_state = 454},
  [1710] = {.lex_state = 454},
  [1711] = {.lex_state = 454, .external_lex_state = 1},
  [1712] = {.lex_state = 119},
  [1713] = {.lex_state = 119},
  [1714] = {.lex_state = 454},
  [1715] = {.lex_state = 119},
  [1716] = {.lex_state = 454, .external_lex_state = 1},
  [1717] = {.lex_state = 454},
  [1718] = {.lex_state = 454},
  [1719] = {.lex_state = 454},
  [1720] = {.lex_state = 454},
  [1721] = {.lex_state = 454},
  [1722] = {.lex_state = 454},
  [1723] = {.lex_state = 454},
  [1724] = {.lex_state = 454},
  [1725] = {.lex_state = 454},
  [1726] = {.lex_state = 454},
  [1727] = {.lex_state = 454},
  [1728] = {.lex_state = 454},
  [1729] = {.lex_state = 454},
  [1730] = {.lex_state = 454, .external_lex_state = 1},
  [1731] = {.lex_state = 454, .external_lex_state = 1},
  [1732] = {.lex_state = 454, .external_lex_state = 1},
  [1733] = {.lex_state = 454, .external_lex_state = 1},
  [1734] = {.lex_state = 454},
  [1735] = {.lex_state = 454, .external_lex_state = 1},
  [1736] = {.lex_state = 454, .external_lex_state = 1},
  [1737] = {.lex_state = 454, .external_lex_state = 1},
  [1738] = {.lex_state = 454},
  [1739] = {.lex_state = 454},
  [1740] = {.lex_state = 454},
  [1741] = {.lex_state = 454},
  [1742] = {.lex_state = 454},
  [1743] = {.lex_state = 454},
  [1744] = {.lex_state = 454},
  [1745] = {.lex_state = 454},
  [1746] = {.lex_state = 454},
  [1747] = {.lex_state = 454},
  [1748] = {.lex_state = 454, .external_lex_state = 1},
  [1749] = {.lex_state = 454},
  [1750] = {.lex_state = 454},
  [1751] = {.lex_state = 454},
  [1752] = {.lex_state = 454},
  [1753] = {.lex_state = 454},
  [1754] = {.lex_state = 82},
  [1755] = {.lex_state = 454},
  [1756] = {.lex_state = 454},
  [1757] = {.lex_state = 454},
  [1758] = {.lex_state = 454},
  [1759] = {.lex_state = 454},
  [1760] = {.lex_state = 454},
  [1761] = {.lex_state = 454},
  [1762] = {.lex_state = 454},
  [1763] = {.lex_state = 454},
  [1764] = {.lex_state = 454},
  [1765] = {.lex_state = 454},
  [1766] = {.lex_state = 454},
  [1767] = {.lex_state = 82},
  [1768] = {.lex_state = 454},
  [1769] = {.lex_state = 454},
  [1770] = {.lex_state = 454},
  [1771] = {.lex_state = 454},
  [1772] = {.lex_state = 454},
  [1773] = {.lex_state = 454},
  [1774] = {.lex_state = 454},
  [1775] = {.lex_state = 454},
  [1776] = {.lex_state = 454},
  [1777] = {.lex_state = 454},
  [1778] = {.lex_state = 454},
  [1779] = {.lex_state = 454},
  [1780] = {.lex_state = 454},
  [1781] = {.lex_state = 454},
  [1782] = {.lex_state = 454},
  [1783] = {.lex_state = 454, .external_lex_state = 1},
  [1784] = {.lex_state = 454},
  [1785] = {.lex_state = 454, .external_lex_state = 1},
  [1786] = {.lex_state = 454},
  [1787] = {.lex_state = 454},
  [1788] = {.lex_state = 454, .external_lex_state = 1},
  [1789] = {.lex_state = 454},
  [1790] = {.lex_state = 454},
  [1791] = {.lex_state = 454},
  [1792] = {.lex_state = 454, .external_lex_state = 1},
  [1793] = {.lex_state = 454},
  [1794] = {.lex_state = 454},
  [1795] = {.lex_state = 454},
  [1796] = {.lex_state = 454, .external_lex_state = 1},
  [1797] = {.lex_state = 454, .external_lex_state = 1},
  [1798] = {.lex_state = 454},
  [1799] = {.lex_state = 454},
  [1800] = {.lex_state = 454, .external_lex_state = 1},
  [1801] = {.lex_state = 454},
  [1802] = {.lex_state = 454},
  [1803] = {.lex_state = 454, .external_lex_state = 1},
  [1804] = {.lex_state = 454},
  [1805] = {.lex_state = 454, .external_lex_state = 1},
  [1806] = {.lex_state = 454},
  [1807] = {.lex_state = 454, .external_lex_state = 1},
  [1808] = {.lex_state = 454, .external_lex_state = 1},
  [1809] = {.lex_state = 454},
  [1810] = {.lex_state = 454},
  [1811] = {.lex_state = 454, .external_lex_state = 1},
  [1812] = {.lex_state = 454},
  [1813] = {.lex_state = 454},
  [1814] = {.lex_state = 454},
  [1815] = {.lex_state = 454},
  [1816] = {.lex_state = 454},
  [1817] = {.lex_state = 454},
  [1818] = {.lex_state = 454},
  [1819] = {.lex_state = 454, .external_lex_state = 1},
  [1820] = {.lex_state = 454},
  [1821] = {.lex_state = 454},
  [1822] = {.lex_state = 454, .external_lex_state = 1},
  [1823] = {.lex_state = 454},
  [1824] = {.lex_state = 454},
  [1825] = {.lex_state = 454, .external_lex_state = 1},
  [1826] = {.lex_state = 454},
  [1827] = {.lex_state = 454},
  [1828] = {.lex_state = 454},
  [1829] = {.lex_state = 454},
  [1830] = {.lex_state = 454},
  [1831] = {.lex_state = 454},
  [1832] = {.lex_state = 454},
  [1833] = {.lex_state = 454, .external_lex_state = 1},
  [1834] = {.lex_state = 454},
  [1835] = {.lex_state = 454},
  [1836] = {.lex_state = 454},
  [1837] = {.lex_state = 454},
  [1838] = {.lex_state = 454},
  [1839] = {.lex_state = 454, .external_lex_state = 1},
  [1840] = {.lex_state = 454, .external_lex_state = 1},
  [1841] = {.lex_state = 454},
  [1842] = {.lex_state = 454, .external_lex_state = 1},
  [1843] = {.lex_state = 454},
  [1844] = {.lex_state = 454, .external_lex_state = 1},
  [1845] = {.lex_state = 454},
  [1846] = {.lex_state = 454},
  [1847] = {.lex_state = 454},
  [1848] = {.lex_state = 454},
  [1849] = {.lex_state = 454, .external_lex_state = 1},
  [1850] = {.lex_state = 454, .external_lex_state = 1},
  [1851] = {.lex_state = 454},
  [1852] = {.lex_state = 454, .external_lex_state = 1},
  [1853] = {.lex_state = 454, .external_lex_state = 1},
  [1854] = {.lex_state = 454},
  [1855] = {.lex_state = 454, .external_lex_state = 1},
  [1856] = {.lex_state = 454},
  [1857] = {.lex_state = 454, .external_lex_state = 1},
  [1858] = {.lex_state = 454},
  [1859] = {.lex_state = 454, .external_lex_state = 1},
  [1860] = {.lex_state = 454},
  [1861] = {.lex_state = 454, .external_lex_state = 1},
  [1862] = {.lex_state = 454, .external_lex_state = 1},
  [1863] = {.lex_state = 454, .external_lex_state = 1},
  [1864] = {.lex_state = 454, .external_lex_state = 1},
  [1865] = {.lex_state = 454, .external_lex_state = 1},
  [1866] = {.lex_state = 454},
  [1867] = {.lex_state = 454, .external_lex_state = 1},
  [1868] = {.lex_state = 454, .external_lex_state = 1},
  [1869] = {.lex_state = 454, .external_lex_state = 1},
  [1870] = {.lex_state = 454},
  [1871] = {.lex_state = 454, .external_lex_state = 1},
  [1872] = {.lex_state = 454},
  [1873] = {.lex_state = 454, .external_lex_state = 1},
  [1874] = {.lex_state = 454},
  [1875] = {.lex_state = 454},
  [1876] = {.lex_state = 454, .external_lex_state = 1},
  [1877] = {.lex_state = 454},
  [1878] = {.lex_state = 454, .external_lex_state = 1},
  [1879] = {.lex_state = 454},
  [1880] = {.lex_state = 454, .external_lex_state = 1},
  [1881] = {.lex_state = 454},
  [1882] = {.lex_state = 454},
  [1883] = {.lex_state = 454, .external_lex_state = 1},
  [1884] = {.lex_state = 454},
  [1885] = {.lex_state = 454, .external_lex_state = 1},
  [1886] = {.lex_state = 454},
  [1887] = {.lex_state = 454},
  [1888] = {.lex_state = 454},
  [1889] = {.lex_state = 454},
  [1890] = {.lex_state = 454, .external_lex_state = 1},
  [1891] = {.lex_state = 454, .external_lex_state = 1},
  [1892] = {.lex_state = 454, .external_lex_state = 1},
  [1893] = {.lex_state = 454},
  [1894] = {.lex_state = 454},
  [1895] = {.lex_state = 454},
  [1896] = {.lex_state = 454, .external_lex_state = 1},
  [1897] = {.lex_state = 454},
  [1898] = {.lex_state = 454},
  [1899] = {.lex_state = 454},
  [1900] = {.lex_state = 454},
  [1901] = {.lex_state = 454, .external_lex_state = 1},
  [1902] = {.lex_state = 454},
  [1903] = {.lex_state = 454, .external_lex_state = 1},
  [1904] = {.lex_state = 454},
  [1905] = {.lex_state = 454},
  [1906] = {.lex_state = 454, .external_lex_state = 1},
  [1907] = {.lex_state = 454},
  [1908] = {.lex_state = 454},
  [1909] = {.lex_state = 454},
  [1910] = {.lex_state = 454},
  [1911] = {.lex_state = 454},
  [1912] = {.lex_state = 454},
  [1913] = {.lex_state = 454, .external_lex_state = 1},
  [1914] = {.lex_state = 454},
  [1915] = {.lex_state = 454, .external_lex_state = 1},
  [1916] = {.lex_state = 454},
  [1917] = {.lex_state = 454},
  [1918] = {.lex_state = 454, .external_lex_state = 1},
  [1919] = {.lex_state = 454, .external_lex_state = 1},
  [1920] = {.lex_state = 454, .external_lex_state = 1},
  [1921] = {.lex_state = 454, .external_lex_state = 1},
  [1922] = {.lex_state = 454},
  [1923] = {.lex_state = 454},
  [1924] = {.lex_state = 454},
  [1925] = {.lex_state = 454, .external_lex_state = 1},
  [1926] = {.lex_state = 454},
  [1927] = {.lex_state = 454},
  [1928] = {.lex_state = 454},
  [1929] = {.lex_state = 454},
  [1930] = {.lex_state = 454},
  [1931] = {.lex_state = 454},
  [1932] = {.lex_state = 454, .external_lex_state = 1},
  [1933] = {.lex_state = 454},
  [1934] = {.lex_state = 454, .external_lex_state = 1},
  [1935] = {.lex_state = 454},
  [1936] = {.lex_state = 454},
  [1937] = {.lex_state = 454, .external_lex_state = 1},
  [1938] = {.lex_state = 454},
  [1939] = {.lex_state = 454},
  [1940] = {.lex_state = 454},
  [1941] = {.lex_state = 454},
  [1942] = {.lex_state = 454},
  [1943] = {.lex_state = 454},
  [1944] = {.lex_state = 454},
  [1945] = {.lex_state = 454},
  [1946] = {.lex_state = 454},
  [1947] = {.lex_state = 454},
  [1948] = {.lex_state = 454},
  [1949] = {.lex_state = 454},
  [1950] = {.lex_state = 454},
  [1951] = {.lex_state = 454},
  [1952] = {.lex_state = 454},
  [1953] = {.lex_state = 454},
  [1954] = {.lex_state = 454},
  [1955] = {.lex_state = 454},
  [1956] = {.lex_state = 454},
  [1957] = {.lex_state = 454},
  [1958] = {.lex_state = 454},
  [1959] = {.lex_state = 454},
  [1960] = {.lex_state = 454},
  [1961] = {.lex_state = 454},
  [1962] = {.lex_state = 454},
  [1963] = {.lex_state = 454},
  [1964] = {.lex_state = 454},
  [1965] = {.lex_state = 454},
  [1966] = {.lex_state = 454},
  [1967] = {.lex_state = 454},
  [1968] = {.lex_state = 454},
  [1969] = {.lex_state = 454},
  [1970] = {.lex_state = 454},
  [1971] = {.lex_state = 454},
  [1972] = {.lex_state = 454},
  [1973] = {.lex_state = 454},
  [1974] = {.lex_state = 454},
  [1975] = {.lex_state = 454, .external_lex_state = 1},
  [1976] = {.lex_state = 454},
  [1977] = {.lex_state = 454, .external_lex_state = 1},
  [1978] = {.lex_state = 454},
  [1979] = {.lex_state = 454},
  [1980] = {.lex_state = 454},
  [1981] = {.lex_state = 454},
  [1982] = {.lex_state = 454},
  [1983] = {.lex_state = 454},
  [1984] = {.lex_state = 454},
  [1985] = {.lex_state = 454},
  [1986] = {.lex_state = 454},
  [1987] = {.lex_state = 454},
  [1988] = {.lex_state = 454},
  [1989] = {.lex_state = 454},
  [1990] = {.lex_state = 454},
  [1991] = {.lex_state = 454},
  [1992] = {.lex_state = 454},
  [1993] = {.lex_state = 454},
  [1994] = {.lex_state = 454},
  [1995] = {.lex_state = 454},
  [1996] = {.lex_state = 454},
  [1997] = {.lex_state = 454},
  [1998] = {.lex_state = 454},
  [1999] = {.lex_state = 454},
  [2000] = {.lex_state = 454},
  [2001] = {.lex_state = 454},
  [2002] = {.lex_state = 454},
  [2003] = {.lex_state = 454},
  [2004] = {.lex_state = 454, .external_lex_state = 1},
  [2005] = {.lex_state = 454},
  [2006] = {.lex_state = 454},
  [2007] = {.lex_state = 454},
  [2008] = {.lex_state = 454},
  [2009] = {.lex_state = 454},
  [2010] = {.lex_state = 454},
  [2011] = {.lex_state = 454},
  [2012] = {.lex_state = 454},
  [2013] = {.lex_state = 454},
  [2014] = {.lex_state = 454},
  [2015] = {.lex_state = 454, .external_lex_state = 1},
  [2016] = {.lex_state = 454, .external_lex_state = 1},
  [2017] = {.lex_state = 454, .external_lex_state = 1},
  [2018] = {.lex_state = 454},
  [2019] = {.lex_state = 454},
  [2020] = {.lex_state = 454},
  [2021] = {.lex_state = 454},
  [2022] = {.lex_state = 454},
  [2023] = {.lex_state = 454},
  [2024] = {.lex_state = 454},
  [2025] = {.lex_state = 454},
  [2026] = {.lex_state = 454},
  [2027] = {.lex_state = 454},
  [2028] = {.lex_state = 454},
  [2029] = {.lex_state = 82},
  [2030] = {.lex_state = 82},
  [2031] = {.lex_state = 454},
  [2032] = {.lex_state = 454},
  [2033] = {.lex_state = 454},
  [2034] = {.lex_state = 454},
  [2035] = {.lex_state = 454},
  [2036] = {.lex_state = 454, .external_lex_state = 1},
  [2037] = {.lex_state = 454},
  [2038] = {.lex_state = 82},
  [2039] = {.lex_state = 454},
  [2040] = {.lex_state = 454, .external_lex_state = 1},
  [2041] = {.lex_state = 454},
  [2042] = {.lex_state = 454, .external_lex_state = 1},
  [2043] = {.lex_state = 454, .external_lex_state = 1},
  [2044] = {.lex_state = 454, .external_lex_state = 1},
  [2045] = {.lex_state = 454, .external_lex_state = 1},
  [2046] = {.lex_state = 454, .external_lex_state = 1},
  [2047] = {.lex_state = 454, .external_lex_state = 1},
  [2048] = {.lex_state = 454},
  [2049] = {.lex_state = 454},
  [2050] = {.lex_state = 454},
  [2051] = {.lex_state = 454},
  [2052] = {.lex_state = 454},
  [2053] = {.lex_state = 454},
  [2054] = {.lex_state = 454},
  [2055] = {.lex_state = 454},
  [2056] = {.lex_state = 111},
  [2057] = {.lex_state = 454},
  [2058] = {.lex_state = 454},
  [2059] = {.lex_state = 454},
  [2060] = {.lex_state = 454, .external_lex_state = 1},
  [2061] = {.lex_state = 454},
  [2062] = {.lex_state = 454},
  [2063] = {.lex_state = 454},
  [2064] = {.lex_state = 454},
  [2065] = {.lex_state = 454},
  [2066] = {.lex_state = 454},
  [2067] = {.lex_state = 454},
  [2068] = {.lex_state = 454},
  [2069] = {.lex_state = 454},
  [2070] = {.lex_state = 454},
  [2071] = {.lex_state = 454},
  [2072] = {.lex_state = 454},
  [2073] = {.lex_state = 454},
  [2074] = {.lex_state = 454},
  [2075] = {.lex_state = 454},
  [2076] = {.lex_state = 454},
  [2077] = {.lex_state = 454},
  [2078] = {.lex_state = 454},
  [2079] = {.lex_state = 454},
  [2080] = {.lex_state = 82},
  [2081] = {.lex_state = 82},
  [2082] = {.lex_state = 454},
  [2083] = {.lex_state = 454},
  [2084] = {.lex_state = 454},
  [2085] = {.lex_state = 454, .external_lex_state = 1},
  [2086] = {.lex_state = 454},
  [2087] = {.lex_state = 82},
  [2088] = {.lex_state = 454},
  [2089] = {.lex_state = 454, .external_lex_state = 1},
  [2090] = {.lex_state = 454},
  [2091] = {.lex_state = 454, .external_lex_state = 1},
  [2092] = {.lex_state = 454, .external_lex_state = 1},
  [2093] = {.lex_state = 454},
  [2094] = {.lex_state = 454, .external_lex_state = 1},
  [2095] = {.lex_state = 454, .external_lex_state = 1},
  [2096] = {.lex_state = 454, .external_lex_state = 1},
  [2097] = {.lex_state = 454},
  [2098] = {.lex_state = 454, .external_lex_state = 1},
  [2099] = {.lex_state = 82},
  [2100] = {.lex_state = 82},
  [2101] = {.lex_state = 454},
  [2102] = {.lex_state = 82},
  [2103] = {.lex_state = 454, .external_lex_state = 1},
  [2104] = {.lex_state = 454},
  [2105] = {.lex_state = 82},
  [2106] = {.lex_state = 454},
  [2107] = {.lex_state = 454, .external_lex_state = 1},
  [2108] = {.lex_state = 82},
  [2109] = {.lex_state = 454, .external_lex_state = 1},
  [2110] = {.lex_state = 454, .external_lex_state = 1},
  [2111] = {.lex_state = 454},
  [2112] = {.lex_state = 454, .external_lex_state = 1},
  [2113] = {.lex_state = 454, .external_lex_state = 1},
  [2114] = {.lex_state = 454, .external_lex_state = 1},
  [2115] = {.lex_state = 454},
  [2116] = {.lex_state = 454},
  [2117] = {.lex_state = 454},
  [2118] = {.lex_state = 454},
  [2119] = {.lex_state = 454},
  [2120] = {.lex_state = 454},
  [2121] = {.lex_state = 454, .external_lex_state = 1},
  [2122] = {.lex_state = 454},
  [2123] = {.lex_state = 454},
  [2124] = {.lex_state = 454},
  [2125] = {.lex_state = 454},
  [2126] = {.lex_state = 454},
  [2127] = {.lex_state = 454},
  [2128] = {.lex_state = 454},
  [2129] = {.lex_state = 454},
  [2130] = {.lex_state = 454, .external_lex_state = 1},
  [2131] = {.lex_state = 454},
  [2132] = {.lex_state = 454},
  [2133] = {.lex_state = 454},
  [2134] = {.lex_state = 454},
  [2135] = {.lex_state = 454},
  [2136] = {.lex_state = 454},
  [2137] = {.lex_state = 454},
  [2138] = {.lex_state = 454},
  [2139] = {.lex_state = 454},
  [2140] = {.lex_state = 454},
  [2141] = {.lex_state = 454},
  [2142] = {.lex_state = 454},
  [2143] = {.lex_state = 454},
  [2144] = {.lex_state = 454},
  [2145] = {.lex_state = 454, .external_lex_state = 1},
  [2146] = {.lex_state = 454},
  [2147] = {.lex_state = 454},
  [2148] = {.lex_state = 454},
  [2149] = {.lex_state = 454},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1),
    [sym_hexadecimal_integer_literal] = ACTIONS(1),
    [sym_real_literal] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [aux_sym_expandable_string_literal_token5] = ACTIONS(1),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1),
    [sym_verbatim_here_string_characters] = ACTIONS(1),
    [sym_simple_name] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_2_GT] = ACTIONS(1),
    [anon_sym_2_GT_GT] = ACTIONS(1),
    [anon_sym_3_GT] = ACTIONS(1),
    [anon_sym_3_GT_GT] = ACTIONS(1),
    [anon_sym_4_GT] = ACTIONS(1),
    [anon_sym_4_GT_GT] = ACTIONS(1),
    [anon_sym_5_GT] = ACTIONS(1),
    [anon_sym_5_GT_GT] = ACTIONS(1),
    [anon_sym_6_GT] = ACTIONS(1),
    [anon_sym_6_GT_GT] = ACTIONS(1),
    [anon_sym_STAR_GT] = ACTIONS(1),
    [anon_sym_STAR_GT_GT] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1),
    [anon_sym_2_GT_AMP1] = ACTIONS(1),
    [anon_sym_3_GT_AMP1] = ACTIONS(1),
    [anon_sym_4_GT_AMP1] = ACTIONS(1),
    [anon_sym_5_GT_AMP1] = ACTIONS(1),
    [anon_sym_6_GT_AMP1] = ACTIONS(1),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1),
    [anon_sym_1_GT_AMP2] = ACTIONS(1),
    [anon_sym_3_GT_AMP2] = ACTIONS(1),
    [anon_sym_4_GT_AMP2] = ACTIONS(1),
    [anon_sym_5_GT_AMP2] = ACTIONS(1),
    [anon_sym_6_GT_AMP2] = ACTIONS(1),
    [aux_sym_comparison_operator_token1] = ACTIONS(1),
    [aux_sym_comparison_operator_token2] = ACTIONS(1),
    [aux_sym_comparison_operator_token3] = ACTIONS(1),
    [aux_sym_comparison_operator_token4] = ACTIONS(1),
    [aux_sym_comparison_operator_token5] = ACTIONS(1),
    [aux_sym_comparison_operator_token6] = ACTIONS(1),
    [aux_sym_comparison_operator_token7] = ACTIONS(1),
    [aux_sym_comparison_operator_token8] = ACTIONS(1),
    [aux_sym_comparison_operator_token9] = ACTIONS(1),
    [aux_sym_comparison_operator_token10] = ACTIONS(1),
    [aux_sym_comparison_operator_token11] = ACTIONS(1),
    [aux_sym_comparison_operator_token12] = ACTIONS(1),
    [aux_sym_comparison_operator_token13] = ACTIONS(1),
    [aux_sym_comparison_operator_token14] = ACTIONS(1),
    [aux_sym_comparison_operator_token15] = ACTIONS(1),
    [aux_sym_comparison_operator_token16] = ACTIONS(1),
    [aux_sym_comparison_operator_token17] = ACTIONS(1),
    [aux_sym_comparison_operator_token18] = ACTIONS(1),
    [aux_sym_comparison_operator_token19] = ACTIONS(1),
    [aux_sym_comparison_operator_token20] = ACTIONS(1),
    [aux_sym_comparison_operator_token21] = ACTIONS(1),
    [aux_sym_comparison_operator_token22] = ACTIONS(1),
    [aux_sym_comparison_operator_token23] = ACTIONS(1),
    [aux_sym_comparison_operator_token24] = ACTIONS(1),
    [aux_sym_comparison_operator_token25] = ACTIONS(1),
    [aux_sym_comparison_operator_token26] = ACTIONS(1),
    [aux_sym_comparison_operator_token27] = ACTIONS(1),
    [aux_sym_comparison_operator_token28] = ACTIONS(1),
    [aux_sym_comparison_operator_token29] = ACTIONS(1),
    [aux_sym_comparison_operator_token30] = ACTIONS(1),
    [aux_sym_comparison_operator_token31] = ACTIONS(1),
    [aux_sym_comparison_operator_token32] = ACTIONS(1),
    [aux_sym_comparison_operator_token33] = ACTIONS(1),
    [aux_sym_comparison_operator_token34] = ACTIONS(1),
    [aux_sym_comparison_operator_token35] = ACTIONS(1),
    [aux_sym_comparison_operator_token36] = ACTIONS(1),
    [aux_sym_comparison_operator_token37] = ACTIONS(1),
    [aux_sym_comparison_operator_token38] = ACTIONS(1),
    [aux_sym_comparison_operator_token39] = ACTIONS(1),
    [aux_sym_comparison_operator_token40] = ACTIONS(1),
    [aux_sym_comparison_operator_token41] = ACTIONS(1),
    [aux_sym_comparison_operator_token42] = ACTIONS(1),
    [aux_sym_comparison_operator_token43] = ACTIONS(1),
    [aux_sym_comparison_operator_token44] = ACTIONS(1),
    [aux_sym_comparison_operator_token45] = ACTIONS(1),
    [aux_sym_comparison_operator_token46] = ACTIONS(1),
    [aux_sym_comparison_operator_token47] = ACTIONS(1),
    [aux_sym_comparison_operator_token48] = ACTIONS(1),
    [aux_sym_comparison_operator_token49] = ACTIONS(1),
    [aux_sym_comparison_operator_token50] = ACTIONS(1),
    [aux_sym_format_operator_token1] = ACTIONS(1),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1),
    [anon_sym_DOLLAR_] = ACTIONS(1),
    [aux_sym_variable_token1] = ACTIONS(1),
    [aux_sym_variable_token2] = ACTIONS(1),
    [sym_braced_variable] = ACTIONS(1),
    [sym_command_parameter] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [aux_sym_param_block_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [aux_sym_block_name_token1] = ACTIONS(1),
    [aux_sym_block_name_token2] = ACTIONS(1),
    [aux_sym_block_name_token3] = ACTIONS(1),
    [aux_sym_block_name_token4] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [aux_sym_if_statement_token1] = ACTIONS(1),
    [aux_sym_elseif_clause_token1] = ACTIONS(1),
    [aux_sym_else_clause_token1] = ACTIONS(1),
    [aux_sym_switch_statement_token1] = ACTIONS(1),
    [aux_sym_switch_parameter_token1] = ACTIONS(1),
    [aux_sym_switch_parameter_token2] = ACTIONS(1),
    [aux_sym_switch_parameter_token3] = ACTIONS(1),
    [aux_sym_switch_parameter_token4] = ACTIONS(1),
    [aux_sym_switch_parameter_token5] = ACTIONS(1),
    [aux_sym_switch_condition_token1] = ACTIONS(1),
    [aux_sym_foreach_statement_token1] = ACTIONS(1),
    [aux_sym_foreach_statement_token2] = ACTIONS(1),
    [aux_sym_for_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token1] = ACTIONS(1),
    [aux_sym_do_statement_token1] = ACTIONS(1),
    [aux_sym_do_statement_token2] = ACTIONS(1),
    [aux_sym_function_statement_token1] = ACTIONS(1),
    [aux_sym_function_statement_token2] = ACTIONS(1),
    [aux_sym_function_statement_token3] = ACTIONS(1),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1),
    [aux_sym_trap_statement_token1] = ACTIONS(1),
    [aux_sym_try_statement_token1] = ACTIONS(1),
    [aux_sym_catch_clause_token1] = ACTIONS(1),
    [aux_sym_finally_clause_token1] = ACTIONS(1),
    [aux_sym_data_statement_token1] = ACTIONS(1),
    [aux_sym_data_commands_allowed_token1] = ACTIONS(1),
    [aux_sym_parallel_statement_token1] = ACTIONS(1),
    [aux_sym_sequence_statement_token1] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_DOLLAR2] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [anon_sym_SQUOTE_SQUOTE] = ACTIONS(1),
    [sym_stop_parsing] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(1),
    [aux_sym_class_attribute_token1] = ACTIONS(1),
    [aux_sym_class_attribute_token2] = ACTIONS(1),
    [aux_sym_class_statement_token1] = ACTIONS(1),
    [aux_sym_enum_statement_token1] = ACTIONS(1),
    [aux_sym_logical_expression_token1] = ACTIONS(1),
    [aux_sym_logical_expression_token2] = ACTIONS(1),
    [aux_sym_logical_expression_token3] = ACTIONS(1),
    [aux_sym_bitwise_expression_token1] = ACTIONS(1),
    [aux_sym_bitwise_expression_token2] = ACTIONS(1),
    [aux_sym_bitwise_expression_token3] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1),
    [anon_sym_AT_LPAREN] = ACTIONS(1),
    [anon_sym_AT_LBRACE] = ACTIONS(1),
    [anon_sym_DOT2] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [sym__statement_terminator] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(1970),
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_param_block] = STATE(73),
    [sym_statement_list] = STATE(1986),
    [sym__statement] = STATE(74),
    [sym_empty_statement] = STATE(74),
    [sym_if_statement] = STATE(74),
    [sym__labeled_statement] = STATE(74),
    [sym_switch_statement] = STATE(74),
    [sym_foreach_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_do_statement] = STATE(74),
    [sym_function_statement] = STATE(74),
    [sym_flow_control_statement] = STATE(2017),
    [sym_trap_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_data_statement] = STATE(74),
    [sym_inlinescript_statement] = STATE(74),
    [sym_parallel_statement] = STATE(74),
    [sym_sequence_statement] = STATE(74),
    [sym_pipeline] = STATE(2017),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(74),
    [sym_enum_statement] = STATE(74),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2068),
    [sym_attribute] = STATE(1272),
    [aux_sym_statement_list_repeat1] = STATE(74),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(23),
    [aux_sym_param_block_token1] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(31),
    [aux_sym_switch_statement_token1] = ACTIONS(33),
    [aux_sym_foreach_statement_token1] = ACTIONS(35),
    [aux_sym_for_statement_token1] = ACTIONS(37),
    [aux_sym_while_statement_token1] = ACTIONS(39),
    [aux_sym_do_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_function_statement_token2] = ACTIONS(43),
    [aux_sym_function_statement_token3] = ACTIONS(43),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(49),
    [aux_sym_trap_statement_token1] = ACTIONS(51),
    [aux_sym_try_statement_token1] = ACTIONS(53),
    [aux_sym_data_statement_token1] = ACTIONS(55),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(57),
    [aux_sym_parallel_statement_token1] = ACTIONS(59),
    [aux_sym_sequence_statement_token1] = ACTIONS(61),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(67),
    [aux_sym_enum_statement_token1] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [2] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_unary_expression] = STATE(175),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(83),
    [sym_real_literal] = ACTIONS(85),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(87),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(89),
    [sym_verbatim_string_characters] = ACTIONS(91),
    [sym_verbatim_here_string_characters] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_EQ] = ACTIONS(95),
    [anon_sym_BANG_EQ] = ACTIONS(95),
    [anon_sym_PLUS_EQ] = ACTIONS(95),
    [anon_sym_STAR_EQ] = ACTIONS(95),
    [anon_sym_SLASH_EQ] = ACTIONS(95),
    [anon_sym_PERCENT_EQ] = ACTIONS(95),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(95),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(95),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(95),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(95),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(95),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(95),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(95),
    [anon_sym_2_GT_AMP1] = ACTIONS(95),
    [anon_sym_3_GT_AMP1] = ACTIONS(95),
    [anon_sym_4_GT_AMP1] = ACTIONS(95),
    [anon_sym_5_GT_AMP1] = ACTIONS(95),
    [anon_sym_6_GT_AMP1] = ACTIONS(95),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(95),
    [anon_sym_1_GT_AMP2] = ACTIONS(95),
    [anon_sym_3_GT_AMP2] = ACTIONS(95),
    [anon_sym_4_GT_AMP2] = ACTIONS(95),
    [anon_sym_5_GT_AMP2] = ACTIONS(95),
    [anon_sym_6_GT_AMP2] = ACTIONS(95),
    [aux_sym_comparison_operator_token1] = ACTIONS(95),
    [aux_sym_comparison_operator_token2] = ACTIONS(95),
    [aux_sym_comparison_operator_token3] = ACTIONS(95),
    [aux_sym_comparison_operator_token4] = ACTIONS(95),
    [aux_sym_comparison_operator_token5] = ACTIONS(95),
    [aux_sym_comparison_operator_token6] = ACTIONS(95),
    [aux_sym_comparison_operator_token7] = ACTIONS(95),
    [aux_sym_comparison_operator_token8] = ACTIONS(95),
    [aux_sym_comparison_operator_token9] = ACTIONS(95),
    [aux_sym_comparison_operator_token10] = ACTIONS(95),
    [aux_sym_comparison_operator_token11] = ACTIONS(95),
    [aux_sym_comparison_operator_token12] = ACTIONS(95),
    [aux_sym_comparison_operator_token13] = ACTIONS(95),
    [aux_sym_comparison_operator_token14] = ACTIONS(95),
    [aux_sym_comparison_operator_token15] = ACTIONS(95),
    [aux_sym_comparison_operator_token16] = ACTIONS(95),
    [aux_sym_comparison_operator_token17] = ACTIONS(95),
    [aux_sym_comparison_operator_token18] = ACTIONS(95),
    [aux_sym_comparison_operator_token19] = ACTIONS(95),
    [aux_sym_comparison_operator_token20] = ACTIONS(95),
    [aux_sym_comparison_operator_token21] = ACTIONS(95),
    [aux_sym_comparison_operator_token22] = ACTIONS(95),
    [aux_sym_comparison_operator_token23] = ACTIONS(95),
    [aux_sym_comparison_operator_token24] = ACTIONS(95),
    [aux_sym_comparison_operator_token25] = ACTIONS(95),
    [aux_sym_comparison_operator_token26] = ACTIONS(95),
    [aux_sym_comparison_operator_token27] = ACTIONS(95),
    [aux_sym_comparison_operator_token28] = ACTIONS(97),
    [aux_sym_comparison_operator_token29] = ACTIONS(95),
    [aux_sym_comparison_operator_token30] = ACTIONS(95),
    [aux_sym_comparison_operator_token31] = ACTIONS(95),
    [aux_sym_comparison_operator_token32] = ACTIONS(95),
    [aux_sym_comparison_operator_token33] = ACTIONS(95),
    [aux_sym_comparison_operator_token34] = ACTIONS(97),
    [aux_sym_comparison_operator_token35] = ACTIONS(95),
    [aux_sym_comparison_operator_token36] = ACTIONS(95),
    [aux_sym_comparison_operator_token37] = ACTIONS(99),
    [aux_sym_comparison_operator_token38] = ACTIONS(95),
    [aux_sym_comparison_operator_token39] = ACTIONS(95),
    [aux_sym_comparison_operator_token40] = ACTIONS(95),
    [aux_sym_comparison_operator_token41] = ACTIONS(95),
    [aux_sym_comparison_operator_token42] = ACTIONS(95),
    [aux_sym_comparison_operator_token43] = ACTIONS(95),
    [aux_sym_comparison_operator_token44] = ACTIONS(95),
    [aux_sym_comparison_operator_token45] = ACTIONS(95),
    [aux_sym_comparison_operator_token46] = ACTIONS(95),
    [aux_sym_comparison_operator_token47] = ACTIONS(95),
    [aux_sym_comparison_operator_token48] = ACTIONS(95),
    [aux_sym_comparison_operator_token49] = ACTIONS(95),
    [aux_sym_comparison_operator_token50] = ACTIONS(99),
    [aux_sym_format_operator_token1] = ACTIONS(95),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(101),
    [anon_sym_DOLLAR_CARET] = ACTIONS(101),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(101),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(101),
    [sym_braced_variable] = ACTIONS(101),
    [aux_sym_param_block_token1] = ACTIONS(103),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_PIPE] = ACTIONS(95),
    [anon_sym_PERCENT] = ACTIONS(97),
    [aux_sym_logical_expression_token1] = ACTIONS(95),
    [aux_sym_logical_expression_token2] = ACTIONS(95),
    [aux_sym_logical_expression_token3] = ACTIONS(95),
    [aux_sym_bitwise_expression_token1] = ACTIONS(95),
    [aux_sym_bitwise_expression_token2] = ACTIONS(95),
    [aux_sym_bitwise_expression_token3] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_SLASH] = ACTIONS(97),
    [anon_sym_BSLASH] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_DOT_DOT] = ACTIONS(95),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(109),
    [anon_sym_DASH_DASH] = ACTIONS(111),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(113),
    [anon_sym_AT_LPAREN] = ACTIONS(115),
    [anon_sym_AT_LBRACE] = ACTIONS(117),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(95),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
    [sym__statement_terminator] = ACTIONS(95),
  },
  [3] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_unary_expression] = STATE(175),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(83),
    [sym_real_literal] = ACTIONS(85),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(87),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(89),
    [sym_verbatim_string_characters] = ACTIONS(91),
    [sym_verbatim_here_string_characters] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_EQ] = ACTIONS(95),
    [anon_sym_BANG_EQ] = ACTIONS(95),
    [anon_sym_PLUS_EQ] = ACTIONS(95),
    [anon_sym_STAR_EQ] = ACTIONS(95),
    [anon_sym_SLASH_EQ] = ACTIONS(95),
    [anon_sym_PERCENT_EQ] = ACTIONS(95),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(95),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(95),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(95),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(95),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(95),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(95),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(95),
    [anon_sym_2_GT_AMP1] = ACTIONS(95),
    [anon_sym_3_GT_AMP1] = ACTIONS(95),
    [anon_sym_4_GT_AMP1] = ACTIONS(95),
    [anon_sym_5_GT_AMP1] = ACTIONS(95),
    [anon_sym_6_GT_AMP1] = ACTIONS(95),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(95),
    [anon_sym_1_GT_AMP2] = ACTIONS(95),
    [anon_sym_3_GT_AMP2] = ACTIONS(95),
    [anon_sym_4_GT_AMP2] = ACTIONS(95),
    [anon_sym_5_GT_AMP2] = ACTIONS(95),
    [anon_sym_6_GT_AMP2] = ACTIONS(95),
    [aux_sym_comparison_operator_token1] = ACTIONS(95),
    [aux_sym_comparison_operator_token2] = ACTIONS(95),
    [aux_sym_comparison_operator_token3] = ACTIONS(95),
    [aux_sym_comparison_operator_token4] = ACTIONS(95),
    [aux_sym_comparison_operator_token5] = ACTIONS(95),
    [aux_sym_comparison_operator_token6] = ACTIONS(95),
    [aux_sym_comparison_operator_token7] = ACTIONS(95),
    [aux_sym_comparison_operator_token8] = ACTIONS(95),
    [aux_sym_comparison_operator_token9] = ACTIONS(95),
    [aux_sym_comparison_operator_token10] = ACTIONS(95),
    [aux_sym_comparison_operator_token11] = ACTIONS(95),
    [aux_sym_comparison_operator_token12] = ACTIONS(95),
    [aux_sym_comparison_operator_token13] = ACTIONS(95),
    [aux_sym_comparison_operator_token14] = ACTIONS(95),
    [aux_sym_comparison_operator_token15] = ACTIONS(95),
    [aux_sym_comparison_operator_token16] = ACTIONS(95),
    [aux_sym_comparison_operator_token17] = ACTIONS(95),
    [aux_sym_comparison_operator_token18] = ACTIONS(95),
    [aux_sym_comparison_operator_token19] = ACTIONS(95),
    [aux_sym_comparison_operator_token20] = ACTIONS(95),
    [aux_sym_comparison_operator_token21] = ACTIONS(95),
    [aux_sym_comparison_operator_token22] = ACTIONS(95),
    [aux_sym_comparison_operator_token23] = ACTIONS(95),
    [aux_sym_comparison_operator_token24] = ACTIONS(95),
    [aux_sym_comparison_operator_token25] = ACTIONS(95),
    [aux_sym_comparison_operator_token26] = ACTIONS(95),
    [aux_sym_comparison_operator_token27] = ACTIONS(95),
    [aux_sym_comparison_operator_token28] = ACTIONS(97),
    [aux_sym_comparison_operator_token29] = ACTIONS(95),
    [aux_sym_comparison_operator_token30] = ACTIONS(95),
    [aux_sym_comparison_operator_token31] = ACTIONS(95),
    [aux_sym_comparison_operator_token32] = ACTIONS(95),
    [aux_sym_comparison_operator_token33] = ACTIONS(95),
    [aux_sym_comparison_operator_token34] = ACTIONS(97),
    [aux_sym_comparison_operator_token35] = ACTIONS(95),
    [aux_sym_comparison_operator_token36] = ACTIONS(95),
    [aux_sym_comparison_operator_token37] = ACTIONS(99),
    [aux_sym_comparison_operator_token38] = ACTIONS(95),
    [aux_sym_comparison_operator_token39] = ACTIONS(95),
    [aux_sym_comparison_operator_token40] = ACTIONS(95),
    [aux_sym_comparison_operator_token41] = ACTIONS(95),
    [aux_sym_comparison_operator_token42] = ACTIONS(95),
    [aux_sym_comparison_operator_token43] = ACTIONS(95),
    [aux_sym_comparison_operator_token44] = ACTIONS(95),
    [aux_sym_comparison_operator_token45] = ACTIONS(95),
    [aux_sym_comparison_operator_token46] = ACTIONS(95),
    [aux_sym_comparison_operator_token47] = ACTIONS(95),
    [aux_sym_comparison_operator_token48] = ACTIONS(95),
    [aux_sym_comparison_operator_token49] = ACTIONS(95),
    [aux_sym_comparison_operator_token50] = ACTIONS(99),
    [aux_sym_format_operator_token1] = ACTIONS(95),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(101),
    [anon_sym_DOLLAR_CARET] = ACTIONS(101),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(101),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(101),
    [sym_braced_variable] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_COMMA] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_PIPE] = ACTIONS(95),
    [anon_sym_PERCENT] = ACTIONS(97),
    [aux_sym_logical_expression_token1] = ACTIONS(95),
    [aux_sym_logical_expression_token2] = ACTIONS(95),
    [aux_sym_logical_expression_token3] = ACTIONS(95),
    [aux_sym_bitwise_expression_token1] = ACTIONS(95),
    [aux_sym_bitwise_expression_token2] = ACTIONS(95),
    [aux_sym_bitwise_expression_token3] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_SLASH] = ACTIONS(97),
    [anon_sym_BSLASH] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_DOT_DOT] = ACTIONS(95),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(99),
    [anon_sym_PLUS_PLUS] = ACTIONS(109),
    [anon_sym_DASH_DASH] = ACTIONS(111),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(113),
    [anon_sym_AT_LPAREN] = ACTIONS(115),
    [anon_sym_AT_LBRACE] = ACTIONS(117),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(95),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
    [sym__statement_terminator] = ACTIONS(95),
  },
  [4] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_unary_expression] = STATE(161),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(123),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(131),
    [anon_sym_EQ] = ACTIONS(95),
    [anon_sym_BANG_EQ] = ACTIONS(95),
    [anon_sym_PLUS_EQ] = ACTIONS(95),
    [anon_sym_STAR_EQ] = ACTIONS(95),
    [anon_sym_SLASH_EQ] = ACTIONS(95),
    [anon_sym_PERCENT_EQ] = ACTIONS(95),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(95),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(95),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(95),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(95),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(95),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(95),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(95),
    [anon_sym_2_GT_AMP1] = ACTIONS(95),
    [anon_sym_3_GT_AMP1] = ACTIONS(95),
    [anon_sym_4_GT_AMP1] = ACTIONS(95),
    [anon_sym_5_GT_AMP1] = ACTIONS(95),
    [anon_sym_6_GT_AMP1] = ACTIONS(95),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(95),
    [anon_sym_1_GT_AMP2] = ACTIONS(95),
    [anon_sym_3_GT_AMP2] = ACTIONS(95),
    [anon_sym_4_GT_AMP2] = ACTIONS(95),
    [anon_sym_5_GT_AMP2] = ACTIONS(95),
    [anon_sym_6_GT_AMP2] = ACTIONS(95),
    [aux_sym_comparison_operator_token1] = ACTIONS(95),
    [aux_sym_comparison_operator_token2] = ACTIONS(95),
    [aux_sym_comparison_operator_token3] = ACTIONS(95),
    [aux_sym_comparison_operator_token4] = ACTIONS(95),
    [aux_sym_comparison_operator_token5] = ACTIONS(95),
    [aux_sym_comparison_operator_token6] = ACTIONS(95),
    [aux_sym_comparison_operator_token7] = ACTIONS(95),
    [aux_sym_comparison_operator_token8] = ACTIONS(95),
    [aux_sym_comparison_operator_token9] = ACTIONS(95),
    [aux_sym_comparison_operator_token10] = ACTIONS(95),
    [aux_sym_comparison_operator_token11] = ACTIONS(95),
    [aux_sym_comparison_operator_token12] = ACTIONS(95),
    [aux_sym_comparison_operator_token13] = ACTIONS(95),
    [aux_sym_comparison_operator_token14] = ACTIONS(95),
    [aux_sym_comparison_operator_token15] = ACTIONS(95),
    [aux_sym_comparison_operator_token16] = ACTIONS(95),
    [aux_sym_comparison_operator_token17] = ACTIONS(95),
    [aux_sym_comparison_operator_token18] = ACTIONS(95),
    [aux_sym_comparison_operator_token19] = ACTIONS(95),
    [aux_sym_comparison_operator_token20] = ACTIONS(95),
    [aux_sym_comparison_operator_token21] = ACTIONS(95),
    [aux_sym_comparison_operator_token22] = ACTIONS(95),
    [aux_sym_comparison_operator_token23] = ACTIONS(95),
    [aux_sym_comparison_operator_token24] = ACTIONS(95),
    [aux_sym_comparison_operator_token25] = ACTIONS(95),
    [aux_sym_comparison_operator_token26] = ACTIONS(95),
    [aux_sym_comparison_operator_token27] = ACTIONS(95),
    [aux_sym_comparison_operator_token28] = ACTIONS(97),
    [aux_sym_comparison_operator_token29] = ACTIONS(95),
    [aux_sym_comparison_operator_token30] = ACTIONS(95),
    [aux_sym_comparison_operator_token31] = ACTIONS(95),
    [aux_sym_comparison_operator_token32] = ACTIONS(95),
    [aux_sym_comparison_operator_token33] = ACTIONS(95),
    [aux_sym_comparison_operator_token34] = ACTIONS(97),
    [aux_sym_comparison_operator_token35] = ACTIONS(95),
    [aux_sym_comparison_operator_token36] = ACTIONS(95),
    [aux_sym_comparison_operator_token37] = ACTIONS(133),
    [aux_sym_comparison_operator_token38] = ACTIONS(95),
    [aux_sym_comparison_operator_token39] = ACTIONS(95),
    [aux_sym_comparison_operator_token40] = ACTIONS(95),
    [aux_sym_comparison_operator_token41] = ACTIONS(95),
    [aux_sym_comparison_operator_token42] = ACTIONS(95),
    [aux_sym_comparison_operator_token43] = ACTIONS(95),
    [aux_sym_comparison_operator_token44] = ACTIONS(95),
    [aux_sym_comparison_operator_token45] = ACTIONS(95),
    [aux_sym_comparison_operator_token46] = ACTIONS(95),
    [aux_sym_comparison_operator_token47] = ACTIONS(95),
    [aux_sym_comparison_operator_token48] = ACTIONS(95),
    [aux_sym_comparison_operator_token49] = ACTIONS(95),
    [aux_sym_comparison_operator_token50] = ACTIONS(133),
    [aux_sym_format_operator_token1] = ACTIONS(95),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(95),
    [anon_sym_COMMA] = ACTIONS(133),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PIPE] = ACTIONS(95),
    [anon_sym_PERCENT] = ACTIONS(97),
    [aux_sym_logical_expression_token1] = ACTIONS(95),
    [aux_sym_logical_expression_token2] = ACTIONS(95),
    [aux_sym_logical_expression_token3] = ACTIONS(95),
    [aux_sym_bitwise_expression_token1] = ACTIONS(95),
    [aux_sym_bitwise_expression_token2] = ACTIONS(95),
    [aux_sym_bitwise_expression_token3] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [anon_sym_SLASH] = ACTIONS(97),
    [anon_sym_BSLASH] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_DOT_DOT] = ACTIONS(95),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(133),
    [anon_sym_PLUS_PLUS] = ACTIONS(145),
    [anon_sym_DASH_DASH] = ACTIONS(147),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(95),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
  },
  [5] = {
    [sym__literal] = STATE(143),
    [sym_integer_literal] = STATE(143),
    [sym_string_literal] = STATE(143),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(143),
    [sym_unary_expression] = STATE(123),
    [sym_expression_with_unary_operator] = STATE(126),
    [sym_pre_increment_expression] = STATE(150),
    [sym_pre_decrement_expression] = STATE(150),
    [sym_cast_expression] = STATE(150),
    [sym__primary_expression] = STATE(143),
    [sym__value] = STATE(143),
    [sym_parenthesized_expression] = STATE(143),
    [sym_sub_expression] = STATE(143),
    [sym_array_expression] = STATE(143),
    [sym_script_block_expression] = STATE(143),
    [sym_hash_literal_expression] = STATE(143),
    [sym_post_increment_expression] = STATE(143),
    [sym_post_decrement_expression] = STATE(143),
    [sym_member_access] = STATE(143),
    [sym_element_access] = STATE(143),
    [sym_invokation_expression] = STATE(143),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(5),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(83),
    [sym_real_literal] = ACTIONS(155),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(87),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(89),
    [sym_verbatim_string_characters] = ACTIONS(91),
    [sym_verbatim_here_string_characters] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_EQ] = ACTIONS(95),
    [anon_sym_BANG_EQ] = ACTIONS(95),
    [anon_sym_PLUS_EQ] = ACTIONS(95),
    [anon_sym_STAR_EQ] = ACTIONS(95),
    [anon_sym_SLASH_EQ] = ACTIONS(95),
    [anon_sym_PERCENT_EQ] = ACTIONS(95),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(95),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(95),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(95),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(95),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(95),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(95),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(95),
    [anon_sym_2_GT_AMP1] = ACTIONS(95),
    [anon_sym_3_GT_AMP1] = ACTIONS(95),
    [anon_sym_4_GT_AMP1] = ACTIONS(95),
    [anon_sym_5_GT_AMP1] = ACTIONS(95),
    [anon_sym_6_GT_AMP1] = ACTIONS(95),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(95),
    [anon_sym_1_GT_AMP2] = ACTIONS(95),
    [anon_sym_3_GT_AMP2] = ACTIONS(95),
    [anon_sym_4_GT_AMP2] = ACTIONS(95),
    [anon_sym_5_GT_AMP2] = ACTIONS(95),
    [anon_sym_6_GT_AMP2] = ACTIONS(95),
    [aux_sym_comparison_operator_token1] = ACTIONS(95),
    [aux_sym_comparison_operator_token2] = ACTIONS(95),
    [aux_sym_comparison_operator_token3] = ACTIONS(95),
    [aux_sym_comparison_operator_token4] = ACTIONS(95),
    [aux_sym_comparison_operator_token5] = ACTIONS(95),
    [aux_sym_comparison_operator_token6] = ACTIONS(95),
    [aux_sym_comparison_operator_token7] = ACTIONS(95),
    [aux_sym_comparison_operator_token8] = ACTIONS(95),
    [aux_sym_comparison_operator_token9] = ACTIONS(95),
    [aux_sym_comparison_operator_token10] = ACTIONS(95),
    [aux_sym_comparison_operator_token11] = ACTIONS(95),
    [aux_sym_comparison_operator_token12] = ACTIONS(95),
    [aux_sym_comparison_operator_token13] = ACTIONS(95),
    [aux_sym_comparison_operator_token14] = ACTIONS(95),
    [aux_sym_comparison_operator_token15] = ACTIONS(95),
    [aux_sym_comparison_operator_token16] = ACTIONS(95),
    [aux_sym_comparison_operator_token17] = ACTIONS(95),
    [aux_sym_comparison_operator_token18] = ACTIONS(95),
    [aux_sym_comparison_operator_token19] = ACTIONS(95),
    [aux_sym_comparison_operator_token20] = ACTIONS(95),
    [aux_sym_comparison_operator_token21] = ACTIONS(95),
    [aux_sym_comparison_operator_token22] = ACTIONS(95),
    [aux_sym_comparison_operator_token23] = ACTIONS(95),
    [aux_sym_comparison_operator_token24] = ACTIONS(95),
    [aux_sym_comparison_operator_token25] = ACTIONS(95),
    [aux_sym_comparison_operator_token26] = ACTIONS(95),
    [aux_sym_comparison_operator_token27] = ACTIONS(95),
    [aux_sym_comparison_operator_token28] = ACTIONS(97),
    [aux_sym_comparison_operator_token29] = ACTIONS(95),
    [aux_sym_comparison_operator_token30] = ACTIONS(95),
    [aux_sym_comparison_operator_token31] = ACTIONS(95),
    [aux_sym_comparison_operator_token32] = ACTIONS(95),
    [aux_sym_comparison_operator_token33] = ACTIONS(95),
    [aux_sym_comparison_operator_token34] = ACTIONS(97),
    [aux_sym_comparison_operator_token35] = ACTIONS(95),
    [aux_sym_comparison_operator_token36] = ACTIONS(95),
    [aux_sym_comparison_operator_token37] = ACTIONS(157),
    [aux_sym_comparison_operator_token38] = ACTIONS(95),
    [aux_sym_comparison_operator_token39] = ACTIONS(95),
    [aux_sym_comparison_operator_token40] = ACTIONS(95),
    [aux_sym_comparison_operator_token41] = ACTIONS(95),
    [aux_sym_comparison_operator_token42] = ACTIONS(95),
    [aux_sym_comparison_operator_token43] = ACTIONS(95),
    [aux_sym_comparison_operator_token44] = ACTIONS(95),
    [aux_sym_comparison_operator_token45] = ACTIONS(95),
    [aux_sym_comparison_operator_token46] = ACTIONS(95),
    [aux_sym_comparison_operator_token47] = ACTIONS(95),
    [aux_sym_comparison_operator_token48] = ACTIONS(95),
    [aux_sym_comparison_operator_token49] = ACTIONS(95),
    [aux_sym_comparison_operator_token50] = ACTIONS(157),
    [aux_sym_format_operator_token1] = ACTIONS(95),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(101),
    [anon_sym_DOLLAR_CARET] = ACTIONS(101),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(101),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(101),
    [sym_braced_variable] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_COMMA] = ACTIONS(157),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_PIPE] = ACTIONS(95),
    [anon_sym_PERCENT] = ACTIONS(97),
    [aux_sym_logical_expression_token1] = ACTIONS(95),
    [aux_sym_logical_expression_token2] = ACTIONS(95),
    [aux_sym_logical_expression_token3] = ACTIONS(95),
    [aux_sym_bitwise_expression_token1] = ACTIONS(95),
    [aux_sym_bitwise_expression_token2] = ACTIONS(95),
    [aux_sym_bitwise_expression_token3] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(159),
    [anon_sym_DASH] = ACTIONS(159),
    [anon_sym_SLASH] = ACTIONS(97),
    [anon_sym_BSLASH] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_DOT_DOT] = ACTIONS(95),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(159),
    [anon_sym_BANG] = ACTIONS(159),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(157),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(163),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(113),
    [anon_sym_AT_LPAREN] = ACTIONS(115),
    [anon_sym_AT_LBRACE] = ACTIONS(117),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(95),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
    [sym__statement_terminator] = ACTIONS(95),
  },
  [6] = {
    [sym__literal] = STATE(144),
    [sym_integer_literal] = STATE(144),
    [sym_string_literal] = STATE(144),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(144),
    [sym_unary_expression] = STATE(106),
    [sym_expression_with_unary_operator] = STATE(95),
    [sym_pre_increment_expression] = STATE(96),
    [sym_pre_decrement_expression] = STATE(96),
    [sym_cast_expression] = STATE(96),
    [sym__primary_expression] = STATE(144),
    [sym__value] = STATE(144),
    [sym_parenthesized_expression] = STATE(144),
    [sym_sub_expression] = STATE(144),
    [sym_array_expression] = STATE(144),
    [sym_script_block_expression] = STATE(144),
    [sym_hash_literal_expression] = STATE(144),
    [sym_post_increment_expression] = STATE(144),
    [sym_post_decrement_expression] = STATE(144),
    [sym_member_access] = STATE(144),
    [sym_element_access] = STATE(144),
    [sym_invokation_expression] = STATE(144),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(6),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(165),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(131),
    [anon_sym_EQ] = ACTIONS(95),
    [anon_sym_BANG_EQ] = ACTIONS(95),
    [anon_sym_PLUS_EQ] = ACTIONS(95),
    [anon_sym_STAR_EQ] = ACTIONS(95),
    [anon_sym_SLASH_EQ] = ACTIONS(95),
    [anon_sym_PERCENT_EQ] = ACTIONS(95),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(95),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(95),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(95),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(95),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(95),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(95),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(95),
    [anon_sym_2_GT_AMP1] = ACTIONS(95),
    [anon_sym_3_GT_AMP1] = ACTIONS(95),
    [anon_sym_4_GT_AMP1] = ACTIONS(95),
    [anon_sym_5_GT_AMP1] = ACTIONS(95),
    [anon_sym_6_GT_AMP1] = ACTIONS(95),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(95),
    [anon_sym_1_GT_AMP2] = ACTIONS(95),
    [anon_sym_3_GT_AMP2] = ACTIONS(95),
    [anon_sym_4_GT_AMP2] = ACTIONS(95),
    [anon_sym_5_GT_AMP2] = ACTIONS(95),
    [anon_sym_6_GT_AMP2] = ACTIONS(95),
    [aux_sym_comparison_operator_token1] = ACTIONS(95),
    [aux_sym_comparison_operator_token2] = ACTIONS(95),
    [aux_sym_comparison_operator_token3] = ACTIONS(95),
    [aux_sym_comparison_operator_token4] = ACTIONS(95),
    [aux_sym_comparison_operator_token5] = ACTIONS(95),
    [aux_sym_comparison_operator_token6] = ACTIONS(95),
    [aux_sym_comparison_operator_token7] = ACTIONS(95),
    [aux_sym_comparison_operator_token8] = ACTIONS(95),
    [aux_sym_comparison_operator_token9] = ACTIONS(95),
    [aux_sym_comparison_operator_token10] = ACTIONS(95),
    [aux_sym_comparison_operator_token11] = ACTIONS(95),
    [aux_sym_comparison_operator_token12] = ACTIONS(95),
    [aux_sym_comparison_operator_token13] = ACTIONS(95),
    [aux_sym_comparison_operator_token14] = ACTIONS(95),
    [aux_sym_comparison_operator_token15] = ACTIONS(95),
    [aux_sym_comparison_operator_token16] = ACTIONS(95),
    [aux_sym_comparison_operator_token17] = ACTIONS(95),
    [aux_sym_comparison_operator_token18] = ACTIONS(95),
    [aux_sym_comparison_operator_token19] = ACTIONS(95),
    [aux_sym_comparison_operator_token20] = ACTIONS(95),
    [aux_sym_comparison_operator_token21] = ACTIONS(95),
    [aux_sym_comparison_operator_token22] = ACTIONS(95),
    [aux_sym_comparison_operator_token23] = ACTIONS(95),
    [aux_sym_comparison_operator_token24] = ACTIONS(95),
    [aux_sym_comparison_operator_token25] = ACTIONS(95),
    [aux_sym_comparison_operator_token26] = ACTIONS(95),
    [aux_sym_comparison_operator_token27] = ACTIONS(95),
    [aux_sym_comparison_operator_token28] = ACTIONS(97),
    [aux_sym_comparison_operator_token29] = ACTIONS(95),
    [aux_sym_comparison_operator_token30] = ACTIONS(95),
    [aux_sym_comparison_operator_token31] = ACTIONS(95),
    [aux_sym_comparison_operator_token32] = ACTIONS(95),
    [aux_sym_comparison_operator_token33] = ACTIONS(95),
    [aux_sym_comparison_operator_token34] = ACTIONS(97),
    [aux_sym_comparison_operator_token35] = ACTIONS(95),
    [aux_sym_comparison_operator_token36] = ACTIONS(95),
    [aux_sym_comparison_operator_token37] = ACTIONS(167),
    [aux_sym_comparison_operator_token38] = ACTIONS(95),
    [aux_sym_comparison_operator_token39] = ACTIONS(95),
    [aux_sym_comparison_operator_token40] = ACTIONS(95),
    [aux_sym_comparison_operator_token41] = ACTIONS(95),
    [aux_sym_comparison_operator_token42] = ACTIONS(95),
    [aux_sym_comparison_operator_token43] = ACTIONS(95),
    [aux_sym_comparison_operator_token44] = ACTIONS(95),
    [aux_sym_comparison_operator_token45] = ACTIONS(95),
    [aux_sym_comparison_operator_token46] = ACTIONS(95),
    [aux_sym_comparison_operator_token47] = ACTIONS(95),
    [aux_sym_comparison_operator_token48] = ACTIONS(95),
    [aux_sym_comparison_operator_token49] = ACTIONS(95),
    [aux_sym_comparison_operator_token50] = ACTIONS(167),
    [aux_sym_format_operator_token1] = ACTIONS(95),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(95),
    [anon_sym_COMMA] = ACTIONS(167),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PIPE] = ACTIONS(95),
    [anon_sym_PERCENT] = ACTIONS(97),
    [aux_sym_logical_expression_token1] = ACTIONS(95),
    [aux_sym_logical_expression_token2] = ACTIONS(95),
    [aux_sym_logical_expression_token3] = ACTIONS(95),
    [aux_sym_bitwise_expression_token1] = ACTIONS(95),
    [aux_sym_bitwise_expression_token2] = ACTIONS(95),
    [aux_sym_bitwise_expression_token3] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_SLASH] = ACTIONS(97),
    [anon_sym_BSLASH] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(97),
    [anon_sym_DOT_DOT] = ACTIONS(95),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(169),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(167),
    [anon_sym_PLUS_PLUS] = ACTIONS(171),
    [anon_sym_DASH_DASH] = ACTIONS(173),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(95),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
  },
  [7] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1836),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
    [sym__statement_terminator] = ACTIONS(213),
  },
  [8] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1829),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
    [sym__statement_terminator] = ACTIONS(213),
  },
  [9] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1781),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(215),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [10] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(2034),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(217),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [11] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1987),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(219),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [12] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(2140),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(221),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [13] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1758),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(223),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [14] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1763),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(225),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [15] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1778),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(227),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [16] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(2063),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(229),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [17] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1886),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(231),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [18] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(2055),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(233),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [19] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(2079),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(235),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [20] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(2028),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(237),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [21] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(2053),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(239),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [22] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(2039),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
    [sym__statement_terminator] = ACTIONS(213),
  },
  [23] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1782),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
    [sym__statement_terminator] = ACTIONS(213),
  },
  [24] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1974),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
    [sym__statement_terminator] = ACTIONS(213),
  },
  [25] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1976),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
    [sym__statement_terminator] = ACTIONS(213),
  },
  [26] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1750),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
    [sym__statement_terminator] = ACTIONS(213),
  },
  [27] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1776),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
    [sym__statement_terminator] = ACTIONS(213),
  },
  [28] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1798),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
    [sym__statement_terminator] = ACTIONS(213),
  },
  [29] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1820),
    [sym_param_block] = STATE(1783),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2082),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(177),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
    [sym__statement_terminator] = ACTIONS(213),
  },
  [30] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1904),
    [sym_param_block] = STATE(23),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2031),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(241),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [31] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1834),
    [sym_param_block] = STATE(7),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2031),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(241),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [32] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1791),
    [sym_param_block] = STATE(28),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2031),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(241),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [33] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1769),
    [sym_param_block] = STATE(27),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2031),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(241),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [34] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1953),
    [sym_param_block] = STATE(25),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2031),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(241),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [35] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(2070),
    [sym_param_block] = STATE(22),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2031),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(241),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [36] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1813),
    [sym_param_block] = STATE(29),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2031),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(241),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [37] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1874),
    [sym_param_block] = STATE(24),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2031),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(241),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [38] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1742),
    [sym_param_block] = STATE(26),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2031),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(241),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [39] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block] = STATE(1827),
    [sym_param_block] = STATE(8),
    [sym_script_block_body] = STATE(1911),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(2),
    [sym_attribute_list] = STATE(2031),
    [sym_attribute] = STATE(1272),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1272),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [aux_sym_param_block_token1] = ACTIONS(241),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [40] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block_body] = STATE(1860),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_script_block_repeat1] = STATE(41),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(245),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(247),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [41] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_script_block_body] = STATE(1981),
    [sym_named_block_list] = STATE(1914),
    [sym_named_block] = STATE(1303),
    [sym_block_name] = STATE(1658),
    [sym_statement_list] = STATE(1966),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_script_block_repeat1] = STATE(355),
    [aux_sym_named_block_list_repeat1] = STATE(1303),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(245),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [aux_sym_block_name_token1] = ACTIONS(179),
    [aux_sym_block_name_token2] = ACTIONS(179),
    [aux_sym_block_name_token3] = ACTIONS(179),
    [aux_sym_block_name_token4] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(249),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [42] = {
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(251),
    [sym_hexadecimal_integer_literal] = ACTIONS(253),
    [sym_real_literal] = ACTIONS(253),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(253),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(253),
    [sym_verbatim_string_characters] = ACTIONS(253),
    [sym_verbatim_here_string_characters] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(253),
    [anon_sym_EQ] = ACTIONS(253),
    [anon_sym_BANG_EQ] = ACTIONS(253),
    [anon_sym_PLUS_EQ] = ACTIONS(253),
    [anon_sym_STAR_EQ] = ACTIONS(253),
    [anon_sym_SLASH_EQ] = ACTIONS(253),
    [anon_sym_PERCENT_EQ] = ACTIONS(253),
    [anon_sym_GT] = ACTIONS(251),
    [anon_sym_GT_GT] = ACTIONS(253),
    [anon_sym_2_GT] = ACTIONS(251),
    [anon_sym_2_GT_GT] = ACTIONS(253),
    [anon_sym_3_GT] = ACTIONS(251),
    [anon_sym_3_GT_GT] = ACTIONS(253),
    [anon_sym_4_GT] = ACTIONS(251),
    [anon_sym_4_GT_GT] = ACTIONS(253),
    [anon_sym_5_GT] = ACTIONS(251),
    [anon_sym_5_GT_GT] = ACTIONS(253),
    [anon_sym_6_GT] = ACTIONS(251),
    [anon_sym_6_GT_GT] = ACTIONS(253),
    [anon_sym_STAR_GT] = ACTIONS(251),
    [anon_sym_STAR_GT_GT] = ACTIONS(253),
    [anon_sym_LT] = ACTIONS(251),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(253),
    [anon_sym_2_GT_AMP1] = ACTIONS(253),
    [anon_sym_3_GT_AMP1] = ACTIONS(253),
    [anon_sym_4_GT_AMP1] = ACTIONS(253),
    [anon_sym_5_GT_AMP1] = ACTIONS(253),
    [anon_sym_6_GT_AMP1] = ACTIONS(253),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(253),
    [anon_sym_1_GT_AMP2] = ACTIONS(253),
    [anon_sym_3_GT_AMP2] = ACTIONS(253),
    [anon_sym_4_GT_AMP2] = ACTIONS(253),
    [anon_sym_5_GT_AMP2] = ACTIONS(253),
    [anon_sym_6_GT_AMP2] = ACTIONS(253),
    [aux_sym_comparison_operator_token1] = ACTIONS(253),
    [aux_sym_comparison_operator_token2] = ACTIONS(253),
    [aux_sym_comparison_operator_token3] = ACTIONS(253),
    [aux_sym_comparison_operator_token4] = ACTIONS(253),
    [aux_sym_comparison_operator_token5] = ACTIONS(253),
    [aux_sym_comparison_operator_token6] = ACTIONS(253),
    [aux_sym_comparison_operator_token7] = ACTIONS(253),
    [aux_sym_comparison_operator_token8] = ACTIONS(253),
    [aux_sym_comparison_operator_token9] = ACTIONS(253),
    [aux_sym_comparison_operator_token10] = ACTIONS(253),
    [aux_sym_comparison_operator_token11] = ACTIONS(253),
    [aux_sym_comparison_operator_token12] = ACTIONS(253),
    [aux_sym_comparison_operator_token13] = ACTIONS(253),
    [aux_sym_comparison_operator_token14] = ACTIONS(253),
    [aux_sym_comparison_operator_token15] = ACTIONS(253),
    [aux_sym_comparison_operator_token16] = ACTIONS(253),
    [aux_sym_comparison_operator_token17] = ACTIONS(253),
    [aux_sym_comparison_operator_token18] = ACTIONS(253),
    [aux_sym_comparison_operator_token19] = ACTIONS(253),
    [aux_sym_comparison_operator_token20] = ACTIONS(253),
    [aux_sym_comparison_operator_token21] = ACTIONS(253),
    [aux_sym_comparison_operator_token22] = ACTIONS(253),
    [aux_sym_comparison_operator_token23] = ACTIONS(253),
    [aux_sym_comparison_operator_token24] = ACTIONS(253),
    [aux_sym_comparison_operator_token25] = ACTIONS(253),
    [aux_sym_comparison_operator_token26] = ACTIONS(253),
    [aux_sym_comparison_operator_token27] = ACTIONS(253),
    [aux_sym_comparison_operator_token28] = ACTIONS(251),
    [aux_sym_comparison_operator_token29] = ACTIONS(253),
    [aux_sym_comparison_operator_token30] = ACTIONS(253),
    [aux_sym_comparison_operator_token31] = ACTIONS(253),
    [aux_sym_comparison_operator_token32] = ACTIONS(253),
    [aux_sym_comparison_operator_token33] = ACTIONS(253),
    [aux_sym_comparison_operator_token34] = ACTIONS(251),
    [aux_sym_comparison_operator_token35] = ACTIONS(253),
    [aux_sym_comparison_operator_token36] = ACTIONS(253),
    [aux_sym_comparison_operator_token37] = ACTIONS(253),
    [aux_sym_comparison_operator_token38] = ACTIONS(253),
    [aux_sym_comparison_operator_token39] = ACTIONS(253),
    [aux_sym_comparison_operator_token40] = ACTIONS(253),
    [aux_sym_comparison_operator_token41] = ACTIONS(253),
    [aux_sym_comparison_operator_token42] = ACTIONS(253),
    [aux_sym_comparison_operator_token43] = ACTIONS(253),
    [aux_sym_comparison_operator_token44] = ACTIONS(253),
    [aux_sym_comparison_operator_token45] = ACTIONS(253),
    [aux_sym_comparison_operator_token46] = ACTIONS(253),
    [aux_sym_comparison_operator_token47] = ACTIONS(253),
    [aux_sym_comparison_operator_token48] = ACTIONS(253),
    [aux_sym_comparison_operator_token49] = ACTIONS(253),
    [aux_sym_comparison_operator_token50] = ACTIONS(253),
    [aux_sym_format_operator_token1] = ACTIONS(253),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(253),
    [anon_sym_DOLLAR_CARET] = ACTIONS(253),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(253),
    [anon_sym_DOLLAR_] = ACTIONS(251),
    [aux_sym_variable_token1] = ACTIONS(251),
    [aux_sym_variable_token2] = ACTIONS(253),
    [sym_braced_variable] = ACTIONS(253),
    [aux_sym_param_block_token1] = ACTIONS(253),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_COMMA] = ACTIONS(253),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_PIPE] = ACTIONS(253),
    [anon_sym_PERCENT] = ACTIONS(251),
    [aux_sym_logical_expression_token1] = ACTIONS(253),
    [aux_sym_logical_expression_token2] = ACTIONS(253),
    [aux_sym_logical_expression_token3] = ACTIONS(253),
    [aux_sym_bitwise_expression_token1] = ACTIONS(253),
    [aux_sym_bitwise_expression_token2] = ACTIONS(253),
    [aux_sym_bitwise_expression_token3] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(251),
    [anon_sym_BSLASH] = ACTIONS(253),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_DOT_DOT] = ACTIONS(253),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(251),
    [anon_sym_BANG] = ACTIONS(251),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(253),
    [anon_sym_PLUS_PLUS] = ACTIONS(253),
    [anon_sym_DASH_DASH] = ACTIONS(253),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(253),
    [anon_sym_AT_LPAREN] = ACTIONS(253),
    [anon_sym_AT_LBRACE] = ACTIONS(253),
    [anon_sym_DOT2] = ACTIONS(251),
    [anon_sym_COLON_COLON] = ACTIONS(253),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(253),
    [sym__statement_terminator] = ACTIONS(253),
  },
  [43] = {
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(251),
    [sym_hexadecimal_integer_literal] = ACTIONS(253),
    [sym_real_literal] = ACTIONS(253),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(253),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(253),
    [sym_verbatim_string_characters] = ACTIONS(253),
    [sym_verbatim_here_string_characters] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(253),
    [anon_sym_EQ] = ACTIONS(253),
    [anon_sym_BANG_EQ] = ACTIONS(253),
    [anon_sym_PLUS_EQ] = ACTIONS(253),
    [anon_sym_STAR_EQ] = ACTIONS(253),
    [anon_sym_SLASH_EQ] = ACTIONS(253),
    [anon_sym_PERCENT_EQ] = ACTIONS(253),
    [anon_sym_GT] = ACTIONS(251),
    [anon_sym_GT_GT] = ACTIONS(253),
    [anon_sym_2_GT] = ACTIONS(251),
    [anon_sym_2_GT_GT] = ACTIONS(253),
    [anon_sym_3_GT] = ACTIONS(251),
    [anon_sym_3_GT_GT] = ACTIONS(253),
    [anon_sym_4_GT] = ACTIONS(251),
    [anon_sym_4_GT_GT] = ACTIONS(253),
    [anon_sym_5_GT] = ACTIONS(251),
    [anon_sym_5_GT_GT] = ACTIONS(253),
    [anon_sym_6_GT] = ACTIONS(251),
    [anon_sym_6_GT_GT] = ACTIONS(253),
    [anon_sym_STAR_GT] = ACTIONS(251),
    [anon_sym_STAR_GT_GT] = ACTIONS(253),
    [anon_sym_LT] = ACTIONS(251),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(253),
    [anon_sym_2_GT_AMP1] = ACTIONS(253),
    [anon_sym_3_GT_AMP1] = ACTIONS(253),
    [anon_sym_4_GT_AMP1] = ACTIONS(253),
    [anon_sym_5_GT_AMP1] = ACTIONS(253),
    [anon_sym_6_GT_AMP1] = ACTIONS(253),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(253),
    [anon_sym_1_GT_AMP2] = ACTIONS(253),
    [anon_sym_3_GT_AMP2] = ACTIONS(253),
    [anon_sym_4_GT_AMP2] = ACTIONS(253),
    [anon_sym_5_GT_AMP2] = ACTIONS(253),
    [anon_sym_6_GT_AMP2] = ACTIONS(253),
    [aux_sym_comparison_operator_token1] = ACTIONS(253),
    [aux_sym_comparison_operator_token2] = ACTIONS(253),
    [aux_sym_comparison_operator_token3] = ACTIONS(253),
    [aux_sym_comparison_operator_token4] = ACTIONS(253),
    [aux_sym_comparison_operator_token5] = ACTIONS(253),
    [aux_sym_comparison_operator_token6] = ACTIONS(253),
    [aux_sym_comparison_operator_token7] = ACTIONS(253),
    [aux_sym_comparison_operator_token8] = ACTIONS(253),
    [aux_sym_comparison_operator_token9] = ACTIONS(253),
    [aux_sym_comparison_operator_token10] = ACTIONS(253),
    [aux_sym_comparison_operator_token11] = ACTIONS(253),
    [aux_sym_comparison_operator_token12] = ACTIONS(253),
    [aux_sym_comparison_operator_token13] = ACTIONS(253),
    [aux_sym_comparison_operator_token14] = ACTIONS(253),
    [aux_sym_comparison_operator_token15] = ACTIONS(253),
    [aux_sym_comparison_operator_token16] = ACTIONS(253),
    [aux_sym_comparison_operator_token17] = ACTIONS(253),
    [aux_sym_comparison_operator_token18] = ACTIONS(253),
    [aux_sym_comparison_operator_token19] = ACTIONS(253),
    [aux_sym_comparison_operator_token20] = ACTIONS(253),
    [aux_sym_comparison_operator_token21] = ACTIONS(253),
    [aux_sym_comparison_operator_token22] = ACTIONS(253),
    [aux_sym_comparison_operator_token23] = ACTIONS(253),
    [aux_sym_comparison_operator_token24] = ACTIONS(253),
    [aux_sym_comparison_operator_token25] = ACTIONS(253),
    [aux_sym_comparison_operator_token26] = ACTIONS(253),
    [aux_sym_comparison_operator_token27] = ACTIONS(253),
    [aux_sym_comparison_operator_token28] = ACTIONS(251),
    [aux_sym_comparison_operator_token29] = ACTIONS(253),
    [aux_sym_comparison_operator_token30] = ACTIONS(253),
    [aux_sym_comparison_operator_token31] = ACTIONS(253),
    [aux_sym_comparison_operator_token32] = ACTIONS(253),
    [aux_sym_comparison_operator_token33] = ACTIONS(253),
    [aux_sym_comparison_operator_token34] = ACTIONS(251),
    [aux_sym_comparison_operator_token35] = ACTIONS(253),
    [aux_sym_comparison_operator_token36] = ACTIONS(253),
    [aux_sym_comparison_operator_token37] = ACTIONS(253),
    [aux_sym_comparison_operator_token38] = ACTIONS(253),
    [aux_sym_comparison_operator_token39] = ACTIONS(253),
    [aux_sym_comparison_operator_token40] = ACTIONS(253),
    [aux_sym_comparison_operator_token41] = ACTIONS(253),
    [aux_sym_comparison_operator_token42] = ACTIONS(253),
    [aux_sym_comparison_operator_token43] = ACTIONS(253),
    [aux_sym_comparison_operator_token44] = ACTIONS(253),
    [aux_sym_comparison_operator_token45] = ACTIONS(253),
    [aux_sym_comparison_operator_token46] = ACTIONS(253),
    [aux_sym_comparison_operator_token47] = ACTIONS(253),
    [aux_sym_comparison_operator_token48] = ACTIONS(253),
    [aux_sym_comparison_operator_token49] = ACTIONS(253),
    [aux_sym_comparison_operator_token50] = ACTIONS(253),
    [aux_sym_format_operator_token1] = ACTIONS(253),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(253),
    [anon_sym_DOLLAR_CARET] = ACTIONS(253),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(253),
    [anon_sym_DOLLAR_] = ACTIONS(251),
    [aux_sym_variable_token1] = ACTIONS(251),
    [aux_sym_variable_token2] = ACTIONS(253),
    [sym_braced_variable] = ACTIONS(253),
    [aux_sym_param_block_token1] = ACTIONS(253),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_RPAREN] = ACTIONS(253),
    [anon_sym_COMMA] = ACTIONS(253),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_PIPE] = ACTIONS(253),
    [anon_sym_PERCENT] = ACTIONS(251),
    [aux_sym_logical_expression_token1] = ACTIONS(253),
    [aux_sym_logical_expression_token2] = ACTIONS(253),
    [aux_sym_logical_expression_token3] = ACTIONS(253),
    [aux_sym_bitwise_expression_token1] = ACTIONS(253),
    [aux_sym_bitwise_expression_token2] = ACTIONS(253),
    [aux_sym_bitwise_expression_token3] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(251),
    [anon_sym_BSLASH] = ACTIONS(253),
    [anon_sym_STAR] = ACTIONS(251),
    [anon_sym_DOT_DOT] = ACTIONS(253),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(251),
    [anon_sym_BANG] = ACTIONS(251),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(253),
    [anon_sym_PLUS_PLUS] = ACTIONS(253),
    [anon_sym_DASH_DASH] = ACTIONS(253),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(253),
    [anon_sym_AT_LPAREN] = ACTIONS(253),
    [anon_sym_AT_LBRACE] = ACTIONS(253),
    [anon_sym_DOT2] = ACTIONS(251),
    [anon_sym_COLON_COLON] = ACTIONS(253),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(253),
  },
  [44] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1940),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(255),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [45] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1739),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(257),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [46] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(2083),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(259),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [47] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(2084),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(261),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [48] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1753),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(263),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [49] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1762),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(265),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [50] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1916),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(267),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [51] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1946),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(269),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [52] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1979),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(271),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [53] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1967),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(273),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [54] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym__statement] = STATE(71),
    [sym_empty_statement] = STATE(71),
    [sym_if_statement] = STATE(71),
    [sym__labeled_statement] = STATE(71),
    [sym_switch_statement] = STATE(71),
    [sym_foreach_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_do_statement] = STATE(71),
    [sym_function_statement] = STATE(71),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_data_statement] = STATE(71),
    [sym_inlinescript_statement] = STATE(71),
    [sym_parallel_statement] = STATE(71),
    [sym_sequence_statement] = STATE(71),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(71),
    [sym_enum_statement] = STATE(71),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(71),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(275),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(275),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [55] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1983),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(277),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [56] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1745),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(279),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [57] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1746),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(281),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [58] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1751),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(283),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [59] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1771),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(285),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [60] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1772),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(287),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [61] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1777),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(289),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [62] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1793),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(291),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [63] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1794),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(293),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [64] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1799),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(295),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [65] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1815),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(297),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [66] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1816),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(299),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [67] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1821),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(301),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [68] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1828),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [69] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1835),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(305),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [70] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1841),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(307),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [71] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym__statement] = STATE(71),
    [sym_empty_statement] = STATE(71),
    [sym_if_statement] = STATE(71),
    [sym__labeled_statement] = STATE(71),
    [sym_switch_statement] = STATE(71),
    [sym_foreach_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_do_statement] = STATE(71),
    [sym_function_statement] = STATE(71),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_data_statement] = STATE(71),
    [sym_inlinescript_statement] = STATE(71),
    [sym_parallel_statement] = STATE(71),
    [sym_sequence_statement] = STATE(71),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(71),
    [sym_enum_statement] = STATE(71),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(71),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(309),
    [sym_hexadecimal_integer_literal] = ACTIONS(309),
    [sym_real_literal] = ACTIONS(312),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(315),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(318),
    [sym_verbatim_string_characters] = ACTIONS(321),
    [sym_verbatim_here_string_characters] = ACTIONS(321),
    [anon_sym_DOT] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(327),
    [aux_sym_comparison_operator_token37] = ACTIONS(330),
    [aux_sym_comparison_operator_token50] = ACTIONS(330),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(333),
    [anon_sym_DOLLAR_CARET] = ACTIONS(333),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(333),
    [anon_sym_DOLLAR_] = ACTIONS(333),
    [aux_sym_variable_token1] = ACTIONS(333),
    [aux_sym_variable_token2] = ACTIONS(333),
    [sym_braced_variable] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(336),
    [anon_sym_LPAREN] = ACTIONS(339),
    [anon_sym_RPAREN] = ACTIONS(342),
    [anon_sym_COMMA] = ACTIONS(330),
    [anon_sym_LBRACE] = ACTIONS(344),
    [anon_sym_RBRACE] = ACTIONS(342),
    [aux_sym_if_statement_token1] = ACTIONS(347),
    [aux_sym_switch_statement_token1] = ACTIONS(350),
    [aux_sym_foreach_statement_token1] = ACTIONS(353),
    [aux_sym_for_statement_token1] = ACTIONS(356),
    [aux_sym_while_statement_token1] = ACTIONS(359),
    [aux_sym_do_statement_token1] = ACTIONS(362),
    [aux_sym_function_statement_token1] = ACTIONS(365),
    [aux_sym_function_statement_token2] = ACTIONS(365),
    [aux_sym_function_statement_token3] = ACTIONS(365),
    [aux_sym_flow_control_statement_token1] = ACTIONS(368),
    [aux_sym_flow_control_statement_token2] = ACTIONS(368),
    [aux_sym_flow_control_statement_token3] = ACTIONS(371),
    [aux_sym_flow_control_statement_token4] = ACTIONS(371),
    [aux_sym_flow_control_statement_token5] = ACTIONS(371),
    [sym_label] = ACTIONS(374),
    [aux_sym_trap_statement_token1] = ACTIONS(377),
    [aux_sym_try_statement_token1] = ACTIONS(380),
    [aux_sym_data_statement_token1] = ACTIONS(383),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(386),
    [aux_sym_parallel_statement_token1] = ACTIONS(389),
    [aux_sym_sequence_statement_token1] = ACTIONS(392),
    [anon_sym_AMP] = ACTIONS(324),
    [aux_sym_command_name_token1] = ACTIONS(395),
    [anon_sym_PERCENT] = ACTIONS(398),
    [aux_sym_foreach_command_token1] = ACTIONS(398),
    [aux_sym_class_statement_token1] = ACTIONS(401),
    [aux_sym_enum_statement_token1] = ACTIONS(404),
    [anon_sym_PLUS] = ACTIONS(330),
    [anon_sym_DASH] = ACTIONS(330),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(330),
    [anon_sym_BANG] = ACTIONS(330),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(330),
    [anon_sym_PLUS_PLUS] = ACTIONS(407),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(413),
    [anon_sym_AT_LPAREN] = ACTIONS(416),
    [anon_sym_AT_LBRACE] = ACTIONS(419),
  },
  [72] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1971),
    [sym__statement] = STATE(54),
    [sym_empty_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym__labeled_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_function_statement] = STATE(54),
    [sym_flow_control_statement] = STATE(2060),
    [sym_trap_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_data_statement] = STATE(54),
    [sym_inlinescript_statement] = STATE(54),
    [sym_parallel_statement] = STATE(54),
    [sym_sequence_statement] = STATE(54),
    [sym_pipeline] = STATE(2060),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(54),
    [sym_enum_statement] = STATE(54),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(54),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(181),
    [aux_sym_switch_statement_token1] = ACTIONS(183),
    [aux_sym_foreach_statement_token1] = ACTIONS(185),
    [aux_sym_for_statement_token1] = ACTIONS(187),
    [aux_sym_while_statement_token1] = ACTIONS(189),
    [aux_sym_do_statement_token1] = ACTIONS(191),
    [aux_sym_function_statement_token1] = ACTIONS(193),
    [aux_sym_function_statement_token2] = ACTIONS(193),
    [aux_sym_function_statement_token3] = ACTIONS(193),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(195),
    [aux_sym_trap_statement_token1] = ACTIONS(197),
    [aux_sym_try_statement_token1] = ACTIONS(199),
    [aux_sym_data_statement_token1] = ACTIONS(201),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(203),
    [aux_sym_parallel_statement_token1] = ACTIONS(205),
    [aux_sym_sequence_statement_token1] = ACTIONS(207),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(209),
    [aux_sym_enum_statement_token1] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [73] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_statement_list] = STATE(1907),
    [sym__statement] = STATE(74),
    [sym_empty_statement] = STATE(74),
    [sym_if_statement] = STATE(74),
    [sym__labeled_statement] = STATE(74),
    [sym_switch_statement] = STATE(74),
    [sym_foreach_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_do_statement] = STATE(74),
    [sym_function_statement] = STATE(74),
    [sym_flow_control_statement] = STATE(2017),
    [sym_trap_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_data_statement] = STATE(74),
    [sym_inlinescript_statement] = STATE(74),
    [sym_parallel_statement] = STATE(74),
    [sym_sequence_statement] = STATE(74),
    [sym_pipeline] = STATE(2017),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(74),
    [sym_enum_statement] = STATE(74),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(74),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(31),
    [aux_sym_switch_statement_token1] = ACTIONS(33),
    [aux_sym_foreach_statement_token1] = ACTIONS(35),
    [aux_sym_for_statement_token1] = ACTIONS(37),
    [aux_sym_while_statement_token1] = ACTIONS(39),
    [aux_sym_do_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_function_statement_token2] = ACTIONS(43),
    [aux_sym_function_statement_token3] = ACTIONS(43),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(49),
    [aux_sym_trap_statement_token1] = ACTIONS(51),
    [aux_sym_try_statement_token1] = ACTIONS(53),
    [aux_sym_data_statement_token1] = ACTIONS(55),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(57),
    [aux_sym_parallel_statement_token1] = ACTIONS(59),
    [aux_sym_sequence_statement_token1] = ACTIONS(61),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(67),
    [aux_sym_enum_statement_token1] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [74] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym__statement] = STATE(75),
    [sym_empty_statement] = STATE(75),
    [sym_if_statement] = STATE(75),
    [sym__labeled_statement] = STATE(75),
    [sym_switch_statement] = STATE(75),
    [sym_foreach_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_do_statement] = STATE(75),
    [sym_function_statement] = STATE(75),
    [sym_flow_control_statement] = STATE(2017),
    [sym_trap_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_data_statement] = STATE(75),
    [sym_inlinescript_statement] = STATE(75),
    [sym_parallel_statement] = STATE(75),
    [sym_sequence_statement] = STATE(75),
    [sym_pipeline] = STATE(2017),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(75),
    [sym_enum_statement] = STATE(75),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(75),
    [ts_builtin_sym_end] = ACTIONS(424),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(23),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(31),
    [aux_sym_switch_statement_token1] = ACTIONS(33),
    [aux_sym_foreach_statement_token1] = ACTIONS(35),
    [aux_sym_for_statement_token1] = ACTIONS(37),
    [aux_sym_while_statement_token1] = ACTIONS(39),
    [aux_sym_do_statement_token1] = ACTIONS(41),
    [aux_sym_function_statement_token1] = ACTIONS(43),
    [aux_sym_function_statement_token2] = ACTIONS(43),
    [aux_sym_function_statement_token3] = ACTIONS(43),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(49),
    [aux_sym_trap_statement_token1] = ACTIONS(51),
    [aux_sym_try_statement_token1] = ACTIONS(53),
    [aux_sym_data_statement_token1] = ACTIONS(55),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(57),
    [aux_sym_parallel_statement_token1] = ACTIONS(59),
    [aux_sym_sequence_statement_token1] = ACTIONS(61),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(67),
    [aux_sym_enum_statement_token1] = ACTIONS(69),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [75] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym__statement] = STATE(75),
    [sym_empty_statement] = STATE(75),
    [sym_if_statement] = STATE(75),
    [sym__labeled_statement] = STATE(75),
    [sym_switch_statement] = STATE(75),
    [sym_foreach_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_do_statement] = STATE(75),
    [sym_function_statement] = STATE(75),
    [sym_flow_control_statement] = STATE(2017),
    [sym_trap_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_data_statement] = STATE(75),
    [sym_inlinescript_statement] = STATE(75),
    [sym_parallel_statement] = STATE(75),
    [sym_sequence_statement] = STATE(75),
    [sym_pipeline] = STATE(2017),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(75),
    [sym_enum_statement] = STATE(75),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [aux_sym_statement_list_repeat1] = STATE(75),
    [ts_builtin_sym_end] = ACTIONS(426),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(309),
    [sym_hexadecimal_integer_literal] = ACTIONS(309),
    [sym_real_literal] = ACTIONS(312),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(315),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(318),
    [sym_verbatim_string_characters] = ACTIONS(321),
    [sym_verbatim_here_string_characters] = ACTIONS(321),
    [anon_sym_DOT] = ACTIONS(324),
    [anon_sym_LBRACK] = ACTIONS(327),
    [aux_sym_comparison_operator_token37] = ACTIONS(330),
    [aux_sym_comparison_operator_token50] = ACTIONS(330),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(333),
    [anon_sym_DOLLAR_CARET] = ACTIONS(333),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(333),
    [anon_sym_DOLLAR_] = ACTIONS(333),
    [aux_sym_variable_token1] = ACTIONS(333),
    [aux_sym_variable_token2] = ACTIONS(333),
    [sym_braced_variable] = ACTIONS(333),
    [anon_sym_SEMI] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(339),
    [anon_sym_COMMA] = ACTIONS(330),
    [anon_sym_LBRACE] = ACTIONS(344),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_switch_statement_token1] = ACTIONS(434),
    [aux_sym_foreach_statement_token1] = ACTIONS(437),
    [aux_sym_for_statement_token1] = ACTIONS(440),
    [aux_sym_while_statement_token1] = ACTIONS(443),
    [aux_sym_do_statement_token1] = ACTIONS(446),
    [aux_sym_function_statement_token1] = ACTIONS(449),
    [aux_sym_function_statement_token2] = ACTIONS(449),
    [aux_sym_function_statement_token3] = ACTIONS(449),
    [aux_sym_flow_control_statement_token1] = ACTIONS(368),
    [aux_sym_flow_control_statement_token2] = ACTIONS(368),
    [aux_sym_flow_control_statement_token3] = ACTIONS(371),
    [aux_sym_flow_control_statement_token4] = ACTIONS(371),
    [aux_sym_flow_control_statement_token5] = ACTIONS(371),
    [sym_label] = ACTIONS(452),
    [aux_sym_trap_statement_token1] = ACTIONS(455),
    [aux_sym_try_statement_token1] = ACTIONS(458),
    [aux_sym_data_statement_token1] = ACTIONS(461),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(464),
    [aux_sym_parallel_statement_token1] = ACTIONS(467),
    [aux_sym_sequence_statement_token1] = ACTIONS(470),
    [anon_sym_AMP] = ACTIONS(324),
    [aux_sym_command_name_token1] = ACTIONS(395),
    [anon_sym_PERCENT] = ACTIONS(398),
    [aux_sym_foreach_command_token1] = ACTIONS(398),
    [aux_sym_class_statement_token1] = ACTIONS(473),
    [aux_sym_enum_statement_token1] = ACTIONS(476),
    [anon_sym_PLUS] = ACTIONS(330),
    [anon_sym_DASH] = ACTIONS(330),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(330),
    [anon_sym_BANG] = ACTIONS(330),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(330),
    [anon_sym_PLUS_PLUS] = ACTIONS(407),
    [anon_sym_DASH_DASH] = ACTIONS(410),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(413),
    [anon_sym_AT_LPAREN] = ACTIONS(416),
    [anon_sym_AT_LBRACE] = ACTIONS(419),
  },
  [76] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym_unary_expression] = STATE(161),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token1] = ACTIONS(95),
    [aux_sym_comparison_operator_token2] = ACTIONS(95),
    [aux_sym_comparison_operator_token3] = ACTIONS(95),
    [aux_sym_comparison_operator_token4] = ACTIONS(95),
    [aux_sym_comparison_operator_token5] = ACTIONS(95),
    [aux_sym_comparison_operator_token6] = ACTIONS(95),
    [aux_sym_comparison_operator_token7] = ACTIONS(95),
    [aux_sym_comparison_operator_token8] = ACTIONS(95),
    [aux_sym_comparison_operator_token9] = ACTIONS(95),
    [aux_sym_comparison_operator_token10] = ACTIONS(95),
    [aux_sym_comparison_operator_token11] = ACTIONS(95),
    [aux_sym_comparison_operator_token12] = ACTIONS(95),
    [aux_sym_comparison_operator_token13] = ACTIONS(95),
    [aux_sym_comparison_operator_token14] = ACTIONS(95),
    [aux_sym_comparison_operator_token15] = ACTIONS(95),
    [aux_sym_comparison_operator_token16] = ACTIONS(95),
    [aux_sym_comparison_operator_token17] = ACTIONS(95),
    [aux_sym_comparison_operator_token18] = ACTIONS(95),
    [aux_sym_comparison_operator_token19] = ACTIONS(95),
    [aux_sym_comparison_operator_token20] = ACTIONS(95),
    [aux_sym_comparison_operator_token21] = ACTIONS(95),
    [aux_sym_comparison_operator_token22] = ACTIONS(95),
    [aux_sym_comparison_operator_token23] = ACTIONS(95),
    [aux_sym_comparison_operator_token24] = ACTIONS(95),
    [aux_sym_comparison_operator_token25] = ACTIONS(95),
    [aux_sym_comparison_operator_token26] = ACTIONS(95),
    [aux_sym_comparison_operator_token27] = ACTIONS(95),
    [aux_sym_comparison_operator_token28] = ACTIONS(97),
    [aux_sym_comparison_operator_token29] = ACTIONS(95),
    [aux_sym_comparison_operator_token30] = ACTIONS(95),
    [aux_sym_comparison_operator_token31] = ACTIONS(95),
    [aux_sym_comparison_operator_token32] = ACTIONS(95),
    [aux_sym_comparison_operator_token33] = ACTIONS(95),
    [aux_sym_comparison_operator_token34] = ACTIONS(97),
    [aux_sym_comparison_operator_token35] = ACTIONS(95),
    [aux_sym_comparison_operator_token36] = ACTIONS(95),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token38] = ACTIONS(95),
    [aux_sym_comparison_operator_token39] = ACTIONS(95),
    [aux_sym_comparison_operator_token40] = ACTIONS(95),
    [aux_sym_comparison_operator_token41] = ACTIONS(95),
    [aux_sym_comparison_operator_token42] = ACTIONS(95),
    [aux_sym_comparison_operator_token43] = ACTIONS(95),
    [aux_sym_comparison_operator_token44] = ACTIONS(95),
    [aux_sym_comparison_operator_token45] = ACTIONS(95),
    [aux_sym_comparison_operator_token46] = ACTIONS(95),
    [aux_sym_comparison_operator_token47] = ACTIONS(95),
    [aux_sym_comparison_operator_token48] = ACTIONS(95),
    [aux_sym_comparison_operator_token49] = ACTIONS(95),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [aux_sym_format_operator_token1] = ACTIONS(95),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(95),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PERCENT] = ACTIONS(95),
    [aux_sym_logical_expression_token1] = ACTIONS(95),
    [aux_sym_logical_expression_token2] = ACTIONS(95),
    [aux_sym_logical_expression_token3] = ACTIONS(95),
    [aux_sym_bitwise_expression_token1] = ACTIONS(95),
    [aux_sym_bitwise_expression_token2] = ACTIONS(95),
    [aux_sym_bitwise_expression_token3] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [anon_sym_SLASH] = ACTIONS(95),
    [anon_sym_BSLASH] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(95),
    [anon_sym_DOT_DOT] = ACTIONS(95),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(95),
    [anon_sym_RBRACK] = ACTIONS(95),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
  },
  [77] = {
    [sym__literal] = STATE(291),
    [sym_integer_literal] = STATE(291),
    [sym_string_literal] = STATE(291),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(291),
    [sym_unary_expression] = STATE(106),
    [sym_expression_with_unary_operator] = STATE(95),
    [sym_pre_increment_expression] = STATE(96),
    [sym_pre_decrement_expression] = STATE(96),
    [sym_cast_expression] = STATE(96),
    [sym__primary_expression] = STATE(291),
    [sym__value] = STATE(291),
    [sym_parenthesized_expression] = STATE(291),
    [sym_sub_expression] = STATE(291),
    [sym_array_expression] = STATE(291),
    [sym_script_block_expression] = STATE(291),
    [sym_hash_literal_expression] = STATE(291),
    [sym_post_increment_expression] = STATE(291),
    [sym_post_decrement_expression] = STATE(291),
    [sym_member_access] = STATE(291),
    [sym_element_access] = STATE(291),
    [sym_invokation_expression] = STATE(291),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(77),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(491),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token1] = ACTIONS(95),
    [aux_sym_comparison_operator_token2] = ACTIONS(95),
    [aux_sym_comparison_operator_token3] = ACTIONS(95),
    [aux_sym_comparison_operator_token4] = ACTIONS(95),
    [aux_sym_comparison_operator_token5] = ACTIONS(95),
    [aux_sym_comparison_operator_token6] = ACTIONS(95),
    [aux_sym_comparison_operator_token7] = ACTIONS(95),
    [aux_sym_comparison_operator_token8] = ACTIONS(95),
    [aux_sym_comparison_operator_token9] = ACTIONS(95),
    [aux_sym_comparison_operator_token10] = ACTIONS(95),
    [aux_sym_comparison_operator_token11] = ACTIONS(95),
    [aux_sym_comparison_operator_token12] = ACTIONS(95),
    [aux_sym_comparison_operator_token13] = ACTIONS(95),
    [aux_sym_comparison_operator_token14] = ACTIONS(95),
    [aux_sym_comparison_operator_token15] = ACTIONS(95),
    [aux_sym_comparison_operator_token16] = ACTIONS(95),
    [aux_sym_comparison_operator_token17] = ACTIONS(95),
    [aux_sym_comparison_operator_token18] = ACTIONS(95),
    [aux_sym_comparison_operator_token19] = ACTIONS(95),
    [aux_sym_comparison_operator_token20] = ACTIONS(95),
    [aux_sym_comparison_operator_token21] = ACTIONS(95),
    [aux_sym_comparison_operator_token22] = ACTIONS(95),
    [aux_sym_comparison_operator_token23] = ACTIONS(95),
    [aux_sym_comparison_operator_token24] = ACTIONS(95),
    [aux_sym_comparison_operator_token25] = ACTIONS(95),
    [aux_sym_comparison_operator_token26] = ACTIONS(95),
    [aux_sym_comparison_operator_token27] = ACTIONS(95),
    [aux_sym_comparison_operator_token28] = ACTIONS(97),
    [aux_sym_comparison_operator_token29] = ACTIONS(95),
    [aux_sym_comparison_operator_token30] = ACTIONS(95),
    [aux_sym_comparison_operator_token31] = ACTIONS(95),
    [aux_sym_comparison_operator_token32] = ACTIONS(95),
    [aux_sym_comparison_operator_token33] = ACTIONS(95),
    [aux_sym_comparison_operator_token34] = ACTIONS(97),
    [aux_sym_comparison_operator_token35] = ACTIONS(95),
    [aux_sym_comparison_operator_token36] = ACTIONS(95),
    [aux_sym_comparison_operator_token37] = ACTIONS(493),
    [aux_sym_comparison_operator_token38] = ACTIONS(95),
    [aux_sym_comparison_operator_token39] = ACTIONS(95),
    [aux_sym_comparison_operator_token40] = ACTIONS(95),
    [aux_sym_comparison_operator_token41] = ACTIONS(95),
    [aux_sym_comparison_operator_token42] = ACTIONS(95),
    [aux_sym_comparison_operator_token43] = ACTIONS(95),
    [aux_sym_comparison_operator_token44] = ACTIONS(95),
    [aux_sym_comparison_operator_token45] = ACTIONS(95),
    [aux_sym_comparison_operator_token46] = ACTIONS(95),
    [aux_sym_comparison_operator_token47] = ACTIONS(95),
    [aux_sym_comparison_operator_token48] = ACTIONS(95),
    [aux_sym_comparison_operator_token49] = ACTIONS(95),
    [aux_sym_comparison_operator_token50] = ACTIONS(493),
    [aux_sym_format_operator_token1] = ACTIONS(95),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(95),
    [anon_sym_COMMA] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PERCENT] = ACTIONS(95),
    [aux_sym_logical_expression_token1] = ACTIONS(95),
    [aux_sym_logical_expression_token2] = ACTIONS(95),
    [aux_sym_logical_expression_token3] = ACTIONS(95),
    [aux_sym_bitwise_expression_token1] = ACTIONS(95),
    [aux_sym_bitwise_expression_token2] = ACTIONS(95),
    [aux_sym_bitwise_expression_token3] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(495),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_SLASH] = ACTIONS(95),
    [anon_sym_BSLASH] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(95),
    [anon_sym_DOT_DOT] = ACTIONS(95),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(493),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(493),
    [anon_sym_PLUS_PLUS] = ACTIONS(497),
    [anon_sym_DASH_DASH] = ACTIONS(499),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(95),
    [anon_sym_RBRACK] = ACTIONS(95),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
  },
  [78] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym__statement] = STATE(2111),
    [sym_empty_statement] = STATE(2111),
    [sym_if_statement] = STATE(2111),
    [sym__labeled_statement] = STATE(2111),
    [sym_switch_statement] = STATE(2111),
    [sym_foreach_statement] = STATE(2111),
    [sym_for_statement] = STATE(2111),
    [sym_while_statement] = STATE(2111),
    [sym_do_statement] = STATE(2111),
    [sym_function_statement] = STATE(2111),
    [sym_flow_control_statement] = STATE(1937),
    [sym_trap_statement] = STATE(2111),
    [sym_try_statement] = STATE(2111),
    [sym_data_statement] = STATE(2111),
    [sym_inlinescript_statement] = STATE(2111),
    [sym_parallel_statement] = STATE(2111),
    [sym_sequence_statement] = STATE(2111),
    [sym_pipeline] = STATE(1937),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(2111),
    [sym_enum_statement] = STATE(2111),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(503),
    [aux_sym_switch_statement_token1] = ACTIONS(505),
    [aux_sym_foreach_statement_token1] = ACTIONS(507),
    [aux_sym_for_statement_token1] = ACTIONS(509),
    [aux_sym_while_statement_token1] = ACTIONS(511),
    [aux_sym_do_statement_token1] = ACTIONS(513),
    [aux_sym_function_statement_token1] = ACTIONS(515),
    [aux_sym_function_statement_token2] = ACTIONS(515),
    [aux_sym_function_statement_token3] = ACTIONS(515),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(517),
    [aux_sym_trap_statement_token1] = ACTIONS(519),
    [aux_sym_try_statement_token1] = ACTIONS(521),
    [aux_sym_data_statement_token1] = ACTIONS(523),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(525),
    [aux_sym_parallel_statement_token1] = ACTIONS(527),
    [aux_sym_sequence_statement_token1] = ACTIONS(529),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(531),
    [aux_sym_enum_statement_token1] = ACTIONS(533),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [79] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym__statement] = STATE(1833),
    [sym_empty_statement] = STATE(1833),
    [sym_if_statement] = STATE(1833),
    [sym__labeled_statement] = STATE(1833),
    [sym_switch_statement] = STATE(1833),
    [sym_foreach_statement] = STATE(1833),
    [sym_for_statement] = STATE(1833),
    [sym_while_statement] = STATE(1833),
    [sym_do_statement] = STATE(1833),
    [sym_function_statement] = STATE(1833),
    [sym_flow_control_statement] = STATE(1796),
    [sym_trap_statement] = STATE(1833),
    [sym_try_statement] = STATE(1833),
    [sym_data_statement] = STATE(1833),
    [sym_inlinescript_statement] = STATE(1833),
    [sym_parallel_statement] = STATE(1833),
    [sym_sequence_statement] = STATE(1833),
    [sym_pipeline] = STATE(1796),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(1833),
    [sym_enum_statement] = STATE(1833),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(535),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(537),
    [aux_sym_switch_statement_token1] = ACTIONS(539),
    [aux_sym_foreach_statement_token1] = ACTIONS(541),
    [aux_sym_for_statement_token1] = ACTIONS(543),
    [aux_sym_while_statement_token1] = ACTIONS(545),
    [aux_sym_do_statement_token1] = ACTIONS(547),
    [aux_sym_function_statement_token1] = ACTIONS(549),
    [aux_sym_function_statement_token2] = ACTIONS(549),
    [aux_sym_function_statement_token3] = ACTIONS(549),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(551),
    [aux_sym_trap_statement_token1] = ACTIONS(553),
    [aux_sym_try_statement_token1] = ACTIONS(555),
    [aux_sym_data_statement_token1] = ACTIONS(557),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(559),
    [aux_sym_parallel_statement_token1] = ACTIONS(561),
    [aux_sym_sequence_statement_token1] = ACTIONS(563),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(565),
    [aux_sym_enum_statement_token1] = ACTIONS(567),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [80] = {
    [sym__literal] = STATE(294),
    [sym_integer_literal] = STATE(294),
    [sym_string_literal] = STATE(294),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(294),
    [sym_unary_expression] = STATE(175),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(294),
    [sym__value] = STATE(294),
    [sym_parenthesized_expression] = STATE(294),
    [sym_sub_expression] = STATE(294),
    [sym_array_expression] = STATE(294),
    [sym_script_block_expression] = STATE(294),
    [sym_hash_literal_expression] = STATE(294),
    [sym_post_increment_expression] = STATE(294),
    [sym_post_decrement_expression] = STATE(294),
    [sym_member_access] = STATE(294),
    [sym_element_access] = STATE(294),
    [sym_invokation_expression] = STATE(294),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(80),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(83),
    [sym_real_literal] = ACTIONS(569),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(87),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(89),
    [sym_verbatim_string_characters] = ACTIONS(91),
    [sym_verbatim_here_string_characters] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(571),
    [aux_sym_comparison_operator_token1] = ACTIONS(95),
    [aux_sym_comparison_operator_token2] = ACTIONS(95),
    [aux_sym_comparison_operator_token3] = ACTIONS(95),
    [aux_sym_comparison_operator_token4] = ACTIONS(95),
    [aux_sym_comparison_operator_token5] = ACTIONS(95),
    [aux_sym_comparison_operator_token6] = ACTIONS(95),
    [aux_sym_comparison_operator_token7] = ACTIONS(95),
    [aux_sym_comparison_operator_token8] = ACTIONS(95),
    [aux_sym_comparison_operator_token9] = ACTIONS(95),
    [aux_sym_comparison_operator_token10] = ACTIONS(95),
    [aux_sym_comparison_operator_token11] = ACTIONS(95),
    [aux_sym_comparison_operator_token12] = ACTIONS(95),
    [aux_sym_comparison_operator_token13] = ACTIONS(95),
    [aux_sym_comparison_operator_token14] = ACTIONS(95),
    [aux_sym_comparison_operator_token15] = ACTIONS(95),
    [aux_sym_comparison_operator_token16] = ACTIONS(95),
    [aux_sym_comparison_operator_token17] = ACTIONS(95),
    [aux_sym_comparison_operator_token18] = ACTIONS(95),
    [aux_sym_comparison_operator_token19] = ACTIONS(95),
    [aux_sym_comparison_operator_token20] = ACTIONS(95),
    [aux_sym_comparison_operator_token21] = ACTIONS(95),
    [aux_sym_comparison_operator_token22] = ACTIONS(95),
    [aux_sym_comparison_operator_token23] = ACTIONS(95),
    [aux_sym_comparison_operator_token24] = ACTIONS(95),
    [aux_sym_comparison_operator_token25] = ACTIONS(95),
    [aux_sym_comparison_operator_token26] = ACTIONS(95),
    [aux_sym_comparison_operator_token27] = ACTIONS(95),
    [aux_sym_comparison_operator_token28] = ACTIONS(97),
    [aux_sym_comparison_operator_token29] = ACTIONS(95),
    [aux_sym_comparison_operator_token30] = ACTIONS(95),
    [aux_sym_comparison_operator_token31] = ACTIONS(95),
    [aux_sym_comparison_operator_token32] = ACTIONS(95),
    [aux_sym_comparison_operator_token33] = ACTIONS(95),
    [aux_sym_comparison_operator_token34] = ACTIONS(97),
    [aux_sym_comparison_operator_token35] = ACTIONS(95),
    [aux_sym_comparison_operator_token36] = ACTIONS(95),
    [aux_sym_comparison_operator_token37] = ACTIONS(573),
    [aux_sym_comparison_operator_token38] = ACTIONS(95),
    [aux_sym_comparison_operator_token39] = ACTIONS(95),
    [aux_sym_comparison_operator_token40] = ACTIONS(95),
    [aux_sym_comparison_operator_token41] = ACTIONS(95),
    [aux_sym_comparison_operator_token42] = ACTIONS(95),
    [aux_sym_comparison_operator_token43] = ACTIONS(95),
    [aux_sym_comparison_operator_token44] = ACTIONS(95),
    [aux_sym_comparison_operator_token45] = ACTIONS(95),
    [aux_sym_comparison_operator_token46] = ACTIONS(95),
    [aux_sym_comparison_operator_token47] = ACTIONS(95),
    [aux_sym_comparison_operator_token48] = ACTIONS(95),
    [aux_sym_comparison_operator_token49] = ACTIONS(95),
    [aux_sym_comparison_operator_token50] = ACTIONS(573),
    [aux_sym_format_operator_token1] = ACTIONS(95),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(101),
    [anon_sym_DOLLAR_CARET] = ACTIONS(101),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(101),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(101),
    [sym_braced_variable] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_COMMA] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_PERCENT] = ACTIONS(95),
    [aux_sym_logical_expression_token1] = ACTIONS(95),
    [aux_sym_logical_expression_token2] = ACTIONS(95),
    [aux_sym_logical_expression_token3] = ACTIONS(95),
    [aux_sym_bitwise_expression_token1] = ACTIONS(95),
    [aux_sym_bitwise_expression_token2] = ACTIONS(95),
    [aux_sym_bitwise_expression_token3] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_SLASH] = ACTIONS(95),
    [anon_sym_BSLASH] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(95),
    [anon_sym_DOT_DOT] = ACTIONS(95),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(573),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(573),
    [anon_sym_PLUS_PLUS] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(113),
    [anon_sym_AT_LPAREN] = ACTIONS(115),
    [anon_sym_AT_LBRACE] = ACTIONS(117),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(95),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
    [sym__statement_terminator] = ACTIONS(95),
  },
  [81] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym__statement] = STATE(1918),
    [sym_empty_statement] = STATE(1918),
    [sym_if_statement] = STATE(1918),
    [sym__labeled_statement] = STATE(1918),
    [sym_switch_statement] = STATE(1918),
    [sym_foreach_statement] = STATE(1918),
    [sym_for_statement] = STATE(1918),
    [sym_while_statement] = STATE(1918),
    [sym_do_statement] = STATE(1918),
    [sym_function_statement] = STATE(1918),
    [sym_flow_control_statement] = STATE(1796),
    [sym_trap_statement] = STATE(1918),
    [sym_try_statement] = STATE(1918),
    [sym_data_statement] = STATE(1918),
    [sym_inlinescript_statement] = STATE(1918),
    [sym_parallel_statement] = STATE(1918),
    [sym_sequence_statement] = STATE(1918),
    [sym_pipeline] = STATE(1796),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym_class_statement] = STATE(1918),
    [sym_enum_statement] = STATE(1918),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(535),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_if_statement_token1] = ACTIONS(537),
    [aux_sym_switch_statement_token1] = ACTIONS(539),
    [aux_sym_foreach_statement_token1] = ACTIONS(541),
    [aux_sym_for_statement_token1] = ACTIONS(543),
    [aux_sym_while_statement_token1] = ACTIONS(545),
    [aux_sym_do_statement_token1] = ACTIONS(547),
    [aux_sym_function_statement_token1] = ACTIONS(549),
    [aux_sym_function_statement_token2] = ACTIONS(549),
    [aux_sym_function_statement_token3] = ACTIONS(549),
    [aux_sym_flow_control_statement_token1] = ACTIONS(45),
    [aux_sym_flow_control_statement_token2] = ACTIONS(45),
    [aux_sym_flow_control_statement_token3] = ACTIONS(47),
    [aux_sym_flow_control_statement_token4] = ACTIONS(47),
    [aux_sym_flow_control_statement_token5] = ACTIONS(47),
    [sym_label] = ACTIONS(551),
    [aux_sym_trap_statement_token1] = ACTIONS(553),
    [aux_sym_try_statement_token1] = ACTIONS(555),
    [aux_sym_data_statement_token1] = ACTIONS(557),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(559),
    [aux_sym_parallel_statement_token1] = ACTIONS(561),
    [aux_sym_sequence_statement_token1] = ACTIONS(563),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [aux_sym_class_statement_token1] = ACTIONS(565),
    [aux_sym_enum_statement_token1] = ACTIONS(567),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [82] = {
    [sym__literal] = STATE(293),
    [sym_integer_literal] = STATE(293),
    [sym_string_literal] = STATE(293),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(293),
    [sym_unary_expression] = STATE(123),
    [sym_expression_with_unary_operator] = STATE(126),
    [sym_pre_increment_expression] = STATE(150),
    [sym_pre_decrement_expression] = STATE(150),
    [sym_cast_expression] = STATE(150),
    [sym__primary_expression] = STATE(293),
    [sym__value] = STATE(293),
    [sym_parenthesized_expression] = STATE(293),
    [sym_sub_expression] = STATE(293),
    [sym_array_expression] = STATE(293),
    [sym_script_block_expression] = STATE(293),
    [sym_hash_literal_expression] = STATE(293),
    [sym_post_increment_expression] = STATE(293),
    [sym_post_decrement_expression] = STATE(293),
    [sym_member_access] = STATE(293),
    [sym_element_access] = STATE(293),
    [sym_invokation_expression] = STATE(293),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(82),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(83),
    [sym_real_literal] = ACTIONS(581),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(87),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(89),
    [sym_verbatim_string_characters] = ACTIONS(91),
    [sym_verbatim_here_string_characters] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(571),
    [aux_sym_comparison_operator_token1] = ACTIONS(95),
    [aux_sym_comparison_operator_token2] = ACTIONS(95),
    [aux_sym_comparison_operator_token3] = ACTIONS(95),
    [aux_sym_comparison_operator_token4] = ACTIONS(95),
    [aux_sym_comparison_operator_token5] = ACTIONS(95),
    [aux_sym_comparison_operator_token6] = ACTIONS(95),
    [aux_sym_comparison_operator_token7] = ACTIONS(95),
    [aux_sym_comparison_operator_token8] = ACTIONS(95),
    [aux_sym_comparison_operator_token9] = ACTIONS(95),
    [aux_sym_comparison_operator_token10] = ACTIONS(95),
    [aux_sym_comparison_operator_token11] = ACTIONS(95),
    [aux_sym_comparison_operator_token12] = ACTIONS(95),
    [aux_sym_comparison_operator_token13] = ACTIONS(95),
    [aux_sym_comparison_operator_token14] = ACTIONS(95),
    [aux_sym_comparison_operator_token15] = ACTIONS(95),
    [aux_sym_comparison_operator_token16] = ACTIONS(95),
    [aux_sym_comparison_operator_token17] = ACTIONS(95),
    [aux_sym_comparison_operator_token18] = ACTIONS(95),
    [aux_sym_comparison_operator_token19] = ACTIONS(95),
    [aux_sym_comparison_operator_token20] = ACTIONS(95),
    [aux_sym_comparison_operator_token21] = ACTIONS(95),
    [aux_sym_comparison_operator_token22] = ACTIONS(95),
    [aux_sym_comparison_operator_token23] = ACTIONS(95),
    [aux_sym_comparison_operator_token24] = ACTIONS(95),
    [aux_sym_comparison_operator_token25] = ACTIONS(95),
    [aux_sym_comparison_operator_token26] = ACTIONS(95),
    [aux_sym_comparison_operator_token27] = ACTIONS(95),
    [aux_sym_comparison_operator_token28] = ACTIONS(97),
    [aux_sym_comparison_operator_token29] = ACTIONS(95),
    [aux_sym_comparison_operator_token30] = ACTIONS(95),
    [aux_sym_comparison_operator_token31] = ACTIONS(95),
    [aux_sym_comparison_operator_token32] = ACTIONS(95),
    [aux_sym_comparison_operator_token33] = ACTIONS(95),
    [aux_sym_comparison_operator_token34] = ACTIONS(97),
    [aux_sym_comparison_operator_token35] = ACTIONS(95),
    [aux_sym_comparison_operator_token36] = ACTIONS(95),
    [aux_sym_comparison_operator_token37] = ACTIONS(583),
    [aux_sym_comparison_operator_token38] = ACTIONS(95),
    [aux_sym_comparison_operator_token39] = ACTIONS(95),
    [aux_sym_comparison_operator_token40] = ACTIONS(95),
    [aux_sym_comparison_operator_token41] = ACTIONS(95),
    [aux_sym_comparison_operator_token42] = ACTIONS(95),
    [aux_sym_comparison_operator_token43] = ACTIONS(95),
    [aux_sym_comparison_operator_token44] = ACTIONS(95),
    [aux_sym_comparison_operator_token45] = ACTIONS(95),
    [aux_sym_comparison_operator_token46] = ACTIONS(95),
    [aux_sym_comparison_operator_token47] = ACTIONS(95),
    [aux_sym_comparison_operator_token48] = ACTIONS(95),
    [aux_sym_comparison_operator_token49] = ACTIONS(95),
    [aux_sym_comparison_operator_token50] = ACTIONS(583),
    [aux_sym_format_operator_token1] = ACTIONS(95),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(101),
    [anon_sym_DOLLAR_CARET] = ACTIONS(101),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(101),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(101),
    [sym_braced_variable] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_COMMA] = ACTIONS(583),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_PERCENT] = ACTIONS(95),
    [aux_sym_logical_expression_token1] = ACTIONS(95),
    [aux_sym_logical_expression_token2] = ACTIONS(95),
    [aux_sym_logical_expression_token3] = ACTIONS(95),
    [aux_sym_bitwise_expression_token1] = ACTIONS(95),
    [aux_sym_bitwise_expression_token2] = ACTIONS(95),
    [aux_sym_bitwise_expression_token3] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(585),
    [anon_sym_DASH] = ACTIONS(585),
    [anon_sym_SLASH] = ACTIONS(95),
    [anon_sym_BSLASH] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(95),
    [anon_sym_DOT_DOT] = ACTIONS(95),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(585),
    [anon_sym_BANG] = ACTIONS(583),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(587),
    [anon_sym_DASH_DASH] = ACTIONS(589),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(113),
    [anon_sym_AT_LPAREN] = ACTIONS(115),
    [anon_sym_AT_LBRACE] = ACTIONS(117),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(95),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
    [sym__statement_terminator] = ACTIONS(95),
  },
  [83] = {
    [sym_argument_list] = STATE(117),
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_EQ] = ACTIONS(591),
    [anon_sym_BANG_EQ] = ACTIONS(591),
    [anon_sym_PLUS_EQ] = ACTIONS(591),
    [anon_sym_STAR_EQ] = ACTIONS(591),
    [anon_sym_SLASH_EQ] = ACTIONS(591),
    [anon_sym_PERCENT_EQ] = ACTIONS(591),
    [anon_sym_GT] = ACTIONS(593),
    [anon_sym_GT_GT] = ACTIONS(591),
    [anon_sym_2_GT] = ACTIONS(593),
    [anon_sym_2_GT_GT] = ACTIONS(591),
    [anon_sym_3_GT] = ACTIONS(593),
    [anon_sym_3_GT_GT] = ACTIONS(591),
    [anon_sym_4_GT] = ACTIONS(593),
    [anon_sym_4_GT_GT] = ACTIONS(591),
    [anon_sym_5_GT] = ACTIONS(593),
    [anon_sym_5_GT_GT] = ACTIONS(591),
    [anon_sym_6_GT] = ACTIONS(593),
    [anon_sym_6_GT_GT] = ACTIONS(591),
    [anon_sym_STAR_GT] = ACTIONS(593),
    [anon_sym_STAR_GT_GT] = ACTIONS(591),
    [anon_sym_LT] = ACTIONS(593),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(591),
    [anon_sym_2_GT_AMP1] = ACTIONS(591),
    [anon_sym_3_GT_AMP1] = ACTIONS(591),
    [anon_sym_4_GT_AMP1] = ACTIONS(591),
    [anon_sym_5_GT_AMP1] = ACTIONS(591),
    [anon_sym_6_GT_AMP1] = ACTIONS(591),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(591),
    [anon_sym_1_GT_AMP2] = ACTIONS(591),
    [anon_sym_3_GT_AMP2] = ACTIONS(591),
    [anon_sym_4_GT_AMP2] = ACTIONS(591),
    [anon_sym_5_GT_AMP2] = ACTIONS(591),
    [anon_sym_6_GT_AMP2] = ACTIONS(591),
    [aux_sym_comparison_operator_token1] = ACTIONS(591),
    [aux_sym_comparison_operator_token2] = ACTIONS(591),
    [aux_sym_comparison_operator_token3] = ACTIONS(591),
    [aux_sym_comparison_operator_token4] = ACTIONS(591),
    [aux_sym_comparison_operator_token5] = ACTIONS(591),
    [aux_sym_comparison_operator_token6] = ACTIONS(591),
    [aux_sym_comparison_operator_token7] = ACTIONS(591),
    [aux_sym_comparison_operator_token8] = ACTIONS(591),
    [aux_sym_comparison_operator_token9] = ACTIONS(591),
    [aux_sym_comparison_operator_token10] = ACTIONS(591),
    [aux_sym_comparison_operator_token11] = ACTIONS(591),
    [aux_sym_comparison_operator_token12] = ACTIONS(591),
    [aux_sym_comparison_operator_token13] = ACTIONS(591),
    [aux_sym_comparison_operator_token14] = ACTIONS(591),
    [aux_sym_comparison_operator_token15] = ACTIONS(591),
    [aux_sym_comparison_operator_token16] = ACTIONS(591),
    [aux_sym_comparison_operator_token17] = ACTIONS(591),
    [aux_sym_comparison_operator_token18] = ACTIONS(591),
    [aux_sym_comparison_operator_token19] = ACTIONS(591),
    [aux_sym_comparison_operator_token20] = ACTIONS(591),
    [aux_sym_comparison_operator_token21] = ACTIONS(591),
    [aux_sym_comparison_operator_token22] = ACTIONS(591),
    [aux_sym_comparison_operator_token23] = ACTIONS(591),
    [aux_sym_comparison_operator_token24] = ACTIONS(591),
    [aux_sym_comparison_operator_token25] = ACTIONS(591),
    [aux_sym_comparison_operator_token26] = ACTIONS(591),
    [aux_sym_comparison_operator_token27] = ACTIONS(591),
    [aux_sym_comparison_operator_token28] = ACTIONS(593),
    [aux_sym_comparison_operator_token29] = ACTIONS(591),
    [aux_sym_comparison_operator_token30] = ACTIONS(591),
    [aux_sym_comparison_operator_token31] = ACTIONS(591),
    [aux_sym_comparison_operator_token32] = ACTIONS(591),
    [aux_sym_comparison_operator_token33] = ACTIONS(591),
    [aux_sym_comparison_operator_token34] = ACTIONS(593),
    [aux_sym_comparison_operator_token35] = ACTIONS(591),
    [aux_sym_comparison_operator_token36] = ACTIONS(591),
    [aux_sym_comparison_operator_token37] = ACTIONS(591),
    [aux_sym_comparison_operator_token38] = ACTIONS(591),
    [aux_sym_comparison_operator_token39] = ACTIONS(591),
    [aux_sym_comparison_operator_token40] = ACTIONS(591),
    [aux_sym_comparison_operator_token41] = ACTIONS(591),
    [aux_sym_comparison_operator_token42] = ACTIONS(591),
    [aux_sym_comparison_operator_token43] = ACTIONS(591),
    [aux_sym_comparison_operator_token44] = ACTIONS(591),
    [aux_sym_comparison_operator_token45] = ACTIONS(591),
    [aux_sym_comparison_operator_token46] = ACTIONS(591),
    [aux_sym_comparison_operator_token47] = ACTIONS(591),
    [aux_sym_comparison_operator_token48] = ACTIONS(591),
    [aux_sym_comparison_operator_token49] = ACTIONS(591),
    [aux_sym_comparison_operator_token50] = ACTIONS(591),
    [aux_sym_format_operator_token1] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(591),
    [anon_sym_RPAREN] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(591),
    [anon_sym_PIPE] = ACTIONS(591),
    [anon_sym_PERCENT] = ACTIONS(593),
    [aux_sym_logical_expression_token1] = ACTIONS(591),
    [aux_sym_logical_expression_token2] = ACTIONS(591),
    [aux_sym_logical_expression_token3] = ACTIONS(591),
    [aux_sym_bitwise_expression_token1] = ACTIONS(591),
    [aux_sym_bitwise_expression_token2] = ACTIONS(591),
    [aux_sym_bitwise_expression_token3] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_SLASH] = ACTIONS(593),
    [anon_sym_BSLASH] = ACTIONS(591),
    [anon_sym_STAR] = ACTIONS(593),
    [anon_sym_DOT_DOT] = ACTIONS(591),
    [anon_sym_PLUS_PLUS] = ACTIONS(591),
    [anon_sym_DASH_DASH] = ACTIONS(591),
    [anon_sym_DOT2] = ACTIONS(593),
    [anon_sym_COLON_COLON] = ACTIONS(591),
    [anon_sym_RBRACK] = ACTIONS(591),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(591),
  },
  [84] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_EQ] = ACTIONS(595),
    [anon_sym_BANG_EQ] = ACTIONS(595),
    [anon_sym_PLUS_EQ] = ACTIONS(595),
    [anon_sym_STAR_EQ] = ACTIONS(595),
    [anon_sym_SLASH_EQ] = ACTIONS(595),
    [anon_sym_PERCENT_EQ] = ACTIONS(595),
    [anon_sym_GT] = ACTIONS(597),
    [anon_sym_GT_GT] = ACTIONS(595),
    [anon_sym_2_GT] = ACTIONS(597),
    [anon_sym_2_GT_GT] = ACTIONS(595),
    [anon_sym_3_GT] = ACTIONS(597),
    [anon_sym_3_GT_GT] = ACTIONS(595),
    [anon_sym_4_GT] = ACTIONS(597),
    [anon_sym_4_GT_GT] = ACTIONS(595),
    [anon_sym_5_GT] = ACTIONS(597),
    [anon_sym_5_GT_GT] = ACTIONS(595),
    [anon_sym_6_GT] = ACTIONS(597),
    [anon_sym_6_GT_GT] = ACTIONS(595),
    [anon_sym_STAR_GT] = ACTIONS(597),
    [anon_sym_STAR_GT_GT] = ACTIONS(595),
    [anon_sym_LT] = ACTIONS(597),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(595),
    [anon_sym_2_GT_AMP1] = ACTIONS(595),
    [anon_sym_3_GT_AMP1] = ACTIONS(595),
    [anon_sym_4_GT_AMP1] = ACTIONS(595),
    [anon_sym_5_GT_AMP1] = ACTIONS(595),
    [anon_sym_6_GT_AMP1] = ACTIONS(595),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(595),
    [anon_sym_1_GT_AMP2] = ACTIONS(595),
    [anon_sym_3_GT_AMP2] = ACTIONS(595),
    [anon_sym_4_GT_AMP2] = ACTIONS(595),
    [anon_sym_5_GT_AMP2] = ACTIONS(595),
    [anon_sym_6_GT_AMP2] = ACTIONS(595),
    [aux_sym_comparison_operator_token1] = ACTIONS(595),
    [aux_sym_comparison_operator_token2] = ACTIONS(595),
    [aux_sym_comparison_operator_token3] = ACTIONS(595),
    [aux_sym_comparison_operator_token4] = ACTIONS(595),
    [aux_sym_comparison_operator_token5] = ACTIONS(595),
    [aux_sym_comparison_operator_token6] = ACTIONS(595),
    [aux_sym_comparison_operator_token7] = ACTIONS(595),
    [aux_sym_comparison_operator_token8] = ACTIONS(595),
    [aux_sym_comparison_operator_token9] = ACTIONS(595),
    [aux_sym_comparison_operator_token10] = ACTIONS(595),
    [aux_sym_comparison_operator_token11] = ACTIONS(595),
    [aux_sym_comparison_operator_token12] = ACTIONS(595),
    [aux_sym_comparison_operator_token13] = ACTIONS(595),
    [aux_sym_comparison_operator_token14] = ACTIONS(595),
    [aux_sym_comparison_operator_token15] = ACTIONS(595),
    [aux_sym_comparison_operator_token16] = ACTIONS(595),
    [aux_sym_comparison_operator_token17] = ACTIONS(595),
    [aux_sym_comparison_operator_token18] = ACTIONS(595),
    [aux_sym_comparison_operator_token19] = ACTIONS(595),
    [aux_sym_comparison_operator_token20] = ACTIONS(595),
    [aux_sym_comparison_operator_token21] = ACTIONS(595),
    [aux_sym_comparison_operator_token22] = ACTIONS(595),
    [aux_sym_comparison_operator_token23] = ACTIONS(595),
    [aux_sym_comparison_operator_token24] = ACTIONS(595),
    [aux_sym_comparison_operator_token25] = ACTIONS(595),
    [aux_sym_comparison_operator_token26] = ACTIONS(595),
    [aux_sym_comparison_operator_token27] = ACTIONS(595),
    [aux_sym_comparison_operator_token28] = ACTIONS(597),
    [aux_sym_comparison_operator_token29] = ACTIONS(595),
    [aux_sym_comparison_operator_token30] = ACTIONS(595),
    [aux_sym_comparison_operator_token31] = ACTIONS(595),
    [aux_sym_comparison_operator_token32] = ACTIONS(595),
    [aux_sym_comparison_operator_token33] = ACTIONS(595),
    [aux_sym_comparison_operator_token34] = ACTIONS(597),
    [aux_sym_comparison_operator_token35] = ACTIONS(595),
    [aux_sym_comparison_operator_token36] = ACTIONS(595),
    [aux_sym_comparison_operator_token37] = ACTIONS(595),
    [aux_sym_comparison_operator_token38] = ACTIONS(595),
    [aux_sym_comparison_operator_token39] = ACTIONS(595),
    [aux_sym_comparison_operator_token40] = ACTIONS(595),
    [aux_sym_comparison_operator_token41] = ACTIONS(595),
    [aux_sym_comparison_operator_token42] = ACTIONS(595),
    [aux_sym_comparison_operator_token43] = ACTIONS(595),
    [aux_sym_comparison_operator_token44] = ACTIONS(595),
    [aux_sym_comparison_operator_token45] = ACTIONS(595),
    [aux_sym_comparison_operator_token46] = ACTIONS(595),
    [aux_sym_comparison_operator_token47] = ACTIONS(595),
    [aux_sym_comparison_operator_token48] = ACTIONS(595),
    [aux_sym_comparison_operator_token49] = ACTIONS(595),
    [aux_sym_comparison_operator_token50] = ACTIONS(595),
    [aux_sym_format_operator_token1] = ACTIONS(595),
    [anon_sym_LPAREN] = ACTIONS(595),
    [anon_sym_RPAREN] = ACTIONS(595),
    [anon_sym_COMMA] = ACTIONS(595),
    [aux_sym_foreach_statement_token2] = ACTIONS(595),
    [anon_sym_PIPE] = ACTIONS(595),
    [anon_sym_PERCENT] = ACTIONS(597),
    [aux_sym_logical_expression_token1] = ACTIONS(595),
    [aux_sym_logical_expression_token2] = ACTIONS(595),
    [aux_sym_logical_expression_token3] = ACTIONS(595),
    [aux_sym_bitwise_expression_token1] = ACTIONS(595),
    [aux_sym_bitwise_expression_token2] = ACTIONS(595),
    [aux_sym_bitwise_expression_token3] = ACTIONS(595),
    [anon_sym_PLUS] = ACTIONS(597),
    [anon_sym_DASH] = ACTIONS(597),
    [anon_sym_SLASH] = ACTIONS(597),
    [anon_sym_BSLASH] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(597),
    [anon_sym_DOT_DOT] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_DOT2] = ACTIONS(597),
    [anon_sym_COLON_COLON] = ACTIONS(595),
    [anon_sym_RBRACK] = ACTIONS(595),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(595),
  },
  [85] = {
    [sym_argument_list] = STATE(117),
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_EQ] = ACTIONS(591),
    [anon_sym_BANG_EQ] = ACTIONS(591),
    [anon_sym_PLUS_EQ] = ACTIONS(591),
    [anon_sym_STAR_EQ] = ACTIONS(591),
    [anon_sym_SLASH_EQ] = ACTIONS(591),
    [anon_sym_PERCENT_EQ] = ACTIONS(591),
    [anon_sym_GT] = ACTIONS(593),
    [anon_sym_GT_GT] = ACTIONS(591),
    [anon_sym_2_GT] = ACTIONS(593),
    [anon_sym_2_GT_GT] = ACTIONS(591),
    [anon_sym_3_GT] = ACTIONS(593),
    [anon_sym_3_GT_GT] = ACTIONS(591),
    [anon_sym_4_GT] = ACTIONS(593),
    [anon_sym_4_GT_GT] = ACTIONS(591),
    [anon_sym_5_GT] = ACTIONS(593),
    [anon_sym_5_GT_GT] = ACTIONS(591),
    [anon_sym_6_GT] = ACTIONS(593),
    [anon_sym_6_GT_GT] = ACTIONS(591),
    [anon_sym_STAR_GT] = ACTIONS(593),
    [anon_sym_STAR_GT_GT] = ACTIONS(591),
    [anon_sym_LT] = ACTIONS(593),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(591),
    [anon_sym_2_GT_AMP1] = ACTIONS(591),
    [anon_sym_3_GT_AMP1] = ACTIONS(591),
    [anon_sym_4_GT_AMP1] = ACTIONS(591),
    [anon_sym_5_GT_AMP1] = ACTIONS(591),
    [anon_sym_6_GT_AMP1] = ACTIONS(591),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(591),
    [anon_sym_1_GT_AMP2] = ACTIONS(591),
    [anon_sym_3_GT_AMP2] = ACTIONS(591),
    [anon_sym_4_GT_AMP2] = ACTIONS(591),
    [anon_sym_5_GT_AMP2] = ACTIONS(591),
    [anon_sym_6_GT_AMP2] = ACTIONS(591),
    [aux_sym_comparison_operator_token1] = ACTIONS(591),
    [aux_sym_comparison_operator_token2] = ACTIONS(591),
    [aux_sym_comparison_operator_token3] = ACTIONS(591),
    [aux_sym_comparison_operator_token4] = ACTIONS(591),
    [aux_sym_comparison_operator_token5] = ACTIONS(591),
    [aux_sym_comparison_operator_token6] = ACTIONS(591),
    [aux_sym_comparison_operator_token7] = ACTIONS(591),
    [aux_sym_comparison_operator_token8] = ACTIONS(591),
    [aux_sym_comparison_operator_token9] = ACTIONS(591),
    [aux_sym_comparison_operator_token10] = ACTIONS(591),
    [aux_sym_comparison_operator_token11] = ACTIONS(591),
    [aux_sym_comparison_operator_token12] = ACTIONS(591),
    [aux_sym_comparison_operator_token13] = ACTIONS(591),
    [aux_sym_comparison_operator_token14] = ACTIONS(591),
    [aux_sym_comparison_operator_token15] = ACTIONS(591),
    [aux_sym_comparison_operator_token16] = ACTIONS(591),
    [aux_sym_comparison_operator_token17] = ACTIONS(591),
    [aux_sym_comparison_operator_token18] = ACTIONS(591),
    [aux_sym_comparison_operator_token19] = ACTIONS(591),
    [aux_sym_comparison_operator_token20] = ACTIONS(591),
    [aux_sym_comparison_operator_token21] = ACTIONS(591),
    [aux_sym_comparison_operator_token22] = ACTIONS(591),
    [aux_sym_comparison_operator_token23] = ACTIONS(591),
    [aux_sym_comparison_operator_token24] = ACTIONS(591),
    [aux_sym_comparison_operator_token25] = ACTIONS(591),
    [aux_sym_comparison_operator_token26] = ACTIONS(591),
    [aux_sym_comparison_operator_token27] = ACTIONS(591),
    [aux_sym_comparison_operator_token28] = ACTIONS(593),
    [aux_sym_comparison_operator_token29] = ACTIONS(591),
    [aux_sym_comparison_operator_token30] = ACTIONS(591),
    [aux_sym_comparison_operator_token31] = ACTIONS(591),
    [aux_sym_comparison_operator_token32] = ACTIONS(591),
    [aux_sym_comparison_operator_token33] = ACTIONS(591),
    [aux_sym_comparison_operator_token34] = ACTIONS(593),
    [aux_sym_comparison_operator_token35] = ACTIONS(591),
    [aux_sym_comparison_operator_token36] = ACTIONS(591),
    [aux_sym_comparison_operator_token37] = ACTIONS(591),
    [aux_sym_comparison_operator_token38] = ACTIONS(591),
    [aux_sym_comparison_operator_token39] = ACTIONS(591),
    [aux_sym_comparison_operator_token40] = ACTIONS(591),
    [aux_sym_comparison_operator_token41] = ACTIONS(591),
    [aux_sym_comparison_operator_token42] = ACTIONS(591),
    [aux_sym_comparison_operator_token43] = ACTIONS(591),
    [aux_sym_comparison_operator_token44] = ACTIONS(591),
    [aux_sym_comparison_operator_token45] = ACTIONS(591),
    [aux_sym_comparison_operator_token46] = ACTIONS(591),
    [aux_sym_comparison_operator_token47] = ACTIONS(591),
    [aux_sym_comparison_operator_token48] = ACTIONS(591),
    [aux_sym_comparison_operator_token49] = ACTIONS(591),
    [aux_sym_comparison_operator_token50] = ACTIONS(591),
    [aux_sym_format_operator_token1] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(599),
    [anon_sym_RPAREN] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(591),
    [anon_sym_PIPE] = ACTIONS(591),
    [anon_sym_PERCENT] = ACTIONS(593),
    [aux_sym_logical_expression_token1] = ACTIONS(591),
    [aux_sym_logical_expression_token2] = ACTIONS(591),
    [aux_sym_logical_expression_token3] = ACTIONS(591),
    [aux_sym_bitwise_expression_token1] = ACTIONS(591),
    [aux_sym_bitwise_expression_token2] = ACTIONS(591),
    [aux_sym_bitwise_expression_token3] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_SLASH] = ACTIONS(593),
    [anon_sym_BSLASH] = ACTIONS(591),
    [anon_sym_STAR] = ACTIONS(593),
    [anon_sym_DOT_DOT] = ACTIONS(591),
    [anon_sym_PLUS_PLUS] = ACTIONS(591),
    [anon_sym_DASH_DASH] = ACTIONS(591),
    [anon_sym_DOT2] = ACTIONS(593),
    [anon_sym_COLON_COLON] = ACTIONS(591),
    [anon_sym_RBRACK] = ACTIONS(591),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(591),
  },
  [86] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(601),
    [anon_sym_EQ] = ACTIONS(601),
    [anon_sym_BANG_EQ] = ACTIONS(601),
    [anon_sym_PLUS_EQ] = ACTIONS(601),
    [anon_sym_STAR_EQ] = ACTIONS(601),
    [anon_sym_SLASH_EQ] = ACTIONS(601),
    [anon_sym_PERCENT_EQ] = ACTIONS(601),
    [anon_sym_GT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(601),
    [anon_sym_2_GT] = ACTIONS(603),
    [anon_sym_2_GT_GT] = ACTIONS(601),
    [anon_sym_3_GT] = ACTIONS(603),
    [anon_sym_3_GT_GT] = ACTIONS(601),
    [anon_sym_4_GT] = ACTIONS(603),
    [anon_sym_4_GT_GT] = ACTIONS(601),
    [anon_sym_5_GT] = ACTIONS(603),
    [anon_sym_5_GT_GT] = ACTIONS(601),
    [anon_sym_6_GT] = ACTIONS(603),
    [anon_sym_6_GT_GT] = ACTIONS(601),
    [anon_sym_STAR_GT] = ACTIONS(603),
    [anon_sym_STAR_GT_GT] = ACTIONS(601),
    [anon_sym_LT] = ACTIONS(603),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(601),
    [anon_sym_2_GT_AMP1] = ACTIONS(601),
    [anon_sym_3_GT_AMP1] = ACTIONS(601),
    [anon_sym_4_GT_AMP1] = ACTIONS(601),
    [anon_sym_5_GT_AMP1] = ACTIONS(601),
    [anon_sym_6_GT_AMP1] = ACTIONS(601),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(601),
    [anon_sym_1_GT_AMP2] = ACTIONS(601),
    [anon_sym_3_GT_AMP2] = ACTIONS(601),
    [anon_sym_4_GT_AMP2] = ACTIONS(601),
    [anon_sym_5_GT_AMP2] = ACTIONS(601),
    [anon_sym_6_GT_AMP2] = ACTIONS(601),
    [aux_sym_comparison_operator_token1] = ACTIONS(601),
    [aux_sym_comparison_operator_token2] = ACTIONS(601),
    [aux_sym_comparison_operator_token3] = ACTIONS(601),
    [aux_sym_comparison_operator_token4] = ACTIONS(601),
    [aux_sym_comparison_operator_token5] = ACTIONS(601),
    [aux_sym_comparison_operator_token6] = ACTIONS(601),
    [aux_sym_comparison_operator_token7] = ACTIONS(601),
    [aux_sym_comparison_operator_token8] = ACTIONS(601),
    [aux_sym_comparison_operator_token9] = ACTIONS(601),
    [aux_sym_comparison_operator_token10] = ACTIONS(601),
    [aux_sym_comparison_operator_token11] = ACTIONS(601),
    [aux_sym_comparison_operator_token12] = ACTIONS(601),
    [aux_sym_comparison_operator_token13] = ACTIONS(601),
    [aux_sym_comparison_operator_token14] = ACTIONS(601),
    [aux_sym_comparison_operator_token15] = ACTIONS(601),
    [aux_sym_comparison_operator_token16] = ACTIONS(601),
    [aux_sym_comparison_operator_token17] = ACTIONS(601),
    [aux_sym_comparison_operator_token18] = ACTIONS(601),
    [aux_sym_comparison_operator_token19] = ACTIONS(601),
    [aux_sym_comparison_operator_token20] = ACTIONS(601),
    [aux_sym_comparison_operator_token21] = ACTIONS(601),
    [aux_sym_comparison_operator_token22] = ACTIONS(601),
    [aux_sym_comparison_operator_token23] = ACTIONS(601),
    [aux_sym_comparison_operator_token24] = ACTIONS(601),
    [aux_sym_comparison_operator_token25] = ACTIONS(601),
    [aux_sym_comparison_operator_token26] = ACTIONS(601),
    [aux_sym_comparison_operator_token27] = ACTIONS(601),
    [aux_sym_comparison_operator_token28] = ACTIONS(603),
    [aux_sym_comparison_operator_token29] = ACTIONS(601),
    [aux_sym_comparison_operator_token30] = ACTIONS(601),
    [aux_sym_comparison_operator_token31] = ACTIONS(601),
    [aux_sym_comparison_operator_token32] = ACTIONS(601),
    [aux_sym_comparison_operator_token33] = ACTIONS(601),
    [aux_sym_comparison_operator_token34] = ACTIONS(603),
    [aux_sym_comparison_operator_token35] = ACTIONS(601),
    [aux_sym_comparison_operator_token36] = ACTIONS(601),
    [aux_sym_comparison_operator_token37] = ACTIONS(601),
    [aux_sym_comparison_operator_token38] = ACTIONS(601),
    [aux_sym_comparison_operator_token39] = ACTIONS(601),
    [aux_sym_comparison_operator_token40] = ACTIONS(601),
    [aux_sym_comparison_operator_token41] = ACTIONS(601),
    [aux_sym_comparison_operator_token42] = ACTIONS(601),
    [aux_sym_comparison_operator_token43] = ACTIONS(601),
    [aux_sym_comparison_operator_token44] = ACTIONS(601),
    [aux_sym_comparison_operator_token45] = ACTIONS(601),
    [aux_sym_comparison_operator_token46] = ACTIONS(601),
    [aux_sym_comparison_operator_token47] = ACTIONS(601),
    [aux_sym_comparison_operator_token48] = ACTIONS(601),
    [aux_sym_comparison_operator_token49] = ACTIONS(601),
    [aux_sym_comparison_operator_token50] = ACTIONS(601),
    [aux_sym_format_operator_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_RPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(601),
    [anon_sym_PIPE] = ACTIONS(601),
    [anon_sym_PERCENT] = ACTIONS(603),
    [aux_sym_logical_expression_token1] = ACTIONS(601),
    [aux_sym_logical_expression_token2] = ACTIONS(601),
    [aux_sym_logical_expression_token3] = ACTIONS(601),
    [aux_sym_bitwise_expression_token1] = ACTIONS(601),
    [aux_sym_bitwise_expression_token2] = ACTIONS(601),
    [aux_sym_bitwise_expression_token3] = ACTIONS(601),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_SLASH] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_DOT_DOT] = ACTIONS(601),
    [anon_sym_PLUS_PLUS] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(601),
    [anon_sym_DOT2] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(601),
    [anon_sym_RBRACK] = ACTIONS(601),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(601),
  },
  [87] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_EQ] = ACTIONS(605),
    [anon_sym_BANG_EQ] = ACTIONS(605),
    [anon_sym_PLUS_EQ] = ACTIONS(605),
    [anon_sym_STAR_EQ] = ACTIONS(605),
    [anon_sym_SLASH_EQ] = ACTIONS(605),
    [anon_sym_PERCENT_EQ] = ACTIONS(605),
    [anon_sym_GT] = ACTIONS(607),
    [anon_sym_GT_GT] = ACTIONS(605),
    [anon_sym_2_GT] = ACTIONS(607),
    [anon_sym_2_GT_GT] = ACTIONS(605),
    [anon_sym_3_GT] = ACTIONS(607),
    [anon_sym_3_GT_GT] = ACTIONS(605),
    [anon_sym_4_GT] = ACTIONS(607),
    [anon_sym_4_GT_GT] = ACTIONS(605),
    [anon_sym_5_GT] = ACTIONS(607),
    [anon_sym_5_GT_GT] = ACTIONS(605),
    [anon_sym_6_GT] = ACTIONS(607),
    [anon_sym_6_GT_GT] = ACTIONS(605),
    [anon_sym_STAR_GT] = ACTIONS(607),
    [anon_sym_STAR_GT_GT] = ACTIONS(605),
    [anon_sym_LT] = ACTIONS(607),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(605),
    [anon_sym_2_GT_AMP1] = ACTIONS(605),
    [anon_sym_3_GT_AMP1] = ACTIONS(605),
    [anon_sym_4_GT_AMP1] = ACTIONS(605),
    [anon_sym_5_GT_AMP1] = ACTIONS(605),
    [anon_sym_6_GT_AMP1] = ACTIONS(605),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(605),
    [anon_sym_1_GT_AMP2] = ACTIONS(605),
    [anon_sym_3_GT_AMP2] = ACTIONS(605),
    [anon_sym_4_GT_AMP2] = ACTIONS(605),
    [anon_sym_5_GT_AMP2] = ACTIONS(605),
    [anon_sym_6_GT_AMP2] = ACTIONS(605),
    [aux_sym_comparison_operator_token1] = ACTIONS(605),
    [aux_sym_comparison_operator_token2] = ACTIONS(605),
    [aux_sym_comparison_operator_token3] = ACTIONS(605),
    [aux_sym_comparison_operator_token4] = ACTIONS(605),
    [aux_sym_comparison_operator_token5] = ACTIONS(605),
    [aux_sym_comparison_operator_token6] = ACTIONS(605),
    [aux_sym_comparison_operator_token7] = ACTIONS(605),
    [aux_sym_comparison_operator_token8] = ACTIONS(605),
    [aux_sym_comparison_operator_token9] = ACTIONS(605),
    [aux_sym_comparison_operator_token10] = ACTIONS(605),
    [aux_sym_comparison_operator_token11] = ACTIONS(605),
    [aux_sym_comparison_operator_token12] = ACTIONS(605),
    [aux_sym_comparison_operator_token13] = ACTIONS(605),
    [aux_sym_comparison_operator_token14] = ACTIONS(605),
    [aux_sym_comparison_operator_token15] = ACTIONS(605),
    [aux_sym_comparison_operator_token16] = ACTIONS(605),
    [aux_sym_comparison_operator_token17] = ACTIONS(605),
    [aux_sym_comparison_operator_token18] = ACTIONS(605),
    [aux_sym_comparison_operator_token19] = ACTIONS(605),
    [aux_sym_comparison_operator_token20] = ACTIONS(605),
    [aux_sym_comparison_operator_token21] = ACTIONS(605),
    [aux_sym_comparison_operator_token22] = ACTIONS(605),
    [aux_sym_comparison_operator_token23] = ACTIONS(605),
    [aux_sym_comparison_operator_token24] = ACTIONS(605),
    [aux_sym_comparison_operator_token25] = ACTIONS(605),
    [aux_sym_comparison_operator_token26] = ACTIONS(605),
    [aux_sym_comparison_operator_token27] = ACTIONS(605),
    [aux_sym_comparison_operator_token28] = ACTIONS(607),
    [aux_sym_comparison_operator_token29] = ACTIONS(605),
    [aux_sym_comparison_operator_token30] = ACTIONS(605),
    [aux_sym_comparison_operator_token31] = ACTIONS(605),
    [aux_sym_comparison_operator_token32] = ACTIONS(605),
    [aux_sym_comparison_operator_token33] = ACTIONS(605),
    [aux_sym_comparison_operator_token34] = ACTIONS(607),
    [aux_sym_comparison_operator_token35] = ACTIONS(605),
    [aux_sym_comparison_operator_token36] = ACTIONS(605),
    [aux_sym_comparison_operator_token37] = ACTIONS(605),
    [aux_sym_comparison_operator_token38] = ACTIONS(605),
    [aux_sym_comparison_operator_token39] = ACTIONS(605),
    [aux_sym_comparison_operator_token40] = ACTIONS(605),
    [aux_sym_comparison_operator_token41] = ACTIONS(605),
    [aux_sym_comparison_operator_token42] = ACTIONS(605),
    [aux_sym_comparison_operator_token43] = ACTIONS(605),
    [aux_sym_comparison_operator_token44] = ACTIONS(605),
    [aux_sym_comparison_operator_token45] = ACTIONS(605),
    [aux_sym_comparison_operator_token46] = ACTIONS(605),
    [aux_sym_comparison_operator_token47] = ACTIONS(605),
    [aux_sym_comparison_operator_token48] = ACTIONS(605),
    [aux_sym_comparison_operator_token49] = ACTIONS(605),
    [aux_sym_comparison_operator_token50] = ACTIONS(605),
    [aux_sym_format_operator_token1] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(605),
    [anon_sym_RPAREN] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(605),
    [anon_sym_PERCENT] = ACTIONS(607),
    [aux_sym_logical_expression_token1] = ACTIONS(605),
    [aux_sym_logical_expression_token2] = ACTIONS(605),
    [aux_sym_logical_expression_token3] = ACTIONS(605),
    [aux_sym_bitwise_expression_token1] = ACTIONS(605),
    [aux_sym_bitwise_expression_token2] = ACTIONS(605),
    [aux_sym_bitwise_expression_token3] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_SLASH] = ACTIONS(607),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(607),
    [anon_sym_DOT_DOT] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_DOT2] = ACTIONS(607),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(605),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(605),
  },
  [88] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(609),
    [anon_sym_EQ] = ACTIONS(609),
    [anon_sym_BANG_EQ] = ACTIONS(609),
    [anon_sym_PLUS_EQ] = ACTIONS(609),
    [anon_sym_STAR_EQ] = ACTIONS(609),
    [anon_sym_SLASH_EQ] = ACTIONS(609),
    [anon_sym_PERCENT_EQ] = ACTIONS(609),
    [anon_sym_GT] = ACTIONS(611),
    [anon_sym_GT_GT] = ACTIONS(609),
    [anon_sym_2_GT] = ACTIONS(611),
    [anon_sym_2_GT_GT] = ACTIONS(609),
    [anon_sym_3_GT] = ACTIONS(611),
    [anon_sym_3_GT_GT] = ACTIONS(609),
    [anon_sym_4_GT] = ACTIONS(611),
    [anon_sym_4_GT_GT] = ACTIONS(609),
    [anon_sym_5_GT] = ACTIONS(611),
    [anon_sym_5_GT_GT] = ACTIONS(609),
    [anon_sym_6_GT] = ACTIONS(611),
    [anon_sym_6_GT_GT] = ACTIONS(609),
    [anon_sym_STAR_GT] = ACTIONS(611),
    [anon_sym_STAR_GT_GT] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(611),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(609),
    [anon_sym_2_GT_AMP1] = ACTIONS(609),
    [anon_sym_3_GT_AMP1] = ACTIONS(609),
    [anon_sym_4_GT_AMP1] = ACTIONS(609),
    [anon_sym_5_GT_AMP1] = ACTIONS(609),
    [anon_sym_6_GT_AMP1] = ACTIONS(609),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(609),
    [anon_sym_1_GT_AMP2] = ACTIONS(609),
    [anon_sym_3_GT_AMP2] = ACTIONS(609),
    [anon_sym_4_GT_AMP2] = ACTIONS(609),
    [anon_sym_5_GT_AMP2] = ACTIONS(609),
    [anon_sym_6_GT_AMP2] = ACTIONS(609),
    [aux_sym_comparison_operator_token1] = ACTIONS(609),
    [aux_sym_comparison_operator_token2] = ACTIONS(609),
    [aux_sym_comparison_operator_token3] = ACTIONS(609),
    [aux_sym_comparison_operator_token4] = ACTIONS(609),
    [aux_sym_comparison_operator_token5] = ACTIONS(609),
    [aux_sym_comparison_operator_token6] = ACTIONS(609),
    [aux_sym_comparison_operator_token7] = ACTIONS(609),
    [aux_sym_comparison_operator_token8] = ACTIONS(609),
    [aux_sym_comparison_operator_token9] = ACTIONS(609),
    [aux_sym_comparison_operator_token10] = ACTIONS(609),
    [aux_sym_comparison_operator_token11] = ACTIONS(609),
    [aux_sym_comparison_operator_token12] = ACTIONS(609),
    [aux_sym_comparison_operator_token13] = ACTIONS(609),
    [aux_sym_comparison_operator_token14] = ACTIONS(609),
    [aux_sym_comparison_operator_token15] = ACTIONS(609),
    [aux_sym_comparison_operator_token16] = ACTIONS(609),
    [aux_sym_comparison_operator_token17] = ACTIONS(609),
    [aux_sym_comparison_operator_token18] = ACTIONS(609),
    [aux_sym_comparison_operator_token19] = ACTIONS(609),
    [aux_sym_comparison_operator_token20] = ACTIONS(609),
    [aux_sym_comparison_operator_token21] = ACTIONS(609),
    [aux_sym_comparison_operator_token22] = ACTIONS(609),
    [aux_sym_comparison_operator_token23] = ACTIONS(609),
    [aux_sym_comparison_operator_token24] = ACTIONS(609),
    [aux_sym_comparison_operator_token25] = ACTIONS(609),
    [aux_sym_comparison_operator_token26] = ACTIONS(609),
    [aux_sym_comparison_operator_token27] = ACTIONS(609),
    [aux_sym_comparison_operator_token28] = ACTIONS(611),
    [aux_sym_comparison_operator_token29] = ACTIONS(609),
    [aux_sym_comparison_operator_token30] = ACTIONS(609),
    [aux_sym_comparison_operator_token31] = ACTIONS(609),
    [aux_sym_comparison_operator_token32] = ACTIONS(609),
    [aux_sym_comparison_operator_token33] = ACTIONS(609),
    [aux_sym_comparison_operator_token34] = ACTIONS(611),
    [aux_sym_comparison_operator_token35] = ACTIONS(609),
    [aux_sym_comparison_operator_token36] = ACTIONS(609),
    [aux_sym_comparison_operator_token37] = ACTIONS(609),
    [aux_sym_comparison_operator_token38] = ACTIONS(609),
    [aux_sym_comparison_operator_token39] = ACTIONS(609),
    [aux_sym_comparison_operator_token40] = ACTIONS(609),
    [aux_sym_comparison_operator_token41] = ACTIONS(609),
    [aux_sym_comparison_operator_token42] = ACTIONS(609),
    [aux_sym_comparison_operator_token43] = ACTIONS(609),
    [aux_sym_comparison_operator_token44] = ACTIONS(609),
    [aux_sym_comparison_operator_token45] = ACTIONS(609),
    [aux_sym_comparison_operator_token46] = ACTIONS(609),
    [aux_sym_comparison_operator_token47] = ACTIONS(609),
    [aux_sym_comparison_operator_token48] = ACTIONS(609),
    [aux_sym_comparison_operator_token49] = ACTIONS(609),
    [aux_sym_comparison_operator_token50] = ACTIONS(609),
    [aux_sym_format_operator_token1] = ACTIONS(609),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_RPAREN] = ACTIONS(609),
    [anon_sym_COMMA] = ACTIONS(609),
    [anon_sym_PIPE] = ACTIONS(609),
    [anon_sym_PERCENT] = ACTIONS(611),
    [aux_sym_logical_expression_token1] = ACTIONS(609),
    [aux_sym_logical_expression_token2] = ACTIONS(609),
    [aux_sym_logical_expression_token3] = ACTIONS(609),
    [aux_sym_bitwise_expression_token1] = ACTIONS(609),
    [aux_sym_bitwise_expression_token2] = ACTIONS(609),
    [aux_sym_bitwise_expression_token3] = ACTIONS(609),
    [anon_sym_PLUS] = ACTIONS(611),
    [anon_sym_DASH] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_BSLASH] = ACTIONS(609),
    [anon_sym_STAR] = ACTIONS(611),
    [anon_sym_DOT_DOT] = ACTIONS(609),
    [anon_sym_PLUS_PLUS] = ACTIONS(609),
    [anon_sym_DASH_DASH] = ACTIONS(609),
    [anon_sym_DOT2] = ACTIONS(611),
    [anon_sym_COLON_COLON] = ACTIONS(609),
    [anon_sym_RBRACK] = ACTIONS(609),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(609),
  },
  [89] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(613),
    [anon_sym_EQ] = ACTIONS(613),
    [anon_sym_BANG_EQ] = ACTIONS(613),
    [anon_sym_PLUS_EQ] = ACTIONS(613),
    [anon_sym_STAR_EQ] = ACTIONS(613),
    [anon_sym_SLASH_EQ] = ACTIONS(613),
    [anon_sym_PERCENT_EQ] = ACTIONS(613),
    [anon_sym_GT] = ACTIONS(615),
    [anon_sym_GT_GT] = ACTIONS(613),
    [anon_sym_2_GT] = ACTIONS(615),
    [anon_sym_2_GT_GT] = ACTIONS(613),
    [anon_sym_3_GT] = ACTIONS(615),
    [anon_sym_3_GT_GT] = ACTIONS(613),
    [anon_sym_4_GT] = ACTIONS(615),
    [anon_sym_4_GT_GT] = ACTIONS(613),
    [anon_sym_5_GT] = ACTIONS(615),
    [anon_sym_5_GT_GT] = ACTIONS(613),
    [anon_sym_6_GT] = ACTIONS(615),
    [anon_sym_6_GT_GT] = ACTIONS(613),
    [anon_sym_STAR_GT] = ACTIONS(615),
    [anon_sym_STAR_GT_GT] = ACTIONS(613),
    [anon_sym_LT] = ACTIONS(615),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(613),
    [anon_sym_2_GT_AMP1] = ACTIONS(613),
    [anon_sym_3_GT_AMP1] = ACTIONS(613),
    [anon_sym_4_GT_AMP1] = ACTIONS(613),
    [anon_sym_5_GT_AMP1] = ACTIONS(613),
    [anon_sym_6_GT_AMP1] = ACTIONS(613),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(613),
    [anon_sym_1_GT_AMP2] = ACTIONS(613),
    [anon_sym_3_GT_AMP2] = ACTIONS(613),
    [anon_sym_4_GT_AMP2] = ACTIONS(613),
    [anon_sym_5_GT_AMP2] = ACTIONS(613),
    [anon_sym_6_GT_AMP2] = ACTIONS(613),
    [aux_sym_comparison_operator_token1] = ACTIONS(613),
    [aux_sym_comparison_operator_token2] = ACTIONS(613),
    [aux_sym_comparison_operator_token3] = ACTIONS(613),
    [aux_sym_comparison_operator_token4] = ACTIONS(613),
    [aux_sym_comparison_operator_token5] = ACTIONS(613),
    [aux_sym_comparison_operator_token6] = ACTIONS(613),
    [aux_sym_comparison_operator_token7] = ACTIONS(613),
    [aux_sym_comparison_operator_token8] = ACTIONS(613),
    [aux_sym_comparison_operator_token9] = ACTIONS(613),
    [aux_sym_comparison_operator_token10] = ACTIONS(613),
    [aux_sym_comparison_operator_token11] = ACTIONS(613),
    [aux_sym_comparison_operator_token12] = ACTIONS(613),
    [aux_sym_comparison_operator_token13] = ACTIONS(613),
    [aux_sym_comparison_operator_token14] = ACTIONS(613),
    [aux_sym_comparison_operator_token15] = ACTIONS(613),
    [aux_sym_comparison_operator_token16] = ACTIONS(613),
    [aux_sym_comparison_operator_token17] = ACTIONS(613),
    [aux_sym_comparison_operator_token18] = ACTIONS(613),
    [aux_sym_comparison_operator_token19] = ACTIONS(613),
    [aux_sym_comparison_operator_token20] = ACTIONS(613),
    [aux_sym_comparison_operator_token21] = ACTIONS(613),
    [aux_sym_comparison_operator_token22] = ACTIONS(613),
    [aux_sym_comparison_operator_token23] = ACTIONS(613),
    [aux_sym_comparison_operator_token24] = ACTIONS(613),
    [aux_sym_comparison_operator_token25] = ACTIONS(613),
    [aux_sym_comparison_operator_token26] = ACTIONS(613),
    [aux_sym_comparison_operator_token27] = ACTIONS(613),
    [aux_sym_comparison_operator_token28] = ACTIONS(615),
    [aux_sym_comparison_operator_token29] = ACTIONS(613),
    [aux_sym_comparison_operator_token30] = ACTIONS(613),
    [aux_sym_comparison_operator_token31] = ACTIONS(613),
    [aux_sym_comparison_operator_token32] = ACTIONS(613),
    [aux_sym_comparison_operator_token33] = ACTIONS(613),
    [aux_sym_comparison_operator_token34] = ACTIONS(615),
    [aux_sym_comparison_operator_token35] = ACTIONS(613),
    [aux_sym_comparison_operator_token36] = ACTIONS(613),
    [aux_sym_comparison_operator_token37] = ACTIONS(613),
    [aux_sym_comparison_operator_token38] = ACTIONS(613),
    [aux_sym_comparison_operator_token39] = ACTIONS(613),
    [aux_sym_comparison_operator_token40] = ACTIONS(613),
    [aux_sym_comparison_operator_token41] = ACTIONS(613),
    [aux_sym_comparison_operator_token42] = ACTIONS(613),
    [aux_sym_comparison_operator_token43] = ACTIONS(613),
    [aux_sym_comparison_operator_token44] = ACTIONS(613),
    [aux_sym_comparison_operator_token45] = ACTIONS(613),
    [aux_sym_comparison_operator_token46] = ACTIONS(613),
    [aux_sym_comparison_operator_token47] = ACTIONS(613),
    [aux_sym_comparison_operator_token48] = ACTIONS(613),
    [aux_sym_comparison_operator_token49] = ACTIONS(613),
    [aux_sym_comparison_operator_token50] = ACTIONS(613),
    [aux_sym_format_operator_token1] = ACTIONS(613),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_RPAREN] = ACTIONS(613),
    [anon_sym_COMMA] = ACTIONS(613),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_PERCENT] = ACTIONS(615),
    [aux_sym_logical_expression_token1] = ACTIONS(613),
    [aux_sym_logical_expression_token2] = ACTIONS(613),
    [aux_sym_logical_expression_token3] = ACTIONS(613),
    [aux_sym_bitwise_expression_token1] = ACTIONS(613),
    [aux_sym_bitwise_expression_token2] = ACTIONS(613),
    [aux_sym_bitwise_expression_token3] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(615),
    [anon_sym_DASH] = ACTIONS(615),
    [anon_sym_SLASH] = ACTIONS(615),
    [anon_sym_BSLASH] = ACTIONS(613),
    [anon_sym_STAR] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(613),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [anon_sym_DOT2] = ACTIONS(615),
    [anon_sym_COLON_COLON] = ACTIONS(613),
    [anon_sym_RBRACK] = ACTIONS(613),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(613),
  },
  [90] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(617),
    [anon_sym_EQ] = ACTIONS(617),
    [anon_sym_BANG_EQ] = ACTIONS(617),
    [anon_sym_PLUS_EQ] = ACTIONS(617),
    [anon_sym_STAR_EQ] = ACTIONS(617),
    [anon_sym_SLASH_EQ] = ACTIONS(617),
    [anon_sym_PERCENT_EQ] = ACTIONS(617),
    [anon_sym_GT] = ACTIONS(619),
    [anon_sym_GT_GT] = ACTIONS(617),
    [anon_sym_2_GT] = ACTIONS(619),
    [anon_sym_2_GT_GT] = ACTIONS(617),
    [anon_sym_3_GT] = ACTIONS(619),
    [anon_sym_3_GT_GT] = ACTIONS(617),
    [anon_sym_4_GT] = ACTIONS(619),
    [anon_sym_4_GT_GT] = ACTIONS(617),
    [anon_sym_5_GT] = ACTIONS(619),
    [anon_sym_5_GT_GT] = ACTIONS(617),
    [anon_sym_6_GT] = ACTIONS(619),
    [anon_sym_6_GT_GT] = ACTIONS(617),
    [anon_sym_STAR_GT] = ACTIONS(619),
    [anon_sym_STAR_GT_GT] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(617),
    [anon_sym_2_GT_AMP1] = ACTIONS(617),
    [anon_sym_3_GT_AMP1] = ACTIONS(617),
    [anon_sym_4_GT_AMP1] = ACTIONS(617),
    [anon_sym_5_GT_AMP1] = ACTIONS(617),
    [anon_sym_6_GT_AMP1] = ACTIONS(617),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(617),
    [anon_sym_1_GT_AMP2] = ACTIONS(617),
    [anon_sym_3_GT_AMP2] = ACTIONS(617),
    [anon_sym_4_GT_AMP2] = ACTIONS(617),
    [anon_sym_5_GT_AMP2] = ACTIONS(617),
    [anon_sym_6_GT_AMP2] = ACTIONS(617),
    [aux_sym_comparison_operator_token1] = ACTIONS(617),
    [aux_sym_comparison_operator_token2] = ACTIONS(617),
    [aux_sym_comparison_operator_token3] = ACTIONS(617),
    [aux_sym_comparison_operator_token4] = ACTIONS(617),
    [aux_sym_comparison_operator_token5] = ACTIONS(617),
    [aux_sym_comparison_operator_token6] = ACTIONS(617),
    [aux_sym_comparison_operator_token7] = ACTIONS(617),
    [aux_sym_comparison_operator_token8] = ACTIONS(617),
    [aux_sym_comparison_operator_token9] = ACTIONS(617),
    [aux_sym_comparison_operator_token10] = ACTIONS(617),
    [aux_sym_comparison_operator_token11] = ACTIONS(617),
    [aux_sym_comparison_operator_token12] = ACTIONS(617),
    [aux_sym_comparison_operator_token13] = ACTIONS(617),
    [aux_sym_comparison_operator_token14] = ACTIONS(617),
    [aux_sym_comparison_operator_token15] = ACTIONS(617),
    [aux_sym_comparison_operator_token16] = ACTIONS(617),
    [aux_sym_comparison_operator_token17] = ACTIONS(617),
    [aux_sym_comparison_operator_token18] = ACTIONS(617),
    [aux_sym_comparison_operator_token19] = ACTIONS(617),
    [aux_sym_comparison_operator_token20] = ACTIONS(617),
    [aux_sym_comparison_operator_token21] = ACTIONS(617),
    [aux_sym_comparison_operator_token22] = ACTIONS(617),
    [aux_sym_comparison_operator_token23] = ACTIONS(617),
    [aux_sym_comparison_operator_token24] = ACTIONS(617),
    [aux_sym_comparison_operator_token25] = ACTIONS(617),
    [aux_sym_comparison_operator_token26] = ACTIONS(617),
    [aux_sym_comparison_operator_token27] = ACTIONS(617),
    [aux_sym_comparison_operator_token28] = ACTIONS(619),
    [aux_sym_comparison_operator_token29] = ACTIONS(617),
    [aux_sym_comparison_operator_token30] = ACTIONS(617),
    [aux_sym_comparison_operator_token31] = ACTIONS(617),
    [aux_sym_comparison_operator_token32] = ACTIONS(617),
    [aux_sym_comparison_operator_token33] = ACTIONS(617),
    [aux_sym_comparison_operator_token34] = ACTIONS(619),
    [aux_sym_comparison_operator_token35] = ACTIONS(617),
    [aux_sym_comparison_operator_token36] = ACTIONS(617),
    [aux_sym_comparison_operator_token37] = ACTIONS(617),
    [aux_sym_comparison_operator_token38] = ACTIONS(617),
    [aux_sym_comparison_operator_token39] = ACTIONS(617),
    [aux_sym_comparison_operator_token40] = ACTIONS(617),
    [aux_sym_comparison_operator_token41] = ACTIONS(617),
    [aux_sym_comparison_operator_token42] = ACTIONS(617),
    [aux_sym_comparison_operator_token43] = ACTIONS(617),
    [aux_sym_comparison_operator_token44] = ACTIONS(617),
    [aux_sym_comparison_operator_token45] = ACTIONS(617),
    [aux_sym_comparison_operator_token46] = ACTIONS(617),
    [aux_sym_comparison_operator_token47] = ACTIONS(617),
    [aux_sym_comparison_operator_token48] = ACTIONS(617),
    [aux_sym_comparison_operator_token49] = ACTIONS(617),
    [aux_sym_comparison_operator_token50] = ACTIONS(617),
    [aux_sym_format_operator_token1] = ACTIONS(617),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(617),
    [anon_sym_COMMA] = ACTIONS(617),
    [anon_sym_PIPE] = ACTIONS(617),
    [anon_sym_PERCENT] = ACTIONS(619),
    [aux_sym_logical_expression_token1] = ACTIONS(617),
    [aux_sym_logical_expression_token2] = ACTIONS(617),
    [aux_sym_logical_expression_token3] = ACTIONS(617),
    [aux_sym_bitwise_expression_token1] = ACTIONS(617),
    [aux_sym_bitwise_expression_token2] = ACTIONS(617),
    [aux_sym_bitwise_expression_token3] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_SLASH] = ACTIONS(619),
    [anon_sym_BSLASH] = ACTIONS(617),
    [anon_sym_STAR] = ACTIONS(619),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_PLUS_PLUS] = ACTIONS(617),
    [anon_sym_DASH_DASH] = ACTIONS(617),
    [anon_sym_DOT2] = ACTIONS(619),
    [anon_sym_COLON_COLON] = ACTIONS(617),
    [anon_sym_RBRACK] = ACTIONS(617),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(617),
  },
  [91] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(621),
    [anon_sym_EQ] = ACTIONS(621),
    [anon_sym_BANG_EQ] = ACTIONS(621),
    [anon_sym_PLUS_EQ] = ACTIONS(621),
    [anon_sym_STAR_EQ] = ACTIONS(621),
    [anon_sym_SLASH_EQ] = ACTIONS(621),
    [anon_sym_PERCENT_EQ] = ACTIONS(621),
    [anon_sym_GT] = ACTIONS(623),
    [anon_sym_GT_GT] = ACTIONS(621),
    [anon_sym_2_GT] = ACTIONS(623),
    [anon_sym_2_GT_GT] = ACTIONS(621),
    [anon_sym_3_GT] = ACTIONS(623),
    [anon_sym_3_GT_GT] = ACTIONS(621),
    [anon_sym_4_GT] = ACTIONS(623),
    [anon_sym_4_GT_GT] = ACTIONS(621),
    [anon_sym_5_GT] = ACTIONS(623),
    [anon_sym_5_GT_GT] = ACTIONS(621),
    [anon_sym_6_GT] = ACTIONS(623),
    [anon_sym_6_GT_GT] = ACTIONS(621),
    [anon_sym_STAR_GT] = ACTIONS(623),
    [anon_sym_STAR_GT_GT] = ACTIONS(621),
    [anon_sym_LT] = ACTIONS(623),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(621),
    [anon_sym_2_GT_AMP1] = ACTIONS(621),
    [anon_sym_3_GT_AMP1] = ACTIONS(621),
    [anon_sym_4_GT_AMP1] = ACTIONS(621),
    [anon_sym_5_GT_AMP1] = ACTIONS(621),
    [anon_sym_6_GT_AMP1] = ACTIONS(621),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(621),
    [anon_sym_1_GT_AMP2] = ACTIONS(621),
    [anon_sym_3_GT_AMP2] = ACTIONS(621),
    [anon_sym_4_GT_AMP2] = ACTIONS(621),
    [anon_sym_5_GT_AMP2] = ACTIONS(621),
    [anon_sym_6_GT_AMP2] = ACTIONS(621),
    [aux_sym_comparison_operator_token1] = ACTIONS(621),
    [aux_sym_comparison_operator_token2] = ACTIONS(621),
    [aux_sym_comparison_operator_token3] = ACTIONS(621),
    [aux_sym_comparison_operator_token4] = ACTIONS(621),
    [aux_sym_comparison_operator_token5] = ACTIONS(621),
    [aux_sym_comparison_operator_token6] = ACTIONS(621),
    [aux_sym_comparison_operator_token7] = ACTIONS(621),
    [aux_sym_comparison_operator_token8] = ACTIONS(621),
    [aux_sym_comparison_operator_token9] = ACTIONS(621),
    [aux_sym_comparison_operator_token10] = ACTIONS(621),
    [aux_sym_comparison_operator_token11] = ACTIONS(621),
    [aux_sym_comparison_operator_token12] = ACTIONS(621),
    [aux_sym_comparison_operator_token13] = ACTIONS(621),
    [aux_sym_comparison_operator_token14] = ACTIONS(621),
    [aux_sym_comparison_operator_token15] = ACTIONS(621),
    [aux_sym_comparison_operator_token16] = ACTIONS(621),
    [aux_sym_comparison_operator_token17] = ACTIONS(621),
    [aux_sym_comparison_operator_token18] = ACTIONS(621),
    [aux_sym_comparison_operator_token19] = ACTIONS(621),
    [aux_sym_comparison_operator_token20] = ACTIONS(621),
    [aux_sym_comparison_operator_token21] = ACTIONS(621),
    [aux_sym_comparison_operator_token22] = ACTIONS(621),
    [aux_sym_comparison_operator_token23] = ACTIONS(621),
    [aux_sym_comparison_operator_token24] = ACTIONS(621),
    [aux_sym_comparison_operator_token25] = ACTIONS(621),
    [aux_sym_comparison_operator_token26] = ACTIONS(621),
    [aux_sym_comparison_operator_token27] = ACTIONS(621),
    [aux_sym_comparison_operator_token28] = ACTIONS(623),
    [aux_sym_comparison_operator_token29] = ACTIONS(621),
    [aux_sym_comparison_operator_token30] = ACTIONS(621),
    [aux_sym_comparison_operator_token31] = ACTIONS(621),
    [aux_sym_comparison_operator_token32] = ACTIONS(621),
    [aux_sym_comparison_operator_token33] = ACTIONS(621),
    [aux_sym_comparison_operator_token34] = ACTIONS(623),
    [aux_sym_comparison_operator_token35] = ACTIONS(621),
    [aux_sym_comparison_operator_token36] = ACTIONS(621),
    [aux_sym_comparison_operator_token37] = ACTIONS(621),
    [aux_sym_comparison_operator_token38] = ACTIONS(621),
    [aux_sym_comparison_operator_token39] = ACTIONS(621),
    [aux_sym_comparison_operator_token40] = ACTIONS(621),
    [aux_sym_comparison_operator_token41] = ACTIONS(621),
    [aux_sym_comparison_operator_token42] = ACTIONS(621),
    [aux_sym_comparison_operator_token43] = ACTIONS(621),
    [aux_sym_comparison_operator_token44] = ACTIONS(621),
    [aux_sym_comparison_operator_token45] = ACTIONS(621),
    [aux_sym_comparison_operator_token46] = ACTIONS(621),
    [aux_sym_comparison_operator_token47] = ACTIONS(621),
    [aux_sym_comparison_operator_token48] = ACTIONS(621),
    [aux_sym_comparison_operator_token49] = ACTIONS(621),
    [aux_sym_comparison_operator_token50] = ACTIONS(621),
    [aux_sym_format_operator_token1] = ACTIONS(621),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_RPAREN] = ACTIONS(621),
    [anon_sym_COMMA] = ACTIONS(621),
    [anon_sym_PIPE] = ACTIONS(621),
    [anon_sym_PERCENT] = ACTIONS(623),
    [aux_sym_logical_expression_token1] = ACTIONS(621),
    [aux_sym_logical_expression_token2] = ACTIONS(621),
    [aux_sym_logical_expression_token3] = ACTIONS(621),
    [aux_sym_bitwise_expression_token1] = ACTIONS(621),
    [aux_sym_bitwise_expression_token2] = ACTIONS(621),
    [aux_sym_bitwise_expression_token3] = ACTIONS(621),
    [anon_sym_PLUS] = ACTIONS(623),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_SLASH] = ACTIONS(623),
    [anon_sym_BSLASH] = ACTIONS(621),
    [anon_sym_STAR] = ACTIONS(623),
    [anon_sym_DOT_DOT] = ACTIONS(621),
    [anon_sym_PLUS_PLUS] = ACTIONS(621),
    [anon_sym_DASH_DASH] = ACTIONS(621),
    [anon_sym_DOT2] = ACTIONS(623),
    [anon_sym_COLON_COLON] = ACTIONS(621),
    [anon_sym_RBRACK] = ACTIONS(621),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(621),
  },
  [92] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_BANG_EQ] = ACTIONS(625),
    [anon_sym_PLUS_EQ] = ACTIONS(625),
    [anon_sym_STAR_EQ] = ACTIONS(625),
    [anon_sym_SLASH_EQ] = ACTIONS(625),
    [anon_sym_PERCENT_EQ] = ACTIONS(625),
    [anon_sym_GT] = ACTIONS(627),
    [anon_sym_GT_GT] = ACTIONS(625),
    [anon_sym_2_GT] = ACTIONS(627),
    [anon_sym_2_GT_GT] = ACTIONS(625),
    [anon_sym_3_GT] = ACTIONS(627),
    [anon_sym_3_GT_GT] = ACTIONS(625),
    [anon_sym_4_GT] = ACTIONS(627),
    [anon_sym_4_GT_GT] = ACTIONS(625),
    [anon_sym_5_GT] = ACTIONS(627),
    [anon_sym_5_GT_GT] = ACTIONS(625),
    [anon_sym_6_GT] = ACTIONS(627),
    [anon_sym_6_GT_GT] = ACTIONS(625),
    [anon_sym_STAR_GT] = ACTIONS(627),
    [anon_sym_STAR_GT_GT] = ACTIONS(625),
    [anon_sym_LT] = ACTIONS(627),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(625),
    [anon_sym_2_GT_AMP1] = ACTIONS(625),
    [anon_sym_3_GT_AMP1] = ACTIONS(625),
    [anon_sym_4_GT_AMP1] = ACTIONS(625),
    [anon_sym_5_GT_AMP1] = ACTIONS(625),
    [anon_sym_6_GT_AMP1] = ACTIONS(625),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(625),
    [anon_sym_1_GT_AMP2] = ACTIONS(625),
    [anon_sym_3_GT_AMP2] = ACTIONS(625),
    [anon_sym_4_GT_AMP2] = ACTIONS(625),
    [anon_sym_5_GT_AMP2] = ACTIONS(625),
    [anon_sym_6_GT_AMP2] = ACTIONS(625),
    [aux_sym_comparison_operator_token1] = ACTIONS(625),
    [aux_sym_comparison_operator_token2] = ACTIONS(625),
    [aux_sym_comparison_operator_token3] = ACTIONS(625),
    [aux_sym_comparison_operator_token4] = ACTIONS(625),
    [aux_sym_comparison_operator_token5] = ACTIONS(625),
    [aux_sym_comparison_operator_token6] = ACTIONS(625),
    [aux_sym_comparison_operator_token7] = ACTIONS(625),
    [aux_sym_comparison_operator_token8] = ACTIONS(625),
    [aux_sym_comparison_operator_token9] = ACTIONS(625),
    [aux_sym_comparison_operator_token10] = ACTIONS(625),
    [aux_sym_comparison_operator_token11] = ACTIONS(625),
    [aux_sym_comparison_operator_token12] = ACTIONS(625),
    [aux_sym_comparison_operator_token13] = ACTIONS(625),
    [aux_sym_comparison_operator_token14] = ACTIONS(625),
    [aux_sym_comparison_operator_token15] = ACTIONS(625),
    [aux_sym_comparison_operator_token16] = ACTIONS(625),
    [aux_sym_comparison_operator_token17] = ACTIONS(625),
    [aux_sym_comparison_operator_token18] = ACTIONS(625),
    [aux_sym_comparison_operator_token19] = ACTIONS(625),
    [aux_sym_comparison_operator_token20] = ACTIONS(625),
    [aux_sym_comparison_operator_token21] = ACTIONS(625),
    [aux_sym_comparison_operator_token22] = ACTIONS(625),
    [aux_sym_comparison_operator_token23] = ACTIONS(625),
    [aux_sym_comparison_operator_token24] = ACTIONS(625),
    [aux_sym_comparison_operator_token25] = ACTIONS(625),
    [aux_sym_comparison_operator_token26] = ACTIONS(625),
    [aux_sym_comparison_operator_token27] = ACTIONS(625),
    [aux_sym_comparison_operator_token28] = ACTIONS(627),
    [aux_sym_comparison_operator_token29] = ACTIONS(625),
    [aux_sym_comparison_operator_token30] = ACTIONS(625),
    [aux_sym_comparison_operator_token31] = ACTIONS(625),
    [aux_sym_comparison_operator_token32] = ACTIONS(625),
    [aux_sym_comparison_operator_token33] = ACTIONS(625),
    [aux_sym_comparison_operator_token34] = ACTIONS(627),
    [aux_sym_comparison_operator_token35] = ACTIONS(625),
    [aux_sym_comparison_operator_token36] = ACTIONS(625),
    [aux_sym_comparison_operator_token37] = ACTIONS(625),
    [aux_sym_comparison_operator_token38] = ACTIONS(625),
    [aux_sym_comparison_operator_token39] = ACTIONS(625),
    [aux_sym_comparison_operator_token40] = ACTIONS(625),
    [aux_sym_comparison_operator_token41] = ACTIONS(625),
    [aux_sym_comparison_operator_token42] = ACTIONS(625),
    [aux_sym_comparison_operator_token43] = ACTIONS(625),
    [aux_sym_comparison_operator_token44] = ACTIONS(625),
    [aux_sym_comparison_operator_token45] = ACTIONS(625),
    [aux_sym_comparison_operator_token46] = ACTIONS(625),
    [aux_sym_comparison_operator_token47] = ACTIONS(625),
    [aux_sym_comparison_operator_token48] = ACTIONS(625),
    [aux_sym_comparison_operator_token49] = ACTIONS(625),
    [aux_sym_comparison_operator_token50] = ACTIONS(625),
    [aux_sym_format_operator_token1] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(625),
    [anon_sym_RPAREN] = ACTIONS(625),
    [anon_sym_COMMA] = ACTIONS(625),
    [anon_sym_PIPE] = ACTIONS(625),
    [anon_sym_PERCENT] = ACTIONS(627),
    [aux_sym_logical_expression_token1] = ACTIONS(625),
    [aux_sym_logical_expression_token2] = ACTIONS(625),
    [aux_sym_logical_expression_token3] = ACTIONS(625),
    [aux_sym_bitwise_expression_token1] = ACTIONS(625),
    [aux_sym_bitwise_expression_token2] = ACTIONS(625),
    [aux_sym_bitwise_expression_token3] = ACTIONS(625),
    [anon_sym_PLUS] = ACTIONS(627),
    [anon_sym_DASH] = ACTIONS(627),
    [anon_sym_SLASH] = ACTIONS(627),
    [anon_sym_BSLASH] = ACTIONS(625),
    [anon_sym_STAR] = ACTIONS(627),
    [anon_sym_DOT_DOT] = ACTIONS(625),
    [anon_sym_PLUS_PLUS] = ACTIONS(625),
    [anon_sym_DASH_DASH] = ACTIONS(625),
    [anon_sym_DOT2] = ACTIONS(627),
    [anon_sym_COLON_COLON] = ACTIONS(625),
    [anon_sym_RBRACK] = ACTIONS(625),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(625),
  },
  [93] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(629),
    [anon_sym_EQ] = ACTIONS(629),
    [anon_sym_BANG_EQ] = ACTIONS(629),
    [anon_sym_PLUS_EQ] = ACTIONS(629),
    [anon_sym_STAR_EQ] = ACTIONS(629),
    [anon_sym_SLASH_EQ] = ACTIONS(629),
    [anon_sym_PERCENT_EQ] = ACTIONS(629),
    [anon_sym_GT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(629),
    [anon_sym_2_GT] = ACTIONS(631),
    [anon_sym_2_GT_GT] = ACTIONS(629),
    [anon_sym_3_GT] = ACTIONS(631),
    [anon_sym_3_GT_GT] = ACTIONS(629),
    [anon_sym_4_GT] = ACTIONS(631),
    [anon_sym_4_GT_GT] = ACTIONS(629),
    [anon_sym_5_GT] = ACTIONS(631),
    [anon_sym_5_GT_GT] = ACTIONS(629),
    [anon_sym_6_GT] = ACTIONS(631),
    [anon_sym_6_GT_GT] = ACTIONS(629),
    [anon_sym_STAR_GT] = ACTIONS(631),
    [anon_sym_STAR_GT_GT] = ACTIONS(629),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(629),
    [anon_sym_2_GT_AMP1] = ACTIONS(629),
    [anon_sym_3_GT_AMP1] = ACTIONS(629),
    [anon_sym_4_GT_AMP1] = ACTIONS(629),
    [anon_sym_5_GT_AMP1] = ACTIONS(629),
    [anon_sym_6_GT_AMP1] = ACTIONS(629),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(629),
    [anon_sym_1_GT_AMP2] = ACTIONS(629),
    [anon_sym_3_GT_AMP2] = ACTIONS(629),
    [anon_sym_4_GT_AMP2] = ACTIONS(629),
    [anon_sym_5_GT_AMP2] = ACTIONS(629),
    [anon_sym_6_GT_AMP2] = ACTIONS(629),
    [aux_sym_comparison_operator_token1] = ACTIONS(629),
    [aux_sym_comparison_operator_token2] = ACTIONS(629),
    [aux_sym_comparison_operator_token3] = ACTIONS(629),
    [aux_sym_comparison_operator_token4] = ACTIONS(629),
    [aux_sym_comparison_operator_token5] = ACTIONS(629),
    [aux_sym_comparison_operator_token6] = ACTIONS(629),
    [aux_sym_comparison_operator_token7] = ACTIONS(629),
    [aux_sym_comparison_operator_token8] = ACTIONS(629),
    [aux_sym_comparison_operator_token9] = ACTIONS(629),
    [aux_sym_comparison_operator_token10] = ACTIONS(629),
    [aux_sym_comparison_operator_token11] = ACTIONS(629),
    [aux_sym_comparison_operator_token12] = ACTIONS(629),
    [aux_sym_comparison_operator_token13] = ACTIONS(629),
    [aux_sym_comparison_operator_token14] = ACTIONS(629),
    [aux_sym_comparison_operator_token15] = ACTIONS(629),
    [aux_sym_comparison_operator_token16] = ACTIONS(629),
    [aux_sym_comparison_operator_token17] = ACTIONS(629),
    [aux_sym_comparison_operator_token18] = ACTIONS(629),
    [aux_sym_comparison_operator_token19] = ACTIONS(629),
    [aux_sym_comparison_operator_token20] = ACTIONS(629),
    [aux_sym_comparison_operator_token21] = ACTIONS(629),
    [aux_sym_comparison_operator_token22] = ACTIONS(629),
    [aux_sym_comparison_operator_token23] = ACTIONS(629),
    [aux_sym_comparison_operator_token24] = ACTIONS(629),
    [aux_sym_comparison_operator_token25] = ACTIONS(629),
    [aux_sym_comparison_operator_token26] = ACTIONS(629),
    [aux_sym_comparison_operator_token27] = ACTIONS(629),
    [aux_sym_comparison_operator_token28] = ACTIONS(631),
    [aux_sym_comparison_operator_token29] = ACTIONS(629),
    [aux_sym_comparison_operator_token30] = ACTIONS(629),
    [aux_sym_comparison_operator_token31] = ACTIONS(629),
    [aux_sym_comparison_operator_token32] = ACTIONS(629),
    [aux_sym_comparison_operator_token33] = ACTIONS(629),
    [aux_sym_comparison_operator_token34] = ACTIONS(631),
    [aux_sym_comparison_operator_token35] = ACTIONS(629),
    [aux_sym_comparison_operator_token36] = ACTIONS(629),
    [aux_sym_comparison_operator_token37] = ACTIONS(629),
    [aux_sym_comparison_operator_token38] = ACTIONS(629),
    [aux_sym_comparison_operator_token39] = ACTIONS(629),
    [aux_sym_comparison_operator_token40] = ACTIONS(629),
    [aux_sym_comparison_operator_token41] = ACTIONS(629),
    [aux_sym_comparison_operator_token42] = ACTIONS(629),
    [aux_sym_comparison_operator_token43] = ACTIONS(629),
    [aux_sym_comparison_operator_token44] = ACTIONS(629),
    [aux_sym_comparison_operator_token45] = ACTIONS(629),
    [aux_sym_comparison_operator_token46] = ACTIONS(629),
    [aux_sym_comparison_operator_token47] = ACTIONS(629),
    [aux_sym_comparison_operator_token48] = ACTIONS(629),
    [aux_sym_comparison_operator_token49] = ACTIONS(629),
    [aux_sym_comparison_operator_token50] = ACTIONS(629),
    [aux_sym_format_operator_token1] = ACTIONS(629),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_RPAREN] = ACTIONS(629),
    [anon_sym_COMMA] = ACTIONS(629),
    [anon_sym_PIPE] = ACTIONS(629),
    [anon_sym_PERCENT] = ACTIONS(631),
    [aux_sym_logical_expression_token1] = ACTIONS(629),
    [aux_sym_logical_expression_token2] = ACTIONS(629),
    [aux_sym_logical_expression_token3] = ACTIONS(629),
    [aux_sym_bitwise_expression_token1] = ACTIONS(629),
    [aux_sym_bitwise_expression_token2] = ACTIONS(629),
    [aux_sym_bitwise_expression_token3] = ACTIONS(629),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_SLASH] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(629),
    [anon_sym_STAR] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_DOT2] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(629),
    [anon_sym_RBRACK] = ACTIONS(629),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(629),
  },
  [94] = {
    [sym_argument_list] = STATE(128),
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_EQ] = ACTIONS(591),
    [anon_sym_BANG_EQ] = ACTIONS(591),
    [anon_sym_PLUS_EQ] = ACTIONS(591),
    [anon_sym_STAR_EQ] = ACTIONS(591),
    [anon_sym_SLASH_EQ] = ACTIONS(591),
    [anon_sym_PERCENT_EQ] = ACTIONS(591),
    [anon_sym_GT] = ACTIONS(593),
    [anon_sym_GT_GT] = ACTIONS(591),
    [anon_sym_2_GT] = ACTIONS(593),
    [anon_sym_2_GT_GT] = ACTIONS(591),
    [anon_sym_3_GT] = ACTIONS(593),
    [anon_sym_3_GT_GT] = ACTIONS(591),
    [anon_sym_4_GT] = ACTIONS(593),
    [anon_sym_4_GT_GT] = ACTIONS(591),
    [anon_sym_5_GT] = ACTIONS(593),
    [anon_sym_5_GT_GT] = ACTIONS(591),
    [anon_sym_6_GT] = ACTIONS(593),
    [anon_sym_6_GT_GT] = ACTIONS(591),
    [anon_sym_STAR_GT] = ACTIONS(593),
    [anon_sym_STAR_GT_GT] = ACTIONS(591),
    [anon_sym_LT] = ACTIONS(593),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(591),
    [anon_sym_2_GT_AMP1] = ACTIONS(591),
    [anon_sym_3_GT_AMP1] = ACTIONS(591),
    [anon_sym_4_GT_AMP1] = ACTIONS(591),
    [anon_sym_5_GT_AMP1] = ACTIONS(591),
    [anon_sym_6_GT_AMP1] = ACTIONS(591),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(591),
    [anon_sym_1_GT_AMP2] = ACTIONS(591),
    [anon_sym_3_GT_AMP2] = ACTIONS(591),
    [anon_sym_4_GT_AMP2] = ACTIONS(591),
    [anon_sym_5_GT_AMP2] = ACTIONS(591),
    [anon_sym_6_GT_AMP2] = ACTIONS(591),
    [aux_sym_comparison_operator_token1] = ACTIONS(591),
    [aux_sym_comparison_operator_token2] = ACTIONS(591),
    [aux_sym_comparison_operator_token3] = ACTIONS(591),
    [aux_sym_comparison_operator_token4] = ACTIONS(591),
    [aux_sym_comparison_operator_token5] = ACTIONS(591),
    [aux_sym_comparison_operator_token6] = ACTIONS(591),
    [aux_sym_comparison_operator_token7] = ACTIONS(591),
    [aux_sym_comparison_operator_token8] = ACTIONS(591),
    [aux_sym_comparison_operator_token9] = ACTIONS(591),
    [aux_sym_comparison_operator_token10] = ACTIONS(591),
    [aux_sym_comparison_operator_token11] = ACTIONS(591),
    [aux_sym_comparison_operator_token12] = ACTIONS(591),
    [aux_sym_comparison_operator_token13] = ACTIONS(591),
    [aux_sym_comparison_operator_token14] = ACTIONS(591),
    [aux_sym_comparison_operator_token15] = ACTIONS(591),
    [aux_sym_comparison_operator_token16] = ACTIONS(591),
    [aux_sym_comparison_operator_token17] = ACTIONS(591),
    [aux_sym_comparison_operator_token18] = ACTIONS(591),
    [aux_sym_comparison_operator_token19] = ACTIONS(591),
    [aux_sym_comparison_operator_token20] = ACTIONS(591),
    [aux_sym_comparison_operator_token21] = ACTIONS(591),
    [aux_sym_comparison_operator_token22] = ACTIONS(591),
    [aux_sym_comparison_operator_token23] = ACTIONS(591),
    [aux_sym_comparison_operator_token24] = ACTIONS(591),
    [aux_sym_comparison_operator_token25] = ACTIONS(591),
    [aux_sym_comparison_operator_token26] = ACTIONS(591),
    [aux_sym_comparison_operator_token27] = ACTIONS(591),
    [aux_sym_comparison_operator_token28] = ACTIONS(593),
    [aux_sym_comparison_operator_token29] = ACTIONS(591),
    [aux_sym_comparison_operator_token30] = ACTIONS(591),
    [aux_sym_comparison_operator_token31] = ACTIONS(591),
    [aux_sym_comparison_operator_token32] = ACTIONS(591),
    [aux_sym_comparison_operator_token33] = ACTIONS(591),
    [aux_sym_comparison_operator_token34] = ACTIONS(593),
    [aux_sym_comparison_operator_token35] = ACTIONS(591),
    [aux_sym_comparison_operator_token36] = ACTIONS(591),
    [aux_sym_comparison_operator_token37] = ACTIONS(591),
    [aux_sym_comparison_operator_token38] = ACTIONS(591),
    [aux_sym_comparison_operator_token39] = ACTIONS(591),
    [aux_sym_comparison_operator_token40] = ACTIONS(591),
    [aux_sym_comparison_operator_token41] = ACTIONS(591),
    [aux_sym_comparison_operator_token42] = ACTIONS(591),
    [aux_sym_comparison_operator_token43] = ACTIONS(591),
    [aux_sym_comparison_operator_token44] = ACTIONS(591),
    [aux_sym_comparison_operator_token45] = ACTIONS(591),
    [aux_sym_comparison_operator_token46] = ACTIONS(591),
    [aux_sym_comparison_operator_token47] = ACTIONS(591),
    [aux_sym_comparison_operator_token48] = ACTIONS(591),
    [aux_sym_comparison_operator_token49] = ACTIONS(591),
    [aux_sym_comparison_operator_token50] = ACTIONS(591),
    [aux_sym_format_operator_token1] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_COMMA] = ACTIONS(591),
    [anon_sym_PIPE] = ACTIONS(591),
    [anon_sym_PERCENT] = ACTIONS(593),
    [aux_sym_logical_expression_token1] = ACTIONS(591),
    [aux_sym_logical_expression_token2] = ACTIONS(591),
    [aux_sym_logical_expression_token3] = ACTIONS(591),
    [aux_sym_bitwise_expression_token1] = ACTIONS(591),
    [aux_sym_bitwise_expression_token2] = ACTIONS(591),
    [aux_sym_bitwise_expression_token3] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_SLASH] = ACTIONS(593),
    [anon_sym_BSLASH] = ACTIONS(591),
    [anon_sym_STAR] = ACTIONS(593),
    [anon_sym_DOT_DOT] = ACTIONS(591),
    [anon_sym_PLUS_PLUS] = ACTIONS(591),
    [anon_sym_DASH_DASH] = ACTIONS(591),
    [anon_sym_DOT2] = ACTIONS(593),
    [anon_sym_COLON_COLON] = ACTIONS(591),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(591),
    [sym__statement_terminator] = ACTIONS(591),
  },
  [95] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(635),
    [anon_sym_STAR_EQ] = ACTIONS(635),
    [anon_sym_SLASH_EQ] = ACTIONS(635),
    [anon_sym_PERCENT_EQ] = ACTIONS(635),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_GT_GT] = ACTIONS(635),
    [anon_sym_2_GT] = ACTIONS(637),
    [anon_sym_2_GT_GT] = ACTIONS(635),
    [anon_sym_3_GT] = ACTIONS(637),
    [anon_sym_3_GT_GT] = ACTIONS(635),
    [anon_sym_4_GT] = ACTIONS(637),
    [anon_sym_4_GT_GT] = ACTIONS(635),
    [anon_sym_5_GT] = ACTIONS(637),
    [anon_sym_5_GT_GT] = ACTIONS(635),
    [anon_sym_6_GT] = ACTIONS(637),
    [anon_sym_6_GT_GT] = ACTIONS(635),
    [anon_sym_STAR_GT] = ACTIONS(637),
    [anon_sym_STAR_GT_GT] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(635),
    [anon_sym_2_GT_AMP1] = ACTIONS(635),
    [anon_sym_3_GT_AMP1] = ACTIONS(635),
    [anon_sym_4_GT_AMP1] = ACTIONS(635),
    [anon_sym_5_GT_AMP1] = ACTIONS(635),
    [anon_sym_6_GT_AMP1] = ACTIONS(635),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(635),
    [anon_sym_1_GT_AMP2] = ACTIONS(635),
    [anon_sym_3_GT_AMP2] = ACTIONS(635),
    [anon_sym_4_GT_AMP2] = ACTIONS(635),
    [anon_sym_5_GT_AMP2] = ACTIONS(635),
    [anon_sym_6_GT_AMP2] = ACTIONS(635),
    [aux_sym_comparison_operator_token1] = ACTIONS(635),
    [aux_sym_comparison_operator_token2] = ACTIONS(635),
    [aux_sym_comparison_operator_token3] = ACTIONS(635),
    [aux_sym_comparison_operator_token4] = ACTIONS(635),
    [aux_sym_comparison_operator_token5] = ACTIONS(635),
    [aux_sym_comparison_operator_token6] = ACTIONS(635),
    [aux_sym_comparison_operator_token7] = ACTIONS(635),
    [aux_sym_comparison_operator_token8] = ACTIONS(635),
    [aux_sym_comparison_operator_token9] = ACTIONS(635),
    [aux_sym_comparison_operator_token10] = ACTIONS(635),
    [aux_sym_comparison_operator_token11] = ACTIONS(635),
    [aux_sym_comparison_operator_token12] = ACTIONS(635),
    [aux_sym_comparison_operator_token13] = ACTIONS(635),
    [aux_sym_comparison_operator_token14] = ACTIONS(635),
    [aux_sym_comparison_operator_token15] = ACTIONS(635),
    [aux_sym_comparison_operator_token16] = ACTIONS(635),
    [aux_sym_comparison_operator_token17] = ACTIONS(635),
    [aux_sym_comparison_operator_token18] = ACTIONS(635),
    [aux_sym_comparison_operator_token19] = ACTIONS(635),
    [aux_sym_comparison_operator_token20] = ACTIONS(635),
    [aux_sym_comparison_operator_token21] = ACTIONS(635),
    [aux_sym_comparison_operator_token22] = ACTIONS(635),
    [aux_sym_comparison_operator_token23] = ACTIONS(635),
    [aux_sym_comparison_operator_token24] = ACTIONS(635),
    [aux_sym_comparison_operator_token25] = ACTIONS(635),
    [aux_sym_comparison_operator_token26] = ACTIONS(635),
    [aux_sym_comparison_operator_token27] = ACTIONS(635),
    [aux_sym_comparison_operator_token28] = ACTIONS(637),
    [aux_sym_comparison_operator_token29] = ACTIONS(635),
    [aux_sym_comparison_operator_token30] = ACTIONS(635),
    [aux_sym_comparison_operator_token31] = ACTIONS(635),
    [aux_sym_comparison_operator_token32] = ACTIONS(635),
    [aux_sym_comparison_operator_token33] = ACTIONS(635),
    [aux_sym_comparison_operator_token34] = ACTIONS(637),
    [aux_sym_comparison_operator_token35] = ACTIONS(635),
    [aux_sym_comparison_operator_token36] = ACTIONS(635),
    [aux_sym_comparison_operator_token37] = ACTIONS(635),
    [aux_sym_comparison_operator_token38] = ACTIONS(635),
    [aux_sym_comparison_operator_token39] = ACTIONS(635),
    [aux_sym_comparison_operator_token40] = ACTIONS(635),
    [aux_sym_comparison_operator_token41] = ACTIONS(635),
    [aux_sym_comparison_operator_token42] = ACTIONS(635),
    [aux_sym_comparison_operator_token43] = ACTIONS(635),
    [aux_sym_comparison_operator_token44] = ACTIONS(635),
    [aux_sym_comparison_operator_token45] = ACTIONS(635),
    [aux_sym_comparison_operator_token46] = ACTIONS(635),
    [aux_sym_comparison_operator_token47] = ACTIONS(635),
    [aux_sym_comparison_operator_token48] = ACTIONS(635),
    [aux_sym_comparison_operator_token49] = ACTIONS(635),
    [aux_sym_comparison_operator_token50] = ACTIONS(635),
    [aux_sym_format_operator_token1] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(635),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_PIPE] = ACTIONS(635),
    [anon_sym_PERCENT] = ACTIONS(637),
    [aux_sym_logical_expression_token1] = ACTIONS(635),
    [aux_sym_logical_expression_token2] = ACTIONS(635),
    [aux_sym_logical_expression_token3] = ACTIONS(635),
    [aux_sym_bitwise_expression_token1] = ACTIONS(635),
    [aux_sym_bitwise_expression_token2] = ACTIONS(635),
    [aux_sym_bitwise_expression_token3] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_DOT_DOT] = ACTIONS(635),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DOT2] = ACTIONS(637),
    [anon_sym_COLON_COLON] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(635),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(635),
  },
  [96] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_EQ] = ACTIONS(639),
    [anon_sym_BANG_EQ] = ACTIONS(639),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_GT] = ACTIONS(641),
    [anon_sym_GT_GT] = ACTIONS(639),
    [anon_sym_2_GT] = ACTIONS(641),
    [anon_sym_2_GT_GT] = ACTIONS(639),
    [anon_sym_3_GT] = ACTIONS(641),
    [anon_sym_3_GT_GT] = ACTIONS(639),
    [anon_sym_4_GT] = ACTIONS(641),
    [anon_sym_4_GT_GT] = ACTIONS(639),
    [anon_sym_5_GT] = ACTIONS(641),
    [anon_sym_5_GT_GT] = ACTIONS(639),
    [anon_sym_6_GT] = ACTIONS(641),
    [anon_sym_6_GT_GT] = ACTIONS(639),
    [anon_sym_STAR_GT] = ACTIONS(641),
    [anon_sym_STAR_GT_GT] = ACTIONS(639),
    [anon_sym_LT] = ACTIONS(641),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(639),
    [anon_sym_2_GT_AMP1] = ACTIONS(639),
    [anon_sym_3_GT_AMP1] = ACTIONS(639),
    [anon_sym_4_GT_AMP1] = ACTIONS(639),
    [anon_sym_5_GT_AMP1] = ACTIONS(639),
    [anon_sym_6_GT_AMP1] = ACTIONS(639),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(639),
    [anon_sym_1_GT_AMP2] = ACTIONS(639),
    [anon_sym_3_GT_AMP2] = ACTIONS(639),
    [anon_sym_4_GT_AMP2] = ACTIONS(639),
    [anon_sym_5_GT_AMP2] = ACTIONS(639),
    [anon_sym_6_GT_AMP2] = ACTIONS(639),
    [aux_sym_comparison_operator_token1] = ACTIONS(639),
    [aux_sym_comparison_operator_token2] = ACTIONS(639),
    [aux_sym_comparison_operator_token3] = ACTIONS(639),
    [aux_sym_comparison_operator_token4] = ACTIONS(639),
    [aux_sym_comparison_operator_token5] = ACTIONS(639),
    [aux_sym_comparison_operator_token6] = ACTIONS(639),
    [aux_sym_comparison_operator_token7] = ACTIONS(639),
    [aux_sym_comparison_operator_token8] = ACTIONS(639),
    [aux_sym_comparison_operator_token9] = ACTIONS(639),
    [aux_sym_comparison_operator_token10] = ACTIONS(639),
    [aux_sym_comparison_operator_token11] = ACTIONS(639),
    [aux_sym_comparison_operator_token12] = ACTIONS(639),
    [aux_sym_comparison_operator_token13] = ACTIONS(639),
    [aux_sym_comparison_operator_token14] = ACTIONS(639),
    [aux_sym_comparison_operator_token15] = ACTIONS(639),
    [aux_sym_comparison_operator_token16] = ACTIONS(639),
    [aux_sym_comparison_operator_token17] = ACTIONS(639),
    [aux_sym_comparison_operator_token18] = ACTIONS(639),
    [aux_sym_comparison_operator_token19] = ACTIONS(639),
    [aux_sym_comparison_operator_token20] = ACTIONS(639),
    [aux_sym_comparison_operator_token21] = ACTIONS(639),
    [aux_sym_comparison_operator_token22] = ACTIONS(639),
    [aux_sym_comparison_operator_token23] = ACTIONS(639),
    [aux_sym_comparison_operator_token24] = ACTIONS(639),
    [aux_sym_comparison_operator_token25] = ACTIONS(639),
    [aux_sym_comparison_operator_token26] = ACTIONS(639),
    [aux_sym_comparison_operator_token27] = ACTIONS(639),
    [aux_sym_comparison_operator_token28] = ACTIONS(641),
    [aux_sym_comparison_operator_token29] = ACTIONS(639),
    [aux_sym_comparison_operator_token30] = ACTIONS(639),
    [aux_sym_comparison_operator_token31] = ACTIONS(639),
    [aux_sym_comparison_operator_token32] = ACTIONS(639),
    [aux_sym_comparison_operator_token33] = ACTIONS(639),
    [aux_sym_comparison_operator_token34] = ACTIONS(641),
    [aux_sym_comparison_operator_token35] = ACTIONS(639),
    [aux_sym_comparison_operator_token36] = ACTIONS(639),
    [aux_sym_comparison_operator_token37] = ACTIONS(639),
    [aux_sym_comparison_operator_token38] = ACTIONS(639),
    [aux_sym_comparison_operator_token39] = ACTIONS(639),
    [aux_sym_comparison_operator_token40] = ACTIONS(639),
    [aux_sym_comparison_operator_token41] = ACTIONS(639),
    [aux_sym_comparison_operator_token42] = ACTIONS(639),
    [aux_sym_comparison_operator_token43] = ACTIONS(639),
    [aux_sym_comparison_operator_token44] = ACTIONS(639),
    [aux_sym_comparison_operator_token45] = ACTIONS(639),
    [aux_sym_comparison_operator_token46] = ACTIONS(639),
    [aux_sym_comparison_operator_token47] = ACTIONS(639),
    [aux_sym_comparison_operator_token48] = ACTIONS(639),
    [aux_sym_comparison_operator_token49] = ACTIONS(639),
    [aux_sym_comparison_operator_token50] = ACTIONS(639),
    [aux_sym_format_operator_token1] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(639),
    [anon_sym_RPAREN] = ACTIONS(639),
    [anon_sym_COMMA] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(639),
    [anon_sym_PERCENT] = ACTIONS(641),
    [aux_sym_logical_expression_token1] = ACTIONS(639),
    [aux_sym_logical_expression_token2] = ACTIONS(639),
    [aux_sym_logical_expression_token3] = ACTIONS(639),
    [aux_sym_bitwise_expression_token1] = ACTIONS(639),
    [aux_sym_bitwise_expression_token2] = ACTIONS(639),
    [aux_sym_bitwise_expression_token3] = ACTIONS(639),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_SLASH] = ACTIONS(641),
    [anon_sym_BSLASH] = ACTIONS(639),
    [anon_sym_STAR] = ACTIONS(641),
    [anon_sym_DOT_DOT] = ACTIONS(639),
    [anon_sym_PLUS_PLUS] = ACTIONS(639),
    [anon_sym_DASH_DASH] = ACTIONS(639),
    [anon_sym_DOT2] = ACTIONS(641),
    [anon_sym_COLON_COLON] = ACTIONS(639),
    [anon_sym_RBRACK] = ACTIONS(639),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(639),
  },
  [97] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_EQ] = ACTIONS(643),
    [anon_sym_BANG_EQ] = ACTIONS(643),
    [anon_sym_PLUS_EQ] = ACTIONS(643),
    [anon_sym_STAR_EQ] = ACTIONS(643),
    [anon_sym_SLASH_EQ] = ACTIONS(643),
    [anon_sym_PERCENT_EQ] = ACTIONS(643),
    [anon_sym_GT] = ACTIONS(645),
    [anon_sym_GT_GT] = ACTIONS(643),
    [anon_sym_2_GT] = ACTIONS(645),
    [anon_sym_2_GT_GT] = ACTIONS(643),
    [anon_sym_3_GT] = ACTIONS(645),
    [anon_sym_3_GT_GT] = ACTIONS(643),
    [anon_sym_4_GT] = ACTIONS(645),
    [anon_sym_4_GT_GT] = ACTIONS(643),
    [anon_sym_5_GT] = ACTIONS(645),
    [anon_sym_5_GT_GT] = ACTIONS(643),
    [anon_sym_6_GT] = ACTIONS(645),
    [anon_sym_6_GT_GT] = ACTIONS(643),
    [anon_sym_STAR_GT] = ACTIONS(645),
    [anon_sym_STAR_GT_GT] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(645),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(643),
    [anon_sym_2_GT_AMP1] = ACTIONS(643),
    [anon_sym_3_GT_AMP1] = ACTIONS(643),
    [anon_sym_4_GT_AMP1] = ACTIONS(643),
    [anon_sym_5_GT_AMP1] = ACTIONS(643),
    [anon_sym_6_GT_AMP1] = ACTIONS(643),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(643),
    [anon_sym_1_GT_AMP2] = ACTIONS(643),
    [anon_sym_3_GT_AMP2] = ACTIONS(643),
    [anon_sym_4_GT_AMP2] = ACTIONS(643),
    [anon_sym_5_GT_AMP2] = ACTIONS(643),
    [anon_sym_6_GT_AMP2] = ACTIONS(643),
    [aux_sym_comparison_operator_token1] = ACTIONS(643),
    [aux_sym_comparison_operator_token2] = ACTIONS(643),
    [aux_sym_comparison_operator_token3] = ACTIONS(643),
    [aux_sym_comparison_operator_token4] = ACTIONS(643),
    [aux_sym_comparison_operator_token5] = ACTIONS(643),
    [aux_sym_comparison_operator_token6] = ACTIONS(643),
    [aux_sym_comparison_operator_token7] = ACTIONS(643),
    [aux_sym_comparison_operator_token8] = ACTIONS(643),
    [aux_sym_comparison_operator_token9] = ACTIONS(643),
    [aux_sym_comparison_operator_token10] = ACTIONS(643),
    [aux_sym_comparison_operator_token11] = ACTIONS(643),
    [aux_sym_comparison_operator_token12] = ACTIONS(643),
    [aux_sym_comparison_operator_token13] = ACTIONS(643),
    [aux_sym_comparison_operator_token14] = ACTIONS(643),
    [aux_sym_comparison_operator_token15] = ACTIONS(643),
    [aux_sym_comparison_operator_token16] = ACTIONS(643),
    [aux_sym_comparison_operator_token17] = ACTIONS(643),
    [aux_sym_comparison_operator_token18] = ACTIONS(643),
    [aux_sym_comparison_operator_token19] = ACTIONS(643),
    [aux_sym_comparison_operator_token20] = ACTIONS(643),
    [aux_sym_comparison_operator_token21] = ACTIONS(643),
    [aux_sym_comparison_operator_token22] = ACTIONS(643),
    [aux_sym_comparison_operator_token23] = ACTIONS(643),
    [aux_sym_comparison_operator_token24] = ACTIONS(643),
    [aux_sym_comparison_operator_token25] = ACTIONS(643),
    [aux_sym_comparison_operator_token26] = ACTIONS(643),
    [aux_sym_comparison_operator_token27] = ACTIONS(643),
    [aux_sym_comparison_operator_token28] = ACTIONS(645),
    [aux_sym_comparison_operator_token29] = ACTIONS(643),
    [aux_sym_comparison_operator_token30] = ACTIONS(643),
    [aux_sym_comparison_operator_token31] = ACTIONS(643),
    [aux_sym_comparison_operator_token32] = ACTIONS(643),
    [aux_sym_comparison_operator_token33] = ACTIONS(643),
    [aux_sym_comparison_operator_token34] = ACTIONS(645),
    [aux_sym_comparison_operator_token35] = ACTIONS(643),
    [aux_sym_comparison_operator_token36] = ACTIONS(643),
    [aux_sym_comparison_operator_token37] = ACTIONS(643),
    [aux_sym_comparison_operator_token38] = ACTIONS(643),
    [aux_sym_comparison_operator_token39] = ACTIONS(643),
    [aux_sym_comparison_operator_token40] = ACTIONS(643),
    [aux_sym_comparison_operator_token41] = ACTIONS(643),
    [aux_sym_comparison_operator_token42] = ACTIONS(643),
    [aux_sym_comparison_operator_token43] = ACTIONS(643),
    [aux_sym_comparison_operator_token44] = ACTIONS(643),
    [aux_sym_comparison_operator_token45] = ACTIONS(643),
    [aux_sym_comparison_operator_token46] = ACTIONS(643),
    [aux_sym_comparison_operator_token47] = ACTIONS(643),
    [aux_sym_comparison_operator_token48] = ACTIONS(643),
    [aux_sym_comparison_operator_token49] = ACTIONS(643),
    [aux_sym_comparison_operator_token50] = ACTIONS(643),
    [aux_sym_format_operator_token1] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(643),
    [anon_sym_COMMA] = ACTIONS(643),
    [anon_sym_PIPE] = ACTIONS(643),
    [anon_sym_PERCENT] = ACTIONS(645),
    [aux_sym_logical_expression_token1] = ACTIONS(643),
    [aux_sym_logical_expression_token2] = ACTIONS(643),
    [aux_sym_logical_expression_token3] = ACTIONS(643),
    [aux_sym_bitwise_expression_token1] = ACTIONS(643),
    [aux_sym_bitwise_expression_token2] = ACTIONS(643),
    [aux_sym_bitwise_expression_token3] = ACTIONS(643),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(643),
    [anon_sym_STAR] = ACTIONS(645),
    [anon_sym_DOT_DOT] = ACTIONS(643),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_DOT2] = ACTIONS(645),
    [anon_sym_COLON_COLON] = ACTIONS(643),
    [anon_sym_RBRACK] = ACTIONS(643),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(643),
  },
  [98] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_EQ] = ACTIONS(647),
    [anon_sym_BANG_EQ] = ACTIONS(647),
    [anon_sym_PLUS_EQ] = ACTIONS(647),
    [anon_sym_STAR_EQ] = ACTIONS(647),
    [anon_sym_SLASH_EQ] = ACTIONS(647),
    [anon_sym_PERCENT_EQ] = ACTIONS(647),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_GT] = ACTIONS(647),
    [anon_sym_2_GT] = ACTIONS(649),
    [anon_sym_2_GT_GT] = ACTIONS(647),
    [anon_sym_3_GT] = ACTIONS(649),
    [anon_sym_3_GT_GT] = ACTIONS(647),
    [anon_sym_4_GT] = ACTIONS(649),
    [anon_sym_4_GT_GT] = ACTIONS(647),
    [anon_sym_5_GT] = ACTIONS(649),
    [anon_sym_5_GT_GT] = ACTIONS(647),
    [anon_sym_6_GT] = ACTIONS(649),
    [anon_sym_6_GT_GT] = ACTIONS(647),
    [anon_sym_STAR_GT] = ACTIONS(649),
    [anon_sym_STAR_GT_GT] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(647),
    [anon_sym_2_GT_AMP1] = ACTIONS(647),
    [anon_sym_3_GT_AMP1] = ACTIONS(647),
    [anon_sym_4_GT_AMP1] = ACTIONS(647),
    [anon_sym_5_GT_AMP1] = ACTIONS(647),
    [anon_sym_6_GT_AMP1] = ACTIONS(647),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(647),
    [anon_sym_1_GT_AMP2] = ACTIONS(647),
    [anon_sym_3_GT_AMP2] = ACTIONS(647),
    [anon_sym_4_GT_AMP2] = ACTIONS(647),
    [anon_sym_5_GT_AMP2] = ACTIONS(647),
    [anon_sym_6_GT_AMP2] = ACTIONS(647),
    [aux_sym_comparison_operator_token1] = ACTIONS(647),
    [aux_sym_comparison_operator_token2] = ACTIONS(647),
    [aux_sym_comparison_operator_token3] = ACTIONS(647),
    [aux_sym_comparison_operator_token4] = ACTIONS(647),
    [aux_sym_comparison_operator_token5] = ACTIONS(647),
    [aux_sym_comparison_operator_token6] = ACTIONS(647),
    [aux_sym_comparison_operator_token7] = ACTIONS(647),
    [aux_sym_comparison_operator_token8] = ACTIONS(647),
    [aux_sym_comparison_operator_token9] = ACTIONS(647),
    [aux_sym_comparison_operator_token10] = ACTIONS(647),
    [aux_sym_comparison_operator_token11] = ACTIONS(647),
    [aux_sym_comparison_operator_token12] = ACTIONS(647),
    [aux_sym_comparison_operator_token13] = ACTIONS(647),
    [aux_sym_comparison_operator_token14] = ACTIONS(647),
    [aux_sym_comparison_operator_token15] = ACTIONS(647),
    [aux_sym_comparison_operator_token16] = ACTIONS(647),
    [aux_sym_comparison_operator_token17] = ACTIONS(647),
    [aux_sym_comparison_operator_token18] = ACTIONS(647),
    [aux_sym_comparison_operator_token19] = ACTIONS(647),
    [aux_sym_comparison_operator_token20] = ACTIONS(647),
    [aux_sym_comparison_operator_token21] = ACTIONS(647),
    [aux_sym_comparison_operator_token22] = ACTIONS(647),
    [aux_sym_comparison_operator_token23] = ACTIONS(647),
    [aux_sym_comparison_operator_token24] = ACTIONS(647),
    [aux_sym_comparison_operator_token25] = ACTIONS(647),
    [aux_sym_comparison_operator_token26] = ACTIONS(647),
    [aux_sym_comparison_operator_token27] = ACTIONS(647),
    [aux_sym_comparison_operator_token28] = ACTIONS(649),
    [aux_sym_comparison_operator_token29] = ACTIONS(647),
    [aux_sym_comparison_operator_token30] = ACTIONS(647),
    [aux_sym_comparison_operator_token31] = ACTIONS(647),
    [aux_sym_comparison_operator_token32] = ACTIONS(647),
    [aux_sym_comparison_operator_token33] = ACTIONS(647),
    [aux_sym_comparison_operator_token34] = ACTIONS(649),
    [aux_sym_comparison_operator_token35] = ACTIONS(647),
    [aux_sym_comparison_operator_token36] = ACTIONS(647),
    [aux_sym_comparison_operator_token37] = ACTIONS(647),
    [aux_sym_comparison_operator_token38] = ACTIONS(647),
    [aux_sym_comparison_operator_token39] = ACTIONS(647),
    [aux_sym_comparison_operator_token40] = ACTIONS(647),
    [aux_sym_comparison_operator_token41] = ACTIONS(647),
    [aux_sym_comparison_operator_token42] = ACTIONS(647),
    [aux_sym_comparison_operator_token43] = ACTIONS(647),
    [aux_sym_comparison_operator_token44] = ACTIONS(647),
    [aux_sym_comparison_operator_token45] = ACTIONS(647),
    [aux_sym_comparison_operator_token46] = ACTIONS(647),
    [aux_sym_comparison_operator_token47] = ACTIONS(647),
    [aux_sym_comparison_operator_token48] = ACTIONS(647),
    [aux_sym_comparison_operator_token49] = ACTIONS(647),
    [aux_sym_comparison_operator_token50] = ACTIONS(647),
    [aux_sym_format_operator_token1] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(647),
    [anon_sym_RPAREN] = ACTIONS(647),
    [anon_sym_COMMA] = ACTIONS(647),
    [anon_sym_PIPE] = ACTIONS(647),
    [anon_sym_PERCENT] = ACTIONS(649),
    [aux_sym_logical_expression_token1] = ACTIONS(647),
    [aux_sym_logical_expression_token2] = ACTIONS(647),
    [aux_sym_logical_expression_token3] = ACTIONS(647),
    [aux_sym_bitwise_expression_token1] = ACTIONS(647),
    [aux_sym_bitwise_expression_token2] = ACTIONS(647),
    [aux_sym_bitwise_expression_token3] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_SLASH] = ACTIONS(649),
    [anon_sym_BSLASH] = ACTIONS(647),
    [anon_sym_STAR] = ACTIONS(649),
    [anon_sym_DOT_DOT] = ACTIONS(647),
    [anon_sym_PLUS_PLUS] = ACTIONS(647),
    [anon_sym_DASH_DASH] = ACTIONS(647),
    [anon_sym_DOT2] = ACTIONS(649),
    [anon_sym_COLON_COLON] = ACTIONS(647),
    [anon_sym_RBRACK] = ACTIONS(647),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(647),
  },
  [99] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_PLUS_EQ] = ACTIONS(651),
    [anon_sym_STAR_EQ] = ACTIONS(651),
    [anon_sym_SLASH_EQ] = ACTIONS(651),
    [anon_sym_PERCENT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(653),
    [anon_sym_GT_GT] = ACTIONS(651),
    [anon_sym_2_GT] = ACTIONS(653),
    [anon_sym_2_GT_GT] = ACTIONS(651),
    [anon_sym_3_GT] = ACTIONS(653),
    [anon_sym_3_GT_GT] = ACTIONS(651),
    [anon_sym_4_GT] = ACTIONS(653),
    [anon_sym_4_GT_GT] = ACTIONS(651),
    [anon_sym_5_GT] = ACTIONS(653),
    [anon_sym_5_GT_GT] = ACTIONS(651),
    [anon_sym_6_GT] = ACTIONS(653),
    [anon_sym_6_GT_GT] = ACTIONS(651),
    [anon_sym_STAR_GT] = ACTIONS(653),
    [anon_sym_STAR_GT_GT] = ACTIONS(651),
    [anon_sym_LT] = ACTIONS(653),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(651),
    [anon_sym_2_GT_AMP1] = ACTIONS(651),
    [anon_sym_3_GT_AMP1] = ACTIONS(651),
    [anon_sym_4_GT_AMP1] = ACTIONS(651),
    [anon_sym_5_GT_AMP1] = ACTIONS(651),
    [anon_sym_6_GT_AMP1] = ACTIONS(651),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(651),
    [anon_sym_1_GT_AMP2] = ACTIONS(651),
    [anon_sym_3_GT_AMP2] = ACTIONS(651),
    [anon_sym_4_GT_AMP2] = ACTIONS(651),
    [anon_sym_5_GT_AMP2] = ACTIONS(651),
    [anon_sym_6_GT_AMP2] = ACTIONS(651),
    [aux_sym_comparison_operator_token1] = ACTIONS(651),
    [aux_sym_comparison_operator_token2] = ACTIONS(651),
    [aux_sym_comparison_operator_token3] = ACTIONS(651),
    [aux_sym_comparison_operator_token4] = ACTIONS(651),
    [aux_sym_comparison_operator_token5] = ACTIONS(651),
    [aux_sym_comparison_operator_token6] = ACTIONS(651),
    [aux_sym_comparison_operator_token7] = ACTIONS(651),
    [aux_sym_comparison_operator_token8] = ACTIONS(651),
    [aux_sym_comparison_operator_token9] = ACTIONS(651),
    [aux_sym_comparison_operator_token10] = ACTIONS(651),
    [aux_sym_comparison_operator_token11] = ACTIONS(651),
    [aux_sym_comparison_operator_token12] = ACTIONS(651),
    [aux_sym_comparison_operator_token13] = ACTIONS(651),
    [aux_sym_comparison_operator_token14] = ACTIONS(651),
    [aux_sym_comparison_operator_token15] = ACTIONS(651),
    [aux_sym_comparison_operator_token16] = ACTIONS(651),
    [aux_sym_comparison_operator_token17] = ACTIONS(651),
    [aux_sym_comparison_operator_token18] = ACTIONS(651),
    [aux_sym_comparison_operator_token19] = ACTIONS(651),
    [aux_sym_comparison_operator_token20] = ACTIONS(651),
    [aux_sym_comparison_operator_token21] = ACTIONS(651),
    [aux_sym_comparison_operator_token22] = ACTIONS(651),
    [aux_sym_comparison_operator_token23] = ACTIONS(651),
    [aux_sym_comparison_operator_token24] = ACTIONS(651),
    [aux_sym_comparison_operator_token25] = ACTIONS(651),
    [aux_sym_comparison_operator_token26] = ACTIONS(651),
    [aux_sym_comparison_operator_token27] = ACTIONS(651),
    [aux_sym_comparison_operator_token28] = ACTIONS(653),
    [aux_sym_comparison_operator_token29] = ACTIONS(651),
    [aux_sym_comparison_operator_token30] = ACTIONS(651),
    [aux_sym_comparison_operator_token31] = ACTIONS(651),
    [aux_sym_comparison_operator_token32] = ACTIONS(651),
    [aux_sym_comparison_operator_token33] = ACTIONS(651),
    [aux_sym_comparison_operator_token34] = ACTIONS(653),
    [aux_sym_comparison_operator_token35] = ACTIONS(651),
    [aux_sym_comparison_operator_token36] = ACTIONS(651),
    [aux_sym_comparison_operator_token37] = ACTIONS(651),
    [aux_sym_comparison_operator_token38] = ACTIONS(651),
    [aux_sym_comparison_operator_token39] = ACTIONS(651),
    [aux_sym_comparison_operator_token40] = ACTIONS(651),
    [aux_sym_comparison_operator_token41] = ACTIONS(651),
    [aux_sym_comparison_operator_token42] = ACTIONS(651),
    [aux_sym_comparison_operator_token43] = ACTIONS(651),
    [aux_sym_comparison_operator_token44] = ACTIONS(651),
    [aux_sym_comparison_operator_token45] = ACTIONS(651),
    [aux_sym_comparison_operator_token46] = ACTIONS(651),
    [aux_sym_comparison_operator_token47] = ACTIONS(651),
    [aux_sym_comparison_operator_token48] = ACTIONS(651),
    [aux_sym_comparison_operator_token49] = ACTIONS(651),
    [aux_sym_comparison_operator_token50] = ACTIONS(651),
    [aux_sym_format_operator_token1] = ACTIONS(651),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(651),
    [anon_sym_COMMA] = ACTIONS(651),
    [anon_sym_PIPE] = ACTIONS(651),
    [anon_sym_PERCENT] = ACTIONS(653),
    [aux_sym_logical_expression_token1] = ACTIONS(651),
    [aux_sym_logical_expression_token2] = ACTIONS(651),
    [aux_sym_logical_expression_token3] = ACTIONS(651),
    [aux_sym_bitwise_expression_token1] = ACTIONS(651),
    [aux_sym_bitwise_expression_token2] = ACTIONS(651),
    [aux_sym_bitwise_expression_token3] = ACTIONS(651),
    [anon_sym_PLUS] = ACTIONS(653),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(653),
    [anon_sym_BSLASH] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_DOT_DOT] = ACTIONS(651),
    [anon_sym_PLUS_PLUS] = ACTIONS(651),
    [anon_sym_DASH_DASH] = ACTIONS(651),
    [anon_sym_DOT2] = ACTIONS(653),
    [anon_sym_COLON_COLON] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(651),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(651),
  },
  [100] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_EQ] = ACTIONS(655),
    [anon_sym_BANG_EQ] = ACTIONS(655),
    [anon_sym_PLUS_EQ] = ACTIONS(655),
    [anon_sym_STAR_EQ] = ACTIONS(655),
    [anon_sym_SLASH_EQ] = ACTIONS(655),
    [anon_sym_PERCENT_EQ] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(657),
    [anon_sym_GT_GT] = ACTIONS(655),
    [anon_sym_2_GT] = ACTIONS(657),
    [anon_sym_2_GT_GT] = ACTIONS(655),
    [anon_sym_3_GT] = ACTIONS(657),
    [anon_sym_3_GT_GT] = ACTIONS(655),
    [anon_sym_4_GT] = ACTIONS(657),
    [anon_sym_4_GT_GT] = ACTIONS(655),
    [anon_sym_5_GT] = ACTIONS(657),
    [anon_sym_5_GT_GT] = ACTIONS(655),
    [anon_sym_6_GT] = ACTIONS(657),
    [anon_sym_6_GT_GT] = ACTIONS(655),
    [anon_sym_STAR_GT] = ACTIONS(657),
    [anon_sym_STAR_GT_GT] = ACTIONS(655),
    [anon_sym_LT] = ACTIONS(657),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(655),
    [anon_sym_2_GT_AMP1] = ACTIONS(655),
    [anon_sym_3_GT_AMP1] = ACTIONS(655),
    [anon_sym_4_GT_AMP1] = ACTIONS(655),
    [anon_sym_5_GT_AMP1] = ACTIONS(655),
    [anon_sym_6_GT_AMP1] = ACTIONS(655),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(655),
    [anon_sym_1_GT_AMP2] = ACTIONS(655),
    [anon_sym_3_GT_AMP2] = ACTIONS(655),
    [anon_sym_4_GT_AMP2] = ACTIONS(655),
    [anon_sym_5_GT_AMP2] = ACTIONS(655),
    [anon_sym_6_GT_AMP2] = ACTIONS(655),
    [aux_sym_comparison_operator_token1] = ACTIONS(655),
    [aux_sym_comparison_operator_token2] = ACTIONS(655),
    [aux_sym_comparison_operator_token3] = ACTIONS(655),
    [aux_sym_comparison_operator_token4] = ACTIONS(655),
    [aux_sym_comparison_operator_token5] = ACTIONS(655),
    [aux_sym_comparison_operator_token6] = ACTIONS(655),
    [aux_sym_comparison_operator_token7] = ACTIONS(655),
    [aux_sym_comparison_operator_token8] = ACTIONS(655),
    [aux_sym_comparison_operator_token9] = ACTIONS(655),
    [aux_sym_comparison_operator_token10] = ACTIONS(655),
    [aux_sym_comparison_operator_token11] = ACTIONS(655),
    [aux_sym_comparison_operator_token12] = ACTIONS(655),
    [aux_sym_comparison_operator_token13] = ACTIONS(655),
    [aux_sym_comparison_operator_token14] = ACTIONS(655),
    [aux_sym_comparison_operator_token15] = ACTIONS(655),
    [aux_sym_comparison_operator_token16] = ACTIONS(655),
    [aux_sym_comparison_operator_token17] = ACTIONS(655),
    [aux_sym_comparison_operator_token18] = ACTIONS(655),
    [aux_sym_comparison_operator_token19] = ACTIONS(655),
    [aux_sym_comparison_operator_token20] = ACTIONS(655),
    [aux_sym_comparison_operator_token21] = ACTIONS(655),
    [aux_sym_comparison_operator_token22] = ACTIONS(655),
    [aux_sym_comparison_operator_token23] = ACTIONS(655),
    [aux_sym_comparison_operator_token24] = ACTIONS(655),
    [aux_sym_comparison_operator_token25] = ACTIONS(655),
    [aux_sym_comparison_operator_token26] = ACTIONS(655),
    [aux_sym_comparison_operator_token27] = ACTIONS(655),
    [aux_sym_comparison_operator_token28] = ACTIONS(657),
    [aux_sym_comparison_operator_token29] = ACTIONS(655),
    [aux_sym_comparison_operator_token30] = ACTIONS(655),
    [aux_sym_comparison_operator_token31] = ACTIONS(655),
    [aux_sym_comparison_operator_token32] = ACTIONS(655),
    [aux_sym_comparison_operator_token33] = ACTIONS(655),
    [aux_sym_comparison_operator_token34] = ACTIONS(657),
    [aux_sym_comparison_operator_token35] = ACTIONS(655),
    [aux_sym_comparison_operator_token36] = ACTIONS(655),
    [aux_sym_comparison_operator_token37] = ACTIONS(655),
    [aux_sym_comparison_operator_token38] = ACTIONS(655),
    [aux_sym_comparison_operator_token39] = ACTIONS(655),
    [aux_sym_comparison_operator_token40] = ACTIONS(655),
    [aux_sym_comparison_operator_token41] = ACTIONS(655),
    [aux_sym_comparison_operator_token42] = ACTIONS(655),
    [aux_sym_comparison_operator_token43] = ACTIONS(655),
    [aux_sym_comparison_operator_token44] = ACTIONS(655),
    [aux_sym_comparison_operator_token45] = ACTIONS(655),
    [aux_sym_comparison_operator_token46] = ACTIONS(655),
    [aux_sym_comparison_operator_token47] = ACTIONS(655),
    [aux_sym_comparison_operator_token48] = ACTIONS(655),
    [aux_sym_comparison_operator_token49] = ACTIONS(655),
    [aux_sym_comparison_operator_token50] = ACTIONS(655),
    [aux_sym_format_operator_token1] = ACTIONS(655),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_RPAREN] = ACTIONS(655),
    [anon_sym_COMMA] = ACTIONS(655),
    [anon_sym_PIPE] = ACTIONS(655),
    [anon_sym_PERCENT] = ACTIONS(657),
    [aux_sym_logical_expression_token1] = ACTIONS(655),
    [aux_sym_logical_expression_token2] = ACTIONS(655),
    [aux_sym_logical_expression_token3] = ACTIONS(655),
    [aux_sym_bitwise_expression_token1] = ACTIONS(655),
    [aux_sym_bitwise_expression_token2] = ACTIONS(655),
    [aux_sym_bitwise_expression_token3] = ACTIONS(655),
    [anon_sym_PLUS] = ACTIONS(657),
    [anon_sym_DASH] = ACTIONS(657),
    [anon_sym_SLASH] = ACTIONS(657),
    [anon_sym_BSLASH] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(657),
    [anon_sym_DOT_DOT] = ACTIONS(655),
    [anon_sym_PLUS_PLUS] = ACTIONS(655),
    [anon_sym_DASH_DASH] = ACTIONS(655),
    [anon_sym_DOT2] = ACTIONS(657),
    [anon_sym_COLON_COLON] = ACTIONS(655),
    [anon_sym_RBRACK] = ACTIONS(655),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(655),
  },
  [101] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(659),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_BANG_EQ] = ACTIONS(659),
    [anon_sym_PLUS_EQ] = ACTIONS(659),
    [anon_sym_STAR_EQ] = ACTIONS(659),
    [anon_sym_SLASH_EQ] = ACTIONS(659),
    [anon_sym_PERCENT_EQ] = ACTIONS(659),
    [anon_sym_GT] = ACTIONS(661),
    [anon_sym_GT_GT] = ACTIONS(659),
    [anon_sym_2_GT] = ACTIONS(661),
    [anon_sym_2_GT_GT] = ACTIONS(659),
    [anon_sym_3_GT] = ACTIONS(661),
    [anon_sym_3_GT_GT] = ACTIONS(659),
    [anon_sym_4_GT] = ACTIONS(661),
    [anon_sym_4_GT_GT] = ACTIONS(659),
    [anon_sym_5_GT] = ACTIONS(661),
    [anon_sym_5_GT_GT] = ACTIONS(659),
    [anon_sym_6_GT] = ACTIONS(661),
    [anon_sym_6_GT_GT] = ACTIONS(659),
    [anon_sym_STAR_GT] = ACTIONS(661),
    [anon_sym_STAR_GT_GT] = ACTIONS(659),
    [anon_sym_LT] = ACTIONS(661),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(659),
    [anon_sym_2_GT_AMP1] = ACTIONS(659),
    [anon_sym_3_GT_AMP1] = ACTIONS(659),
    [anon_sym_4_GT_AMP1] = ACTIONS(659),
    [anon_sym_5_GT_AMP1] = ACTIONS(659),
    [anon_sym_6_GT_AMP1] = ACTIONS(659),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(659),
    [anon_sym_1_GT_AMP2] = ACTIONS(659),
    [anon_sym_3_GT_AMP2] = ACTIONS(659),
    [anon_sym_4_GT_AMP2] = ACTIONS(659),
    [anon_sym_5_GT_AMP2] = ACTIONS(659),
    [anon_sym_6_GT_AMP2] = ACTIONS(659),
    [aux_sym_comparison_operator_token1] = ACTIONS(659),
    [aux_sym_comparison_operator_token2] = ACTIONS(659),
    [aux_sym_comparison_operator_token3] = ACTIONS(659),
    [aux_sym_comparison_operator_token4] = ACTIONS(659),
    [aux_sym_comparison_operator_token5] = ACTIONS(659),
    [aux_sym_comparison_operator_token6] = ACTIONS(659),
    [aux_sym_comparison_operator_token7] = ACTIONS(659),
    [aux_sym_comparison_operator_token8] = ACTIONS(659),
    [aux_sym_comparison_operator_token9] = ACTIONS(659),
    [aux_sym_comparison_operator_token10] = ACTIONS(659),
    [aux_sym_comparison_operator_token11] = ACTIONS(659),
    [aux_sym_comparison_operator_token12] = ACTIONS(659),
    [aux_sym_comparison_operator_token13] = ACTIONS(659),
    [aux_sym_comparison_operator_token14] = ACTIONS(659),
    [aux_sym_comparison_operator_token15] = ACTIONS(659),
    [aux_sym_comparison_operator_token16] = ACTIONS(659),
    [aux_sym_comparison_operator_token17] = ACTIONS(659),
    [aux_sym_comparison_operator_token18] = ACTIONS(659),
    [aux_sym_comparison_operator_token19] = ACTIONS(659),
    [aux_sym_comparison_operator_token20] = ACTIONS(659),
    [aux_sym_comparison_operator_token21] = ACTIONS(659),
    [aux_sym_comparison_operator_token22] = ACTIONS(659),
    [aux_sym_comparison_operator_token23] = ACTIONS(659),
    [aux_sym_comparison_operator_token24] = ACTIONS(659),
    [aux_sym_comparison_operator_token25] = ACTIONS(659),
    [aux_sym_comparison_operator_token26] = ACTIONS(659),
    [aux_sym_comparison_operator_token27] = ACTIONS(659),
    [aux_sym_comparison_operator_token28] = ACTIONS(661),
    [aux_sym_comparison_operator_token29] = ACTIONS(659),
    [aux_sym_comparison_operator_token30] = ACTIONS(659),
    [aux_sym_comparison_operator_token31] = ACTIONS(659),
    [aux_sym_comparison_operator_token32] = ACTIONS(659),
    [aux_sym_comparison_operator_token33] = ACTIONS(659),
    [aux_sym_comparison_operator_token34] = ACTIONS(661),
    [aux_sym_comparison_operator_token35] = ACTIONS(659),
    [aux_sym_comparison_operator_token36] = ACTIONS(659),
    [aux_sym_comparison_operator_token37] = ACTIONS(659),
    [aux_sym_comparison_operator_token38] = ACTIONS(659),
    [aux_sym_comparison_operator_token39] = ACTIONS(659),
    [aux_sym_comparison_operator_token40] = ACTIONS(659),
    [aux_sym_comparison_operator_token41] = ACTIONS(659),
    [aux_sym_comparison_operator_token42] = ACTIONS(659),
    [aux_sym_comparison_operator_token43] = ACTIONS(659),
    [aux_sym_comparison_operator_token44] = ACTIONS(659),
    [aux_sym_comparison_operator_token45] = ACTIONS(659),
    [aux_sym_comparison_operator_token46] = ACTIONS(659),
    [aux_sym_comparison_operator_token47] = ACTIONS(659),
    [aux_sym_comparison_operator_token48] = ACTIONS(659),
    [aux_sym_comparison_operator_token49] = ACTIONS(659),
    [aux_sym_comparison_operator_token50] = ACTIONS(659),
    [aux_sym_format_operator_token1] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(659),
    [anon_sym_RPAREN] = ACTIONS(659),
    [anon_sym_COMMA] = ACTIONS(659),
    [anon_sym_PIPE] = ACTIONS(659),
    [anon_sym_PERCENT] = ACTIONS(661),
    [aux_sym_logical_expression_token1] = ACTIONS(659),
    [aux_sym_logical_expression_token2] = ACTIONS(659),
    [aux_sym_logical_expression_token3] = ACTIONS(659),
    [aux_sym_bitwise_expression_token1] = ACTIONS(659),
    [aux_sym_bitwise_expression_token2] = ACTIONS(659),
    [aux_sym_bitwise_expression_token3] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_SLASH] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(659),
    [anon_sym_STAR] = ACTIONS(661),
    [anon_sym_DOT_DOT] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_DOT2] = ACTIONS(661),
    [anon_sym_COLON_COLON] = ACTIONS(659),
    [anon_sym_RBRACK] = ACTIONS(659),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(659),
  },
  [102] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(601),
    [anon_sym_EQ] = ACTIONS(601),
    [anon_sym_BANG_EQ] = ACTIONS(601),
    [anon_sym_PLUS_EQ] = ACTIONS(601),
    [anon_sym_STAR_EQ] = ACTIONS(601),
    [anon_sym_SLASH_EQ] = ACTIONS(601),
    [anon_sym_PERCENT_EQ] = ACTIONS(601),
    [anon_sym_GT] = ACTIONS(603),
    [anon_sym_GT_GT] = ACTIONS(601),
    [anon_sym_2_GT] = ACTIONS(603),
    [anon_sym_2_GT_GT] = ACTIONS(601),
    [anon_sym_3_GT] = ACTIONS(603),
    [anon_sym_3_GT_GT] = ACTIONS(601),
    [anon_sym_4_GT] = ACTIONS(603),
    [anon_sym_4_GT_GT] = ACTIONS(601),
    [anon_sym_5_GT] = ACTIONS(603),
    [anon_sym_5_GT_GT] = ACTIONS(601),
    [anon_sym_6_GT] = ACTIONS(603),
    [anon_sym_6_GT_GT] = ACTIONS(601),
    [anon_sym_STAR_GT] = ACTIONS(603),
    [anon_sym_STAR_GT_GT] = ACTIONS(601),
    [anon_sym_LT] = ACTIONS(603),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(601),
    [anon_sym_2_GT_AMP1] = ACTIONS(601),
    [anon_sym_3_GT_AMP1] = ACTIONS(601),
    [anon_sym_4_GT_AMP1] = ACTIONS(601),
    [anon_sym_5_GT_AMP1] = ACTIONS(601),
    [anon_sym_6_GT_AMP1] = ACTIONS(601),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(601),
    [anon_sym_1_GT_AMP2] = ACTIONS(601),
    [anon_sym_3_GT_AMP2] = ACTIONS(601),
    [anon_sym_4_GT_AMP2] = ACTIONS(601),
    [anon_sym_5_GT_AMP2] = ACTIONS(601),
    [anon_sym_6_GT_AMP2] = ACTIONS(601),
    [aux_sym_comparison_operator_token1] = ACTIONS(601),
    [aux_sym_comparison_operator_token2] = ACTIONS(601),
    [aux_sym_comparison_operator_token3] = ACTIONS(601),
    [aux_sym_comparison_operator_token4] = ACTIONS(601),
    [aux_sym_comparison_operator_token5] = ACTIONS(601),
    [aux_sym_comparison_operator_token6] = ACTIONS(601),
    [aux_sym_comparison_operator_token7] = ACTIONS(601),
    [aux_sym_comparison_operator_token8] = ACTIONS(601),
    [aux_sym_comparison_operator_token9] = ACTIONS(601),
    [aux_sym_comparison_operator_token10] = ACTIONS(601),
    [aux_sym_comparison_operator_token11] = ACTIONS(601),
    [aux_sym_comparison_operator_token12] = ACTIONS(601),
    [aux_sym_comparison_operator_token13] = ACTIONS(601),
    [aux_sym_comparison_operator_token14] = ACTIONS(601),
    [aux_sym_comparison_operator_token15] = ACTIONS(601),
    [aux_sym_comparison_operator_token16] = ACTIONS(601),
    [aux_sym_comparison_operator_token17] = ACTIONS(601),
    [aux_sym_comparison_operator_token18] = ACTIONS(601),
    [aux_sym_comparison_operator_token19] = ACTIONS(601),
    [aux_sym_comparison_operator_token20] = ACTIONS(601),
    [aux_sym_comparison_operator_token21] = ACTIONS(601),
    [aux_sym_comparison_operator_token22] = ACTIONS(601),
    [aux_sym_comparison_operator_token23] = ACTIONS(601),
    [aux_sym_comparison_operator_token24] = ACTIONS(601),
    [aux_sym_comparison_operator_token25] = ACTIONS(601),
    [aux_sym_comparison_operator_token26] = ACTIONS(601),
    [aux_sym_comparison_operator_token27] = ACTIONS(601),
    [aux_sym_comparison_operator_token28] = ACTIONS(603),
    [aux_sym_comparison_operator_token29] = ACTIONS(601),
    [aux_sym_comparison_operator_token30] = ACTIONS(601),
    [aux_sym_comparison_operator_token31] = ACTIONS(601),
    [aux_sym_comparison_operator_token32] = ACTIONS(601),
    [aux_sym_comparison_operator_token33] = ACTIONS(601),
    [aux_sym_comparison_operator_token34] = ACTIONS(603),
    [aux_sym_comparison_operator_token35] = ACTIONS(601),
    [aux_sym_comparison_operator_token36] = ACTIONS(601),
    [aux_sym_comparison_operator_token37] = ACTIONS(601),
    [aux_sym_comparison_operator_token38] = ACTIONS(601),
    [aux_sym_comparison_operator_token39] = ACTIONS(601),
    [aux_sym_comparison_operator_token40] = ACTIONS(601),
    [aux_sym_comparison_operator_token41] = ACTIONS(601),
    [aux_sym_comparison_operator_token42] = ACTIONS(601),
    [aux_sym_comparison_operator_token43] = ACTIONS(601),
    [aux_sym_comparison_operator_token44] = ACTIONS(601),
    [aux_sym_comparison_operator_token45] = ACTIONS(601),
    [aux_sym_comparison_operator_token46] = ACTIONS(601),
    [aux_sym_comparison_operator_token47] = ACTIONS(601),
    [aux_sym_comparison_operator_token48] = ACTIONS(601),
    [aux_sym_comparison_operator_token49] = ACTIONS(601),
    [aux_sym_comparison_operator_token50] = ACTIONS(601),
    [aux_sym_format_operator_token1] = ACTIONS(601),
    [anon_sym_LPAREN] = ACTIONS(601),
    [anon_sym_COMMA] = ACTIONS(601),
    [anon_sym_LBRACE] = ACTIONS(601),
    [anon_sym_PIPE] = ACTIONS(601),
    [anon_sym_PERCENT] = ACTIONS(603),
    [aux_sym_logical_expression_token1] = ACTIONS(601),
    [aux_sym_logical_expression_token2] = ACTIONS(601),
    [aux_sym_logical_expression_token3] = ACTIONS(601),
    [aux_sym_bitwise_expression_token1] = ACTIONS(601),
    [aux_sym_bitwise_expression_token2] = ACTIONS(601),
    [aux_sym_bitwise_expression_token3] = ACTIONS(601),
    [anon_sym_PLUS] = ACTIONS(603),
    [anon_sym_DASH] = ACTIONS(603),
    [anon_sym_SLASH] = ACTIONS(603),
    [anon_sym_BSLASH] = ACTIONS(601),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_DOT_DOT] = ACTIONS(601),
    [anon_sym_PLUS_PLUS] = ACTIONS(601),
    [anon_sym_DASH_DASH] = ACTIONS(601),
    [anon_sym_DOT2] = ACTIONS(603),
    [anon_sym_COLON_COLON] = ACTIONS(601),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(601),
    [sym__statement_terminator] = ACTIONS(601),
  },
  [103] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(663),
    [anon_sym_2_GT] = ACTIONS(665),
    [anon_sym_2_GT_GT] = ACTIONS(663),
    [anon_sym_3_GT] = ACTIONS(665),
    [anon_sym_3_GT_GT] = ACTIONS(663),
    [anon_sym_4_GT] = ACTIONS(665),
    [anon_sym_4_GT_GT] = ACTIONS(663),
    [anon_sym_5_GT] = ACTIONS(665),
    [anon_sym_5_GT_GT] = ACTIONS(663),
    [anon_sym_6_GT] = ACTIONS(665),
    [anon_sym_6_GT_GT] = ACTIONS(663),
    [anon_sym_STAR_GT] = ACTIONS(665),
    [anon_sym_STAR_GT_GT] = ACTIONS(663),
    [anon_sym_LT] = ACTIONS(665),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(663),
    [anon_sym_2_GT_AMP1] = ACTIONS(663),
    [anon_sym_3_GT_AMP1] = ACTIONS(663),
    [anon_sym_4_GT_AMP1] = ACTIONS(663),
    [anon_sym_5_GT_AMP1] = ACTIONS(663),
    [anon_sym_6_GT_AMP1] = ACTIONS(663),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(663),
    [anon_sym_1_GT_AMP2] = ACTIONS(663),
    [anon_sym_3_GT_AMP2] = ACTIONS(663),
    [anon_sym_4_GT_AMP2] = ACTIONS(663),
    [anon_sym_5_GT_AMP2] = ACTIONS(663),
    [anon_sym_6_GT_AMP2] = ACTIONS(663),
    [aux_sym_comparison_operator_token1] = ACTIONS(663),
    [aux_sym_comparison_operator_token2] = ACTIONS(663),
    [aux_sym_comparison_operator_token3] = ACTIONS(663),
    [aux_sym_comparison_operator_token4] = ACTIONS(663),
    [aux_sym_comparison_operator_token5] = ACTIONS(663),
    [aux_sym_comparison_operator_token6] = ACTIONS(663),
    [aux_sym_comparison_operator_token7] = ACTIONS(663),
    [aux_sym_comparison_operator_token8] = ACTIONS(663),
    [aux_sym_comparison_operator_token9] = ACTIONS(663),
    [aux_sym_comparison_operator_token10] = ACTIONS(663),
    [aux_sym_comparison_operator_token11] = ACTIONS(663),
    [aux_sym_comparison_operator_token12] = ACTIONS(663),
    [aux_sym_comparison_operator_token13] = ACTIONS(663),
    [aux_sym_comparison_operator_token14] = ACTIONS(663),
    [aux_sym_comparison_operator_token15] = ACTIONS(663),
    [aux_sym_comparison_operator_token16] = ACTIONS(663),
    [aux_sym_comparison_operator_token17] = ACTIONS(663),
    [aux_sym_comparison_operator_token18] = ACTIONS(663),
    [aux_sym_comparison_operator_token19] = ACTIONS(663),
    [aux_sym_comparison_operator_token20] = ACTIONS(663),
    [aux_sym_comparison_operator_token21] = ACTIONS(663),
    [aux_sym_comparison_operator_token22] = ACTIONS(663),
    [aux_sym_comparison_operator_token23] = ACTIONS(663),
    [aux_sym_comparison_operator_token24] = ACTIONS(663),
    [aux_sym_comparison_operator_token25] = ACTIONS(663),
    [aux_sym_comparison_operator_token26] = ACTIONS(663),
    [aux_sym_comparison_operator_token27] = ACTIONS(663),
    [aux_sym_comparison_operator_token28] = ACTIONS(665),
    [aux_sym_comparison_operator_token29] = ACTIONS(663),
    [aux_sym_comparison_operator_token30] = ACTIONS(663),
    [aux_sym_comparison_operator_token31] = ACTIONS(663),
    [aux_sym_comparison_operator_token32] = ACTIONS(663),
    [aux_sym_comparison_operator_token33] = ACTIONS(663),
    [aux_sym_comparison_operator_token34] = ACTIONS(665),
    [aux_sym_comparison_operator_token35] = ACTIONS(663),
    [aux_sym_comparison_operator_token36] = ACTIONS(663),
    [aux_sym_comparison_operator_token37] = ACTIONS(663),
    [aux_sym_comparison_operator_token38] = ACTIONS(663),
    [aux_sym_comparison_operator_token39] = ACTIONS(663),
    [aux_sym_comparison_operator_token40] = ACTIONS(663),
    [aux_sym_comparison_operator_token41] = ACTIONS(663),
    [aux_sym_comparison_operator_token42] = ACTIONS(663),
    [aux_sym_comparison_operator_token43] = ACTIONS(663),
    [aux_sym_comparison_operator_token44] = ACTIONS(663),
    [aux_sym_comparison_operator_token45] = ACTIONS(663),
    [aux_sym_comparison_operator_token46] = ACTIONS(663),
    [aux_sym_comparison_operator_token47] = ACTIONS(663),
    [aux_sym_comparison_operator_token48] = ACTIONS(663),
    [aux_sym_comparison_operator_token49] = ACTIONS(663),
    [aux_sym_comparison_operator_token50] = ACTIONS(663),
    [aux_sym_format_operator_token1] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_RPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_PIPE] = ACTIONS(663),
    [anon_sym_PERCENT] = ACTIONS(665),
    [aux_sym_logical_expression_token1] = ACTIONS(663),
    [aux_sym_logical_expression_token2] = ACTIONS(663),
    [aux_sym_logical_expression_token3] = ACTIONS(663),
    [aux_sym_bitwise_expression_token1] = ACTIONS(663),
    [aux_sym_bitwise_expression_token2] = ACTIONS(663),
    [aux_sym_bitwise_expression_token3] = ACTIONS(663),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_SLASH] = ACTIONS(665),
    [anon_sym_BSLASH] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_DOT_DOT] = ACTIONS(663),
    [anon_sym_PLUS_PLUS] = ACTIONS(663),
    [anon_sym_DASH_DASH] = ACTIONS(663),
    [anon_sym_DOT2] = ACTIONS(665),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_RBRACK] = ACTIONS(663),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(663),
  },
  [104] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_EQ] = ACTIONS(667),
    [anon_sym_BANG_EQ] = ACTIONS(667),
    [anon_sym_PLUS_EQ] = ACTIONS(667),
    [anon_sym_STAR_EQ] = ACTIONS(667),
    [anon_sym_SLASH_EQ] = ACTIONS(667),
    [anon_sym_PERCENT_EQ] = ACTIONS(667),
    [anon_sym_GT] = ACTIONS(669),
    [anon_sym_GT_GT] = ACTIONS(667),
    [anon_sym_2_GT] = ACTIONS(669),
    [anon_sym_2_GT_GT] = ACTIONS(667),
    [anon_sym_3_GT] = ACTIONS(669),
    [anon_sym_3_GT_GT] = ACTIONS(667),
    [anon_sym_4_GT] = ACTIONS(669),
    [anon_sym_4_GT_GT] = ACTIONS(667),
    [anon_sym_5_GT] = ACTIONS(669),
    [anon_sym_5_GT_GT] = ACTIONS(667),
    [anon_sym_6_GT] = ACTIONS(669),
    [anon_sym_6_GT_GT] = ACTIONS(667),
    [anon_sym_STAR_GT] = ACTIONS(669),
    [anon_sym_STAR_GT_GT] = ACTIONS(667),
    [anon_sym_LT] = ACTIONS(669),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(667),
    [anon_sym_2_GT_AMP1] = ACTIONS(667),
    [anon_sym_3_GT_AMP1] = ACTIONS(667),
    [anon_sym_4_GT_AMP1] = ACTIONS(667),
    [anon_sym_5_GT_AMP1] = ACTIONS(667),
    [anon_sym_6_GT_AMP1] = ACTIONS(667),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(667),
    [anon_sym_1_GT_AMP2] = ACTIONS(667),
    [anon_sym_3_GT_AMP2] = ACTIONS(667),
    [anon_sym_4_GT_AMP2] = ACTIONS(667),
    [anon_sym_5_GT_AMP2] = ACTIONS(667),
    [anon_sym_6_GT_AMP2] = ACTIONS(667),
    [aux_sym_comparison_operator_token1] = ACTIONS(667),
    [aux_sym_comparison_operator_token2] = ACTIONS(667),
    [aux_sym_comparison_operator_token3] = ACTIONS(667),
    [aux_sym_comparison_operator_token4] = ACTIONS(667),
    [aux_sym_comparison_operator_token5] = ACTIONS(667),
    [aux_sym_comparison_operator_token6] = ACTIONS(667),
    [aux_sym_comparison_operator_token7] = ACTIONS(667),
    [aux_sym_comparison_operator_token8] = ACTIONS(667),
    [aux_sym_comparison_operator_token9] = ACTIONS(667),
    [aux_sym_comparison_operator_token10] = ACTIONS(667),
    [aux_sym_comparison_operator_token11] = ACTIONS(667),
    [aux_sym_comparison_operator_token12] = ACTIONS(667),
    [aux_sym_comparison_operator_token13] = ACTIONS(667),
    [aux_sym_comparison_operator_token14] = ACTIONS(667),
    [aux_sym_comparison_operator_token15] = ACTIONS(667),
    [aux_sym_comparison_operator_token16] = ACTIONS(667),
    [aux_sym_comparison_operator_token17] = ACTIONS(667),
    [aux_sym_comparison_operator_token18] = ACTIONS(667),
    [aux_sym_comparison_operator_token19] = ACTIONS(667),
    [aux_sym_comparison_operator_token20] = ACTIONS(667),
    [aux_sym_comparison_operator_token21] = ACTIONS(667),
    [aux_sym_comparison_operator_token22] = ACTIONS(667),
    [aux_sym_comparison_operator_token23] = ACTIONS(667),
    [aux_sym_comparison_operator_token24] = ACTIONS(667),
    [aux_sym_comparison_operator_token25] = ACTIONS(667),
    [aux_sym_comparison_operator_token26] = ACTIONS(667),
    [aux_sym_comparison_operator_token27] = ACTIONS(667),
    [aux_sym_comparison_operator_token28] = ACTIONS(669),
    [aux_sym_comparison_operator_token29] = ACTIONS(667),
    [aux_sym_comparison_operator_token30] = ACTIONS(667),
    [aux_sym_comparison_operator_token31] = ACTIONS(667),
    [aux_sym_comparison_operator_token32] = ACTIONS(667),
    [aux_sym_comparison_operator_token33] = ACTIONS(667),
    [aux_sym_comparison_operator_token34] = ACTIONS(669),
    [aux_sym_comparison_operator_token35] = ACTIONS(667),
    [aux_sym_comparison_operator_token36] = ACTIONS(667),
    [aux_sym_comparison_operator_token37] = ACTIONS(667),
    [aux_sym_comparison_operator_token38] = ACTIONS(667),
    [aux_sym_comparison_operator_token39] = ACTIONS(667),
    [aux_sym_comparison_operator_token40] = ACTIONS(667),
    [aux_sym_comparison_operator_token41] = ACTIONS(667),
    [aux_sym_comparison_operator_token42] = ACTIONS(667),
    [aux_sym_comparison_operator_token43] = ACTIONS(667),
    [aux_sym_comparison_operator_token44] = ACTIONS(667),
    [aux_sym_comparison_operator_token45] = ACTIONS(667),
    [aux_sym_comparison_operator_token46] = ACTIONS(667),
    [aux_sym_comparison_operator_token47] = ACTIONS(667),
    [aux_sym_comparison_operator_token48] = ACTIONS(667),
    [aux_sym_comparison_operator_token49] = ACTIONS(667),
    [aux_sym_comparison_operator_token50] = ACTIONS(667),
    [aux_sym_format_operator_token1] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_RPAREN] = ACTIONS(667),
    [anon_sym_COMMA] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(667),
    [anon_sym_PERCENT] = ACTIONS(669),
    [aux_sym_logical_expression_token1] = ACTIONS(667),
    [aux_sym_logical_expression_token2] = ACTIONS(667),
    [aux_sym_logical_expression_token3] = ACTIONS(667),
    [aux_sym_bitwise_expression_token1] = ACTIONS(667),
    [aux_sym_bitwise_expression_token2] = ACTIONS(667),
    [aux_sym_bitwise_expression_token3] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_SLASH] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(667),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_DOT_DOT] = ACTIONS(667),
    [anon_sym_PLUS_PLUS] = ACTIONS(667),
    [anon_sym_DASH_DASH] = ACTIONS(667),
    [anon_sym_DOT2] = ACTIONS(669),
    [anon_sym_COLON_COLON] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(667),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(667),
  },
  [105] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(671),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_BANG_EQ] = ACTIONS(671),
    [anon_sym_PLUS_EQ] = ACTIONS(671),
    [anon_sym_STAR_EQ] = ACTIONS(671),
    [anon_sym_SLASH_EQ] = ACTIONS(671),
    [anon_sym_PERCENT_EQ] = ACTIONS(671),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(671),
    [anon_sym_2_GT] = ACTIONS(673),
    [anon_sym_2_GT_GT] = ACTIONS(671),
    [anon_sym_3_GT] = ACTIONS(673),
    [anon_sym_3_GT_GT] = ACTIONS(671),
    [anon_sym_4_GT] = ACTIONS(673),
    [anon_sym_4_GT_GT] = ACTIONS(671),
    [anon_sym_5_GT] = ACTIONS(673),
    [anon_sym_5_GT_GT] = ACTIONS(671),
    [anon_sym_6_GT] = ACTIONS(673),
    [anon_sym_6_GT_GT] = ACTIONS(671),
    [anon_sym_STAR_GT] = ACTIONS(673),
    [anon_sym_STAR_GT_GT] = ACTIONS(671),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(671),
    [anon_sym_2_GT_AMP1] = ACTIONS(671),
    [anon_sym_3_GT_AMP1] = ACTIONS(671),
    [anon_sym_4_GT_AMP1] = ACTIONS(671),
    [anon_sym_5_GT_AMP1] = ACTIONS(671),
    [anon_sym_6_GT_AMP1] = ACTIONS(671),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(671),
    [anon_sym_1_GT_AMP2] = ACTIONS(671),
    [anon_sym_3_GT_AMP2] = ACTIONS(671),
    [anon_sym_4_GT_AMP2] = ACTIONS(671),
    [anon_sym_5_GT_AMP2] = ACTIONS(671),
    [anon_sym_6_GT_AMP2] = ACTIONS(671),
    [aux_sym_comparison_operator_token1] = ACTIONS(671),
    [aux_sym_comparison_operator_token2] = ACTIONS(671),
    [aux_sym_comparison_operator_token3] = ACTIONS(671),
    [aux_sym_comparison_operator_token4] = ACTIONS(671),
    [aux_sym_comparison_operator_token5] = ACTIONS(671),
    [aux_sym_comparison_operator_token6] = ACTIONS(671),
    [aux_sym_comparison_operator_token7] = ACTIONS(671),
    [aux_sym_comparison_operator_token8] = ACTIONS(671),
    [aux_sym_comparison_operator_token9] = ACTIONS(671),
    [aux_sym_comparison_operator_token10] = ACTIONS(671),
    [aux_sym_comparison_operator_token11] = ACTIONS(671),
    [aux_sym_comparison_operator_token12] = ACTIONS(671),
    [aux_sym_comparison_operator_token13] = ACTIONS(671),
    [aux_sym_comparison_operator_token14] = ACTIONS(671),
    [aux_sym_comparison_operator_token15] = ACTIONS(671),
    [aux_sym_comparison_operator_token16] = ACTIONS(671),
    [aux_sym_comparison_operator_token17] = ACTIONS(671),
    [aux_sym_comparison_operator_token18] = ACTIONS(671),
    [aux_sym_comparison_operator_token19] = ACTIONS(671),
    [aux_sym_comparison_operator_token20] = ACTIONS(671),
    [aux_sym_comparison_operator_token21] = ACTIONS(671),
    [aux_sym_comparison_operator_token22] = ACTIONS(671),
    [aux_sym_comparison_operator_token23] = ACTIONS(671),
    [aux_sym_comparison_operator_token24] = ACTIONS(671),
    [aux_sym_comparison_operator_token25] = ACTIONS(671),
    [aux_sym_comparison_operator_token26] = ACTIONS(671),
    [aux_sym_comparison_operator_token27] = ACTIONS(671),
    [aux_sym_comparison_operator_token28] = ACTIONS(673),
    [aux_sym_comparison_operator_token29] = ACTIONS(671),
    [aux_sym_comparison_operator_token30] = ACTIONS(671),
    [aux_sym_comparison_operator_token31] = ACTIONS(671),
    [aux_sym_comparison_operator_token32] = ACTIONS(671),
    [aux_sym_comparison_operator_token33] = ACTIONS(671),
    [aux_sym_comparison_operator_token34] = ACTIONS(673),
    [aux_sym_comparison_operator_token35] = ACTIONS(671),
    [aux_sym_comparison_operator_token36] = ACTIONS(671),
    [aux_sym_comparison_operator_token37] = ACTIONS(671),
    [aux_sym_comparison_operator_token38] = ACTIONS(671),
    [aux_sym_comparison_operator_token39] = ACTIONS(671),
    [aux_sym_comparison_operator_token40] = ACTIONS(671),
    [aux_sym_comparison_operator_token41] = ACTIONS(671),
    [aux_sym_comparison_operator_token42] = ACTIONS(671),
    [aux_sym_comparison_operator_token43] = ACTIONS(671),
    [aux_sym_comparison_operator_token44] = ACTIONS(671),
    [aux_sym_comparison_operator_token45] = ACTIONS(671),
    [aux_sym_comparison_operator_token46] = ACTIONS(671),
    [aux_sym_comparison_operator_token47] = ACTIONS(671),
    [aux_sym_comparison_operator_token48] = ACTIONS(671),
    [aux_sym_comparison_operator_token49] = ACTIONS(671),
    [aux_sym_comparison_operator_token50] = ACTIONS(671),
    [aux_sym_format_operator_token1] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(671),
    [anon_sym_RPAREN] = ACTIONS(671),
    [anon_sym_COMMA] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(671),
    [anon_sym_PERCENT] = ACTIONS(673),
    [aux_sym_logical_expression_token1] = ACTIONS(671),
    [aux_sym_logical_expression_token2] = ACTIONS(671),
    [aux_sym_logical_expression_token3] = ACTIONS(671),
    [aux_sym_bitwise_expression_token1] = ACTIONS(671),
    [aux_sym_bitwise_expression_token2] = ACTIONS(671),
    [aux_sym_bitwise_expression_token3] = ACTIONS(671),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_BSLASH] = ACTIONS(671),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(671),
    [anon_sym_PLUS_PLUS] = ACTIONS(671),
    [anon_sym_DASH_DASH] = ACTIONS(671),
    [anon_sym_DOT2] = ACTIONS(673),
    [anon_sym_COLON_COLON] = ACTIONS(671),
    [anon_sym_RBRACK] = ACTIONS(671),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(671),
  },
  [106] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_EQ] = ACTIONS(675),
    [anon_sym_BANG_EQ] = ACTIONS(675),
    [anon_sym_PLUS_EQ] = ACTIONS(675),
    [anon_sym_STAR_EQ] = ACTIONS(675),
    [anon_sym_SLASH_EQ] = ACTIONS(675),
    [anon_sym_PERCENT_EQ] = ACTIONS(675),
    [anon_sym_GT] = ACTIONS(677),
    [anon_sym_GT_GT] = ACTIONS(675),
    [anon_sym_2_GT] = ACTIONS(677),
    [anon_sym_2_GT_GT] = ACTIONS(675),
    [anon_sym_3_GT] = ACTIONS(677),
    [anon_sym_3_GT_GT] = ACTIONS(675),
    [anon_sym_4_GT] = ACTIONS(677),
    [anon_sym_4_GT_GT] = ACTIONS(675),
    [anon_sym_5_GT] = ACTIONS(677),
    [anon_sym_5_GT_GT] = ACTIONS(675),
    [anon_sym_6_GT] = ACTIONS(677),
    [anon_sym_6_GT_GT] = ACTIONS(675),
    [anon_sym_STAR_GT] = ACTIONS(677),
    [anon_sym_STAR_GT_GT] = ACTIONS(675),
    [anon_sym_LT] = ACTIONS(677),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(675),
    [anon_sym_2_GT_AMP1] = ACTIONS(675),
    [anon_sym_3_GT_AMP1] = ACTIONS(675),
    [anon_sym_4_GT_AMP1] = ACTIONS(675),
    [anon_sym_5_GT_AMP1] = ACTIONS(675),
    [anon_sym_6_GT_AMP1] = ACTIONS(675),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(675),
    [anon_sym_1_GT_AMP2] = ACTIONS(675),
    [anon_sym_3_GT_AMP2] = ACTIONS(675),
    [anon_sym_4_GT_AMP2] = ACTIONS(675),
    [anon_sym_5_GT_AMP2] = ACTIONS(675),
    [anon_sym_6_GT_AMP2] = ACTIONS(675),
    [aux_sym_comparison_operator_token1] = ACTIONS(675),
    [aux_sym_comparison_operator_token2] = ACTIONS(675),
    [aux_sym_comparison_operator_token3] = ACTIONS(675),
    [aux_sym_comparison_operator_token4] = ACTIONS(675),
    [aux_sym_comparison_operator_token5] = ACTIONS(675),
    [aux_sym_comparison_operator_token6] = ACTIONS(675),
    [aux_sym_comparison_operator_token7] = ACTIONS(675),
    [aux_sym_comparison_operator_token8] = ACTIONS(675),
    [aux_sym_comparison_operator_token9] = ACTIONS(675),
    [aux_sym_comparison_operator_token10] = ACTIONS(675),
    [aux_sym_comparison_operator_token11] = ACTIONS(675),
    [aux_sym_comparison_operator_token12] = ACTIONS(675),
    [aux_sym_comparison_operator_token13] = ACTIONS(675),
    [aux_sym_comparison_operator_token14] = ACTIONS(675),
    [aux_sym_comparison_operator_token15] = ACTIONS(675),
    [aux_sym_comparison_operator_token16] = ACTIONS(675),
    [aux_sym_comparison_operator_token17] = ACTIONS(675),
    [aux_sym_comparison_operator_token18] = ACTIONS(675),
    [aux_sym_comparison_operator_token19] = ACTIONS(675),
    [aux_sym_comparison_operator_token20] = ACTIONS(675),
    [aux_sym_comparison_operator_token21] = ACTIONS(675),
    [aux_sym_comparison_operator_token22] = ACTIONS(675),
    [aux_sym_comparison_operator_token23] = ACTIONS(675),
    [aux_sym_comparison_operator_token24] = ACTIONS(675),
    [aux_sym_comparison_operator_token25] = ACTIONS(675),
    [aux_sym_comparison_operator_token26] = ACTIONS(675),
    [aux_sym_comparison_operator_token27] = ACTIONS(675),
    [aux_sym_comparison_operator_token28] = ACTIONS(677),
    [aux_sym_comparison_operator_token29] = ACTIONS(675),
    [aux_sym_comparison_operator_token30] = ACTIONS(675),
    [aux_sym_comparison_operator_token31] = ACTIONS(675),
    [aux_sym_comparison_operator_token32] = ACTIONS(675),
    [aux_sym_comparison_operator_token33] = ACTIONS(675),
    [aux_sym_comparison_operator_token34] = ACTIONS(677),
    [aux_sym_comparison_operator_token35] = ACTIONS(675),
    [aux_sym_comparison_operator_token36] = ACTIONS(675),
    [aux_sym_comparison_operator_token37] = ACTIONS(675),
    [aux_sym_comparison_operator_token38] = ACTIONS(675),
    [aux_sym_comparison_operator_token39] = ACTIONS(675),
    [aux_sym_comparison_operator_token40] = ACTIONS(675),
    [aux_sym_comparison_operator_token41] = ACTIONS(675),
    [aux_sym_comparison_operator_token42] = ACTIONS(675),
    [aux_sym_comparison_operator_token43] = ACTIONS(675),
    [aux_sym_comparison_operator_token44] = ACTIONS(675),
    [aux_sym_comparison_operator_token45] = ACTIONS(675),
    [aux_sym_comparison_operator_token46] = ACTIONS(675),
    [aux_sym_comparison_operator_token47] = ACTIONS(675),
    [aux_sym_comparison_operator_token48] = ACTIONS(675),
    [aux_sym_comparison_operator_token49] = ACTIONS(675),
    [aux_sym_comparison_operator_token50] = ACTIONS(675),
    [aux_sym_format_operator_token1] = ACTIONS(675),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(675),
    [anon_sym_COMMA] = ACTIONS(675),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_PERCENT] = ACTIONS(677),
    [aux_sym_logical_expression_token1] = ACTIONS(675),
    [aux_sym_logical_expression_token2] = ACTIONS(675),
    [aux_sym_logical_expression_token3] = ACTIONS(675),
    [aux_sym_bitwise_expression_token1] = ACTIONS(675),
    [aux_sym_bitwise_expression_token2] = ACTIONS(675),
    [aux_sym_bitwise_expression_token3] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(677),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_SLASH] = ACTIONS(677),
    [anon_sym_BSLASH] = ACTIONS(675),
    [anon_sym_STAR] = ACTIONS(677),
    [anon_sym_DOT_DOT] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(675),
    [anon_sym_DASH_DASH] = ACTIONS(675),
    [anon_sym_DOT2] = ACTIONS(677),
    [anon_sym_COLON_COLON] = ACTIONS(675),
    [anon_sym_RBRACK] = ACTIONS(675),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(675),
  },
  [107] = {
    [sym_argument_list] = STATE(128),
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(591),
    [anon_sym_EQ] = ACTIONS(591),
    [anon_sym_BANG_EQ] = ACTIONS(591),
    [anon_sym_PLUS_EQ] = ACTIONS(591),
    [anon_sym_STAR_EQ] = ACTIONS(591),
    [anon_sym_SLASH_EQ] = ACTIONS(591),
    [anon_sym_PERCENT_EQ] = ACTIONS(591),
    [anon_sym_GT] = ACTIONS(593),
    [anon_sym_GT_GT] = ACTIONS(591),
    [anon_sym_2_GT] = ACTIONS(593),
    [anon_sym_2_GT_GT] = ACTIONS(591),
    [anon_sym_3_GT] = ACTIONS(593),
    [anon_sym_3_GT_GT] = ACTIONS(591),
    [anon_sym_4_GT] = ACTIONS(593),
    [anon_sym_4_GT_GT] = ACTIONS(591),
    [anon_sym_5_GT] = ACTIONS(593),
    [anon_sym_5_GT_GT] = ACTIONS(591),
    [anon_sym_6_GT] = ACTIONS(593),
    [anon_sym_6_GT_GT] = ACTIONS(591),
    [anon_sym_STAR_GT] = ACTIONS(593),
    [anon_sym_STAR_GT_GT] = ACTIONS(591),
    [anon_sym_LT] = ACTIONS(593),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(591),
    [anon_sym_2_GT_AMP1] = ACTIONS(591),
    [anon_sym_3_GT_AMP1] = ACTIONS(591),
    [anon_sym_4_GT_AMP1] = ACTIONS(591),
    [anon_sym_5_GT_AMP1] = ACTIONS(591),
    [anon_sym_6_GT_AMP1] = ACTIONS(591),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(591),
    [anon_sym_1_GT_AMP2] = ACTIONS(591),
    [anon_sym_3_GT_AMP2] = ACTIONS(591),
    [anon_sym_4_GT_AMP2] = ACTIONS(591),
    [anon_sym_5_GT_AMP2] = ACTIONS(591),
    [anon_sym_6_GT_AMP2] = ACTIONS(591),
    [aux_sym_comparison_operator_token1] = ACTIONS(591),
    [aux_sym_comparison_operator_token2] = ACTIONS(591),
    [aux_sym_comparison_operator_token3] = ACTIONS(591),
    [aux_sym_comparison_operator_token4] = ACTIONS(591),
    [aux_sym_comparison_operator_token5] = ACTIONS(591),
    [aux_sym_comparison_operator_token6] = ACTIONS(591),
    [aux_sym_comparison_operator_token7] = ACTIONS(591),
    [aux_sym_comparison_operator_token8] = ACTIONS(591),
    [aux_sym_comparison_operator_token9] = ACTIONS(591),
    [aux_sym_comparison_operator_token10] = ACTIONS(591),
    [aux_sym_comparison_operator_token11] = ACTIONS(591),
    [aux_sym_comparison_operator_token12] = ACTIONS(591),
    [aux_sym_comparison_operator_token13] = ACTIONS(591),
    [aux_sym_comparison_operator_token14] = ACTIONS(591),
    [aux_sym_comparison_operator_token15] = ACTIONS(591),
    [aux_sym_comparison_operator_token16] = ACTIONS(591),
    [aux_sym_comparison_operator_token17] = ACTIONS(591),
    [aux_sym_comparison_operator_token18] = ACTIONS(591),
    [aux_sym_comparison_operator_token19] = ACTIONS(591),
    [aux_sym_comparison_operator_token20] = ACTIONS(591),
    [aux_sym_comparison_operator_token21] = ACTIONS(591),
    [aux_sym_comparison_operator_token22] = ACTIONS(591),
    [aux_sym_comparison_operator_token23] = ACTIONS(591),
    [aux_sym_comparison_operator_token24] = ACTIONS(591),
    [aux_sym_comparison_operator_token25] = ACTIONS(591),
    [aux_sym_comparison_operator_token26] = ACTIONS(591),
    [aux_sym_comparison_operator_token27] = ACTIONS(591),
    [aux_sym_comparison_operator_token28] = ACTIONS(593),
    [aux_sym_comparison_operator_token29] = ACTIONS(591),
    [aux_sym_comparison_operator_token30] = ACTIONS(591),
    [aux_sym_comparison_operator_token31] = ACTIONS(591),
    [aux_sym_comparison_operator_token32] = ACTIONS(591),
    [aux_sym_comparison_operator_token33] = ACTIONS(591),
    [aux_sym_comparison_operator_token34] = ACTIONS(593),
    [aux_sym_comparison_operator_token35] = ACTIONS(591),
    [aux_sym_comparison_operator_token36] = ACTIONS(591),
    [aux_sym_comparison_operator_token37] = ACTIONS(591),
    [aux_sym_comparison_operator_token38] = ACTIONS(591),
    [aux_sym_comparison_operator_token39] = ACTIONS(591),
    [aux_sym_comparison_operator_token40] = ACTIONS(591),
    [aux_sym_comparison_operator_token41] = ACTIONS(591),
    [aux_sym_comparison_operator_token42] = ACTIONS(591),
    [aux_sym_comparison_operator_token43] = ACTIONS(591),
    [aux_sym_comparison_operator_token44] = ACTIONS(591),
    [aux_sym_comparison_operator_token45] = ACTIONS(591),
    [aux_sym_comparison_operator_token46] = ACTIONS(591),
    [aux_sym_comparison_operator_token47] = ACTIONS(591),
    [aux_sym_comparison_operator_token48] = ACTIONS(591),
    [aux_sym_comparison_operator_token49] = ACTIONS(591),
    [aux_sym_comparison_operator_token50] = ACTIONS(591),
    [aux_sym_format_operator_token1] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(591),
    [anon_sym_PIPE] = ACTIONS(591),
    [anon_sym_PERCENT] = ACTIONS(593),
    [aux_sym_logical_expression_token1] = ACTIONS(591),
    [aux_sym_logical_expression_token2] = ACTIONS(591),
    [aux_sym_logical_expression_token3] = ACTIONS(591),
    [aux_sym_bitwise_expression_token1] = ACTIONS(591),
    [aux_sym_bitwise_expression_token2] = ACTIONS(591),
    [aux_sym_bitwise_expression_token3] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(593),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_SLASH] = ACTIONS(593),
    [anon_sym_BSLASH] = ACTIONS(591),
    [anon_sym_STAR] = ACTIONS(593),
    [anon_sym_DOT_DOT] = ACTIONS(591),
    [anon_sym_PLUS_PLUS] = ACTIONS(591),
    [anon_sym_DASH_DASH] = ACTIONS(591),
    [anon_sym_DOT2] = ACTIONS(593),
    [anon_sym_COLON_COLON] = ACTIONS(591),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(591),
    [sym__statement_terminator] = ACTIONS(591),
  },
  [108] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(679),
    [anon_sym_EQ] = ACTIONS(679),
    [anon_sym_BANG_EQ] = ACTIONS(679),
    [anon_sym_PLUS_EQ] = ACTIONS(679),
    [anon_sym_STAR_EQ] = ACTIONS(679),
    [anon_sym_SLASH_EQ] = ACTIONS(679),
    [anon_sym_PERCENT_EQ] = ACTIONS(679),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_GT] = ACTIONS(679),
    [anon_sym_2_GT] = ACTIONS(681),
    [anon_sym_2_GT_GT] = ACTIONS(679),
    [anon_sym_3_GT] = ACTIONS(681),
    [anon_sym_3_GT_GT] = ACTIONS(679),
    [anon_sym_4_GT] = ACTIONS(681),
    [anon_sym_4_GT_GT] = ACTIONS(679),
    [anon_sym_5_GT] = ACTIONS(681),
    [anon_sym_5_GT_GT] = ACTIONS(679),
    [anon_sym_6_GT] = ACTIONS(681),
    [anon_sym_6_GT_GT] = ACTIONS(679),
    [anon_sym_STAR_GT] = ACTIONS(681),
    [anon_sym_STAR_GT_GT] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(679),
    [anon_sym_2_GT_AMP1] = ACTIONS(679),
    [anon_sym_3_GT_AMP1] = ACTIONS(679),
    [anon_sym_4_GT_AMP1] = ACTIONS(679),
    [anon_sym_5_GT_AMP1] = ACTIONS(679),
    [anon_sym_6_GT_AMP1] = ACTIONS(679),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(679),
    [anon_sym_1_GT_AMP2] = ACTIONS(679),
    [anon_sym_3_GT_AMP2] = ACTIONS(679),
    [anon_sym_4_GT_AMP2] = ACTIONS(679),
    [anon_sym_5_GT_AMP2] = ACTIONS(679),
    [anon_sym_6_GT_AMP2] = ACTIONS(679),
    [aux_sym_comparison_operator_token1] = ACTIONS(679),
    [aux_sym_comparison_operator_token2] = ACTIONS(679),
    [aux_sym_comparison_operator_token3] = ACTIONS(679),
    [aux_sym_comparison_operator_token4] = ACTIONS(679),
    [aux_sym_comparison_operator_token5] = ACTIONS(679),
    [aux_sym_comparison_operator_token6] = ACTIONS(679),
    [aux_sym_comparison_operator_token7] = ACTIONS(679),
    [aux_sym_comparison_operator_token8] = ACTIONS(679),
    [aux_sym_comparison_operator_token9] = ACTIONS(679),
    [aux_sym_comparison_operator_token10] = ACTIONS(679),
    [aux_sym_comparison_operator_token11] = ACTIONS(679),
    [aux_sym_comparison_operator_token12] = ACTIONS(679),
    [aux_sym_comparison_operator_token13] = ACTIONS(679),
    [aux_sym_comparison_operator_token14] = ACTIONS(679),
    [aux_sym_comparison_operator_token15] = ACTIONS(679),
    [aux_sym_comparison_operator_token16] = ACTIONS(679),
    [aux_sym_comparison_operator_token17] = ACTIONS(679),
    [aux_sym_comparison_operator_token18] = ACTIONS(679),
    [aux_sym_comparison_operator_token19] = ACTIONS(679),
    [aux_sym_comparison_operator_token20] = ACTIONS(679),
    [aux_sym_comparison_operator_token21] = ACTIONS(679),
    [aux_sym_comparison_operator_token22] = ACTIONS(679),
    [aux_sym_comparison_operator_token23] = ACTIONS(679),
    [aux_sym_comparison_operator_token24] = ACTIONS(679),
    [aux_sym_comparison_operator_token25] = ACTIONS(679),
    [aux_sym_comparison_operator_token26] = ACTIONS(679),
    [aux_sym_comparison_operator_token27] = ACTIONS(679),
    [aux_sym_comparison_operator_token28] = ACTIONS(681),
    [aux_sym_comparison_operator_token29] = ACTIONS(679),
    [aux_sym_comparison_operator_token30] = ACTIONS(679),
    [aux_sym_comparison_operator_token31] = ACTIONS(679),
    [aux_sym_comparison_operator_token32] = ACTIONS(679),
    [aux_sym_comparison_operator_token33] = ACTIONS(679),
    [aux_sym_comparison_operator_token34] = ACTIONS(681),
    [aux_sym_comparison_operator_token35] = ACTIONS(679),
    [aux_sym_comparison_operator_token36] = ACTIONS(679),
    [aux_sym_comparison_operator_token37] = ACTIONS(679),
    [aux_sym_comparison_operator_token38] = ACTIONS(679),
    [aux_sym_comparison_operator_token39] = ACTIONS(679),
    [aux_sym_comparison_operator_token40] = ACTIONS(679),
    [aux_sym_comparison_operator_token41] = ACTIONS(679),
    [aux_sym_comparison_operator_token42] = ACTIONS(679),
    [aux_sym_comparison_operator_token43] = ACTIONS(679),
    [aux_sym_comparison_operator_token44] = ACTIONS(679),
    [aux_sym_comparison_operator_token45] = ACTIONS(679),
    [aux_sym_comparison_operator_token46] = ACTIONS(679),
    [aux_sym_comparison_operator_token47] = ACTIONS(679),
    [aux_sym_comparison_operator_token48] = ACTIONS(679),
    [aux_sym_comparison_operator_token49] = ACTIONS(679),
    [aux_sym_comparison_operator_token50] = ACTIONS(679),
    [aux_sym_format_operator_token1] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(679),
    [anon_sym_RPAREN] = ACTIONS(679),
    [anon_sym_COMMA] = ACTIONS(679),
    [anon_sym_PIPE] = ACTIONS(679),
    [anon_sym_PERCENT] = ACTIONS(681),
    [aux_sym_logical_expression_token1] = ACTIONS(679),
    [aux_sym_logical_expression_token2] = ACTIONS(679),
    [aux_sym_logical_expression_token3] = ACTIONS(679),
    [aux_sym_bitwise_expression_token1] = ACTIONS(679),
    [aux_sym_bitwise_expression_token2] = ACTIONS(679),
    [aux_sym_bitwise_expression_token3] = ACTIONS(679),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_SLASH] = ACTIONS(681),
    [anon_sym_BSLASH] = ACTIONS(679),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_DOT_DOT] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(679),
    [anon_sym_DASH_DASH] = ACTIONS(679),
    [anon_sym_DOT2] = ACTIONS(681),
    [anon_sym_COLON_COLON] = ACTIONS(679),
    [anon_sym_RBRACK] = ACTIONS(679),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(679),
  },
  [109] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_PLUS_EQ] = ACTIONS(683),
    [anon_sym_STAR_EQ] = ACTIONS(683),
    [anon_sym_SLASH_EQ] = ACTIONS(683),
    [anon_sym_PERCENT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(686),
    [anon_sym_GT_GT] = ACTIONS(683),
    [anon_sym_2_GT] = ACTIONS(686),
    [anon_sym_2_GT_GT] = ACTIONS(683),
    [anon_sym_3_GT] = ACTIONS(686),
    [anon_sym_3_GT_GT] = ACTIONS(683),
    [anon_sym_4_GT] = ACTIONS(686),
    [anon_sym_4_GT_GT] = ACTIONS(683),
    [anon_sym_5_GT] = ACTIONS(686),
    [anon_sym_5_GT_GT] = ACTIONS(683),
    [anon_sym_6_GT] = ACTIONS(686),
    [anon_sym_6_GT_GT] = ACTIONS(683),
    [anon_sym_STAR_GT] = ACTIONS(686),
    [anon_sym_STAR_GT_GT] = ACTIONS(683),
    [anon_sym_LT] = ACTIONS(686),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(683),
    [anon_sym_2_GT_AMP1] = ACTIONS(683),
    [anon_sym_3_GT_AMP1] = ACTIONS(683),
    [anon_sym_4_GT_AMP1] = ACTIONS(683),
    [anon_sym_5_GT_AMP1] = ACTIONS(683),
    [anon_sym_6_GT_AMP1] = ACTIONS(683),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(683),
    [anon_sym_1_GT_AMP2] = ACTIONS(683),
    [anon_sym_3_GT_AMP2] = ACTIONS(683),
    [anon_sym_4_GT_AMP2] = ACTIONS(683),
    [anon_sym_5_GT_AMP2] = ACTIONS(683),
    [anon_sym_6_GT_AMP2] = ACTIONS(683),
    [aux_sym_comparison_operator_token1] = ACTIONS(683),
    [aux_sym_comparison_operator_token2] = ACTIONS(683),
    [aux_sym_comparison_operator_token3] = ACTIONS(683),
    [aux_sym_comparison_operator_token4] = ACTIONS(683),
    [aux_sym_comparison_operator_token5] = ACTIONS(683),
    [aux_sym_comparison_operator_token6] = ACTIONS(683),
    [aux_sym_comparison_operator_token7] = ACTIONS(683),
    [aux_sym_comparison_operator_token8] = ACTIONS(683),
    [aux_sym_comparison_operator_token9] = ACTIONS(683),
    [aux_sym_comparison_operator_token10] = ACTIONS(683),
    [aux_sym_comparison_operator_token11] = ACTIONS(683),
    [aux_sym_comparison_operator_token12] = ACTIONS(683),
    [aux_sym_comparison_operator_token13] = ACTIONS(683),
    [aux_sym_comparison_operator_token14] = ACTIONS(683),
    [aux_sym_comparison_operator_token15] = ACTIONS(683),
    [aux_sym_comparison_operator_token16] = ACTIONS(683),
    [aux_sym_comparison_operator_token17] = ACTIONS(683),
    [aux_sym_comparison_operator_token18] = ACTIONS(683),
    [aux_sym_comparison_operator_token19] = ACTIONS(683),
    [aux_sym_comparison_operator_token20] = ACTIONS(683),
    [aux_sym_comparison_operator_token21] = ACTIONS(683),
    [aux_sym_comparison_operator_token22] = ACTIONS(683),
    [aux_sym_comparison_operator_token23] = ACTIONS(683),
    [aux_sym_comparison_operator_token24] = ACTIONS(683),
    [aux_sym_comparison_operator_token25] = ACTIONS(683),
    [aux_sym_comparison_operator_token26] = ACTIONS(683),
    [aux_sym_comparison_operator_token27] = ACTIONS(683),
    [aux_sym_comparison_operator_token28] = ACTIONS(686),
    [aux_sym_comparison_operator_token29] = ACTIONS(683),
    [aux_sym_comparison_operator_token30] = ACTIONS(683),
    [aux_sym_comparison_operator_token31] = ACTIONS(683),
    [aux_sym_comparison_operator_token32] = ACTIONS(683),
    [aux_sym_comparison_operator_token33] = ACTIONS(683),
    [aux_sym_comparison_operator_token34] = ACTIONS(686),
    [aux_sym_comparison_operator_token35] = ACTIONS(683),
    [aux_sym_comparison_operator_token36] = ACTIONS(683),
    [aux_sym_comparison_operator_token37] = ACTIONS(683),
    [aux_sym_comparison_operator_token38] = ACTIONS(683),
    [aux_sym_comparison_operator_token39] = ACTIONS(683),
    [aux_sym_comparison_operator_token40] = ACTIONS(683),
    [aux_sym_comparison_operator_token41] = ACTIONS(683),
    [aux_sym_comparison_operator_token42] = ACTIONS(683),
    [aux_sym_comparison_operator_token43] = ACTIONS(683),
    [aux_sym_comparison_operator_token44] = ACTIONS(683),
    [aux_sym_comparison_operator_token45] = ACTIONS(683),
    [aux_sym_comparison_operator_token46] = ACTIONS(683),
    [aux_sym_comparison_operator_token47] = ACTIONS(683),
    [aux_sym_comparison_operator_token48] = ACTIONS(683),
    [aux_sym_comparison_operator_token49] = ACTIONS(683),
    [aux_sym_comparison_operator_token50] = ACTIONS(683),
    [aux_sym_format_operator_token1] = ACTIONS(683),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_RPAREN] = ACTIONS(683),
    [anon_sym_COMMA] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(683),
    [anon_sym_PERCENT] = ACTIONS(686),
    [aux_sym_logical_expression_token1] = ACTIONS(683),
    [aux_sym_logical_expression_token2] = ACTIONS(683),
    [aux_sym_logical_expression_token3] = ACTIONS(683),
    [aux_sym_bitwise_expression_token1] = ACTIONS(683),
    [aux_sym_bitwise_expression_token2] = ACTIONS(683),
    [aux_sym_bitwise_expression_token3] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(686),
    [anon_sym_DASH] = ACTIONS(686),
    [anon_sym_SLASH] = ACTIONS(686),
    [anon_sym_BSLASH] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(686),
    [anon_sym_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS_PLUS] = ACTIONS(683),
    [anon_sym_DASH_DASH] = ACTIONS(683),
    [anon_sym_DOT2] = ACTIONS(686),
    [anon_sym_COLON_COLON] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(683),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(683),
  },
  [110] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_EQ] = ACTIONS(689),
    [anon_sym_BANG_EQ] = ACTIONS(689),
    [anon_sym_PLUS_EQ] = ACTIONS(689),
    [anon_sym_STAR_EQ] = ACTIONS(689),
    [anon_sym_SLASH_EQ] = ACTIONS(689),
    [anon_sym_PERCENT_EQ] = ACTIONS(689),
    [anon_sym_GT] = ACTIONS(691),
    [anon_sym_GT_GT] = ACTIONS(689),
    [anon_sym_2_GT] = ACTIONS(691),
    [anon_sym_2_GT_GT] = ACTIONS(689),
    [anon_sym_3_GT] = ACTIONS(691),
    [anon_sym_3_GT_GT] = ACTIONS(689),
    [anon_sym_4_GT] = ACTIONS(691),
    [anon_sym_4_GT_GT] = ACTIONS(689),
    [anon_sym_5_GT] = ACTIONS(691),
    [anon_sym_5_GT_GT] = ACTIONS(689),
    [anon_sym_6_GT] = ACTIONS(691),
    [anon_sym_6_GT_GT] = ACTIONS(689),
    [anon_sym_STAR_GT] = ACTIONS(691),
    [anon_sym_STAR_GT_GT] = ACTIONS(689),
    [anon_sym_LT] = ACTIONS(691),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(689),
    [anon_sym_2_GT_AMP1] = ACTIONS(689),
    [anon_sym_3_GT_AMP1] = ACTIONS(689),
    [anon_sym_4_GT_AMP1] = ACTIONS(689),
    [anon_sym_5_GT_AMP1] = ACTIONS(689),
    [anon_sym_6_GT_AMP1] = ACTIONS(689),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(689),
    [anon_sym_1_GT_AMP2] = ACTIONS(689),
    [anon_sym_3_GT_AMP2] = ACTIONS(689),
    [anon_sym_4_GT_AMP2] = ACTIONS(689),
    [anon_sym_5_GT_AMP2] = ACTIONS(689),
    [anon_sym_6_GT_AMP2] = ACTIONS(689),
    [aux_sym_comparison_operator_token1] = ACTIONS(689),
    [aux_sym_comparison_operator_token2] = ACTIONS(689),
    [aux_sym_comparison_operator_token3] = ACTIONS(689),
    [aux_sym_comparison_operator_token4] = ACTIONS(689),
    [aux_sym_comparison_operator_token5] = ACTIONS(689),
    [aux_sym_comparison_operator_token6] = ACTIONS(689),
    [aux_sym_comparison_operator_token7] = ACTIONS(689),
    [aux_sym_comparison_operator_token8] = ACTIONS(689),
    [aux_sym_comparison_operator_token9] = ACTIONS(689),
    [aux_sym_comparison_operator_token10] = ACTIONS(689),
    [aux_sym_comparison_operator_token11] = ACTIONS(689),
    [aux_sym_comparison_operator_token12] = ACTIONS(689),
    [aux_sym_comparison_operator_token13] = ACTIONS(689),
    [aux_sym_comparison_operator_token14] = ACTIONS(689),
    [aux_sym_comparison_operator_token15] = ACTIONS(689),
    [aux_sym_comparison_operator_token16] = ACTIONS(689),
    [aux_sym_comparison_operator_token17] = ACTIONS(689),
    [aux_sym_comparison_operator_token18] = ACTIONS(689),
    [aux_sym_comparison_operator_token19] = ACTIONS(689),
    [aux_sym_comparison_operator_token20] = ACTIONS(689),
    [aux_sym_comparison_operator_token21] = ACTIONS(689),
    [aux_sym_comparison_operator_token22] = ACTIONS(689),
    [aux_sym_comparison_operator_token23] = ACTIONS(689),
    [aux_sym_comparison_operator_token24] = ACTIONS(689),
    [aux_sym_comparison_operator_token25] = ACTIONS(689),
    [aux_sym_comparison_operator_token26] = ACTIONS(689),
    [aux_sym_comparison_operator_token27] = ACTIONS(689),
    [aux_sym_comparison_operator_token28] = ACTIONS(691),
    [aux_sym_comparison_operator_token29] = ACTIONS(689),
    [aux_sym_comparison_operator_token30] = ACTIONS(689),
    [aux_sym_comparison_operator_token31] = ACTIONS(689),
    [aux_sym_comparison_operator_token32] = ACTIONS(689),
    [aux_sym_comparison_operator_token33] = ACTIONS(689),
    [aux_sym_comparison_operator_token34] = ACTIONS(691),
    [aux_sym_comparison_operator_token35] = ACTIONS(689),
    [aux_sym_comparison_operator_token36] = ACTIONS(689),
    [aux_sym_comparison_operator_token37] = ACTIONS(689),
    [aux_sym_comparison_operator_token38] = ACTIONS(689),
    [aux_sym_comparison_operator_token39] = ACTIONS(689),
    [aux_sym_comparison_operator_token40] = ACTIONS(689),
    [aux_sym_comparison_operator_token41] = ACTIONS(689),
    [aux_sym_comparison_operator_token42] = ACTIONS(689),
    [aux_sym_comparison_operator_token43] = ACTIONS(689),
    [aux_sym_comparison_operator_token44] = ACTIONS(689),
    [aux_sym_comparison_operator_token45] = ACTIONS(689),
    [aux_sym_comparison_operator_token46] = ACTIONS(689),
    [aux_sym_comparison_operator_token47] = ACTIONS(689),
    [aux_sym_comparison_operator_token48] = ACTIONS(689),
    [aux_sym_comparison_operator_token49] = ACTIONS(689),
    [aux_sym_comparison_operator_token50] = ACTIONS(689),
    [aux_sym_format_operator_token1] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(689),
    [anon_sym_RPAREN] = ACTIONS(689),
    [anon_sym_COMMA] = ACTIONS(689),
    [anon_sym_PIPE] = ACTIONS(689),
    [anon_sym_PERCENT] = ACTIONS(691),
    [aux_sym_logical_expression_token1] = ACTIONS(689),
    [aux_sym_logical_expression_token2] = ACTIONS(689),
    [aux_sym_logical_expression_token3] = ACTIONS(689),
    [aux_sym_bitwise_expression_token1] = ACTIONS(689),
    [aux_sym_bitwise_expression_token2] = ACTIONS(689),
    [aux_sym_bitwise_expression_token3] = ACTIONS(689),
    [anon_sym_PLUS] = ACTIONS(691),
    [anon_sym_DASH] = ACTIONS(691),
    [anon_sym_SLASH] = ACTIONS(691),
    [anon_sym_BSLASH] = ACTIONS(689),
    [anon_sym_STAR] = ACTIONS(691),
    [anon_sym_DOT_DOT] = ACTIONS(689),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [anon_sym_DOT2] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(689),
    [anon_sym_RBRACK] = ACTIONS(689),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(689),
  },
  [111] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_EQ] = ACTIONS(693),
    [anon_sym_BANG_EQ] = ACTIONS(693),
    [anon_sym_PLUS_EQ] = ACTIONS(693),
    [anon_sym_STAR_EQ] = ACTIONS(693),
    [anon_sym_SLASH_EQ] = ACTIONS(693),
    [anon_sym_PERCENT_EQ] = ACTIONS(693),
    [anon_sym_GT] = ACTIONS(695),
    [anon_sym_GT_GT] = ACTIONS(693),
    [anon_sym_2_GT] = ACTIONS(695),
    [anon_sym_2_GT_GT] = ACTIONS(693),
    [anon_sym_3_GT] = ACTIONS(695),
    [anon_sym_3_GT_GT] = ACTIONS(693),
    [anon_sym_4_GT] = ACTIONS(695),
    [anon_sym_4_GT_GT] = ACTIONS(693),
    [anon_sym_5_GT] = ACTIONS(695),
    [anon_sym_5_GT_GT] = ACTIONS(693),
    [anon_sym_6_GT] = ACTIONS(695),
    [anon_sym_6_GT_GT] = ACTIONS(693),
    [anon_sym_STAR_GT] = ACTIONS(695),
    [anon_sym_STAR_GT_GT] = ACTIONS(693),
    [anon_sym_LT] = ACTIONS(695),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(693),
    [anon_sym_2_GT_AMP1] = ACTIONS(693),
    [anon_sym_3_GT_AMP1] = ACTIONS(693),
    [anon_sym_4_GT_AMP1] = ACTIONS(693),
    [anon_sym_5_GT_AMP1] = ACTIONS(693),
    [anon_sym_6_GT_AMP1] = ACTIONS(693),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(693),
    [anon_sym_1_GT_AMP2] = ACTIONS(693),
    [anon_sym_3_GT_AMP2] = ACTIONS(693),
    [anon_sym_4_GT_AMP2] = ACTIONS(693),
    [anon_sym_5_GT_AMP2] = ACTIONS(693),
    [anon_sym_6_GT_AMP2] = ACTIONS(693),
    [aux_sym_comparison_operator_token1] = ACTIONS(693),
    [aux_sym_comparison_operator_token2] = ACTIONS(693),
    [aux_sym_comparison_operator_token3] = ACTIONS(693),
    [aux_sym_comparison_operator_token4] = ACTIONS(693),
    [aux_sym_comparison_operator_token5] = ACTIONS(693),
    [aux_sym_comparison_operator_token6] = ACTIONS(693),
    [aux_sym_comparison_operator_token7] = ACTIONS(693),
    [aux_sym_comparison_operator_token8] = ACTIONS(693),
    [aux_sym_comparison_operator_token9] = ACTIONS(693),
    [aux_sym_comparison_operator_token10] = ACTIONS(693),
    [aux_sym_comparison_operator_token11] = ACTIONS(693),
    [aux_sym_comparison_operator_token12] = ACTIONS(693),
    [aux_sym_comparison_operator_token13] = ACTIONS(693),
    [aux_sym_comparison_operator_token14] = ACTIONS(693),
    [aux_sym_comparison_operator_token15] = ACTIONS(693),
    [aux_sym_comparison_operator_token16] = ACTIONS(693),
    [aux_sym_comparison_operator_token17] = ACTIONS(693),
    [aux_sym_comparison_operator_token18] = ACTIONS(693),
    [aux_sym_comparison_operator_token19] = ACTIONS(693),
    [aux_sym_comparison_operator_token20] = ACTIONS(693),
    [aux_sym_comparison_operator_token21] = ACTIONS(693),
    [aux_sym_comparison_operator_token22] = ACTIONS(693),
    [aux_sym_comparison_operator_token23] = ACTIONS(693),
    [aux_sym_comparison_operator_token24] = ACTIONS(693),
    [aux_sym_comparison_operator_token25] = ACTIONS(693),
    [aux_sym_comparison_operator_token26] = ACTIONS(693),
    [aux_sym_comparison_operator_token27] = ACTIONS(693),
    [aux_sym_comparison_operator_token28] = ACTIONS(695),
    [aux_sym_comparison_operator_token29] = ACTIONS(693),
    [aux_sym_comparison_operator_token30] = ACTIONS(693),
    [aux_sym_comparison_operator_token31] = ACTIONS(693),
    [aux_sym_comparison_operator_token32] = ACTIONS(693),
    [aux_sym_comparison_operator_token33] = ACTIONS(693),
    [aux_sym_comparison_operator_token34] = ACTIONS(695),
    [aux_sym_comparison_operator_token35] = ACTIONS(693),
    [aux_sym_comparison_operator_token36] = ACTIONS(693),
    [aux_sym_comparison_operator_token37] = ACTIONS(693),
    [aux_sym_comparison_operator_token38] = ACTIONS(693),
    [aux_sym_comparison_operator_token39] = ACTIONS(693),
    [aux_sym_comparison_operator_token40] = ACTIONS(693),
    [aux_sym_comparison_operator_token41] = ACTIONS(693),
    [aux_sym_comparison_operator_token42] = ACTIONS(693),
    [aux_sym_comparison_operator_token43] = ACTIONS(693),
    [aux_sym_comparison_operator_token44] = ACTIONS(693),
    [aux_sym_comparison_operator_token45] = ACTIONS(693),
    [aux_sym_comparison_operator_token46] = ACTIONS(693),
    [aux_sym_comparison_operator_token47] = ACTIONS(693),
    [aux_sym_comparison_operator_token48] = ACTIONS(693),
    [aux_sym_comparison_operator_token49] = ACTIONS(693),
    [aux_sym_comparison_operator_token50] = ACTIONS(693),
    [aux_sym_format_operator_token1] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(693),
    [anon_sym_RPAREN] = ACTIONS(693),
    [anon_sym_COMMA] = ACTIONS(693),
    [anon_sym_PIPE] = ACTIONS(693),
    [anon_sym_PERCENT] = ACTIONS(695),
    [aux_sym_logical_expression_token1] = ACTIONS(693),
    [aux_sym_logical_expression_token2] = ACTIONS(693),
    [aux_sym_logical_expression_token3] = ACTIONS(693),
    [aux_sym_bitwise_expression_token1] = ACTIONS(693),
    [aux_sym_bitwise_expression_token2] = ACTIONS(693),
    [aux_sym_bitwise_expression_token3] = ACTIONS(693),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_SLASH] = ACTIONS(695),
    [anon_sym_BSLASH] = ACTIONS(693),
    [anon_sym_STAR] = ACTIONS(695),
    [anon_sym_DOT_DOT] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_DOT2] = ACTIONS(695),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [anon_sym_RBRACK] = ACTIONS(693),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(693),
  },
  [112] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_EQ] = ACTIONS(697),
    [anon_sym_BANG_EQ] = ACTIONS(697),
    [anon_sym_PLUS_EQ] = ACTIONS(697),
    [anon_sym_STAR_EQ] = ACTIONS(697),
    [anon_sym_SLASH_EQ] = ACTIONS(697),
    [anon_sym_PERCENT_EQ] = ACTIONS(697),
    [anon_sym_GT] = ACTIONS(699),
    [anon_sym_GT_GT] = ACTIONS(697),
    [anon_sym_2_GT] = ACTIONS(699),
    [anon_sym_2_GT_GT] = ACTIONS(697),
    [anon_sym_3_GT] = ACTIONS(699),
    [anon_sym_3_GT_GT] = ACTIONS(697),
    [anon_sym_4_GT] = ACTIONS(699),
    [anon_sym_4_GT_GT] = ACTIONS(697),
    [anon_sym_5_GT] = ACTIONS(699),
    [anon_sym_5_GT_GT] = ACTIONS(697),
    [anon_sym_6_GT] = ACTIONS(699),
    [anon_sym_6_GT_GT] = ACTIONS(697),
    [anon_sym_STAR_GT] = ACTIONS(699),
    [anon_sym_STAR_GT_GT] = ACTIONS(697),
    [anon_sym_LT] = ACTIONS(699),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(697),
    [anon_sym_2_GT_AMP1] = ACTIONS(697),
    [anon_sym_3_GT_AMP1] = ACTIONS(697),
    [anon_sym_4_GT_AMP1] = ACTIONS(697),
    [anon_sym_5_GT_AMP1] = ACTIONS(697),
    [anon_sym_6_GT_AMP1] = ACTIONS(697),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(697),
    [anon_sym_1_GT_AMP2] = ACTIONS(697),
    [anon_sym_3_GT_AMP2] = ACTIONS(697),
    [anon_sym_4_GT_AMP2] = ACTIONS(697),
    [anon_sym_5_GT_AMP2] = ACTIONS(697),
    [anon_sym_6_GT_AMP2] = ACTIONS(697),
    [aux_sym_comparison_operator_token1] = ACTIONS(697),
    [aux_sym_comparison_operator_token2] = ACTIONS(697),
    [aux_sym_comparison_operator_token3] = ACTIONS(697),
    [aux_sym_comparison_operator_token4] = ACTIONS(697),
    [aux_sym_comparison_operator_token5] = ACTIONS(697),
    [aux_sym_comparison_operator_token6] = ACTIONS(697),
    [aux_sym_comparison_operator_token7] = ACTIONS(697),
    [aux_sym_comparison_operator_token8] = ACTIONS(697),
    [aux_sym_comparison_operator_token9] = ACTIONS(697),
    [aux_sym_comparison_operator_token10] = ACTIONS(697),
    [aux_sym_comparison_operator_token11] = ACTIONS(697),
    [aux_sym_comparison_operator_token12] = ACTIONS(697),
    [aux_sym_comparison_operator_token13] = ACTIONS(697),
    [aux_sym_comparison_operator_token14] = ACTIONS(697),
    [aux_sym_comparison_operator_token15] = ACTIONS(697),
    [aux_sym_comparison_operator_token16] = ACTIONS(697),
    [aux_sym_comparison_operator_token17] = ACTIONS(697),
    [aux_sym_comparison_operator_token18] = ACTIONS(697),
    [aux_sym_comparison_operator_token19] = ACTIONS(697),
    [aux_sym_comparison_operator_token20] = ACTIONS(697),
    [aux_sym_comparison_operator_token21] = ACTIONS(697),
    [aux_sym_comparison_operator_token22] = ACTIONS(697),
    [aux_sym_comparison_operator_token23] = ACTIONS(697),
    [aux_sym_comparison_operator_token24] = ACTIONS(697),
    [aux_sym_comparison_operator_token25] = ACTIONS(697),
    [aux_sym_comparison_operator_token26] = ACTIONS(697),
    [aux_sym_comparison_operator_token27] = ACTIONS(697),
    [aux_sym_comparison_operator_token28] = ACTIONS(699),
    [aux_sym_comparison_operator_token29] = ACTIONS(697),
    [aux_sym_comparison_operator_token30] = ACTIONS(697),
    [aux_sym_comparison_operator_token31] = ACTIONS(697),
    [aux_sym_comparison_operator_token32] = ACTIONS(697),
    [aux_sym_comparison_operator_token33] = ACTIONS(697),
    [aux_sym_comparison_operator_token34] = ACTIONS(699),
    [aux_sym_comparison_operator_token35] = ACTIONS(697),
    [aux_sym_comparison_operator_token36] = ACTIONS(697),
    [aux_sym_comparison_operator_token37] = ACTIONS(697),
    [aux_sym_comparison_operator_token38] = ACTIONS(697),
    [aux_sym_comparison_operator_token39] = ACTIONS(697),
    [aux_sym_comparison_operator_token40] = ACTIONS(697),
    [aux_sym_comparison_operator_token41] = ACTIONS(697),
    [aux_sym_comparison_operator_token42] = ACTIONS(697),
    [aux_sym_comparison_operator_token43] = ACTIONS(697),
    [aux_sym_comparison_operator_token44] = ACTIONS(697),
    [aux_sym_comparison_operator_token45] = ACTIONS(697),
    [aux_sym_comparison_operator_token46] = ACTIONS(697),
    [aux_sym_comparison_operator_token47] = ACTIONS(697),
    [aux_sym_comparison_operator_token48] = ACTIONS(697),
    [aux_sym_comparison_operator_token49] = ACTIONS(697),
    [aux_sym_comparison_operator_token50] = ACTIONS(697),
    [aux_sym_format_operator_token1] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_RPAREN] = ACTIONS(697),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_PIPE] = ACTIONS(697),
    [anon_sym_PERCENT] = ACTIONS(699),
    [aux_sym_logical_expression_token1] = ACTIONS(697),
    [aux_sym_logical_expression_token2] = ACTIONS(697),
    [aux_sym_logical_expression_token3] = ACTIONS(697),
    [aux_sym_bitwise_expression_token1] = ACTIONS(697),
    [aux_sym_bitwise_expression_token2] = ACTIONS(697),
    [aux_sym_bitwise_expression_token3] = ACTIONS(697),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_BSLASH] = ACTIONS(697),
    [anon_sym_STAR] = ACTIONS(699),
    [anon_sym_DOT_DOT] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_DOT2] = ACTIONS(699),
    [anon_sym_COLON_COLON] = ACTIONS(697),
    [anon_sym_RBRACK] = ACTIONS(697),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(697),
  },
  [113] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_EQ] = ACTIONS(701),
    [anon_sym_BANG_EQ] = ACTIONS(701),
    [anon_sym_PLUS_EQ] = ACTIONS(701),
    [anon_sym_STAR_EQ] = ACTIONS(701),
    [anon_sym_SLASH_EQ] = ACTIONS(701),
    [anon_sym_PERCENT_EQ] = ACTIONS(701),
    [anon_sym_GT] = ACTIONS(703),
    [anon_sym_GT_GT] = ACTIONS(701),
    [anon_sym_2_GT] = ACTIONS(703),
    [anon_sym_2_GT_GT] = ACTIONS(701),
    [anon_sym_3_GT] = ACTIONS(703),
    [anon_sym_3_GT_GT] = ACTIONS(701),
    [anon_sym_4_GT] = ACTIONS(703),
    [anon_sym_4_GT_GT] = ACTIONS(701),
    [anon_sym_5_GT] = ACTIONS(703),
    [anon_sym_5_GT_GT] = ACTIONS(701),
    [anon_sym_6_GT] = ACTIONS(703),
    [anon_sym_6_GT_GT] = ACTIONS(701),
    [anon_sym_STAR_GT] = ACTIONS(703),
    [anon_sym_STAR_GT_GT] = ACTIONS(701),
    [anon_sym_LT] = ACTIONS(703),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(701),
    [anon_sym_2_GT_AMP1] = ACTIONS(701),
    [anon_sym_3_GT_AMP1] = ACTIONS(701),
    [anon_sym_4_GT_AMP1] = ACTIONS(701),
    [anon_sym_5_GT_AMP1] = ACTIONS(701),
    [anon_sym_6_GT_AMP1] = ACTIONS(701),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(701),
    [anon_sym_1_GT_AMP2] = ACTIONS(701),
    [anon_sym_3_GT_AMP2] = ACTIONS(701),
    [anon_sym_4_GT_AMP2] = ACTIONS(701),
    [anon_sym_5_GT_AMP2] = ACTIONS(701),
    [anon_sym_6_GT_AMP2] = ACTIONS(701),
    [aux_sym_comparison_operator_token1] = ACTIONS(701),
    [aux_sym_comparison_operator_token2] = ACTIONS(701),
    [aux_sym_comparison_operator_token3] = ACTIONS(701),
    [aux_sym_comparison_operator_token4] = ACTIONS(701),
    [aux_sym_comparison_operator_token5] = ACTIONS(701),
    [aux_sym_comparison_operator_token6] = ACTIONS(701),
    [aux_sym_comparison_operator_token7] = ACTIONS(701),
    [aux_sym_comparison_operator_token8] = ACTIONS(701),
    [aux_sym_comparison_operator_token9] = ACTIONS(701),
    [aux_sym_comparison_operator_token10] = ACTIONS(701),
    [aux_sym_comparison_operator_token11] = ACTIONS(701),
    [aux_sym_comparison_operator_token12] = ACTIONS(701),
    [aux_sym_comparison_operator_token13] = ACTIONS(701),
    [aux_sym_comparison_operator_token14] = ACTIONS(701),
    [aux_sym_comparison_operator_token15] = ACTIONS(701),
    [aux_sym_comparison_operator_token16] = ACTIONS(701),
    [aux_sym_comparison_operator_token17] = ACTIONS(701),
    [aux_sym_comparison_operator_token18] = ACTIONS(701),
    [aux_sym_comparison_operator_token19] = ACTIONS(701),
    [aux_sym_comparison_operator_token20] = ACTIONS(701),
    [aux_sym_comparison_operator_token21] = ACTIONS(701),
    [aux_sym_comparison_operator_token22] = ACTIONS(701),
    [aux_sym_comparison_operator_token23] = ACTIONS(701),
    [aux_sym_comparison_operator_token24] = ACTIONS(701),
    [aux_sym_comparison_operator_token25] = ACTIONS(701),
    [aux_sym_comparison_operator_token26] = ACTIONS(701),
    [aux_sym_comparison_operator_token27] = ACTIONS(701),
    [aux_sym_comparison_operator_token28] = ACTIONS(703),
    [aux_sym_comparison_operator_token29] = ACTIONS(701),
    [aux_sym_comparison_operator_token30] = ACTIONS(701),
    [aux_sym_comparison_operator_token31] = ACTIONS(701),
    [aux_sym_comparison_operator_token32] = ACTIONS(701),
    [aux_sym_comparison_operator_token33] = ACTIONS(701),
    [aux_sym_comparison_operator_token34] = ACTIONS(703),
    [aux_sym_comparison_operator_token35] = ACTIONS(701),
    [aux_sym_comparison_operator_token36] = ACTIONS(701),
    [aux_sym_comparison_operator_token37] = ACTIONS(701),
    [aux_sym_comparison_operator_token38] = ACTIONS(701),
    [aux_sym_comparison_operator_token39] = ACTIONS(701),
    [aux_sym_comparison_operator_token40] = ACTIONS(701),
    [aux_sym_comparison_operator_token41] = ACTIONS(701),
    [aux_sym_comparison_operator_token42] = ACTIONS(701),
    [aux_sym_comparison_operator_token43] = ACTIONS(701),
    [aux_sym_comparison_operator_token44] = ACTIONS(701),
    [aux_sym_comparison_operator_token45] = ACTIONS(701),
    [aux_sym_comparison_operator_token46] = ACTIONS(701),
    [aux_sym_comparison_operator_token47] = ACTIONS(701),
    [aux_sym_comparison_operator_token48] = ACTIONS(701),
    [aux_sym_comparison_operator_token49] = ACTIONS(701),
    [aux_sym_comparison_operator_token50] = ACTIONS(701),
    [aux_sym_format_operator_token1] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(701),
    [anon_sym_RPAREN] = ACTIONS(701),
    [anon_sym_COMMA] = ACTIONS(701),
    [anon_sym_PIPE] = ACTIONS(701),
    [anon_sym_PERCENT] = ACTIONS(703),
    [aux_sym_logical_expression_token1] = ACTIONS(701),
    [aux_sym_logical_expression_token2] = ACTIONS(701),
    [aux_sym_logical_expression_token3] = ACTIONS(701),
    [aux_sym_bitwise_expression_token1] = ACTIONS(701),
    [aux_sym_bitwise_expression_token2] = ACTIONS(701),
    [aux_sym_bitwise_expression_token3] = ACTIONS(701),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_SLASH] = ACTIONS(703),
    [anon_sym_BSLASH] = ACTIONS(701),
    [anon_sym_STAR] = ACTIONS(703),
    [anon_sym_DOT_DOT] = ACTIONS(701),
    [anon_sym_PLUS_PLUS] = ACTIONS(701),
    [anon_sym_DASH_DASH] = ACTIONS(701),
    [anon_sym_DOT2] = ACTIONS(703),
    [anon_sym_COLON_COLON] = ACTIONS(701),
    [anon_sym_RBRACK] = ACTIONS(701),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(701),
  },
  [114] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_EQ] = ACTIONS(705),
    [anon_sym_BANG_EQ] = ACTIONS(705),
    [anon_sym_PLUS_EQ] = ACTIONS(705),
    [anon_sym_STAR_EQ] = ACTIONS(705),
    [anon_sym_SLASH_EQ] = ACTIONS(705),
    [anon_sym_PERCENT_EQ] = ACTIONS(705),
    [anon_sym_GT] = ACTIONS(707),
    [anon_sym_GT_GT] = ACTIONS(705),
    [anon_sym_2_GT] = ACTIONS(707),
    [anon_sym_2_GT_GT] = ACTIONS(705),
    [anon_sym_3_GT] = ACTIONS(707),
    [anon_sym_3_GT_GT] = ACTIONS(705),
    [anon_sym_4_GT] = ACTIONS(707),
    [anon_sym_4_GT_GT] = ACTIONS(705),
    [anon_sym_5_GT] = ACTIONS(707),
    [anon_sym_5_GT_GT] = ACTIONS(705),
    [anon_sym_6_GT] = ACTIONS(707),
    [anon_sym_6_GT_GT] = ACTIONS(705),
    [anon_sym_STAR_GT] = ACTIONS(707),
    [anon_sym_STAR_GT_GT] = ACTIONS(705),
    [anon_sym_LT] = ACTIONS(707),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(705),
    [anon_sym_2_GT_AMP1] = ACTIONS(705),
    [anon_sym_3_GT_AMP1] = ACTIONS(705),
    [anon_sym_4_GT_AMP1] = ACTIONS(705),
    [anon_sym_5_GT_AMP1] = ACTIONS(705),
    [anon_sym_6_GT_AMP1] = ACTIONS(705),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(705),
    [anon_sym_1_GT_AMP2] = ACTIONS(705),
    [anon_sym_3_GT_AMP2] = ACTIONS(705),
    [anon_sym_4_GT_AMP2] = ACTIONS(705),
    [anon_sym_5_GT_AMP2] = ACTIONS(705),
    [anon_sym_6_GT_AMP2] = ACTIONS(705),
    [aux_sym_comparison_operator_token1] = ACTIONS(705),
    [aux_sym_comparison_operator_token2] = ACTIONS(705),
    [aux_sym_comparison_operator_token3] = ACTIONS(705),
    [aux_sym_comparison_operator_token4] = ACTIONS(705),
    [aux_sym_comparison_operator_token5] = ACTIONS(705),
    [aux_sym_comparison_operator_token6] = ACTIONS(705),
    [aux_sym_comparison_operator_token7] = ACTIONS(705),
    [aux_sym_comparison_operator_token8] = ACTIONS(705),
    [aux_sym_comparison_operator_token9] = ACTIONS(705),
    [aux_sym_comparison_operator_token10] = ACTIONS(705),
    [aux_sym_comparison_operator_token11] = ACTIONS(705),
    [aux_sym_comparison_operator_token12] = ACTIONS(705),
    [aux_sym_comparison_operator_token13] = ACTIONS(705),
    [aux_sym_comparison_operator_token14] = ACTIONS(705),
    [aux_sym_comparison_operator_token15] = ACTIONS(705),
    [aux_sym_comparison_operator_token16] = ACTIONS(705),
    [aux_sym_comparison_operator_token17] = ACTIONS(705),
    [aux_sym_comparison_operator_token18] = ACTIONS(705),
    [aux_sym_comparison_operator_token19] = ACTIONS(705),
    [aux_sym_comparison_operator_token20] = ACTIONS(705),
    [aux_sym_comparison_operator_token21] = ACTIONS(705),
    [aux_sym_comparison_operator_token22] = ACTIONS(705),
    [aux_sym_comparison_operator_token23] = ACTIONS(705),
    [aux_sym_comparison_operator_token24] = ACTIONS(705),
    [aux_sym_comparison_operator_token25] = ACTIONS(705),
    [aux_sym_comparison_operator_token26] = ACTIONS(705),
    [aux_sym_comparison_operator_token27] = ACTIONS(705),
    [aux_sym_comparison_operator_token28] = ACTIONS(707),
    [aux_sym_comparison_operator_token29] = ACTIONS(705),
    [aux_sym_comparison_operator_token30] = ACTIONS(705),
    [aux_sym_comparison_operator_token31] = ACTIONS(705),
    [aux_sym_comparison_operator_token32] = ACTIONS(705),
    [aux_sym_comparison_operator_token33] = ACTIONS(705),
    [aux_sym_comparison_operator_token34] = ACTIONS(707),
    [aux_sym_comparison_operator_token35] = ACTIONS(705),
    [aux_sym_comparison_operator_token36] = ACTIONS(705),
    [aux_sym_comparison_operator_token37] = ACTIONS(705),
    [aux_sym_comparison_operator_token38] = ACTIONS(705),
    [aux_sym_comparison_operator_token39] = ACTIONS(705),
    [aux_sym_comparison_operator_token40] = ACTIONS(705),
    [aux_sym_comparison_operator_token41] = ACTIONS(705),
    [aux_sym_comparison_operator_token42] = ACTIONS(705),
    [aux_sym_comparison_operator_token43] = ACTIONS(705),
    [aux_sym_comparison_operator_token44] = ACTIONS(705),
    [aux_sym_comparison_operator_token45] = ACTIONS(705),
    [aux_sym_comparison_operator_token46] = ACTIONS(705),
    [aux_sym_comparison_operator_token47] = ACTIONS(705),
    [aux_sym_comparison_operator_token48] = ACTIONS(705),
    [aux_sym_comparison_operator_token49] = ACTIONS(705),
    [aux_sym_comparison_operator_token50] = ACTIONS(705),
    [aux_sym_format_operator_token1] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_RPAREN] = ACTIONS(705),
    [anon_sym_COMMA] = ACTIONS(705),
    [anon_sym_PIPE] = ACTIONS(705),
    [anon_sym_PERCENT] = ACTIONS(707),
    [aux_sym_logical_expression_token1] = ACTIONS(705),
    [aux_sym_logical_expression_token2] = ACTIONS(705),
    [aux_sym_logical_expression_token3] = ACTIONS(705),
    [aux_sym_bitwise_expression_token1] = ACTIONS(705),
    [aux_sym_bitwise_expression_token2] = ACTIONS(705),
    [aux_sym_bitwise_expression_token3] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_SLASH] = ACTIONS(707),
    [anon_sym_BSLASH] = ACTIONS(705),
    [anon_sym_STAR] = ACTIONS(707),
    [anon_sym_DOT_DOT] = ACTIONS(705),
    [anon_sym_PLUS_PLUS] = ACTIONS(705),
    [anon_sym_DASH_DASH] = ACTIONS(705),
    [anon_sym_DOT2] = ACTIONS(707),
    [anon_sym_COLON_COLON] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(705),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(705),
  },
  [115] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_EQ] = ACTIONS(709),
    [anon_sym_BANG_EQ] = ACTIONS(709),
    [anon_sym_PLUS_EQ] = ACTIONS(709),
    [anon_sym_STAR_EQ] = ACTIONS(709),
    [anon_sym_SLASH_EQ] = ACTIONS(709),
    [anon_sym_PERCENT_EQ] = ACTIONS(709),
    [anon_sym_GT] = ACTIONS(711),
    [anon_sym_GT_GT] = ACTIONS(709),
    [anon_sym_2_GT] = ACTIONS(711),
    [anon_sym_2_GT_GT] = ACTIONS(709),
    [anon_sym_3_GT] = ACTIONS(711),
    [anon_sym_3_GT_GT] = ACTIONS(709),
    [anon_sym_4_GT] = ACTIONS(711),
    [anon_sym_4_GT_GT] = ACTIONS(709),
    [anon_sym_5_GT] = ACTIONS(711),
    [anon_sym_5_GT_GT] = ACTIONS(709),
    [anon_sym_6_GT] = ACTIONS(711),
    [anon_sym_6_GT_GT] = ACTIONS(709),
    [anon_sym_STAR_GT] = ACTIONS(711),
    [anon_sym_STAR_GT_GT] = ACTIONS(709),
    [anon_sym_LT] = ACTIONS(711),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(709),
    [anon_sym_2_GT_AMP1] = ACTIONS(709),
    [anon_sym_3_GT_AMP1] = ACTIONS(709),
    [anon_sym_4_GT_AMP1] = ACTIONS(709),
    [anon_sym_5_GT_AMP1] = ACTIONS(709),
    [anon_sym_6_GT_AMP1] = ACTIONS(709),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(709),
    [anon_sym_1_GT_AMP2] = ACTIONS(709),
    [anon_sym_3_GT_AMP2] = ACTIONS(709),
    [anon_sym_4_GT_AMP2] = ACTIONS(709),
    [anon_sym_5_GT_AMP2] = ACTIONS(709),
    [anon_sym_6_GT_AMP2] = ACTIONS(709),
    [aux_sym_comparison_operator_token1] = ACTIONS(709),
    [aux_sym_comparison_operator_token2] = ACTIONS(709),
    [aux_sym_comparison_operator_token3] = ACTIONS(709),
    [aux_sym_comparison_operator_token4] = ACTIONS(709),
    [aux_sym_comparison_operator_token5] = ACTIONS(709),
    [aux_sym_comparison_operator_token6] = ACTIONS(709),
    [aux_sym_comparison_operator_token7] = ACTIONS(709),
    [aux_sym_comparison_operator_token8] = ACTIONS(709),
    [aux_sym_comparison_operator_token9] = ACTIONS(709),
    [aux_sym_comparison_operator_token10] = ACTIONS(709),
    [aux_sym_comparison_operator_token11] = ACTIONS(709),
    [aux_sym_comparison_operator_token12] = ACTIONS(709),
    [aux_sym_comparison_operator_token13] = ACTIONS(709),
    [aux_sym_comparison_operator_token14] = ACTIONS(709),
    [aux_sym_comparison_operator_token15] = ACTIONS(709),
    [aux_sym_comparison_operator_token16] = ACTIONS(709),
    [aux_sym_comparison_operator_token17] = ACTIONS(709),
    [aux_sym_comparison_operator_token18] = ACTIONS(709),
    [aux_sym_comparison_operator_token19] = ACTIONS(709),
    [aux_sym_comparison_operator_token20] = ACTIONS(709),
    [aux_sym_comparison_operator_token21] = ACTIONS(709),
    [aux_sym_comparison_operator_token22] = ACTIONS(709),
    [aux_sym_comparison_operator_token23] = ACTIONS(709),
    [aux_sym_comparison_operator_token24] = ACTIONS(709),
    [aux_sym_comparison_operator_token25] = ACTIONS(709),
    [aux_sym_comparison_operator_token26] = ACTIONS(709),
    [aux_sym_comparison_operator_token27] = ACTIONS(709),
    [aux_sym_comparison_operator_token28] = ACTIONS(711),
    [aux_sym_comparison_operator_token29] = ACTIONS(709),
    [aux_sym_comparison_operator_token30] = ACTIONS(709),
    [aux_sym_comparison_operator_token31] = ACTIONS(709),
    [aux_sym_comparison_operator_token32] = ACTIONS(709),
    [aux_sym_comparison_operator_token33] = ACTIONS(709),
    [aux_sym_comparison_operator_token34] = ACTIONS(711),
    [aux_sym_comparison_operator_token35] = ACTIONS(709),
    [aux_sym_comparison_operator_token36] = ACTIONS(709),
    [aux_sym_comparison_operator_token37] = ACTIONS(709),
    [aux_sym_comparison_operator_token38] = ACTIONS(709),
    [aux_sym_comparison_operator_token39] = ACTIONS(709),
    [aux_sym_comparison_operator_token40] = ACTIONS(709),
    [aux_sym_comparison_operator_token41] = ACTIONS(709),
    [aux_sym_comparison_operator_token42] = ACTIONS(709),
    [aux_sym_comparison_operator_token43] = ACTIONS(709),
    [aux_sym_comparison_operator_token44] = ACTIONS(709),
    [aux_sym_comparison_operator_token45] = ACTIONS(709),
    [aux_sym_comparison_operator_token46] = ACTIONS(709),
    [aux_sym_comparison_operator_token47] = ACTIONS(709),
    [aux_sym_comparison_operator_token48] = ACTIONS(709),
    [aux_sym_comparison_operator_token49] = ACTIONS(709),
    [aux_sym_comparison_operator_token50] = ACTIONS(709),
    [aux_sym_format_operator_token1] = ACTIONS(709),
    [anon_sym_LPAREN] = ACTIONS(709),
    [anon_sym_RPAREN] = ACTIONS(709),
    [anon_sym_COMMA] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(709),
    [anon_sym_PERCENT] = ACTIONS(711),
    [aux_sym_logical_expression_token1] = ACTIONS(709),
    [aux_sym_logical_expression_token2] = ACTIONS(709),
    [aux_sym_logical_expression_token3] = ACTIONS(709),
    [aux_sym_bitwise_expression_token1] = ACTIONS(709),
    [aux_sym_bitwise_expression_token2] = ACTIONS(709),
    [aux_sym_bitwise_expression_token3] = ACTIONS(709),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_SLASH] = ACTIONS(711),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(711),
    [anon_sym_DOT_DOT] = ACTIONS(709),
    [anon_sym_PLUS_PLUS] = ACTIONS(709),
    [anon_sym_DASH_DASH] = ACTIONS(709),
    [anon_sym_DOT2] = ACTIONS(711),
    [anon_sym_COLON_COLON] = ACTIONS(709),
    [anon_sym_RBRACK] = ACTIONS(709),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(709),
  },
  [116] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_EQ] = ACTIONS(713),
    [anon_sym_BANG_EQ] = ACTIONS(713),
    [anon_sym_PLUS_EQ] = ACTIONS(713),
    [anon_sym_STAR_EQ] = ACTIONS(713),
    [anon_sym_SLASH_EQ] = ACTIONS(713),
    [anon_sym_PERCENT_EQ] = ACTIONS(713),
    [anon_sym_GT] = ACTIONS(715),
    [anon_sym_GT_GT] = ACTIONS(713),
    [anon_sym_2_GT] = ACTIONS(715),
    [anon_sym_2_GT_GT] = ACTIONS(713),
    [anon_sym_3_GT] = ACTIONS(715),
    [anon_sym_3_GT_GT] = ACTIONS(713),
    [anon_sym_4_GT] = ACTIONS(715),
    [anon_sym_4_GT_GT] = ACTIONS(713),
    [anon_sym_5_GT] = ACTIONS(715),
    [anon_sym_5_GT_GT] = ACTIONS(713),
    [anon_sym_6_GT] = ACTIONS(715),
    [anon_sym_6_GT_GT] = ACTIONS(713),
    [anon_sym_STAR_GT] = ACTIONS(715),
    [anon_sym_STAR_GT_GT] = ACTIONS(713),
    [anon_sym_LT] = ACTIONS(715),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(713),
    [anon_sym_2_GT_AMP1] = ACTIONS(713),
    [anon_sym_3_GT_AMP1] = ACTIONS(713),
    [anon_sym_4_GT_AMP1] = ACTIONS(713),
    [anon_sym_5_GT_AMP1] = ACTIONS(713),
    [anon_sym_6_GT_AMP1] = ACTIONS(713),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(713),
    [anon_sym_1_GT_AMP2] = ACTIONS(713),
    [anon_sym_3_GT_AMP2] = ACTIONS(713),
    [anon_sym_4_GT_AMP2] = ACTIONS(713),
    [anon_sym_5_GT_AMP2] = ACTIONS(713),
    [anon_sym_6_GT_AMP2] = ACTIONS(713),
    [aux_sym_comparison_operator_token1] = ACTIONS(713),
    [aux_sym_comparison_operator_token2] = ACTIONS(713),
    [aux_sym_comparison_operator_token3] = ACTIONS(713),
    [aux_sym_comparison_operator_token4] = ACTIONS(713),
    [aux_sym_comparison_operator_token5] = ACTIONS(713),
    [aux_sym_comparison_operator_token6] = ACTIONS(713),
    [aux_sym_comparison_operator_token7] = ACTIONS(713),
    [aux_sym_comparison_operator_token8] = ACTIONS(713),
    [aux_sym_comparison_operator_token9] = ACTIONS(713),
    [aux_sym_comparison_operator_token10] = ACTIONS(713),
    [aux_sym_comparison_operator_token11] = ACTIONS(713),
    [aux_sym_comparison_operator_token12] = ACTIONS(713),
    [aux_sym_comparison_operator_token13] = ACTIONS(713),
    [aux_sym_comparison_operator_token14] = ACTIONS(713),
    [aux_sym_comparison_operator_token15] = ACTIONS(713),
    [aux_sym_comparison_operator_token16] = ACTIONS(713),
    [aux_sym_comparison_operator_token17] = ACTIONS(713),
    [aux_sym_comparison_operator_token18] = ACTIONS(713),
    [aux_sym_comparison_operator_token19] = ACTIONS(713),
    [aux_sym_comparison_operator_token20] = ACTIONS(713),
    [aux_sym_comparison_operator_token21] = ACTIONS(713),
    [aux_sym_comparison_operator_token22] = ACTIONS(713),
    [aux_sym_comparison_operator_token23] = ACTIONS(713),
    [aux_sym_comparison_operator_token24] = ACTIONS(713),
    [aux_sym_comparison_operator_token25] = ACTIONS(713),
    [aux_sym_comparison_operator_token26] = ACTIONS(713),
    [aux_sym_comparison_operator_token27] = ACTIONS(713),
    [aux_sym_comparison_operator_token28] = ACTIONS(715),
    [aux_sym_comparison_operator_token29] = ACTIONS(713),
    [aux_sym_comparison_operator_token30] = ACTIONS(713),
    [aux_sym_comparison_operator_token31] = ACTIONS(713),
    [aux_sym_comparison_operator_token32] = ACTIONS(713),
    [aux_sym_comparison_operator_token33] = ACTIONS(713),
    [aux_sym_comparison_operator_token34] = ACTIONS(715),
    [aux_sym_comparison_operator_token35] = ACTIONS(713),
    [aux_sym_comparison_operator_token36] = ACTIONS(713),
    [aux_sym_comparison_operator_token37] = ACTIONS(713),
    [aux_sym_comparison_operator_token38] = ACTIONS(713),
    [aux_sym_comparison_operator_token39] = ACTIONS(713),
    [aux_sym_comparison_operator_token40] = ACTIONS(713),
    [aux_sym_comparison_operator_token41] = ACTIONS(713),
    [aux_sym_comparison_operator_token42] = ACTIONS(713),
    [aux_sym_comparison_operator_token43] = ACTIONS(713),
    [aux_sym_comparison_operator_token44] = ACTIONS(713),
    [aux_sym_comparison_operator_token45] = ACTIONS(713),
    [aux_sym_comparison_operator_token46] = ACTIONS(713),
    [aux_sym_comparison_operator_token47] = ACTIONS(713),
    [aux_sym_comparison_operator_token48] = ACTIONS(713),
    [aux_sym_comparison_operator_token49] = ACTIONS(713),
    [aux_sym_comparison_operator_token50] = ACTIONS(713),
    [aux_sym_format_operator_token1] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(713),
    [anon_sym_COMMA] = ACTIONS(713),
    [anon_sym_PIPE] = ACTIONS(713),
    [anon_sym_PERCENT] = ACTIONS(715),
    [aux_sym_logical_expression_token1] = ACTIONS(713),
    [aux_sym_logical_expression_token2] = ACTIONS(713),
    [aux_sym_logical_expression_token3] = ACTIONS(713),
    [aux_sym_bitwise_expression_token1] = ACTIONS(713),
    [aux_sym_bitwise_expression_token2] = ACTIONS(713),
    [aux_sym_bitwise_expression_token3] = ACTIONS(713),
    [anon_sym_PLUS] = ACTIONS(715),
    [anon_sym_DASH] = ACTIONS(715),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_BSLASH] = ACTIONS(713),
    [anon_sym_STAR] = ACTIONS(715),
    [anon_sym_DOT_DOT] = ACTIONS(713),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DOT2] = ACTIONS(715),
    [anon_sym_COLON_COLON] = ACTIONS(713),
    [anon_sym_RBRACK] = ACTIONS(713),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(713),
  },
  [117] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_EQ] = ACTIONS(717),
    [anon_sym_BANG_EQ] = ACTIONS(717),
    [anon_sym_PLUS_EQ] = ACTIONS(717),
    [anon_sym_STAR_EQ] = ACTIONS(717),
    [anon_sym_SLASH_EQ] = ACTIONS(717),
    [anon_sym_PERCENT_EQ] = ACTIONS(717),
    [anon_sym_GT] = ACTIONS(719),
    [anon_sym_GT_GT] = ACTIONS(717),
    [anon_sym_2_GT] = ACTIONS(719),
    [anon_sym_2_GT_GT] = ACTIONS(717),
    [anon_sym_3_GT] = ACTIONS(719),
    [anon_sym_3_GT_GT] = ACTIONS(717),
    [anon_sym_4_GT] = ACTIONS(719),
    [anon_sym_4_GT_GT] = ACTIONS(717),
    [anon_sym_5_GT] = ACTIONS(719),
    [anon_sym_5_GT_GT] = ACTIONS(717),
    [anon_sym_6_GT] = ACTIONS(719),
    [anon_sym_6_GT_GT] = ACTIONS(717),
    [anon_sym_STAR_GT] = ACTIONS(719),
    [anon_sym_STAR_GT_GT] = ACTIONS(717),
    [anon_sym_LT] = ACTIONS(719),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(717),
    [anon_sym_2_GT_AMP1] = ACTIONS(717),
    [anon_sym_3_GT_AMP1] = ACTIONS(717),
    [anon_sym_4_GT_AMP1] = ACTIONS(717),
    [anon_sym_5_GT_AMP1] = ACTIONS(717),
    [anon_sym_6_GT_AMP1] = ACTIONS(717),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(717),
    [anon_sym_1_GT_AMP2] = ACTIONS(717),
    [anon_sym_3_GT_AMP2] = ACTIONS(717),
    [anon_sym_4_GT_AMP2] = ACTIONS(717),
    [anon_sym_5_GT_AMP2] = ACTIONS(717),
    [anon_sym_6_GT_AMP2] = ACTIONS(717),
    [aux_sym_comparison_operator_token1] = ACTIONS(717),
    [aux_sym_comparison_operator_token2] = ACTIONS(717),
    [aux_sym_comparison_operator_token3] = ACTIONS(717),
    [aux_sym_comparison_operator_token4] = ACTIONS(717),
    [aux_sym_comparison_operator_token5] = ACTIONS(717),
    [aux_sym_comparison_operator_token6] = ACTIONS(717),
    [aux_sym_comparison_operator_token7] = ACTIONS(717),
    [aux_sym_comparison_operator_token8] = ACTIONS(717),
    [aux_sym_comparison_operator_token9] = ACTIONS(717),
    [aux_sym_comparison_operator_token10] = ACTIONS(717),
    [aux_sym_comparison_operator_token11] = ACTIONS(717),
    [aux_sym_comparison_operator_token12] = ACTIONS(717),
    [aux_sym_comparison_operator_token13] = ACTIONS(717),
    [aux_sym_comparison_operator_token14] = ACTIONS(717),
    [aux_sym_comparison_operator_token15] = ACTIONS(717),
    [aux_sym_comparison_operator_token16] = ACTIONS(717),
    [aux_sym_comparison_operator_token17] = ACTIONS(717),
    [aux_sym_comparison_operator_token18] = ACTIONS(717),
    [aux_sym_comparison_operator_token19] = ACTIONS(717),
    [aux_sym_comparison_operator_token20] = ACTIONS(717),
    [aux_sym_comparison_operator_token21] = ACTIONS(717),
    [aux_sym_comparison_operator_token22] = ACTIONS(717),
    [aux_sym_comparison_operator_token23] = ACTIONS(717),
    [aux_sym_comparison_operator_token24] = ACTIONS(717),
    [aux_sym_comparison_operator_token25] = ACTIONS(717),
    [aux_sym_comparison_operator_token26] = ACTIONS(717),
    [aux_sym_comparison_operator_token27] = ACTIONS(717),
    [aux_sym_comparison_operator_token28] = ACTIONS(719),
    [aux_sym_comparison_operator_token29] = ACTIONS(717),
    [aux_sym_comparison_operator_token30] = ACTIONS(717),
    [aux_sym_comparison_operator_token31] = ACTIONS(717),
    [aux_sym_comparison_operator_token32] = ACTIONS(717),
    [aux_sym_comparison_operator_token33] = ACTIONS(717),
    [aux_sym_comparison_operator_token34] = ACTIONS(719),
    [aux_sym_comparison_operator_token35] = ACTIONS(717),
    [aux_sym_comparison_operator_token36] = ACTIONS(717),
    [aux_sym_comparison_operator_token37] = ACTIONS(717),
    [aux_sym_comparison_operator_token38] = ACTIONS(717),
    [aux_sym_comparison_operator_token39] = ACTIONS(717),
    [aux_sym_comparison_operator_token40] = ACTIONS(717),
    [aux_sym_comparison_operator_token41] = ACTIONS(717),
    [aux_sym_comparison_operator_token42] = ACTIONS(717),
    [aux_sym_comparison_operator_token43] = ACTIONS(717),
    [aux_sym_comparison_operator_token44] = ACTIONS(717),
    [aux_sym_comparison_operator_token45] = ACTIONS(717),
    [aux_sym_comparison_operator_token46] = ACTIONS(717),
    [aux_sym_comparison_operator_token47] = ACTIONS(717),
    [aux_sym_comparison_operator_token48] = ACTIONS(717),
    [aux_sym_comparison_operator_token49] = ACTIONS(717),
    [aux_sym_comparison_operator_token50] = ACTIONS(717),
    [aux_sym_format_operator_token1] = ACTIONS(717),
    [anon_sym_LPAREN] = ACTIONS(717),
    [anon_sym_RPAREN] = ACTIONS(717),
    [anon_sym_COMMA] = ACTIONS(717),
    [anon_sym_PIPE] = ACTIONS(717),
    [anon_sym_PERCENT] = ACTIONS(719),
    [aux_sym_logical_expression_token1] = ACTIONS(717),
    [aux_sym_logical_expression_token2] = ACTIONS(717),
    [aux_sym_logical_expression_token3] = ACTIONS(717),
    [aux_sym_bitwise_expression_token1] = ACTIONS(717),
    [aux_sym_bitwise_expression_token2] = ACTIONS(717),
    [aux_sym_bitwise_expression_token3] = ACTIONS(717),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(717),
    [anon_sym_STAR] = ACTIONS(719),
    [anon_sym_DOT_DOT] = ACTIONS(717),
    [anon_sym_PLUS_PLUS] = ACTIONS(717),
    [anon_sym_DASH_DASH] = ACTIONS(717),
    [anon_sym_DOT2] = ACTIONS(719),
    [anon_sym_COLON_COLON] = ACTIONS(717),
    [anon_sym_RBRACK] = ACTIONS(717),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(717),
  },
  [118] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_EQ] = ACTIONS(721),
    [anon_sym_BANG_EQ] = ACTIONS(721),
    [anon_sym_PLUS_EQ] = ACTIONS(721),
    [anon_sym_STAR_EQ] = ACTIONS(721),
    [anon_sym_SLASH_EQ] = ACTIONS(721),
    [anon_sym_PERCENT_EQ] = ACTIONS(721),
    [anon_sym_GT] = ACTIONS(723),
    [anon_sym_GT_GT] = ACTIONS(721),
    [anon_sym_2_GT] = ACTIONS(723),
    [anon_sym_2_GT_GT] = ACTIONS(721),
    [anon_sym_3_GT] = ACTIONS(723),
    [anon_sym_3_GT_GT] = ACTIONS(721),
    [anon_sym_4_GT] = ACTIONS(723),
    [anon_sym_4_GT_GT] = ACTIONS(721),
    [anon_sym_5_GT] = ACTIONS(723),
    [anon_sym_5_GT_GT] = ACTIONS(721),
    [anon_sym_6_GT] = ACTIONS(723),
    [anon_sym_6_GT_GT] = ACTIONS(721),
    [anon_sym_STAR_GT] = ACTIONS(723),
    [anon_sym_STAR_GT_GT] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(723),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(721),
    [anon_sym_2_GT_AMP1] = ACTIONS(721),
    [anon_sym_3_GT_AMP1] = ACTIONS(721),
    [anon_sym_4_GT_AMP1] = ACTIONS(721),
    [anon_sym_5_GT_AMP1] = ACTIONS(721),
    [anon_sym_6_GT_AMP1] = ACTIONS(721),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(721),
    [anon_sym_1_GT_AMP2] = ACTIONS(721),
    [anon_sym_3_GT_AMP2] = ACTIONS(721),
    [anon_sym_4_GT_AMP2] = ACTIONS(721),
    [anon_sym_5_GT_AMP2] = ACTIONS(721),
    [anon_sym_6_GT_AMP2] = ACTIONS(721),
    [aux_sym_comparison_operator_token1] = ACTIONS(721),
    [aux_sym_comparison_operator_token2] = ACTIONS(721),
    [aux_sym_comparison_operator_token3] = ACTIONS(721),
    [aux_sym_comparison_operator_token4] = ACTIONS(721),
    [aux_sym_comparison_operator_token5] = ACTIONS(721),
    [aux_sym_comparison_operator_token6] = ACTIONS(721),
    [aux_sym_comparison_operator_token7] = ACTIONS(721),
    [aux_sym_comparison_operator_token8] = ACTIONS(721),
    [aux_sym_comparison_operator_token9] = ACTIONS(721),
    [aux_sym_comparison_operator_token10] = ACTIONS(721),
    [aux_sym_comparison_operator_token11] = ACTIONS(721),
    [aux_sym_comparison_operator_token12] = ACTIONS(721),
    [aux_sym_comparison_operator_token13] = ACTIONS(721),
    [aux_sym_comparison_operator_token14] = ACTIONS(721),
    [aux_sym_comparison_operator_token15] = ACTIONS(721),
    [aux_sym_comparison_operator_token16] = ACTIONS(721),
    [aux_sym_comparison_operator_token17] = ACTIONS(721),
    [aux_sym_comparison_operator_token18] = ACTIONS(721),
    [aux_sym_comparison_operator_token19] = ACTIONS(721),
    [aux_sym_comparison_operator_token20] = ACTIONS(721),
    [aux_sym_comparison_operator_token21] = ACTIONS(721),
    [aux_sym_comparison_operator_token22] = ACTIONS(721),
    [aux_sym_comparison_operator_token23] = ACTIONS(721),
    [aux_sym_comparison_operator_token24] = ACTIONS(721),
    [aux_sym_comparison_operator_token25] = ACTIONS(721),
    [aux_sym_comparison_operator_token26] = ACTIONS(721),
    [aux_sym_comparison_operator_token27] = ACTIONS(721),
    [aux_sym_comparison_operator_token28] = ACTIONS(723),
    [aux_sym_comparison_operator_token29] = ACTIONS(721),
    [aux_sym_comparison_operator_token30] = ACTIONS(721),
    [aux_sym_comparison_operator_token31] = ACTIONS(721),
    [aux_sym_comparison_operator_token32] = ACTIONS(721),
    [aux_sym_comparison_operator_token33] = ACTIONS(721),
    [aux_sym_comparison_operator_token34] = ACTIONS(723),
    [aux_sym_comparison_operator_token35] = ACTIONS(721),
    [aux_sym_comparison_operator_token36] = ACTIONS(721),
    [aux_sym_comparison_operator_token37] = ACTIONS(721),
    [aux_sym_comparison_operator_token38] = ACTIONS(721),
    [aux_sym_comparison_operator_token39] = ACTIONS(721),
    [aux_sym_comparison_operator_token40] = ACTIONS(721),
    [aux_sym_comparison_operator_token41] = ACTIONS(721),
    [aux_sym_comparison_operator_token42] = ACTIONS(721),
    [aux_sym_comparison_operator_token43] = ACTIONS(721),
    [aux_sym_comparison_operator_token44] = ACTIONS(721),
    [aux_sym_comparison_operator_token45] = ACTIONS(721),
    [aux_sym_comparison_operator_token46] = ACTIONS(721),
    [aux_sym_comparison_operator_token47] = ACTIONS(721),
    [aux_sym_comparison_operator_token48] = ACTIONS(721),
    [aux_sym_comparison_operator_token49] = ACTIONS(721),
    [aux_sym_comparison_operator_token50] = ACTIONS(721),
    [aux_sym_format_operator_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(721),
    [anon_sym_RPAREN] = ACTIONS(721),
    [anon_sym_COMMA] = ACTIONS(721),
    [anon_sym_PIPE] = ACTIONS(721),
    [anon_sym_PERCENT] = ACTIONS(723),
    [aux_sym_logical_expression_token1] = ACTIONS(721),
    [aux_sym_logical_expression_token2] = ACTIONS(721),
    [aux_sym_logical_expression_token3] = ACTIONS(721),
    [aux_sym_bitwise_expression_token1] = ACTIONS(721),
    [aux_sym_bitwise_expression_token2] = ACTIONS(721),
    [aux_sym_bitwise_expression_token3] = ACTIONS(721),
    [anon_sym_PLUS] = ACTIONS(723),
    [anon_sym_DASH] = ACTIONS(723),
    [anon_sym_SLASH] = ACTIONS(723),
    [anon_sym_BSLASH] = ACTIONS(721),
    [anon_sym_STAR] = ACTIONS(723),
    [anon_sym_DOT_DOT] = ACTIONS(721),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DOT2] = ACTIONS(723),
    [anon_sym_COLON_COLON] = ACTIONS(721),
    [anon_sym_RBRACK] = ACTIONS(721),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(721),
  },
  [119] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_BANG_EQ] = ACTIONS(725),
    [anon_sym_PLUS_EQ] = ACTIONS(725),
    [anon_sym_STAR_EQ] = ACTIONS(725),
    [anon_sym_SLASH_EQ] = ACTIONS(725),
    [anon_sym_PERCENT_EQ] = ACTIONS(725),
    [anon_sym_GT] = ACTIONS(727),
    [anon_sym_GT_GT] = ACTIONS(725),
    [anon_sym_2_GT] = ACTIONS(727),
    [anon_sym_2_GT_GT] = ACTIONS(725),
    [anon_sym_3_GT] = ACTIONS(727),
    [anon_sym_3_GT_GT] = ACTIONS(725),
    [anon_sym_4_GT] = ACTIONS(727),
    [anon_sym_4_GT_GT] = ACTIONS(725),
    [anon_sym_5_GT] = ACTIONS(727),
    [anon_sym_5_GT_GT] = ACTIONS(725),
    [anon_sym_6_GT] = ACTIONS(727),
    [anon_sym_6_GT_GT] = ACTIONS(725),
    [anon_sym_STAR_GT] = ACTIONS(727),
    [anon_sym_STAR_GT_GT] = ACTIONS(725),
    [anon_sym_LT] = ACTIONS(727),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(725),
    [anon_sym_2_GT_AMP1] = ACTIONS(725),
    [anon_sym_3_GT_AMP1] = ACTIONS(725),
    [anon_sym_4_GT_AMP1] = ACTIONS(725),
    [anon_sym_5_GT_AMP1] = ACTIONS(725),
    [anon_sym_6_GT_AMP1] = ACTIONS(725),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(725),
    [anon_sym_1_GT_AMP2] = ACTIONS(725),
    [anon_sym_3_GT_AMP2] = ACTIONS(725),
    [anon_sym_4_GT_AMP2] = ACTIONS(725),
    [anon_sym_5_GT_AMP2] = ACTIONS(725),
    [anon_sym_6_GT_AMP2] = ACTIONS(725),
    [aux_sym_comparison_operator_token1] = ACTIONS(725),
    [aux_sym_comparison_operator_token2] = ACTIONS(725),
    [aux_sym_comparison_operator_token3] = ACTIONS(725),
    [aux_sym_comparison_operator_token4] = ACTIONS(725),
    [aux_sym_comparison_operator_token5] = ACTIONS(725),
    [aux_sym_comparison_operator_token6] = ACTIONS(725),
    [aux_sym_comparison_operator_token7] = ACTIONS(725),
    [aux_sym_comparison_operator_token8] = ACTIONS(725),
    [aux_sym_comparison_operator_token9] = ACTIONS(725),
    [aux_sym_comparison_operator_token10] = ACTIONS(725),
    [aux_sym_comparison_operator_token11] = ACTIONS(725),
    [aux_sym_comparison_operator_token12] = ACTIONS(725),
    [aux_sym_comparison_operator_token13] = ACTIONS(725),
    [aux_sym_comparison_operator_token14] = ACTIONS(725),
    [aux_sym_comparison_operator_token15] = ACTIONS(725),
    [aux_sym_comparison_operator_token16] = ACTIONS(725),
    [aux_sym_comparison_operator_token17] = ACTIONS(725),
    [aux_sym_comparison_operator_token18] = ACTIONS(725),
    [aux_sym_comparison_operator_token19] = ACTIONS(725),
    [aux_sym_comparison_operator_token20] = ACTIONS(725),
    [aux_sym_comparison_operator_token21] = ACTIONS(725),
    [aux_sym_comparison_operator_token22] = ACTIONS(725),
    [aux_sym_comparison_operator_token23] = ACTIONS(725),
    [aux_sym_comparison_operator_token24] = ACTIONS(725),
    [aux_sym_comparison_operator_token25] = ACTIONS(725),
    [aux_sym_comparison_operator_token26] = ACTIONS(725),
    [aux_sym_comparison_operator_token27] = ACTIONS(725),
    [aux_sym_comparison_operator_token28] = ACTIONS(727),
    [aux_sym_comparison_operator_token29] = ACTIONS(725),
    [aux_sym_comparison_operator_token30] = ACTIONS(725),
    [aux_sym_comparison_operator_token31] = ACTIONS(725),
    [aux_sym_comparison_operator_token32] = ACTIONS(725),
    [aux_sym_comparison_operator_token33] = ACTIONS(725),
    [aux_sym_comparison_operator_token34] = ACTIONS(727),
    [aux_sym_comparison_operator_token35] = ACTIONS(725),
    [aux_sym_comparison_operator_token36] = ACTIONS(725),
    [aux_sym_comparison_operator_token37] = ACTIONS(725),
    [aux_sym_comparison_operator_token38] = ACTIONS(725),
    [aux_sym_comparison_operator_token39] = ACTIONS(725),
    [aux_sym_comparison_operator_token40] = ACTIONS(725),
    [aux_sym_comparison_operator_token41] = ACTIONS(725),
    [aux_sym_comparison_operator_token42] = ACTIONS(725),
    [aux_sym_comparison_operator_token43] = ACTIONS(725),
    [aux_sym_comparison_operator_token44] = ACTIONS(725),
    [aux_sym_comparison_operator_token45] = ACTIONS(725),
    [aux_sym_comparison_operator_token46] = ACTIONS(725),
    [aux_sym_comparison_operator_token47] = ACTIONS(725),
    [aux_sym_comparison_operator_token48] = ACTIONS(725),
    [aux_sym_comparison_operator_token49] = ACTIONS(725),
    [aux_sym_comparison_operator_token50] = ACTIONS(725),
    [aux_sym_format_operator_token1] = ACTIONS(725),
    [anon_sym_LPAREN] = ACTIONS(725),
    [anon_sym_RPAREN] = ACTIONS(725),
    [anon_sym_COMMA] = ACTIONS(725),
    [anon_sym_PIPE] = ACTIONS(725),
    [anon_sym_PERCENT] = ACTIONS(727),
    [aux_sym_logical_expression_token1] = ACTIONS(725),
    [aux_sym_logical_expression_token2] = ACTIONS(725),
    [aux_sym_logical_expression_token3] = ACTIONS(725),
    [aux_sym_bitwise_expression_token1] = ACTIONS(725),
    [aux_sym_bitwise_expression_token2] = ACTIONS(725),
    [aux_sym_bitwise_expression_token3] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [anon_sym_SLASH] = ACTIONS(727),
    [anon_sym_BSLASH] = ACTIONS(725),
    [anon_sym_STAR] = ACTIONS(727),
    [anon_sym_DOT_DOT] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(725),
    [anon_sym_DASH_DASH] = ACTIONS(725),
    [anon_sym_DOT2] = ACTIONS(727),
    [anon_sym_COLON_COLON] = ACTIONS(725),
    [anon_sym_RBRACK] = ACTIONS(725),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(725),
  },
  [120] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(729),
    [anon_sym_EQ] = ACTIONS(729),
    [anon_sym_BANG_EQ] = ACTIONS(729),
    [anon_sym_PLUS_EQ] = ACTIONS(729),
    [anon_sym_STAR_EQ] = ACTIONS(729),
    [anon_sym_SLASH_EQ] = ACTIONS(729),
    [anon_sym_PERCENT_EQ] = ACTIONS(729),
    [anon_sym_GT] = ACTIONS(731),
    [anon_sym_GT_GT] = ACTIONS(729),
    [anon_sym_2_GT] = ACTIONS(731),
    [anon_sym_2_GT_GT] = ACTIONS(729),
    [anon_sym_3_GT] = ACTIONS(731),
    [anon_sym_3_GT_GT] = ACTIONS(729),
    [anon_sym_4_GT] = ACTIONS(731),
    [anon_sym_4_GT_GT] = ACTIONS(729),
    [anon_sym_5_GT] = ACTIONS(731),
    [anon_sym_5_GT_GT] = ACTIONS(729),
    [anon_sym_6_GT] = ACTIONS(731),
    [anon_sym_6_GT_GT] = ACTIONS(729),
    [anon_sym_STAR_GT] = ACTIONS(731),
    [anon_sym_STAR_GT_GT] = ACTIONS(729),
    [anon_sym_LT] = ACTIONS(731),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(729),
    [anon_sym_2_GT_AMP1] = ACTIONS(729),
    [anon_sym_3_GT_AMP1] = ACTIONS(729),
    [anon_sym_4_GT_AMP1] = ACTIONS(729),
    [anon_sym_5_GT_AMP1] = ACTIONS(729),
    [anon_sym_6_GT_AMP1] = ACTIONS(729),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(729),
    [anon_sym_1_GT_AMP2] = ACTIONS(729),
    [anon_sym_3_GT_AMP2] = ACTIONS(729),
    [anon_sym_4_GT_AMP2] = ACTIONS(729),
    [anon_sym_5_GT_AMP2] = ACTIONS(729),
    [anon_sym_6_GT_AMP2] = ACTIONS(729),
    [aux_sym_comparison_operator_token1] = ACTIONS(729),
    [aux_sym_comparison_operator_token2] = ACTIONS(729),
    [aux_sym_comparison_operator_token3] = ACTIONS(729),
    [aux_sym_comparison_operator_token4] = ACTIONS(729),
    [aux_sym_comparison_operator_token5] = ACTIONS(729),
    [aux_sym_comparison_operator_token6] = ACTIONS(729),
    [aux_sym_comparison_operator_token7] = ACTIONS(729),
    [aux_sym_comparison_operator_token8] = ACTIONS(729),
    [aux_sym_comparison_operator_token9] = ACTIONS(729),
    [aux_sym_comparison_operator_token10] = ACTIONS(729),
    [aux_sym_comparison_operator_token11] = ACTIONS(729),
    [aux_sym_comparison_operator_token12] = ACTIONS(729),
    [aux_sym_comparison_operator_token13] = ACTIONS(729),
    [aux_sym_comparison_operator_token14] = ACTIONS(729),
    [aux_sym_comparison_operator_token15] = ACTIONS(729),
    [aux_sym_comparison_operator_token16] = ACTIONS(729),
    [aux_sym_comparison_operator_token17] = ACTIONS(729),
    [aux_sym_comparison_operator_token18] = ACTIONS(729),
    [aux_sym_comparison_operator_token19] = ACTIONS(729),
    [aux_sym_comparison_operator_token20] = ACTIONS(729),
    [aux_sym_comparison_operator_token21] = ACTIONS(729),
    [aux_sym_comparison_operator_token22] = ACTIONS(729),
    [aux_sym_comparison_operator_token23] = ACTIONS(729),
    [aux_sym_comparison_operator_token24] = ACTIONS(729),
    [aux_sym_comparison_operator_token25] = ACTIONS(729),
    [aux_sym_comparison_operator_token26] = ACTIONS(729),
    [aux_sym_comparison_operator_token27] = ACTIONS(729),
    [aux_sym_comparison_operator_token28] = ACTIONS(731),
    [aux_sym_comparison_operator_token29] = ACTIONS(729),
    [aux_sym_comparison_operator_token30] = ACTIONS(729),
    [aux_sym_comparison_operator_token31] = ACTIONS(729),
    [aux_sym_comparison_operator_token32] = ACTIONS(729),
    [aux_sym_comparison_operator_token33] = ACTIONS(729),
    [aux_sym_comparison_operator_token34] = ACTIONS(731),
    [aux_sym_comparison_operator_token35] = ACTIONS(729),
    [aux_sym_comparison_operator_token36] = ACTIONS(729),
    [aux_sym_comparison_operator_token37] = ACTIONS(729),
    [aux_sym_comparison_operator_token38] = ACTIONS(729),
    [aux_sym_comparison_operator_token39] = ACTIONS(729),
    [aux_sym_comparison_operator_token40] = ACTIONS(729),
    [aux_sym_comparison_operator_token41] = ACTIONS(729),
    [aux_sym_comparison_operator_token42] = ACTIONS(729),
    [aux_sym_comparison_operator_token43] = ACTIONS(729),
    [aux_sym_comparison_operator_token44] = ACTIONS(729),
    [aux_sym_comparison_operator_token45] = ACTIONS(729),
    [aux_sym_comparison_operator_token46] = ACTIONS(729),
    [aux_sym_comparison_operator_token47] = ACTIONS(729),
    [aux_sym_comparison_operator_token48] = ACTIONS(729),
    [aux_sym_comparison_operator_token49] = ACTIONS(729),
    [aux_sym_comparison_operator_token50] = ACTIONS(729),
    [aux_sym_format_operator_token1] = ACTIONS(729),
    [anon_sym_LPAREN] = ACTIONS(729),
    [anon_sym_RPAREN] = ACTIONS(729),
    [anon_sym_COMMA] = ACTIONS(729),
    [anon_sym_PIPE] = ACTIONS(729),
    [anon_sym_PERCENT] = ACTIONS(731),
    [aux_sym_logical_expression_token1] = ACTIONS(729),
    [aux_sym_logical_expression_token2] = ACTIONS(729),
    [aux_sym_logical_expression_token3] = ACTIONS(729),
    [aux_sym_bitwise_expression_token1] = ACTIONS(729),
    [aux_sym_bitwise_expression_token2] = ACTIONS(729),
    [aux_sym_bitwise_expression_token3] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_SLASH] = ACTIONS(731),
    [anon_sym_BSLASH] = ACTIONS(729),
    [anon_sym_STAR] = ACTIONS(731),
    [anon_sym_DOT_DOT] = ACTIONS(729),
    [anon_sym_PLUS_PLUS] = ACTIONS(729),
    [anon_sym_DASH_DASH] = ACTIONS(729),
    [anon_sym_DOT2] = ACTIONS(731),
    [anon_sym_COLON_COLON] = ACTIONS(729),
    [anon_sym_RBRACK] = ACTIONS(729),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(729),
  },
  [121] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_EQ] = ACTIONS(605),
    [anon_sym_BANG_EQ] = ACTIONS(605),
    [anon_sym_PLUS_EQ] = ACTIONS(605),
    [anon_sym_STAR_EQ] = ACTIONS(605),
    [anon_sym_SLASH_EQ] = ACTIONS(605),
    [anon_sym_PERCENT_EQ] = ACTIONS(605),
    [anon_sym_GT] = ACTIONS(607),
    [anon_sym_GT_GT] = ACTIONS(605),
    [anon_sym_2_GT] = ACTIONS(607),
    [anon_sym_2_GT_GT] = ACTIONS(605),
    [anon_sym_3_GT] = ACTIONS(607),
    [anon_sym_3_GT_GT] = ACTIONS(605),
    [anon_sym_4_GT] = ACTIONS(607),
    [anon_sym_4_GT_GT] = ACTIONS(605),
    [anon_sym_5_GT] = ACTIONS(607),
    [anon_sym_5_GT_GT] = ACTIONS(605),
    [anon_sym_6_GT] = ACTIONS(607),
    [anon_sym_6_GT_GT] = ACTIONS(605),
    [anon_sym_STAR_GT] = ACTIONS(607),
    [anon_sym_STAR_GT_GT] = ACTIONS(605),
    [anon_sym_LT] = ACTIONS(607),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(605),
    [anon_sym_2_GT_AMP1] = ACTIONS(605),
    [anon_sym_3_GT_AMP1] = ACTIONS(605),
    [anon_sym_4_GT_AMP1] = ACTIONS(605),
    [anon_sym_5_GT_AMP1] = ACTIONS(605),
    [anon_sym_6_GT_AMP1] = ACTIONS(605),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(605),
    [anon_sym_1_GT_AMP2] = ACTIONS(605),
    [anon_sym_3_GT_AMP2] = ACTIONS(605),
    [anon_sym_4_GT_AMP2] = ACTIONS(605),
    [anon_sym_5_GT_AMP2] = ACTIONS(605),
    [anon_sym_6_GT_AMP2] = ACTIONS(605),
    [aux_sym_comparison_operator_token1] = ACTIONS(605),
    [aux_sym_comparison_operator_token2] = ACTIONS(605),
    [aux_sym_comparison_operator_token3] = ACTIONS(605),
    [aux_sym_comparison_operator_token4] = ACTIONS(605),
    [aux_sym_comparison_operator_token5] = ACTIONS(605),
    [aux_sym_comparison_operator_token6] = ACTIONS(605),
    [aux_sym_comparison_operator_token7] = ACTIONS(605),
    [aux_sym_comparison_operator_token8] = ACTIONS(605),
    [aux_sym_comparison_operator_token9] = ACTIONS(605),
    [aux_sym_comparison_operator_token10] = ACTIONS(605),
    [aux_sym_comparison_operator_token11] = ACTIONS(605),
    [aux_sym_comparison_operator_token12] = ACTIONS(605),
    [aux_sym_comparison_operator_token13] = ACTIONS(605),
    [aux_sym_comparison_operator_token14] = ACTIONS(605),
    [aux_sym_comparison_operator_token15] = ACTIONS(605),
    [aux_sym_comparison_operator_token16] = ACTIONS(605),
    [aux_sym_comparison_operator_token17] = ACTIONS(605),
    [aux_sym_comparison_operator_token18] = ACTIONS(605),
    [aux_sym_comparison_operator_token19] = ACTIONS(605),
    [aux_sym_comparison_operator_token20] = ACTIONS(605),
    [aux_sym_comparison_operator_token21] = ACTIONS(605),
    [aux_sym_comparison_operator_token22] = ACTIONS(605),
    [aux_sym_comparison_operator_token23] = ACTIONS(605),
    [aux_sym_comparison_operator_token24] = ACTIONS(605),
    [aux_sym_comparison_operator_token25] = ACTIONS(605),
    [aux_sym_comparison_operator_token26] = ACTIONS(605),
    [aux_sym_comparison_operator_token27] = ACTIONS(605),
    [aux_sym_comparison_operator_token28] = ACTIONS(607),
    [aux_sym_comparison_operator_token29] = ACTIONS(605),
    [aux_sym_comparison_operator_token30] = ACTIONS(605),
    [aux_sym_comparison_operator_token31] = ACTIONS(605),
    [aux_sym_comparison_operator_token32] = ACTIONS(605),
    [aux_sym_comparison_operator_token33] = ACTIONS(605),
    [aux_sym_comparison_operator_token34] = ACTIONS(607),
    [aux_sym_comparison_operator_token35] = ACTIONS(605),
    [aux_sym_comparison_operator_token36] = ACTIONS(605),
    [aux_sym_comparison_operator_token37] = ACTIONS(605),
    [aux_sym_comparison_operator_token38] = ACTIONS(605),
    [aux_sym_comparison_operator_token39] = ACTIONS(605),
    [aux_sym_comparison_operator_token40] = ACTIONS(605),
    [aux_sym_comparison_operator_token41] = ACTIONS(605),
    [aux_sym_comparison_operator_token42] = ACTIONS(605),
    [aux_sym_comparison_operator_token43] = ACTIONS(605),
    [aux_sym_comparison_operator_token44] = ACTIONS(605),
    [aux_sym_comparison_operator_token45] = ACTIONS(605),
    [aux_sym_comparison_operator_token46] = ACTIONS(605),
    [aux_sym_comparison_operator_token47] = ACTIONS(605),
    [aux_sym_comparison_operator_token48] = ACTIONS(605),
    [aux_sym_comparison_operator_token49] = ACTIONS(605),
    [aux_sym_comparison_operator_token50] = ACTIONS(605),
    [aux_sym_format_operator_token1] = ACTIONS(605),
    [anon_sym_LPAREN] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(605),
    [anon_sym_LBRACE] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(605),
    [anon_sym_PERCENT] = ACTIONS(607),
    [aux_sym_logical_expression_token1] = ACTIONS(605),
    [aux_sym_logical_expression_token2] = ACTIONS(605),
    [aux_sym_logical_expression_token3] = ACTIONS(605),
    [aux_sym_bitwise_expression_token1] = ACTIONS(605),
    [aux_sym_bitwise_expression_token2] = ACTIONS(605),
    [aux_sym_bitwise_expression_token3] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(607),
    [anon_sym_DASH] = ACTIONS(607),
    [anon_sym_SLASH] = ACTIONS(607),
    [anon_sym_BSLASH] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(607),
    [anon_sym_DOT_DOT] = ACTIONS(605),
    [anon_sym_PLUS_PLUS] = ACTIONS(605),
    [anon_sym_DASH_DASH] = ACTIONS(605),
    [anon_sym_DOT2] = ACTIONS(607),
    [anon_sym_COLON_COLON] = ACTIONS(605),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(605),
    [sym__statement_terminator] = ACTIONS(605),
  },
  [122] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_EQ] = ACTIONS(625),
    [anon_sym_BANG_EQ] = ACTIONS(625),
    [anon_sym_PLUS_EQ] = ACTIONS(625),
    [anon_sym_STAR_EQ] = ACTIONS(625),
    [anon_sym_SLASH_EQ] = ACTIONS(625),
    [anon_sym_PERCENT_EQ] = ACTIONS(625),
    [anon_sym_GT] = ACTIONS(627),
    [anon_sym_GT_GT] = ACTIONS(625),
    [anon_sym_2_GT] = ACTIONS(627),
    [anon_sym_2_GT_GT] = ACTIONS(625),
    [anon_sym_3_GT] = ACTIONS(627),
    [anon_sym_3_GT_GT] = ACTIONS(625),
    [anon_sym_4_GT] = ACTIONS(627),
    [anon_sym_4_GT_GT] = ACTIONS(625),
    [anon_sym_5_GT] = ACTIONS(627),
    [anon_sym_5_GT_GT] = ACTIONS(625),
    [anon_sym_6_GT] = ACTIONS(627),
    [anon_sym_6_GT_GT] = ACTIONS(625),
    [anon_sym_STAR_GT] = ACTIONS(627),
    [anon_sym_STAR_GT_GT] = ACTIONS(625),
    [anon_sym_LT] = ACTIONS(627),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(625),
    [anon_sym_2_GT_AMP1] = ACTIONS(625),
    [anon_sym_3_GT_AMP1] = ACTIONS(625),
    [anon_sym_4_GT_AMP1] = ACTIONS(625),
    [anon_sym_5_GT_AMP1] = ACTIONS(625),
    [anon_sym_6_GT_AMP1] = ACTIONS(625),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(625),
    [anon_sym_1_GT_AMP2] = ACTIONS(625),
    [anon_sym_3_GT_AMP2] = ACTIONS(625),
    [anon_sym_4_GT_AMP2] = ACTIONS(625),
    [anon_sym_5_GT_AMP2] = ACTIONS(625),
    [anon_sym_6_GT_AMP2] = ACTIONS(625),
    [aux_sym_comparison_operator_token1] = ACTIONS(625),
    [aux_sym_comparison_operator_token2] = ACTIONS(625),
    [aux_sym_comparison_operator_token3] = ACTIONS(625),
    [aux_sym_comparison_operator_token4] = ACTIONS(625),
    [aux_sym_comparison_operator_token5] = ACTIONS(625),
    [aux_sym_comparison_operator_token6] = ACTIONS(625),
    [aux_sym_comparison_operator_token7] = ACTIONS(625),
    [aux_sym_comparison_operator_token8] = ACTIONS(625),
    [aux_sym_comparison_operator_token9] = ACTIONS(625),
    [aux_sym_comparison_operator_token10] = ACTIONS(625),
    [aux_sym_comparison_operator_token11] = ACTIONS(625),
    [aux_sym_comparison_operator_token12] = ACTIONS(625),
    [aux_sym_comparison_operator_token13] = ACTIONS(625),
    [aux_sym_comparison_operator_token14] = ACTIONS(625),
    [aux_sym_comparison_operator_token15] = ACTIONS(625),
    [aux_sym_comparison_operator_token16] = ACTIONS(625),
    [aux_sym_comparison_operator_token17] = ACTIONS(625),
    [aux_sym_comparison_operator_token18] = ACTIONS(625),
    [aux_sym_comparison_operator_token19] = ACTIONS(625),
    [aux_sym_comparison_operator_token20] = ACTIONS(625),
    [aux_sym_comparison_operator_token21] = ACTIONS(625),
    [aux_sym_comparison_operator_token22] = ACTIONS(625),
    [aux_sym_comparison_operator_token23] = ACTIONS(625),
    [aux_sym_comparison_operator_token24] = ACTIONS(625),
    [aux_sym_comparison_operator_token25] = ACTIONS(625),
    [aux_sym_comparison_operator_token26] = ACTIONS(625),
    [aux_sym_comparison_operator_token27] = ACTIONS(625),
    [aux_sym_comparison_operator_token28] = ACTIONS(627),
    [aux_sym_comparison_operator_token29] = ACTIONS(625),
    [aux_sym_comparison_operator_token30] = ACTIONS(625),
    [aux_sym_comparison_operator_token31] = ACTIONS(625),
    [aux_sym_comparison_operator_token32] = ACTIONS(625),
    [aux_sym_comparison_operator_token33] = ACTIONS(625),
    [aux_sym_comparison_operator_token34] = ACTIONS(627),
    [aux_sym_comparison_operator_token35] = ACTIONS(625),
    [aux_sym_comparison_operator_token36] = ACTIONS(625),
    [aux_sym_comparison_operator_token37] = ACTIONS(625),
    [aux_sym_comparison_operator_token38] = ACTIONS(625),
    [aux_sym_comparison_operator_token39] = ACTIONS(625),
    [aux_sym_comparison_operator_token40] = ACTIONS(625),
    [aux_sym_comparison_operator_token41] = ACTIONS(625),
    [aux_sym_comparison_operator_token42] = ACTIONS(625),
    [aux_sym_comparison_operator_token43] = ACTIONS(625),
    [aux_sym_comparison_operator_token44] = ACTIONS(625),
    [aux_sym_comparison_operator_token45] = ACTIONS(625),
    [aux_sym_comparison_operator_token46] = ACTIONS(625),
    [aux_sym_comparison_operator_token47] = ACTIONS(625),
    [aux_sym_comparison_operator_token48] = ACTIONS(625),
    [aux_sym_comparison_operator_token49] = ACTIONS(625),
    [aux_sym_comparison_operator_token50] = ACTIONS(625),
    [aux_sym_format_operator_token1] = ACTIONS(625),
    [anon_sym_LPAREN] = ACTIONS(625),
    [anon_sym_COMMA] = ACTIONS(625),
    [anon_sym_PIPE] = ACTIONS(625),
    [anon_sym_PERCENT] = ACTIONS(627),
    [aux_sym_logical_expression_token1] = ACTIONS(625),
    [aux_sym_logical_expression_token2] = ACTIONS(625),
    [aux_sym_logical_expression_token3] = ACTIONS(625),
    [aux_sym_bitwise_expression_token1] = ACTIONS(625),
    [aux_sym_bitwise_expression_token2] = ACTIONS(625),
    [aux_sym_bitwise_expression_token3] = ACTIONS(625),
    [anon_sym_PLUS] = ACTIONS(627),
    [anon_sym_DASH] = ACTIONS(627),
    [anon_sym_SLASH] = ACTIONS(627),
    [anon_sym_BSLASH] = ACTIONS(625),
    [anon_sym_STAR] = ACTIONS(627),
    [anon_sym_DOT_DOT] = ACTIONS(625),
    [anon_sym_PLUS_PLUS] = ACTIONS(625),
    [anon_sym_DASH_DASH] = ACTIONS(625),
    [anon_sym_DOT2] = ACTIONS(627),
    [anon_sym_COLON_COLON] = ACTIONS(625),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(625),
    [sym__statement_terminator] = ACTIONS(625),
  },
  [123] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_EQ] = ACTIONS(675),
    [anon_sym_BANG_EQ] = ACTIONS(675),
    [anon_sym_PLUS_EQ] = ACTIONS(675),
    [anon_sym_STAR_EQ] = ACTIONS(675),
    [anon_sym_SLASH_EQ] = ACTIONS(675),
    [anon_sym_PERCENT_EQ] = ACTIONS(675),
    [anon_sym_GT] = ACTIONS(677),
    [anon_sym_GT_GT] = ACTIONS(675),
    [anon_sym_2_GT] = ACTIONS(677),
    [anon_sym_2_GT_GT] = ACTIONS(675),
    [anon_sym_3_GT] = ACTIONS(677),
    [anon_sym_3_GT_GT] = ACTIONS(675),
    [anon_sym_4_GT] = ACTIONS(677),
    [anon_sym_4_GT_GT] = ACTIONS(675),
    [anon_sym_5_GT] = ACTIONS(677),
    [anon_sym_5_GT_GT] = ACTIONS(675),
    [anon_sym_6_GT] = ACTIONS(677),
    [anon_sym_6_GT_GT] = ACTIONS(675),
    [anon_sym_STAR_GT] = ACTIONS(677),
    [anon_sym_STAR_GT_GT] = ACTIONS(675),
    [anon_sym_LT] = ACTIONS(677),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(675),
    [anon_sym_2_GT_AMP1] = ACTIONS(675),
    [anon_sym_3_GT_AMP1] = ACTIONS(675),
    [anon_sym_4_GT_AMP1] = ACTIONS(675),
    [anon_sym_5_GT_AMP1] = ACTIONS(675),
    [anon_sym_6_GT_AMP1] = ACTIONS(675),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(675),
    [anon_sym_1_GT_AMP2] = ACTIONS(675),
    [anon_sym_3_GT_AMP2] = ACTIONS(675),
    [anon_sym_4_GT_AMP2] = ACTIONS(675),
    [anon_sym_5_GT_AMP2] = ACTIONS(675),
    [anon_sym_6_GT_AMP2] = ACTIONS(675),
    [aux_sym_comparison_operator_token1] = ACTIONS(675),
    [aux_sym_comparison_operator_token2] = ACTIONS(675),
    [aux_sym_comparison_operator_token3] = ACTIONS(675),
    [aux_sym_comparison_operator_token4] = ACTIONS(675),
    [aux_sym_comparison_operator_token5] = ACTIONS(675),
    [aux_sym_comparison_operator_token6] = ACTIONS(675),
    [aux_sym_comparison_operator_token7] = ACTIONS(675),
    [aux_sym_comparison_operator_token8] = ACTIONS(675),
    [aux_sym_comparison_operator_token9] = ACTIONS(675),
    [aux_sym_comparison_operator_token10] = ACTIONS(675),
    [aux_sym_comparison_operator_token11] = ACTIONS(675),
    [aux_sym_comparison_operator_token12] = ACTIONS(675),
    [aux_sym_comparison_operator_token13] = ACTIONS(675),
    [aux_sym_comparison_operator_token14] = ACTIONS(675),
    [aux_sym_comparison_operator_token15] = ACTIONS(675),
    [aux_sym_comparison_operator_token16] = ACTIONS(675),
    [aux_sym_comparison_operator_token17] = ACTIONS(675),
    [aux_sym_comparison_operator_token18] = ACTIONS(675),
    [aux_sym_comparison_operator_token19] = ACTIONS(675),
    [aux_sym_comparison_operator_token20] = ACTIONS(675),
    [aux_sym_comparison_operator_token21] = ACTIONS(675),
    [aux_sym_comparison_operator_token22] = ACTIONS(675),
    [aux_sym_comparison_operator_token23] = ACTIONS(675),
    [aux_sym_comparison_operator_token24] = ACTIONS(675),
    [aux_sym_comparison_operator_token25] = ACTIONS(675),
    [aux_sym_comparison_operator_token26] = ACTIONS(675),
    [aux_sym_comparison_operator_token27] = ACTIONS(675),
    [aux_sym_comparison_operator_token28] = ACTIONS(677),
    [aux_sym_comparison_operator_token29] = ACTIONS(675),
    [aux_sym_comparison_operator_token30] = ACTIONS(675),
    [aux_sym_comparison_operator_token31] = ACTIONS(675),
    [aux_sym_comparison_operator_token32] = ACTIONS(675),
    [aux_sym_comparison_operator_token33] = ACTIONS(675),
    [aux_sym_comparison_operator_token34] = ACTIONS(677),
    [aux_sym_comparison_operator_token35] = ACTIONS(675),
    [aux_sym_comparison_operator_token36] = ACTIONS(675),
    [aux_sym_comparison_operator_token37] = ACTIONS(675),
    [aux_sym_comparison_operator_token38] = ACTIONS(675),
    [aux_sym_comparison_operator_token39] = ACTIONS(675),
    [aux_sym_comparison_operator_token40] = ACTIONS(675),
    [aux_sym_comparison_operator_token41] = ACTIONS(675),
    [aux_sym_comparison_operator_token42] = ACTIONS(675),
    [aux_sym_comparison_operator_token43] = ACTIONS(675),
    [aux_sym_comparison_operator_token44] = ACTIONS(675),
    [aux_sym_comparison_operator_token45] = ACTIONS(675),
    [aux_sym_comparison_operator_token46] = ACTIONS(675),
    [aux_sym_comparison_operator_token47] = ACTIONS(675),
    [aux_sym_comparison_operator_token48] = ACTIONS(675),
    [aux_sym_comparison_operator_token49] = ACTIONS(675),
    [aux_sym_comparison_operator_token50] = ACTIONS(675),
    [aux_sym_format_operator_token1] = ACTIONS(675),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_COMMA] = ACTIONS(675),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_PERCENT] = ACTIONS(677),
    [aux_sym_logical_expression_token1] = ACTIONS(675),
    [aux_sym_logical_expression_token2] = ACTIONS(675),
    [aux_sym_logical_expression_token3] = ACTIONS(675),
    [aux_sym_bitwise_expression_token1] = ACTIONS(675),
    [aux_sym_bitwise_expression_token2] = ACTIONS(675),
    [aux_sym_bitwise_expression_token3] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(677),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_SLASH] = ACTIONS(677),
    [anon_sym_BSLASH] = ACTIONS(675),
    [anon_sym_STAR] = ACTIONS(677),
    [anon_sym_DOT_DOT] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(675),
    [anon_sym_DASH_DASH] = ACTIONS(675),
    [anon_sym_DOT2] = ACTIONS(677),
    [anon_sym_COLON_COLON] = ACTIONS(675),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(675),
    [sym__statement_terminator] = ACTIONS(675),
  },
  [124] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(613),
    [anon_sym_EQ] = ACTIONS(613),
    [anon_sym_BANG_EQ] = ACTIONS(613),
    [anon_sym_PLUS_EQ] = ACTIONS(613),
    [anon_sym_STAR_EQ] = ACTIONS(613),
    [anon_sym_SLASH_EQ] = ACTIONS(613),
    [anon_sym_PERCENT_EQ] = ACTIONS(613),
    [anon_sym_GT] = ACTIONS(615),
    [anon_sym_GT_GT] = ACTIONS(613),
    [anon_sym_2_GT] = ACTIONS(615),
    [anon_sym_2_GT_GT] = ACTIONS(613),
    [anon_sym_3_GT] = ACTIONS(615),
    [anon_sym_3_GT_GT] = ACTIONS(613),
    [anon_sym_4_GT] = ACTIONS(615),
    [anon_sym_4_GT_GT] = ACTIONS(613),
    [anon_sym_5_GT] = ACTIONS(615),
    [anon_sym_5_GT_GT] = ACTIONS(613),
    [anon_sym_6_GT] = ACTIONS(615),
    [anon_sym_6_GT_GT] = ACTIONS(613),
    [anon_sym_STAR_GT] = ACTIONS(615),
    [anon_sym_STAR_GT_GT] = ACTIONS(613),
    [anon_sym_LT] = ACTIONS(615),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(613),
    [anon_sym_2_GT_AMP1] = ACTIONS(613),
    [anon_sym_3_GT_AMP1] = ACTIONS(613),
    [anon_sym_4_GT_AMP1] = ACTIONS(613),
    [anon_sym_5_GT_AMP1] = ACTIONS(613),
    [anon_sym_6_GT_AMP1] = ACTIONS(613),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(613),
    [anon_sym_1_GT_AMP2] = ACTIONS(613),
    [anon_sym_3_GT_AMP2] = ACTIONS(613),
    [anon_sym_4_GT_AMP2] = ACTIONS(613),
    [anon_sym_5_GT_AMP2] = ACTIONS(613),
    [anon_sym_6_GT_AMP2] = ACTIONS(613),
    [aux_sym_comparison_operator_token1] = ACTIONS(613),
    [aux_sym_comparison_operator_token2] = ACTIONS(613),
    [aux_sym_comparison_operator_token3] = ACTIONS(613),
    [aux_sym_comparison_operator_token4] = ACTIONS(613),
    [aux_sym_comparison_operator_token5] = ACTIONS(613),
    [aux_sym_comparison_operator_token6] = ACTIONS(613),
    [aux_sym_comparison_operator_token7] = ACTIONS(613),
    [aux_sym_comparison_operator_token8] = ACTIONS(613),
    [aux_sym_comparison_operator_token9] = ACTIONS(613),
    [aux_sym_comparison_operator_token10] = ACTIONS(613),
    [aux_sym_comparison_operator_token11] = ACTIONS(613),
    [aux_sym_comparison_operator_token12] = ACTIONS(613),
    [aux_sym_comparison_operator_token13] = ACTIONS(613),
    [aux_sym_comparison_operator_token14] = ACTIONS(613),
    [aux_sym_comparison_operator_token15] = ACTIONS(613),
    [aux_sym_comparison_operator_token16] = ACTIONS(613),
    [aux_sym_comparison_operator_token17] = ACTIONS(613),
    [aux_sym_comparison_operator_token18] = ACTIONS(613),
    [aux_sym_comparison_operator_token19] = ACTIONS(613),
    [aux_sym_comparison_operator_token20] = ACTIONS(613),
    [aux_sym_comparison_operator_token21] = ACTIONS(613),
    [aux_sym_comparison_operator_token22] = ACTIONS(613),
    [aux_sym_comparison_operator_token23] = ACTIONS(613),
    [aux_sym_comparison_operator_token24] = ACTIONS(613),
    [aux_sym_comparison_operator_token25] = ACTIONS(613),
    [aux_sym_comparison_operator_token26] = ACTIONS(613),
    [aux_sym_comparison_operator_token27] = ACTIONS(613),
    [aux_sym_comparison_operator_token28] = ACTIONS(615),
    [aux_sym_comparison_operator_token29] = ACTIONS(613),
    [aux_sym_comparison_operator_token30] = ACTIONS(613),
    [aux_sym_comparison_operator_token31] = ACTIONS(613),
    [aux_sym_comparison_operator_token32] = ACTIONS(613),
    [aux_sym_comparison_operator_token33] = ACTIONS(613),
    [aux_sym_comparison_operator_token34] = ACTIONS(615),
    [aux_sym_comparison_operator_token35] = ACTIONS(613),
    [aux_sym_comparison_operator_token36] = ACTIONS(613),
    [aux_sym_comparison_operator_token37] = ACTIONS(613),
    [aux_sym_comparison_operator_token38] = ACTIONS(613),
    [aux_sym_comparison_operator_token39] = ACTIONS(613),
    [aux_sym_comparison_operator_token40] = ACTIONS(613),
    [aux_sym_comparison_operator_token41] = ACTIONS(613),
    [aux_sym_comparison_operator_token42] = ACTIONS(613),
    [aux_sym_comparison_operator_token43] = ACTIONS(613),
    [aux_sym_comparison_operator_token44] = ACTIONS(613),
    [aux_sym_comparison_operator_token45] = ACTIONS(613),
    [aux_sym_comparison_operator_token46] = ACTIONS(613),
    [aux_sym_comparison_operator_token47] = ACTIONS(613),
    [aux_sym_comparison_operator_token48] = ACTIONS(613),
    [aux_sym_comparison_operator_token49] = ACTIONS(613),
    [aux_sym_comparison_operator_token50] = ACTIONS(613),
    [aux_sym_format_operator_token1] = ACTIONS(613),
    [anon_sym_LPAREN] = ACTIONS(613),
    [anon_sym_COMMA] = ACTIONS(613),
    [anon_sym_PIPE] = ACTIONS(613),
    [anon_sym_PERCENT] = ACTIONS(615),
    [aux_sym_logical_expression_token1] = ACTIONS(613),
    [aux_sym_logical_expression_token2] = ACTIONS(613),
    [aux_sym_logical_expression_token3] = ACTIONS(613),
    [aux_sym_bitwise_expression_token1] = ACTIONS(613),
    [aux_sym_bitwise_expression_token2] = ACTIONS(613),
    [aux_sym_bitwise_expression_token3] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(615),
    [anon_sym_DASH] = ACTIONS(615),
    [anon_sym_SLASH] = ACTIONS(615),
    [anon_sym_BSLASH] = ACTIONS(613),
    [anon_sym_STAR] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(613),
    [anon_sym_PLUS_PLUS] = ACTIONS(613),
    [anon_sym_DASH_DASH] = ACTIONS(613),
    [anon_sym_DOT2] = ACTIONS(615),
    [anon_sym_COLON_COLON] = ACTIONS(613),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(613),
    [sym__statement_terminator] = ACTIONS(613),
  },
  [125] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_EQ] = ACTIONS(647),
    [anon_sym_BANG_EQ] = ACTIONS(647),
    [anon_sym_PLUS_EQ] = ACTIONS(647),
    [anon_sym_STAR_EQ] = ACTIONS(647),
    [anon_sym_SLASH_EQ] = ACTIONS(647),
    [anon_sym_PERCENT_EQ] = ACTIONS(647),
    [anon_sym_GT] = ACTIONS(649),
    [anon_sym_GT_GT] = ACTIONS(647),
    [anon_sym_2_GT] = ACTIONS(649),
    [anon_sym_2_GT_GT] = ACTIONS(647),
    [anon_sym_3_GT] = ACTIONS(649),
    [anon_sym_3_GT_GT] = ACTIONS(647),
    [anon_sym_4_GT] = ACTIONS(649),
    [anon_sym_4_GT_GT] = ACTIONS(647),
    [anon_sym_5_GT] = ACTIONS(649),
    [anon_sym_5_GT_GT] = ACTIONS(647),
    [anon_sym_6_GT] = ACTIONS(649),
    [anon_sym_6_GT_GT] = ACTIONS(647),
    [anon_sym_STAR_GT] = ACTIONS(649),
    [anon_sym_STAR_GT_GT] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(647),
    [anon_sym_2_GT_AMP1] = ACTIONS(647),
    [anon_sym_3_GT_AMP1] = ACTIONS(647),
    [anon_sym_4_GT_AMP1] = ACTIONS(647),
    [anon_sym_5_GT_AMP1] = ACTIONS(647),
    [anon_sym_6_GT_AMP1] = ACTIONS(647),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(647),
    [anon_sym_1_GT_AMP2] = ACTIONS(647),
    [anon_sym_3_GT_AMP2] = ACTIONS(647),
    [anon_sym_4_GT_AMP2] = ACTIONS(647),
    [anon_sym_5_GT_AMP2] = ACTIONS(647),
    [anon_sym_6_GT_AMP2] = ACTIONS(647),
    [aux_sym_comparison_operator_token1] = ACTIONS(647),
    [aux_sym_comparison_operator_token2] = ACTIONS(647),
    [aux_sym_comparison_operator_token3] = ACTIONS(647),
    [aux_sym_comparison_operator_token4] = ACTIONS(647),
    [aux_sym_comparison_operator_token5] = ACTIONS(647),
    [aux_sym_comparison_operator_token6] = ACTIONS(647),
    [aux_sym_comparison_operator_token7] = ACTIONS(647),
    [aux_sym_comparison_operator_token8] = ACTIONS(647),
    [aux_sym_comparison_operator_token9] = ACTIONS(647),
    [aux_sym_comparison_operator_token10] = ACTIONS(647),
    [aux_sym_comparison_operator_token11] = ACTIONS(647),
    [aux_sym_comparison_operator_token12] = ACTIONS(647),
    [aux_sym_comparison_operator_token13] = ACTIONS(647),
    [aux_sym_comparison_operator_token14] = ACTIONS(647),
    [aux_sym_comparison_operator_token15] = ACTIONS(647),
    [aux_sym_comparison_operator_token16] = ACTIONS(647),
    [aux_sym_comparison_operator_token17] = ACTIONS(647),
    [aux_sym_comparison_operator_token18] = ACTIONS(647),
    [aux_sym_comparison_operator_token19] = ACTIONS(647),
    [aux_sym_comparison_operator_token20] = ACTIONS(647),
    [aux_sym_comparison_operator_token21] = ACTIONS(647),
    [aux_sym_comparison_operator_token22] = ACTIONS(647),
    [aux_sym_comparison_operator_token23] = ACTIONS(647),
    [aux_sym_comparison_operator_token24] = ACTIONS(647),
    [aux_sym_comparison_operator_token25] = ACTIONS(647),
    [aux_sym_comparison_operator_token26] = ACTIONS(647),
    [aux_sym_comparison_operator_token27] = ACTIONS(647),
    [aux_sym_comparison_operator_token28] = ACTIONS(649),
    [aux_sym_comparison_operator_token29] = ACTIONS(647),
    [aux_sym_comparison_operator_token30] = ACTIONS(647),
    [aux_sym_comparison_operator_token31] = ACTIONS(647),
    [aux_sym_comparison_operator_token32] = ACTIONS(647),
    [aux_sym_comparison_operator_token33] = ACTIONS(647),
    [aux_sym_comparison_operator_token34] = ACTIONS(649),
    [aux_sym_comparison_operator_token35] = ACTIONS(647),
    [aux_sym_comparison_operator_token36] = ACTIONS(647),
    [aux_sym_comparison_operator_token37] = ACTIONS(647),
    [aux_sym_comparison_operator_token38] = ACTIONS(647),
    [aux_sym_comparison_operator_token39] = ACTIONS(647),
    [aux_sym_comparison_operator_token40] = ACTIONS(647),
    [aux_sym_comparison_operator_token41] = ACTIONS(647),
    [aux_sym_comparison_operator_token42] = ACTIONS(647),
    [aux_sym_comparison_operator_token43] = ACTIONS(647),
    [aux_sym_comparison_operator_token44] = ACTIONS(647),
    [aux_sym_comparison_operator_token45] = ACTIONS(647),
    [aux_sym_comparison_operator_token46] = ACTIONS(647),
    [aux_sym_comparison_operator_token47] = ACTIONS(647),
    [aux_sym_comparison_operator_token48] = ACTIONS(647),
    [aux_sym_comparison_operator_token49] = ACTIONS(647),
    [aux_sym_comparison_operator_token50] = ACTIONS(647),
    [aux_sym_format_operator_token1] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(647),
    [anon_sym_COMMA] = ACTIONS(647),
    [anon_sym_PIPE] = ACTIONS(647),
    [anon_sym_PERCENT] = ACTIONS(649),
    [aux_sym_logical_expression_token1] = ACTIONS(647),
    [aux_sym_logical_expression_token2] = ACTIONS(647),
    [aux_sym_logical_expression_token3] = ACTIONS(647),
    [aux_sym_bitwise_expression_token1] = ACTIONS(647),
    [aux_sym_bitwise_expression_token2] = ACTIONS(647),
    [aux_sym_bitwise_expression_token3] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(649),
    [anon_sym_DASH] = ACTIONS(649),
    [anon_sym_SLASH] = ACTIONS(649),
    [anon_sym_BSLASH] = ACTIONS(647),
    [anon_sym_STAR] = ACTIONS(649),
    [anon_sym_DOT_DOT] = ACTIONS(647),
    [anon_sym_PLUS_PLUS] = ACTIONS(647),
    [anon_sym_DASH_DASH] = ACTIONS(647),
    [anon_sym_DOT2] = ACTIONS(649),
    [anon_sym_COLON_COLON] = ACTIONS(647),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(647),
    [sym__statement_terminator] = ACTIONS(647),
  },
  [126] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(635),
    [anon_sym_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(635),
    [anon_sym_STAR_EQ] = ACTIONS(635),
    [anon_sym_SLASH_EQ] = ACTIONS(635),
    [anon_sym_PERCENT_EQ] = ACTIONS(635),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_GT_GT] = ACTIONS(635),
    [anon_sym_2_GT] = ACTIONS(637),
    [anon_sym_2_GT_GT] = ACTIONS(635),
    [anon_sym_3_GT] = ACTIONS(637),
    [anon_sym_3_GT_GT] = ACTIONS(635),
    [anon_sym_4_GT] = ACTIONS(637),
    [anon_sym_4_GT_GT] = ACTIONS(635),
    [anon_sym_5_GT] = ACTIONS(637),
    [anon_sym_5_GT_GT] = ACTIONS(635),
    [anon_sym_6_GT] = ACTIONS(637),
    [anon_sym_6_GT_GT] = ACTIONS(635),
    [anon_sym_STAR_GT] = ACTIONS(637),
    [anon_sym_STAR_GT_GT] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(635),
    [anon_sym_2_GT_AMP1] = ACTIONS(635),
    [anon_sym_3_GT_AMP1] = ACTIONS(635),
    [anon_sym_4_GT_AMP1] = ACTIONS(635),
    [anon_sym_5_GT_AMP1] = ACTIONS(635),
    [anon_sym_6_GT_AMP1] = ACTIONS(635),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(635),
    [anon_sym_1_GT_AMP2] = ACTIONS(635),
    [anon_sym_3_GT_AMP2] = ACTIONS(635),
    [anon_sym_4_GT_AMP2] = ACTIONS(635),
    [anon_sym_5_GT_AMP2] = ACTIONS(635),
    [anon_sym_6_GT_AMP2] = ACTIONS(635),
    [aux_sym_comparison_operator_token1] = ACTIONS(635),
    [aux_sym_comparison_operator_token2] = ACTIONS(635),
    [aux_sym_comparison_operator_token3] = ACTIONS(635),
    [aux_sym_comparison_operator_token4] = ACTIONS(635),
    [aux_sym_comparison_operator_token5] = ACTIONS(635),
    [aux_sym_comparison_operator_token6] = ACTIONS(635),
    [aux_sym_comparison_operator_token7] = ACTIONS(635),
    [aux_sym_comparison_operator_token8] = ACTIONS(635),
    [aux_sym_comparison_operator_token9] = ACTIONS(635),
    [aux_sym_comparison_operator_token10] = ACTIONS(635),
    [aux_sym_comparison_operator_token11] = ACTIONS(635),
    [aux_sym_comparison_operator_token12] = ACTIONS(635),
    [aux_sym_comparison_operator_token13] = ACTIONS(635),
    [aux_sym_comparison_operator_token14] = ACTIONS(635),
    [aux_sym_comparison_operator_token15] = ACTIONS(635),
    [aux_sym_comparison_operator_token16] = ACTIONS(635),
    [aux_sym_comparison_operator_token17] = ACTIONS(635),
    [aux_sym_comparison_operator_token18] = ACTIONS(635),
    [aux_sym_comparison_operator_token19] = ACTIONS(635),
    [aux_sym_comparison_operator_token20] = ACTIONS(635),
    [aux_sym_comparison_operator_token21] = ACTIONS(635),
    [aux_sym_comparison_operator_token22] = ACTIONS(635),
    [aux_sym_comparison_operator_token23] = ACTIONS(635),
    [aux_sym_comparison_operator_token24] = ACTIONS(635),
    [aux_sym_comparison_operator_token25] = ACTIONS(635),
    [aux_sym_comparison_operator_token26] = ACTIONS(635),
    [aux_sym_comparison_operator_token27] = ACTIONS(635),
    [aux_sym_comparison_operator_token28] = ACTIONS(637),
    [aux_sym_comparison_operator_token29] = ACTIONS(635),
    [aux_sym_comparison_operator_token30] = ACTIONS(635),
    [aux_sym_comparison_operator_token31] = ACTIONS(635),
    [aux_sym_comparison_operator_token32] = ACTIONS(635),
    [aux_sym_comparison_operator_token33] = ACTIONS(635),
    [aux_sym_comparison_operator_token34] = ACTIONS(637),
    [aux_sym_comparison_operator_token35] = ACTIONS(635),
    [aux_sym_comparison_operator_token36] = ACTIONS(635),
    [aux_sym_comparison_operator_token37] = ACTIONS(635),
    [aux_sym_comparison_operator_token38] = ACTIONS(635),
    [aux_sym_comparison_operator_token39] = ACTIONS(635),
    [aux_sym_comparison_operator_token40] = ACTIONS(635),
    [aux_sym_comparison_operator_token41] = ACTIONS(635),
    [aux_sym_comparison_operator_token42] = ACTIONS(635),
    [aux_sym_comparison_operator_token43] = ACTIONS(635),
    [aux_sym_comparison_operator_token44] = ACTIONS(635),
    [aux_sym_comparison_operator_token45] = ACTIONS(635),
    [aux_sym_comparison_operator_token46] = ACTIONS(635),
    [aux_sym_comparison_operator_token47] = ACTIONS(635),
    [aux_sym_comparison_operator_token48] = ACTIONS(635),
    [aux_sym_comparison_operator_token49] = ACTIONS(635),
    [aux_sym_comparison_operator_token50] = ACTIONS(635),
    [aux_sym_format_operator_token1] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_PIPE] = ACTIONS(635),
    [anon_sym_PERCENT] = ACTIONS(637),
    [aux_sym_logical_expression_token1] = ACTIONS(635),
    [aux_sym_logical_expression_token2] = ACTIONS(635),
    [aux_sym_logical_expression_token3] = ACTIONS(635),
    [aux_sym_bitwise_expression_token1] = ACTIONS(635),
    [aux_sym_bitwise_expression_token2] = ACTIONS(635),
    [aux_sym_bitwise_expression_token3] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_DOT_DOT] = ACTIONS(635),
    [anon_sym_PLUS_PLUS] = ACTIONS(635),
    [anon_sym_DASH_DASH] = ACTIONS(635),
    [anon_sym_DOT2] = ACTIONS(637),
    [anon_sym_COLON_COLON] = ACTIONS(635),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(635),
    [sym__statement_terminator] = ACTIONS(635),
  },
  [127] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(697),
    [anon_sym_EQ] = ACTIONS(697),
    [anon_sym_BANG_EQ] = ACTIONS(697),
    [anon_sym_PLUS_EQ] = ACTIONS(697),
    [anon_sym_STAR_EQ] = ACTIONS(697),
    [anon_sym_SLASH_EQ] = ACTIONS(697),
    [anon_sym_PERCENT_EQ] = ACTIONS(697),
    [anon_sym_GT] = ACTIONS(699),
    [anon_sym_GT_GT] = ACTIONS(697),
    [anon_sym_2_GT] = ACTIONS(699),
    [anon_sym_2_GT_GT] = ACTIONS(697),
    [anon_sym_3_GT] = ACTIONS(699),
    [anon_sym_3_GT_GT] = ACTIONS(697),
    [anon_sym_4_GT] = ACTIONS(699),
    [anon_sym_4_GT_GT] = ACTIONS(697),
    [anon_sym_5_GT] = ACTIONS(699),
    [anon_sym_5_GT_GT] = ACTIONS(697),
    [anon_sym_6_GT] = ACTIONS(699),
    [anon_sym_6_GT_GT] = ACTIONS(697),
    [anon_sym_STAR_GT] = ACTIONS(699),
    [anon_sym_STAR_GT_GT] = ACTIONS(697),
    [anon_sym_LT] = ACTIONS(699),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(697),
    [anon_sym_2_GT_AMP1] = ACTIONS(697),
    [anon_sym_3_GT_AMP1] = ACTIONS(697),
    [anon_sym_4_GT_AMP1] = ACTIONS(697),
    [anon_sym_5_GT_AMP1] = ACTIONS(697),
    [anon_sym_6_GT_AMP1] = ACTIONS(697),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(697),
    [anon_sym_1_GT_AMP2] = ACTIONS(697),
    [anon_sym_3_GT_AMP2] = ACTIONS(697),
    [anon_sym_4_GT_AMP2] = ACTIONS(697),
    [anon_sym_5_GT_AMP2] = ACTIONS(697),
    [anon_sym_6_GT_AMP2] = ACTIONS(697),
    [aux_sym_comparison_operator_token1] = ACTIONS(697),
    [aux_sym_comparison_operator_token2] = ACTIONS(697),
    [aux_sym_comparison_operator_token3] = ACTIONS(697),
    [aux_sym_comparison_operator_token4] = ACTIONS(697),
    [aux_sym_comparison_operator_token5] = ACTIONS(697),
    [aux_sym_comparison_operator_token6] = ACTIONS(697),
    [aux_sym_comparison_operator_token7] = ACTIONS(697),
    [aux_sym_comparison_operator_token8] = ACTIONS(697),
    [aux_sym_comparison_operator_token9] = ACTIONS(697),
    [aux_sym_comparison_operator_token10] = ACTIONS(697),
    [aux_sym_comparison_operator_token11] = ACTIONS(697),
    [aux_sym_comparison_operator_token12] = ACTIONS(697),
    [aux_sym_comparison_operator_token13] = ACTIONS(697),
    [aux_sym_comparison_operator_token14] = ACTIONS(697),
    [aux_sym_comparison_operator_token15] = ACTIONS(697),
    [aux_sym_comparison_operator_token16] = ACTIONS(697),
    [aux_sym_comparison_operator_token17] = ACTIONS(697),
    [aux_sym_comparison_operator_token18] = ACTIONS(697),
    [aux_sym_comparison_operator_token19] = ACTIONS(697),
    [aux_sym_comparison_operator_token20] = ACTIONS(697),
    [aux_sym_comparison_operator_token21] = ACTIONS(697),
    [aux_sym_comparison_operator_token22] = ACTIONS(697),
    [aux_sym_comparison_operator_token23] = ACTIONS(697),
    [aux_sym_comparison_operator_token24] = ACTIONS(697),
    [aux_sym_comparison_operator_token25] = ACTIONS(697),
    [aux_sym_comparison_operator_token26] = ACTIONS(697),
    [aux_sym_comparison_operator_token27] = ACTIONS(697),
    [aux_sym_comparison_operator_token28] = ACTIONS(699),
    [aux_sym_comparison_operator_token29] = ACTIONS(697),
    [aux_sym_comparison_operator_token30] = ACTIONS(697),
    [aux_sym_comparison_operator_token31] = ACTIONS(697),
    [aux_sym_comparison_operator_token32] = ACTIONS(697),
    [aux_sym_comparison_operator_token33] = ACTIONS(697),
    [aux_sym_comparison_operator_token34] = ACTIONS(699),
    [aux_sym_comparison_operator_token35] = ACTIONS(697),
    [aux_sym_comparison_operator_token36] = ACTIONS(697),
    [aux_sym_comparison_operator_token37] = ACTIONS(697),
    [aux_sym_comparison_operator_token38] = ACTIONS(697),
    [aux_sym_comparison_operator_token39] = ACTIONS(697),
    [aux_sym_comparison_operator_token40] = ACTIONS(697),
    [aux_sym_comparison_operator_token41] = ACTIONS(697),
    [aux_sym_comparison_operator_token42] = ACTIONS(697),
    [aux_sym_comparison_operator_token43] = ACTIONS(697),
    [aux_sym_comparison_operator_token44] = ACTIONS(697),
    [aux_sym_comparison_operator_token45] = ACTIONS(697),
    [aux_sym_comparison_operator_token46] = ACTIONS(697),
    [aux_sym_comparison_operator_token47] = ACTIONS(697),
    [aux_sym_comparison_operator_token48] = ACTIONS(697),
    [aux_sym_comparison_operator_token49] = ACTIONS(697),
    [aux_sym_comparison_operator_token50] = ACTIONS(697),
    [aux_sym_format_operator_token1] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_COMMA] = ACTIONS(697),
    [anon_sym_PIPE] = ACTIONS(697),
    [anon_sym_PERCENT] = ACTIONS(699),
    [aux_sym_logical_expression_token1] = ACTIONS(697),
    [aux_sym_logical_expression_token2] = ACTIONS(697),
    [aux_sym_logical_expression_token3] = ACTIONS(697),
    [aux_sym_bitwise_expression_token1] = ACTIONS(697),
    [aux_sym_bitwise_expression_token2] = ACTIONS(697),
    [aux_sym_bitwise_expression_token3] = ACTIONS(697),
    [anon_sym_PLUS] = ACTIONS(699),
    [anon_sym_DASH] = ACTIONS(699),
    [anon_sym_SLASH] = ACTIONS(699),
    [anon_sym_BSLASH] = ACTIONS(697),
    [anon_sym_STAR] = ACTIONS(699),
    [anon_sym_DOT_DOT] = ACTIONS(697),
    [anon_sym_PLUS_PLUS] = ACTIONS(697),
    [anon_sym_DASH_DASH] = ACTIONS(697),
    [anon_sym_DOT2] = ACTIONS(699),
    [anon_sym_COLON_COLON] = ACTIONS(697),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(697),
    [sym__statement_terminator] = ACTIONS(697),
  },
  [128] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_EQ] = ACTIONS(717),
    [anon_sym_BANG_EQ] = ACTIONS(717),
    [anon_sym_PLUS_EQ] = ACTIONS(717),
    [anon_sym_STAR_EQ] = ACTIONS(717),
    [anon_sym_SLASH_EQ] = ACTIONS(717),
    [anon_sym_PERCENT_EQ] = ACTIONS(717),
    [anon_sym_GT] = ACTIONS(719),
    [anon_sym_GT_GT] = ACTIONS(717),
    [anon_sym_2_GT] = ACTIONS(719),
    [anon_sym_2_GT_GT] = ACTIONS(717),
    [anon_sym_3_GT] = ACTIONS(719),
    [anon_sym_3_GT_GT] = ACTIONS(717),
    [anon_sym_4_GT] = ACTIONS(719),
    [anon_sym_4_GT_GT] = ACTIONS(717),
    [anon_sym_5_GT] = ACTIONS(719),
    [anon_sym_5_GT_GT] = ACTIONS(717),
    [anon_sym_6_GT] = ACTIONS(719),
    [anon_sym_6_GT_GT] = ACTIONS(717),
    [anon_sym_STAR_GT] = ACTIONS(719),
    [anon_sym_STAR_GT_GT] = ACTIONS(717),
    [anon_sym_LT] = ACTIONS(719),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(717),
    [anon_sym_2_GT_AMP1] = ACTIONS(717),
    [anon_sym_3_GT_AMP1] = ACTIONS(717),
    [anon_sym_4_GT_AMP1] = ACTIONS(717),
    [anon_sym_5_GT_AMP1] = ACTIONS(717),
    [anon_sym_6_GT_AMP1] = ACTIONS(717),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(717),
    [anon_sym_1_GT_AMP2] = ACTIONS(717),
    [anon_sym_3_GT_AMP2] = ACTIONS(717),
    [anon_sym_4_GT_AMP2] = ACTIONS(717),
    [anon_sym_5_GT_AMP2] = ACTIONS(717),
    [anon_sym_6_GT_AMP2] = ACTIONS(717),
    [aux_sym_comparison_operator_token1] = ACTIONS(717),
    [aux_sym_comparison_operator_token2] = ACTIONS(717),
    [aux_sym_comparison_operator_token3] = ACTIONS(717),
    [aux_sym_comparison_operator_token4] = ACTIONS(717),
    [aux_sym_comparison_operator_token5] = ACTIONS(717),
    [aux_sym_comparison_operator_token6] = ACTIONS(717),
    [aux_sym_comparison_operator_token7] = ACTIONS(717),
    [aux_sym_comparison_operator_token8] = ACTIONS(717),
    [aux_sym_comparison_operator_token9] = ACTIONS(717),
    [aux_sym_comparison_operator_token10] = ACTIONS(717),
    [aux_sym_comparison_operator_token11] = ACTIONS(717),
    [aux_sym_comparison_operator_token12] = ACTIONS(717),
    [aux_sym_comparison_operator_token13] = ACTIONS(717),
    [aux_sym_comparison_operator_token14] = ACTIONS(717),
    [aux_sym_comparison_operator_token15] = ACTIONS(717),
    [aux_sym_comparison_operator_token16] = ACTIONS(717),
    [aux_sym_comparison_operator_token17] = ACTIONS(717),
    [aux_sym_comparison_operator_token18] = ACTIONS(717),
    [aux_sym_comparison_operator_token19] = ACTIONS(717),
    [aux_sym_comparison_operator_token20] = ACTIONS(717),
    [aux_sym_comparison_operator_token21] = ACTIONS(717),
    [aux_sym_comparison_operator_token22] = ACTIONS(717),
    [aux_sym_comparison_operator_token23] = ACTIONS(717),
    [aux_sym_comparison_operator_token24] = ACTIONS(717),
    [aux_sym_comparison_operator_token25] = ACTIONS(717),
    [aux_sym_comparison_operator_token26] = ACTIONS(717),
    [aux_sym_comparison_operator_token27] = ACTIONS(717),
    [aux_sym_comparison_operator_token28] = ACTIONS(719),
    [aux_sym_comparison_operator_token29] = ACTIONS(717),
    [aux_sym_comparison_operator_token30] = ACTIONS(717),
    [aux_sym_comparison_operator_token31] = ACTIONS(717),
    [aux_sym_comparison_operator_token32] = ACTIONS(717),
    [aux_sym_comparison_operator_token33] = ACTIONS(717),
    [aux_sym_comparison_operator_token34] = ACTIONS(719),
    [aux_sym_comparison_operator_token35] = ACTIONS(717),
    [aux_sym_comparison_operator_token36] = ACTIONS(717),
    [aux_sym_comparison_operator_token37] = ACTIONS(717),
    [aux_sym_comparison_operator_token38] = ACTIONS(717),
    [aux_sym_comparison_operator_token39] = ACTIONS(717),
    [aux_sym_comparison_operator_token40] = ACTIONS(717),
    [aux_sym_comparison_operator_token41] = ACTIONS(717),
    [aux_sym_comparison_operator_token42] = ACTIONS(717),
    [aux_sym_comparison_operator_token43] = ACTIONS(717),
    [aux_sym_comparison_operator_token44] = ACTIONS(717),
    [aux_sym_comparison_operator_token45] = ACTIONS(717),
    [aux_sym_comparison_operator_token46] = ACTIONS(717),
    [aux_sym_comparison_operator_token47] = ACTIONS(717),
    [aux_sym_comparison_operator_token48] = ACTIONS(717),
    [aux_sym_comparison_operator_token49] = ACTIONS(717),
    [aux_sym_comparison_operator_token50] = ACTIONS(717),
    [aux_sym_format_operator_token1] = ACTIONS(717),
    [anon_sym_LPAREN] = ACTIONS(717),
    [anon_sym_COMMA] = ACTIONS(717),
    [anon_sym_PIPE] = ACTIONS(717),
    [anon_sym_PERCENT] = ACTIONS(719),
    [aux_sym_logical_expression_token1] = ACTIONS(717),
    [aux_sym_logical_expression_token2] = ACTIONS(717),
    [aux_sym_logical_expression_token3] = ACTIONS(717),
    [aux_sym_bitwise_expression_token1] = ACTIONS(717),
    [aux_sym_bitwise_expression_token2] = ACTIONS(717),
    [aux_sym_bitwise_expression_token3] = ACTIONS(717),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(719),
    [anon_sym_SLASH] = ACTIONS(719),
    [anon_sym_BSLASH] = ACTIONS(717),
    [anon_sym_STAR] = ACTIONS(719),
    [anon_sym_DOT_DOT] = ACTIONS(717),
    [anon_sym_PLUS_PLUS] = ACTIONS(717),
    [anon_sym_DASH_DASH] = ACTIONS(717),
    [anon_sym_DOT2] = ACTIONS(719),
    [anon_sym_COLON_COLON] = ACTIONS(717),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(717),
    [sym__statement_terminator] = ACTIONS(717),
  },
  [129] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_EQ] = ACTIONS(693),
    [anon_sym_BANG_EQ] = ACTIONS(693),
    [anon_sym_PLUS_EQ] = ACTIONS(693),
    [anon_sym_STAR_EQ] = ACTIONS(693),
    [anon_sym_SLASH_EQ] = ACTIONS(693),
    [anon_sym_PERCENT_EQ] = ACTIONS(693),
    [anon_sym_GT] = ACTIONS(695),
    [anon_sym_GT_GT] = ACTIONS(693),
    [anon_sym_2_GT] = ACTIONS(695),
    [anon_sym_2_GT_GT] = ACTIONS(693),
    [anon_sym_3_GT] = ACTIONS(695),
    [anon_sym_3_GT_GT] = ACTIONS(693),
    [anon_sym_4_GT] = ACTIONS(695),
    [anon_sym_4_GT_GT] = ACTIONS(693),
    [anon_sym_5_GT] = ACTIONS(695),
    [anon_sym_5_GT_GT] = ACTIONS(693),
    [anon_sym_6_GT] = ACTIONS(695),
    [anon_sym_6_GT_GT] = ACTIONS(693),
    [anon_sym_STAR_GT] = ACTIONS(695),
    [anon_sym_STAR_GT_GT] = ACTIONS(693),
    [anon_sym_LT] = ACTIONS(695),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(693),
    [anon_sym_2_GT_AMP1] = ACTIONS(693),
    [anon_sym_3_GT_AMP1] = ACTIONS(693),
    [anon_sym_4_GT_AMP1] = ACTIONS(693),
    [anon_sym_5_GT_AMP1] = ACTIONS(693),
    [anon_sym_6_GT_AMP1] = ACTIONS(693),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(693),
    [anon_sym_1_GT_AMP2] = ACTIONS(693),
    [anon_sym_3_GT_AMP2] = ACTIONS(693),
    [anon_sym_4_GT_AMP2] = ACTIONS(693),
    [anon_sym_5_GT_AMP2] = ACTIONS(693),
    [anon_sym_6_GT_AMP2] = ACTIONS(693),
    [aux_sym_comparison_operator_token1] = ACTIONS(693),
    [aux_sym_comparison_operator_token2] = ACTIONS(693),
    [aux_sym_comparison_operator_token3] = ACTIONS(693),
    [aux_sym_comparison_operator_token4] = ACTIONS(693),
    [aux_sym_comparison_operator_token5] = ACTIONS(693),
    [aux_sym_comparison_operator_token6] = ACTIONS(693),
    [aux_sym_comparison_operator_token7] = ACTIONS(693),
    [aux_sym_comparison_operator_token8] = ACTIONS(693),
    [aux_sym_comparison_operator_token9] = ACTIONS(693),
    [aux_sym_comparison_operator_token10] = ACTIONS(693),
    [aux_sym_comparison_operator_token11] = ACTIONS(693),
    [aux_sym_comparison_operator_token12] = ACTIONS(693),
    [aux_sym_comparison_operator_token13] = ACTIONS(693),
    [aux_sym_comparison_operator_token14] = ACTIONS(693),
    [aux_sym_comparison_operator_token15] = ACTIONS(693),
    [aux_sym_comparison_operator_token16] = ACTIONS(693),
    [aux_sym_comparison_operator_token17] = ACTIONS(693),
    [aux_sym_comparison_operator_token18] = ACTIONS(693),
    [aux_sym_comparison_operator_token19] = ACTIONS(693),
    [aux_sym_comparison_operator_token20] = ACTIONS(693),
    [aux_sym_comparison_operator_token21] = ACTIONS(693),
    [aux_sym_comparison_operator_token22] = ACTIONS(693),
    [aux_sym_comparison_operator_token23] = ACTIONS(693),
    [aux_sym_comparison_operator_token24] = ACTIONS(693),
    [aux_sym_comparison_operator_token25] = ACTIONS(693),
    [aux_sym_comparison_operator_token26] = ACTIONS(693),
    [aux_sym_comparison_operator_token27] = ACTIONS(693),
    [aux_sym_comparison_operator_token28] = ACTIONS(695),
    [aux_sym_comparison_operator_token29] = ACTIONS(693),
    [aux_sym_comparison_operator_token30] = ACTIONS(693),
    [aux_sym_comparison_operator_token31] = ACTIONS(693),
    [aux_sym_comparison_operator_token32] = ACTIONS(693),
    [aux_sym_comparison_operator_token33] = ACTIONS(693),
    [aux_sym_comparison_operator_token34] = ACTIONS(695),
    [aux_sym_comparison_operator_token35] = ACTIONS(693),
    [aux_sym_comparison_operator_token36] = ACTIONS(693),
    [aux_sym_comparison_operator_token37] = ACTIONS(693),
    [aux_sym_comparison_operator_token38] = ACTIONS(693),
    [aux_sym_comparison_operator_token39] = ACTIONS(693),
    [aux_sym_comparison_operator_token40] = ACTIONS(693),
    [aux_sym_comparison_operator_token41] = ACTIONS(693),
    [aux_sym_comparison_operator_token42] = ACTIONS(693),
    [aux_sym_comparison_operator_token43] = ACTIONS(693),
    [aux_sym_comparison_operator_token44] = ACTIONS(693),
    [aux_sym_comparison_operator_token45] = ACTIONS(693),
    [aux_sym_comparison_operator_token46] = ACTIONS(693),
    [aux_sym_comparison_operator_token47] = ACTIONS(693),
    [aux_sym_comparison_operator_token48] = ACTIONS(693),
    [aux_sym_comparison_operator_token49] = ACTIONS(693),
    [aux_sym_comparison_operator_token50] = ACTIONS(693),
    [aux_sym_format_operator_token1] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(693),
    [anon_sym_COMMA] = ACTIONS(693),
    [anon_sym_PIPE] = ACTIONS(693),
    [anon_sym_PERCENT] = ACTIONS(695),
    [aux_sym_logical_expression_token1] = ACTIONS(693),
    [aux_sym_logical_expression_token2] = ACTIONS(693),
    [aux_sym_logical_expression_token3] = ACTIONS(693),
    [aux_sym_bitwise_expression_token1] = ACTIONS(693),
    [aux_sym_bitwise_expression_token2] = ACTIONS(693),
    [aux_sym_bitwise_expression_token3] = ACTIONS(693),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_SLASH] = ACTIONS(695),
    [anon_sym_BSLASH] = ACTIONS(693),
    [anon_sym_STAR] = ACTIONS(695),
    [anon_sym_DOT_DOT] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_DOT2] = ACTIONS(695),
    [anon_sym_COLON_COLON] = ACTIONS(693),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(693),
    [sym__statement_terminator] = ACTIONS(693),
  },
  [130] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(617),
    [anon_sym_EQ] = ACTIONS(617),
    [anon_sym_BANG_EQ] = ACTIONS(617),
    [anon_sym_PLUS_EQ] = ACTIONS(617),
    [anon_sym_STAR_EQ] = ACTIONS(617),
    [anon_sym_SLASH_EQ] = ACTIONS(617),
    [anon_sym_PERCENT_EQ] = ACTIONS(617),
    [anon_sym_GT] = ACTIONS(619),
    [anon_sym_GT_GT] = ACTIONS(617),
    [anon_sym_2_GT] = ACTIONS(619),
    [anon_sym_2_GT_GT] = ACTIONS(617),
    [anon_sym_3_GT] = ACTIONS(619),
    [anon_sym_3_GT_GT] = ACTIONS(617),
    [anon_sym_4_GT] = ACTIONS(619),
    [anon_sym_4_GT_GT] = ACTIONS(617),
    [anon_sym_5_GT] = ACTIONS(619),
    [anon_sym_5_GT_GT] = ACTIONS(617),
    [anon_sym_6_GT] = ACTIONS(619),
    [anon_sym_6_GT_GT] = ACTIONS(617),
    [anon_sym_STAR_GT] = ACTIONS(619),
    [anon_sym_STAR_GT_GT] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(619),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(617),
    [anon_sym_2_GT_AMP1] = ACTIONS(617),
    [anon_sym_3_GT_AMP1] = ACTIONS(617),
    [anon_sym_4_GT_AMP1] = ACTIONS(617),
    [anon_sym_5_GT_AMP1] = ACTIONS(617),
    [anon_sym_6_GT_AMP1] = ACTIONS(617),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(617),
    [anon_sym_1_GT_AMP2] = ACTIONS(617),
    [anon_sym_3_GT_AMP2] = ACTIONS(617),
    [anon_sym_4_GT_AMP2] = ACTIONS(617),
    [anon_sym_5_GT_AMP2] = ACTIONS(617),
    [anon_sym_6_GT_AMP2] = ACTIONS(617),
    [aux_sym_comparison_operator_token1] = ACTIONS(617),
    [aux_sym_comparison_operator_token2] = ACTIONS(617),
    [aux_sym_comparison_operator_token3] = ACTIONS(617),
    [aux_sym_comparison_operator_token4] = ACTIONS(617),
    [aux_sym_comparison_operator_token5] = ACTIONS(617),
    [aux_sym_comparison_operator_token6] = ACTIONS(617),
    [aux_sym_comparison_operator_token7] = ACTIONS(617),
    [aux_sym_comparison_operator_token8] = ACTIONS(617),
    [aux_sym_comparison_operator_token9] = ACTIONS(617),
    [aux_sym_comparison_operator_token10] = ACTIONS(617),
    [aux_sym_comparison_operator_token11] = ACTIONS(617),
    [aux_sym_comparison_operator_token12] = ACTIONS(617),
    [aux_sym_comparison_operator_token13] = ACTIONS(617),
    [aux_sym_comparison_operator_token14] = ACTIONS(617),
    [aux_sym_comparison_operator_token15] = ACTIONS(617),
    [aux_sym_comparison_operator_token16] = ACTIONS(617),
    [aux_sym_comparison_operator_token17] = ACTIONS(617),
    [aux_sym_comparison_operator_token18] = ACTIONS(617),
    [aux_sym_comparison_operator_token19] = ACTIONS(617),
    [aux_sym_comparison_operator_token20] = ACTIONS(617),
    [aux_sym_comparison_operator_token21] = ACTIONS(617),
    [aux_sym_comparison_operator_token22] = ACTIONS(617),
    [aux_sym_comparison_operator_token23] = ACTIONS(617),
    [aux_sym_comparison_operator_token24] = ACTIONS(617),
    [aux_sym_comparison_operator_token25] = ACTIONS(617),
    [aux_sym_comparison_operator_token26] = ACTIONS(617),
    [aux_sym_comparison_operator_token27] = ACTIONS(617),
    [aux_sym_comparison_operator_token28] = ACTIONS(619),
    [aux_sym_comparison_operator_token29] = ACTIONS(617),
    [aux_sym_comparison_operator_token30] = ACTIONS(617),
    [aux_sym_comparison_operator_token31] = ACTIONS(617),
    [aux_sym_comparison_operator_token32] = ACTIONS(617),
    [aux_sym_comparison_operator_token33] = ACTIONS(617),
    [aux_sym_comparison_operator_token34] = ACTIONS(619),
    [aux_sym_comparison_operator_token35] = ACTIONS(617),
    [aux_sym_comparison_operator_token36] = ACTIONS(617),
    [aux_sym_comparison_operator_token37] = ACTIONS(617),
    [aux_sym_comparison_operator_token38] = ACTIONS(617),
    [aux_sym_comparison_operator_token39] = ACTIONS(617),
    [aux_sym_comparison_operator_token40] = ACTIONS(617),
    [aux_sym_comparison_operator_token41] = ACTIONS(617),
    [aux_sym_comparison_operator_token42] = ACTIONS(617),
    [aux_sym_comparison_operator_token43] = ACTIONS(617),
    [aux_sym_comparison_operator_token44] = ACTIONS(617),
    [aux_sym_comparison_operator_token45] = ACTIONS(617),
    [aux_sym_comparison_operator_token46] = ACTIONS(617),
    [aux_sym_comparison_operator_token47] = ACTIONS(617),
    [aux_sym_comparison_operator_token48] = ACTIONS(617),
    [aux_sym_comparison_operator_token49] = ACTIONS(617),
    [aux_sym_comparison_operator_token50] = ACTIONS(617),
    [aux_sym_format_operator_token1] = ACTIONS(617),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_COMMA] = ACTIONS(617),
    [anon_sym_PIPE] = ACTIONS(617),
    [anon_sym_PERCENT] = ACTIONS(619),
    [aux_sym_logical_expression_token1] = ACTIONS(617),
    [aux_sym_logical_expression_token2] = ACTIONS(617),
    [aux_sym_logical_expression_token3] = ACTIONS(617),
    [aux_sym_bitwise_expression_token1] = ACTIONS(617),
    [aux_sym_bitwise_expression_token2] = ACTIONS(617),
    [aux_sym_bitwise_expression_token3] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_SLASH] = ACTIONS(619),
    [anon_sym_BSLASH] = ACTIONS(617),
    [anon_sym_STAR] = ACTIONS(619),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_PLUS_PLUS] = ACTIONS(617),
    [anon_sym_DASH_DASH] = ACTIONS(617),
    [anon_sym_DOT2] = ACTIONS(619),
    [anon_sym_COLON_COLON] = ACTIONS(617),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(617),
    [sym__statement_terminator] = ACTIONS(617),
  },
  [131] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(659),
    [anon_sym_EQ] = ACTIONS(659),
    [anon_sym_BANG_EQ] = ACTIONS(659),
    [anon_sym_PLUS_EQ] = ACTIONS(659),
    [anon_sym_STAR_EQ] = ACTIONS(659),
    [anon_sym_SLASH_EQ] = ACTIONS(659),
    [anon_sym_PERCENT_EQ] = ACTIONS(659),
    [anon_sym_GT] = ACTIONS(661),
    [anon_sym_GT_GT] = ACTIONS(659),
    [anon_sym_2_GT] = ACTIONS(661),
    [anon_sym_2_GT_GT] = ACTIONS(659),
    [anon_sym_3_GT] = ACTIONS(661),
    [anon_sym_3_GT_GT] = ACTIONS(659),
    [anon_sym_4_GT] = ACTIONS(661),
    [anon_sym_4_GT_GT] = ACTIONS(659),
    [anon_sym_5_GT] = ACTIONS(661),
    [anon_sym_5_GT_GT] = ACTIONS(659),
    [anon_sym_6_GT] = ACTIONS(661),
    [anon_sym_6_GT_GT] = ACTIONS(659),
    [anon_sym_STAR_GT] = ACTIONS(661),
    [anon_sym_STAR_GT_GT] = ACTIONS(659),
    [anon_sym_LT] = ACTIONS(661),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(659),
    [anon_sym_2_GT_AMP1] = ACTIONS(659),
    [anon_sym_3_GT_AMP1] = ACTIONS(659),
    [anon_sym_4_GT_AMP1] = ACTIONS(659),
    [anon_sym_5_GT_AMP1] = ACTIONS(659),
    [anon_sym_6_GT_AMP1] = ACTIONS(659),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(659),
    [anon_sym_1_GT_AMP2] = ACTIONS(659),
    [anon_sym_3_GT_AMP2] = ACTIONS(659),
    [anon_sym_4_GT_AMP2] = ACTIONS(659),
    [anon_sym_5_GT_AMP2] = ACTIONS(659),
    [anon_sym_6_GT_AMP2] = ACTIONS(659),
    [aux_sym_comparison_operator_token1] = ACTIONS(659),
    [aux_sym_comparison_operator_token2] = ACTIONS(659),
    [aux_sym_comparison_operator_token3] = ACTIONS(659),
    [aux_sym_comparison_operator_token4] = ACTIONS(659),
    [aux_sym_comparison_operator_token5] = ACTIONS(659),
    [aux_sym_comparison_operator_token6] = ACTIONS(659),
    [aux_sym_comparison_operator_token7] = ACTIONS(659),
    [aux_sym_comparison_operator_token8] = ACTIONS(659),
    [aux_sym_comparison_operator_token9] = ACTIONS(659),
    [aux_sym_comparison_operator_token10] = ACTIONS(659),
    [aux_sym_comparison_operator_token11] = ACTIONS(659),
    [aux_sym_comparison_operator_token12] = ACTIONS(659),
    [aux_sym_comparison_operator_token13] = ACTIONS(659),
    [aux_sym_comparison_operator_token14] = ACTIONS(659),
    [aux_sym_comparison_operator_token15] = ACTIONS(659),
    [aux_sym_comparison_operator_token16] = ACTIONS(659),
    [aux_sym_comparison_operator_token17] = ACTIONS(659),
    [aux_sym_comparison_operator_token18] = ACTIONS(659),
    [aux_sym_comparison_operator_token19] = ACTIONS(659),
    [aux_sym_comparison_operator_token20] = ACTIONS(659),
    [aux_sym_comparison_operator_token21] = ACTIONS(659),
    [aux_sym_comparison_operator_token22] = ACTIONS(659),
    [aux_sym_comparison_operator_token23] = ACTIONS(659),
    [aux_sym_comparison_operator_token24] = ACTIONS(659),
    [aux_sym_comparison_operator_token25] = ACTIONS(659),
    [aux_sym_comparison_operator_token26] = ACTIONS(659),
    [aux_sym_comparison_operator_token27] = ACTIONS(659),
    [aux_sym_comparison_operator_token28] = ACTIONS(661),
    [aux_sym_comparison_operator_token29] = ACTIONS(659),
    [aux_sym_comparison_operator_token30] = ACTIONS(659),
    [aux_sym_comparison_operator_token31] = ACTIONS(659),
    [aux_sym_comparison_operator_token32] = ACTIONS(659),
    [aux_sym_comparison_operator_token33] = ACTIONS(659),
    [aux_sym_comparison_operator_token34] = ACTIONS(661),
    [aux_sym_comparison_operator_token35] = ACTIONS(659),
    [aux_sym_comparison_operator_token36] = ACTIONS(659),
    [aux_sym_comparison_operator_token37] = ACTIONS(659),
    [aux_sym_comparison_operator_token38] = ACTIONS(659),
    [aux_sym_comparison_operator_token39] = ACTIONS(659),
    [aux_sym_comparison_operator_token40] = ACTIONS(659),
    [aux_sym_comparison_operator_token41] = ACTIONS(659),
    [aux_sym_comparison_operator_token42] = ACTIONS(659),
    [aux_sym_comparison_operator_token43] = ACTIONS(659),
    [aux_sym_comparison_operator_token44] = ACTIONS(659),
    [aux_sym_comparison_operator_token45] = ACTIONS(659),
    [aux_sym_comparison_operator_token46] = ACTIONS(659),
    [aux_sym_comparison_operator_token47] = ACTIONS(659),
    [aux_sym_comparison_operator_token48] = ACTIONS(659),
    [aux_sym_comparison_operator_token49] = ACTIONS(659),
    [aux_sym_comparison_operator_token50] = ACTIONS(659),
    [aux_sym_format_operator_token1] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(659),
    [anon_sym_COMMA] = ACTIONS(659),
    [anon_sym_PIPE] = ACTIONS(659),
    [anon_sym_PERCENT] = ACTIONS(661),
    [aux_sym_logical_expression_token1] = ACTIONS(659),
    [aux_sym_logical_expression_token2] = ACTIONS(659),
    [aux_sym_logical_expression_token3] = ACTIONS(659),
    [aux_sym_bitwise_expression_token1] = ACTIONS(659),
    [aux_sym_bitwise_expression_token2] = ACTIONS(659),
    [aux_sym_bitwise_expression_token3] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_SLASH] = ACTIONS(661),
    [anon_sym_BSLASH] = ACTIONS(659),
    [anon_sym_STAR] = ACTIONS(661),
    [anon_sym_DOT_DOT] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_DOT2] = ACTIONS(661),
    [anon_sym_COLON_COLON] = ACTIONS(659),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(659),
    [sym__statement_terminator] = ACTIONS(659),
  },
  [132] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_EQ] = ACTIONS(713),
    [anon_sym_BANG_EQ] = ACTIONS(713),
    [anon_sym_PLUS_EQ] = ACTIONS(713),
    [anon_sym_STAR_EQ] = ACTIONS(713),
    [anon_sym_SLASH_EQ] = ACTIONS(713),
    [anon_sym_PERCENT_EQ] = ACTIONS(713),
    [anon_sym_GT] = ACTIONS(715),
    [anon_sym_GT_GT] = ACTIONS(713),
    [anon_sym_2_GT] = ACTIONS(715),
    [anon_sym_2_GT_GT] = ACTIONS(713),
    [anon_sym_3_GT] = ACTIONS(715),
    [anon_sym_3_GT_GT] = ACTIONS(713),
    [anon_sym_4_GT] = ACTIONS(715),
    [anon_sym_4_GT_GT] = ACTIONS(713),
    [anon_sym_5_GT] = ACTIONS(715),
    [anon_sym_5_GT_GT] = ACTIONS(713),
    [anon_sym_6_GT] = ACTIONS(715),
    [anon_sym_6_GT_GT] = ACTIONS(713),
    [anon_sym_STAR_GT] = ACTIONS(715),
    [anon_sym_STAR_GT_GT] = ACTIONS(713),
    [anon_sym_LT] = ACTIONS(715),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(713),
    [anon_sym_2_GT_AMP1] = ACTIONS(713),
    [anon_sym_3_GT_AMP1] = ACTIONS(713),
    [anon_sym_4_GT_AMP1] = ACTIONS(713),
    [anon_sym_5_GT_AMP1] = ACTIONS(713),
    [anon_sym_6_GT_AMP1] = ACTIONS(713),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(713),
    [anon_sym_1_GT_AMP2] = ACTIONS(713),
    [anon_sym_3_GT_AMP2] = ACTIONS(713),
    [anon_sym_4_GT_AMP2] = ACTIONS(713),
    [anon_sym_5_GT_AMP2] = ACTIONS(713),
    [anon_sym_6_GT_AMP2] = ACTIONS(713),
    [aux_sym_comparison_operator_token1] = ACTIONS(713),
    [aux_sym_comparison_operator_token2] = ACTIONS(713),
    [aux_sym_comparison_operator_token3] = ACTIONS(713),
    [aux_sym_comparison_operator_token4] = ACTIONS(713),
    [aux_sym_comparison_operator_token5] = ACTIONS(713),
    [aux_sym_comparison_operator_token6] = ACTIONS(713),
    [aux_sym_comparison_operator_token7] = ACTIONS(713),
    [aux_sym_comparison_operator_token8] = ACTIONS(713),
    [aux_sym_comparison_operator_token9] = ACTIONS(713),
    [aux_sym_comparison_operator_token10] = ACTIONS(713),
    [aux_sym_comparison_operator_token11] = ACTIONS(713),
    [aux_sym_comparison_operator_token12] = ACTIONS(713),
    [aux_sym_comparison_operator_token13] = ACTIONS(713),
    [aux_sym_comparison_operator_token14] = ACTIONS(713),
    [aux_sym_comparison_operator_token15] = ACTIONS(713),
    [aux_sym_comparison_operator_token16] = ACTIONS(713),
    [aux_sym_comparison_operator_token17] = ACTIONS(713),
    [aux_sym_comparison_operator_token18] = ACTIONS(713),
    [aux_sym_comparison_operator_token19] = ACTIONS(713),
    [aux_sym_comparison_operator_token20] = ACTIONS(713),
    [aux_sym_comparison_operator_token21] = ACTIONS(713),
    [aux_sym_comparison_operator_token22] = ACTIONS(713),
    [aux_sym_comparison_operator_token23] = ACTIONS(713),
    [aux_sym_comparison_operator_token24] = ACTIONS(713),
    [aux_sym_comparison_operator_token25] = ACTIONS(713),
    [aux_sym_comparison_operator_token26] = ACTIONS(713),
    [aux_sym_comparison_operator_token27] = ACTIONS(713),
    [aux_sym_comparison_operator_token28] = ACTIONS(715),
    [aux_sym_comparison_operator_token29] = ACTIONS(713),
    [aux_sym_comparison_operator_token30] = ACTIONS(713),
    [aux_sym_comparison_operator_token31] = ACTIONS(713),
    [aux_sym_comparison_operator_token32] = ACTIONS(713),
    [aux_sym_comparison_operator_token33] = ACTIONS(713),
    [aux_sym_comparison_operator_token34] = ACTIONS(715),
    [aux_sym_comparison_operator_token35] = ACTIONS(713),
    [aux_sym_comparison_operator_token36] = ACTIONS(713),
    [aux_sym_comparison_operator_token37] = ACTIONS(713),
    [aux_sym_comparison_operator_token38] = ACTIONS(713),
    [aux_sym_comparison_operator_token39] = ACTIONS(713),
    [aux_sym_comparison_operator_token40] = ACTIONS(713),
    [aux_sym_comparison_operator_token41] = ACTIONS(713),
    [aux_sym_comparison_operator_token42] = ACTIONS(713),
    [aux_sym_comparison_operator_token43] = ACTIONS(713),
    [aux_sym_comparison_operator_token44] = ACTIONS(713),
    [aux_sym_comparison_operator_token45] = ACTIONS(713),
    [aux_sym_comparison_operator_token46] = ACTIONS(713),
    [aux_sym_comparison_operator_token47] = ACTIONS(713),
    [aux_sym_comparison_operator_token48] = ACTIONS(713),
    [aux_sym_comparison_operator_token49] = ACTIONS(713),
    [aux_sym_comparison_operator_token50] = ACTIONS(713),
    [aux_sym_format_operator_token1] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_COMMA] = ACTIONS(713),
    [anon_sym_PIPE] = ACTIONS(713),
    [anon_sym_PERCENT] = ACTIONS(715),
    [aux_sym_logical_expression_token1] = ACTIONS(713),
    [aux_sym_logical_expression_token2] = ACTIONS(713),
    [aux_sym_logical_expression_token3] = ACTIONS(713),
    [aux_sym_bitwise_expression_token1] = ACTIONS(713),
    [aux_sym_bitwise_expression_token2] = ACTIONS(713),
    [aux_sym_bitwise_expression_token3] = ACTIONS(713),
    [anon_sym_PLUS] = ACTIONS(715),
    [anon_sym_DASH] = ACTIONS(715),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_BSLASH] = ACTIONS(713),
    [anon_sym_STAR] = ACTIONS(715),
    [anon_sym_DOT_DOT] = ACTIONS(713),
    [anon_sym_PLUS_PLUS] = ACTIONS(713),
    [anon_sym_DASH_DASH] = ACTIONS(713),
    [anon_sym_DOT2] = ACTIONS(715),
    [anon_sym_COLON_COLON] = ACTIONS(713),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(713),
    [sym__statement_terminator] = ACTIONS(713),
  },
  [133] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(665),
    [anon_sym_GT_GT] = ACTIONS(663),
    [anon_sym_2_GT] = ACTIONS(665),
    [anon_sym_2_GT_GT] = ACTIONS(663),
    [anon_sym_3_GT] = ACTIONS(665),
    [anon_sym_3_GT_GT] = ACTIONS(663),
    [anon_sym_4_GT] = ACTIONS(665),
    [anon_sym_4_GT_GT] = ACTIONS(663),
    [anon_sym_5_GT] = ACTIONS(665),
    [anon_sym_5_GT_GT] = ACTIONS(663),
    [anon_sym_6_GT] = ACTIONS(665),
    [anon_sym_6_GT_GT] = ACTIONS(663),
    [anon_sym_STAR_GT] = ACTIONS(665),
    [anon_sym_STAR_GT_GT] = ACTIONS(663),
    [anon_sym_LT] = ACTIONS(665),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(663),
    [anon_sym_2_GT_AMP1] = ACTIONS(663),
    [anon_sym_3_GT_AMP1] = ACTIONS(663),
    [anon_sym_4_GT_AMP1] = ACTIONS(663),
    [anon_sym_5_GT_AMP1] = ACTIONS(663),
    [anon_sym_6_GT_AMP1] = ACTIONS(663),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(663),
    [anon_sym_1_GT_AMP2] = ACTIONS(663),
    [anon_sym_3_GT_AMP2] = ACTIONS(663),
    [anon_sym_4_GT_AMP2] = ACTIONS(663),
    [anon_sym_5_GT_AMP2] = ACTIONS(663),
    [anon_sym_6_GT_AMP2] = ACTIONS(663),
    [aux_sym_comparison_operator_token1] = ACTIONS(663),
    [aux_sym_comparison_operator_token2] = ACTIONS(663),
    [aux_sym_comparison_operator_token3] = ACTIONS(663),
    [aux_sym_comparison_operator_token4] = ACTIONS(663),
    [aux_sym_comparison_operator_token5] = ACTIONS(663),
    [aux_sym_comparison_operator_token6] = ACTIONS(663),
    [aux_sym_comparison_operator_token7] = ACTIONS(663),
    [aux_sym_comparison_operator_token8] = ACTIONS(663),
    [aux_sym_comparison_operator_token9] = ACTIONS(663),
    [aux_sym_comparison_operator_token10] = ACTIONS(663),
    [aux_sym_comparison_operator_token11] = ACTIONS(663),
    [aux_sym_comparison_operator_token12] = ACTIONS(663),
    [aux_sym_comparison_operator_token13] = ACTIONS(663),
    [aux_sym_comparison_operator_token14] = ACTIONS(663),
    [aux_sym_comparison_operator_token15] = ACTIONS(663),
    [aux_sym_comparison_operator_token16] = ACTIONS(663),
    [aux_sym_comparison_operator_token17] = ACTIONS(663),
    [aux_sym_comparison_operator_token18] = ACTIONS(663),
    [aux_sym_comparison_operator_token19] = ACTIONS(663),
    [aux_sym_comparison_operator_token20] = ACTIONS(663),
    [aux_sym_comparison_operator_token21] = ACTIONS(663),
    [aux_sym_comparison_operator_token22] = ACTIONS(663),
    [aux_sym_comparison_operator_token23] = ACTIONS(663),
    [aux_sym_comparison_operator_token24] = ACTIONS(663),
    [aux_sym_comparison_operator_token25] = ACTIONS(663),
    [aux_sym_comparison_operator_token26] = ACTIONS(663),
    [aux_sym_comparison_operator_token27] = ACTIONS(663),
    [aux_sym_comparison_operator_token28] = ACTIONS(665),
    [aux_sym_comparison_operator_token29] = ACTIONS(663),
    [aux_sym_comparison_operator_token30] = ACTIONS(663),
    [aux_sym_comparison_operator_token31] = ACTIONS(663),
    [aux_sym_comparison_operator_token32] = ACTIONS(663),
    [aux_sym_comparison_operator_token33] = ACTIONS(663),
    [aux_sym_comparison_operator_token34] = ACTIONS(665),
    [aux_sym_comparison_operator_token35] = ACTIONS(663),
    [aux_sym_comparison_operator_token36] = ACTIONS(663),
    [aux_sym_comparison_operator_token37] = ACTIONS(663),
    [aux_sym_comparison_operator_token38] = ACTIONS(663),
    [aux_sym_comparison_operator_token39] = ACTIONS(663),
    [aux_sym_comparison_operator_token40] = ACTIONS(663),
    [aux_sym_comparison_operator_token41] = ACTIONS(663),
    [aux_sym_comparison_operator_token42] = ACTIONS(663),
    [aux_sym_comparison_operator_token43] = ACTIONS(663),
    [aux_sym_comparison_operator_token44] = ACTIONS(663),
    [aux_sym_comparison_operator_token45] = ACTIONS(663),
    [aux_sym_comparison_operator_token46] = ACTIONS(663),
    [aux_sym_comparison_operator_token47] = ACTIONS(663),
    [aux_sym_comparison_operator_token48] = ACTIONS(663),
    [aux_sym_comparison_operator_token49] = ACTIONS(663),
    [aux_sym_comparison_operator_token50] = ACTIONS(663),
    [aux_sym_format_operator_token1] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_PIPE] = ACTIONS(663),
    [anon_sym_PERCENT] = ACTIONS(665),
    [aux_sym_logical_expression_token1] = ACTIONS(663),
    [aux_sym_logical_expression_token2] = ACTIONS(663),
    [aux_sym_logical_expression_token3] = ACTIONS(663),
    [aux_sym_bitwise_expression_token1] = ACTIONS(663),
    [aux_sym_bitwise_expression_token2] = ACTIONS(663),
    [aux_sym_bitwise_expression_token3] = ACTIONS(663),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_SLASH] = ACTIONS(665),
    [anon_sym_BSLASH] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(665),
    [anon_sym_DOT_DOT] = ACTIONS(663),
    [anon_sym_PLUS_PLUS] = ACTIONS(663),
    [anon_sym_DASH_DASH] = ACTIONS(663),
    [anon_sym_DOT2] = ACTIONS(665),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(663),
    [sym__statement_terminator] = ACTIONS(663),
  },
  [134] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(671),
    [anon_sym_EQ] = ACTIONS(671),
    [anon_sym_BANG_EQ] = ACTIONS(671),
    [anon_sym_PLUS_EQ] = ACTIONS(671),
    [anon_sym_STAR_EQ] = ACTIONS(671),
    [anon_sym_SLASH_EQ] = ACTIONS(671),
    [anon_sym_PERCENT_EQ] = ACTIONS(671),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(671),
    [anon_sym_2_GT] = ACTIONS(673),
    [anon_sym_2_GT_GT] = ACTIONS(671),
    [anon_sym_3_GT] = ACTIONS(673),
    [anon_sym_3_GT_GT] = ACTIONS(671),
    [anon_sym_4_GT] = ACTIONS(673),
    [anon_sym_4_GT_GT] = ACTIONS(671),
    [anon_sym_5_GT] = ACTIONS(673),
    [anon_sym_5_GT_GT] = ACTIONS(671),
    [anon_sym_6_GT] = ACTIONS(673),
    [anon_sym_6_GT_GT] = ACTIONS(671),
    [anon_sym_STAR_GT] = ACTIONS(673),
    [anon_sym_STAR_GT_GT] = ACTIONS(671),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(671),
    [anon_sym_2_GT_AMP1] = ACTIONS(671),
    [anon_sym_3_GT_AMP1] = ACTIONS(671),
    [anon_sym_4_GT_AMP1] = ACTIONS(671),
    [anon_sym_5_GT_AMP1] = ACTIONS(671),
    [anon_sym_6_GT_AMP1] = ACTIONS(671),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(671),
    [anon_sym_1_GT_AMP2] = ACTIONS(671),
    [anon_sym_3_GT_AMP2] = ACTIONS(671),
    [anon_sym_4_GT_AMP2] = ACTIONS(671),
    [anon_sym_5_GT_AMP2] = ACTIONS(671),
    [anon_sym_6_GT_AMP2] = ACTIONS(671),
    [aux_sym_comparison_operator_token1] = ACTIONS(671),
    [aux_sym_comparison_operator_token2] = ACTIONS(671),
    [aux_sym_comparison_operator_token3] = ACTIONS(671),
    [aux_sym_comparison_operator_token4] = ACTIONS(671),
    [aux_sym_comparison_operator_token5] = ACTIONS(671),
    [aux_sym_comparison_operator_token6] = ACTIONS(671),
    [aux_sym_comparison_operator_token7] = ACTIONS(671),
    [aux_sym_comparison_operator_token8] = ACTIONS(671),
    [aux_sym_comparison_operator_token9] = ACTIONS(671),
    [aux_sym_comparison_operator_token10] = ACTIONS(671),
    [aux_sym_comparison_operator_token11] = ACTIONS(671),
    [aux_sym_comparison_operator_token12] = ACTIONS(671),
    [aux_sym_comparison_operator_token13] = ACTIONS(671),
    [aux_sym_comparison_operator_token14] = ACTIONS(671),
    [aux_sym_comparison_operator_token15] = ACTIONS(671),
    [aux_sym_comparison_operator_token16] = ACTIONS(671),
    [aux_sym_comparison_operator_token17] = ACTIONS(671),
    [aux_sym_comparison_operator_token18] = ACTIONS(671),
    [aux_sym_comparison_operator_token19] = ACTIONS(671),
    [aux_sym_comparison_operator_token20] = ACTIONS(671),
    [aux_sym_comparison_operator_token21] = ACTIONS(671),
    [aux_sym_comparison_operator_token22] = ACTIONS(671),
    [aux_sym_comparison_operator_token23] = ACTIONS(671),
    [aux_sym_comparison_operator_token24] = ACTIONS(671),
    [aux_sym_comparison_operator_token25] = ACTIONS(671),
    [aux_sym_comparison_operator_token26] = ACTIONS(671),
    [aux_sym_comparison_operator_token27] = ACTIONS(671),
    [aux_sym_comparison_operator_token28] = ACTIONS(673),
    [aux_sym_comparison_operator_token29] = ACTIONS(671),
    [aux_sym_comparison_operator_token30] = ACTIONS(671),
    [aux_sym_comparison_operator_token31] = ACTIONS(671),
    [aux_sym_comparison_operator_token32] = ACTIONS(671),
    [aux_sym_comparison_operator_token33] = ACTIONS(671),
    [aux_sym_comparison_operator_token34] = ACTIONS(673),
    [aux_sym_comparison_operator_token35] = ACTIONS(671),
    [aux_sym_comparison_operator_token36] = ACTIONS(671),
    [aux_sym_comparison_operator_token37] = ACTIONS(671),
    [aux_sym_comparison_operator_token38] = ACTIONS(671),
    [aux_sym_comparison_operator_token39] = ACTIONS(671),
    [aux_sym_comparison_operator_token40] = ACTIONS(671),
    [aux_sym_comparison_operator_token41] = ACTIONS(671),
    [aux_sym_comparison_operator_token42] = ACTIONS(671),
    [aux_sym_comparison_operator_token43] = ACTIONS(671),
    [aux_sym_comparison_operator_token44] = ACTIONS(671),
    [aux_sym_comparison_operator_token45] = ACTIONS(671),
    [aux_sym_comparison_operator_token46] = ACTIONS(671),
    [aux_sym_comparison_operator_token47] = ACTIONS(671),
    [aux_sym_comparison_operator_token48] = ACTIONS(671),
    [aux_sym_comparison_operator_token49] = ACTIONS(671),
    [aux_sym_comparison_operator_token50] = ACTIONS(671),
    [aux_sym_format_operator_token1] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(671),
    [anon_sym_COMMA] = ACTIONS(671),
    [anon_sym_PIPE] = ACTIONS(671),
    [anon_sym_PERCENT] = ACTIONS(673),
    [aux_sym_logical_expression_token1] = ACTIONS(671),
    [aux_sym_logical_expression_token2] = ACTIONS(671),
    [aux_sym_logical_expression_token3] = ACTIONS(671),
    [aux_sym_bitwise_expression_token1] = ACTIONS(671),
    [aux_sym_bitwise_expression_token2] = ACTIONS(671),
    [aux_sym_bitwise_expression_token3] = ACTIONS(671),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_BSLASH] = ACTIONS(671),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(671),
    [anon_sym_PLUS_PLUS] = ACTIONS(671),
    [anon_sym_DASH_DASH] = ACTIONS(671),
    [anon_sym_DOT2] = ACTIONS(673),
    [anon_sym_COLON_COLON] = ACTIONS(671),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(671),
    [sym__statement_terminator] = ACTIONS(671),
  },
  [135] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(679),
    [anon_sym_EQ] = ACTIONS(679),
    [anon_sym_BANG_EQ] = ACTIONS(679),
    [anon_sym_PLUS_EQ] = ACTIONS(679),
    [anon_sym_STAR_EQ] = ACTIONS(679),
    [anon_sym_SLASH_EQ] = ACTIONS(679),
    [anon_sym_PERCENT_EQ] = ACTIONS(679),
    [anon_sym_GT] = ACTIONS(681),
    [anon_sym_GT_GT] = ACTIONS(679),
    [anon_sym_2_GT] = ACTIONS(681),
    [anon_sym_2_GT_GT] = ACTIONS(679),
    [anon_sym_3_GT] = ACTIONS(681),
    [anon_sym_3_GT_GT] = ACTIONS(679),
    [anon_sym_4_GT] = ACTIONS(681),
    [anon_sym_4_GT_GT] = ACTIONS(679),
    [anon_sym_5_GT] = ACTIONS(681),
    [anon_sym_5_GT_GT] = ACTIONS(679),
    [anon_sym_6_GT] = ACTIONS(681),
    [anon_sym_6_GT_GT] = ACTIONS(679),
    [anon_sym_STAR_GT] = ACTIONS(681),
    [anon_sym_STAR_GT_GT] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(681),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(679),
    [anon_sym_2_GT_AMP1] = ACTIONS(679),
    [anon_sym_3_GT_AMP1] = ACTIONS(679),
    [anon_sym_4_GT_AMP1] = ACTIONS(679),
    [anon_sym_5_GT_AMP1] = ACTIONS(679),
    [anon_sym_6_GT_AMP1] = ACTIONS(679),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(679),
    [anon_sym_1_GT_AMP2] = ACTIONS(679),
    [anon_sym_3_GT_AMP2] = ACTIONS(679),
    [anon_sym_4_GT_AMP2] = ACTIONS(679),
    [anon_sym_5_GT_AMP2] = ACTIONS(679),
    [anon_sym_6_GT_AMP2] = ACTIONS(679),
    [aux_sym_comparison_operator_token1] = ACTIONS(679),
    [aux_sym_comparison_operator_token2] = ACTIONS(679),
    [aux_sym_comparison_operator_token3] = ACTIONS(679),
    [aux_sym_comparison_operator_token4] = ACTIONS(679),
    [aux_sym_comparison_operator_token5] = ACTIONS(679),
    [aux_sym_comparison_operator_token6] = ACTIONS(679),
    [aux_sym_comparison_operator_token7] = ACTIONS(679),
    [aux_sym_comparison_operator_token8] = ACTIONS(679),
    [aux_sym_comparison_operator_token9] = ACTIONS(679),
    [aux_sym_comparison_operator_token10] = ACTIONS(679),
    [aux_sym_comparison_operator_token11] = ACTIONS(679),
    [aux_sym_comparison_operator_token12] = ACTIONS(679),
    [aux_sym_comparison_operator_token13] = ACTIONS(679),
    [aux_sym_comparison_operator_token14] = ACTIONS(679),
    [aux_sym_comparison_operator_token15] = ACTIONS(679),
    [aux_sym_comparison_operator_token16] = ACTIONS(679),
    [aux_sym_comparison_operator_token17] = ACTIONS(679),
    [aux_sym_comparison_operator_token18] = ACTIONS(679),
    [aux_sym_comparison_operator_token19] = ACTIONS(679),
    [aux_sym_comparison_operator_token20] = ACTIONS(679),
    [aux_sym_comparison_operator_token21] = ACTIONS(679),
    [aux_sym_comparison_operator_token22] = ACTIONS(679),
    [aux_sym_comparison_operator_token23] = ACTIONS(679),
    [aux_sym_comparison_operator_token24] = ACTIONS(679),
    [aux_sym_comparison_operator_token25] = ACTIONS(679),
    [aux_sym_comparison_operator_token26] = ACTIONS(679),
    [aux_sym_comparison_operator_token27] = ACTIONS(679),
    [aux_sym_comparison_operator_token28] = ACTIONS(681),
    [aux_sym_comparison_operator_token29] = ACTIONS(679),
    [aux_sym_comparison_operator_token30] = ACTIONS(679),
    [aux_sym_comparison_operator_token31] = ACTIONS(679),
    [aux_sym_comparison_operator_token32] = ACTIONS(679),
    [aux_sym_comparison_operator_token33] = ACTIONS(679),
    [aux_sym_comparison_operator_token34] = ACTIONS(681),
    [aux_sym_comparison_operator_token35] = ACTIONS(679),
    [aux_sym_comparison_operator_token36] = ACTIONS(679),
    [aux_sym_comparison_operator_token37] = ACTIONS(679),
    [aux_sym_comparison_operator_token38] = ACTIONS(679),
    [aux_sym_comparison_operator_token39] = ACTIONS(679),
    [aux_sym_comparison_operator_token40] = ACTIONS(679),
    [aux_sym_comparison_operator_token41] = ACTIONS(679),
    [aux_sym_comparison_operator_token42] = ACTIONS(679),
    [aux_sym_comparison_operator_token43] = ACTIONS(679),
    [aux_sym_comparison_operator_token44] = ACTIONS(679),
    [aux_sym_comparison_operator_token45] = ACTIONS(679),
    [aux_sym_comparison_operator_token46] = ACTIONS(679),
    [aux_sym_comparison_operator_token47] = ACTIONS(679),
    [aux_sym_comparison_operator_token48] = ACTIONS(679),
    [aux_sym_comparison_operator_token49] = ACTIONS(679),
    [aux_sym_comparison_operator_token50] = ACTIONS(679),
    [aux_sym_format_operator_token1] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(679),
    [anon_sym_COMMA] = ACTIONS(679),
    [anon_sym_PIPE] = ACTIONS(679),
    [anon_sym_PERCENT] = ACTIONS(681),
    [aux_sym_logical_expression_token1] = ACTIONS(679),
    [aux_sym_logical_expression_token2] = ACTIONS(679),
    [aux_sym_logical_expression_token3] = ACTIONS(679),
    [aux_sym_bitwise_expression_token1] = ACTIONS(679),
    [aux_sym_bitwise_expression_token2] = ACTIONS(679),
    [aux_sym_bitwise_expression_token3] = ACTIONS(679),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_SLASH] = ACTIONS(681),
    [anon_sym_BSLASH] = ACTIONS(679),
    [anon_sym_STAR] = ACTIONS(681),
    [anon_sym_DOT_DOT] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(679),
    [anon_sym_DASH_DASH] = ACTIONS(679),
    [anon_sym_DOT2] = ACTIONS(681),
    [anon_sym_COLON_COLON] = ACTIONS(679),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(679),
    [sym__statement_terminator] = ACTIONS(679),
  },
  [136] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(689),
    [anon_sym_EQ] = ACTIONS(689),
    [anon_sym_BANG_EQ] = ACTIONS(689),
    [anon_sym_PLUS_EQ] = ACTIONS(689),
    [anon_sym_STAR_EQ] = ACTIONS(689),
    [anon_sym_SLASH_EQ] = ACTIONS(689),
    [anon_sym_PERCENT_EQ] = ACTIONS(689),
    [anon_sym_GT] = ACTIONS(691),
    [anon_sym_GT_GT] = ACTIONS(689),
    [anon_sym_2_GT] = ACTIONS(691),
    [anon_sym_2_GT_GT] = ACTIONS(689),
    [anon_sym_3_GT] = ACTIONS(691),
    [anon_sym_3_GT_GT] = ACTIONS(689),
    [anon_sym_4_GT] = ACTIONS(691),
    [anon_sym_4_GT_GT] = ACTIONS(689),
    [anon_sym_5_GT] = ACTIONS(691),
    [anon_sym_5_GT_GT] = ACTIONS(689),
    [anon_sym_6_GT] = ACTIONS(691),
    [anon_sym_6_GT_GT] = ACTIONS(689),
    [anon_sym_STAR_GT] = ACTIONS(691),
    [anon_sym_STAR_GT_GT] = ACTIONS(689),
    [anon_sym_LT] = ACTIONS(691),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(689),
    [anon_sym_2_GT_AMP1] = ACTIONS(689),
    [anon_sym_3_GT_AMP1] = ACTIONS(689),
    [anon_sym_4_GT_AMP1] = ACTIONS(689),
    [anon_sym_5_GT_AMP1] = ACTIONS(689),
    [anon_sym_6_GT_AMP1] = ACTIONS(689),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(689),
    [anon_sym_1_GT_AMP2] = ACTIONS(689),
    [anon_sym_3_GT_AMP2] = ACTIONS(689),
    [anon_sym_4_GT_AMP2] = ACTIONS(689),
    [anon_sym_5_GT_AMP2] = ACTIONS(689),
    [anon_sym_6_GT_AMP2] = ACTIONS(689),
    [aux_sym_comparison_operator_token1] = ACTIONS(689),
    [aux_sym_comparison_operator_token2] = ACTIONS(689),
    [aux_sym_comparison_operator_token3] = ACTIONS(689),
    [aux_sym_comparison_operator_token4] = ACTIONS(689),
    [aux_sym_comparison_operator_token5] = ACTIONS(689),
    [aux_sym_comparison_operator_token6] = ACTIONS(689),
    [aux_sym_comparison_operator_token7] = ACTIONS(689),
    [aux_sym_comparison_operator_token8] = ACTIONS(689),
    [aux_sym_comparison_operator_token9] = ACTIONS(689),
    [aux_sym_comparison_operator_token10] = ACTIONS(689),
    [aux_sym_comparison_operator_token11] = ACTIONS(689),
    [aux_sym_comparison_operator_token12] = ACTIONS(689),
    [aux_sym_comparison_operator_token13] = ACTIONS(689),
    [aux_sym_comparison_operator_token14] = ACTIONS(689),
    [aux_sym_comparison_operator_token15] = ACTIONS(689),
    [aux_sym_comparison_operator_token16] = ACTIONS(689),
    [aux_sym_comparison_operator_token17] = ACTIONS(689),
    [aux_sym_comparison_operator_token18] = ACTIONS(689),
    [aux_sym_comparison_operator_token19] = ACTIONS(689),
    [aux_sym_comparison_operator_token20] = ACTIONS(689),
    [aux_sym_comparison_operator_token21] = ACTIONS(689),
    [aux_sym_comparison_operator_token22] = ACTIONS(689),
    [aux_sym_comparison_operator_token23] = ACTIONS(689),
    [aux_sym_comparison_operator_token24] = ACTIONS(689),
    [aux_sym_comparison_operator_token25] = ACTIONS(689),
    [aux_sym_comparison_operator_token26] = ACTIONS(689),
    [aux_sym_comparison_operator_token27] = ACTIONS(689),
    [aux_sym_comparison_operator_token28] = ACTIONS(691),
    [aux_sym_comparison_operator_token29] = ACTIONS(689),
    [aux_sym_comparison_operator_token30] = ACTIONS(689),
    [aux_sym_comparison_operator_token31] = ACTIONS(689),
    [aux_sym_comparison_operator_token32] = ACTIONS(689),
    [aux_sym_comparison_operator_token33] = ACTIONS(689),
    [aux_sym_comparison_operator_token34] = ACTIONS(691),
    [aux_sym_comparison_operator_token35] = ACTIONS(689),
    [aux_sym_comparison_operator_token36] = ACTIONS(689),
    [aux_sym_comparison_operator_token37] = ACTIONS(689),
    [aux_sym_comparison_operator_token38] = ACTIONS(689),
    [aux_sym_comparison_operator_token39] = ACTIONS(689),
    [aux_sym_comparison_operator_token40] = ACTIONS(689),
    [aux_sym_comparison_operator_token41] = ACTIONS(689),
    [aux_sym_comparison_operator_token42] = ACTIONS(689),
    [aux_sym_comparison_operator_token43] = ACTIONS(689),
    [aux_sym_comparison_operator_token44] = ACTIONS(689),
    [aux_sym_comparison_operator_token45] = ACTIONS(689),
    [aux_sym_comparison_operator_token46] = ACTIONS(689),
    [aux_sym_comparison_operator_token47] = ACTIONS(689),
    [aux_sym_comparison_operator_token48] = ACTIONS(689),
    [aux_sym_comparison_operator_token49] = ACTIONS(689),
    [aux_sym_comparison_operator_token50] = ACTIONS(689),
    [aux_sym_format_operator_token1] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(689),
    [anon_sym_COMMA] = ACTIONS(689),
    [anon_sym_PIPE] = ACTIONS(689),
    [anon_sym_PERCENT] = ACTIONS(691),
    [aux_sym_logical_expression_token1] = ACTIONS(689),
    [aux_sym_logical_expression_token2] = ACTIONS(689),
    [aux_sym_logical_expression_token3] = ACTIONS(689),
    [aux_sym_bitwise_expression_token1] = ACTIONS(689),
    [aux_sym_bitwise_expression_token2] = ACTIONS(689),
    [aux_sym_bitwise_expression_token3] = ACTIONS(689),
    [anon_sym_PLUS] = ACTIONS(691),
    [anon_sym_DASH] = ACTIONS(691),
    [anon_sym_SLASH] = ACTIONS(691),
    [anon_sym_BSLASH] = ACTIONS(689),
    [anon_sym_STAR] = ACTIONS(691),
    [anon_sym_DOT_DOT] = ACTIONS(689),
    [anon_sym_PLUS_PLUS] = ACTIONS(689),
    [anon_sym_DASH_DASH] = ACTIONS(689),
    [anon_sym_DOT2] = ACTIONS(691),
    [anon_sym_COLON_COLON] = ACTIONS(689),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(689),
    [sym__statement_terminator] = ACTIONS(689),
  },
  [137] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_EQ] = ACTIONS(705),
    [anon_sym_BANG_EQ] = ACTIONS(705),
    [anon_sym_PLUS_EQ] = ACTIONS(705),
    [anon_sym_STAR_EQ] = ACTIONS(705),
    [anon_sym_SLASH_EQ] = ACTIONS(705),
    [anon_sym_PERCENT_EQ] = ACTIONS(705),
    [anon_sym_GT] = ACTIONS(707),
    [anon_sym_GT_GT] = ACTIONS(705),
    [anon_sym_2_GT] = ACTIONS(707),
    [anon_sym_2_GT_GT] = ACTIONS(705),
    [anon_sym_3_GT] = ACTIONS(707),
    [anon_sym_3_GT_GT] = ACTIONS(705),
    [anon_sym_4_GT] = ACTIONS(707),
    [anon_sym_4_GT_GT] = ACTIONS(705),
    [anon_sym_5_GT] = ACTIONS(707),
    [anon_sym_5_GT_GT] = ACTIONS(705),
    [anon_sym_6_GT] = ACTIONS(707),
    [anon_sym_6_GT_GT] = ACTIONS(705),
    [anon_sym_STAR_GT] = ACTIONS(707),
    [anon_sym_STAR_GT_GT] = ACTIONS(705),
    [anon_sym_LT] = ACTIONS(707),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(705),
    [anon_sym_2_GT_AMP1] = ACTIONS(705),
    [anon_sym_3_GT_AMP1] = ACTIONS(705),
    [anon_sym_4_GT_AMP1] = ACTIONS(705),
    [anon_sym_5_GT_AMP1] = ACTIONS(705),
    [anon_sym_6_GT_AMP1] = ACTIONS(705),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(705),
    [anon_sym_1_GT_AMP2] = ACTIONS(705),
    [anon_sym_3_GT_AMP2] = ACTIONS(705),
    [anon_sym_4_GT_AMP2] = ACTIONS(705),
    [anon_sym_5_GT_AMP2] = ACTIONS(705),
    [anon_sym_6_GT_AMP2] = ACTIONS(705),
    [aux_sym_comparison_operator_token1] = ACTIONS(705),
    [aux_sym_comparison_operator_token2] = ACTIONS(705),
    [aux_sym_comparison_operator_token3] = ACTIONS(705),
    [aux_sym_comparison_operator_token4] = ACTIONS(705),
    [aux_sym_comparison_operator_token5] = ACTIONS(705),
    [aux_sym_comparison_operator_token6] = ACTIONS(705),
    [aux_sym_comparison_operator_token7] = ACTIONS(705),
    [aux_sym_comparison_operator_token8] = ACTIONS(705),
    [aux_sym_comparison_operator_token9] = ACTIONS(705),
    [aux_sym_comparison_operator_token10] = ACTIONS(705),
    [aux_sym_comparison_operator_token11] = ACTIONS(705),
    [aux_sym_comparison_operator_token12] = ACTIONS(705),
    [aux_sym_comparison_operator_token13] = ACTIONS(705),
    [aux_sym_comparison_operator_token14] = ACTIONS(705),
    [aux_sym_comparison_operator_token15] = ACTIONS(705),
    [aux_sym_comparison_operator_token16] = ACTIONS(705),
    [aux_sym_comparison_operator_token17] = ACTIONS(705),
    [aux_sym_comparison_operator_token18] = ACTIONS(705),
    [aux_sym_comparison_operator_token19] = ACTIONS(705),
    [aux_sym_comparison_operator_token20] = ACTIONS(705),
    [aux_sym_comparison_operator_token21] = ACTIONS(705),
    [aux_sym_comparison_operator_token22] = ACTIONS(705),
    [aux_sym_comparison_operator_token23] = ACTIONS(705),
    [aux_sym_comparison_operator_token24] = ACTIONS(705),
    [aux_sym_comparison_operator_token25] = ACTIONS(705),
    [aux_sym_comparison_operator_token26] = ACTIONS(705),
    [aux_sym_comparison_operator_token27] = ACTIONS(705),
    [aux_sym_comparison_operator_token28] = ACTIONS(707),
    [aux_sym_comparison_operator_token29] = ACTIONS(705),
    [aux_sym_comparison_operator_token30] = ACTIONS(705),
    [aux_sym_comparison_operator_token31] = ACTIONS(705),
    [aux_sym_comparison_operator_token32] = ACTIONS(705),
    [aux_sym_comparison_operator_token33] = ACTIONS(705),
    [aux_sym_comparison_operator_token34] = ACTIONS(707),
    [aux_sym_comparison_operator_token35] = ACTIONS(705),
    [aux_sym_comparison_operator_token36] = ACTIONS(705),
    [aux_sym_comparison_operator_token37] = ACTIONS(705),
    [aux_sym_comparison_operator_token38] = ACTIONS(705),
    [aux_sym_comparison_operator_token39] = ACTIONS(705),
    [aux_sym_comparison_operator_token40] = ACTIONS(705),
    [aux_sym_comparison_operator_token41] = ACTIONS(705),
    [aux_sym_comparison_operator_token42] = ACTIONS(705),
    [aux_sym_comparison_operator_token43] = ACTIONS(705),
    [aux_sym_comparison_operator_token44] = ACTIONS(705),
    [aux_sym_comparison_operator_token45] = ACTIONS(705),
    [aux_sym_comparison_operator_token46] = ACTIONS(705),
    [aux_sym_comparison_operator_token47] = ACTIONS(705),
    [aux_sym_comparison_operator_token48] = ACTIONS(705),
    [aux_sym_comparison_operator_token49] = ACTIONS(705),
    [aux_sym_comparison_operator_token50] = ACTIONS(705),
    [aux_sym_format_operator_token1] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(705),
    [anon_sym_COMMA] = ACTIONS(705),
    [anon_sym_PIPE] = ACTIONS(705),
    [anon_sym_PERCENT] = ACTIONS(707),
    [aux_sym_logical_expression_token1] = ACTIONS(705),
    [aux_sym_logical_expression_token2] = ACTIONS(705),
    [aux_sym_logical_expression_token3] = ACTIONS(705),
    [aux_sym_bitwise_expression_token1] = ACTIONS(705),
    [aux_sym_bitwise_expression_token2] = ACTIONS(705),
    [aux_sym_bitwise_expression_token3] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_SLASH] = ACTIONS(707),
    [anon_sym_BSLASH] = ACTIONS(705),
    [anon_sym_STAR] = ACTIONS(707),
    [anon_sym_DOT_DOT] = ACTIONS(705),
    [anon_sym_PLUS_PLUS] = ACTIONS(705),
    [anon_sym_DASH_DASH] = ACTIONS(705),
    [anon_sym_DOT2] = ACTIONS(707),
    [anon_sym_COLON_COLON] = ACTIONS(705),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(705),
    [sym__statement_terminator] = ACTIONS(705),
  },
  [138] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_EQ] = ACTIONS(709),
    [anon_sym_BANG_EQ] = ACTIONS(709),
    [anon_sym_PLUS_EQ] = ACTIONS(709),
    [anon_sym_STAR_EQ] = ACTIONS(709),
    [anon_sym_SLASH_EQ] = ACTIONS(709),
    [anon_sym_PERCENT_EQ] = ACTIONS(709),
    [anon_sym_GT] = ACTIONS(711),
    [anon_sym_GT_GT] = ACTIONS(709),
    [anon_sym_2_GT] = ACTIONS(711),
    [anon_sym_2_GT_GT] = ACTIONS(709),
    [anon_sym_3_GT] = ACTIONS(711),
    [anon_sym_3_GT_GT] = ACTIONS(709),
    [anon_sym_4_GT] = ACTIONS(711),
    [anon_sym_4_GT_GT] = ACTIONS(709),
    [anon_sym_5_GT] = ACTIONS(711),
    [anon_sym_5_GT_GT] = ACTIONS(709),
    [anon_sym_6_GT] = ACTIONS(711),
    [anon_sym_6_GT_GT] = ACTIONS(709),
    [anon_sym_STAR_GT] = ACTIONS(711),
    [anon_sym_STAR_GT_GT] = ACTIONS(709),
    [anon_sym_LT] = ACTIONS(711),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(709),
    [anon_sym_2_GT_AMP1] = ACTIONS(709),
    [anon_sym_3_GT_AMP1] = ACTIONS(709),
    [anon_sym_4_GT_AMP1] = ACTIONS(709),
    [anon_sym_5_GT_AMP1] = ACTIONS(709),
    [anon_sym_6_GT_AMP1] = ACTIONS(709),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(709),
    [anon_sym_1_GT_AMP2] = ACTIONS(709),
    [anon_sym_3_GT_AMP2] = ACTIONS(709),
    [anon_sym_4_GT_AMP2] = ACTIONS(709),
    [anon_sym_5_GT_AMP2] = ACTIONS(709),
    [anon_sym_6_GT_AMP2] = ACTIONS(709),
    [aux_sym_comparison_operator_token1] = ACTIONS(709),
    [aux_sym_comparison_operator_token2] = ACTIONS(709),
    [aux_sym_comparison_operator_token3] = ACTIONS(709),
    [aux_sym_comparison_operator_token4] = ACTIONS(709),
    [aux_sym_comparison_operator_token5] = ACTIONS(709),
    [aux_sym_comparison_operator_token6] = ACTIONS(709),
    [aux_sym_comparison_operator_token7] = ACTIONS(709),
    [aux_sym_comparison_operator_token8] = ACTIONS(709),
    [aux_sym_comparison_operator_token9] = ACTIONS(709),
    [aux_sym_comparison_operator_token10] = ACTIONS(709),
    [aux_sym_comparison_operator_token11] = ACTIONS(709),
    [aux_sym_comparison_operator_token12] = ACTIONS(709),
    [aux_sym_comparison_operator_token13] = ACTIONS(709),
    [aux_sym_comparison_operator_token14] = ACTIONS(709),
    [aux_sym_comparison_operator_token15] = ACTIONS(709),
    [aux_sym_comparison_operator_token16] = ACTIONS(709),
    [aux_sym_comparison_operator_token17] = ACTIONS(709),
    [aux_sym_comparison_operator_token18] = ACTIONS(709),
    [aux_sym_comparison_operator_token19] = ACTIONS(709),
    [aux_sym_comparison_operator_token20] = ACTIONS(709),
    [aux_sym_comparison_operator_token21] = ACTIONS(709),
    [aux_sym_comparison_operator_token22] = ACTIONS(709),
    [aux_sym_comparison_operator_token23] = ACTIONS(709),
    [aux_sym_comparison_operator_token24] = ACTIONS(709),
    [aux_sym_comparison_operator_token25] = ACTIONS(709),
    [aux_sym_comparison_operator_token26] = ACTIONS(709),
    [aux_sym_comparison_operator_token27] = ACTIONS(709),
    [aux_sym_comparison_operator_token28] = ACTIONS(711),
    [aux_sym_comparison_operator_token29] = ACTIONS(709),
    [aux_sym_comparison_operator_token30] = ACTIONS(709),
    [aux_sym_comparison_operator_token31] = ACTIONS(709),
    [aux_sym_comparison_operator_token32] = ACTIONS(709),
    [aux_sym_comparison_operator_token33] = ACTIONS(709),
    [aux_sym_comparison_operator_token34] = ACTIONS(711),
    [aux_sym_comparison_operator_token35] = ACTIONS(709),
    [aux_sym_comparison_operator_token36] = ACTIONS(709),
    [aux_sym_comparison_operator_token37] = ACTIONS(709),
    [aux_sym_comparison_operator_token38] = ACTIONS(709),
    [aux_sym_comparison_operator_token39] = ACTIONS(709),
    [aux_sym_comparison_operator_token40] = ACTIONS(709),
    [aux_sym_comparison_operator_token41] = ACTIONS(709),
    [aux_sym_comparison_operator_token42] = ACTIONS(709),
    [aux_sym_comparison_operator_token43] = ACTIONS(709),
    [aux_sym_comparison_operator_token44] = ACTIONS(709),
    [aux_sym_comparison_operator_token45] = ACTIONS(709),
    [aux_sym_comparison_operator_token46] = ACTIONS(709),
    [aux_sym_comparison_operator_token47] = ACTIONS(709),
    [aux_sym_comparison_operator_token48] = ACTIONS(709),
    [aux_sym_comparison_operator_token49] = ACTIONS(709),
    [aux_sym_comparison_operator_token50] = ACTIONS(709),
    [aux_sym_format_operator_token1] = ACTIONS(709),
    [anon_sym_LPAREN] = ACTIONS(709),
    [anon_sym_COMMA] = ACTIONS(709),
    [anon_sym_PIPE] = ACTIONS(709),
    [anon_sym_PERCENT] = ACTIONS(711),
    [aux_sym_logical_expression_token1] = ACTIONS(709),
    [aux_sym_logical_expression_token2] = ACTIONS(709),
    [aux_sym_logical_expression_token3] = ACTIONS(709),
    [aux_sym_bitwise_expression_token1] = ACTIONS(709),
    [aux_sym_bitwise_expression_token2] = ACTIONS(709),
    [aux_sym_bitwise_expression_token3] = ACTIONS(709),
    [anon_sym_PLUS] = ACTIONS(711),
    [anon_sym_DASH] = ACTIONS(711),
    [anon_sym_SLASH] = ACTIONS(711),
    [anon_sym_BSLASH] = ACTIONS(709),
    [anon_sym_STAR] = ACTIONS(711),
    [anon_sym_DOT_DOT] = ACTIONS(709),
    [anon_sym_PLUS_PLUS] = ACTIONS(709),
    [anon_sym_DASH_DASH] = ACTIONS(709),
    [anon_sym_DOT2] = ACTIONS(711),
    [anon_sym_COLON_COLON] = ACTIONS(709),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(709),
    [sym__statement_terminator] = ACTIONS(709),
  },
  [139] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(621),
    [anon_sym_EQ] = ACTIONS(621),
    [anon_sym_BANG_EQ] = ACTIONS(621),
    [anon_sym_PLUS_EQ] = ACTIONS(621),
    [anon_sym_STAR_EQ] = ACTIONS(621),
    [anon_sym_SLASH_EQ] = ACTIONS(621),
    [anon_sym_PERCENT_EQ] = ACTIONS(621),
    [anon_sym_GT] = ACTIONS(623),
    [anon_sym_GT_GT] = ACTIONS(621),
    [anon_sym_2_GT] = ACTIONS(623),
    [anon_sym_2_GT_GT] = ACTIONS(621),
    [anon_sym_3_GT] = ACTIONS(623),
    [anon_sym_3_GT_GT] = ACTIONS(621),
    [anon_sym_4_GT] = ACTIONS(623),
    [anon_sym_4_GT_GT] = ACTIONS(621),
    [anon_sym_5_GT] = ACTIONS(623),
    [anon_sym_5_GT_GT] = ACTIONS(621),
    [anon_sym_6_GT] = ACTIONS(623),
    [anon_sym_6_GT_GT] = ACTIONS(621),
    [anon_sym_STAR_GT] = ACTIONS(623),
    [anon_sym_STAR_GT_GT] = ACTIONS(621),
    [anon_sym_LT] = ACTIONS(623),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(621),
    [anon_sym_2_GT_AMP1] = ACTIONS(621),
    [anon_sym_3_GT_AMP1] = ACTIONS(621),
    [anon_sym_4_GT_AMP1] = ACTIONS(621),
    [anon_sym_5_GT_AMP1] = ACTIONS(621),
    [anon_sym_6_GT_AMP1] = ACTIONS(621),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(621),
    [anon_sym_1_GT_AMP2] = ACTIONS(621),
    [anon_sym_3_GT_AMP2] = ACTIONS(621),
    [anon_sym_4_GT_AMP2] = ACTIONS(621),
    [anon_sym_5_GT_AMP2] = ACTIONS(621),
    [anon_sym_6_GT_AMP2] = ACTIONS(621),
    [aux_sym_comparison_operator_token1] = ACTIONS(621),
    [aux_sym_comparison_operator_token2] = ACTIONS(621),
    [aux_sym_comparison_operator_token3] = ACTIONS(621),
    [aux_sym_comparison_operator_token4] = ACTIONS(621),
    [aux_sym_comparison_operator_token5] = ACTIONS(621),
    [aux_sym_comparison_operator_token6] = ACTIONS(621),
    [aux_sym_comparison_operator_token7] = ACTIONS(621),
    [aux_sym_comparison_operator_token8] = ACTIONS(621),
    [aux_sym_comparison_operator_token9] = ACTIONS(621),
    [aux_sym_comparison_operator_token10] = ACTIONS(621),
    [aux_sym_comparison_operator_token11] = ACTIONS(621),
    [aux_sym_comparison_operator_token12] = ACTIONS(621),
    [aux_sym_comparison_operator_token13] = ACTIONS(621),
    [aux_sym_comparison_operator_token14] = ACTIONS(621),
    [aux_sym_comparison_operator_token15] = ACTIONS(621),
    [aux_sym_comparison_operator_token16] = ACTIONS(621),
    [aux_sym_comparison_operator_token17] = ACTIONS(621),
    [aux_sym_comparison_operator_token18] = ACTIONS(621),
    [aux_sym_comparison_operator_token19] = ACTIONS(621),
    [aux_sym_comparison_operator_token20] = ACTIONS(621),
    [aux_sym_comparison_operator_token21] = ACTIONS(621),
    [aux_sym_comparison_operator_token22] = ACTIONS(621),
    [aux_sym_comparison_operator_token23] = ACTIONS(621),
    [aux_sym_comparison_operator_token24] = ACTIONS(621),
    [aux_sym_comparison_operator_token25] = ACTIONS(621),
    [aux_sym_comparison_operator_token26] = ACTIONS(621),
    [aux_sym_comparison_operator_token27] = ACTIONS(621),
    [aux_sym_comparison_operator_token28] = ACTIONS(623),
    [aux_sym_comparison_operator_token29] = ACTIONS(621),
    [aux_sym_comparison_operator_token30] = ACTIONS(621),
    [aux_sym_comparison_operator_token31] = ACTIONS(621),
    [aux_sym_comparison_operator_token32] = ACTIONS(621),
    [aux_sym_comparison_operator_token33] = ACTIONS(621),
    [aux_sym_comparison_operator_token34] = ACTIONS(623),
    [aux_sym_comparison_operator_token35] = ACTIONS(621),
    [aux_sym_comparison_operator_token36] = ACTIONS(621),
    [aux_sym_comparison_operator_token37] = ACTIONS(621),
    [aux_sym_comparison_operator_token38] = ACTIONS(621),
    [aux_sym_comparison_operator_token39] = ACTIONS(621),
    [aux_sym_comparison_operator_token40] = ACTIONS(621),
    [aux_sym_comparison_operator_token41] = ACTIONS(621),
    [aux_sym_comparison_operator_token42] = ACTIONS(621),
    [aux_sym_comparison_operator_token43] = ACTIONS(621),
    [aux_sym_comparison_operator_token44] = ACTIONS(621),
    [aux_sym_comparison_operator_token45] = ACTIONS(621),
    [aux_sym_comparison_operator_token46] = ACTIONS(621),
    [aux_sym_comparison_operator_token47] = ACTIONS(621),
    [aux_sym_comparison_operator_token48] = ACTIONS(621),
    [aux_sym_comparison_operator_token49] = ACTIONS(621),
    [aux_sym_comparison_operator_token50] = ACTIONS(621),
    [aux_sym_format_operator_token1] = ACTIONS(621),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_COMMA] = ACTIONS(621),
    [anon_sym_PIPE] = ACTIONS(621),
    [anon_sym_PERCENT] = ACTIONS(623),
    [aux_sym_logical_expression_token1] = ACTIONS(621),
    [aux_sym_logical_expression_token2] = ACTIONS(621),
    [aux_sym_logical_expression_token3] = ACTIONS(621),
    [aux_sym_bitwise_expression_token1] = ACTIONS(621),
    [aux_sym_bitwise_expression_token2] = ACTIONS(621),
    [aux_sym_bitwise_expression_token3] = ACTIONS(621),
    [anon_sym_PLUS] = ACTIONS(623),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_SLASH] = ACTIONS(623),
    [anon_sym_BSLASH] = ACTIONS(621),
    [anon_sym_STAR] = ACTIONS(623),
    [anon_sym_DOT_DOT] = ACTIONS(621),
    [anon_sym_PLUS_PLUS] = ACTIONS(621),
    [anon_sym_DASH_DASH] = ACTIONS(621),
    [anon_sym_DOT2] = ACTIONS(623),
    [anon_sym_COLON_COLON] = ACTIONS(621),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(621),
    [sym__statement_terminator] = ACTIONS(621),
  },
  [140] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(721),
    [anon_sym_EQ] = ACTIONS(721),
    [anon_sym_BANG_EQ] = ACTIONS(721),
    [anon_sym_PLUS_EQ] = ACTIONS(721),
    [anon_sym_STAR_EQ] = ACTIONS(721),
    [anon_sym_SLASH_EQ] = ACTIONS(721),
    [anon_sym_PERCENT_EQ] = ACTIONS(721),
    [anon_sym_GT] = ACTIONS(723),
    [anon_sym_GT_GT] = ACTIONS(721),
    [anon_sym_2_GT] = ACTIONS(723),
    [anon_sym_2_GT_GT] = ACTIONS(721),
    [anon_sym_3_GT] = ACTIONS(723),
    [anon_sym_3_GT_GT] = ACTIONS(721),
    [anon_sym_4_GT] = ACTIONS(723),
    [anon_sym_4_GT_GT] = ACTIONS(721),
    [anon_sym_5_GT] = ACTIONS(723),
    [anon_sym_5_GT_GT] = ACTIONS(721),
    [anon_sym_6_GT] = ACTIONS(723),
    [anon_sym_6_GT_GT] = ACTIONS(721),
    [anon_sym_STAR_GT] = ACTIONS(723),
    [anon_sym_STAR_GT_GT] = ACTIONS(721),
    [anon_sym_LT] = ACTIONS(723),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(721),
    [anon_sym_2_GT_AMP1] = ACTIONS(721),
    [anon_sym_3_GT_AMP1] = ACTIONS(721),
    [anon_sym_4_GT_AMP1] = ACTIONS(721),
    [anon_sym_5_GT_AMP1] = ACTIONS(721),
    [anon_sym_6_GT_AMP1] = ACTIONS(721),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(721),
    [anon_sym_1_GT_AMP2] = ACTIONS(721),
    [anon_sym_3_GT_AMP2] = ACTIONS(721),
    [anon_sym_4_GT_AMP2] = ACTIONS(721),
    [anon_sym_5_GT_AMP2] = ACTIONS(721),
    [anon_sym_6_GT_AMP2] = ACTIONS(721),
    [aux_sym_comparison_operator_token1] = ACTIONS(721),
    [aux_sym_comparison_operator_token2] = ACTIONS(721),
    [aux_sym_comparison_operator_token3] = ACTIONS(721),
    [aux_sym_comparison_operator_token4] = ACTIONS(721),
    [aux_sym_comparison_operator_token5] = ACTIONS(721),
    [aux_sym_comparison_operator_token6] = ACTIONS(721),
    [aux_sym_comparison_operator_token7] = ACTIONS(721),
    [aux_sym_comparison_operator_token8] = ACTIONS(721),
    [aux_sym_comparison_operator_token9] = ACTIONS(721),
    [aux_sym_comparison_operator_token10] = ACTIONS(721),
    [aux_sym_comparison_operator_token11] = ACTIONS(721),
    [aux_sym_comparison_operator_token12] = ACTIONS(721),
    [aux_sym_comparison_operator_token13] = ACTIONS(721),
    [aux_sym_comparison_operator_token14] = ACTIONS(721),
    [aux_sym_comparison_operator_token15] = ACTIONS(721),
    [aux_sym_comparison_operator_token16] = ACTIONS(721),
    [aux_sym_comparison_operator_token17] = ACTIONS(721),
    [aux_sym_comparison_operator_token18] = ACTIONS(721),
    [aux_sym_comparison_operator_token19] = ACTIONS(721),
    [aux_sym_comparison_operator_token20] = ACTIONS(721),
    [aux_sym_comparison_operator_token21] = ACTIONS(721),
    [aux_sym_comparison_operator_token22] = ACTIONS(721),
    [aux_sym_comparison_operator_token23] = ACTIONS(721),
    [aux_sym_comparison_operator_token24] = ACTIONS(721),
    [aux_sym_comparison_operator_token25] = ACTIONS(721),
    [aux_sym_comparison_operator_token26] = ACTIONS(721),
    [aux_sym_comparison_operator_token27] = ACTIONS(721),
    [aux_sym_comparison_operator_token28] = ACTIONS(723),
    [aux_sym_comparison_operator_token29] = ACTIONS(721),
    [aux_sym_comparison_operator_token30] = ACTIONS(721),
    [aux_sym_comparison_operator_token31] = ACTIONS(721),
    [aux_sym_comparison_operator_token32] = ACTIONS(721),
    [aux_sym_comparison_operator_token33] = ACTIONS(721),
    [aux_sym_comparison_operator_token34] = ACTIONS(723),
    [aux_sym_comparison_operator_token35] = ACTIONS(721),
    [aux_sym_comparison_operator_token36] = ACTIONS(721),
    [aux_sym_comparison_operator_token37] = ACTIONS(721),
    [aux_sym_comparison_operator_token38] = ACTIONS(721),
    [aux_sym_comparison_operator_token39] = ACTIONS(721),
    [aux_sym_comparison_operator_token40] = ACTIONS(721),
    [aux_sym_comparison_operator_token41] = ACTIONS(721),
    [aux_sym_comparison_operator_token42] = ACTIONS(721),
    [aux_sym_comparison_operator_token43] = ACTIONS(721),
    [aux_sym_comparison_operator_token44] = ACTIONS(721),
    [aux_sym_comparison_operator_token45] = ACTIONS(721),
    [aux_sym_comparison_operator_token46] = ACTIONS(721),
    [aux_sym_comparison_operator_token47] = ACTIONS(721),
    [aux_sym_comparison_operator_token48] = ACTIONS(721),
    [aux_sym_comparison_operator_token49] = ACTIONS(721),
    [aux_sym_comparison_operator_token50] = ACTIONS(721),
    [aux_sym_format_operator_token1] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(721),
    [anon_sym_COMMA] = ACTIONS(721),
    [anon_sym_PIPE] = ACTIONS(721),
    [anon_sym_PERCENT] = ACTIONS(723),
    [aux_sym_logical_expression_token1] = ACTIONS(721),
    [aux_sym_logical_expression_token2] = ACTIONS(721),
    [aux_sym_logical_expression_token3] = ACTIONS(721),
    [aux_sym_bitwise_expression_token1] = ACTIONS(721),
    [aux_sym_bitwise_expression_token2] = ACTIONS(721),
    [aux_sym_bitwise_expression_token3] = ACTIONS(721),
    [anon_sym_PLUS] = ACTIONS(723),
    [anon_sym_DASH] = ACTIONS(723),
    [anon_sym_SLASH] = ACTIONS(723),
    [anon_sym_BSLASH] = ACTIONS(721),
    [anon_sym_STAR] = ACTIONS(723),
    [anon_sym_DOT_DOT] = ACTIONS(721),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [anon_sym_DOT2] = ACTIONS(723),
    [anon_sym_COLON_COLON] = ACTIONS(721),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(721),
    [sym__statement_terminator] = ACTIONS(721),
  },
  [141] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(729),
    [anon_sym_EQ] = ACTIONS(729),
    [anon_sym_BANG_EQ] = ACTIONS(729),
    [anon_sym_PLUS_EQ] = ACTIONS(729),
    [anon_sym_STAR_EQ] = ACTIONS(729),
    [anon_sym_SLASH_EQ] = ACTIONS(729),
    [anon_sym_PERCENT_EQ] = ACTIONS(729),
    [anon_sym_GT] = ACTIONS(731),
    [anon_sym_GT_GT] = ACTIONS(729),
    [anon_sym_2_GT] = ACTIONS(731),
    [anon_sym_2_GT_GT] = ACTIONS(729),
    [anon_sym_3_GT] = ACTIONS(731),
    [anon_sym_3_GT_GT] = ACTIONS(729),
    [anon_sym_4_GT] = ACTIONS(731),
    [anon_sym_4_GT_GT] = ACTIONS(729),
    [anon_sym_5_GT] = ACTIONS(731),
    [anon_sym_5_GT_GT] = ACTIONS(729),
    [anon_sym_6_GT] = ACTIONS(731),
    [anon_sym_6_GT_GT] = ACTIONS(729),
    [anon_sym_STAR_GT] = ACTIONS(731),
    [anon_sym_STAR_GT_GT] = ACTIONS(729),
    [anon_sym_LT] = ACTIONS(731),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(729),
    [anon_sym_2_GT_AMP1] = ACTIONS(729),
    [anon_sym_3_GT_AMP1] = ACTIONS(729),
    [anon_sym_4_GT_AMP1] = ACTIONS(729),
    [anon_sym_5_GT_AMP1] = ACTIONS(729),
    [anon_sym_6_GT_AMP1] = ACTIONS(729),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(729),
    [anon_sym_1_GT_AMP2] = ACTIONS(729),
    [anon_sym_3_GT_AMP2] = ACTIONS(729),
    [anon_sym_4_GT_AMP2] = ACTIONS(729),
    [anon_sym_5_GT_AMP2] = ACTIONS(729),
    [anon_sym_6_GT_AMP2] = ACTIONS(729),
    [aux_sym_comparison_operator_token1] = ACTIONS(729),
    [aux_sym_comparison_operator_token2] = ACTIONS(729),
    [aux_sym_comparison_operator_token3] = ACTIONS(729),
    [aux_sym_comparison_operator_token4] = ACTIONS(729),
    [aux_sym_comparison_operator_token5] = ACTIONS(729),
    [aux_sym_comparison_operator_token6] = ACTIONS(729),
    [aux_sym_comparison_operator_token7] = ACTIONS(729),
    [aux_sym_comparison_operator_token8] = ACTIONS(729),
    [aux_sym_comparison_operator_token9] = ACTIONS(729),
    [aux_sym_comparison_operator_token10] = ACTIONS(729),
    [aux_sym_comparison_operator_token11] = ACTIONS(729),
    [aux_sym_comparison_operator_token12] = ACTIONS(729),
    [aux_sym_comparison_operator_token13] = ACTIONS(729),
    [aux_sym_comparison_operator_token14] = ACTIONS(729),
    [aux_sym_comparison_operator_token15] = ACTIONS(729),
    [aux_sym_comparison_operator_token16] = ACTIONS(729),
    [aux_sym_comparison_operator_token17] = ACTIONS(729),
    [aux_sym_comparison_operator_token18] = ACTIONS(729),
    [aux_sym_comparison_operator_token19] = ACTIONS(729),
    [aux_sym_comparison_operator_token20] = ACTIONS(729),
    [aux_sym_comparison_operator_token21] = ACTIONS(729),
    [aux_sym_comparison_operator_token22] = ACTIONS(729),
    [aux_sym_comparison_operator_token23] = ACTIONS(729),
    [aux_sym_comparison_operator_token24] = ACTIONS(729),
    [aux_sym_comparison_operator_token25] = ACTIONS(729),
    [aux_sym_comparison_operator_token26] = ACTIONS(729),
    [aux_sym_comparison_operator_token27] = ACTIONS(729),
    [aux_sym_comparison_operator_token28] = ACTIONS(731),
    [aux_sym_comparison_operator_token29] = ACTIONS(729),
    [aux_sym_comparison_operator_token30] = ACTIONS(729),
    [aux_sym_comparison_operator_token31] = ACTIONS(729),
    [aux_sym_comparison_operator_token32] = ACTIONS(729),
    [aux_sym_comparison_operator_token33] = ACTIONS(729),
    [aux_sym_comparison_operator_token34] = ACTIONS(731),
    [aux_sym_comparison_operator_token35] = ACTIONS(729),
    [aux_sym_comparison_operator_token36] = ACTIONS(729),
    [aux_sym_comparison_operator_token37] = ACTIONS(729),
    [aux_sym_comparison_operator_token38] = ACTIONS(729),
    [aux_sym_comparison_operator_token39] = ACTIONS(729),
    [aux_sym_comparison_operator_token40] = ACTIONS(729),
    [aux_sym_comparison_operator_token41] = ACTIONS(729),
    [aux_sym_comparison_operator_token42] = ACTIONS(729),
    [aux_sym_comparison_operator_token43] = ACTIONS(729),
    [aux_sym_comparison_operator_token44] = ACTIONS(729),
    [aux_sym_comparison_operator_token45] = ACTIONS(729),
    [aux_sym_comparison_operator_token46] = ACTIONS(729),
    [aux_sym_comparison_operator_token47] = ACTIONS(729),
    [aux_sym_comparison_operator_token48] = ACTIONS(729),
    [aux_sym_comparison_operator_token49] = ACTIONS(729),
    [aux_sym_comparison_operator_token50] = ACTIONS(729),
    [aux_sym_format_operator_token1] = ACTIONS(729),
    [anon_sym_LPAREN] = ACTIONS(729),
    [anon_sym_COMMA] = ACTIONS(729),
    [anon_sym_PIPE] = ACTIONS(729),
    [anon_sym_PERCENT] = ACTIONS(731),
    [aux_sym_logical_expression_token1] = ACTIONS(729),
    [aux_sym_logical_expression_token2] = ACTIONS(729),
    [aux_sym_logical_expression_token3] = ACTIONS(729),
    [aux_sym_bitwise_expression_token1] = ACTIONS(729),
    [aux_sym_bitwise_expression_token2] = ACTIONS(729),
    [aux_sym_bitwise_expression_token3] = ACTIONS(729),
    [anon_sym_PLUS] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(731),
    [anon_sym_SLASH] = ACTIONS(731),
    [anon_sym_BSLASH] = ACTIONS(729),
    [anon_sym_STAR] = ACTIONS(731),
    [anon_sym_DOT_DOT] = ACTIONS(729),
    [anon_sym_PLUS_PLUS] = ACTIONS(729),
    [anon_sym_DASH_DASH] = ACTIONS(729),
    [anon_sym_DOT2] = ACTIONS(731),
    [anon_sym_COLON_COLON] = ACTIONS(729),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(729),
    [sym__statement_terminator] = ACTIONS(729),
  },
  [142] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_EQ] = ACTIONS(725),
    [anon_sym_BANG_EQ] = ACTIONS(725),
    [anon_sym_PLUS_EQ] = ACTIONS(725),
    [anon_sym_STAR_EQ] = ACTIONS(725),
    [anon_sym_SLASH_EQ] = ACTIONS(725),
    [anon_sym_PERCENT_EQ] = ACTIONS(725),
    [anon_sym_GT] = ACTIONS(727),
    [anon_sym_GT_GT] = ACTIONS(725),
    [anon_sym_2_GT] = ACTIONS(727),
    [anon_sym_2_GT_GT] = ACTIONS(725),
    [anon_sym_3_GT] = ACTIONS(727),
    [anon_sym_3_GT_GT] = ACTIONS(725),
    [anon_sym_4_GT] = ACTIONS(727),
    [anon_sym_4_GT_GT] = ACTIONS(725),
    [anon_sym_5_GT] = ACTIONS(727),
    [anon_sym_5_GT_GT] = ACTIONS(725),
    [anon_sym_6_GT] = ACTIONS(727),
    [anon_sym_6_GT_GT] = ACTIONS(725),
    [anon_sym_STAR_GT] = ACTIONS(727),
    [anon_sym_STAR_GT_GT] = ACTIONS(725),
    [anon_sym_LT] = ACTIONS(727),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(725),
    [anon_sym_2_GT_AMP1] = ACTIONS(725),
    [anon_sym_3_GT_AMP1] = ACTIONS(725),
    [anon_sym_4_GT_AMP1] = ACTIONS(725),
    [anon_sym_5_GT_AMP1] = ACTIONS(725),
    [anon_sym_6_GT_AMP1] = ACTIONS(725),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(725),
    [anon_sym_1_GT_AMP2] = ACTIONS(725),
    [anon_sym_3_GT_AMP2] = ACTIONS(725),
    [anon_sym_4_GT_AMP2] = ACTIONS(725),
    [anon_sym_5_GT_AMP2] = ACTIONS(725),
    [anon_sym_6_GT_AMP2] = ACTIONS(725),
    [aux_sym_comparison_operator_token1] = ACTIONS(725),
    [aux_sym_comparison_operator_token2] = ACTIONS(725),
    [aux_sym_comparison_operator_token3] = ACTIONS(725),
    [aux_sym_comparison_operator_token4] = ACTIONS(725),
    [aux_sym_comparison_operator_token5] = ACTIONS(725),
    [aux_sym_comparison_operator_token6] = ACTIONS(725),
    [aux_sym_comparison_operator_token7] = ACTIONS(725),
    [aux_sym_comparison_operator_token8] = ACTIONS(725),
    [aux_sym_comparison_operator_token9] = ACTIONS(725),
    [aux_sym_comparison_operator_token10] = ACTIONS(725),
    [aux_sym_comparison_operator_token11] = ACTIONS(725),
    [aux_sym_comparison_operator_token12] = ACTIONS(725),
    [aux_sym_comparison_operator_token13] = ACTIONS(725),
    [aux_sym_comparison_operator_token14] = ACTIONS(725),
    [aux_sym_comparison_operator_token15] = ACTIONS(725),
    [aux_sym_comparison_operator_token16] = ACTIONS(725),
    [aux_sym_comparison_operator_token17] = ACTIONS(725),
    [aux_sym_comparison_operator_token18] = ACTIONS(725),
    [aux_sym_comparison_operator_token19] = ACTIONS(725),
    [aux_sym_comparison_operator_token20] = ACTIONS(725),
    [aux_sym_comparison_operator_token21] = ACTIONS(725),
    [aux_sym_comparison_operator_token22] = ACTIONS(725),
    [aux_sym_comparison_operator_token23] = ACTIONS(725),
    [aux_sym_comparison_operator_token24] = ACTIONS(725),
    [aux_sym_comparison_operator_token25] = ACTIONS(725),
    [aux_sym_comparison_operator_token26] = ACTIONS(725),
    [aux_sym_comparison_operator_token27] = ACTIONS(725),
    [aux_sym_comparison_operator_token28] = ACTIONS(727),
    [aux_sym_comparison_operator_token29] = ACTIONS(725),
    [aux_sym_comparison_operator_token30] = ACTIONS(725),
    [aux_sym_comparison_operator_token31] = ACTIONS(725),
    [aux_sym_comparison_operator_token32] = ACTIONS(725),
    [aux_sym_comparison_operator_token33] = ACTIONS(725),
    [aux_sym_comparison_operator_token34] = ACTIONS(727),
    [aux_sym_comparison_operator_token35] = ACTIONS(725),
    [aux_sym_comparison_operator_token36] = ACTIONS(725),
    [aux_sym_comparison_operator_token37] = ACTIONS(725),
    [aux_sym_comparison_operator_token38] = ACTIONS(725),
    [aux_sym_comparison_operator_token39] = ACTIONS(725),
    [aux_sym_comparison_operator_token40] = ACTIONS(725),
    [aux_sym_comparison_operator_token41] = ACTIONS(725),
    [aux_sym_comparison_operator_token42] = ACTIONS(725),
    [aux_sym_comparison_operator_token43] = ACTIONS(725),
    [aux_sym_comparison_operator_token44] = ACTIONS(725),
    [aux_sym_comparison_operator_token45] = ACTIONS(725),
    [aux_sym_comparison_operator_token46] = ACTIONS(725),
    [aux_sym_comparison_operator_token47] = ACTIONS(725),
    [aux_sym_comparison_operator_token48] = ACTIONS(725),
    [aux_sym_comparison_operator_token49] = ACTIONS(725),
    [aux_sym_comparison_operator_token50] = ACTIONS(725),
    [aux_sym_format_operator_token1] = ACTIONS(725),
    [anon_sym_LPAREN] = ACTIONS(725),
    [anon_sym_COMMA] = ACTIONS(725),
    [anon_sym_PIPE] = ACTIONS(725),
    [anon_sym_PERCENT] = ACTIONS(727),
    [aux_sym_logical_expression_token1] = ACTIONS(725),
    [aux_sym_logical_expression_token2] = ACTIONS(725),
    [aux_sym_logical_expression_token3] = ACTIONS(725),
    [aux_sym_bitwise_expression_token1] = ACTIONS(725),
    [aux_sym_bitwise_expression_token2] = ACTIONS(725),
    [aux_sym_bitwise_expression_token3] = ACTIONS(725),
    [anon_sym_PLUS] = ACTIONS(727),
    [anon_sym_DASH] = ACTIONS(727),
    [anon_sym_SLASH] = ACTIONS(727),
    [anon_sym_BSLASH] = ACTIONS(725),
    [anon_sym_STAR] = ACTIONS(727),
    [anon_sym_DOT_DOT] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(725),
    [anon_sym_DASH_DASH] = ACTIONS(725),
    [anon_sym_DOT2] = ACTIONS(727),
    [anon_sym_COLON_COLON] = ACTIONS(725),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(725),
    [sym__statement_terminator] = ACTIONS(725),
  },
  [143] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(733),
    [anon_sym_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(635),
    [anon_sym_STAR_EQ] = ACTIONS(635),
    [anon_sym_SLASH_EQ] = ACTIONS(635),
    [anon_sym_PERCENT_EQ] = ACTIONS(635),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_GT_GT] = ACTIONS(635),
    [anon_sym_2_GT] = ACTIONS(637),
    [anon_sym_2_GT_GT] = ACTIONS(635),
    [anon_sym_3_GT] = ACTIONS(637),
    [anon_sym_3_GT_GT] = ACTIONS(635),
    [anon_sym_4_GT] = ACTIONS(637),
    [anon_sym_4_GT_GT] = ACTIONS(635),
    [anon_sym_5_GT] = ACTIONS(637),
    [anon_sym_5_GT_GT] = ACTIONS(635),
    [anon_sym_6_GT] = ACTIONS(637),
    [anon_sym_6_GT_GT] = ACTIONS(635),
    [anon_sym_STAR_GT] = ACTIONS(637),
    [anon_sym_STAR_GT_GT] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(635),
    [anon_sym_2_GT_AMP1] = ACTIONS(635),
    [anon_sym_3_GT_AMP1] = ACTIONS(635),
    [anon_sym_4_GT_AMP1] = ACTIONS(635),
    [anon_sym_5_GT_AMP1] = ACTIONS(635),
    [anon_sym_6_GT_AMP1] = ACTIONS(635),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(635),
    [anon_sym_1_GT_AMP2] = ACTIONS(635),
    [anon_sym_3_GT_AMP2] = ACTIONS(635),
    [anon_sym_4_GT_AMP2] = ACTIONS(635),
    [anon_sym_5_GT_AMP2] = ACTIONS(635),
    [anon_sym_6_GT_AMP2] = ACTIONS(635),
    [aux_sym_comparison_operator_token1] = ACTIONS(635),
    [aux_sym_comparison_operator_token2] = ACTIONS(635),
    [aux_sym_comparison_operator_token3] = ACTIONS(635),
    [aux_sym_comparison_operator_token4] = ACTIONS(635),
    [aux_sym_comparison_operator_token5] = ACTIONS(635),
    [aux_sym_comparison_operator_token6] = ACTIONS(635),
    [aux_sym_comparison_operator_token7] = ACTIONS(635),
    [aux_sym_comparison_operator_token8] = ACTIONS(635),
    [aux_sym_comparison_operator_token9] = ACTIONS(635),
    [aux_sym_comparison_operator_token10] = ACTIONS(635),
    [aux_sym_comparison_operator_token11] = ACTIONS(635),
    [aux_sym_comparison_operator_token12] = ACTIONS(635),
    [aux_sym_comparison_operator_token13] = ACTIONS(635),
    [aux_sym_comparison_operator_token14] = ACTIONS(635),
    [aux_sym_comparison_operator_token15] = ACTIONS(635),
    [aux_sym_comparison_operator_token16] = ACTIONS(635),
    [aux_sym_comparison_operator_token17] = ACTIONS(635),
    [aux_sym_comparison_operator_token18] = ACTIONS(635),
    [aux_sym_comparison_operator_token19] = ACTIONS(635),
    [aux_sym_comparison_operator_token20] = ACTIONS(635),
    [aux_sym_comparison_operator_token21] = ACTIONS(635),
    [aux_sym_comparison_operator_token22] = ACTIONS(635),
    [aux_sym_comparison_operator_token23] = ACTIONS(635),
    [aux_sym_comparison_operator_token24] = ACTIONS(635),
    [aux_sym_comparison_operator_token25] = ACTIONS(635),
    [aux_sym_comparison_operator_token26] = ACTIONS(635),
    [aux_sym_comparison_operator_token27] = ACTIONS(635),
    [aux_sym_comparison_operator_token28] = ACTIONS(637),
    [aux_sym_comparison_operator_token29] = ACTIONS(635),
    [aux_sym_comparison_operator_token30] = ACTIONS(635),
    [aux_sym_comparison_operator_token31] = ACTIONS(635),
    [aux_sym_comparison_operator_token32] = ACTIONS(635),
    [aux_sym_comparison_operator_token33] = ACTIONS(635),
    [aux_sym_comparison_operator_token34] = ACTIONS(637),
    [aux_sym_comparison_operator_token35] = ACTIONS(635),
    [aux_sym_comparison_operator_token36] = ACTIONS(635),
    [aux_sym_comparison_operator_token37] = ACTIONS(635),
    [aux_sym_comparison_operator_token38] = ACTIONS(635),
    [aux_sym_comparison_operator_token39] = ACTIONS(635),
    [aux_sym_comparison_operator_token40] = ACTIONS(635),
    [aux_sym_comparison_operator_token41] = ACTIONS(635),
    [aux_sym_comparison_operator_token42] = ACTIONS(635),
    [aux_sym_comparison_operator_token43] = ACTIONS(635),
    [aux_sym_comparison_operator_token44] = ACTIONS(635),
    [aux_sym_comparison_operator_token45] = ACTIONS(635),
    [aux_sym_comparison_operator_token46] = ACTIONS(635),
    [aux_sym_comparison_operator_token47] = ACTIONS(635),
    [aux_sym_comparison_operator_token48] = ACTIONS(635),
    [aux_sym_comparison_operator_token49] = ACTIONS(635),
    [aux_sym_comparison_operator_token50] = ACTIONS(635),
    [aux_sym_format_operator_token1] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_PIPE] = ACTIONS(635),
    [anon_sym_PERCENT] = ACTIONS(637),
    [aux_sym_logical_expression_token1] = ACTIONS(635),
    [aux_sym_logical_expression_token2] = ACTIONS(635),
    [aux_sym_logical_expression_token3] = ACTIONS(635),
    [aux_sym_bitwise_expression_token1] = ACTIONS(635),
    [aux_sym_bitwise_expression_token2] = ACTIONS(635),
    [aux_sym_bitwise_expression_token3] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_DOT_DOT] = ACTIONS(635),
    [anon_sym_PLUS_PLUS] = ACTIONS(735),
    [anon_sym_DASH_DASH] = ACTIONS(737),
    [anon_sym_DOT2] = ACTIONS(739),
    [anon_sym_COLON_COLON] = ACTIONS(741),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(743),
    [sym__statement_terminator] = ACTIONS(635),
  },
  [144] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(635),
    [anon_sym_STAR_EQ] = ACTIONS(635),
    [anon_sym_SLASH_EQ] = ACTIONS(635),
    [anon_sym_PERCENT_EQ] = ACTIONS(635),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_GT_GT] = ACTIONS(635),
    [anon_sym_2_GT] = ACTIONS(637),
    [anon_sym_2_GT_GT] = ACTIONS(635),
    [anon_sym_3_GT] = ACTIONS(637),
    [anon_sym_3_GT_GT] = ACTIONS(635),
    [anon_sym_4_GT] = ACTIONS(637),
    [anon_sym_4_GT_GT] = ACTIONS(635),
    [anon_sym_5_GT] = ACTIONS(637),
    [anon_sym_5_GT_GT] = ACTIONS(635),
    [anon_sym_6_GT] = ACTIONS(637),
    [anon_sym_6_GT_GT] = ACTIONS(635),
    [anon_sym_STAR_GT] = ACTIONS(637),
    [anon_sym_STAR_GT_GT] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(635),
    [anon_sym_2_GT_AMP1] = ACTIONS(635),
    [anon_sym_3_GT_AMP1] = ACTIONS(635),
    [anon_sym_4_GT_AMP1] = ACTIONS(635),
    [anon_sym_5_GT_AMP1] = ACTIONS(635),
    [anon_sym_6_GT_AMP1] = ACTIONS(635),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(635),
    [anon_sym_1_GT_AMP2] = ACTIONS(635),
    [anon_sym_3_GT_AMP2] = ACTIONS(635),
    [anon_sym_4_GT_AMP2] = ACTIONS(635),
    [anon_sym_5_GT_AMP2] = ACTIONS(635),
    [anon_sym_6_GT_AMP2] = ACTIONS(635),
    [aux_sym_comparison_operator_token1] = ACTIONS(635),
    [aux_sym_comparison_operator_token2] = ACTIONS(635),
    [aux_sym_comparison_operator_token3] = ACTIONS(635),
    [aux_sym_comparison_operator_token4] = ACTIONS(635),
    [aux_sym_comparison_operator_token5] = ACTIONS(635),
    [aux_sym_comparison_operator_token6] = ACTIONS(635),
    [aux_sym_comparison_operator_token7] = ACTIONS(635),
    [aux_sym_comparison_operator_token8] = ACTIONS(635),
    [aux_sym_comparison_operator_token9] = ACTIONS(635),
    [aux_sym_comparison_operator_token10] = ACTIONS(635),
    [aux_sym_comparison_operator_token11] = ACTIONS(635),
    [aux_sym_comparison_operator_token12] = ACTIONS(635),
    [aux_sym_comparison_operator_token13] = ACTIONS(635),
    [aux_sym_comparison_operator_token14] = ACTIONS(635),
    [aux_sym_comparison_operator_token15] = ACTIONS(635),
    [aux_sym_comparison_operator_token16] = ACTIONS(635),
    [aux_sym_comparison_operator_token17] = ACTIONS(635),
    [aux_sym_comparison_operator_token18] = ACTIONS(635),
    [aux_sym_comparison_operator_token19] = ACTIONS(635),
    [aux_sym_comparison_operator_token20] = ACTIONS(635),
    [aux_sym_comparison_operator_token21] = ACTIONS(635),
    [aux_sym_comparison_operator_token22] = ACTIONS(635),
    [aux_sym_comparison_operator_token23] = ACTIONS(635),
    [aux_sym_comparison_operator_token24] = ACTIONS(635),
    [aux_sym_comparison_operator_token25] = ACTIONS(635),
    [aux_sym_comparison_operator_token26] = ACTIONS(635),
    [aux_sym_comparison_operator_token27] = ACTIONS(635),
    [aux_sym_comparison_operator_token28] = ACTIONS(637),
    [aux_sym_comparison_operator_token29] = ACTIONS(635),
    [aux_sym_comparison_operator_token30] = ACTIONS(635),
    [aux_sym_comparison_operator_token31] = ACTIONS(635),
    [aux_sym_comparison_operator_token32] = ACTIONS(635),
    [aux_sym_comparison_operator_token33] = ACTIONS(635),
    [aux_sym_comparison_operator_token34] = ACTIONS(637),
    [aux_sym_comparison_operator_token35] = ACTIONS(635),
    [aux_sym_comparison_operator_token36] = ACTIONS(635),
    [aux_sym_comparison_operator_token37] = ACTIONS(635),
    [aux_sym_comparison_operator_token38] = ACTIONS(635),
    [aux_sym_comparison_operator_token39] = ACTIONS(635),
    [aux_sym_comparison_operator_token40] = ACTIONS(635),
    [aux_sym_comparison_operator_token41] = ACTIONS(635),
    [aux_sym_comparison_operator_token42] = ACTIONS(635),
    [aux_sym_comparison_operator_token43] = ACTIONS(635),
    [aux_sym_comparison_operator_token44] = ACTIONS(635),
    [aux_sym_comparison_operator_token45] = ACTIONS(635),
    [aux_sym_comparison_operator_token46] = ACTIONS(635),
    [aux_sym_comparison_operator_token47] = ACTIONS(635),
    [aux_sym_comparison_operator_token48] = ACTIONS(635),
    [aux_sym_comparison_operator_token49] = ACTIONS(635),
    [aux_sym_comparison_operator_token50] = ACTIONS(635),
    [aux_sym_format_operator_token1] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(635),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_PIPE] = ACTIONS(635),
    [anon_sym_PERCENT] = ACTIONS(637),
    [aux_sym_logical_expression_token1] = ACTIONS(635),
    [aux_sym_logical_expression_token2] = ACTIONS(635),
    [aux_sym_logical_expression_token3] = ACTIONS(635),
    [aux_sym_bitwise_expression_token1] = ACTIONS(635),
    [aux_sym_bitwise_expression_token2] = ACTIONS(635),
    [aux_sym_bitwise_expression_token3] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_DOT_DOT] = ACTIONS(635),
    [anon_sym_PLUS_PLUS] = ACTIONS(747),
    [anon_sym_DASH_DASH] = ACTIONS(749),
    [anon_sym_DOT2] = ACTIONS(751),
    [anon_sym_COLON_COLON] = ACTIONS(753),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(755),
  },
  [145] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_EQ] = ACTIONS(595),
    [anon_sym_BANG_EQ] = ACTIONS(595),
    [anon_sym_PLUS_EQ] = ACTIONS(595),
    [anon_sym_STAR_EQ] = ACTIONS(595),
    [anon_sym_SLASH_EQ] = ACTIONS(595),
    [anon_sym_PERCENT_EQ] = ACTIONS(595),
    [anon_sym_GT] = ACTIONS(597),
    [anon_sym_GT_GT] = ACTIONS(595),
    [anon_sym_2_GT] = ACTIONS(597),
    [anon_sym_2_GT_GT] = ACTIONS(595),
    [anon_sym_3_GT] = ACTIONS(597),
    [anon_sym_3_GT_GT] = ACTIONS(595),
    [anon_sym_4_GT] = ACTIONS(597),
    [anon_sym_4_GT_GT] = ACTIONS(595),
    [anon_sym_5_GT] = ACTIONS(597),
    [anon_sym_5_GT_GT] = ACTIONS(595),
    [anon_sym_6_GT] = ACTIONS(597),
    [anon_sym_6_GT_GT] = ACTIONS(595),
    [anon_sym_STAR_GT] = ACTIONS(597),
    [anon_sym_STAR_GT_GT] = ACTIONS(595),
    [anon_sym_LT] = ACTIONS(597),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(595),
    [anon_sym_2_GT_AMP1] = ACTIONS(595),
    [anon_sym_3_GT_AMP1] = ACTIONS(595),
    [anon_sym_4_GT_AMP1] = ACTIONS(595),
    [anon_sym_5_GT_AMP1] = ACTIONS(595),
    [anon_sym_6_GT_AMP1] = ACTIONS(595),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(595),
    [anon_sym_1_GT_AMP2] = ACTIONS(595),
    [anon_sym_3_GT_AMP2] = ACTIONS(595),
    [anon_sym_4_GT_AMP2] = ACTIONS(595),
    [anon_sym_5_GT_AMP2] = ACTIONS(595),
    [anon_sym_6_GT_AMP2] = ACTIONS(595),
    [aux_sym_comparison_operator_token1] = ACTIONS(595),
    [aux_sym_comparison_operator_token2] = ACTIONS(595),
    [aux_sym_comparison_operator_token3] = ACTIONS(595),
    [aux_sym_comparison_operator_token4] = ACTIONS(595),
    [aux_sym_comparison_operator_token5] = ACTIONS(595),
    [aux_sym_comparison_operator_token6] = ACTIONS(595),
    [aux_sym_comparison_operator_token7] = ACTIONS(595),
    [aux_sym_comparison_operator_token8] = ACTIONS(595),
    [aux_sym_comparison_operator_token9] = ACTIONS(595),
    [aux_sym_comparison_operator_token10] = ACTIONS(595),
    [aux_sym_comparison_operator_token11] = ACTIONS(595),
    [aux_sym_comparison_operator_token12] = ACTIONS(595),
    [aux_sym_comparison_operator_token13] = ACTIONS(595),
    [aux_sym_comparison_operator_token14] = ACTIONS(595),
    [aux_sym_comparison_operator_token15] = ACTIONS(595),
    [aux_sym_comparison_operator_token16] = ACTIONS(595),
    [aux_sym_comparison_operator_token17] = ACTIONS(595),
    [aux_sym_comparison_operator_token18] = ACTIONS(595),
    [aux_sym_comparison_operator_token19] = ACTIONS(595),
    [aux_sym_comparison_operator_token20] = ACTIONS(595),
    [aux_sym_comparison_operator_token21] = ACTIONS(595),
    [aux_sym_comparison_operator_token22] = ACTIONS(595),
    [aux_sym_comparison_operator_token23] = ACTIONS(595),
    [aux_sym_comparison_operator_token24] = ACTIONS(595),
    [aux_sym_comparison_operator_token25] = ACTIONS(595),
    [aux_sym_comparison_operator_token26] = ACTIONS(595),
    [aux_sym_comparison_operator_token27] = ACTIONS(595),
    [aux_sym_comparison_operator_token28] = ACTIONS(597),
    [aux_sym_comparison_operator_token29] = ACTIONS(595),
    [aux_sym_comparison_operator_token30] = ACTIONS(595),
    [aux_sym_comparison_operator_token31] = ACTIONS(595),
    [aux_sym_comparison_operator_token32] = ACTIONS(595),
    [aux_sym_comparison_operator_token33] = ACTIONS(595),
    [aux_sym_comparison_operator_token34] = ACTIONS(597),
    [aux_sym_comparison_operator_token35] = ACTIONS(595),
    [aux_sym_comparison_operator_token36] = ACTIONS(595),
    [aux_sym_comparison_operator_token37] = ACTIONS(595),
    [aux_sym_comparison_operator_token38] = ACTIONS(595),
    [aux_sym_comparison_operator_token39] = ACTIONS(595),
    [aux_sym_comparison_operator_token40] = ACTIONS(595),
    [aux_sym_comparison_operator_token41] = ACTIONS(595),
    [aux_sym_comparison_operator_token42] = ACTIONS(595),
    [aux_sym_comparison_operator_token43] = ACTIONS(595),
    [aux_sym_comparison_operator_token44] = ACTIONS(595),
    [aux_sym_comparison_operator_token45] = ACTIONS(595),
    [aux_sym_comparison_operator_token46] = ACTIONS(595),
    [aux_sym_comparison_operator_token47] = ACTIONS(595),
    [aux_sym_comparison_operator_token48] = ACTIONS(595),
    [aux_sym_comparison_operator_token49] = ACTIONS(595),
    [aux_sym_comparison_operator_token50] = ACTIONS(595),
    [aux_sym_format_operator_token1] = ACTIONS(595),
    [anon_sym_LPAREN] = ACTIONS(595),
    [anon_sym_COMMA] = ACTIONS(595),
    [anon_sym_PIPE] = ACTIONS(595),
    [anon_sym_PERCENT] = ACTIONS(597),
    [aux_sym_logical_expression_token1] = ACTIONS(595),
    [aux_sym_logical_expression_token2] = ACTIONS(595),
    [aux_sym_logical_expression_token3] = ACTIONS(595),
    [aux_sym_bitwise_expression_token1] = ACTIONS(595),
    [aux_sym_bitwise_expression_token2] = ACTIONS(595),
    [aux_sym_bitwise_expression_token3] = ACTIONS(595),
    [anon_sym_PLUS] = ACTIONS(597),
    [anon_sym_DASH] = ACTIONS(597),
    [anon_sym_SLASH] = ACTIONS(597),
    [anon_sym_BSLASH] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(597),
    [anon_sym_DOT_DOT] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_DOT2] = ACTIONS(597),
    [anon_sym_COLON_COLON] = ACTIONS(595),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(595),
    [sym__statement_terminator] = ACTIONS(595),
  },
  [146] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_EQ] = ACTIONS(667),
    [anon_sym_BANG_EQ] = ACTIONS(667),
    [anon_sym_PLUS_EQ] = ACTIONS(667),
    [anon_sym_STAR_EQ] = ACTIONS(667),
    [anon_sym_SLASH_EQ] = ACTIONS(667),
    [anon_sym_PERCENT_EQ] = ACTIONS(667),
    [anon_sym_GT] = ACTIONS(669),
    [anon_sym_GT_GT] = ACTIONS(667),
    [anon_sym_2_GT] = ACTIONS(669),
    [anon_sym_2_GT_GT] = ACTIONS(667),
    [anon_sym_3_GT] = ACTIONS(669),
    [anon_sym_3_GT_GT] = ACTIONS(667),
    [anon_sym_4_GT] = ACTIONS(669),
    [anon_sym_4_GT_GT] = ACTIONS(667),
    [anon_sym_5_GT] = ACTIONS(669),
    [anon_sym_5_GT_GT] = ACTIONS(667),
    [anon_sym_6_GT] = ACTIONS(669),
    [anon_sym_6_GT_GT] = ACTIONS(667),
    [anon_sym_STAR_GT] = ACTIONS(669),
    [anon_sym_STAR_GT_GT] = ACTIONS(667),
    [anon_sym_LT] = ACTIONS(669),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(667),
    [anon_sym_2_GT_AMP1] = ACTIONS(667),
    [anon_sym_3_GT_AMP1] = ACTIONS(667),
    [anon_sym_4_GT_AMP1] = ACTIONS(667),
    [anon_sym_5_GT_AMP1] = ACTIONS(667),
    [anon_sym_6_GT_AMP1] = ACTIONS(667),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(667),
    [anon_sym_1_GT_AMP2] = ACTIONS(667),
    [anon_sym_3_GT_AMP2] = ACTIONS(667),
    [anon_sym_4_GT_AMP2] = ACTIONS(667),
    [anon_sym_5_GT_AMP2] = ACTIONS(667),
    [anon_sym_6_GT_AMP2] = ACTIONS(667),
    [aux_sym_comparison_operator_token1] = ACTIONS(667),
    [aux_sym_comparison_operator_token2] = ACTIONS(667),
    [aux_sym_comparison_operator_token3] = ACTIONS(667),
    [aux_sym_comparison_operator_token4] = ACTIONS(667),
    [aux_sym_comparison_operator_token5] = ACTIONS(667),
    [aux_sym_comparison_operator_token6] = ACTIONS(667),
    [aux_sym_comparison_operator_token7] = ACTIONS(667),
    [aux_sym_comparison_operator_token8] = ACTIONS(667),
    [aux_sym_comparison_operator_token9] = ACTIONS(667),
    [aux_sym_comparison_operator_token10] = ACTIONS(667),
    [aux_sym_comparison_operator_token11] = ACTIONS(667),
    [aux_sym_comparison_operator_token12] = ACTIONS(667),
    [aux_sym_comparison_operator_token13] = ACTIONS(667),
    [aux_sym_comparison_operator_token14] = ACTIONS(667),
    [aux_sym_comparison_operator_token15] = ACTIONS(667),
    [aux_sym_comparison_operator_token16] = ACTIONS(667),
    [aux_sym_comparison_operator_token17] = ACTIONS(667),
    [aux_sym_comparison_operator_token18] = ACTIONS(667),
    [aux_sym_comparison_operator_token19] = ACTIONS(667),
    [aux_sym_comparison_operator_token20] = ACTIONS(667),
    [aux_sym_comparison_operator_token21] = ACTIONS(667),
    [aux_sym_comparison_operator_token22] = ACTIONS(667),
    [aux_sym_comparison_operator_token23] = ACTIONS(667),
    [aux_sym_comparison_operator_token24] = ACTIONS(667),
    [aux_sym_comparison_operator_token25] = ACTIONS(667),
    [aux_sym_comparison_operator_token26] = ACTIONS(667),
    [aux_sym_comparison_operator_token27] = ACTIONS(667),
    [aux_sym_comparison_operator_token28] = ACTIONS(669),
    [aux_sym_comparison_operator_token29] = ACTIONS(667),
    [aux_sym_comparison_operator_token30] = ACTIONS(667),
    [aux_sym_comparison_operator_token31] = ACTIONS(667),
    [aux_sym_comparison_operator_token32] = ACTIONS(667),
    [aux_sym_comparison_operator_token33] = ACTIONS(667),
    [aux_sym_comparison_operator_token34] = ACTIONS(669),
    [aux_sym_comparison_operator_token35] = ACTIONS(667),
    [aux_sym_comparison_operator_token36] = ACTIONS(667),
    [aux_sym_comparison_operator_token37] = ACTIONS(667),
    [aux_sym_comparison_operator_token38] = ACTIONS(667),
    [aux_sym_comparison_operator_token39] = ACTIONS(667),
    [aux_sym_comparison_operator_token40] = ACTIONS(667),
    [aux_sym_comparison_operator_token41] = ACTIONS(667),
    [aux_sym_comparison_operator_token42] = ACTIONS(667),
    [aux_sym_comparison_operator_token43] = ACTIONS(667),
    [aux_sym_comparison_operator_token44] = ACTIONS(667),
    [aux_sym_comparison_operator_token45] = ACTIONS(667),
    [aux_sym_comparison_operator_token46] = ACTIONS(667),
    [aux_sym_comparison_operator_token47] = ACTIONS(667),
    [aux_sym_comparison_operator_token48] = ACTIONS(667),
    [aux_sym_comparison_operator_token49] = ACTIONS(667),
    [aux_sym_comparison_operator_token50] = ACTIONS(667),
    [aux_sym_format_operator_token1] = ACTIONS(667),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_COMMA] = ACTIONS(667),
    [anon_sym_PIPE] = ACTIONS(667),
    [anon_sym_PERCENT] = ACTIONS(669),
    [aux_sym_logical_expression_token1] = ACTIONS(667),
    [aux_sym_logical_expression_token2] = ACTIONS(667),
    [aux_sym_logical_expression_token3] = ACTIONS(667),
    [aux_sym_bitwise_expression_token1] = ACTIONS(667),
    [aux_sym_bitwise_expression_token2] = ACTIONS(667),
    [aux_sym_bitwise_expression_token3] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_SLASH] = ACTIONS(669),
    [anon_sym_BSLASH] = ACTIONS(667),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_DOT_DOT] = ACTIONS(667),
    [anon_sym_PLUS_PLUS] = ACTIONS(667),
    [anon_sym_DASH_DASH] = ACTIONS(667),
    [anon_sym_DOT2] = ACTIONS(669),
    [anon_sym_COLON_COLON] = ACTIONS(667),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(667),
    [sym__statement_terminator] = ACTIONS(667),
  },
  [147] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_EQ] = ACTIONS(701),
    [anon_sym_BANG_EQ] = ACTIONS(701),
    [anon_sym_PLUS_EQ] = ACTIONS(701),
    [anon_sym_STAR_EQ] = ACTIONS(701),
    [anon_sym_SLASH_EQ] = ACTIONS(701),
    [anon_sym_PERCENT_EQ] = ACTIONS(701),
    [anon_sym_GT] = ACTIONS(703),
    [anon_sym_GT_GT] = ACTIONS(701),
    [anon_sym_2_GT] = ACTIONS(703),
    [anon_sym_2_GT_GT] = ACTIONS(701),
    [anon_sym_3_GT] = ACTIONS(703),
    [anon_sym_3_GT_GT] = ACTIONS(701),
    [anon_sym_4_GT] = ACTIONS(703),
    [anon_sym_4_GT_GT] = ACTIONS(701),
    [anon_sym_5_GT] = ACTIONS(703),
    [anon_sym_5_GT_GT] = ACTIONS(701),
    [anon_sym_6_GT] = ACTIONS(703),
    [anon_sym_6_GT_GT] = ACTIONS(701),
    [anon_sym_STAR_GT] = ACTIONS(703),
    [anon_sym_STAR_GT_GT] = ACTIONS(701),
    [anon_sym_LT] = ACTIONS(703),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(701),
    [anon_sym_2_GT_AMP1] = ACTIONS(701),
    [anon_sym_3_GT_AMP1] = ACTIONS(701),
    [anon_sym_4_GT_AMP1] = ACTIONS(701),
    [anon_sym_5_GT_AMP1] = ACTIONS(701),
    [anon_sym_6_GT_AMP1] = ACTIONS(701),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(701),
    [anon_sym_1_GT_AMP2] = ACTIONS(701),
    [anon_sym_3_GT_AMP2] = ACTIONS(701),
    [anon_sym_4_GT_AMP2] = ACTIONS(701),
    [anon_sym_5_GT_AMP2] = ACTIONS(701),
    [anon_sym_6_GT_AMP2] = ACTIONS(701),
    [aux_sym_comparison_operator_token1] = ACTIONS(701),
    [aux_sym_comparison_operator_token2] = ACTIONS(701),
    [aux_sym_comparison_operator_token3] = ACTIONS(701),
    [aux_sym_comparison_operator_token4] = ACTIONS(701),
    [aux_sym_comparison_operator_token5] = ACTIONS(701),
    [aux_sym_comparison_operator_token6] = ACTIONS(701),
    [aux_sym_comparison_operator_token7] = ACTIONS(701),
    [aux_sym_comparison_operator_token8] = ACTIONS(701),
    [aux_sym_comparison_operator_token9] = ACTIONS(701),
    [aux_sym_comparison_operator_token10] = ACTIONS(701),
    [aux_sym_comparison_operator_token11] = ACTIONS(701),
    [aux_sym_comparison_operator_token12] = ACTIONS(701),
    [aux_sym_comparison_operator_token13] = ACTIONS(701),
    [aux_sym_comparison_operator_token14] = ACTIONS(701),
    [aux_sym_comparison_operator_token15] = ACTIONS(701),
    [aux_sym_comparison_operator_token16] = ACTIONS(701),
    [aux_sym_comparison_operator_token17] = ACTIONS(701),
    [aux_sym_comparison_operator_token18] = ACTIONS(701),
    [aux_sym_comparison_operator_token19] = ACTIONS(701),
    [aux_sym_comparison_operator_token20] = ACTIONS(701),
    [aux_sym_comparison_operator_token21] = ACTIONS(701),
    [aux_sym_comparison_operator_token22] = ACTIONS(701),
    [aux_sym_comparison_operator_token23] = ACTIONS(701),
    [aux_sym_comparison_operator_token24] = ACTIONS(701),
    [aux_sym_comparison_operator_token25] = ACTIONS(701),
    [aux_sym_comparison_operator_token26] = ACTIONS(701),
    [aux_sym_comparison_operator_token27] = ACTIONS(701),
    [aux_sym_comparison_operator_token28] = ACTIONS(703),
    [aux_sym_comparison_operator_token29] = ACTIONS(701),
    [aux_sym_comparison_operator_token30] = ACTIONS(701),
    [aux_sym_comparison_operator_token31] = ACTIONS(701),
    [aux_sym_comparison_operator_token32] = ACTIONS(701),
    [aux_sym_comparison_operator_token33] = ACTIONS(701),
    [aux_sym_comparison_operator_token34] = ACTIONS(703),
    [aux_sym_comparison_operator_token35] = ACTIONS(701),
    [aux_sym_comparison_operator_token36] = ACTIONS(701),
    [aux_sym_comparison_operator_token37] = ACTIONS(701),
    [aux_sym_comparison_operator_token38] = ACTIONS(701),
    [aux_sym_comparison_operator_token39] = ACTIONS(701),
    [aux_sym_comparison_operator_token40] = ACTIONS(701),
    [aux_sym_comparison_operator_token41] = ACTIONS(701),
    [aux_sym_comparison_operator_token42] = ACTIONS(701),
    [aux_sym_comparison_operator_token43] = ACTIONS(701),
    [aux_sym_comparison_operator_token44] = ACTIONS(701),
    [aux_sym_comparison_operator_token45] = ACTIONS(701),
    [aux_sym_comparison_operator_token46] = ACTIONS(701),
    [aux_sym_comparison_operator_token47] = ACTIONS(701),
    [aux_sym_comparison_operator_token48] = ACTIONS(701),
    [aux_sym_comparison_operator_token49] = ACTIONS(701),
    [aux_sym_comparison_operator_token50] = ACTIONS(701),
    [aux_sym_format_operator_token1] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(701),
    [anon_sym_COMMA] = ACTIONS(701),
    [anon_sym_PIPE] = ACTIONS(701),
    [anon_sym_PERCENT] = ACTIONS(703),
    [aux_sym_logical_expression_token1] = ACTIONS(701),
    [aux_sym_logical_expression_token2] = ACTIONS(701),
    [aux_sym_logical_expression_token3] = ACTIONS(701),
    [aux_sym_bitwise_expression_token1] = ACTIONS(701),
    [aux_sym_bitwise_expression_token2] = ACTIONS(701),
    [aux_sym_bitwise_expression_token3] = ACTIONS(701),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_SLASH] = ACTIONS(703),
    [anon_sym_BSLASH] = ACTIONS(701),
    [anon_sym_STAR] = ACTIONS(703),
    [anon_sym_DOT_DOT] = ACTIONS(701),
    [anon_sym_PLUS_PLUS] = ACTIONS(701),
    [anon_sym_DASH_DASH] = ACTIONS(701),
    [anon_sym_DOT2] = ACTIONS(703),
    [anon_sym_COLON_COLON] = ACTIONS(701),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(701),
    [sym__statement_terminator] = ACTIONS(701),
  },
  [148] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(629),
    [anon_sym_EQ] = ACTIONS(629),
    [anon_sym_BANG_EQ] = ACTIONS(629),
    [anon_sym_PLUS_EQ] = ACTIONS(629),
    [anon_sym_STAR_EQ] = ACTIONS(629),
    [anon_sym_SLASH_EQ] = ACTIONS(629),
    [anon_sym_PERCENT_EQ] = ACTIONS(629),
    [anon_sym_GT] = ACTIONS(631),
    [anon_sym_GT_GT] = ACTIONS(629),
    [anon_sym_2_GT] = ACTIONS(631),
    [anon_sym_2_GT_GT] = ACTIONS(629),
    [anon_sym_3_GT] = ACTIONS(631),
    [anon_sym_3_GT_GT] = ACTIONS(629),
    [anon_sym_4_GT] = ACTIONS(631),
    [anon_sym_4_GT_GT] = ACTIONS(629),
    [anon_sym_5_GT] = ACTIONS(631),
    [anon_sym_5_GT_GT] = ACTIONS(629),
    [anon_sym_6_GT] = ACTIONS(631),
    [anon_sym_6_GT_GT] = ACTIONS(629),
    [anon_sym_STAR_GT] = ACTIONS(631),
    [anon_sym_STAR_GT_GT] = ACTIONS(629),
    [anon_sym_LT] = ACTIONS(631),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(629),
    [anon_sym_2_GT_AMP1] = ACTIONS(629),
    [anon_sym_3_GT_AMP1] = ACTIONS(629),
    [anon_sym_4_GT_AMP1] = ACTIONS(629),
    [anon_sym_5_GT_AMP1] = ACTIONS(629),
    [anon_sym_6_GT_AMP1] = ACTIONS(629),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(629),
    [anon_sym_1_GT_AMP2] = ACTIONS(629),
    [anon_sym_3_GT_AMP2] = ACTIONS(629),
    [anon_sym_4_GT_AMP2] = ACTIONS(629),
    [anon_sym_5_GT_AMP2] = ACTIONS(629),
    [anon_sym_6_GT_AMP2] = ACTIONS(629),
    [aux_sym_comparison_operator_token1] = ACTIONS(629),
    [aux_sym_comparison_operator_token2] = ACTIONS(629),
    [aux_sym_comparison_operator_token3] = ACTIONS(629),
    [aux_sym_comparison_operator_token4] = ACTIONS(629),
    [aux_sym_comparison_operator_token5] = ACTIONS(629),
    [aux_sym_comparison_operator_token6] = ACTIONS(629),
    [aux_sym_comparison_operator_token7] = ACTIONS(629),
    [aux_sym_comparison_operator_token8] = ACTIONS(629),
    [aux_sym_comparison_operator_token9] = ACTIONS(629),
    [aux_sym_comparison_operator_token10] = ACTIONS(629),
    [aux_sym_comparison_operator_token11] = ACTIONS(629),
    [aux_sym_comparison_operator_token12] = ACTIONS(629),
    [aux_sym_comparison_operator_token13] = ACTIONS(629),
    [aux_sym_comparison_operator_token14] = ACTIONS(629),
    [aux_sym_comparison_operator_token15] = ACTIONS(629),
    [aux_sym_comparison_operator_token16] = ACTIONS(629),
    [aux_sym_comparison_operator_token17] = ACTIONS(629),
    [aux_sym_comparison_operator_token18] = ACTIONS(629),
    [aux_sym_comparison_operator_token19] = ACTIONS(629),
    [aux_sym_comparison_operator_token20] = ACTIONS(629),
    [aux_sym_comparison_operator_token21] = ACTIONS(629),
    [aux_sym_comparison_operator_token22] = ACTIONS(629),
    [aux_sym_comparison_operator_token23] = ACTIONS(629),
    [aux_sym_comparison_operator_token24] = ACTIONS(629),
    [aux_sym_comparison_operator_token25] = ACTIONS(629),
    [aux_sym_comparison_operator_token26] = ACTIONS(629),
    [aux_sym_comparison_operator_token27] = ACTIONS(629),
    [aux_sym_comparison_operator_token28] = ACTIONS(631),
    [aux_sym_comparison_operator_token29] = ACTIONS(629),
    [aux_sym_comparison_operator_token30] = ACTIONS(629),
    [aux_sym_comparison_operator_token31] = ACTIONS(629),
    [aux_sym_comparison_operator_token32] = ACTIONS(629),
    [aux_sym_comparison_operator_token33] = ACTIONS(629),
    [aux_sym_comparison_operator_token34] = ACTIONS(631),
    [aux_sym_comparison_operator_token35] = ACTIONS(629),
    [aux_sym_comparison_operator_token36] = ACTIONS(629),
    [aux_sym_comparison_operator_token37] = ACTIONS(629),
    [aux_sym_comparison_operator_token38] = ACTIONS(629),
    [aux_sym_comparison_operator_token39] = ACTIONS(629),
    [aux_sym_comparison_operator_token40] = ACTIONS(629),
    [aux_sym_comparison_operator_token41] = ACTIONS(629),
    [aux_sym_comparison_operator_token42] = ACTIONS(629),
    [aux_sym_comparison_operator_token43] = ACTIONS(629),
    [aux_sym_comparison_operator_token44] = ACTIONS(629),
    [aux_sym_comparison_operator_token45] = ACTIONS(629),
    [aux_sym_comparison_operator_token46] = ACTIONS(629),
    [aux_sym_comparison_operator_token47] = ACTIONS(629),
    [aux_sym_comparison_operator_token48] = ACTIONS(629),
    [aux_sym_comparison_operator_token49] = ACTIONS(629),
    [aux_sym_comparison_operator_token50] = ACTIONS(629),
    [aux_sym_format_operator_token1] = ACTIONS(629),
    [anon_sym_LPAREN] = ACTIONS(629),
    [anon_sym_COMMA] = ACTIONS(629),
    [anon_sym_PIPE] = ACTIONS(629),
    [anon_sym_PERCENT] = ACTIONS(631),
    [aux_sym_logical_expression_token1] = ACTIONS(629),
    [aux_sym_logical_expression_token2] = ACTIONS(629),
    [aux_sym_logical_expression_token3] = ACTIONS(629),
    [aux_sym_bitwise_expression_token1] = ACTIONS(629),
    [aux_sym_bitwise_expression_token2] = ACTIONS(629),
    [aux_sym_bitwise_expression_token3] = ACTIONS(629),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_SLASH] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(629),
    [anon_sym_STAR] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_DOT2] = ACTIONS(631),
    [anon_sym_COLON_COLON] = ACTIONS(629),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(629),
    [sym__statement_terminator] = ACTIONS(629),
  },
  [149] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_EQ] = ACTIONS(683),
    [anon_sym_BANG_EQ] = ACTIONS(683),
    [anon_sym_PLUS_EQ] = ACTIONS(683),
    [anon_sym_STAR_EQ] = ACTIONS(683),
    [anon_sym_SLASH_EQ] = ACTIONS(683),
    [anon_sym_PERCENT_EQ] = ACTIONS(683),
    [anon_sym_GT] = ACTIONS(686),
    [anon_sym_GT_GT] = ACTIONS(683),
    [anon_sym_2_GT] = ACTIONS(686),
    [anon_sym_2_GT_GT] = ACTIONS(683),
    [anon_sym_3_GT] = ACTIONS(686),
    [anon_sym_3_GT_GT] = ACTIONS(683),
    [anon_sym_4_GT] = ACTIONS(686),
    [anon_sym_4_GT_GT] = ACTIONS(683),
    [anon_sym_5_GT] = ACTIONS(686),
    [anon_sym_5_GT_GT] = ACTIONS(683),
    [anon_sym_6_GT] = ACTIONS(686),
    [anon_sym_6_GT_GT] = ACTIONS(683),
    [anon_sym_STAR_GT] = ACTIONS(686),
    [anon_sym_STAR_GT_GT] = ACTIONS(683),
    [anon_sym_LT] = ACTIONS(686),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(683),
    [anon_sym_2_GT_AMP1] = ACTIONS(683),
    [anon_sym_3_GT_AMP1] = ACTIONS(683),
    [anon_sym_4_GT_AMP1] = ACTIONS(683),
    [anon_sym_5_GT_AMP1] = ACTIONS(683),
    [anon_sym_6_GT_AMP1] = ACTIONS(683),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(683),
    [anon_sym_1_GT_AMP2] = ACTIONS(683),
    [anon_sym_3_GT_AMP2] = ACTIONS(683),
    [anon_sym_4_GT_AMP2] = ACTIONS(683),
    [anon_sym_5_GT_AMP2] = ACTIONS(683),
    [anon_sym_6_GT_AMP2] = ACTIONS(683),
    [aux_sym_comparison_operator_token1] = ACTIONS(683),
    [aux_sym_comparison_operator_token2] = ACTIONS(683),
    [aux_sym_comparison_operator_token3] = ACTIONS(683),
    [aux_sym_comparison_operator_token4] = ACTIONS(683),
    [aux_sym_comparison_operator_token5] = ACTIONS(683),
    [aux_sym_comparison_operator_token6] = ACTIONS(683),
    [aux_sym_comparison_operator_token7] = ACTIONS(683),
    [aux_sym_comparison_operator_token8] = ACTIONS(683),
    [aux_sym_comparison_operator_token9] = ACTIONS(683),
    [aux_sym_comparison_operator_token10] = ACTIONS(683),
    [aux_sym_comparison_operator_token11] = ACTIONS(683),
    [aux_sym_comparison_operator_token12] = ACTIONS(683),
    [aux_sym_comparison_operator_token13] = ACTIONS(683),
    [aux_sym_comparison_operator_token14] = ACTIONS(683),
    [aux_sym_comparison_operator_token15] = ACTIONS(683),
    [aux_sym_comparison_operator_token16] = ACTIONS(683),
    [aux_sym_comparison_operator_token17] = ACTIONS(683),
    [aux_sym_comparison_operator_token18] = ACTIONS(683),
    [aux_sym_comparison_operator_token19] = ACTIONS(683),
    [aux_sym_comparison_operator_token20] = ACTIONS(683),
    [aux_sym_comparison_operator_token21] = ACTIONS(683),
    [aux_sym_comparison_operator_token22] = ACTIONS(683),
    [aux_sym_comparison_operator_token23] = ACTIONS(683),
    [aux_sym_comparison_operator_token24] = ACTIONS(683),
    [aux_sym_comparison_operator_token25] = ACTIONS(683),
    [aux_sym_comparison_operator_token26] = ACTIONS(683),
    [aux_sym_comparison_operator_token27] = ACTIONS(683),
    [aux_sym_comparison_operator_token28] = ACTIONS(686),
    [aux_sym_comparison_operator_token29] = ACTIONS(683),
    [aux_sym_comparison_operator_token30] = ACTIONS(683),
    [aux_sym_comparison_operator_token31] = ACTIONS(683),
    [aux_sym_comparison_operator_token32] = ACTIONS(683),
    [aux_sym_comparison_operator_token33] = ACTIONS(683),
    [aux_sym_comparison_operator_token34] = ACTIONS(686),
    [aux_sym_comparison_operator_token35] = ACTIONS(683),
    [aux_sym_comparison_operator_token36] = ACTIONS(683),
    [aux_sym_comparison_operator_token37] = ACTIONS(683),
    [aux_sym_comparison_operator_token38] = ACTIONS(683),
    [aux_sym_comparison_operator_token39] = ACTIONS(683),
    [aux_sym_comparison_operator_token40] = ACTIONS(683),
    [aux_sym_comparison_operator_token41] = ACTIONS(683),
    [aux_sym_comparison_operator_token42] = ACTIONS(683),
    [aux_sym_comparison_operator_token43] = ACTIONS(683),
    [aux_sym_comparison_operator_token44] = ACTIONS(683),
    [aux_sym_comparison_operator_token45] = ACTIONS(683),
    [aux_sym_comparison_operator_token46] = ACTIONS(683),
    [aux_sym_comparison_operator_token47] = ACTIONS(683),
    [aux_sym_comparison_operator_token48] = ACTIONS(683),
    [aux_sym_comparison_operator_token49] = ACTIONS(683),
    [aux_sym_comparison_operator_token50] = ACTIONS(683),
    [aux_sym_format_operator_token1] = ACTIONS(683),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_COMMA] = ACTIONS(683),
    [anon_sym_PIPE] = ACTIONS(683),
    [anon_sym_PERCENT] = ACTIONS(686),
    [aux_sym_logical_expression_token1] = ACTIONS(683),
    [aux_sym_logical_expression_token2] = ACTIONS(683),
    [aux_sym_logical_expression_token3] = ACTIONS(683),
    [aux_sym_bitwise_expression_token1] = ACTIONS(683),
    [aux_sym_bitwise_expression_token2] = ACTIONS(683),
    [aux_sym_bitwise_expression_token3] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(686),
    [anon_sym_DASH] = ACTIONS(686),
    [anon_sym_SLASH] = ACTIONS(686),
    [anon_sym_BSLASH] = ACTIONS(683),
    [anon_sym_STAR] = ACTIONS(686),
    [anon_sym_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS_PLUS] = ACTIONS(683),
    [anon_sym_DASH_DASH] = ACTIONS(683),
    [anon_sym_DOT2] = ACTIONS(686),
    [anon_sym_COLON_COLON] = ACTIONS(683),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(683),
    [sym__statement_terminator] = ACTIONS(683),
  },
  [150] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_EQ] = ACTIONS(639),
    [anon_sym_BANG_EQ] = ACTIONS(639),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_GT] = ACTIONS(641),
    [anon_sym_GT_GT] = ACTIONS(639),
    [anon_sym_2_GT] = ACTIONS(641),
    [anon_sym_2_GT_GT] = ACTIONS(639),
    [anon_sym_3_GT] = ACTIONS(641),
    [anon_sym_3_GT_GT] = ACTIONS(639),
    [anon_sym_4_GT] = ACTIONS(641),
    [anon_sym_4_GT_GT] = ACTIONS(639),
    [anon_sym_5_GT] = ACTIONS(641),
    [anon_sym_5_GT_GT] = ACTIONS(639),
    [anon_sym_6_GT] = ACTIONS(641),
    [anon_sym_6_GT_GT] = ACTIONS(639),
    [anon_sym_STAR_GT] = ACTIONS(641),
    [anon_sym_STAR_GT_GT] = ACTIONS(639),
    [anon_sym_LT] = ACTIONS(641),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(639),
    [anon_sym_2_GT_AMP1] = ACTIONS(639),
    [anon_sym_3_GT_AMP1] = ACTIONS(639),
    [anon_sym_4_GT_AMP1] = ACTIONS(639),
    [anon_sym_5_GT_AMP1] = ACTIONS(639),
    [anon_sym_6_GT_AMP1] = ACTIONS(639),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(639),
    [anon_sym_1_GT_AMP2] = ACTIONS(639),
    [anon_sym_3_GT_AMP2] = ACTIONS(639),
    [anon_sym_4_GT_AMP2] = ACTIONS(639),
    [anon_sym_5_GT_AMP2] = ACTIONS(639),
    [anon_sym_6_GT_AMP2] = ACTIONS(639),
    [aux_sym_comparison_operator_token1] = ACTIONS(639),
    [aux_sym_comparison_operator_token2] = ACTIONS(639),
    [aux_sym_comparison_operator_token3] = ACTIONS(639),
    [aux_sym_comparison_operator_token4] = ACTIONS(639),
    [aux_sym_comparison_operator_token5] = ACTIONS(639),
    [aux_sym_comparison_operator_token6] = ACTIONS(639),
    [aux_sym_comparison_operator_token7] = ACTIONS(639),
    [aux_sym_comparison_operator_token8] = ACTIONS(639),
    [aux_sym_comparison_operator_token9] = ACTIONS(639),
    [aux_sym_comparison_operator_token10] = ACTIONS(639),
    [aux_sym_comparison_operator_token11] = ACTIONS(639),
    [aux_sym_comparison_operator_token12] = ACTIONS(639),
    [aux_sym_comparison_operator_token13] = ACTIONS(639),
    [aux_sym_comparison_operator_token14] = ACTIONS(639),
    [aux_sym_comparison_operator_token15] = ACTIONS(639),
    [aux_sym_comparison_operator_token16] = ACTIONS(639),
    [aux_sym_comparison_operator_token17] = ACTIONS(639),
    [aux_sym_comparison_operator_token18] = ACTIONS(639),
    [aux_sym_comparison_operator_token19] = ACTIONS(639),
    [aux_sym_comparison_operator_token20] = ACTIONS(639),
    [aux_sym_comparison_operator_token21] = ACTIONS(639),
    [aux_sym_comparison_operator_token22] = ACTIONS(639),
    [aux_sym_comparison_operator_token23] = ACTIONS(639),
    [aux_sym_comparison_operator_token24] = ACTIONS(639),
    [aux_sym_comparison_operator_token25] = ACTIONS(639),
    [aux_sym_comparison_operator_token26] = ACTIONS(639),
    [aux_sym_comparison_operator_token27] = ACTIONS(639),
    [aux_sym_comparison_operator_token28] = ACTIONS(641),
    [aux_sym_comparison_operator_token29] = ACTIONS(639),
    [aux_sym_comparison_operator_token30] = ACTIONS(639),
    [aux_sym_comparison_operator_token31] = ACTIONS(639),
    [aux_sym_comparison_operator_token32] = ACTIONS(639),
    [aux_sym_comparison_operator_token33] = ACTIONS(639),
    [aux_sym_comparison_operator_token34] = ACTIONS(641),
    [aux_sym_comparison_operator_token35] = ACTIONS(639),
    [aux_sym_comparison_operator_token36] = ACTIONS(639),
    [aux_sym_comparison_operator_token37] = ACTIONS(639),
    [aux_sym_comparison_operator_token38] = ACTIONS(639),
    [aux_sym_comparison_operator_token39] = ACTIONS(639),
    [aux_sym_comparison_operator_token40] = ACTIONS(639),
    [aux_sym_comparison_operator_token41] = ACTIONS(639),
    [aux_sym_comparison_operator_token42] = ACTIONS(639),
    [aux_sym_comparison_operator_token43] = ACTIONS(639),
    [aux_sym_comparison_operator_token44] = ACTIONS(639),
    [aux_sym_comparison_operator_token45] = ACTIONS(639),
    [aux_sym_comparison_operator_token46] = ACTIONS(639),
    [aux_sym_comparison_operator_token47] = ACTIONS(639),
    [aux_sym_comparison_operator_token48] = ACTIONS(639),
    [aux_sym_comparison_operator_token49] = ACTIONS(639),
    [aux_sym_comparison_operator_token50] = ACTIONS(639),
    [aux_sym_format_operator_token1] = ACTIONS(639),
    [anon_sym_LPAREN] = ACTIONS(639),
    [anon_sym_COMMA] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(639),
    [anon_sym_PERCENT] = ACTIONS(641),
    [aux_sym_logical_expression_token1] = ACTIONS(639),
    [aux_sym_logical_expression_token2] = ACTIONS(639),
    [aux_sym_logical_expression_token3] = ACTIONS(639),
    [aux_sym_bitwise_expression_token1] = ACTIONS(639),
    [aux_sym_bitwise_expression_token2] = ACTIONS(639),
    [aux_sym_bitwise_expression_token3] = ACTIONS(639),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_SLASH] = ACTIONS(641),
    [anon_sym_BSLASH] = ACTIONS(639),
    [anon_sym_STAR] = ACTIONS(641),
    [anon_sym_DOT_DOT] = ACTIONS(639),
    [anon_sym_PLUS_PLUS] = ACTIONS(639),
    [anon_sym_DASH_DASH] = ACTIONS(639),
    [anon_sym_DOT2] = ACTIONS(641),
    [anon_sym_COLON_COLON] = ACTIONS(639),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(639),
    [sym__statement_terminator] = ACTIONS(639),
  },
  [151] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_EQ] = ACTIONS(643),
    [anon_sym_BANG_EQ] = ACTIONS(643),
    [anon_sym_PLUS_EQ] = ACTIONS(643),
    [anon_sym_STAR_EQ] = ACTIONS(643),
    [anon_sym_SLASH_EQ] = ACTIONS(643),
    [anon_sym_PERCENT_EQ] = ACTIONS(643),
    [anon_sym_GT] = ACTIONS(645),
    [anon_sym_GT_GT] = ACTIONS(643),
    [anon_sym_2_GT] = ACTIONS(645),
    [anon_sym_2_GT_GT] = ACTIONS(643),
    [anon_sym_3_GT] = ACTIONS(645),
    [anon_sym_3_GT_GT] = ACTIONS(643),
    [anon_sym_4_GT] = ACTIONS(645),
    [anon_sym_4_GT_GT] = ACTIONS(643),
    [anon_sym_5_GT] = ACTIONS(645),
    [anon_sym_5_GT_GT] = ACTIONS(643),
    [anon_sym_6_GT] = ACTIONS(645),
    [anon_sym_6_GT_GT] = ACTIONS(643),
    [anon_sym_STAR_GT] = ACTIONS(645),
    [anon_sym_STAR_GT_GT] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(645),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(643),
    [anon_sym_2_GT_AMP1] = ACTIONS(643),
    [anon_sym_3_GT_AMP1] = ACTIONS(643),
    [anon_sym_4_GT_AMP1] = ACTIONS(643),
    [anon_sym_5_GT_AMP1] = ACTIONS(643),
    [anon_sym_6_GT_AMP1] = ACTIONS(643),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(643),
    [anon_sym_1_GT_AMP2] = ACTIONS(643),
    [anon_sym_3_GT_AMP2] = ACTIONS(643),
    [anon_sym_4_GT_AMP2] = ACTIONS(643),
    [anon_sym_5_GT_AMP2] = ACTIONS(643),
    [anon_sym_6_GT_AMP2] = ACTIONS(643),
    [aux_sym_comparison_operator_token1] = ACTIONS(643),
    [aux_sym_comparison_operator_token2] = ACTIONS(643),
    [aux_sym_comparison_operator_token3] = ACTIONS(643),
    [aux_sym_comparison_operator_token4] = ACTIONS(643),
    [aux_sym_comparison_operator_token5] = ACTIONS(643),
    [aux_sym_comparison_operator_token6] = ACTIONS(643),
    [aux_sym_comparison_operator_token7] = ACTIONS(643),
    [aux_sym_comparison_operator_token8] = ACTIONS(643),
    [aux_sym_comparison_operator_token9] = ACTIONS(643),
    [aux_sym_comparison_operator_token10] = ACTIONS(643),
    [aux_sym_comparison_operator_token11] = ACTIONS(643),
    [aux_sym_comparison_operator_token12] = ACTIONS(643),
    [aux_sym_comparison_operator_token13] = ACTIONS(643),
    [aux_sym_comparison_operator_token14] = ACTIONS(643),
    [aux_sym_comparison_operator_token15] = ACTIONS(643),
    [aux_sym_comparison_operator_token16] = ACTIONS(643),
    [aux_sym_comparison_operator_token17] = ACTIONS(643),
    [aux_sym_comparison_operator_token18] = ACTIONS(643),
    [aux_sym_comparison_operator_token19] = ACTIONS(643),
    [aux_sym_comparison_operator_token20] = ACTIONS(643),
    [aux_sym_comparison_operator_token21] = ACTIONS(643),
    [aux_sym_comparison_operator_token22] = ACTIONS(643),
    [aux_sym_comparison_operator_token23] = ACTIONS(643),
    [aux_sym_comparison_operator_token24] = ACTIONS(643),
    [aux_sym_comparison_operator_token25] = ACTIONS(643),
    [aux_sym_comparison_operator_token26] = ACTIONS(643),
    [aux_sym_comparison_operator_token27] = ACTIONS(643),
    [aux_sym_comparison_operator_token28] = ACTIONS(645),
    [aux_sym_comparison_operator_token29] = ACTIONS(643),
    [aux_sym_comparison_operator_token30] = ACTIONS(643),
    [aux_sym_comparison_operator_token31] = ACTIONS(643),
    [aux_sym_comparison_operator_token32] = ACTIONS(643),
    [aux_sym_comparison_operator_token33] = ACTIONS(643),
    [aux_sym_comparison_operator_token34] = ACTIONS(645),
    [aux_sym_comparison_operator_token35] = ACTIONS(643),
    [aux_sym_comparison_operator_token36] = ACTIONS(643),
    [aux_sym_comparison_operator_token37] = ACTIONS(643),
    [aux_sym_comparison_operator_token38] = ACTIONS(643),
    [aux_sym_comparison_operator_token39] = ACTIONS(643),
    [aux_sym_comparison_operator_token40] = ACTIONS(643),
    [aux_sym_comparison_operator_token41] = ACTIONS(643),
    [aux_sym_comparison_operator_token42] = ACTIONS(643),
    [aux_sym_comparison_operator_token43] = ACTIONS(643),
    [aux_sym_comparison_operator_token44] = ACTIONS(643),
    [aux_sym_comparison_operator_token45] = ACTIONS(643),
    [aux_sym_comparison_operator_token46] = ACTIONS(643),
    [aux_sym_comparison_operator_token47] = ACTIONS(643),
    [aux_sym_comparison_operator_token48] = ACTIONS(643),
    [aux_sym_comparison_operator_token49] = ACTIONS(643),
    [aux_sym_comparison_operator_token50] = ACTIONS(643),
    [aux_sym_format_operator_token1] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(643),
    [anon_sym_COMMA] = ACTIONS(643),
    [anon_sym_PIPE] = ACTIONS(643),
    [anon_sym_PERCENT] = ACTIONS(645),
    [aux_sym_logical_expression_token1] = ACTIONS(643),
    [aux_sym_logical_expression_token2] = ACTIONS(643),
    [aux_sym_logical_expression_token3] = ACTIONS(643),
    [aux_sym_bitwise_expression_token1] = ACTIONS(643),
    [aux_sym_bitwise_expression_token2] = ACTIONS(643),
    [aux_sym_bitwise_expression_token3] = ACTIONS(643),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(643),
    [anon_sym_STAR] = ACTIONS(645),
    [anon_sym_DOT_DOT] = ACTIONS(643),
    [anon_sym_PLUS_PLUS] = ACTIONS(643),
    [anon_sym_DASH_DASH] = ACTIONS(643),
    [anon_sym_DOT2] = ACTIONS(645),
    [anon_sym_COLON_COLON] = ACTIONS(643),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(643),
    [sym__statement_terminator] = ACTIONS(643),
  },
  [152] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(651),
    [anon_sym_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_PLUS_EQ] = ACTIONS(651),
    [anon_sym_STAR_EQ] = ACTIONS(651),
    [anon_sym_SLASH_EQ] = ACTIONS(651),
    [anon_sym_PERCENT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(653),
    [anon_sym_GT_GT] = ACTIONS(651),
    [anon_sym_2_GT] = ACTIONS(653),
    [anon_sym_2_GT_GT] = ACTIONS(651),
    [anon_sym_3_GT] = ACTIONS(653),
    [anon_sym_3_GT_GT] = ACTIONS(651),
    [anon_sym_4_GT] = ACTIONS(653),
    [anon_sym_4_GT_GT] = ACTIONS(651),
    [anon_sym_5_GT] = ACTIONS(653),
    [anon_sym_5_GT_GT] = ACTIONS(651),
    [anon_sym_6_GT] = ACTIONS(653),
    [anon_sym_6_GT_GT] = ACTIONS(651),
    [anon_sym_STAR_GT] = ACTIONS(653),
    [anon_sym_STAR_GT_GT] = ACTIONS(651),
    [anon_sym_LT] = ACTIONS(653),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(651),
    [anon_sym_2_GT_AMP1] = ACTIONS(651),
    [anon_sym_3_GT_AMP1] = ACTIONS(651),
    [anon_sym_4_GT_AMP1] = ACTIONS(651),
    [anon_sym_5_GT_AMP1] = ACTIONS(651),
    [anon_sym_6_GT_AMP1] = ACTIONS(651),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(651),
    [anon_sym_1_GT_AMP2] = ACTIONS(651),
    [anon_sym_3_GT_AMP2] = ACTIONS(651),
    [anon_sym_4_GT_AMP2] = ACTIONS(651),
    [anon_sym_5_GT_AMP2] = ACTIONS(651),
    [anon_sym_6_GT_AMP2] = ACTIONS(651),
    [aux_sym_comparison_operator_token1] = ACTIONS(651),
    [aux_sym_comparison_operator_token2] = ACTIONS(651),
    [aux_sym_comparison_operator_token3] = ACTIONS(651),
    [aux_sym_comparison_operator_token4] = ACTIONS(651),
    [aux_sym_comparison_operator_token5] = ACTIONS(651),
    [aux_sym_comparison_operator_token6] = ACTIONS(651),
    [aux_sym_comparison_operator_token7] = ACTIONS(651),
    [aux_sym_comparison_operator_token8] = ACTIONS(651),
    [aux_sym_comparison_operator_token9] = ACTIONS(651),
    [aux_sym_comparison_operator_token10] = ACTIONS(651),
    [aux_sym_comparison_operator_token11] = ACTIONS(651),
    [aux_sym_comparison_operator_token12] = ACTIONS(651),
    [aux_sym_comparison_operator_token13] = ACTIONS(651),
    [aux_sym_comparison_operator_token14] = ACTIONS(651),
    [aux_sym_comparison_operator_token15] = ACTIONS(651),
    [aux_sym_comparison_operator_token16] = ACTIONS(651),
    [aux_sym_comparison_operator_token17] = ACTIONS(651),
    [aux_sym_comparison_operator_token18] = ACTIONS(651),
    [aux_sym_comparison_operator_token19] = ACTIONS(651),
    [aux_sym_comparison_operator_token20] = ACTIONS(651),
    [aux_sym_comparison_operator_token21] = ACTIONS(651),
    [aux_sym_comparison_operator_token22] = ACTIONS(651),
    [aux_sym_comparison_operator_token23] = ACTIONS(651),
    [aux_sym_comparison_operator_token24] = ACTIONS(651),
    [aux_sym_comparison_operator_token25] = ACTIONS(651),
    [aux_sym_comparison_operator_token26] = ACTIONS(651),
    [aux_sym_comparison_operator_token27] = ACTIONS(651),
    [aux_sym_comparison_operator_token28] = ACTIONS(653),
    [aux_sym_comparison_operator_token29] = ACTIONS(651),
    [aux_sym_comparison_operator_token30] = ACTIONS(651),
    [aux_sym_comparison_operator_token31] = ACTIONS(651),
    [aux_sym_comparison_operator_token32] = ACTIONS(651),
    [aux_sym_comparison_operator_token33] = ACTIONS(651),
    [aux_sym_comparison_operator_token34] = ACTIONS(653),
    [aux_sym_comparison_operator_token35] = ACTIONS(651),
    [aux_sym_comparison_operator_token36] = ACTIONS(651),
    [aux_sym_comparison_operator_token37] = ACTIONS(651),
    [aux_sym_comparison_operator_token38] = ACTIONS(651),
    [aux_sym_comparison_operator_token39] = ACTIONS(651),
    [aux_sym_comparison_operator_token40] = ACTIONS(651),
    [aux_sym_comparison_operator_token41] = ACTIONS(651),
    [aux_sym_comparison_operator_token42] = ACTIONS(651),
    [aux_sym_comparison_operator_token43] = ACTIONS(651),
    [aux_sym_comparison_operator_token44] = ACTIONS(651),
    [aux_sym_comparison_operator_token45] = ACTIONS(651),
    [aux_sym_comparison_operator_token46] = ACTIONS(651),
    [aux_sym_comparison_operator_token47] = ACTIONS(651),
    [aux_sym_comparison_operator_token48] = ACTIONS(651),
    [aux_sym_comparison_operator_token49] = ACTIONS(651),
    [aux_sym_comparison_operator_token50] = ACTIONS(651),
    [aux_sym_format_operator_token1] = ACTIONS(651),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_COMMA] = ACTIONS(651),
    [anon_sym_PIPE] = ACTIONS(651),
    [anon_sym_PERCENT] = ACTIONS(653),
    [aux_sym_logical_expression_token1] = ACTIONS(651),
    [aux_sym_logical_expression_token2] = ACTIONS(651),
    [aux_sym_logical_expression_token3] = ACTIONS(651),
    [aux_sym_bitwise_expression_token1] = ACTIONS(651),
    [aux_sym_bitwise_expression_token2] = ACTIONS(651),
    [aux_sym_bitwise_expression_token3] = ACTIONS(651),
    [anon_sym_PLUS] = ACTIONS(653),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(653),
    [anon_sym_BSLASH] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_DOT_DOT] = ACTIONS(651),
    [anon_sym_PLUS_PLUS] = ACTIONS(651),
    [anon_sym_DASH_DASH] = ACTIONS(651),
    [anon_sym_DOT2] = ACTIONS(653),
    [anon_sym_COLON_COLON] = ACTIONS(651),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(651),
    [sym__statement_terminator] = ACTIONS(651),
  },
  [153] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_EQ] = ACTIONS(655),
    [anon_sym_BANG_EQ] = ACTIONS(655),
    [anon_sym_PLUS_EQ] = ACTIONS(655),
    [anon_sym_STAR_EQ] = ACTIONS(655),
    [anon_sym_SLASH_EQ] = ACTIONS(655),
    [anon_sym_PERCENT_EQ] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(657),
    [anon_sym_GT_GT] = ACTIONS(655),
    [anon_sym_2_GT] = ACTIONS(657),
    [anon_sym_2_GT_GT] = ACTIONS(655),
    [anon_sym_3_GT] = ACTIONS(657),
    [anon_sym_3_GT_GT] = ACTIONS(655),
    [anon_sym_4_GT] = ACTIONS(657),
    [anon_sym_4_GT_GT] = ACTIONS(655),
    [anon_sym_5_GT] = ACTIONS(657),
    [anon_sym_5_GT_GT] = ACTIONS(655),
    [anon_sym_6_GT] = ACTIONS(657),
    [anon_sym_6_GT_GT] = ACTIONS(655),
    [anon_sym_STAR_GT] = ACTIONS(657),
    [anon_sym_STAR_GT_GT] = ACTIONS(655),
    [anon_sym_LT] = ACTIONS(657),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(655),
    [anon_sym_2_GT_AMP1] = ACTIONS(655),
    [anon_sym_3_GT_AMP1] = ACTIONS(655),
    [anon_sym_4_GT_AMP1] = ACTIONS(655),
    [anon_sym_5_GT_AMP1] = ACTIONS(655),
    [anon_sym_6_GT_AMP1] = ACTIONS(655),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(655),
    [anon_sym_1_GT_AMP2] = ACTIONS(655),
    [anon_sym_3_GT_AMP2] = ACTIONS(655),
    [anon_sym_4_GT_AMP2] = ACTIONS(655),
    [anon_sym_5_GT_AMP2] = ACTIONS(655),
    [anon_sym_6_GT_AMP2] = ACTIONS(655),
    [aux_sym_comparison_operator_token1] = ACTIONS(655),
    [aux_sym_comparison_operator_token2] = ACTIONS(655),
    [aux_sym_comparison_operator_token3] = ACTIONS(655),
    [aux_sym_comparison_operator_token4] = ACTIONS(655),
    [aux_sym_comparison_operator_token5] = ACTIONS(655),
    [aux_sym_comparison_operator_token6] = ACTIONS(655),
    [aux_sym_comparison_operator_token7] = ACTIONS(655),
    [aux_sym_comparison_operator_token8] = ACTIONS(655),
    [aux_sym_comparison_operator_token9] = ACTIONS(655),
    [aux_sym_comparison_operator_token10] = ACTIONS(655),
    [aux_sym_comparison_operator_token11] = ACTIONS(655),
    [aux_sym_comparison_operator_token12] = ACTIONS(655),
    [aux_sym_comparison_operator_token13] = ACTIONS(655),
    [aux_sym_comparison_operator_token14] = ACTIONS(655),
    [aux_sym_comparison_operator_token15] = ACTIONS(655),
    [aux_sym_comparison_operator_token16] = ACTIONS(655),
    [aux_sym_comparison_operator_token17] = ACTIONS(655),
    [aux_sym_comparison_operator_token18] = ACTIONS(655),
    [aux_sym_comparison_operator_token19] = ACTIONS(655),
    [aux_sym_comparison_operator_token20] = ACTIONS(655),
    [aux_sym_comparison_operator_token21] = ACTIONS(655),
    [aux_sym_comparison_operator_token22] = ACTIONS(655),
    [aux_sym_comparison_operator_token23] = ACTIONS(655),
    [aux_sym_comparison_operator_token24] = ACTIONS(655),
    [aux_sym_comparison_operator_token25] = ACTIONS(655),
    [aux_sym_comparison_operator_token26] = ACTIONS(655),
    [aux_sym_comparison_operator_token27] = ACTIONS(655),
    [aux_sym_comparison_operator_token28] = ACTIONS(657),
    [aux_sym_comparison_operator_token29] = ACTIONS(655),
    [aux_sym_comparison_operator_token30] = ACTIONS(655),
    [aux_sym_comparison_operator_token31] = ACTIONS(655),
    [aux_sym_comparison_operator_token32] = ACTIONS(655),
    [aux_sym_comparison_operator_token33] = ACTIONS(655),
    [aux_sym_comparison_operator_token34] = ACTIONS(657),
    [aux_sym_comparison_operator_token35] = ACTIONS(655),
    [aux_sym_comparison_operator_token36] = ACTIONS(655),
    [aux_sym_comparison_operator_token37] = ACTIONS(655),
    [aux_sym_comparison_operator_token38] = ACTIONS(655),
    [aux_sym_comparison_operator_token39] = ACTIONS(655),
    [aux_sym_comparison_operator_token40] = ACTIONS(655),
    [aux_sym_comparison_operator_token41] = ACTIONS(655),
    [aux_sym_comparison_operator_token42] = ACTIONS(655),
    [aux_sym_comparison_operator_token43] = ACTIONS(655),
    [aux_sym_comparison_operator_token44] = ACTIONS(655),
    [aux_sym_comparison_operator_token45] = ACTIONS(655),
    [aux_sym_comparison_operator_token46] = ACTIONS(655),
    [aux_sym_comparison_operator_token47] = ACTIONS(655),
    [aux_sym_comparison_operator_token48] = ACTIONS(655),
    [aux_sym_comparison_operator_token49] = ACTIONS(655),
    [aux_sym_comparison_operator_token50] = ACTIONS(655),
    [aux_sym_format_operator_token1] = ACTIONS(655),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_COMMA] = ACTIONS(655),
    [anon_sym_PIPE] = ACTIONS(655),
    [anon_sym_PERCENT] = ACTIONS(657),
    [aux_sym_logical_expression_token1] = ACTIONS(655),
    [aux_sym_logical_expression_token2] = ACTIONS(655),
    [aux_sym_logical_expression_token3] = ACTIONS(655),
    [aux_sym_bitwise_expression_token1] = ACTIONS(655),
    [aux_sym_bitwise_expression_token2] = ACTIONS(655),
    [aux_sym_bitwise_expression_token3] = ACTIONS(655),
    [anon_sym_PLUS] = ACTIONS(657),
    [anon_sym_DASH] = ACTIONS(657),
    [anon_sym_SLASH] = ACTIONS(657),
    [anon_sym_BSLASH] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(657),
    [anon_sym_DOT_DOT] = ACTIONS(655),
    [anon_sym_PLUS_PLUS] = ACTIONS(655),
    [anon_sym_DASH_DASH] = ACTIONS(655),
    [anon_sym_DOT2] = ACTIONS(657),
    [anon_sym_COLON_COLON] = ACTIONS(655),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(655),
    [sym__statement_terminator] = ACTIONS(655),
  },
  [154] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(609),
    [anon_sym_EQ] = ACTIONS(609),
    [anon_sym_BANG_EQ] = ACTIONS(609),
    [anon_sym_PLUS_EQ] = ACTIONS(609),
    [anon_sym_STAR_EQ] = ACTIONS(609),
    [anon_sym_SLASH_EQ] = ACTIONS(609),
    [anon_sym_PERCENT_EQ] = ACTIONS(609),
    [anon_sym_GT] = ACTIONS(611),
    [anon_sym_GT_GT] = ACTIONS(609),
    [anon_sym_2_GT] = ACTIONS(611),
    [anon_sym_2_GT_GT] = ACTIONS(609),
    [anon_sym_3_GT] = ACTIONS(611),
    [anon_sym_3_GT_GT] = ACTIONS(609),
    [anon_sym_4_GT] = ACTIONS(611),
    [anon_sym_4_GT_GT] = ACTIONS(609),
    [anon_sym_5_GT] = ACTIONS(611),
    [anon_sym_5_GT_GT] = ACTIONS(609),
    [anon_sym_6_GT] = ACTIONS(611),
    [anon_sym_6_GT_GT] = ACTIONS(609),
    [anon_sym_STAR_GT] = ACTIONS(611),
    [anon_sym_STAR_GT_GT] = ACTIONS(609),
    [anon_sym_LT] = ACTIONS(611),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(609),
    [anon_sym_2_GT_AMP1] = ACTIONS(609),
    [anon_sym_3_GT_AMP1] = ACTIONS(609),
    [anon_sym_4_GT_AMP1] = ACTIONS(609),
    [anon_sym_5_GT_AMP1] = ACTIONS(609),
    [anon_sym_6_GT_AMP1] = ACTIONS(609),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(609),
    [anon_sym_1_GT_AMP2] = ACTIONS(609),
    [anon_sym_3_GT_AMP2] = ACTIONS(609),
    [anon_sym_4_GT_AMP2] = ACTIONS(609),
    [anon_sym_5_GT_AMP2] = ACTIONS(609),
    [anon_sym_6_GT_AMP2] = ACTIONS(609),
    [aux_sym_comparison_operator_token1] = ACTIONS(609),
    [aux_sym_comparison_operator_token2] = ACTIONS(609),
    [aux_sym_comparison_operator_token3] = ACTIONS(609),
    [aux_sym_comparison_operator_token4] = ACTIONS(609),
    [aux_sym_comparison_operator_token5] = ACTIONS(609),
    [aux_sym_comparison_operator_token6] = ACTIONS(609),
    [aux_sym_comparison_operator_token7] = ACTIONS(609),
    [aux_sym_comparison_operator_token8] = ACTIONS(609),
    [aux_sym_comparison_operator_token9] = ACTIONS(609),
    [aux_sym_comparison_operator_token10] = ACTIONS(609),
    [aux_sym_comparison_operator_token11] = ACTIONS(609),
    [aux_sym_comparison_operator_token12] = ACTIONS(609),
    [aux_sym_comparison_operator_token13] = ACTIONS(609),
    [aux_sym_comparison_operator_token14] = ACTIONS(609),
    [aux_sym_comparison_operator_token15] = ACTIONS(609),
    [aux_sym_comparison_operator_token16] = ACTIONS(609),
    [aux_sym_comparison_operator_token17] = ACTIONS(609),
    [aux_sym_comparison_operator_token18] = ACTIONS(609),
    [aux_sym_comparison_operator_token19] = ACTIONS(609),
    [aux_sym_comparison_operator_token20] = ACTIONS(609),
    [aux_sym_comparison_operator_token21] = ACTIONS(609),
    [aux_sym_comparison_operator_token22] = ACTIONS(609),
    [aux_sym_comparison_operator_token23] = ACTIONS(609),
    [aux_sym_comparison_operator_token24] = ACTIONS(609),
    [aux_sym_comparison_operator_token25] = ACTIONS(609),
    [aux_sym_comparison_operator_token26] = ACTIONS(609),
    [aux_sym_comparison_operator_token27] = ACTIONS(609),
    [aux_sym_comparison_operator_token28] = ACTIONS(611),
    [aux_sym_comparison_operator_token29] = ACTIONS(609),
    [aux_sym_comparison_operator_token30] = ACTIONS(609),
    [aux_sym_comparison_operator_token31] = ACTIONS(609),
    [aux_sym_comparison_operator_token32] = ACTIONS(609),
    [aux_sym_comparison_operator_token33] = ACTIONS(609),
    [aux_sym_comparison_operator_token34] = ACTIONS(611),
    [aux_sym_comparison_operator_token35] = ACTIONS(609),
    [aux_sym_comparison_operator_token36] = ACTIONS(609),
    [aux_sym_comparison_operator_token37] = ACTIONS(609),
    [aux_sym_comparison_operator_token38] = ACTIONS(609),
    [aux_sym_comparison_operator_token39] = ACTIONS(609),
    [aux_sym_comparison_operator_token40] = ACTIONS(609),
    [aux_sym_comparison_operator_token41] = ACTIONS(609),
    [aux_sym_comparison_operator_token42] = ACTIONS(609),
    [aux_sym_comparison_operator_token43] = ACTIONS(609),
    [aux_sym_comparison_operator_token44] = ACTIONS(609),
    [aux_sym_comparison_operator_token45] = ACTIONS(609),
    [aux_sym_comparison_operator_token46] = ACTIONS(609),
    [aux_sym_comparison_operator_token47] = ACTIONS(609),
    [aux_sym_comparison_operator_token48] = ACTIONS(609),
    [aux_sym_comparison_operator_token49] = ACTIONS(609),
    [aux_sym_comparison_operator_token50] = ACTIONS(609),
    [aux_sym_format_operator_token1] = ACTIONS(609),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_COMMA] = ACTIONS(609),
    [anon_sym_PIPE] = ACTIONS(609),
    [anon_sym_PERCENT] = ACTIONS(611),
    [aux_sym_logical_expression_token1] = ACTIONS(609),
    [aux_sym_logical_expression_token2] = ACTIONS(609),
    [aux_sym_logical_expression_token3] = ACTIONS(609),
    [aux_sym_bitwise_expression_token1] = ACTIONS(609),
    [aux_sym_bitwise_expression_token2] = ACTIONS(609),
    [aux_sym_bitwise_expression_token3] = ACTIONS(609),
    [anon_sym_PLUS] = ACTIONS(611),
    [anon_sym_DASH] = ACTIONS(611),
    [anon_sym_SLASH] = ACTIONS(611),
    [anon_sym_BSLASH] = ACTIONS(609),
    [anon_sym_STAR] = ACTIONS(611),
    [anon_sym_DOT_DOT] = ACTIONS(609),
    [anon_sym_PLUS_PLUS] = ACTIONS(609),
    [anon_sym_DASH_DASH] = ACTIONS(609),
    [anon_sym_DOT2] = ACTIONS(611),
    [anon_sym_COLON_COLON] = ACTIONS(609),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(609),
    [sym__statement_terminator] = ACTIONS(609),
  },
  [155] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(635),
    [anon_sym_STAR_EQ] = ACTIONS(635),
    [anon_sym_SLASH_EQ] = ACTIONS(635),
    [anon_sym_PERCENT_EQ] = ACTIONS(635),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_GT_GT] = ACTIONS(635),
    [anon_sym_2_GT] = ACTIONS(637),
    [anon_sym_2_GT_GT] = ACTIONS(635),
    [anon_sym_3_GT] = ACTIONS(637),
    [anon_sym_3_GT_GT] = ACTIONS(635),
    [anon_sym_4_GT] = ACTIONS(637),
    [anon_sym_4_GT_GT] = ACTIONS(635),
    [anon_sym_5_GT] = ACTIONS(637),
    [anon_sym_5_GT_GT] = ACTIONS(635),
    [anon_sym_6_GT] = ACTIONS(637),
    [anon_sym_6_GT_GT] = ACTIONS(635),
    [anon_sym_STAR_GT] = ACTIONS(637),
    [anon_sym_STAR_GT_GT] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(635),
    [anon_sym_2_GT_AMP1] = ACTIONS(635),
    [anon_sym_3_GT_AMP1] = ACTIONS(635),
    [anon_sym_4_GT_AMP1] = ACTIONS(635),
    [anon_sym_5_GT_AMP1] = ACTIONS(635),
    [anon_sym_6_GT_AMP1] = ACTIONS(635),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(635),
    [anon_sym_1_GT_AMP2] = ACTIONS(635),
    [anon_sym_3_GT_AMP2] = ACTIONS(635),
    [anon_sym_4_GT_AMP2] = ACTIONS(635),
    [anon_sym_5_GT_AMP2] = ACTIONS(635),
    [anon_sym_6_GT_AMP2] = ACTIONS(635),
    [aux_sym_comparison_operator_token1] = ACTIONS(635),
    [aux_sym_comparison_operator_token2] = ACTIONS(635),
    [aux_sym_comparison_operator_token3] = ACTIONS(635),
    [aux_sym_comparison_operator_token4] = ACTIONS(635),
    [aux_sym_comparison_operator_token5] = ACTIONS(635),
    [aux_sym_comparison_operator_token6] = ACTIONS(635),
    [aux_sym_comparison_operator_token7] = ACTIONS(635),
    [aux_sym_comparison_operator_token8] = ACTIONS(635),
    [aux_sym_comparison_operator_token9] = ACTIONS(635),
    [aux_sym_comparison_operator_token10] = ACTIONS(635),
    [aux_sym_comparison_operator_token11] = ACTIONS(635),
    [aux_sym_comparison_operator_token12] = ACTIONS(635),
    [aux_sym_comparison_operator_token13] = ACTIONS(635),
    [aux_sym_comparison_operator_token14] = ACTIONS(635),
    [aux_sym_comparison_operator_token15] = ACTIONS(635),
    [aux_sym_comparison_operator_token16] = ACTIONS(635),
    [aux_sym_comparison_operator_token17] = ACTIONS(635),
    [aux_sym_comparison_operator_token18] = ACTIONS(635),
    [aux_sym_comparison_operator_token19] = ACTIONS(635),
    [aux_sym_comparison_operator_token20] = ACTIONS(635),
    [aux_sym_comparison_operator_token21] = ACTIONS(635),
    [aux_sym_comparison_operator_token22] = ACTIONS(635),
    [aux_sym_comparison_operator_token23] = ACTIONS(635),
    [aux_sym_comparison_operator_token24] = ACTIONS(635),
    [aux_sym_comparison_operator_token25] = ACTIONS(635),
    [aux_sym_comparison_operator_token26] = ACTIONS(635),
    [aux_sym_comparison_operator_token27] = ACTIONS(635),
    [aux_sym_comparison_operator_token28] = ACTIONS(637),
    [aux_sym_comparison_operator_token29] = ACTIONS(635),
    [aux_sym_comparison_operator_token30] = ACTIONS(635),
    [aux_sym_comparison_operator_token31] = ACTIONS(635),
    [aux_sym_comparison_operator_token32] = ACTIONS(635),
    [aux_sym_comparison_operator_token33] = ACTIONS(635),
    [aux_sym_comparison_operator_token34] = ACTIONS(637),
    [aux_sym_comparison_operator_token35] = ACTIONS(635),
    [aux_sym_comparison_operator_token36] = ACTIONS(635),
    [aux_sym_comparison_operator_token37] = ACTIONS(635),
    [aux_sym_comparison_operator_token38] = ACTIONS(635),
    [aux_sym_comparison_operator_token39] = ACTIONS(635),
    [aux_sym_comparison_operator_token40] = ACTIONS(635),
    [aux_sym_comparison_operator_token41] = ACTIONS(635),
    [aux_sym_comparison_operator_token42] = ACTIONS(635),
    [aux_sym_comparison_operator_token43] = ACTIONS(635),
    [aux_sym_comparison_operator_token44] = ACTIONS(635),
    [aux_sym_comparison_operator_token45] = ACTIONS(635),
    [aux_sym_comparison_operator_token46] = ACTIONS(635),
    [aux_sym_comparison_operator_token47] = ACTIONS(635),
    [aux_sym_comparison_operator_token48] = ACTIONS(635),
    [aux_sym_comparison_operator_token49] = ACTIONS(635),
    [aux_sym_comparison_operator_token50] = ACTIONS(635),
    [aux_sym_format_operator_token1] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(635),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_PIPE] = ACTIONS(635),
    [anon_sym_PERCENT] = ACTIONS(637),
    [aux_sym_logical_expression_token1] = ACTIONS(635),
    [aux_sym_logical_expression_token2] = ACTIONS(635),
    [aux_sym_logical_expression_token3] = ACTIONS(635),
    [aux_sym_bitwise_expression_token1] = ACTIONS(635),
    [aux_sym_bitwise_expression_token2] = ACTIONS(635),
    [aux_sym_bitwise_expression_token3] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_DOT_DOT] = ACTIONS(635),
    [anon_sym_PLUS_PLUS] = ACTIONS(747),
    [anon_sym_DASH_DASH] = ACTIONS(749),
    [anon_sym_DOT2] = ACTIONS(757),
    [anon_sym_COLON_COLON] = ACTIONS(759),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(755),
  },
  [156] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(733),
    [anon_sym_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(635),
    [anon_sym_STAR_EQ] = ACTIONS(635),
    [anon_sym_SLASH_EQ] = ACTIONS(635),
    [anon_sym_PERCENT_EQ] = ACTIONS(635),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_GT_GT] = ACTIONS(635),
    [anon_sym_2_GT] = ACTIONS(637),
    [anon_sym_2_GT_GT] = ACTIONS(635),
    [anon_sym_3_GT] = ACTIONS(637),
    [anon_sym_3_GT_GT] = ACTIONS(635),
    [anon_sym_4_GT] = ACTIONS(637),
    [anon_sym_4_GT_GT] = ACTIONS(635),
    [anon_sym_5_GT] = ACTIONS(637),
    [anon_sym_5_GT_GT] = ACTIONS(635),
    [anon_sym_6_GT] = ACTIONS(637),
    [anon_sym_6_GT_GT] = ACTIONS(635),
    [anon_sym_STAR_GT] = ACTIONS(637),
    [anon_sym_STAR_GT_GT] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(635),
    [anon_sym_2_GT_AMP1] = ACTIONS(635),
    [anon_sym_3_GT_AMP1] = ACTIONS(635),
    [anon_sym_4_GT_AMP1] = ACTIONS(635),
    [anon_sym_5_GT_AMP1] = ACTIONS(635),
    [anon_sym_6_GT_AMP1] = ACTIONS(635),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(635),
    [anon_sym_1_GT_AMP2] = ACTIONS(635),
    [anon_sym_3_GT_AMP2] = ACTIONS(635),
    [anon_sym_4_GT_AMP2] = ACTIONS(635),
    [anon_sym_5_GT_AMP2] = ACTIONS(635),
    [anon_sym_6_GT_AMP2] = ACTIONS(635),
    [aux_sym_comparison_operator_token1] = ACTIONS(635),
    [aux_sym_comparison_operator_token2] = ACTIONS(635),
    [aux_sym_comparison_operator_token3] = ACTIONS(635),
    [aux_sym_comparison_operator_token4] = ACTIONS(635),
    [aux_sym_comparison_operator_token5] = ACTIONS(635),
    [aux_sym_comparison_operator_token6] = ACTIONS(635),
    [aux_sym_comparison_operator_token7] = ACTIONS(635),
    [aux_sym_comparison_operator_token8] = ACTIONS(635),
    [aux_sym_comparison_operator_token9] = ACTIONS(635),
    [aux_sym_comparison_operator_token10] = ACTIONS(635),
    [aux_sym_comparison_operator_token11] = ACTIONS(635),
    [aux_sym_comparison_operator_token12] = ACTIONS(635),
    [aux_sym_comparison_operator_token13] = ACTIONS(635),
    [aux_sym_comparison_operator_token14] = ACTIONS(635),
    [aux_sym_comparison_operator_token15] = ACTIONS(635),
    [aux_sym_comparison_operator_token16] = ACTIONS(635),
    [aux_sym_comparison_operator_token17] = ACTIONS(635),
    [aux_sym_comparison_operator_token18] = ACTIONS(635),
    [aux_sym_comparison_operator_token19] = ACTIONS(635),
    [aux_sym_comparison_operator_token20] = ACTIONS(635),
    [aux_sym_comparison_operator_token21] = ACTIONS(635),
    [aux_sym_comparison_operator_token22] = ACTIONS(635),
    [aux_sym_comparison_operator_token23] = ACTIONS(635),
    [aux_sym_comparison_operator_token24] = ACTIONS(635),
    [aux_sym_comparison_operator_token25] = ACTIONS(635),
    [aux_sym_comparison_operator_token26] = ACTIONS(635),
    [aux_sym_comparison_operator_token27] = ACTIONS(635),
    [aux_sym_comparison_operator_token28] = ACTIONS(637),
    [aux_sym_comparison_operator_token29] = ACTIONS(635),
    [aux_sym_comparison_operator_token30] = ACTIONS(635),
    [aux_sym_comparison_operator_token31] = ACTIONS(635),
    [aux_sym_comparison_operator_token32] = ACTIONS(635),
    [aux_sym_comparison_operator_token33] = ACTIONS(635),
    [aux_sym_comparison_operator_token34] = ACTIONS(637),
    [aux_sym_comparison_operator_token35] = ACTIONS(635),
    [aux_sym_comparison_operator_token36] = ACTIONS(635),
    [aux_sym_comparison_operator_token37] = ACTIONS(635),
    [aux_sym_comparison_operator_token38] = ACTIONS(635),
    [aux_sym_comparison_operator_token39] = ACTIONS(635),
    [aux_sym_comparison_operator_token40] = ACTIONS(635),
    [aux_sym_comparison_operator_token41] = ACTIONS(635),
    [aux_sym_comparison_operator_token42] = ACTIONS(635),
    [aux_sym_comparison_operator_token43] = ACTIONS(635),
    [aux_sym_comparison_operator_token44] = ACTIONS(635),
    [aux_sym_comparison_operator_token45] = ACTIONS(635),
    [aux_sym_comparison_operator_token46] = ACTIONS(635),
    [aux_sym_comparison_operator_token47] = ACTIONS(635),
    [aux_sym_comparison_operator_token48] = ACTIONS(635),
    [aux_sym_comparison_operator_token49] = ACTIONS(635),
    [aux_sym_comparison_operator_token50] = ACTIONS(635),
    [aux_sym_format_operator_token1] = ACTIONS(635),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_PIPE] = ACTIONS(635),
    [anon_sym_PERCENT] = ACTIONS(637),
    [aux_sym_logical_expression_token1] = ACTIONS(635),
    [aux_sym_logical_expression_token2] = ACTIONS(635),
    [aux_sym_logical_expression_token3] = ACTIONS(635),
    [aux_sym_bitwise_expression_token1] = ACTIONS(635),
    [aux_sym_bitwise_expression_token2] = ACTIONS(635),
    [aux_sym_bitwise_expression_token3] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_DOT_DOT] = ACTIONS(635),
    [anon_sym_PLUS_PLUS] = ACTIONS(735),
    [anon_sym_DASH_DASH] = ACTIONS(737),
    [anon_sym_DOT2] = ACTIONS(761),
    [anon_sym_COLON_COLON] = ACTIONS(763),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(743),
    [sym__statement_terminator] = ACTIONS(635),
  },
  [157] = {
    [aux_sym_array_literal_expression_repeat1] = STATE(157),
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_BANG_EQ] = ACTIONS(765),
    [anon_sym_PLUS_EQ] = ACTIONS(765),
    [anon_sym_STAR_EQ] = ACTIONS(765),
    [anon_sym_SLASH_EQ] = ACTIONS(765),
    [anon_sym_PERCENT_EQ] = ACTIONS(765),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_GT] = ACTIONS(765),
    [anon_sym_2_GT] = ACTIONS(767),
    [anon_sym_2_GT_GT] = ACTIONS(765),
    [anon_sym_3_GT] = ACTIONS(767),
    [anon_sym_3_GT_GT] = ACTIONS(765),
    [anon_sym_4_GT] = ACTIONS(767),
    [anon_sym_4_GT_GT] = ACTIONS(765),
    [anon_sym_5_GT] = ACTIONS(767),
    [anon_sym_5_GT_GT] = ACTIONS(765),
    [anon_sym_6_GT] = ACTIONS(767),
    [anon_sym_6_GT_GT] = ACTIONS(765),
    [anon_sym_STAR_GT] = ACTIONS(767),
    [anon_sym_STAR_GT_GT] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(765),
    [anon_sym_2_GT_AMP1] = ACTIONS(765),
    [anon_sym_3_GT_AMP1] = ACTIONS(765),
    [anon_sym_4_GT_AMP1] = ACTIONS(765),
    [anon_sym_5_GT_AMP1] = ACTIONS(765),
    [anon_sym_6_GT_AMP1] = ACTIONS(765),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(765),
    [anon_sym_1_GT_AMP2] = ACTIONS(765),
    [anon_sym_3_GT_AMP2] = ACTIONS(765),
    [anon_sym_4_GT_AMP2] = ACTIONS(765),
    [anon_sym_5_GT_AMP2] = ACTIONS(765),
    [anon_sym_6_GT_AMP2] = ACTIONS(765),
    [aux_sym_comparison_operator_token1] = ACTIONS(765),
    [aux_sym_comparison_operator_token2] = ACTIONS(765),
    [aux_sym_comparison_operator_token3] = ACTIONS(765),
    [aux_sym_comparison_operator_token4] = ACTIONS(765),
    [aux_sym_comparison_operator_token5] = ACTIONS(765),
    [aux_sym_comparison_operator_token6] = ACTIONS(765),
    [aux_sym_comparison_operator_token7] = ACTIONS(765),
    [aux_sym_comparison_operator_token8] = ACTIONS(765),
    [aux_sym_comparison_operator_token9] = ACTIONS(765),
    [aux_sym_comparison_operator_token10] = ACTIONS(765),
    [aux_sym_comparison_operator_token11] = ACTIONS(765),
    [aux_sym_comparison_operator_token12] = ACTIONS(765),
    [aux_sym_comparison_operator_token13] = ACTIONS(765),
    [aux_sym_comparison_operator_token14] = ACTIONS(765),
    [aux_sym_comparison_operator_token15] = ACTIONS(765),
    [aux_sym_comparison_operator_token16] = ACTIONS(765),
    [aux_sym_comparison_operator_token17] = ACTIONS(765),
    [aux_sym_comparison_operator_token18] = ACTIONS(765),
    [aux_sym_comparison_operator_token19] = ACTIONS(765),
    [aux_sym_comparison_operator_token20] = ACTIONS(765),
    [aux_sym_comparison_operator_token21] = ACTIONS(765),
    [aux_sym_comparison_operator_token22] = ACTIONS(765),
    [aux_sym_comparison_operator_token23] = ACTIONS(765),
    [aux_sym_comparison_operator_token24] = ACTIONS(765),
    [aux_sym_comparison_operator_token25] = ACTIONS(765),
    [aux_sym_comparison_operator_token26] = ACTIONS(765),
    [aux_sym_comparison_operator_token27] = ACTIONS(765),
    [aux_sym_comparison_operator_token28] = ACTIONS(767),
    [aux_sym_comparison_operator_token29] = ACTIONS(765),
    [aux_sym_comparison_operator_token30] = ACTIONS(765),
    [aux_sym_comparison_operator_token31] = ACTIONS(765),
    [aux_sym_comparison_operator_token32] = ACTIONS(765),
    [aux_sym_comparison_operator_token33] = ACTIONS(765),
    [aux_sym_comparison_operator_token34] = ACTIONS(767),
    [aux_sym_comparison_operator_token35] = ACTIONS(765),
    [aux_sym_comparison_operator_token36] = ACTIONS(765),
    [aux_sym_comparison_operator_token37] = ACTIONS(765),
    [aux_sym_comparison_operator_token38] = ACTIONS(765),
    [aux_sym_comparison_operator_token39] = ACTIONS(765),
    [aux_sym_comparison_operator_token40] = ACTIONS(765),
    [aux_sym_comparison_operator_token41] = ACTIONS(765),
    [aux_sym_comparison_operator_token42] = ACTIONS(765),
    [aux_sym_comparison_operator_token43] = ACTIONS(765),
    [aux_sym_comparison_operator_token44] = ACTIONS(765),
    [aux_sym_comparison_operator_token45] = ACTIONS(765),
    [aux_sym_comparison_operator_token46] = ACTIONS(765),
    [aux_sym_comparison_operator_token47] = ACTIONS(765),
    [aux_sym_comparison_operator_token48] = ACTIONS(765),
    [aux_sym_comparison_operator_token49] = ACTIONS(765),
    [aux_sym_comparison_operator_token50] = ACTIONS(765),
    [aux_sym_format_operator_token1] = ACTIONS(765),
    [anon_sym_COMMA] = ACTIONS(769),
    [anon_sym_PIPE] = ACTIONS(765),
    [anon_sym_PERCENT] = ACTIONS(767),
    [aux_sym_logical_expression_token1] = ACTIONS(765),
    [aux_sym_logical_expression_token2] = ACTIONS(765),
    [aux_sym_logical_expression_token3] = ACTIONS(765),
    [aux_sym_bitwise_expression_token1] = ACTIONS(765),
    [aux_sym_bitwise_expression_token2] = ACTIONS(765),
    [aux_sym_bitwise_expression_token3] = ACTIONS(765),
    [anon_sym_PLUS] = ACTIONS(767),
    [anon_sym_DASH] = ACTIONS(767),
    [anon_sym_SLASH] = ACTIONS(767),
    [anon_sym_BSLASH] = ACTIONS(765),
    [anon_sym_STAR] = ACTIONS(767),
    [anon_sym_DOT_DOT] = ACTIONS(765),
    [sym__statement_terminator] = ACTIONS(765),
  },
  [158] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_PLUS_EQ] = ACTIONS(651),
    [anon_sym_STAR_EQ] = ACTIONS(651),
    [anon_sym_SLASH_EQ] = ACTIONS(651),
    [anon_sym_PERCENT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(653),
    [anon_sym_GT_GT] = ACTIONS(651),
    [anon_sym_2_GT] = ACTIONS(653),
    [anon_sym_2_GT_GT] = ACTIONS(651),
    [anon_sym_3_GT] = ACTIONS(653),
    [anon_sym_3_GT_GT] = ACTIONS(651),
    [anon_sym_4_GT] = ACTIONS(653),
    [anon_sym_4_GT_GT] = ACTIONS(651),
    [anon_sym_5_GT] = ACTIONS(653),
    [anon_sym_5_GT_GT] = ACTIONS(651),
    [anon_sym_6_GT] = ACTIONS(653),
    [anon_sym_6_GT_GT] = ACTIONS(651),
    [anon_sym_STAR_GT] = ACTIONS(653),
    [anon_sym_STAR_GT_GT] = ACTIONS(651),
    [anon_sym_LT] = ACTIONS(653),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(651),
    [anon_sym_2_GT_AMP1] = ACTIONS(651),
    [anon_sym_3_GT_AMP1] = ACTIONS(651),
    [anon_sym_4_GT_AMP1] = ACTIONS(651),
    [anon_sym_5_GT_AMP1] = ACTIONS(651),
    [anon_sym_6_GT_AMP1] = ACTIONS(651),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(651),
    [anon_sym_1_GT_AMP2] = ACTIONS(651),
    [anon_sym_3_GT_AMP2] = ACTIONS(651),
    [anon_sym_4_GT_AMP2] = ACTIONS(651),
    [anon_sym_5_GT_AMP2] = ACTIONS(651),
    [anon_sym_6_GT_AMP2] = ACTIONS(651),
    [aux_sym_comparison_operator_token1] = ACTIONS(651),
    [aux_sym_comparison_operator_token2] = ACTIONS(651),
    [aux_sym_comparison_operator_token3] = ACTIONS(651),
    [aux_sym_comparison_operator_token4] = ACTIONS(651),
    [aux_sym_comparison_operator_token5] = ACTIONS(651),
    [aux_sym_comparison_operator_token6] = ACTIONS(651),
    [aux_sym_comparison_operator_token7] = ACTIONS(651),
    [aux_sym_comparison_operator_token8] = ACTIONS(651),
    [aux_sym_comparison_operator_token9] = ACTIONS(651),
    [aux_sym_comparison_operator_token10] = ACTIONS(651),
    [aux_sym_comparison_operator_token11] = ACTIONS(651),
    [aux_sym_comparison_operator_token12] = ACTIONS(651),
    [aux_sym_comparison_operator_token13] = ACTIONS(651),
    [aux_sym_comparison_operator_token14] = ACTIONS(651),
    [aux_sym_comparison_operator_token15] = ACTIONS(651),
    [aux_sym_comparison_operator_token16] = ACTIONS(651),
    [aux_sym_comparison_operator_token17] = ACTIONS(651),
    [aux_sym_comparison_operator_token18] = ACTIONS(651),
    [aux_sym_comparison_operator_token19] = ACTIONS(651),
    [aux_sym_comparison_operator_token20] = ACTIONS(651),
    [aux_sym_comparison_operator_token21] = ACTIONS(651),
    [aux_sym_comparison_operator_token22] = ACTIONS(651),
    [aux_sym_comparison_operator_token23] = ACTIONS(651),
    [aux_sym_comparison_operator_token24] = ACTIONS(651),
    [aux_sym_comparison_operator_token25] = ACTIONS(651),
    [aux_sym_comparison_operator_token26] = ACTIONS(651),
    [aux_sym_comparison_operator_token27] = ACTIONS(651),
    [aux_sym_comparison_operator_token28] = ACTIONS(653),
    [aux_sym_comparison_operator_token29] = ACTIONS(651),
    [aux_sym_comparison_operator_token30] = ACTIONS(651),
    [aux_sym_comparison_operator_token31] = ACTIONS(651),
    [aux_sym_comparison_operator_token32] = ACTIONS(651),
    [aux_sym_comparison_operator_token33] = ACTIONS(651),
    [aux_sym_comparison_operator_token34] = ACTIONS(653),
    [aux_sym_comparison_operator_token35] = ACTIONS(651),
    [aux_sym_comparison_operator_token36] = ACTIONS(651),
    [aux_sym_comparison_operator_token37] = ACTIONS(651),
    [aux_sym_comparison_operator_token38] = ACTIONS(651),
    [aux_sym_comparison_operator_token39] = ACTIONS(651),
    [aux_sym_comparison_operator_token40] = ACTIONS(651),
    [aux_sym_comparison_operator_token41] = ACTIONS(651),
    [aux_sym_comparison_operator_token42] = ACTIONS(651),
    [aux_sym_comparison_operator_token43] = ACTIONS(651),
    [aux_sym_comparison_operator_token44] = ACTIONS(651),
    [aux_sym_comparison_operator_token45] = ACTIONS(651),
    [aux_sym_comparison_operator_token46] = ACTIONS(651),
    [aux_sym_comparison_operator_token47] = ACTIONS(651),
    [aux_sym_comparison_operator_token48] = ACTIONS(651),
    [aux_sym_comparison_operator_token49] = ACTIONS(651),
    [aux_sym_comparison_operator_token50] = ACTIONS(651),
    [aux_sym_format_operator_token1] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(651),
    [anon_sym_COMMA] = ACTIONS(651),
    [anon_sym_PIPE] = ACTIONS(651),
    [anon_sym_PERCENT] = ACTIONS(653),
    [aux_sym_logical_expression_token1] = ACTIONS(651),
    [aux_sym_logical_expression_token2] = ACTIONS(651),
    [aux_sym_logical_expression_token3] = ACTIONS(651),
    [aux_sym_bitwise_expression_token1] = ACTIONS(651),
    [aux_sym_bitwise_expression_token2] = ACTIONS(651),
    [aux_sym_bitwise_expression_token3] = ACTIONS(651),
    [anon_sym_PLUS] = ACTIONS(653),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(653),
    [anon_sym_BSLASH] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_DOT_DOT] = ACTIONS(651),
    [anon_sym_RBRACK] = ACTIONS(651),
  },
  [159] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(655),
    [anon_sym_BANG_EQ] = ACTIONS(655),
    [anon_sym_PLUS_EQ] = ACTIONS(655),
    [anon_sym_STAR_EQ] = ACTIONS(655),
    [anon_sym_SLASH_EQ] = ACTIONS(655),
    [anon_sym_PERCENT_EQ] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(657),
    [anon_sym_GT_GT] = ACTIONS(655),
    [anon_sym_2_GT] = ACTIONS(657),
    [anon_sym_2_GT_GT] = ACTIONS(655),
    [anon_sym_3_GT] = ACTIONS(657),
    [anon_sym_3_GT_GT] = ACTIONS(655),
    [anon_sym_4_GT] = ACTIONS(657),
    [anon_sym_4_GT_GT] = ACTIONS(655),
    [anon_sym_5_GT] = ACTIONS(657),
    [anon_sym_5_GT_GT] = ACTIONS(655),
    [anon_sym_6_GT] = ACTIONS(657),
    [anon_sym_6_GT_GT] = ACTIONS(655),
    [anon_sym_STAR_GT] = ACTIONS(657),
    [anon_sym_STAR_GT_GT] = ACTIONS(655),
    [anon_sym_LT] = ACTIONS(657),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(655),
    [anon_sym_2_GT_AMP1] = ACTIONS(655),
    [anon_sym_3_GT_AMP1] = ACTIONS(655),
    [anon_sym_4_GT_AMP1] = ACTIONS(655),
    [anon_sym_5_GT_AMP1] = ACTIONS(655),
    [anon_sym_6_GT_AMP1] = ACTIONS(655),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(655),
    [anon_sym_1_GT_AMP2] = ACTIONS(655),
    [anon_sym_3_GT_AMP2] = ACTIONS(655),
    [anon_sym_4_GT_AMP2] = ACTIONS(655),
    [anon_sym_5_GT_AMP2] = ACTIONS(655),
    [anon_sym_6_GT_AMP2] = ACTIONS(655),
    [aux_sym_comparison_operator_token1] = ACTIONS(655),
    [aux_sym_comparison_operator_token2] = ACTIONS(655),
    [aux_sym_comparison_operator_token3] = ACTIONS(655),
    [aux_sym_comparison_operator_token4] = ACTIONS(655),
    [aux_sym_comparison_operator_token5] = ACTIONS(655),
    [aux_sym_comparison_operator_token6] = ACTIONS(655),
    [aux_sym_comparison_operator_token7] = ACTIONS(655),
    [aux_sym_comparison_operator_token8] = ACTIONS(655),
    [aux_sym_comparison_operator_token9] = ACTIONS(655),
    [aux_sym_comparison_operator_token10] = ACTIONS(655),
    [aux_sym_comparison_operator_token11] = ACTIONS(655),
    [aux_sym_comparison_operator_token12] = ACTIONS(655),
    [aux_sym_comparison_operator_token13] = ACTIONS(655),
    [aux_sym_comparison_operator_token14] = ACTIONS(655),
    [aux_sym_comparison_operator_token15] = ACTIONS(655),
    [aux_sym_comparison_operator_token16] = ACTIONS(655),
    [aux_sym_comparison_operator_token17] = ACTIONS(655),
    [aux_sym_comparison_operator_token18] = ACTIONS(655),
    [aux_sym_comparison_operator_token19] = ACTIONS(655),
    [aux_sym_comparison_operator_token20] = ACTIONS(655),
    [aux_sym_comparison_operator_token21] = ACTIONS(655),
    [aux_sym_comparison_operator_token22] = ACTIONS(655),
    [aux_sym_comparison_operator_token23] = ACTIONS(655),
    [aux_sym_comparison_operator_token24] = ACTIONS(655),
    [aux_sym_comparison_operator_token25] = ACTIONS(655),
    [aux_sym_comparison_operator_token26] = ACTIONS(655),
    [aux_sym_comparison_operator_token27] = ACTIONS(655),
    [aux_sym_comparison_operator_token28] = ACTIONS(657),
    [aux_sym_comparison_operator_token29] = ACTIONS(655),
    [aux_sym_comparison_operator_token30] = ACTIONS(655),
    [aux_sym_comparison_operator_token31] = ACTIONS(655),
    [aux_sym_comparison_operator_token32] = ACTIONS(655),
    [aux_sym_comparison_operator_token33] = ACTIONS(655),
    [aux_sym_comparison_operator_token34] = ACTIONS(657),
    [aux_sym_comparison_operator_token35] = ACTIONS(655),
    [aux_sym_comparison_operator_token36] = ACTIONS(655),
    [aux_sym_comparison_operator_token37] = ACTIONS(655),
    [aux_sym_comparison_operator_token38] = ACTIONS(655),
    [aux_sym_comparison_operator_token39] = ACTIONS(655),
    [aux_sym_comparison_operator_token40] = ACTIONS(655),
    [aux_sym_comparison_operator_token41] = ACTIONS(655),
    [aux_sym_comparison_operator_token42] = ACTIONS(655),
    [aux_sym_comparison_operator_token43] = ACTIONS(655),
    [aux_sym_comparison_operator_token44] = ACTIONS(655),
    [aux_sym_comparison_operator_token45] = ACTIONS(655),
    [aux_sym_comparison_operator_token46] = ACTIONS(655),
    [aux_sym_comparison_operator_token47] = ACTIONS(655),
    [aux_sym_comparison_operator_token48] = ACTIONS(655),
    [aux_sym_comparison_operator_token49] = ACTIONS(655),
    [aux_sym_comparison_operator_token50] = ACTIONS(655),
    [aux_sym_format_operator_token1] = ACTIONS(655),
    [anon_sym_RPAREN] = ACTIONS(655),
    [anon_sym_COMMA] = ACTIONS(655),
    [anon_sym_PIPE] = ACTIONS(655),
    [anon_sym_PERCENT] = ACTIONS(657),
    [aux_sym_logical_expression_token1] = ACTIONS(655),
    [aux_sym_logical_expression_token2] = ACTIONS(655),
    [aux_sym_logical_expression_token3] = ACTIONS(655),
    [aux_sym_bitwise_expression_token1] = ACTIONS(655),
    [aux_sym_bitwise_expression_token2] = ACTIONS(655),
    [aux_sym_bitwise_expression_token3] = ACTIONS(655),
    [anon_sym_PLUS] = ACTIONS(657),
    [anon_sym_DASH] = ACTIONS(657),
    [anon_sym_SLASH] = ACTIONS(657),
    [anon_sym_BSLASH] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(657),
    [anon_sym_DOT_DOT] = ACTIONS(655),
    [anon_sym_RBRACK] = ACTIONS(655),
  },
  [160] = {
    [aux_sym_array_literal_expression_repeat1] = STATE(165),
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(772),
    [anon_sym_BANG_EQ] = ACTIONS(772),
    [anon_sym_PLUS_EQ] = ACTIONS(772),
    [anon_sym_STAR_EQ] = ACTIONS(772),
    [anon_sym_SLASH_EQ] = ACTIONS(772),
    [anon_sym_PERCENT_EQ] = ACTIONS(772),
    [anon_sym_GT] = ACTIONS(774),
    [anon_sym_GT_GT] = ACTIONS(772),
    [anon_sym_2_GT] = ACTIONS(774),
    [anon_sym_2_GT_GT] = ACTIONS(772),
    [anon_sym_3_GT] = ACTIONS(774),
    [anon_sym_3_GT_GT] = ACTIONS(772),
    [anon_sym_4_GT] = ACTIONS(774),
    [anon_sym_4_GT_GT] = ACTIONS(772),
    [anon_sym_5_GT] = ACTIONS(774),
    [anon_sym_5_GT_GT] = ACTIONS(772),
    [anon_sym_6_GT] = ACTIONS(774),
    [anon_sym_6_GT_GT] = ACTIONS(772),
    [anon_sym_STAR_GT] = ACTIONS(774),
    [anon_sym_STAR_GT_GT] = ACTIONS(772),
    [anon_sym_LT] = ACTIONS(774),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(772),
    [anon_sym_2_GT_AMP1] = ACTIONS(772),
    [anon_sym_3_GT_AMP1] = ACTIONS(772),
    [anon_sym_4_GT_AMP1] = ACTIONS(772),
    [anon_sym_5_GT_AMP1] = ACTIONS(772),
    [anon_sym_6_GT_AMP1] = ACTIONS(772),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(772),
    [anon_sym_1_GT_AMP2] = ACTIONS(772),
    [anon_sym_3_GT_AMP2] = ACTIONS(772),
    [anon_sym_4_GT_AMP2] = ACTIONS(772),
    [anon_sym_5_GT_AMP2] = ACTIONS(772),
    [anon_sym_6_GT_AMP2] = ACTIONS(772),
    [aux_sym_comparison_operator_token1] = ACTIONS(772),
    [aux_sym_comparison_operator_token2] = ACTIONS(772),
    [aux_sym_comparison_operator_token3] = ACTIONS(772),
    [aux_sym_comparison_operator_token4] = ACTIONS(772),
    [aux_sym_comparison_operator_token5] = ACTIONS(772),
    [aux_sym_comparison_operator_token6] = ACTIONS(772),
    [aux_sym_comparison_operator_token7] = ACTIONS(772),
    [aux_sym_comparison_operator_token8] = ACTIONS(772),
    [aux_sym_comparison_operator_token9] = ACTIONS(772),
    [aux_sym_comparison_operator_token10] = ACTIONS(772),
    [aux_sym_comparison_operator_token11] = ACTIONS(772),
    [aux_sym_comparison_operator_token12] = ACTIONS(772),
    [aux_sym_comparison_operator_token13] = ACTIONS(772),
    [aux_sym_comparison_operator_token14] = ACTIONS(772),
    [aux_sym_comparison_operator_token15] = ACTIONS(772),
    [aux_sym_comparison_operator_token16] = ACTIONS(772),
    [aux_sym_comparison_operator_token17] = ACTIONS(772),
    [aux_sym_comparison_operator_token18] = ACTIONS(772),
    [aux_sym_comparison_operator_token19] = ACTIONS(772),
    [aux_sym_comparison_operator_token20] = ACTIONS(772),
    [aux_sym_comparison_operator_token21] = ACTIONS(772),
    [aux_sym_comparison_operator_token22] = ACTIONS(772),
    [aux_sym_comparison_operator_token23] = ACTIONS(772),
    [aux_sym_comparison_operator_token24] = ACTIONS(772),
    [aux_sym_comparison_operator_token25] = ACTIONS(772),
    [aux_sym_comparison_operator_token26] = ACTIONS(772),
    [aux_sym_comparison_operator_token27] = ACTIONS(772),
    [aux_sym_comparison_operator_token28] = ACTIONS(774),
    [aux_sym_comparison_operator_token29] = ACTIONS(772),
    [aux_sym_comparison_operator_token30] = ACTIONS(772),
    [aux_sym_comparison_operator_token31] = ACTIONS(772),
    [aux_sym_comparison_operator_token32] = ACTIONS(772),
    [aux_sym_comparison_operator_token33] = ACTIONS(772),
    [aux_sym_comparison_operator_token34] = ACTIONS(774),
    [aux_sym_comparison_operator_token35] = ACTIONS(772),
    [aux_sym_comparison_operator_token36] = ACTIONS(772),
    [aux_sym_comparison_operator_token37] = ACTIONS(772),
    [aux_sym_comparison_operator_token38] = ACTIONS(772),
    [aux_sym_comparison_operator_token39] = ACTIONS(772),
    [aux_sym_comparison_operator_token40] = ACTIONS(772),
    [aux_sym_comparison_operator_token41] = ACTIONS(772),
    [aux_sym_comparison_operator_token42] = ACTIONS(772),
    [aux_sym_comparison_operator_token43] = ACTIONS(772),
    [aux_sym_comparison_operator_token44] = ACTIONS(772),
    [aux_sym_comparison_operator_token45] = ACTIONS(772),
    [aux_sym_comparison_operator_token46] = ACTIONS(772),
    [aux_sym_comparison_operator_token47] = ACTIONS(772),
    [aux_sym_comparison_operator_token48] = ACTIONS(772),
    [aux_sym_comparison_operator_token49] = ACTIONS(772),
    [aux_sym_comparison_operator_token50] = ACTIONS(772),
    [aux_sym_format_operator_token1] = ACTIONS(772),
    [anon_sym_RPAREN] = ACTIONS(772),
    [anon_sym_COMMA] = ACTIONS(776),
    [anon_sym_PIPE] = ACTIONS(772),
    [anon_sym_PERCENT] = ACTIONS(774),
    [aux_sym_logical_expression_token1] = ACTIONS(772),
    [aux_sym_logical_expression_token2] = ACTIONS(772),
    [aux_sym_logical_expression_token3] = ACTIONS(772),
    [aux_sym_bitwise_expression_token1] = ACTIONS(772),
    [aux_sym_bitwise_expression_token2] = ACTIONS(772),
    [aux_sym_bitwise_expression_token3] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(774),
    [anon_sym_DASH] = ACTIONS(774),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_BSLASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(774),
    [anon_sym_DOT_DOT] = ACTIONS(772),
  },
  [161] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(675),
    [anon_sym_BANG_EQ] = ACTIONS(675),
    [anon_sym_PLUS_EQ] = ACTIONS(675),
    [anon_sym_STAR_EQ] = ACTIONS(675),
    [anon_sym_SLASH_EQ] = ACTIONS(675),
    [anon_sym_PERCENT_EQ] = ACTIONS(675),
    [anon_sym_GT] = ACTIONS(677),
    [anon_sym_GT_GT] = ACTIONS(675),
    [anon_sym_2_GT] = ACTIONS(677),
    [anon_sym_2_GT_GT] = ACTIONS(675),
    [anon_sym_3_GT] = ACTIONS(677),
    [anon_sym_3_GT_GT] = ACTIONS(675),
    [anon_sym_4_GT] = ACTIONS(677),
    [anon_sym_4_GT_GT] = ACTIONS(675),
    [anon_sym_5_GT] = ACTIONS(677),
    [anon_sym_5_GT_GT] = ACTIONS(675),
    [anon_sym_6_GT] = ACTIONS(677),
    [anon_sym_6_GT_GT] = ACTIONS(675),
    [anon_sym_STAR_GT] = ACTIONS(677),
    [anon_sym_STAR_GT_GT] = ACTIONS(675),
    [anon_sym_LT] = ACTIONS(677),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(675),
    [anon_sym_2_GT_AMP1] = ACTIONS(675),
    [anon_sym_3_GT_AMP1] = ACTIONS(675),
    [anon_sym_4_GT_AMP1] = ACTIONS(675),
    [anon_sym_5_GT_AMP1] = ACTIONS(675),
    [anon_sym_6_GT_AMP1] = ACTIONS(675),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(675),
    [anon_sym_1_GT_AMP2] = ACTIONS(675),
    [anon_sym_3_GT_AMP2] = ACTIONS(675),
    [anon_sym_4_GT_AMP2] = ACTIONS(675),
    [anon_sym_5_GT_AMP2] = ACTIONS(675),
    [anon_sym_6_GT_AMP2] = ACTIONS(675),
    [aux_sym_comparison_operator_token1] = ACTIONS(675),
    [aux_sym_comparison_operator_token2] = ACTIONS(675),
    [aux_sym_comparison_operator_token3] = ACTIONS(675),
    [aux_sym_comparison_operator_token4] = ACTIONS(675),
    [aux_sym_comparison_operator_token5] = ACTIONS(675),
    [aux_sym_comparison_operator_token6] = ACTIONS(675),
    [aux_sym_comparison_operator_token7] = ACTIONS(675),
    [aux_sym_comparison_operator_token8] = ACTIONS(675),
    [aux_sym_comparison_operator_token9] = ACTIONS(675),
    [aux_sym_comparison_operator_token10] = ACTIONS(675),
    [aux_sym_comparison_operator_token11] = ACTIONS(675),
    [aux_sym_comparison_operator_token12] = ACTIONS(675),
    [aux_sym_comparison_operator_token13] = ACTIONS(675),
    [aux_sym_comparison_operator_token14] = ACTIONS(675),
    [aux_sym_comparison_operator_token15] = ACTIONS(675),
    [aux_sym_comparison_operator_token16] = ACTIONS(675),
    [aux_sym_comparison_operator_token17] = ACTIONS(675),
    [aux_sym_comparison_operator_token18] = ACTIONS(675),
    [aux_sym_comparison_operator_token19] = ACTIONS(675),
    [aux_sym_comparison_operator_token20] = ACTIONS(675),
    [aux_sym_comparison_operator_token21] = ACTIONS(675),
    [aux_sym_comparison_operator_token22] = ACTIONS(675),
    [aux_sym_comparison_operator_token23] = ACTIONS(675),
    [aux_sym_comparison_operator_token24] = ACTIONS(675),
    [aux_sym_comparison_operator_token25] = ACTIONS(675),
    [aux_sym_comparison_operator_token26] = ACTIONS(675),
    [aux_sym_comparison_operator_token27] = ACTIONS(675),
    [aux_sym_comparison_operator_token28] = ACTIONS(677),
    [aux_sym_comparison_operator_token29] = ACTIONS(675),
    [aux_sym_comparison_operator_token30] = ACTIONS(675),
    [aux_sym_comparison_operator_token31] = ACTIONS(675),
    [aux_sym_comparison_operator_token32] = ACTIONS(675),
    [aux_sym_comparison_operator_token33] = ACTIONS(675),
    [aux_sym_comparison_operator_token34] = ACTIONS(677),
    [aux_sym_comparison_operator_token35] = ACTIONS(675),
    [aux_sym_comparison_operator_token36] = ACTIONS(675),
    [aux_sym_comparison_operator_token37] = ACTIONS(675),
    [aux_sym_comparison_operator_token38] = ACTIONS(675),
    [aux_sym_comparison_operator_token39] = ACTIONS(675),
    [aux_sym_comparison_operator_token40] = ACTIONS(675),
    [aux_sym_comparison_operator_token41] = ACTIONS(675),
    [aux_sym_comparison_operator_token42] = ACTIONS(675),
    [aux_sym_comparison_operator_token43] = ACTIONS(675),
    [aux_sym_comparison_operator_token44] = ACTIONS(675),
    [aux_sym_comparison_operator_token45] = ACTIONS(675),
    [aux_sym_comparison_operator_token46] = ACTIONS(675),
    [aux_sym_comparison_operator_token47] = ACTIONS(675),
    [aux_sym_comparison_operator_token48] = ACTIONS(675),
    [aux_sym_comparison_operator_token49] = ACTIONS(675),
    [aux_sym_comparison_operator_token50] = ACTIONS(675),
    [aux_sym_format_operator_token1] = ACTIONS(675),
    [anon_sym_RPAREN] = ACTIONS(675),
    [anon_sym_COMMA] = ACTIONS(675),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_PERCENT] = ACTIONS(677),
    [aux_sym_logical_expression_token1] = ACTIONS(675),
    [aux_sym_logical_expression_token2] = ACTIONS(675),
    [aux_sym_logical_expression_token3] = ACTIONS(675),
    [aux_sym_bitwise_expression_token1] = ACTIONS(675),
    [aux_sym_bitwise_expression_token2] = ACTIONS(675),
    [aux_sym_bitwise_expression_token3] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(677),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_SLASH] = ACTIONS(677),
    [anon_sym_BSLASH] = ACTIONS(675),
    [anon_sym_STAR] = ACTIONS(677),
    [anon_sym_DOT_DOT] = ACTIONS(675),
    [anon_sym_RBRACK] = ACTIONS(675),
  },
  [162] = {
    [aux_sym_array_literal_expression_repeat1] = STATE(170),
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(778),
    [anon_sym_BANG_EQ] = ACTIONS(778),
    [anon_sym_PLUS_EQ] = ACTIONS(778),
    [anon_sym_STAR_EQ] = ACTIONS(778),
    [anon_sym_SLASH_EQ] = ACTIONS(778),
    [anon_sym_PERCENT_EQ] = ACTIONS(778),
    [anon_sym_GT] = ACTIONS(780),
    [anon_sym_GT_GT] = ACTIONS(778),
    [anon_sym_2_GT] = ACTIONS(780),
    [anon_sym_2_GT_GT] = ACTIONS(778),
    [anon_sym_3_GT] = ACTIONS(780),
    [anon_sym_3_GT_GT] = ACTIONS(778),
    [anon_sym_4_GT] = ACTIONS(780),
    [anon_sym_4_GT_GT] = ACTIONS(778),
    [anon_sym_5_GT] = ACTIONS(780),
    [anon_sym_5_GT_GT] = ACTIONS(778),
    [anon_sym_6_GT] = ACTIONS(780),
    [anon_sym_6_GT_GT] = ACTIONS(778),
    [anon_sym_STAR_GT] = ACTIONS(780),
    [anon_sym_STAR_GT_GT] = ACTIONS(778),
    [anon_sym_LT] = ACTIONS(780),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(778),
    [anon_sym_2_GT_AMP1] = ACTIONS(778),
    [anon_sym_3_GT_AMP1] = ACTIONS(778),
    [anon_sym_4_GT_AMP1] = ACTIONS(778),
    [anon_sym_5_GT_AMP1] = ACTIONS(778),
    [anon_sym_6_GT_AMP1] = ACTIONS(778),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(778),
    [anon_sym_1_GT_AMP2] = ACTIONS(778),
    [anon_sym_3_GT_AMP2] = ACTIONS(778),
    [anon_sym_4_GT_AMP2] = ACTIONS(778),
    [anon_sym_5_GT_AMP2] = ACTIONS(778),
    [anon_sym_6_GT_AMP2] = ACTIONS(778),
    [aux_sym_comparison_operator_token1] = ACTIONS(778),
    [aux_sym_comparison_operator_token2] = ACTIONS(778),
    [aux_sym_comparison_operator_token3] = ACTIONS(778),
    [aux_sym_comparison_operator_token4] = ACTIONS(778),
    [aux_sym_comparison_operator_token5] = ACTIONS(778),
    [aux_sym_comparison_operator_token6] = ACTIONS(778),
    [aux_sym_comparison_operator_token7] = ACTIONS(778),
    [aux_sym_comparison_operator_token8] = ACTIONS(778),
    [aux_sym_comparison_operator_token9] = ACTIONS(778),
    [aux_sym_comparison_operator_token10] = ACTIONS(778),
    [aux_sym_comparison_operator_token11] = ACTIONS(778),
    [aux_sym_comparison_operator_token12] = ACTIONS(778),
    [aux_sym_comparison_operator_token13] = ACTIONS(778),
    [aux_sym_comparison_operator_token14] = ACTIONS(778),
    [aux_sym_comparison_operator_token15] = ACTIONS(778),
    [aux_sym_comparison_operator_token16] = ACTIONS(778),
    [aux_sym_comparison_operator_token17] = ACTIONS(778),
    [aux_sym_comparison_operator_token18] = ACTIONS(778),
    [aux_sym_comparison_operator_token19] = ACTIONS(778),
    [aux_sym_comparison_operator_token20] = ACTIONS(778),
    [aux_sym_comparison_operator_token21] = ACTIONS(778),
    [aux_sym_comparison_operator_token22] = ACTIONS(778),
    [aux_sym_comparison_operator_token23] = ACTIONS(778),
    [aux_sym_comparison_operator_token24] = ACTIONS(778),
    [aux_sym_comparison_operator_token25] = ACTIONS(778),
    [aux_sym_comparison_operator_token26] = ACTIONS(778),
    [aux_sym_comparison_operator_token27] = ACTIONS(778),
    [aux_sym_comparison_operator_token28] = ACTIONS(780),
    [aux_sym_comparison_operator_token29] = ACTIONS(778),
    [aux_sym_comparison_operator_token30] = ACTIONS(778),
    [aux_sym_comparison_operator_token31] = ACTIONS(778),
    [aux_sym_comparison_operator_token32] = ACTIONS(778),
    [aux_sym_comparison_operator_token33] = ACTIONS(778),
    [aux_sym_comparison_operator_token34] = ACTIONS(780),
    [aux_sym_comparison_operator_token35] = ACTIONS(778),
    [aux_sym_comparison_operator_token36] = ACTIONS(778),
    [aux_sym_comparison_operator_token37] = ACTIONS(778),
    [aux_sym_comparison_operator_token38] = ACTIONS(778),
    [aux_sym_comparison_operator_token39] = ACTIONS(778),
    [aux_sym_comparison_operator_token40] = ACTIONS(778),
    [aux_sym_comparison_operator_token41] = ACTIONS(778),
    [aux_sym_comparison_operator_token42] = ACTIONS(778),
    [aux_sym_comparison_operator_token43] = ACTIONS(778),
    [aux_sym_comparison_operator_token44] = ACTIONS(778),
    [aux_sym_comparison_operator_token45] = ACTIONS(778),
    [aux_sym_comparison_operator_token46] = ACTIONS(778),
    [aux_sym_comparison_operator_token47] = ACTIONS(778),
    [aux_sym_comparison_operator_token48] = ACTIONS(778),
    [aux_sym_comparison_operator_token49] = ACTIONS(778),
    [aux_sym_comparison_operator_token50] = ACTIONS(778),
    [aux_sym_format_operator_token1] = ACTIONS(778),
    [anon_sym_COMMA] = ACTIONS(782),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(780),
    [aux_sym_logical_expression_token1] = ACTIONS(778),
    [aux_sym_logical_expression_token2] = ACTIONS(778),
    [aux_sym_logical_expression_token3] = ACTIONS(778),
    [aux_sym_bitwise_expression_token1] = ACTIONS(778),
    [aux_sym_bitwise_expression_token2] = ACTIONS(778),
    [aux_sym_bitwise_expression_token3] = ACTIONS(778),
    [anon_sym_PLUS] = ACTIONS(780),
    [anon_sym_DASH] = ACTIONS(780),
    [anon_sym_SLASH] = ACTIONS(780),
    [anon_sym_BSLASH] = ACTIONS(778),
    [anon_sym_STAR] = ACTIONS(780),
    [anon_sym_DOT_DOT] = ACTIONS(778),
    [sym__statement_terminator] = ACTIONS(778),
  },
  [163] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(784),
    [anon_sym_BANG_EQ] = ACTIONS(784),
    [anon_sym_PLUS_EQ] = ACTIONS(784),
    [anon_sym_STAR_EQ] = ACTIONS(784),
    [anon_sym_SLASH_EQ] = ACTIONS(784),
    [anon_sym_PERCENT_EQ] = ACTIONS(784),
    [anon_sym_GT] = ACTIONS(786),
    [anon_sym_GT_GT] = ACTIONS(784),
    [anon_sym_2_GT] = ACTIONS(786),
    [anon_sym_2_GT_GT] = ACTIONS(784),
    [anon_sym_3_GT] = ACTIONS(786),
    [anon_sym_3_GT_GT] = ACTIONS(784),
    [anon_sym_4_GT] = ACTIONS(786),
    [anon_sym_4_GT_GT] = ACTIONS(784),
    [anon_sym_5_GT] = ACTIONS(786),
    [anon_sym_5_GT_GT] = ACTIONS(784),
    [anon_sym_6_GT] = ACTIONS(786),
    [anon_sym_6_GT_GT] = ACTIONS(784),
    [anon_sym_STAR_GT] = ACTIONS(786),
    [anon_sym_STAR_GT_GT] = ACTIONS(784),
    [anon_sym_LT] = ACTIONS(786),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(784),
    [anon_sym_2_GT_AMP1] = ACTIONS(784),
    [anon_sym_3_GT_AMP1] = ACTIONS(784),
    [anon_sym_4_GT_AMP1] = ACTIONS(784),
    [anon_sym_5_GT_AMP1] = ACTIONS(784),
    [anon_sym_6_GT_AMP1] = ACTIONS(784),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(784),
    [anon_sym_1_GT_AMP2] = ACTIONS(784),
    [anon_sym_3_GT_AMP2] = ACTIONS(784),
    [anon_sym_4_GT_AMP2] = ACTIONS(784),
    [anon_sym_5_GT_AMP2] = ACTIONS(784),
    [anon_sym_6_GT_AMP2] = ACTIONS(784),
    [aux_sym_comparison_operator_token1] = ACTIONS(784),
    [aux_sym_comparison_operator_token2] = ACTIONS(784),
    [aux_sym_comparison_operator_token3] = ACTIONS(784),
    [aux_sym_comparison_operator_token4] = ACTIONS(784),
    [aux_sym_comparison_operator_token5] = ACTIONS(784),
    [aux_sym_comparison_operator_token6] = ACTIONS(784),
    [aux_sym_comparison_operator_token7] = ACTIONS(784),
    [aux_sym_comparison_operator_token8] = ACTIONS(784),
    [aux_sym_comparison_operator_token9] = ACTIONS(784),
    [aux_sym_comparison_operator_token10] = ACTIONS(784),
    [aux_sym_comparison_operator_token11] = ACTIONS(784),
    [aux_sym_comparison_operator_token12] = ACTIONS(784),
    [aux_sym_comparison_operator_token13] = ACTIONS(784),
    [aux_sym_comparison_operator_token14] = ACTIONS(784),
    [aux_sym_comparison_operator_token15] = ACTIONS(784),
    [aux_sym_comparison_operator_token16] = ACTIONS(784),
    [aux_sym_comparison_operator_token17] = ACTIONS(784),
    [aux_sym_comparison_operator_token18] = ACTIONS(784),
    [aux_sym_comparison_operator_token19] = ACTIONS(784),
    [aux_sym_comparison_operator_token20] = ACTIONS(784),
    [aux_sym_comparison_operator_token21] = ACTIONS(784),
    [aux_sym_comparison_operator_token22] = ACTIONS(784),
    [aux_sym_comparison_operator_token23] = ACTIONS(784),
    [aux_sym_comparison_operator_token24] = ACTIONS(784),
    [aux_sym_comparison_operator_token25] = ACTIONS(784),
    [aux_sym_comparison_operator_token26] = ACTIONS(784),
    [aux_sym_comparison_operator_token27] = ACTIONS(784),
    [aux_sym_comparison_operator_token28] = ACTIONS(786),
    [aux_sym_comparison_operator_token29] = ACTIONS(784),
    [aux_sym_comparison_operator_token30] = ACTIONS(784),
    [aux_sym_comparison_operator_token31] = ACTIONS(784),
    [aux_sym_comparison_operator_token32] = ACTIONS(784),
    [aux_sym_comparison_operator_token33] = ACTIONS(784),
    [aux_sym_comparison_operator_token34] = ACTIONS(786),
    [aux_sym_comparison_operator_token35] = ACTIONS(784),
    [aux_sym_comparison_operator_token36] = ACTIONS(784),
    [aux_sym_comparison_operator_token37] = ACTIONS(784),
    [aux_sym_comparison_operator_token38] = ACTIONS(784),
    [aux_sym_comparison_operator_token39] = ACTIONS(784),
    [aux_sym_comparison_operator_token40] = ACTIONS(784),
    [aux_sym_comparison_operator_token41] = ACTIONS(784),
    [aux_sym_comparison_operator_token42] = ACTIONS(784),
    [aux_sym_comparison_operator_token43] = ACTIONS(784),
    [aux_sym_comparison_operator_token44] = ACTIONS(784),
    [aux_sym_comparison_operator_token45] = ACTIONS(784),
    [aux_sym_comparison_operator_token46] = ACTIONS(784),
    [aux_sym_comparison_operator_token47] = ACTIONS(784),
    [aux_sym_comparison_operator_token48] = ACTIONS(784),
    [aux_sym_comparison_operator_token49] = ACTIONS(784),
    [aux_sym_comparison_operator_token50] = ACTIONS(784),
    [aux_sym_format_operator_token1] = ACTIONS(784),
    [anon_sym_RPAREN] = ACTIONS(784),
    [anon_sym_COMMA] = ACTIONS(784),
    [anon_sym_PIPE] = ACTIONS(784),
    [anon_sym_PERCENT] = ACTIONS(786),
    [aux_sym_logical_expression_token1] = ACTIONS(784),
    [aux_sym_logical_expression_token2] = ACTIONS(784),
    [aux_sym_logical_expression_token3] = ACTIONS(784),
    [aux_sym_bitwise_expression_token1] = ACTIONS(784),
    [aux_sym_bitwise_expression_token2] = ACTIONS(784),
    [aux_sym_bitwise_expression_token3] = ACTIONS(784),
    [anon_sym_PLUS] = ACTIONS(786),
    [anon_sym_DASH] = ACTIONS(786),
    [anon_sym_SLASH] = ACTIONS(786),
    [anon_sym_BSLASH] = ACTIONS(784),
    [anon_sym_STAR] = ACTIONS(786),
    [anon_sym_DOT_DOT] = ACTIONS(784),
    [anon_sym_RBRACK] = ACTIONS(784),
  },
  [164] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_BANG_EQ] = ACTIONS(765),
    [anon_sym_PLUS_EQ] = ACTIONS(765),
    [anon_sym_STAR_EQ] = ACTIONS(765),
    [anon_sym_SLASH_EQ] = ACTIONS(765),
    [anon_sym_PERCENT_EQ] = ACTIONS(765),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_GT] = ACTIONS(765),
    [anon_sym_2_GT] = ACTIONS(767),
    [anon_sym_2_GT_GT] = ACTIONS(765),
    [anon_sym_3_GT] = ACTIONS(767),
    [anon_sym_3_GT_GT] = ACTIONS(765),
    [anon_sym_4_GT] = ACTIONS(767),
    [anon_sym_4_GT_GT] = ACTIONS(765),
    [anon_sym_5_GT] = ACTIONS(767),
    [anon_sym_5_GT_GT] = ACTIONS(765),
    [anon_sym_6_GT] = ACTIONS(767),
    [anon_sym_6_GT_GT] = ACTIONS(765),
    [anon_sym_STAR_GT] = ACTIONS(767),
    [anon_sym_STAR_GT_GT] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(765),
    [anon_sym_2_GT_AMP1] = ACTIONS(765),
    [anon_sym_3_GT_AMP1] = ACTIONS(765),
    [anon_sym_4_GT_AMP1] = ACTIONS(765),
    [anon_sym_5_GT_AMP1] = ACTIONS(765),
    [anon_sym_6_GT_AMP1] = ACTIONS(765),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(765),
    [anon_sym_1_GT_AMP2] = ACTIONS(765),
    [anon_sym_3_GT_AMP2] = ACTIONS(765),
    [anon_sym_4_GT_AMP2] = ACTIONS(765),
    [anon_sym_5_GT_AMP2] = ACTIONS(765),
    [anon_sym_6_GT_AMP2] = ACTIONS(765),
    [aux_sym_comparison_operator_token1] = ACTIONS(765),
    [aux_sym_comparison_operator_token2] = ACTIONS(765),
    [aux_sym_comparison_operator_token3] = ACTIONS(765),
    [aux_sym_comparison_operator_token4] = ACTIONS(765),
    [aux_sym_comparison_operator_token5] = ACTIONS(765),
    [aux_sym_comparison_operator_token6] = ACTIONS(765),
    [aux_sym_comparison_operator_token7] = ACTIONS(765),
    [aux_sym_comparison_operator_token8] = ACTIONS(765),
    [aux_sym_comparison_operator_token9] = ACTIONS(765),
    [aux_sym_comparison_operator_token10] = ACTIONS(765),
    [aux_sym_comparison_operator_token11] = ACTIONS(765),
    [aux_sym_comparison_operator_token12] = ACTIONS(765),
    [aux_sym_comparison_operator_token13] = ACTIONS(765),
    [aux_sym_comparison_operator_token14] = ACTIONS(765),
    [aux_sym_comparison_operator_token15] = ACTIONS(765),
    [aux_sym_comparison_operator_token16] = ACTIONS(765),
    [aux_sym_comparison_operator_token17] = ACTIONS(765),
    [aux_sym_comparison_operator_token18] = ACTIONS(765),
    [aux_sym_comparison_operator_token19] = ACTIONS(765),
    [aux_sym_comparison_operator_token20] = ACTIONS(765),
    [aux_sym_comparison_operator_token21] = ACTIONS(765),
    [aux_sym_comparison_operator_token22] = ACTIONS(765),
    [aux_sym_comparison_operator_token23] = ACTIONS(765),
    [aux_sym_comparison_operator_token24] = ACTIONS(765),
    [aux_sym_comparison_operator_token25] = ACTIONS(765),
    [aux_sym_comparison_operator_token26] = ACTIONS(765),
    [aux_sym_comparison_operator_token27] = ACTIONS(765),
    [aux_sym_comparison_operator_token28] = ACTIONS(767),
    [aux_sym_comparison_operator_token29] = ACTIONS(765),
    [aux_sym_comparison_operator_token30] = ACTIONS(765),
    [aux_sym_comparison_operator_token31] = ACTIONS(765),
    [aux_sym_comparison_operator_token32] = ACTIONS(765),
    [aux_sym_comparison_operator_token33] = ACTIONS(765),
    [aux_sym_comparison_operator_token34] = ACTIONS(767),
    [aux_sym_comparison_operator_token35] = ACTIONS(765),
    [aux_sym_comparison_operator_token36] = ACTIONS(765),
    [aux_sym_comparison_operator_token37] = ACTIONS(765),
    [aux_sym_comparison_operator_token38] = ACTIONS(765),
    [aux_sym_comparison_operator_token39] = ACTIONS(765),
    [aux_sym_comparison_operator_token40] = ACTIONS(765),
    [aux_sym_comparison_operator_token41] = ACTIONS(765),
    [aux_sym_comparison_operator_token42] = ACTIONS(765),
    [aux_sym_comparison_operator_token43] = ACTIONS(765),
    [aux_sym_comparison_operator_token44] = ACTIONS(765),
    [aux_sym_comparison_operator_token45] = ACTIONS(765),
    [aux_sym_comparison_operator_token46] = ACTIONS(765),
    [aux_sym_comparison_operator_token47] = ACTIONS(765),
    [aux_sym_comparison_operator_token48] = ACTIONS(765),
    [aux_sym_comparison_operator_token49] = ACTIONS(765),
    [aux_sym_comparison_operator_token50] = ACTIONS(765),
    [aux_sym_format_operator_token1] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(765),
    [anon_sym_COMMA] = ACTIONS(765),
    [anon_sym_PIPE] = ACTIONS(765),
    [anon_sym_PERCENT] = ACTIONS(767),
    [aux_sym_logical_expression_token1] = ACTIONS(765),
    [aux_sym_logical_expression_token2] = ACTIONS(765),
    [aux_sym_logical_expression_token3] = ACTIONS(765),
    [aux_sym_bitwise_expression_token1] = ACTIONS(765),
    [aux_sym_bitwise_expression_token2] = ACTIONS(765),
    [aux_sym_bitwise_expression_token3] = ACTIONS(765),
    [anon_sym_PLUS] = ACTIONS(767),
    [anon_sym_DASH] = ACTIONS(767),
    [anon_sym_SLASH] = ACTIONS(767),
    [anon_sym_BSLASH] = ACTIONS(765),
    [anon_sym_STAR] = ACTIONS(767),
    [anon_sym_DOT_DOT] = ACTIONS(765),
    [anon_sym_RBRACK] = ACTIONS(765),
  },
  [165] = {
    [aux_sym_array_literal_expression_repeat1] = STATE(165),
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_BANG_EQ] = ACTIONS(765),
    [anon_sym_PLUS_EQ] = ACTIONS(765),
    [anon_sym_STAR_EQ] = ACTIONS(765),
    [anon_sym_SLASH_EQ] = ACTIONS(765),
    [anon_sym_PERCENT_EQ] = ACTIONS(765),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_GT] = ACTIONS(765),
    [anon_sym_2_GT] = ACTIONS(767),
    [anon_sym_2_GT_GT] = ACTIONS(765),
    [anon_sym_3_GT] = ACTIONS(767),
    [anon_sym_3_GT_GT] = ACTIONS(765),
    [anon_sym_4_GT] = ACTIONS(767),
    [anon_sym_4_GT_GT] = ACTIONS(765),
    [anon_sym_5_GT] = ACTIONS(767),
    [anon_sym_5_GT_GT] = ACTIONS(765),
    [anon_sym_6_GT] = ACTIONS(767),
    [anon_sym_6_GT_GT] = ACTIONS(765),
    [anon_sym_STAR_GT] = ACTIONS(767),
    [anon_sym_STAR_GT_GT] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(765),
    [anon_sym_2_GT_AMP1] = ACTIONS(765),
    [anon_sym_3_GT_AMP1] = ACTIONS(765),
    [anon_sym_4_GT_AMP1] = ACTIONS(765),
    [anon_sym_5_GT_AMP1] = ACTIONS(765),
    [anon_sym_6_GT_AMP1] = ACTIONS(765),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(765),
    [anon_sym_1_GT_AMP2] = ACTIONS(765),
    [anon_sym_3_GT_AMP2] = ACTIONS(765),
    [anon_sym_4_GT_AMP2] = ACTIONS(765),
    [anon_sym_5_GT_AMP2] = ACTIONS(765),
    [anon_sym_6_GT_AMP2] = ACTIONS(765),
    [aux_sym_comparison_operator_token1] = ACTIONS(765),
    [aux_sym_comparison_operator_token2] = ACTIONS(765),
    [aux_sym_comparison_operator_token3] = ACTIONS(765),
    [aux_sym_comparison_operator_token4] = ACTIONS(765),
    [aux_sym_comparison_operator_token5] = ACTIONS(765),
    [aux_sym_comparison_operator_token6] = ACTIONS(765),
    [aux_sym_comparison_operator_token7] = ACTIONS(765),
    [aux_sym_comparison_operator_token8] = ACTIONS(765),
    [aux_sym_comparison_operator_token9] = ACTIONS(765),
    [aux_sym_comparison_operator_token10] = ACTIONS(765),
    [aux_sym_comparison_operator_token11] = ACTIONS(765),
    [aux_sym_comparison_operator_token12] = ACTIONS(765),
    [aux_sym_comparison_operator_token13] = ACTIONS(765),
    [aux_sym_comparison_operator_token14] = ACTIONS(765),
    [aux_sym_comparison_operator_token15] = ACTIONS(765),
    [aux_sym_comparison_operator_token16] = ACTIONS(765),
    [aux_sym_comparison_operator_token17] = ACTIONS(765),
    [aux_sym_comparison_operator_token18] = ACTIONS(765),
    [aux_sym_comparison_operator_token19] = ACTIONS(765),
    [aux_sym_comparison_operator_token20] = ACTIONS(765),
    [aux_sym_comparison_operator_token21] = ACTIONS(765),
    [aux_sym_comparison_operator_token22] = ACTIONS(765),
    [aux_sym_comparison_operator_token23] = ACTIONS(765),
    [aux_sym_comparison_operator_token24] = ACTIONS(765),
    [aux_sym_comparison_operator_token25] = ACTIONS(765),
    [aux_sym_comparison_operator_token26] = ACTIONS(765),
    [aux_sym_comparison_operator_token27] = ACTIONS(765),
    [aux_sym_comparison_operator_token28] = ACTIONS(767),
    [aux_sym_comparison_operator_token29] = ACTIONS(765),
    [aux_sym_comparison_operator_token30] = ACTIONS(765),
    [aux_sym_comparison_operator_token31] = ACTIONS(765),
    [aux_sym_comparison_operator_token32] = ACTIONS(765),
    [aux_sym_comparison_operator_token33] = ACTIONS(765),
    [aux_sym_comparison_operator_token34] = ACTIONS(767),
    [aux_sym_comparison_operator_token35] = ACTIONS(765),
    [aux_sym_comparison_operator_token36] = ACTIONS(765),
    [aux_sym_comparison_operator_token37] = ACTIONS(765),
    [aux_sym_comparison_operator_token38] = ACTIONS(765),
    [aux_sym_comparison_operator_token39] = ACTIONS(765),
    [aux_sym_comparison_operator_token40] = ACTIONS(765),
    [aux_sym_comparison_operator_token41] = ACTIONS(765),
    [aux_sym_comparison_operator_token42] = ACTIONS(765),
    [aux_sym_comparison_operator_token43] = ACTIONS(765),
    [aux_sym_comparison_operator_token44] = ACTIONS(765),
    [aux_sym_comparison_operator_token45] = ACTIONS(765),
    [aux_sym_comparison_operator_token46] = ACTIONS(765),
    [aux_sym_comparison_operator_token47] = ACTIONS(765),
    [aux_sym_comparison_operator_token48] = ACTIONS(765),
    [aux_sym_comparison_operator_token49] = ACTIONS(765),
    [aux_sym_comparison_operator_token50] = ACTIONS(765),
    [aux_sym_format_operator_token1] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(765),
    [anon_sym_COMMA] = ACTIONS(788),
    [anon_sym_PIPE] = ACTIONS(765),
    [anon_sym_PERCENT] = ACTIONS(767),
    [aux_sym_logical_expression_token1] = ACTIONS(765),
    [aux_sym_logical_expression_token2] = ACTIONS(765),
    [aux_sym_logical_expression_token3] = ACTIONS(765),
    [aux_sym_bitwise_expression_token1] = ACTIONS(765),
    [aux_sym_bitwise_expression_token2] = ACTIONS(765),
    [aux_sym_bitwise_expression_token3] = ACTIONS(765),
    [anon_sym_PLUS] = ACTIONS(767),
    [anon_sym_DASH] = ACTIONS(767),
    [anon_sym_SLASH] = ACTIONS(767),
    [anon_sym_BSLASH] = ACTIONS(765),
    [anon_sym_STAR] = ACTIONS(767),
    [anon_sym_DOT_DOT] = ACTIONS(765),
  },
  [166] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(791),
    [anon_sym_BANG_EQ] = ACTIONS(791),
    [anon_sym_PLUS_EQ] = ACTIONS(791),
    [anon_sym_STAR_EQ] = ACTIONS(791),
    [anon_sym_SLASH_EQ] = ACTIONS(791),
    [anon_sym_PERCENT_EQ] = ACTIONS(791),
    [anon_sym_GT] = ACTIONS(793),
    [anon_sym_GT_GT] = ACTIONS(791),
    [anon_sym_2_GT] = ACTIONS(793),
    [anon_sym_2_GT_GT] = ACTIONS(791),
    [anon_sym_3_GT] = ACTIONS(793),
    [anon_sym_3_GT_GT] = ACTIONS(791),
    [anon_sym_4_GT] = ACTIONS(793),
    [anon_sym_4_GT_GT] = ACTIONS(791),
    [anon_sym_5_GT] = ACTIONS(793),
    [anon_sym_5_GT_GT] = ACTIONS(791),
    [anon_sym_6_GT] = ACTIONS(793),
    [anon_sym_6_GT_GT] = ACTIONS(791),
    [anon_sym_STAR_GT] = ACTIONS(793),
    [anon_sym_STAR_GT_GT] = ACTIONS(791),
    [anon_sym_LT] = ACTIONS(793),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(791),
    [anon_sym_2_GT_AMP1] = ACTIONS(791),
    [anon_sym_3_GT_AMP1] = ACTIONS(791),
    [anon_sym_4_GT_AMP1] = ACTIONS(791),
    [anon_sym_5_GT_AMP1] = ACTIONS(791),
    [anon_sym_6_GT_AMP1] = ACTIONS(791),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(791),
    [anon_sym_1_GT_AMP2] = ACTIONS(791),
    [anon_sym_3_GT_AMP2] = ACTIONS(791),
    [anon_sym_4_GT_AMP2] = ACTIONS(791),
    [anon_sym_5_GT_AMP2] = ACTIONS(791),
    [anon_sym_6_GT_AMP2] = ACTIONS(791),
    [aux_sym_comparison_operator_token1] = ACTIONS(791),
    [aux_sym_comparison_operator_token2] = ACTIONS(791),
    [aux_sym_comparison_operator_token3] = ACTIONS(791),
    [aux_sym_comparison_operator_token4] = ACTIONS(791),
    [aux_sym_comparison_operator_token5] = ACTIONS(791),
    [aux_sym_comparison_operator_token6] = ACTIONS(791),
    [aux_sym_comparison_operator_token7] = ACTIONS(791),
    [aux_sym_comparison_operator_token8] = ACTIONS(791),
    [aux_sym_comparison_operator_token9] = ACTIONS(791),
    [aux_sym_comparison_operator_token10] = ACTIONS(791),
    [aux_sym_comparison_operator_token11] = ACTIONS(791),
    [aux_sym_comparison_operator_token12] = ACTIONS(791),
    [aux_sym_comparison_operator_token13] = ACTIONS(791),
    [aux_sym_comparison_operator_token14] = ACTIONS(791),
    [aux_sym_comparison_operator_token15] = ACTIONS(791),
    [aux_sym_comparison_operator_token16] = ACTIONS(791),
    [aux_sym_comparison_operator_token17] = ACTIONS(791),
    [aux_sym_comparison_operator_token18] = ACTIONS(791),
    [aux_sym_comparison_operator_token19] = ACTIONS(791),
    [aux_sym_comparison_operator_token20] = ACTIONS(791),
    [aux_sym_comparison_operator_token21] = ACTIONS(791),
    [aux_sym_comparison_operator_token22] = ACTIONS(791),
    [aux_sym_comparison_operator_token23] = ACTIONS(791),
    [aux_sym_comparison_operator_token24] = ACTIONS(791),
    [aux_sym_comparison_operator_token25] = ACTIONS(791),
    [aux_sym_comparison_operator_token26] = ACTIONS(791),
    [aux_sym_comparison_operator_token27] = ACTIONS(791),
    [aux_sym_comparison_operator_token28] = ACTIONS(793),
    [aux_sym_comparison_operator_token29] = ACTIONS(791),
    [aux_sym_comparison_operator_token30] = ACTIONS(791),
    [aux_sym_comparison_operator_token31] = ACTIONS(791),
    [aux_sym_comparison_operator_token32] = ACTIONS(791),
    [aux_sym_comparison_operator_token33] = ACTIONS(791),
    [aux_sym_comparison_operator_token34] = ACTIONS(793),
    [aux_sym_comparison_operator_token35] = ACTIONS(791),
    [aux_sym_comparison_operator_token36] = ACTIONS(791),
    [aux_sym_comparison_operator_token37] = ACTIONS(791),
    [aux_sym_comparison_operator_token38] = ACTIONS(791),
    [aux_sym_comparison_operator_token39] = ACTIONS(791),
    [aux_sym_comparison_operator_token40] = ACTIONS(791),
    [aux_sym_comparison_operator_token41] = ACTIONS(791),
    [aux_sym_comparison_operator_token42] = ACTIONS(791),
    [aux_sym_comparison_operator_token43] = ACTIONS(791),
    [aux_sym_comparison_operator_token44] = ACTIONS(791),
    [aux_sym_comparison_operator_token45] = ACTIONS(791),
    [aux_sym_comparison_operator_token46] = ACTIONS(791),
    [aux_sym_comparison_operator_token47] = ACTIONS(791),
    [aux_sym_comparison_operator_token48] = ACTIONS(791),
    [aux_sym_comparison_operator_token49] = ACTIONS(791),
    [aux_sym_comparison_operator_token50] = ACTIONS(791),
    [aux_sym_format_operator_token1] = ACTIONS(791),
    [anon_sym_RPAREN] = ACTIONS(791),
    [anon_sym_COMMA] = ACTIONS(791),
    [anon_sym_PIPE] = ACTIONS(791),
    [anon_sym_PERCENT] = ACTIONS(793),
    [aux_sym_logical_expression_token1] = ACTIONS(791),
    [aux_sym_logical_expression_token2] = ACTIONS(791),
    [aux_sym_logical_expression_token3] = ACTIONS(791),
    [aux_sym_bitwise_expression_token1] = ACTIONS(791),
    [aux_sym_bitwise_expression_token2] = ACTIONS(791),
    [aux_sym_bitwise_expression_token3] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_SLASH] = ACTIONS(793),
    [anon_sym_BSLASH] = ACTIONS(791),
    [anon_sym_STAR] = ACTIONS(793),
    [anon_sym_DOT_DOT] = ACTIONS(791),
    [anon_sym_RBRACK] = ACTIONS(791),
  },
  [167] = {
    [aux_sym_array_literal_expression_repeat1] = STATE(160),
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(778),
    [anon_sym_BANG_EQ] = ACTIONS(778),
    [anon_sym_PLUS_EQ] = ACTIONS(778),
    [anon_sym_STAR_EQ] = ACTIONS(778),
    [anon_sym_SLASH_EQ] = ACTIONS(778),
    [anon_sym_PERCENT_EQ] = ACTIONS(778),
    [anon_sym_GT] = ACTIONS(780),
    [anon_sym_GT_GT] = ACTIONS(778),
    [anon_sym_2_GT] = ACTIONS(780),
    [anon_sym_2_GT_GT] = ACTIONS(778),
    [anon_sym_3_GT] = ACTIONS(780),
    [anon_sym_3_GT_GT] = ACTIONS(778),
    [anon_sym_4_GT] = ACTIONS(780),
    [anon_sym_4_GT_GT] = ACTIONS(778),
    [anon_sym_5_GT] = ACTIONS(780),
    [anon_sym_5_GT_GT] = ACTIONS(778),
    [anon_sym_6_GT] = ACTIONS(780),
    [anon_sym_6_GT_GT] = ACTIONS(778),
    [anon_sym_STAR_GT] = ACTIONS(780),
    [anon_sym_STAR_GT_GT] = ACTIONS(778),
    [anon_sym_LT] = ACTIONS(780),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(778),
    [anon_sym_2_GT_AMP1] = ACTIONS(778),
    [anon_sym_3_GT_AMP1] = ACTIONS(778),
    [anon_sym_4_GT_AMP1] = ACTIONS(778),
    [anon_sym_5_GT_AMP1] = ACTIONS(778),
    [anon_sym_6_GT_AMP1] = ACTIONS(778),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(778),
    [anon_sym_1_GT_AMP2] = ACTIONS(778),
    [anon_sym_3_GT_AMP2] = ACTIONS(778),
    [anon_sym_4_GT_AMP2] = ACTIONS(778),
    [anon_sym_5_GT_AMP2] = ACTIONS(778),
    [anon_sym_6_GT_AMP2] = ACTIONS(778),
    [aux_sym_comparison_operator_token1] = ACTIONS(778),
    [aux_sym_comparison_operator_token2] = ACTIONS(778),
    [aux_sym_comparison_operator_token3] = ACTIONS(778),
    [aux_sym_comparison_operator_token4] = ACTIONS(778),
    [aux_sym_comparison_operator_token5] = ACTIONS(778),
    [aux_sym_comparison_operator_token6] = ACTIONS(778),
    [aux_sym_comparison_operator_token7] = ACTIONS(778),
    [aux_sym_comparison_operator_token8] = ACTIONS(778),
    [aux_sym_comparison_operator_token9] = ACTIONS(778),
    [aux_sym_comparison_operator_token10] = ACTIONS(778),
    [aux_sym_comparison_operator_token11] = ACTIONS(778),
    [aux_sym_comparison_operator_token12] = ACTIONS(778),
    [aux_sym_comparison_operator_token13] = ACTIONS(778),
    [aux_sym_comparison_operator_token14] = ACTIONS(778),
    [aux_sym_comparison_operator_token15] = ACTIONS(778),
    [aux_sym_comparison_operator_token16] = ACTIONS(778),
    [aux_sym_comparison_operator_token17] = ACTIONS(778),
    [aux_sym_comparison_operator_token18] = ACTIONS(778),
    [aux_sym_comparison_operator_token19] = ACTIONS(778),
    [aux_sym_comparison_operator_token20] = ACTIONS(778),
    [aux_sym_comparison_operator_token21] = ACTIONS(778),
    [aux_sym_comparison_operator_token22] = ACTIONS(778),
    [aux_sym_comparison_operator_token23] = ACTIONS(778),
    [aux_sym_comparison_operator_token24] = ACTIONS(778),
    [aux_sym_comparison_operator_token25] = ACTIONS(778),
    [aux_sym_comparison_operator_token26] = ACTIONS(778),
    [aux_sym_comparison_operator_token27] = ACTIONS(778),
    [aux_sym_comparison_operator_token28] = ACTIONS(780),
    [aux_sym_comparison_operator_token29] = ACTIONS(778),
    [aux_sym_comparison_operator_token30] = ACTIONS(778),
    [aux_sym_comparison_operator_token31] = ACTIONS(778),
    [aux_sym_comparison_operator_token32] = ACTIONS(778),
    [aux_sym_comparison_operator_token33] = ACTIONS(778),
    [aux_sym_comparison_operator_token34] = ACTIONS(780),
    [aux_sym_comparison_operator_token35] = ACTIONS(778),
    [aux_sym_comparison_operator_token36] = ACTIONS(778),
    [aux_sym_comparison_operator_token37] = ACTIONS(778),
    [aux_sym_comparison_operator_token38] = ACTIONS(778),
    [aux_sym_comparison_operator_token39] = ACTIONS(778),
    [aux_sym_comparison_operator_token40] = ACTIONS(778),
    [aux_sym_comparison_operator_token41] = ACTIONS(778),
    [aux_sym_comparison_operator_token42] = ACTIONS(778),
    [aux_sym_comparison_operator_token43] = ACTIONS(778),
    [aux_sym_comparison_operator_token44] = ACTIONS(778),
    [aux_sym_comparison_operator_token45] = ACTIONS(778),
    [aux_sym_comparison_operator_token46] = ACTIONS(778),
    [aux_sym_comparison_operator_token47] = ACTIONS(778),
    [aux_sym_comparison_operator_token48] = ACTIONS(778),
    [aux_sym_comparison_operator_token49] = ACTIONS(778),
    [aux_sym_comparison_operator_token50] = ACTIONS(778),
    [aux_sym_format_operator_token1] = ACTIONS(778),
    [anon_sym_RPAREN] = ACTIONS(778),
    [anon_sym_COMMA] = ACTIONS(776),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(780),
    [aux_sym_logical_expression_token1] = ACTIONS(778),
    [aux_sym_logical_expression_token2] = ACTIONS(778),
    [aux_sym_logical_expression_token3] = ACTIONS(778),
    [aux_sym_bitwise_expression_token1] = ACTIONS(778),
    [aux_sym_bitwise_expression_token2] = ACTIONS(778),
    [aux_sym_bitwise_expression_token3] = ACTIONS(778),
    [anon_sym_PLUS] = ACTIONS(780),
    [anon_sym_DASH] = ACTIONS(780),
    [anon_sym_SLASH] = ACTIONS(780),
    [anon_sym_BSLASH] = ACTIONS(778),
    [anon_sym_STAR] = ACTIONS(780),
    [anon_sym_DOT_DOT] = ACTIONS(778),
  },
  [168] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(635),
    [anon_sym_STAR_EQ] = ACTIONS(635),
    [anon_sym_SLASH_EQ] = ACTIONS(635),
    [anon_sym_PERCENT_EQ] = ACTIONS(635),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_GT_GT] = ACTIONS(635),
    [anon_sym_2_GT] = ACTIONS(637),
    [anon_sym_2_GT_GT] = ACTIONS(635),
    [anon_sym_3_GT] = ACTIONS(637),
    [anon_sym_3_GT_GT] = ACTIONS(635),
    [anon_sym_4_GT] = ACTIONS(637),
    [anon_sym_4_GT_GT] = ACTIONS(635),
    [anon_sym_5_GT] = ACTIONS(637),
    [anon_sym_5_GT_GT] = ACTIONS(635),
    [anon_sym_6_GT] = ACTIONS(637),
    [anon_sym_6_GT_GT] = ACTIONS(635),
    [anon_sym_STAR_GT] = ACTIONS(637),
    [anon_sym_STAR_GT_GT] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(635),
    [anon_sym_2_GT_AMP1] = ACTIONS(635),
    [anon_sym_3_GT_AMP1] = ACTIONS(635),
    [anon_sym_4_GT_AMP1] = ACTIONS(635),
    [anon_sym_5_GT_AMP1] = ACTIONS(635),
    [anon_sym_6_GT_AMP1] = ACTIONS(635),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(635),
    [anon_sym_1_GT_AMP2] = ACTIONS(635),
    [anon_sym_3_GT_AMP2] = ACTIONS(635),
    [anon_sym_4_GT_AMP2] = ACTIONS(635),
    [anon_sym_5_GT_AMP2] = ACTIONS(635),
    [anon_sym_6_GT_AMP2] = ACTIONS(635),
    [aux_sym_comparison_operator_token1] = ACTIONS(635),
    [aux_sym_comparison_operator_token2] = ACTIONS(635),
    [aux_sym_comparison_operator_token3] = ACTIONS(635),
    [aux_sym_comparison_operator_token4] = ACTIONS(635),
    [aux_sym_comparison_operator_token5] = ACTIONS(635),
    [aux_sym_comparison_operator_token6] = ACTIONS(635),
    [aux_sym_comparison_operator_token7] = ACTIONS(635),
    [aux_sym_comparison_operator_token8] = ACTIONS(635),
    [aux_sym_comparison_operator_token9] = ACTIONS(635),
    [aux_sym_comparison_operator_token10] = ACTIONS(635),
    [aux_sym_comparison_operator_token11] = ACTIONS(635),
    [aux_sym_comparison_operator_token12] = ACTIONS(635),
    [aux_sym_comparison_operator_token13] = ACTIONS(635),
    [aux_sym_comparison_operator_token14] = ACTIONS(635),
    [aux_sym_comparison_operator_token15] = ACTIONS(635),
    [aux_sym_comparison_operator_token16] = ACTIONS(635),
    [aux_sym_comparison_operator_token17] = ACTIONS(635),
    [aux_sym_comparison_operator_token18] = ACTIONS(635),
    [aux_sym_comparison_operator_token19] = ACTIONS(635),
    [aux_sym_comparison_operator_token20] = ACTIONS(635),
    [aux_sym_comparison_operator_token21] = ACTIONS(635),
    [aux_sym_comparison_operator_token22] = ACTIONS(635),
    [aux_sym_comparison_operator_token23] = ACTIONS(635),
    [aux_sym_comparison_operator_token24] = ACTIONS(635),
    [aux_sym_comparison_operator_token25] = ACTIONS(635),
    [aux_sym_comparison_operator_token26] = ACTIONS(635),
    [aux_sym_comparison_operator_token27] = ACTIONS(635),
    [aux_sym_comparison_operator_token28] = ACTIONS(637),
    [aux_sym_comparison_operator_token29] = ACTIONS(635),
    [aux_sym_comparison_operator_token30] = ACTIONS(635),
    [aux_sym_comparison_operator_token31] = ACTIONS(635),
    [aux_sym_comparison_operator_token32] = ACTIONS(635),
    [aux_sym_comparison_operator_token33] = ACTIONS(635),
    [aux_sym_comparison_operator_token34] = ACTIONS(637),
    [aux_sym_comparison_operator_token35] = ACTIONS(635),
    [aux_sym_comparison_operator_token36] = ACTIONS(635),
    [aux_sym_comparison_operator_token37] = ACTIONS(635),
    [aux_sym_comparison_operator_token38] = ACTIONS(635),
    [aux_sym_comparison_operator_token39] = ACTIONS(635),
    [aux_sym_comparison_operator_token40] = ACTIONS(635),
    [aux_sym_comparison_operator_token41] = ACTIONS(635),
    [aux_sym_comparison_operator_token42] = ACTIONS(635),
    [aux_sym_comparison_operator_token43] = ACTIONS(635),
    [aux_sym_comparison_operator_token44] = ACTIONS(635),
    [aux_sym_comparison_operator_token45] = ACTIONS(635),
    [aux_sym_comparison_operator_token46] = ACTIONS(635),
    [aux_sym_comparison_operator_token47] = ACTIONS(635),
    [aux_sym_comparison_operator_token48] = ACTIONS(635),
    [aux_sym_comparison_operator_token49] = ACTIONS(635),
    [aux_sym_comparison_operator_token50] = ACTIONS(635),
    [aux_sym_format_operator_token1] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(635),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_PIPE] = ACTIONS(635),
    [anon_sym_PERCENT] = ACTIONS(637),
    [aux_sym_logical_expression_token1] = ACTIONS(635),
    [aux_sym_logical_expression_token2] = ACTIONS(635),
    [aux_sym_logical_expression_token3] = ACTIONS(635),
    [aux_sym_bitwise_expression_token1] = ACTIONS(635),
    [aux_sym_bitwise_expression_token2] = ACTIONS(635),
    [aux_sym_bitwise_expression_token3] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_DOT_DOT] = ACTIONS(635),
    [anon_sym_RBRACK] = ACTIONS(635),
  },
  [169] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(639),
    [anon_sym_BANG_EQ] = ACTIONS(639),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_GT] = ACTIONS(641),
    [anon_sym_GT_GT] = ACTIONS(639),
    [anon_sym_2_GT] = ACTIONS(641),
    [anon_sym_2_GT_GT] = ACTIONS(639),
    [anon_sym_3_GT] = ACTIONS(641),
    [anon_sym_3_GT_GT] = ACTIONS(639),
    [anon_sym_4_GT] = ACTIONS(641),
    [anon_sym_4_GT_GT] = ACTIONS(639),
    [anon_sym_5_GT] = ACTIONS(641),
    [anon_sym_5_GT_GT] = ACTIONS(639),
    [anon_sym_6_GT] = ACTIONS(641),
    [anon_sym_6_GT_GT] = ACTIONS(639),
    [anon_sym_STAR_GT] = ACTIONS(641),
    [anon_sym_STAR_GT_GT] = ACTIONS(639),
    [anon_sym_LT] = ACTIONS(641),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(639),
    [anon_sym_2_GT_AMP1] = ACTIONS(639),
    [anon_sym_3_GT_AMP1] = ACTIONS(639),
    [anon_sym_4_GT_AMP1] = ACTIONS(639),
    [anon_sym_5_GT_AMP1] = ACTIONS(639),
    [anon_sym_6_GT_AMP1] = ACTIONS(639),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(639),
    [anon_sym_1_GT_AMP2] = ACTIONS(639),
    [anon_sym_3_GT_AMP2] = ACTIONS(639),
    [anon_sym_4_GT_AMP2] = ACTIONS(639),
    [anon_sym_5_GT_AMP2] = ACTIONS(639),
    [anon_sym_6_GT_AMP2] = ACTIONS(639),
    [aux_sym_comparison_operator_token1] = ACTIONS(639),
    [aux_sym_comparison_operator_token2] = ACTIONS(639),
    [aux_sym_comparison_operator_token3] = ACTIONS(639),
    [aux_sym_comparison_operator_token4] = ACTIONS(639),
    [aux_sym_comparison_operator_token5] = ACTIONS(639),
    [aux_sym_comparison_operator_token6] = ACTIONS(639),
    [aux_sym_comparison_operator_token7] = ACTIONS(639),
    [aux_sym_comparison_operator_token8] = ACTIONS(639),
    [aux_sym_comparison_operator_token9] = ACTIONS(639),
    [aux_sym_comparison_operator_token10] = ACTIONS(639),
    [aux_sym_comparison_operator_token11] = ACTIONS(639),
    [aux_sym_comparison_operator_token12] = ACTIONS(639),
    [aux_sym_comparison_operator_token13] = ACTIONS(639),
    [aux_sym_comparison_operator_token14] = ACTIONS(639),
    [aux_sym_comparison_operator_token15] = ACTIONS(639),
    [aux_sym_comparison_operator_token16] = ACTIONS(639),
    [aux_sym_comparison_operator_token17] = ACTIONS(639),
    [aux_sym_comparison_operator_token18] = ACTIONS(639),
    [aux_sym_comparison_operator_token19] = ACTIONS(639),
    [aux_sym_comparison_operator_token20] = ACTIONS(639),
    [aux_sym_comparison_operator_token21] = ACTIONS(639),
    [aux_sym_comparison_operator_token22] = ACTIONS(639),
    [aux_sym_comparison_operator_token23] = ACTIONS(639),
    [aux_sym_comparison_operator_token24] = ACTIONS(639),
    [aux_sym_comparison_operator_token25] = ACTIONS(639),
    [aux_sym_comparison_operator_token26] = ACTIONS(639),
    [aux_sym_comparison_operator_token27] = ACTIONS(639),
    [aux_sym_comparison_operator_token28] = ACTIONS(641),
    [aux_sym_comparison_operator_token29] = ACTIONS(639),
    [aux_sym_comparison_operator_token30] = ACTIONS(639),
    [aux_sym_comparison_operator_token31] = ACTIONS(639),
    [aux_sym_comparison_operator_token32] = ACTIONS(639),
    [aux_sym_comparison_operator_token33] = ACTIONS(639),
    [aux_sym_comparison_operator_token34] = ACTIONS(641),
    [aux_sym_comparison_operator_token35] = ACTIONS(639),
    [aux_sym_comparison_operator_token36] = ACTIONS(639),
    [aux_sym_comparison_operator_token37] = ACTIONS(639),
    [aux_sym_comparison_operator_token38] = ACTIONS(639),
    [aux_sym_comparison_operator_token39] = ACTIONS(639),
    [aux_sym_comparison_operator_token40] = ACTIONS(639),
    [aux_sym_comparison_operator_token41] = ACTIONS(639),
    [aux_sym_comparison_operator_token42] = ACTIONS(639),
    [aux_sym_comparison_operator_token43] = ACTIONS(639),
    [aux_sym_comparison_operator_token44] = ACTIONS(639),
    [aux_sym_comparison_operator_token45] = ACTIONS(639),
    [aux_sym_comparison_operator_token46] = ACTIONS(639),
    [aux_sym_comparison_operator_token47] = ACTIONS(639),
    [aux_sym_comparison_operator_token48] = ACTIONS(639),
    [aux_sym_comparison_operator_token49] = ACTIONS(639),
    [aux_sym_comparison_operator_token50] = ACTIONS(639),
    [aux_sym_format_operator_token1] = ACTIONS(639),
    [anon_sym_RPAREN] = ACTIONS(639),
    [anon_sym_COMMA] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(639),
    [anon_sym_PERCENT] = ACTIONS(641),
    [aux_sym_logical_expression_token1] = ACTIONS(639),
    [aux_sym_logical_expression_token2] = ACTIONS(639),
    [aux_sym_logical_expression_token3] = ACTIONS(639),
    [aux_sym_bitwise_expression_token1] = ACTIONS(639),
    [aux_sym_bitwise_expression_token2] = ACTIONS(639),
    [aux_sym_bitwise_expression_token3] = ACTIONS(639),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_SLASH] = ACTIONS(641),
    [anon_sym_BSLASH] = ACTIONS(639),
    [anon_sym_STAR] = ACTIONS(641),
    [anon_sym_DOT_DOT] = ACTIONS(639),
    [anon_sym_RBRACK] = ACTIONS(639),
  },
  [170] = {
    [aux_sym_array_literal_expression_repeat1] = STATE(157),
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(772),
    [anon_sym_BANG_EQ] = ACTIONS(772),
    [anon_sym_PLUS_EQ] = ACTIONS(772),
    [anon_sym_STAR_EQ] = ACTIONS(772),
    [anon_sym_SLASH_EQ] = ACTIONS(772),
    [anon_sym_PERCENT_EQ] = ACTIONS(772),
    [anon_sym_GT] = ACTIONS(774),
    [anon_sym_GT_GT] = ACTIONS(772),
    [anon_sym_2_GT] = ACTIONS(774),
    [anon_sym_2_GT_GT] = ACTIONS(772),
    [anon_sym_3_GT] = ACTIONS(774),
    [anon_sym_3_GT_GT] = ACTIONS(772),
    [anon_sym_4_GT] = ACTIONS(774),
    [anon_sym_4_GT_GT] = ACTIONS(772),
    [anon_sym_5_GT] = ACTIONS(774),
    [anon_sym_5_GT_GT] = ACTIONS(772),
    [anon_sym_6_GT] = ACTIONS(774),
    [anon_sym_6_GT_GT] = ACTIONS(772),
    [anon_sym_STAR_GT] = ACTIONS(774),
    [anon_sym_STAR_GT_GT] = ACTIONS(772),
    [anon_sym_LT] = ACTIONS(774),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(772),
    [anon_sym_2_GT_AMP1] = ACTIONS(772),
    [anon_sym_3_GT_AMP1] = ACTIONS(772),
    [anon_sym_4_GT_AMP1] = ACTIONS(772),
    [anon_sym_5_GT_AMP1] = ACTIONS(772),
    [anon_sym_6_GT_AMP1] = ACTIONS(772),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(772),
    [anon_sym_1_GT_AMP2] = ACTIONS(772),
    [anon_sym_3_GT_AMP2] = ACTIONS(772),
    [anon_sym_4_GT_AMP2] = ACTIONS(772),
    [anon_sym_5_GT_AMP2] = ACTIONS(772),
    [anon_sym_6_GT_AMP2] = ACTIONS(772),
    [aux_sym_comparison_operator_token1] = ACTIONS(772),
    [aux_sym_comparison_operator_token2] = ACTIONS(772),
    [aux_sym_comparison_operator_token3] = ACTIONS(772),
    [aux_sym_comparison_operator_token4] = ACTIONS(772),
    [aux_sym_comparison_operator_token5] = ACTIONS(772),
    [aux_sym_comparison_operator_token6] = ACTIONS(772),
    [aux_sym_comparison_operator_token7] = ACTIONS(772),
    [aux_sym_comparison_operator_token8] = ACTIONS(772),
    [aux_sym_comparison_operator_token9] = ACTIONS(772),
    [aux_sym_comparison_operator_token10] = ACTIONS(772),
    [aux_sym_comparison_operator_token11] = ACTIONS(772),
    [aux_sym_comparison_operator_token12] = ACTIONS(772),
    [aux_sym_comparison_operator_token13] = ACTIONS(772),
    [aux_sym_comparison_operator_token14] = ACTIONS(772),
    [aux_sym_comparison_operator_token15] = ACTIONS(772),
    [aux_sym_comparison_operator_token16] = ACTIONS(772),
    [aux_sym_comparison_operator_token17] = ACTIONS(772),
    [aux_sym_comparison_operator_token18] = ACTIONS(772),
    [aux_sym_comparison_operator_token19] = ACTIONS(772),
    [aux_sym_comparison_operator_token20] = ACTIONS(772),
    [aux_sym_comparison_operator_token21] = ACTIONS(772),
    [aux_sym_comparison_operator_token22] = ACTIONS(772),
    [aux_sym_comparison_operator_token23] = ACTIONS(772),
    [aux_sym_comparison_operator_token24] = ACTIONS(772),
    [aux_sym_comparison_operator_token25] = ACTIONS(772),
    [aux_sym_comparison_operator_token26] = ACTIONS(772),
    [aux_sym_comparison_operator_token27] = ACTIONS(772),
    [aux_sym_comparison_operator_token28] = ACTIONS(774),
    [aux_sym_comparison_operator_token29] = ACTIONS(772),
    [aux_sym_comparison_operator_token30] = ACTIONS(772),
    [aux_sym_comparison_operator_token31] = ACTIONS(772),
    [aux_sym_comparison_operator_token32] = ACTIONS(772),
    [aux_sym_comparison_operator_token33] = ACTIONS(772),
    [aux_sym_comparison_operator_token34] = ACTIONS(774),
    [aux_sym_comparison_operator_token35] = ACTIONS(772),
    [aux_sym_comparison_operator_token36] = ACTIONS(772),
    [aux_sym_comparison_operator_token37] = ACTIONS(772),
    [aux_sym_comparison_operator_token38] = ACTIONS(772),
    [aux_sym_comparison_operator_token39] = ACTIONS(772),
    [aux_sym_comparison_operator_token40] = ACTIONS(772),
    [aux_sym_comparison_operator_token41] = ACTIONS(772),
    [aux_sym_comparison_operator_token42] = ACTIONS(772),
    [aux_sym_comparison_operator_token43] = ACTIONS(772),
    [aux_sym_comparison_operator_token44] = ACTIONS(772),
    [aux_sym_comparison_operator_token45] = ACTIONS(772),
    [aux_sym_comparison_operator_token46] = ACTIONS(772),
    [aux_sym_comparison_operator_token47] = ACTIONS(772),
    [aux_sym_comparison_operator_token48] = ACTIONS(772),
    [aux_sym_comparison_operator_token49] = ACTIONS(772),
    [aux_sym_comparison_operator_token50] = ACTIONS(772),
    [aux_sym_format_operator_token1] = ACTIONS(772),
    [anon_sym_COMMA] = ACTIONS(782),
    [anon_sym_PIPE] = ACTIONS(772),
    [anon_sym_PERCENT] = ACTIONS(774),
    [aux_sym_logical_expression_token1] = ACTIONS(772),
    [aux_sym_logical_expression_token2] = ACTIONS(772),
    [aux_sym_logical_expression_token3] = ACTIONS(772),
    [aux_sym_bitwise_expression_token1] = ACTIONS(772),
    [aux_sym_bitwise_expression_token2] = ACTIONS(772),
    [aux_sym_bitwise_expression_token3] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(774),
    [anon_sym_DASH] = ACTIONS(774),
    [anon_sym_SLASH] = ACTIONS(774),
    [anon_sym_BSLASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(774),
    [anon_sym_DOT_DOT] = ACTIONS(772),
    [sym__statement_terminator] = ACTIONS(772),
  },
  [171] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(643),
    [anon_sym_BANG_EQ] = ACTIONS(643),
    [anon_sym_PLUS_EQ] = ACTIONS(643),
    [anon_sym_STAR_EQ] = ACTIONS(643),
    [anon_sym_SLASH_EQ] = ACTIONS(643),
    [anon_sym_PERCENT_EQ] = ACTIONS(643),
    [anon_sym_GT] = ACTIONS(645),
    [anon_sym_GT_GT] = ACTIONS(643),
    [anon_sym_2_GT] = ACTIONS(645),
    [anon_sym_2_GT_GT] = ACTIONS(643),
    [anon_sym_3_GT] = ACTIONS(645),
    [anon_sym_3_GT_GT] = ACTIONS(643),
    [anon_sym_4_GT] = ACTIONS(645),
    [anon_sym_4_GT_GT] = ACTIONS(643),
    [anon_sym_5_GT] = ACTIONS(645),
    [anon_sym_5_GT_GT] = ACTIONS(643),
    [anon_sym_6_GT] = ACTIONS(645),
    [anon_sym_6_GT_GT] = ACTIONS(643),
    [anon_sym_STAR_GT] = ACTIONS(645),
    [anon_sym_STAR_GT_GT] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(645),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(643),
    [anon_sym_2_GT_AMP1] = ACTIONS(643),
    [anon_sym_3_GT_AMP1] = ACTIONS(643),
    [anon_sym_4_GT_AMP1] = ACTIONS(643),
    [anon_sym_5_GT_AMP1] = ACTIONS(643),
    [anon_sym_6_GT_AMP1] = ACTIONS(643),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(643),
    [anon_sym_1_GT_AMP2] = ACTIONS(643),
    [anon_sym_3_GT_AMP2] = ACTIONS(643),
    [anon_sym_4_GT_AMP2] = ACTIONS(643),
    [anon_sym_5_GT_AMP2] = ACTIONS(643),
    [anon_sym_6_GT_AMP2] = ACTIONS(643),
    [aux_sym_comparison_operator_token1] = ACTIONS(643),
    [aux_sym_comparison_operator_token2] = ACTIONS(643),
    [aux_sym_comparison_operator_token3] = ACTIONS(643),
    [aux_sym_comparison_operator_token4] = ACTIONS(643),
    [aux_sym_comparison_operator_token5] = ACTIONS(643),
    [aux_sym_comparison_operator_token6] = ACTIONS(643),
    [aux_sym_comparison_operator_token7] = ACTIONS(643),
    [aux_sym_comparison_operator_token8] = ACTIONS(643),
    [aux_sym_comparison_operator_token9] = ACTIONS(643),
    [aux_sym_comparison_operator_token10] = ACTIONS(643),
    [aux_sym_comparison_operator_token11] = ACTIONS(643),
    [aux_sym_comparison_operator_token12] = ACTIONS(643),
    [aux_sym_comparison_operator_token13] = ACTIONS(643),
    [aux_sym_comparison_operator_token14] = ACTIONS(643),
    [aux_sym_comparison_operator_token15] = ACTIONS(643),
    [aux_sym_comparison_operator_token16] = ACTIONS(643),
    [aux_sym_comparison_operator_token17] = ACTIONS(643),
    [aux_sym_comparison_operator_token18] = ACTIONS(643),
    [aux_sym_comparison_operator_token19] = ACTIONS(643),
    [aux_sym_comparison_operator_token20] = ACTIONS(643),
    [aux_sym_comparison_operator_token21] = ACTIONS(643),
    [aux_sym_comparison_operator_token22] = ACTIONS(643),
    [aux_sym_comparison_operator_token23] = ACTIONS(643),
    [aux_sym_comparison_operator_token24] = ACTIONS(643),
    [aux_sym_comparison_operator_token25] = ACTIONS(643),
    [aux_sym_comparison_operator_token26] = ACTIONS(643),
    [aux_sym_comparison_operator_token27] = ACTIONS(643),
    [aux_sym_comparison_operator_token28] = ACTIONS(645),
    [aux_sym_comparison_operator_token29] = ACTIONS(643),
    [aux_sym_comparison_operator_token30] = ACTIONS(643),
    [aux_sym_comparison_operator_token31] = ACTIONS(643),
    [aux_sym_comparison_operator_token32] = ACTIONS(643),
    [aux_sym_comparison_operator_token33] = ACTIONS(643),
    [aux_sym_comparison_operator_token34] = ACTIONS(645),
    [aux_sym_comparison_operator_token35] = ACTIONS(643),
    [aux_sym_comparison_operator_token36] = ACTIONS(643),
    [aux_sym_comparison_operator_token37] = ACTIONS(643),
    [aux_sym_comparison_operator_token38] = ACTIONS(643),
    [aux_sym_comparison_operator_token39] = ACTIONS(643),
    [aux_sym_comparison_operator_token40] = ACTIONS(643),
    [aux_sym_comparison_operator_token41] = ACTIONS(643),
    [aux_sym_comparison_operator_token42] = ACTIONS(643),
    [aux_sym_comparison_operator_token43] = ACTIONS(643),
    [aux_sym_comparison_operator_token44] = ACTIONS(643),
    [aux_sym_comparison_operator_token45] = ACTIONS(643),
    [aux_sym_comparison_operator_token46] = ACTIONS(643),
    [aux_sym_comparison_operator_token47] = ACTIONS(643),
    [aux_sym_comparison_operator_token48] = ACTIONS(643),
    [aux_sym_comparison_operator_token49] = ACTIONS(643),
    [aux_sym_comparison_operator_token50] = ACTIONS(643),
    [aux_sym_format_operator_token1] = ACTIONS(643),
    [anon_sym_RPAREN] = ACTIONS(643),
    [anon_sym_COMMA] = ACTIONS(643),
    [anon_sym_PIPE] = ACTIONS(643),
    [anon_sym_PERCENT] = ACTIONS(645),
    [aux_sym_logical_expression_token1] = ACTIONS(643),
    [aux_sym_logical_expression_token2] = ACTIONS(643),
    [aux_sym_logical_expression_token3] = ACTIONS(643),
    [aux_sym_bitwise_expression_token1] = ACTIONS(643),
    [aux_sym_bitwise_expression_token2] = ACTIONS(643),
    [aux_sym_bitwise_expression_token3] = ACTIONS(643),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(643),
    [anon_sym_STAR] = ACTIONS(645),
    [anon_sym_DOT_DOT] = ACTIONS(643),
    [anon_sym_RBRACK] = ACTIONS(643),
  },
  [172] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(635),
    [anon_sym_BANG_EQ] = ACTIONS(635),
    [anon_sym_PLUS_EQ] = ACTIONS(635),
    [anon_sym_STAR_EQ] = ACTIONS(635),
    [anon_sym_SLASH_EQ] = ACTIONS(635),
    [anon_sym_PERCENT_EQ] = ACTIONS(635),
    [anon_sym_GT] = ACTIONS(637),
    [anon_sym_GT_GT] = ACTIONS(635),
    [anon_sym_2_GT] = ACTIONS(637),
    [anon_sym_2_GT_GT] = ACTIONS(635),
    [anon_sym_3_GT] = ACTIONS(637),
    [anon_sym_3_GT_GT] = ACTIONS(635),
    [anon_sym_4_GT] = ACTIONS(637),
    [anon_sym_4_GT_GT] = ACTIONS(635),
    [anon_sym_5_GT] = ACTIONS(637),
    [anon_sym_5_GT_GT] = ACTIONS(635),
    [anon_sym_6_GT] = ACTIONS(637),
    [anon_sym_6_GT_GT] = ACTIONS(635),
    [anon_sym_STAR_GT] = ACTIONS(637),
    [anon_sym_STAR_GT_GT] = ACTIONS(635),
    [anon_sym_LT] = ACTIONS(637),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(635),
    [anon_sym_2_GT_AMP1] = ACTIONS(635),
    [anon_sym_3_GT_AMP1] = ACTIONS(635),
    [anon_sym_4_GT_AMP1] = ACTIONS(635),
    [anon_sym_5_GT_AMP1] = ACTIONS(635),
    [anon_sym_6_GT_AMP1] = ACTIONS(635),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(635),
    [anon_sym_1_GT_AMP2] = ACTIONS(635),
    [anon_sym_3_GT_AMP2] = ACTIONS(635),
    [anon_sym_4_GT_AMP2] = ACTIONS(635),
    [anon_sym_5_GT_AMP2] = ACTIONS(635),
    [anon_sym_6_GT_AMP2] = ACTIONS(635),
    [aux_sym_comparison_operator_token1] = ACTIONS(635),
    [aux_sym_comparison_operator_token2] = ACTIONS(635),
    [aux_sym_comparison_operator_token3] = ACTIONS(635),
    [aux_sym_comparison_operator_token4] = ACTIONS(635),
    [aux_sym_comparison_operator_token5] = ACTIONS(635),
    [aux_sym_comparison_operator_token6] = ACTIONS(635),
    [aux_sym_comparison_operator_token7] = ACTIONS(635),
    [aux_sym_comparison_operator_token8] = ACTIONS(635),
    [aux_sym_comparison_operator_token9] = ACTIONS(635),
    [aux_sym_comparison_operator_token10] = ACTIONS(635),
    [aux_sym_comparison_operator_token11] = ACTIONS(635),
    [aux_sym_comparison_operator_token12] = ACTIONS(635),
    [aux_sym_comparison_operator_token13] = ACTIONS(635),
    [aux_sym_comparison_operator_token14] = ACTIONS(635),
    [aux_sym_comparison_operator_token15] = ACTIONS(635),
    [aux_sym_comparison_operator_token16] = ACTIONS(635),
    [aux_sym_comparison_operator_token17] = ACTIONS(635),
    [aux_sym_comparison_operator_token18] = ACTIONS(635),
    [aux_sym_comparison_operator_token19] = ACTIONS(635),
    [aux_sym_comparison_operator_token20] = ACTIONS(635),
    [aux_sym_comparison_operator_token21] = ACTIONS(635),
    [aux_sym_comparison_operator_token22] = ACTIONS(635),
    [aux_sym_comparison_operator_token23] = ACTIONS(635),
    [aux_sym_comparison_operator_token24] = ACTIONS(635),
    [aux_sym_comparison_operator_token25] = ACTIONS(635),
    [aux_sym_comparison_operator_token26] = ACTIONS(635),
    [aux_sym_comparison_operator_token27] = ACTIONS(635),
    [aux_sym_comparison_operator_token28] = ACTIONS(637),
    [aux_sym_comparison_operator_token29] = ACTIONS(635),
    [aux_sym_comparison_operator_token30] = ACTIONS(635),
    [aux_sym_comparison_operator_token31] = ACTIONS(635),
    [aux_sym_comparison_operator_token32] = ACTIONS(635),
    [aux_sym_comparison_operator_token33] = ACTIONS(635),
    [aux_sym_comparison_operator_token34] = ACTIONS(637),
    [aux_sym_comparison_operator_token35] = ACTIONS(635),
    [aux_sym_comparison_operator_token36] = ACTIONS(635),
    [aux_sym_comparison_operator_token37] = ACTIONS(635),
    [aux_sym_comparison_operator_token38] = ACTIONS(635),
    [aux_sym_comparison_operator_token39] = ACTIONS(635),
    [aux_sym_comparison_operator_token40] = ACTIONS(635),
    [aux_sym_comparison_operator_token41] = ACTIONS(635),
    [aux_sym_comparison_operator_token42] = ACTIONS(635),
    [aux_sym_comparison_operator_token43] = ACTIONS(635),
    [aux_sym_comparison_operator_token44] = ACTIONS(635),
    [aux_sym_comparison_operator_token45] = ACTIONS(635),
    [aux_sym_comparison_operator_token46] = ACTIONS(635),
    [aux_sym_comparison_operator_token47] = ACTIONS(635),
    [aux_sym_comparison_operator_token48] = ACTIONS(635),
    [aux_sym_comparison_operator_token49] = ACTIONS(635),
    [aux_sym_comparison_operator_token50] = ACTIONS(635),
    [aux_sym_format_operator_token1] = ACTIONS(635),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_PIPE] = ACTIONS(635),
    [anon_sym_PERCENT] = ACTIONS(637),
    [aux_sym_logical_expression_token1] = ACTIONS(635),
    [aux_sym_logical_expression_token2] = ACTIONS(635),
    [aux_sym_logical_expression_token3] = ACTIONS(635),
    [aux_sym_bitwise_expression_token1] = ACTIONS(635),
    [aux_sym_bitwise_expression_token2] = ACTIONS(635),
    [aux_sym_bitwise_expression_token3] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(637),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_STAR] = ACTIONS(637),
    [anon_sym_DOT_DOT] = ACTIONS(635),
    [sym__statement_terminator] = ACTIONS(635),
  },
  [173] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(643),
    [anon_sym_BANG_EQ] = ACTIONS(643),
    [anon_sym_PLUS_EQ] = ACTIONS(643),
    [anon_sym_STAR_EQ] = ACTIONS(643),
    [anon_sym_SLASH_EQ] = ACTIONS(643),
    [anon_sym_PERCENT_EQ] = ACTIONS(643),
    [anon_sym_GT] = ACTIONS(645),
    [anon_sym_GT_GT] = ACTIONS(643),
    [anon_sym_2_GT] = ACTIONS(645),
    [anon_sym_2_GT_GT] = ACTIONS(643),
    [anon_sym_3_GT] = ACTIONS(645),
    [anon_sym_3_GT_GT] = ACTIONS(643),
    [anon_sym_4_GT] = ACTIONS(645),
    [anon_sym_4_GT_GT] = ACTIONS(643),
    [anon_sym_5_GT] = ACTIONS(645),
    [anon_sym_5_GT_GT] = ACTIONS(643),
    [anon_sym_6_GT] = ACTIONS(645),
    [anon_sym_6_GT_GT] = ACTIONS(643),
    [anon_sym_STAR_GT] = ACTIONS(645),
    [anon_sym_STAR_GT_GT] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(645),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(643),
    [anon_sym_2_GT_AMP1] = ACTIONS(643),
    [anon_sym_3_GT_AMP1] = ACTIONS(643),
    [anon_sym_4_GT_AMP1] = ACTIONS(643),
    [anon_sym_5_GT_AMP1] = ACTIONS(643),
    [anon_sym_6_GT_AMP1] = ACTIONS(643),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(643),
    [anon_sym_1_GT_AMP2] = ACTIONS(643),
    [anon_sym_3_GT_AMP2] = ACTIONS(643),
    [anon_sym_4_GT_AMP2] = ACTIONS(643),
    [anon_sym_5_GT_AMP2] = ACTIONS(643),
    [anon_sym_6_GT_AMP2] = ACTIONS(643),
    [aux_sym_comparison_operator_token1] = ACTIONS(643),
    [aux_sym_comparison_operator_token2] = ACTIONS(643),
    [aux_sym_comparison_operator_token3] = ACTIONS(643),
    [aux_sym_comparison_operator_token4] = ACTIONS(643),
    [aux_sym_comparison_operator_token5] = ACTIONS(643),
    [aux_sym_comparison_operator_token6] = ACTIONS(643),
    [aux_sym_comparison_operator_token7] = ACTIONS(643),
    [aux_sym_comparison_operator_token8] = ACTIONS(643),
    [aux_sym_comparison_operator_token9] = ACTIONS(643),
    [aux_sym_comparison_operator_token10] = ACTIONS(643),
    [aux_sym_comparison_operator_token11] = ACTIONS(643),
    [aux_sym_comparison_operator_token12] = ACTIONS(643),
    [aux_sym_comparison_operator_token13] = ACTIONS(643),
    [aux_sym_comparison_operator_token14] = ACTIONS(643),
    [aux_sym_comparison_operator_token15] = ACTIONS(643),
    [aux_sym_comparison_operator_token16] = ACTIONS(643),
    [aux_sym_comparison_operator_token17] = ACTIONS(643),
    [aux_sym_comparison_operator_token18] = ACTIONS(643),
    [aux_sym_comparison_operator_token19] = ACTIONS(643),
    [aux_sym_comparison_operator_token20] = ACTIONS(643),
    [aux_sym_comparison_operator_token21] = ACTIONS(643),
    [aux_sym_comparison_operator_token22] = ACTIONS(643),
    [aux_sym_comparison_operator_token23] = ACTIONS(643),
    [aux_sym_comparison_operator_token24] = ACTIONS(643),
    [aux_sym_comparison_operator_token25] = ACTIONS(643),
    [aux_sym_comparison_operator_token26] = ACTIONS(643),
    [aux_sym_comparison_operator_token27] = ACTIONS(643),
    [aux_sym_comparison_operator_token28] = ACTIONS(645),
    [aux_sym_comparison_operator_token29] = ACTIONS(643),
    [aux_sym_comparison_operator_token30] = ACTIONS(643),
    [aux_sym_comparison_operator_token31] = ACTIONS(643),
    [aux_sym_comparison_operator_token32] = ACTIONS(643),
    [aux_sym_comparison_operator_token33] = ACTIONS(643),
    [aux_sym_comparison_operator_token34] = ACTIONS(645),
    [aux_sym_comparison_operator_token35] = ACTIONS(643),
    [aux_sym_comparison_operator_token36] = ACTIONS(643),
    [aux_sym_comparison_operator_token37] = ACTIONS(643),
    [aux_sym_comparison_operator_token38] = ACTIONS(643),
    [aux_sym_comparison_operator_token39] = ACTIONS(643),
    [aux_sym_comparison_operator_token40] = ACTIONS(643),
    [aux_sym_comparison_operator_token41] = ACTIONS(643),
    [aux_sym_comparison_operator_token42] = ACTIONS(643),
    [aux_sym_comparison_operator_token43] = ACTIONS(643),
    [aux_sym_comparison_operator_token44] = ACTIONS(643),
    [aux_sym_comparison_operator_token45] = ACTIONS(643),
    [aux_sym_comparison_operator_token46] = ACTIONS(643),
    [aux_sym_comparison_operator_token47] = ACTIONS(643),
    [aux_sym_comparison_operator_token48] = ACTIONS(643),
    [aux_sym_comparison_operator_token49] = ACTIONS(643),
    [aux_sym_comparison_operator_token50] = ACTIONS(643),
    [aux_sym_format_operator_token1] = ACTIONS(643),
    [anon_sym_COMMA] = ACTIONS(643),
    [anon_sym_PIPE] = ACTIONS(643),
    [anon_sym_PERCENT] = ACTIONS(645),
    [aux_sym_logical_expression_token1] = ACTIONS(643),
    [aux_sym_logical_expression_token2] = ACTIONS(643),
    [aux_sym_logical_expression_token3] = ACTIONS(643),
    [aux_sym_bitwise_expression_token1] = ACTIONS(643),
    [aux_sym_bitwise_expression_token2] = ACTIONS(643),
    [aux_sym_bitwise_expression_token3] = ACTIONS(643),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(643),
    [anon_sym_STAR] = ACTIONS(645),
    [anon_sym_DOT_DOT] = ACTIONS(643),
    [sym__statement_terminator] = ACTIONS(643),
  },
  [174] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(639),
    [anon_sym_BANG_EQ] = ACTIONS(639),
    [anon_sym_PLUS_EQ] = ACTIONS(639),
    [anon_sym_STAR_EQ] = ACTIONS(639),
    [anon_sym_SLASH_EQ] = ACTIONS(639),
    [anon_sym_PERCENT_EQ] = ACTIONS(639),
    [anon_sym_GT] = ACTIONS(641),
    [anon_sym_GT_GT] = ACTIONS(639),
    [anon_sym_2_GT] = ACTIONS(641),
    [anon_sym_2_GT_GT] = ACTIONS(639),
    [anon_sym_3_GT] = ACTIONS(641),
    [anon_sym_3_GT_GT] = ACTIONS(639),
    [anon_sym_4_GT] = ACTIONS(641),
    [anon_sym_4_GT_GT] = ACTIONS(639),
    [anon_sym_5_GT] = ACTIONS(641),
    [anon_sym_5_GT_GT] = ACTIONS(639),
    [anon_sym_6_GT] = ACTIONS(641),
    [anon_sym_6_GT_GT] = ACTIONS(639),
    [anon_sym_STAR_GT] = ACTIONS(641),
    [anon_sym_STAR_GT_GT] = ACTIONS(639),
    [anon_sym_LT] = ACTIONS(641),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(639),
    [anon_sym_2_GT_AMP1] = ACTIONS(639),
    [anon_sym_3_GT_AMP1] = ACTIONS(639),
    [anon_sym_4_GT_AMP1] = ACTIONS(639),
    [anon_sym_5_GT_AMP1] = ACTIONS(639),
    [anon_sym_6_GT_AMP1] = ACTIONS(639),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(639),
    [anon_sym_1_GT_AMP2] = ACTIONS(639),
    [anon_sym_3_GT_AMP2] = ACTIONS(639),
    [anon_sym_4_GT_AMP2] = ACTIONS(639),
    [anon_sym_5_GT_AMP2] = ACTIONS(639),
    [anon_sym_6_GT_AMP2] = ACTIONS(639),
    [aux_sym_comparison_operator_token1] = ACTIONS(639),
    [aux_sym_comparison_operator_token2] = ACTIONS(639),
    [aux_sym_comparison_operator_token3] = ACTIONS(639),
    [aux_sym_comparison_operator_token4] = ACTIONS(639),
    [aux_sym_comparison_operator_token5] = ACTIONS(639),
    [aux_sym_comparison_operator_token6] = ACTIONS(639),
    [aux_sym_comparison_operator_token7] = ACTIONS(639),
    [aux_sym_comparison_operator_token8] = ACTIONS(639),
    [aux_sym_comparison_operator_token9] = ACTIONS(639),
    [aux_sym_comparison_operator_token10] = ACTIONS(639),
    [aux_sym_comparison_operator_token11] = ACTIONS(639),
    [aux_sym_comparison_operator_token12] = ACTIONS(639),
    [aux_sym_comparison_operator_token13] = ACTIONS(639),
    [aux_sym_comparison_operator_token14] = ACTIONS(639),
    [aux_sym_comparison_operator_token15] = ACTIONS(639),
    [aux_sym_comparison_operator_token16] = ACTIONS(639),
    [aux_sym_comparison_operator_token17] = ACTIONS(639),
    [aux_sym_comparison_operator_token18] = ACTIONS(639),
    [aux_sym_comparison_operator_token19] = ACTIONS(639),
    [aux_sym_comparison_operator_token20] = ACTIONS(639),
    [aux_sym_comparison_operator_token21] = ACTIONS(639),
    [aux_sym_comparison_operator_token22] = ACTIONS(639),
    [aux_sym_comparison_operator_token23] = ACTIONS(639),
    [aux_sym_comparison_operator_token24] = ACTIONS(639),
    [aux_sym_comparison_operator_token25] = ACTIONS(639),
    [aux_sym_comparison_operator_token26] = ACTIONS(639),
    [aux_sym_comparison_operator_token27] = ACTIONS(639),
    [aux_sym_comparison_operator_token28] = ACTIONS(641),
    [aux_sym_comparison_operator_token29] = ACTIONS(639),
    [aux_sym_comparison_operator_token30] = ACTIONS(639),
    [aux_sym_comparison_operator_token31] = ACTIONS(639),
    [aux_sym_comparison_operator_token32] = ACTIONS(639),
    [aux_sym_comparison_operator_token33] = ACTIONS(639),
    [aux_sym_comparison_operator_token34] = ACTIONS(641),
    [aux_sym_comparison_operator_token35] = ACTIONS(639),
    [aux_sym_comparison_operator_token36] = ACTIONS(639),
    [aux_sym_comparison_operator_token37] = ACTIONS(639),
    [aux_sym_comparison_operator_token38] = ACTIONS(639),
    [aux_sym_comparison_operator_token39] = ACTIONS(639),
    [aux_sym_comparison_operator_token40] = ACTIONS(639),
    [aux_sym_comparison_operator_token41] = ACTIONS(639),
    [aux_sym_comparison_operator_token42] = ACTIONS(639),
    [aux_sym_comparison_operator_token43] = ACTIONS(639),
    [aux_sym_comparison_operator_token44] = ACTIONS(639),
    [aux_sym_comparison_operator_token45] = ACTIONS(639),
    [aux_sym_comparison_operator_token46] = ACTIONS(639),
    [aux_sym_comparison_operator_token47] = ACTIONS(639),
    [aux_sym_comparison_operator_token48] = ACTIONS(639),
    [aux_sym_comparison_operator_token49] = ACTIONS(639),
    [aux_sym_comparison_operator_token50] = ACTIONS(639),
    [aux_sym_format_operator_token1] = ACTIONS(639),
    [anon_sym_COMMA] = ACTIONS(639),
    [anon_sym_PIPE] = ACTIONS(639),
    [anon_sym_PERCENT] = ACTIONS(641),
    [aux_sym_logical_expression_token1] = ACTIONS(639),
    [aux_sym_logical_expression_token2] = ACTIONS(639),
    [aux_sym_logical_expression_token3] = ACTIONS(639),
    [aux_sym_bitwise_expression_token1] = ACTIONS(639),
    [aux_sym_bitwise_expression_token2] = ACTIONS(639),
    [aux_sym_bitwise_expression_token3] = ACTIONS(639),
    [anon_sym_PLUS] = ACTIONS(641),
    [anon_sym_DASH] = ACTIONS(641),
    [anon_sym_SLASH] = ACTIONS(641),
    [anon_sym_BSLASH] = ACTIONS(639),
    [anon_sym_STAR] = ACTIONS(641),
    [anon_sym_DOT_DOT] = ACTIONS(639),
    [sym__statement_terminator] = ACTIONS(639),
  },
  [175] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(675),
    [anon_sym_BANG_EQ] = ACTIONS(675),
    [anon_sym_PLUS_EQ] = ACTIONS(675),
    [anon_sym_STAR_EQ] = ACTIONS(675),
    [anon_sym_SLASH_EQ] = ACTIONS(675),
    [anon_sym_PERCENT_EQ] = ACTIONS(675),
    [anon_sym_GT] = ACTIONS(677),
    [anon_sym_GT_GT] = ACTIONS(675),
    [anon_sym_2_GT] = ACTIONS(677),
    [anon_sym_2_GT_GT] = ACTIONS(675),
    [anon_sym_3_GT] = ACTIONS(677),
    [anon_sym_3_GT_GT] = ACTIONS(675),
    [anon_sym_4_GT] = ACTIONS(677),
    [anon_sym_4_GT_GT] = ACTIONS(675),
    [anon_sym_5_GT] = ACTIONS(677),
    [anon_sym_5_GT_GT] = ACTIONS(675),
    [anon_sym_6_GT] = ACTIONS(677),
    [anon_sym_6_GT_GT] = ACTIONS(675),
    [anon_sym_STAR_GT] = ACTIONS(677),
    [anon_sym_STAR_GT_GT] = ACTIONS(675),
    [anon_sym_LT] = ACTIONS(677),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(675),
    [anon_sym_2_GT_AMP1] = ACTIONS(675),
    [anon_sym_3_GT_AMP1] = ACTIONS(675),
    [anon_sym_4_GT_AMP1] = ACTIONS(675),
    [anon_sym_5_GT_AMP1] = ACTIONS(675),
    [anon_sym_6_GT_AMP1] = ACTIONS(675),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(675),
    [anon_sym_1_GT_AMP2] = ACTIONS(675),
    [anon_sym_3_GT_AMP2] = ACTIONS(675),
    [anon_sym_4_GT_AMP2] = ACTIONS(675),
    [anon_sym_5_GT_AMP2] = ACTIONS(675),
    [anon_sym_6_GT_AMP2] = ACTIONS(675),
    [aux_sym_comparison_operator_token1] = ACTIONS(675),
    [aux_sym_comparison_operator_token2] = ACTIONS(675),
    [aux_sym_comparison_operator_token3] = ACTIONS(675),
    [aux_sym_comparison_operator_token4] = ACTIONS(675),
    [aux_sym_comparison_operator_token5] = ACTIONS(675),
    [aux_sym_comparison_operator_token6] = ACTIONS(675),
    [aux_sym_comparison_operator_token7] = ACTIONS(675),
    [aux_sym_comparison_operator_token8] = ACTIONS(675),
    [aux_sym_comparison_operator_token9] = ACTIONS(675),
    [aux_sym_comparison_operator_token10] = ACTIONS(675),
    [aux_sym_comparison_operator_token11] = ACTIONS(675),
    [aux_sym_comparison_operator_token12] = ACTIONS(675),
    [aux_sym_comparison_operator_token13] = ACTIONS(675),
    [aux_sym_comparison_operator_token14] = ACTIONS(675),
    [aux_sym_comparison_operator_token15] = ACTIONS(675),
    [aux_sym_comparison_operator_token16] = ACTIONS(675),
    [aux_sym_comparison_operator_token17] = ACTIONS(675),
    [aux_sym_comparison_operator_token18] = ACTIONS(675),
    [aux_sym_comparison_operator_token19] = ACTIONS(675),
    [aux_sym_comparison_operator_token20] = ACTIONS(675),
    [aux_sym_comparison_operator_token21] = ACTIONS(675),
    [aux_sym_comparison_operator_token22] = ACTIONS(675),
    [aux_sym_comparison_operator_token23] = ACTIONS(675),
    [aux_sym_comparison_operator_token24] = ACTIONS(675),
    [aux_sym_comparison_operator_token25] = ACTIONS(675),
    [aux_sym_comparison_operator_token26] = ACTIONS(675),
    [aux_sym_comparison_operator_token27] = ACTIONS(675),
    [aux_sym_comparison_operator_token28] = ACTIONS(677),
    [aux_sym_comparison_operator_token29] = ACTIONS(675),
    [aux_sym_comparison_operator_token30] = ACTIONS(675),
    [aux_sym_comparison_operator_token31] = ACTIONS(675),
    [aux_sym_comparison_operator_token32] = ACTIONS(675),
    [aux_sym_comparison_operator_token33] = ACTIONS(675),
    [aux_sym_comparison_operator_token34] = ACTIONS(677),
    [aux_sym_comparison_operator_token35] = ACTIONS(675),
    [aux_sym_comparison_operator_token36] = ACTIONS(675),
    [aux_sym_comparison_operator_token37] = ACTIONS(675),
    [aux_sym_comparison_operator_token38] = ACTIONS(675),
    [aux_sym_comparison_operator_token39] = ACTIONS(675),
    [aux_sym_comparison_operator_token40] = ACTIONS(675),
    [aux_sym_comparison_operator_token41] = ACTIONS(675),
    [aux_sym_comparison_operator_token42] = ACTIONS(675),
    [aux_sym_comparison_operator_token43] = ACTIONS(675),
    [aux_sym_comparison_operator_token44] = ACTIONS(675),
    [aux_sym_comparison_operator_token45] = ACTIONS(675),
    [aux_sym_comparison_operator_token46] = ACTIONS(675),
    [aux_sym_comparison_operator_token47] = ACTIONS(675),
    [aux_sym_comparison_operator_token48] = ACTIONS(675),
    [aux_sym_comparison_operator_token49] = ACTIONS(675),
    [aux_sym_comparison_operator_token50] = ACTIONS(675),
    [aux_sym_format_operator_token1] = ACTIONS(675),
    [anon_sym_COMMA] = ACTIONS(675),
    [anon_sym_PIPE] = ACTIONS(675),
    [anon_sym_PERCENT] = ACTIONS(677),
    [aux_sym_logical_expression_token1] = ACTIONS(675),
    [aux_sym_logical_expression_token2] = ACTIONS(675),
    [aux_sym_logical_expression_token3] = ACTIONS(675),
    [aux_sym_bitwise_expression_token1] = ACTIONS(675),
    [aux_sym_bitwise_expression_token2] = ACTIONS(675),
    [aux_sym_bitwise_expression_token3] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(677),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_SLASH] = ACTIONS(677),
    [anon_sym_BSLASH] = ACTIONS(675),
    [anon_sym_STAR] = ACTIONS(677),
    [anon_sym_DOT_DOT] = ACTIONS(675),
    [sym__statement_terminator] = ACTIONS(675),
  },
  [176] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(655),
    [anon_sym_BANG_EQ] = ACTIONS(655),
    [anon_sym_PLUS_EQ] = ACTIONS(655),
    [anon_sym_STAR_EQ] = ACTIONS(655),
    [anon_sym_SLASH_EQ] = ACTIONS(655),
    [anon_sym_PERCENT_EQ] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(657),
    [anon_sym_GT_GT] = ACTIONS(655),
    [anon_sym_2_GT] = ACTIONS(657),
    [anon_sym_2_GT_GT] = ACTIONS(655),
    [anon_sym_3_GT] = ACTIONS(657),
    [anon_sym_3_GT_GT] = ACTIONS(655),
    [anon_sym_4_GT] = ACTIONS(657),
    [anon_sym_4_GT_GT] = ACTIONS(655),
    [anon_sym_5_GT] = ACTIONS(657),
    [anon_sym_5_GT_GT] = ACTIONS(655),
    [anon_sym_6_GT] = ACTIONS(657),
    [anon_sym_6_GT_GT] = ACTIONS(655),
    [anon_sym_STAR_GT] = ACTIONS(657),
    [anon_sym_STAR_GT_GT] = ACTIONS(655),
    [anon_sym_LT] = ACTIONS(657),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(655),
    [anon_sym_2_GT_AMP1] = ACTIONS(655),
    [anon_sym_3_GT_AMP1] = ACTIONS(655),
    [anon_sym_4_GT_AMP1] = ACTIONS(655),
    [anon_sym_5_GT_AMP1] = ACTIONS(655),
    [anon_sym_6_GT_AMP1] = ACTIONS(655),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(655),
    [anon_sym_1_GT_AMP2] = ACTIONS(655),
    [anon_sym_3_GT_AMP2] = ACTIONS(655),
    [anon_sym_4_GT_AMP2] = ACTIONS(655),
    [anon_sym_5_GT_AMP2] = ACTIONS(655),
    [anon_sym_6_GT_AMP2] = ACTIONS(655),
    [aux_sym_comparison_operator_token1] = ACTIONS(655),
    [aux_sym_comparison_operator_token2] = ACTIONS(655),
    [aux_sym_comparison_operator_token3] = ACTIONS(655),
    [aux_sym_comparison_operator_token4] = ACTIONS(655),
    [aux_sym_comparison_operator_token5] = ACTIONS(655),
    [aux_sym_comparison_operator_token6] = ACTIONS(655),
    [aux_sym_comparison_operator_token7] = ACTIONS(655),
    [aux_sym_comparison_operator_token8] = ACTIONS(655),
    [aux_sym_comparison_operator_token9] = ACTIONS(655),
    [aux_sym_comparison_operator_token10] = ACTIONS(655),
    [aux_sym_comparison_operator_token11] = ACTIONS(655),
    [aux_sym_comparison_operator_token12] = ACTIONS(655),
    [aux_sym_comparison_operator_token13] = ACTIONS(655),
    [aux_sym_comparison_operator_token14] = ACTIONS(655),
    [aux_sym_comparison_operator_token15] = ACTIONS(655),
    [aux_sym_comparison_operator_token16] = ACTIONS(655),
    [aux_sym_comparison_operator_token17] = ACTIONS(655),
    [aux_sym_comparison_operator_token18] = ACTIONS(655),
    [aux_sym_comparison_operator_token19] = ACTIONS(655),
    [aux_sym_comparison_operator_token20] = ACTIONS(655),
    [aux_sym_comparison_operator_token21] = ACTIONS(655),
    [aux_sym_comparison_operator_token22] = ACTIONS(655),
    [aux_sym_comparison_operator_token23] = ACTIONS(655),
    [aux_sym_comparison_operator_token24] = ACTIONS(655),
    [aux_sym_comparison_operator_token25] = ACTIONS(655),
    [aux_sym_comparison_operator_token26] = ACTIONS(655),
    [aux_sym_comparison_operator_token27] = ACTIONS(655),
    [aux_sym_comparison_operator_token28] = ACTIONS(657),
    [aux_sym_comparison_operator_token29] = ACTIONS(655),
    [aux_sym_comparison_operator_token30] = ACTIONS(655),
    [aux_sym_comparison_operator_token31] = ACTIONS(655),
    [aux_sym_comparison_operator_token32] = ACTIONS(655),
    [aux_sym_comparison_operator_token33] = ACTIONS(655),
    [aux_sym_comparison_operator_token34] = ACTIONS(657),
    [aux_sym_comparison_operator_token35] = ACTIONS(655),
    [aux_sym_comparison_operator_token36] = ACTIONS(655),
    [aux_sym_comparison_operator_token37] = ACTIONS(655),
    [aux_sym_comparison_operator_token38] = ACTIONS(655),
    [aux_sym_comparison_operator_token39] = ACTIONS(655),
    [aux_sym_comparison_operator_token40] = ACTIONS(655),
    [aux_sym_comparison_operator_token41] = ACTIONS(655),
    [aux_sym_comparison_operator_token42] = ACTIONS(655),
    [aux_sym_comparison_operator_token43] = ACTIONS(655),
    [aux_sym_comparison_operator_token44] = ACTIONS(655),
    [aux_sym_comparison_operator_token45] = ACTIONS(655),
    [aux_sym_comparison_operator_token46] = ACTIONS(655),
    [aux_sym_comparison_operator_token47] = ACTIONS(655),
    [aux_sym_comparison_operator_token48] = ACTIONS(655),
    [aux_sym_comparison_operator_token49] = ACTIONS(655),
    [aux_sym_comparison_operator_token50] = ACTIONS(655),
    [aux_sym_format_operator_token1] = ACTIONS(655),
    [anon_sym_COMMA] = ACTIONS(655),
    [anon_sym_PIPE] = ACTIONS(655),
    [anon_sym_PERCENT] = ACTIONS(657),
    [aux_sym_logical_expression_token1] = ACTIONS(655),
    [aux_sym_logical_expression_token2] = ACTIONS(655),
    [aux_sym_logical_expression_token3] = ACTIONS(655),
    [aux_sym_bitwise_expression_token1] = ACTIONS(655),
    [aux_sym_bitwise_expression_token2] = ACTIONS(655),
    [aux_sym_bitwise_expression_token3] = ACTIONS(655),
    [anon_sym_PLUS] = ACTIONS(657),
    [anon_sym_DASH] = ACTIONS(657),
    [anon_sym_SLASH] = ACTIONS(657),
    [anon_sym_BSLASH] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(657),
    [anon_sym_DOT_DOT] = ACTIONS(655),
    [sym__statement_terminator] = ACTIONS(655),
  },
  [177] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(651),
    [anon_sym_BANG_EQ] = ACTIONS(651),
    [anon_sym_PLUS_EQ] = ACTIONS(651),
    [anon_sym_STAR_EQ] = ACTIONS(651),
    [anon_sym_SLASH_EQ] = ACTIONS(651),
    [anon_sym_PERCENT_EQ] = ACTIONS(651),
    [anon_sym_GT] = ACTIONS(653),
    [anon_sym_GT_GT] = ACTIONS(651),
    [anon_sym_2_GT] = ACTIONS(653),
    [anon_sym_2_GT_GT] = ACTIONS(651),
    [anon_sym_3_GT] = ACTIONS(653),
    [anon_sym_3_GT_GT] = ACTIONS(651),
    [anon_sym_4_GT] = ACTIONS(653),
    [anon_sym_4_GT_GT] = ACTIONS(651),
    [anon_sym_5_GT] = ACTIONS(653),
    [anon_sym_5_GT_GT] = ACTIONS(651),
    [anon_sym_6_GT] = ACTIONS(653),
    [anon_sym_6_GT_GT] = ACTIONS(651),
    [anon_sym_STAR_GT] = ACTIONS(653),
    [anon_sym_STAR_GT_GT] = ACTIONS(651),
    [anon_sym_LT] = ACTIONS(653),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(651),
    [anon_sym_2_GT_AMP1] = ACTIONS(651),
    [anon_sym_3_GT_AMP1] = ACTIONS(651),
    [anon_sym_4_GT_AMP1] = ACTIONS(651),
    [anon_sym_5_GT_AMP1] = ACTIONS(651),
    [anon_sym_6_GT_AMP1] = ACTIONS(651),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(651),
    [anon_sym_1_GT_AMP2] = ACTIONS(651),
    [anon_sym_3_GT_AMP2] = ACTIONS(651),
    [anon_sym_4_GT_AMP2] = ACTIONS(651),
    [anon_sym_5_GT_AMP2] = ACTIONS(651),
    [anon_sym_6_GT_AMP2] = ACTIONS(651),
    [aux_sym_comparison_operator_token1] = ACTIONS(651),
    [aux_sym_comparison_operator_token2] = ACTIONS(651),
    [aux_sym_comparison_operator_token3] = ACTIONS(651),
    [aux_sym_comparison_operator_token4] = ACTIONS(651),
    [aux_sym_comparison_operator_token5] = ACTIONS(651),
    [aux_sym_comparison_operator_token6] = ACTIONS(651),
    [aux_sym_comparison_operator_token7] = ACTIONS(651),
    [aux_sym_comparison_operator_token8] = ACTIONS(651),
    [aux_sym_comparison_operator_token9] = ACTIONS(651),
    [aux_sym_comparison_operator_token10] = ACTIONS(651),
    [aux_sym_comparison_operator_token11] = ACTIONS(651),
    [aux_sym_comparison_operator_token12] = ACTIONS(651),
    [aux_sym_comparison_operator_token13] = ACTIONS(651),
    [aux_sym_comparison_operator_token14] = ACTIONS(651),
    [aux_sym_comparison_operator_token15] = ACTIONS(651),
    [aux_sym_comparison_operator_token16] = ACTIONS(651),
    [aux_sym_comparison_operator_token17] = ACTIONS(651),
    [aux_sym_comparison_operator_token18] = ACTIONS(651),
    [aux_sym_comparison_operator_token19] = ACTIONS(651),
    [aux_sym_comparison_operator_token20] = ACTIONS(651),
    [aux_sym_comparison_operator_token21] = ACTIONS(651),
    [aux_sym_comparison_operator_token22] = ACTIONS(651),
    [aux_sym_comparison_operator_token23] = ACTIONS(651),
    [aux_sym_comparison_operator_token24] = ACTIONS(651),
    [aux_sym_comparison_operator_token25] = ACTIONS(651),
    [aux_sym_comparison_operator_token26] = ACTIONS(651),
    [aux_sym_comparison_operator_token27] = ACTIONS(651),
    [aux_sym_comparison_operator_token28] = ACTIONS(653),
    [aux_sym_comparison_operator_token29] = ACTIONS(651),
    [aux_sym_comparison_operator_token30] = ACTIONS(651),
    [aux_sym_comparison_operator_token31] = ACTIONS(651),
    [aux_sym_comparison_operator_token32] = ACTIONS(651),
    [aux_sym_comparison_operator_token33] = ACTIONS(651),
    [aux_sym_comparison_operator_token34] = ACTIONS(653),
    [aux_sym_comparison_operator_token35] = ACTIONS(651),
    [aux_sym_comparison_operator_token36] = ACTIONS(651),
    [aux_sym_comparison_operator_token37] = ACTIONS(651),
    [aux_sym_comparison_operator_token38] = ACTIONS(651),
    [aux_sym_comparison_operator_token39] = ACTIONS(651),
    [aux_sym_comparison_operator_token40] = ACTIONS(651),
    [aux_sym_comparison_operator_token41] = ACTIONS(651),
    [aux_sym_comparison_operator_token42] = ACTIONS(651),
    [aux_sym_comparison_operator_token43] = ACTIONS(651),
    [aux_sym_comparison_operator_token44] = ACTIONS(651),
    [aux_sym_comparison_operator_token45] = ACTIONS(651),
    [aux_sym_comparison_operator_token46] = ACTIONS(651),
    [aux_sym_comparison_operator_token47] = ACTIONS(651),
    [aux_sym_comparison_operator_token48] = ACTIONS(651),
    [aux_sym_comparison_operator_token49] = ACTIONS(651),
    [aux_sym_comparison_operator_token50] = ACTIONS(651),
    [aux_sym_format_operator_token1] = ACTIONS(651),
    [anon_sym_COMMA] = ACTIONS(651),
    [anon_sym_PIPE] = ACTIONS(651),
    [anon_sym_PERCENT] = ACTIONS(653),
    [aux_sym_logical_expression_token1] = ACTIONS(651),
    [aux_sym_logical_expression_token2] = ACTIONS(651),
    [aux_sym_logical_expression_token3] = ACTIONS(651),
    [aux_sym_bitwise_expression_token1] = ACTIONS(651),
    [aux_sym_bitwise_expression_token2] = ACTIONS(651),
    [aux_sym_bitwise_expression_token3] = ACTIONS(651),
    [anon_sym_PLUS] = ACTIONS(653),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_SLASH] = ACTIONS(653),
    [anon_sym_BSLASH] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(653),
    [anon_sym_DOT_DOT] = ACTIONS(651),
    [sym__statement_terminator] = ACTIONS(651),
  },
  [178] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(765),
    [anon_sym_BANG_EQ] = ACTIONS(765),
    [anon_sym_PLUS_EQ] = ACTIONS(765),
    [anon_sym_STAR_EQ] = ACTIONS(765),
    [anon_sym_SLASH_EQ] = ACTIONS(765),
    [anon_sym_PERCENT_EQ] = ACTIONS(765),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_GT_GT] = ACTIONS(765),
    [anon_sym_2_GT] = ACTIONS(767),
    [anon_sym_2_GT_GT] = ACTIONS(765),
    [anon_sym_3_GT] = ACTIONS(767),
    [anon_sym_3_GT_GT] = ACTIONS(765),
    [anon_sym_4_GT] = ACTIONS(767),
    [anon_sym_4_GT_GT] = ACTIONS(765),
    [anon_sym_5_GT] = ACTIONS(767),
    [anon_sym_5_GT_GT] = ACTIONS(765),
    [anon_sym_6_GT] = ACTIONS(767),
    [anon_sym_6_GT_GT] = ACTIONS(765),
    [anon_sym_STAR_GT] = ACTIONS(767),
    [anon_sym_STAR_GT_GT] = ACTIONS(765),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(765),
    [anon_sym_2_GT_AMP1] = ACTIONS(765),
    [anon_sym_3_GT_AMP1] = ACTIONS(765),
    [anon_sym_4_GT_AMP1] = ACTIONS(765),
    [anon_sym_5_GT_AMP1] = ACTIONS(765),
    [anon_sym_6_GT_AMP1] = ACTIONS(765),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(765),
    [anon_sym_1_GT_AMP2] = ACTIONS(765),
    [anon_sym_3_GT_AMP2] = ACTIONS(765),
    [anon_sym_4_GT_AMP2] = ACTIONS(765),
    [anon_sym_5_GT_AMP2] = ACTIONS(765),
    [anon_sym_6_GT_AMP2] = ACTIONS(765),
    [aux_sym_comparison_operator_token1] = ACTIONS(765),
    [aux_sym_comparison_operator_token2] = ACTIONS(765),
    [aux_sym_comparison_operator_token3] = ACTIONS(765),
    [aux_sym_comparison_operator_token4] = ACTIONS(765),
    [aux_sym_comparison_operator_token5] = ACTIONS(765),
    [aux_sym_comparison_operator_token6] = ACTIONS(765),
    [aux_sym_comparison_operator_token7] = ACTIONS(765),
    [aux_sym_comparison_operator_token8] = ACTIONS(765),
    [aux_sym_comparison_operator_token9] = ACTIONS(765),
    [aux_sym_comparison_operator_token10] = ACTIONS(765),
    [aux_sym_comparison_operator_token11] = ACTIONS(765),
    [aux_sym_comparison_operator_token12] = ACTIONS(765),
    [aux_sym_comparison_operator_token13] = ACTIONS(765),
    [aux_sym_comparison_operator_token14] = ACTIONS(765),
    [aux_sym_comparison_operator_token15] = ACTIONS(765),
    [aux_sym_comparison_operator_token16] = ACTIONS(765),
    [aux_sym_comparison_operator_token17] = ACTIONS(765),
    [aux_sym_comparison_operator_token18] = ACTIONS(765),
    [aux_sym_comparison_operator_token19] = ACTIONS(765),
    [aux_sym_comparison_operator_token20] = ACTIONS(765),
    [aux_sym_comparison_operator_token21] = ACTIONS(765),
    [aux_sym_comparison_operator_token22] = ACTIONS(765),
    [aux_sym_comparison_operator_token23] = ACTIONS(765),
    [aux_sym_comparison_operator_token24] = ACTIONS(765),
    [aux_sym_comparison_operator_token25] = ACTIONS(765),
    [aux_sym_comparison_operator_token26] = ACTIONS(765),
    [aux_sym_comparison_operator_token27] = ACTIONS(765),
    [aux_sym_comparison_operator_token28] = ACTIONS(767),
    [aux_sym_comparison_operator_token29] = ACTIONS(765),
    [aux_sym_comparison_operator_token30] = ACTIONS(765),
    [aux_sym_comparison_operator_token31] = ACTIONS(765),
    [aux_sym_comparison_operator_token32] = ACTIONS(765),
    [aux_sym_comparison_operator_token33] = ACTIONS(765),
    [aux_sym_comparison_operator_token34] = ACTIONS(767),
    [aux_sym_comparison_operator_token35] = ACTIONS(765),
    [aux_sym_comparison_operator_token36] = ACTIONS(765),
    [aux_sym_comparison_operator_token37] = ACTIONS(765),
    [aux_sym_comparison_operator_token38] = ACTIONS(765),
    [aux_sym_comparison_operator_token39] = ACTIONS(765),
    [aux_sym_comparison_operator_token40] = ACTIONS(765),
    [aux_sym_comparison_operator_token41] = ACTIONS(765),
    [aux_sym_comparison_operator_token42] = ACTIONS(765),
    [aux_sym_comparison_operator_token43] = ACTIONS(765),
    [aux_sym_comparison_operator_token44] = ACTIONS(765),
    [aux_sym_comparison_operator_token45] = ACTIONS(765),
    [aux_sym_comparison_operator_token46] = ACTIONS(765),
    [aux_sym_comparison_operator_token47] = ACTIONS(765),
    [aux_sym_comparison_operator_token48] = ACTIONS(765),
    [aux_sym_comparison_operator_token49] = ACTIONS(765),
    [aux_sym_comparison_operator_token50] = ACTIONS(765),
    [aux_sym_format_operator_token1] = ACTIONS(765),
    [anon_sym_COMMA] = ACTIONS(765),
    [anon_sym_PIPE] = ACTIONS(765),
    [anon_sym_PERCENT] = ACTIONS(767),
    [aux_sym_logical_expression_token1] = ACTIONS(765),
    [aux_sym_logical_expression_token2] = ACTIONS(765),
    [aux_sym_logical_expression_token3] = ACTIONS(765),
    [aux_sym_bitwise_expression_token1] = ACTIONS(765),
    [aux_sym_bitwise_expression_token2] = ACTIONS(765),
    [aux_sym_bitwise_expression_token3] = ACTIONS(765),
    [anon_sym_PLUS] = ACTIONS(767),
    [anon_sym_DASH] = ACTIONS(767),
    [anon_sym_SLASH] = ACTIONS(767),
    [anon_sym_BSLASH] = ACTIONS(765),
    [anon_sym_STAR] = ACTIONS(767),
    [anon_sym_DOT_DOT] = ACTIONS(765),
    [sym__statement_terminator] = ACTIONS(765),
  },
  [179] = {
    [sym_format_operator] = STATE(584),
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(795),
    [anon_sym_BANG_EQ] = ACTIONS(795),
    [anon_sym_PLUS_EQ] = ACTIONS(795),
    [anon_sym_STAR_EQ] = ACTIONS(795),
    [anon_sym_SLASH_EQ] = ACTIONS(795),
    [anon_sym_PERCENT_EQ] = ACTIONS(795),
    [anon_sym_GT] = ACTIONS(797),
    [anon_sym_GT_GT] = ACTIONS(795),
    [anon_sym_2_GT] = ACTIONS(797),
    [anon_sym_2_GT_GT] = ACTIONS(795),
    [anon_sym_3_GT] = ACTIONS(797),
    [anon_sym_3_GT_GT] = ACTIONS(795),
    [anon_sym_4_GT] = ACTIONS(797),
    [anon_sym_4_GT_GT] = ACTIONS(795),
    [anon_sym_5_GT] = ACTIONS(797),
    [anon_sym_5_GT_GT] = ACTIONS(795),
    [anon_sym_6_GT] = ACTIONS(797),
    [anon_sym_6_GT_GT] = ACTIONS(795),
    [anon_sym_STAR_GT] = ACTIONS(797),
    [anon_sym_STAR_GT_GT] = ACTIONS(795),
    [anon_sym_LT] = ACTIONS(797),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(795),
    [anon_sym_2_GT_AMP1] = ACTIONS(795),
    [anon_sym_3_GT_AMP1] = ACTIONS(795),
    [anon_sym_4_GT_AMP1] = ACTIONS(795),
    [anon_sym_5_GT_AMP1] = ACTIONS(795),
    [anon_sym_6_GT_AMP1] = ACTIONS(795),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(795),
    [anon_sym_1_GT_AMP2] = ACTIONS(795),
    [anon_sym_3_GT_AMP2] = ACTIONS(795),
    [anon_sym_4_GT_AMP2] = ACTIONS(795),
    [anon_sym_5_GT_AMP2] = ACTIONS(795),
    [anon_sym_6_GT_AMP2] = ACTIONS(795),
    [aux_sym_comparison_operator_token1] = ACTIONS(795),
    [aux_sym_comparison_operator_token2] = ACTIONS(795),
    [aux_sym_comparison_operator_token3] = ACTIONS(795),
    [aux_sym_comparison_operator_token4] = ACTIONS(795),
    [aux_sym_comparison_operator_token5] = ACTIONS(795),
    [aux_sym_comparison_operator_token6] = ACTIONS(795),
    [aux_sym_comparison_operator_token7] = ACTIONS(795),
    [aux_sym_comparison_operator_token8] = ACTIONS(795),
    [aux_sym_comparison_operator_token9] = ACTIONS(795),
    [aux_sym_comparison_operator_token10] = ACTIONS(795),
    [aux_sym_comparison_operator_token11] = ACTIONS(795),
    [aux_sym_comparison_operator_token12] = ACTIONS(795),
    [aux_sym_comparison_operator_token13] = ACTIONS(795),
    [aux_sym_comparison_operator_token14] = ACTIONS(795),
    [aux_sym_comparison_operator_token15] = ACTIONS(795),
    [aux_sym_comparison_operator_token16] = ACTIONS(795),
    [aux_sym_comparison_operator_token17] = ACTIONS(795),
    [aux_sym_comparison_operator_token18] = ACTIONS(795),
    [aux_sym_comparison_operator_token19] = ACTIONS(795),
    [aux_sym_comparison_operator_token20] = ACTIONS(795),
    [aux_sym_comparison_operator_token21] = ACTIONS(795),
    [aux_sym_comparison_operator_token22] = ACTIONS(795),
    [aux_sym_comparison_operator_token23] = ACTIONS(795),
    [aux_sym_comparison_operator_token24] = ACTIONS(795),
    [aux_sym_comparison_operator_token25] = ACTIONS(795),
    [aux_sym_comparison_operator_token26] = ACTIONS(795),
    [aux_sym_comparison_operator_token27] = ACTIONS(795),
    [aux_sym_comparison_operator_token28] = ACTIONS(797),
    [aux_sym_comparison_operator_token29] = ACTIONS(795),
    [aux_sym_comparison_operator_token30] = ACTIONS(795),
    [aux_sym_comparison_operator_token31] = ACTIONS(795),
    [aux_sym_comparison_operator_token32] = ACTIONS(795),
    [aux_sym_comparison_operator_token33] = ACTIONS(795),
    [aux_sym_comparison_operator_token34] = ACTIONS(797),
    [aux_sym_comparison_operator_token35] = ACTIONS(795),
    [aux_sym_comparison_operator_token36] = ACTIONS(795),
    [aux_sym_comparison_operator_token37] = ACTIONS(795),
    [aux_sym_comparison_operator_token38] = ACTIONS(795),
    [aux_sym_comparison_operator_token39] = ACTIONS(795),
    [aux_sym_comparison_operator_token40] = ACTIONS(795),
    [aux_sym_comparison_operator_token41] = ACTIONS(795),
    [aux_sym_comparison_operator_token42] = ACTIONS(795),
    [aux_sym_comparison_operator_token43] = ACTIONS(795),
    [aux_sym_comparison_operator_token44] = ACTIONS(795),
    [aux_sym_comparison_operator_token45] = ACTIONS(795),
    [aux_sym_comparison_operator_token46] = ACTIONS(795),
    [aux_sym_comparison_operator_token47] = ACTIONS(795),
    [aux_sym_comparison_operator_token48] = ACTIONS(795),
    [aux_sym_comparison_operator_token49] = ACTIONS(795),
    [aux_sym_comparison_operator_token50] = ACTIONS(795),
    [aux_sym_format_operator_token1] = ACTIONS(799),
    [anon_sym_RPAREN] = ACTIONS(795),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_PERCENT] = ACTIONS(797),
    [aux_sym_logical_expression_token1] = ACTIONS(795),
    [aux_sym_logical_expression_token2] = ACTIONS(795),
    [aux_sym_logical_expression_token3] = ACTIONS(795),
    [aux_sym_bitwise_expression_token1] = ACTIONS(795),
    [aux_sym_bitwise_expression_token2] = ACTIONS(795),
    [aux_sym_bitwise_expression_token3] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_SLASH] = ACTIONS(797),
    [anon_sym_BSLASH] = ACTIONS(795),
    [anon_sym_STAR] = ACTIONS(797),
  },
  [180] = {
    [sym_format_operator] = STATE(584),
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(801),
    [anon_sym_BANG_EQ] = ACTIONS(801),
    [anon_sym_PLUS_EQ] = ACTIONS(801),
    [anon_sym_STAR_EQ] = ACTIONS(801),
    [anon_sym_SLASH_EQ] = ACTIONS(801),
    [anon_sym_PERCENT_EQ] = ACTIONS(801),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_GT] = ACTIONS(801),
    [anon_sym_2_GT] = ACTIONS(803),
    [anon_sym_2_GT_GT] = ACTIONS(801),
    [anon_sym_3_GT] = ACTIONS(803),
    [anon_sym_3_GT_GT] = ACTIONS(801),
    [anon_sym_4_GT] = ACTIONS(803),
    [anon_sym_4_GT_GT] = ACTIONS(801),
    [anon_sym_5_GT] = ACTIONS(803),
    [anon_sym_5_GT_GT] = ACTIONS(801),
    [anon_sym_6_GT] = ACTIONS(803),
    [anon_sym_6_GT_GT] = ACTIONS(801),
    [anon_sym_STAR_GT] = ACTIONS(803),
    [anon_sym_STAR_GT_GT] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(801),
    [anon_sym_2_GT_AMP1] = ACTIONS(801),
    [anon_sym_3_GT_AMP1] = ACTIONS(801),
    [anon_sym_4_GT_AMP1] = ACTIONS(801),
    [anon_sym_5_GT_AMP1] = ACTIONS(801),
    [anon_sym_6_GT_AMP1] = ACTIONS(801),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(801),
    [anon_sym_1_GT_AMP2] = ACTIONS(801),
    [anon_sym_3_GT_AMP2] = ACTIONS(801),
    [anon_sym_4_GT_AMP2] = ACTIONS(801),
    [anon_sym_5_GT_AMP2] = ACTIONS(801),
    [anon_sym_6_GT_AMP2] = ACTIONS(801),
    [aux_sym_comparison_operator_token1] = ACTIONS(801),
    [aux_sym_comparison_operator_token2] = ACTIONS(801),
    [aux_sym_comparison_operator_token3] = ACTIONS(801),
    [aux_sym_comparison_operator_token4] = ACTIONS(801),
    [aux_sym_comparison_operator_token5] = ACTIONS(801),
    [aux_sym_comparison_operator_token6] = ACTIONS(801),
    [aux_sym_comparison_operator_token7] = ACTIONS(801),
    [aux_sym_comparison_operator_token8] = ACTIONS(801),
    [aux_sym_comparison_operator_token9] = ACTIONS(801),
    [aux_sym_comparison_operator_token10] = ACTIONS(801),
    [aux_sym_comparison_operator_token11] = ACTIONS(801),
    [aux_sym_comparison_operator_token12] = ACTIONS(801),
    [aux_sym_comparison_operator_token13] = ACTIONS(801),
    [aux_sym_comparison_operator_token14] = ACTIONS(801),
    [aux_sym_comparison_operator_token15] = ACTIONS(801),
    [aux_sym_comparison_operator_token16] = ACTIONS(801),
    [aux_sym_comparison_operator_token17] = ACTIONS(801),
    [aux_sym_comparison_operator_token18] = ACTIONS(801),
    [aux_sym_comparison_operator_token19] = ACTIONS(801),
    [aux_sym_comparison_operator_token20] = ACTIONS(801),
    [aux_sym_comparison_operator_token21] = ACTIONS(801),
    [aux_sym_comparison_operator_token22] = ACTIONS(801),
    [aux_sym_comparison_operator_token23] = ACTIONS(801),
    [aux_sym_comparison_operator_token24] = ACTIONS(801),
    [aux_sym_comparison_operator_token25] = ACTIONS(801),
    [aux_sym_comparison_operator_token26] = ACTIONS(801),
    [aux_sym_comparison_operator_token27] = ACTIONS(801),
    [aux_sym_comparison_operator_token28] = ACTIONS(803),
    [aux_sym_comparison_operator_token29] = ACTIONS(801),
    [aux_sym_comparison_operator_token30] = ACTIONS(801),
    [aux_sym_comparison_operator_token31] = ACTIONS(801),
    [aux_sym_comparison_operator_token32] = ACTIONS(801),
    [aux_sym_comparison_operator_token33] = ACTIONS(801),
    [aux_sym_comparison_operator_token34] = ACTIONS(803),
    [aux_sym_comparison_operator_token35] = ACTIONS(801),
    [aux_sym_comparison_operator_token36] = ACTIONS(801),
    [aux_sym_comparison_operator_token37] = ACTIONS(801),
    [aux_sym_comparison_operator_token38] = ACTIONS(801),
    [aux_sym_comparison_operator_token39] = ACTIONS(801),
    [aux_sym_comparison_operator_token40] = ACTIONS(801),
    [aux_sym_comparison_operator_token41] = ACTIONS(801),
    [aux_sym_comparison_operator_token42] = ACTIONS(801),
    [aux_sym_comparison_operator_token43] = ACTIONS(801),
    [aux_sym_comparison_operator_token44] = ACTIONS(801),
    [aux_sym_comparison_operator_token45] = ACTIONS(801),
    [aux_sym_comparison_operator_token46] = ACTIONS(801),
    [aux_sym_comparison_operator_token47] = ACTIONS(801),
    [aux_sym_comparison_operator_token48] = ACTIONS(801),
    [aux_sym_comparison_operator_token49] = ACTIONS(801),
    [aux_sym_comparison_operator_token50] = ACTIONS(801),
    [aux_sym_format_operator_token1] = ACTIONS(799),
    [anon_sym_RPAREN] = ACTIONS(801),
    [anon_sym_PIPE] = ACTIONS(801),
    [anon_sym_PERCENT] = ACTIONS(803),
    [aux_sym_logical_expression_token1] = ACTIONS(801),
    [aux_sym_logical_expression_token2] = ACTIONS(801),
    [aux_sym_logical_expression_token3] = ACTIONS(801),
    [aux_sym_bitwise_expression_token1] = ACTIONS(801),
    [aux_sym_bitwise_expression_token2] = ACTIONS(801),
    [aux_sym_bitwise_expression_token3] = ACTIONS(801),
    [anon_sym_PLUS] = ACTIONS(803),
    [anon_sym_DASH] = ACTIONS(803),
    [anon_sym_SLASH] = ACTIONS(803),
    [anon_sym_BSLASH] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(803),
  },
  [181] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_PLUS_EQ] = ACTIONS(805),
    [anon_sym_STAR_EQ] = ACTIONS(805),
    [anon_sym_SLASH_EQ] = ACTIONS(805),
    [anon_sym_PERCENT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(807),
    [anon_sym_GT_GT] = ACTIONS(805),
    [anon_sym_2_GT] = ACTIONS(807),
    [anon_sym_2_GT_GT] = ACTIONS(805),
    [anon_sym_3_GT] = ACTIONS(807),
    [anon_sym_3_GT_GT] = ACTIONS(805),
    [anon_sym_4_GT] = ACTIONS(807),
    [anon_sym_4_GT_GT] = ACTIONS(805),
    [anon_sym_5_GT] = ACTIONS(807),
    [anon_sym_5_GT_GT] = ACTIONS(805),
    [anon_sym_6_GT] = ACTIONS(807),
    [anon_sym_6_GT_GT] = ACTIONS(805),
    [anon_sym_STAR_GT] = ACTIONS(807),
    [anon_sym_STAR_GT_GT] = ACTIONS(805),
    [anon_sym_LT] = ACTIONS(807),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(805),
    [anon_sym_2_GT_AMP1] = ACTIONS(805),
    [anon_sym_3_GT_AMP1] = ACTIONS(805),
    [anon_sym_4_GT_AMP1] = ACTIONS(805),
    [anon_sym_5_GT_AMP1] = ACTIONS(805),
    [anon_sym_6_GT_AMP1] = ACTIONS(805),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(805),
    [anon_sym_1_GT_AMP2] = ACTIONS(805),
    [anon_sym_3_GT_AMP2] = ACTIONS(805),
    [anon_sym_4_GT_AMP2] = ACTIONS(805),
    [anon_sym_5_GT_AMP2] = ACTIONS(805),
    [anon_sym_6_GT_AMP2] = ACTIONS(805),
    [aux_sym_comparison_operator_token1] = ACTIONS(805),
    [aux_sym_comparison_operator_token2] = ACTIONS(805),
    [aux_sym_comparison_operator_token3] = ACTIONS(805),
    [aux_sym_comparison_operator_token4] = ACTIONS(805),
    [aux_sym_comparison_operator_token5] = ACTIONS(805),
    [aux_sym_comparison_operator_token6] = ACTIONS(805),
    [aux_sym_comparison_operator_token7] = ACTIONS(805),
    [aux_sym_comparison_operator_token8] = ACTIONS(805),
    [aux_sym_comparison_operator_token9] = ACTIONS(805),
    [aux_sym_comparison_operator_token10] = ACTIONS(805),
    [aux_sym_comparison_operator_token11] = ACTIONS(805),
    [aux_sym_comparison_operator_token12] = ACTIONS(805),
    [aux_sym_comparison_operator_token13] = ACTIONS(805),
    [aux_sym_comparison_operator_token14] = ACTIONS(805),
    [aux_sym_comparison_operator_token15] = ACTIONS(805),
    [aux_sym_comparison_operator_token16] = ACTIONS(805),
    [aux_sym_comparison_operator_token17] = ACTIONS(805),
    [aux_sym_comparison_operator_token18] = ACTIONS(805),
    [aux_sym_comparison_operator_token19] = ACTIONS(805),
    [aux_sym_comparison_operator_token20] = ACTIONS(805),
    [aux_sym_comparison_operator_token21] = ACTIONS(805),
    [aux_sym_comparison_operator_token22] = ACTIONS(805),
    [aux_sym_comparison_operator_token23] = ACTIONS(805),
    [aux_sym_comparison_operator_token24] = ACTIONS(805),
    [aux_sym_comparison_operator_token25] = ACTIONS(805),
    [aux_sym_comparison_operator_token26] = ACTIONS(805),
    [aux_sym_comparison_operator_token27] = ACTIONS(805),
    [aux_sym_comparison_operator_token28] = ACTIONS(807),
    [aux_sym_comparison_operator_token29] = ACTIONS(805),
    [aux_sym_comparison_operator_token30] = ACTIONS(805),
    [aux_sym_comparison_operator_token31] = ACTIONS(805),
    [aux_sym_comparison_operator_token32] = ACTIONS(805),
    [aux_sym_comparison_operator_token33] = ACTIONS(805),
    [aux_sym_comparison_operator_token34] = ACTIONS(807),
    [aux_sym_comparison_operator_token35] = ACTIONS(805),
    [aux_sym_comparison_operator_token36] = ACTIONS(805),
    [aux_sym_comparison_operator_token37] = ACTIONS(805),
    [aux_sym_comparison_operator_token38] = ACTIONS(805),
    [aux_sym_comparison_operator_token39] = ACTIONS(805),
    [aux_sym_comparison_operator_token40] = ACTIONS(805),
    [aux_sym_comparison_operator_token41] = ACTIONS(805),
    [aux_sym_comparison_operator_token42] = ACTIONS(805),
    [aux_sym_comparison_operator_token43] = ACTIONS(805),
    [aux_sym_comparison_operator_token44] = ACTIONS(805),
    [aux_sym_comparison_operator_token45] = ACTIONS(805),
    [aux_sym_comparison_operator_token46] = ACTIONS(805),
    [aux_sym_comparison_operator_token47] = ACTIONS(805),
    [aux_sym_comparison_operator_token48] = ACTIONS(805),
    [aux_sym_comparison_operator_token49] = ACTIONS(805),
    [aux_sym_comparison_operator_token50] = ACTIONS(805),
    [aux_sym_format_operator_token1] = ACTIONS(805),
    [anon_sym_RPAREN] = ACTIONS(805),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_PERCENT] = ACTIONS(807),
    [aux_sym_logical_expression_token1] = ACTIONS(805),
    [aux_sym_logical_expression_token2] = ACTIONS(805),
    [aux_sym_logical_expression_token3] = ACTIONS(805),
    [aux_sym_bitwise_expression_token1] = ACTIONS(805),
    [aux_sym_bitwise_expression_token2] = ACTIONS(805),
    [aux_sym_bitwise_expression_token3] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(807),
    [anon_sym_DASH] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(807),
    [anon_sym_BSLASH] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_DOT_DOT] = ACTIONS(809),
  },
  [182] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(811),
    [anon_sym_BANG_EQ] = ACTIONS(811),
    [anon_sym_PLUS_EQ] = ACTIONS(811),
    [anon_sym_STAR_EQ] = ACTIONS(811),
    [anon_sym_SLASH_EQ] = ACTIONS(811),
    [anon_sym_PERCENT_EQ] = ACTIONS(811),
    [anon_sym_GT] = ACTIONS(813),
    [anon_sym_GT_GT] = ACTIONS(811),
    [anon_sym_2_GT] = ACTIONS(813),
    [anon_sym_2_GT_GT] = ACTIONS(811),
    [anon_sym_3_GT] = ACTIONS(813),
    [anon_sym_3_GT_GT] = ACTIONS(811),
    [anon_sym_4_GT] = ACTIONS(813),
    [anon_sym_4_GT_GT] = ACTIONS(811),
    [anon_sym_5_GT] = ACTIONS(813),
    [anon_sym_5_GT_GT] = ACTIONS(811),
    [anon_sym_6_GT] = ACTIONS(813),
    [anon_sym_6_GT_GT] = ACTIONS(811),
    [anon_sym_STAR_GT] = ACTIONS(813),
    [anon_sym_STAR_GT_GT] = ACTIONS(811),
    [anon_sym_LT] = ACTIONS(813),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(811),
    [anon_sym_2_GT_AMP1] = ACTIONS(811),
    [anon_sym_3_GT_AMP1] = ACTIONS(811),
    [anon_sym_4_GT_AMP1] = ACTIONS(811),
    [anon_sym_5_GT_AMP1] = ACTIONS(811),
    [anon_sym_6_GT_AMP1] = ACTIONS(811),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(811),
    [anon_sym_1_GT_AMP2] = ACTIONS(811),
    [anon_sym_3_GT_AMP2] = ACTIONS(811),
    [anon_sym_4_GT_AMP2] = ACTIONS(811),
    [anon_sym_5_GT_AMP2] = ACTIONS(811),
    [anon_sym_6_GT_AMP2] = ACTIONS(811),
    [aux_sym_comparison_operator_token1] = ACTIONS(811),
    [aux_sym_comparison_operator_token2] = ACTIONS(811),
    [aux_sym_comparison_operator_token3] = ACTIONS(811),
    [aux_sym_comparison_operator_token4] = ACTIONS(811),
    [aux_sym_comparison_operator_token5] = ACTIONS(811),
    [aux_sym_comparison_operator_token6] = ACTIONS(811),
    [aux_sym_comparison_operator_token7] = ACTIONS(811),
    [aux_sym_comparison_operator_token8] = ACTIONS(811),
    [aux_sym_comparison_operator_token9] = ACTIONS(811),
    [aux_sym_comparison_operator_token10] = ACTIONS(811),
    [aux_sym_comparison_operator_token11] = ACTIONS(811),
    [aux_sym_comparison_operator_token12] = ACTIONS(811),
    [aux_sym_comparison_operator_token13] = ACTIONS(811),
    [aux_sym_comparison_operator_token14] = ACTIONS(811),
    [aux_sym_comparison_operator_token15] = ACTIONS(811),
    [aux_sym_comparison_operator_token16] = ACTIONS(811),
    [aux_sym_comparison_operator_token17] = ACTIONS(811),
    [aux_sym_comparison_operator_token18] = ACTIONS(811),
    [aux_sym_comparison_operator_token19] = ACTIONS(811),
    [aux_sym_comparison_operator_token20] = ACTIONS(811),
    [aux_sym_comparison_operator_token21] = ACTIONS(811),
    [aux_sym_comparison_operator_token22] = ACTIONS(811),
    [aux_sym_comparison_operator_token23] = ACTIONS(811),
    [aux_sym_comparison_operator_token24] = ACTIONS(811),
    [aux_sym_comparison_operator_token25] = ACTIONS(811),
    [aux_sym_comparison_operator_token26] = ACTIONS(811),
    [aux_sym_comparison_operator_token27] = ACTIONS(811),
    [aux_sym_comparison_operator_token28] = ACTIONS(813),
    [aux_sym_comparison_operator_token29] = ACTIONS(811),
    [aux_sym_comparison_operator_token30] = ACTIONS(811),
    [aux_sym_comparison_operator_token31] = ACTIONS(811),
    [aux_sym_comparison_operator_token32] = ACTIONS(811),
    [aux_sym_comparison_operator_token33] = ACTIONS(811),
    [aux_sym_comparison_operator_token34] = ACTIONS(813),
    [aux_sym_comparison_operator_token35] = ACTIONS(811),
    [aux_sym_comparison_operator_token36] = ACTIONS(811),
    [aux_sym_comparison_operator_token37] = ACTIONS(811),
    [aux_sym_comparison_operator_token38] = ACTIONS(811),
    [aux_sym_comparison_operator_token39] = ACTIONS(811),
    [aux_sym_comparison_operator_token40] = ACTIONS(811),
    [aux_sym_comparison_operator_token41] = ACTIONS(811),
    [aux_sym_comparison_operator_token42] = ACTIONS(811),
    [aux_sym_comparison_operator_token43] = ACTIONS(811),
    [aux_sym_comparison_operator_token44] = ACTIONS(811),
    [aux_sym_comparison_operator_token45] = ACTIONS(811),
    [aux_sym_comparison_operator_token46] = ACTIONS(811),
    [aux_sym_comparison_operator_token47] = ACTIONS(811),
    [aux_sym_comparison_operator_token48] = ACTIONS(811),
    [aux_sym_comparison_operator_token49] = ACTIONS(811),
    [aux_sym_comparison_operator_token50] = ACTIONS(811),
    [aux_sym_format_operator_token1] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(811),
    [anon_sym_PIPE] = ACTIONS(811),
    [anon_sym_PERCENT] = ACTIONS(813),
    [aux_sym_logical_expression_token1] = ACTIONS(811),
    [aux_sym_logical_expression_token2] = ACTIONS(811),
    [aux_sym_logical_expression_token3] = ACTIONS(811),
    [aux_sym_bitwise_expression_token1] = ACTIONS(811),
    [aux_sym_bitwise_expression_token2] = ACTIONS(811),
    [aux_sym_bitwise_expression_token3] = ACTIONS(811),
    [anon_sym_PLUS] = ACTIONS(813),
    [anon_sym_DASH] = ACTIONS(813),
    [anon_sym_SLASH] = ACTIONS(813),
    [anon_sym_BSLASH] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(813),
    [anon_sym_DOT_DOT] = ACTIONS(809),
  },
  [183] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(791),
    [anon_sym_BANG_EQ] = ACTIONS(791),
    [anon_sym_PLUS_EQ] = ACTIONS(791),
    [anon_sym_STAR_EQ] = ACTIONS(791),
    [anon_sym_SLASH_EQ] = ACTIONS(791),
    [anon_sym_PERCENT_EQ] = ACTIONS(791),
    [anon_sym_GT] = ACTIONS(793),
    [anon_sym_GT_GT] = ACTIONS(791),
    [anon_sym_2_GT] = ACTIONS(793),
    [anon_sym_2_GT_GT] = ACTIONS(791),
    [anon_sym_3_GT] = ACTIONS(793),
    [anon_sym_3_GT_GT] = ACTIONS(791),
    [anon_sym_4_GT] = ACTIONS(793),
    [anon_sym_4_GT_GT] = ACTIONS(791),
    [anon_sym_5_GT] = ACTIONS(793),
    [anon_sym_5_GT_GT] = ACTIONS(791),
    [anon_sym_6_GT] = ACTIONS(793),
    [anon_sym_6_GT_GT] = ACTIONS(791),
    [anon_sym_STAR_GT] = ACTIONS(793),
    [anon_sym_STAR_GT_GT] = ACTIONS(791),
    [anon_sym_LT] = ACTIONS(793),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(791),
    [anon_sym_2_GT_AMP1] = ACTIONS(791),
    [anon_sym_3_GT_AMP1] = ACTIONS(791),
    [anon_sym_4_GT_AMP1] = ACTIONS(791),
    [anon_sym_5_GT_AMP1] = ACTIONS(791),
    [anon_sym_6_GT_AMP1] = ACTIONS(791),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(791),
    [anon_sym_1_GT_AMP2] = ACTIONS(791),
    [anon_sym_3_GT_AMP2] = ACTIONS(791),
    [anon_sym_4_GT_AMP2] = ACTIONS(791),
    [anon_sym_5_GT_AMP2] = ACTIONS(791),
    [anon_sym_6_GT_AMP2] = ACTIONS(791),
    [aux_sym_comparison_operator_token1] = ACTIONS(791),
    [aux_sym_comparison_operator_token2] = ACTIONS(791),
    [aux_sym_comparison_operator_token3] = ACTIONS(791),
    [aux_sym_comparison_operator_token4] = ACTIONS(791),
    [aux_sym_comparison_operator_token5] = ACTIONS(791),
    [aux_sym_comparison_operator_token6] = ACTIONS(791),
    [aux_sym_comparison_operator_token7] = ACTIONS(791),
    [aux_sym_comparison_operator_token8] = ACTIONS(791),
    [aux_sym_comparison_operator_token9] = ACTIONS(791),
    [aux_sym_comparison_operator_token10] = ACTIONS(791),
    [aux_sym_comparison_operator_token11] = ACTIONS(791),
    [aux_sym_comparison_operator_token12] = ACTIONS(791),
    [aux_sym_comparison_operator_token13] = ACTIONS(791),
    [aux_sym_comparison_operator_token14] = ACTIONS(791),
    [aux_sym_comparison_operator_token15] = ACTIONS(791),
    [aux_sym_comparison_operator_token16] = ACTIONS(791),
    [aux_sym_comparison_operator_token17] = ACTIONS(791),
    [aux_sym_comparison_operator_token18] = ACTIONS(791),
    [aux_sym_comparison_operator_token19] = ACTIONS(791),
    [aux_sym_comparison_operator_token20] = ACTIONS(791),
    [aux_sym_comparison_operator_token21] = ACTIONS(791),
    [aux_sym_comparison_operator_token22] = ACTIONS(791),
    [aux_sym_comparison_operator_token23] = ACTIONS(791),
    [aux_sym_comparison_operator_token24] = ACTIONS(791),
    [aux_sym_comparison_operator_token25] = ACTIONS(791),
    [aux_sym_comparison_operator_token26] = ACTIONS(791),
    [aux_sym_comparison_operator_token27] = ACTIONS(791),
    [aux_sym_comparison_operator_token28] = ACTIONS(793),
    [aux_sym_comparison_operator_token29] = ACTIONS(791),
    [aux_sym_comparison_operator_token30] = ACTIONS(791),
    [aux_sym_comparison_operator_token31] = ACTIONS(791),
    [aux_sym_comparison_operator_token32] = ACTIONS(791),
    [aux_sym_comparison_operator_token33] = ACTIONS(791),
    [aux_sym_comparison_operator_token34] = ACTIONS(793),
    [aux_sym_comparison_operator_token35] = ACTIONS(791),
    [aux_sym_comparison_operator_token36] = ACTIONS(791),
    [aux_sym_comparison_operator_token37] = ACTIONS(791),
    [aux_sym_comparison_operator_token38] = ACTIONS(791),
    [aux_sym_comparison_operator_token39] = ACTIONS(791),
    [aux_sym_comparison_operator_token40] = ACTIONS(791),
    [aux_sym_comparison_operator_token41] = ACTIONS(791),
    [aux_sym_comparison_operator_token42] = ACTIONS(791),
    [aux_sym_comparison_operator_token43] = ACTIONS(791),
    [aux_sym_comparison_operator_token44] = ACTIONS(791),
    [aux_sym_comparison_operator_token45] = ACTIONS(791),
    [aux_sym_comparison_operator_token46] = ACTIONS(791),
    [aux_sym_comparison_operator_token47] = ACTIONS(791),
    [aux_sym_comparison_operator_token48] = ACTIONS(791),
    [aux_sym_comparison_operator_token49] = ACTIONS(791),
    [aux_sym_comparison_operator_token50] = ACTIONS(791),
    [aux_sym_format_operator_token1] = ACTIONS(791),
    [anon_sym_PIPE] = ACTIONS(791),
    [anon_sym_PERCENT] = ACTIONS(793),
    [aux_sym_logical_expression_token1] = ACTIONS(791),
    [aux_sym_logical_expression_token2] = ACTIONS(791),
    [aux_sym_logical_expression_token3] = ACTIONS(791),
    [aux_sym_bitwise_expression_token1] = ACTIONS(791),
    [aux_sym_bitwise_expression_token2] = ACTIONS(791),
    [aux_sym_bitwise_expression_token3] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_SLASH] = ACTIONS(793),
    [anon_sym_BSLASH] = ACTIONS(791),
    [anon_sym_STAR] = ACTIONS(793),
    [anon_sym_DOT_DOT] = ACTIONS(791),
    [sym__statement_terminator] = ACTIONS(791),
  },
  [184] = {
    [sym_format_operator] = STATE(577),
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(795),
    [anon_sym_BANG_EQ] = ACTIONS(795),
    [anon_sym_PLUS_EQ] = ACTIONS(795),
    [anon_sym_STAR_EQ] = ACTIONS(795),
    [anon_sym_SLASH_EQ] = ACTIONS(795),
    [anon_sym_PERCENT_EQ] = ACTIONS(795),
    [anon_sym_GT] = ACTIONS(797),
    [anon_sym_GT_GT] = ACTIONS(795),
    [anon_sym_2_GT] = ACTIONS(797),
    [anon_sym_2_GT_GT] = ACTIONS(795),
    [anon_sym_3_GT] = ACTIONS(797),
    [anon_sym_3_GT_GT] = ACTIONS(795),
    [anon_sym_4_GT] = ACTIONS(797),
    [anon_sym_4_GT_GT] = ACTIONS(795),
    [anon_sym_5_GT] = ACTIONS(797),
    [anon_sym_5_GT_GT] = ACTIONS(795),
    [anon_sym_6_GT] = ACTIONS(797),
    [anon_sym_6_GT_GT] = ACTIONS(795),
    [anon_sym_STAR_GT] = ACTIONS(797),
    [anon_sym_STAR_GT_GT] = ACTIONS(795),
    [anon_sym_LT] = ACTIONS(797),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(795),
    [anon_sym_2_GT_AMP1] = ACTIONS(795),
    [anon_sym_3_GT_AMP1] = ACTIONS(795),
    [anon_sym_4_GT_AMP1] = ACTIONS(795),
    [anon_sym_5_GT_AMP1] = ACTIONS(795),
    [anon_sym_6_GT_AMP1] = ACTIONS(795),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(795),
    [anon_sym_1_GT_AMP2] = ACTIONS(795),
    [anon_sym_3_GT_AMP2] = ACTIONS(795),
    [anon_sym_4_GT_AMP2] = ACTIONS(795),
    [anon_sym_5_GT_AMP2] = ACTIONS(795),
    [anon_sym_6_GT_AMP2] = ACTIONS(795),
    [aux_sym_comparison_operator_token1] = ACTIONS(795),
    [aux_sym_comparison_operator_token2] = ACTIONS(795),
    [aux_sym_comparison_operator_token3] = ACTIONS(795),
    [aux_sym_comparison_operator_token4] = ACTIONS(795),
    [aux_sym_comparison_operator_token5] = ACTIONS(795),
    [aux_sym_comparison_operator_token6] = ACTIONS(795),
    [aux_sym_comparison_operator_token7] = ACTIONS(795),
    [aux_sym_comparison_operator_token8] = ACTIONS(795),
    [aux_sym_comparison_operator_token9] = ACTIONS(795),
    [aux_sym_comparison_operator_token10] = ACTIONS(795),
    [aux_sym_comparison_operator_token11] = ACTIONS(795),
    [aux_sym_comparison_operator_token12] = ACTIONS(795),
    [aux_sym_comparison_operator_token13] = ACTIONS(795),
    [aux_sym_comparison_operator_token14] = ACTIONS(795),
    [aux_sym_comparison_operator_token15] = ACTIONS(795),
    [aux_sym_comparison_operator_token16] = ACTIONS(795),
    [aux_sym_comparison_operator_token17] = ACTIONS(795),
    [aux_sym_comparison_operator_token18] = ACTIONS(795),
    [aux_sym_comparison_operator_token19] = ACTIONS(795),
    [aux_sym_comparison_operator_token20] = ACTIONS(795),
    [aux_sym_comparison_operator_token21] = ACTIONS(795),
    [aux_sym_comparison_operator_token22] = ACTIONS(795),
    [aux_sym_comparison_operator_token23] = ACTIONS(795),
    [aux_sym_comparison_operator_token24] = ACTIONS(795),
    [aux_sym_comparison_operator_token25] = ACTIONS(795),
    [aux_sym_comparison_operator_token26] = ACTIONS(795),
    [aux_sym_comparison_operator_token27] = ACTIONS(795),
    [aux_sym_comparison_operator_token28] = ACTIONS(797),
    [aux_sym_comparison_operator_token29] = ACTIONS(795),
    [aux_sym_comparison_operator_token30] = ACTIONS(795),
    [aux_sym_comparison_operator_token31] = ACTIONS(795),
    [aux_sym_comparison_operator_token32] = ACTIONS(795),
    [aux_sym_comparison_operator_token33] = ACTIONS(795),
    [aux_sym_comparison_operator_token34] = ACTIONS(797),
    [aux_sym_comparison_operator_token35] = ACTIONS(795),
    [aux_sym_comparison_operator_token36] = ACTIONS(795),
    [aux_sym_comparison_operator_token37] = ACTIONS(795),
    [aux_sym_comparison_operator_token38] = ACTIONS(795),
    [aux_sym_comparison_operator_token39] = ACTIONS(795),
    [aux_sym_comparison_operator_token40] = ACTIONS(795),
    [aux_sym_comparison_operator_token41] = ACTIONS(795),
    [aux_sym_comparison_operator_token42] = ACTIONS(795),
    [aux_sym_comparison_operator_token43] = ACTIONS(795),
    [aux_sym_comparison_operator_token44] = ACTIONS(795),
    [aux_sym_comparison_operator_token45] = ACTIONS(795),
    [aux_sym_comparison_operator_token46] = ACTIONS(795),
    [aux_sym_comparison_operator_token47] = ACTIONS(795),
    [aux_sym_comparison_operator_token48] = ACTIONS(795),
    [aux_sym_comparison_operator_token49] = ACTIONS(795),
    [aux_sym_comparison_operator_token50] = ACTIONS(795),
    [aux_sym_format_operator_token1] = ACTIONS(799),
    [anon_sym_PIPE] = ACTIONS(795),
    [anon_sym_PERCENT] = ACTIONS(797),
    [aux_sym_logical_expression_token1] = ACTIONS(795),
    [aux_sym_logical_expression_token2] = ACTIONS(795),
    [aux_sym_logical_expression_token3] = ACTIONS(795),
    [aux_sym_bitwise_expression_token1] = ACTIONS(795),
    [aux_sym_bitwise_expression_token2] = ACTIONS(795),
    [aux_sym_bitwise_expression_token3] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_SLASH] = ACTIONS(797),
    [anon_sym_BSLASH] = ACTIONS(795),
    [anon_sym_STAR] = ACTIONS(797),
    [sym__statement_terminator] = ACTIONS(795),
  },
  [185] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(811),
    [anon_sym_BANG_EQ] = ACTIONS(811),
    [anon_sym_PLUS_EQ] = ACTIONS(811),
    [anon_sym_STAR_EQ] = ACTIONS(811),
    [anon_sym_SLASH_EQ] = ACTIONS(811),
    [anon_sym_PERCENT_EQ] = ACTIONS(811),
    [anon_sym_GT] = ACTIONS(813),
    [anon_sym_GT_GT] = ACTIONS(811),
    [anon_sym_2_GT] = ACTIONS(813),
    [anon_sym_2_GT_GT] = ACTIONS(811),
    [anon_sym_3_GT] = ACTIONS(813),
    [anon_sym_3_GT_GT] = ACTIONS(811),
    [anon_sym_4_GT] = ACTIONS(813),
    [anon_sym_4_GT_GT] = ACTIONS(811),
    [anon_sym_5_GT] = ACTIONS(813),
    [anon_sym_5_GT_GT] = ACTIONS(811),
    [anon_sym_6_GT] = ACTIONS(813),
    [anon_sym_6_GT_GT] = ACTIONS(811),
    [anon_sym_STAR_GT] = ACTIONS(813),
    [anon_sym_STAR_GT_GT] = ACTIONS(811),
    [anon_sym_LT] = ACTIONS(813),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(811),
    [anon_sym_2_GT_AMP1] = ACTIONS(811),
    [anon_sym_3_GT_AMP1] = ACTIONS(811),
    [anon_sym_4_GT_AMP1] = ACTIONS(811),
    [anon_sym_5_GT_AMP1] = ACTIONS(811),
    [anon_sym_6_GT_AMP1] = ACTIONS(811),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(811),
    [anon_sym_1_GT_AMP2] = ACTIONS(811),
    [anon_sym_3_GT_AMP2] = ACTIONS(811),
    [anon_sym_4_GT_AMP2] = ACTIONS(811),
    [anon_sym_5_GT_AMP2] = ACTIONS(811),
    [anon_sym_6_GT_AMP2] = ACTIONS(811),
    [aux_sym_comparison_operator_token1] = ACTIONS(811),
    [aux_sym_comparison_operator_token2] = ACTIONS(811),
    [aux_sym_comparison_operator_token3] = ACTIONS(811),
    [aux_sym_comparison_operator_token4] = ACTIONS(811),
    [aux_sym_comparison_operator_token5] = ACTIONS(811),
    [aux_sym_comparison_operator_token6] = ACTIONS(811),
    [aux_sym_comparison_operator_token7] = ACTIONS(811),
    [aux_sym_comparison_operator_token8] = ACTIONS(811),
    [aux_sym_comparison_operator_token9] = ACTIONS(811),
    [aux_sym_comparison_operator_token10] = ACTIONS(811),
    [aux_sym_comparison_operator_token11] = ACTIONS(811),
    [aux_sym_comparison_operator_token12] = ACTIONS(811),
    [aux_sym_comparison_operator_token13] = ACTIONS(811),
    [aux_sym_comparison_operator_token14] = ACTIONS(811),
    [aux_sym_comparison_operator_token15] = ACTIONS(811),
    [aux_sym_comparison_operator_token16] = ACTIONS(811),
    [aux_sym_comparison_operator_token17] = ACTIONS(811),
    [aux_sym_comparison_operator_token18] = ACTIONS(811),
    [aux_sym_comparison_operator_token19] = ACTIONS(811),
    [aux_sym_comparison_operator_token20] = ACTIONS(811),
    [aux_sym_comparison_operator_token21] = ACTIONS(811),
    [aux_sym_comparison_operator_token22] = ACTIONS(811),
    [aux_sym_comparison_operator_token23] = ACTIONS(811),
    [aux_sym_comparison_operator_token24] = ACTIONS(811),
    [aux_sym_comparison_operator_token25] = ACTIONS(811),
    [aux_sym_comparison_operator_token26] = ACTIONS(811),
    [aux_sym_comparison_operator_token27] = ACTIONS(811),
    [aux_sym_comparison_operator_token28] = ACTIONS(813),
    [aux_sym_comparison_operator_token29] = ACTIONS(811),
    [aux_sym_comparison_operator_token30] = ACTIONS(811),
    [aux_sym_comparison_operator_token31] = ACTIONS(811),
    [aux_sym_comparison_operator_token32] = ACTIONS(811),
    [aux_sym_comparison_operator_token33] = ACTIONS(811),
    [aux_sym_comparison_operator_token34] = ACTIONS(813),
    [aux_sym_comparison_operator_token35] = ACTIONS(811),
    [aux_sym_comparison_operator_token36] = ACTIONS(811),
    [aux_sym_comparison_operator_token37] = ACTIONS(811),
    [aux_sym_comparison_operator_token38] = ACTIONS(811),
    [aux_sym_comparison_operator_token39] = ACTIONS(811),
    [aux_sym_comparison_operator_token40] = ACTIONS(811),
    [aux_sym_comparison_operator_token41] = ACTIONS(811),
    [aux_sym_comparison_operator_token42] = ACTIONS(811),
    [aux_sym_comparison_operator_token43] = ACTIONS(811),
    [aux_sym_comparison_operator_token44] = ACTIONS(811),
    [aux_sym_comparison_operator_token45] = ACTIONS(811),
    [aux_sym_comparison_operator_token46] = ACTIONS(811),
    [aux_sym_comparison_operator_token47] = ACTIONS(811),
    [aux_sym_comparison_operator_token48] = ACTIONS(811),
    [aux_sym_comparison_operator_token49] = ACTIONS(811),
    [aux_sym_comparison_operator_token50] = ACTIONS(811),
    [aux_sym_format_operator_token1] = ACTIONS(811),
    [anon_sym_PIPE] = ACTIONS(811),
    [anon_sym_PERCENT] = ACTIONS(813),
    [aux_sym_logical_expression_token1] = ACTIONS(811),
    [aux_sym_logical_expression_token2] = ACTIONS(811),
    [aux_sym_logical_expression_token3] = ACTIONS(811),
    [aux_sym_bitwise_expression_token1] = ACTIONS(811),
    [aux_sym_bitwise_expression_token2] = ACTIONS(811),
    [aux_sym_bitwise_expression_token3] = ACTIONS(811),
    [anon_sym_PLUS] = ACTIONS(813),
    [anon_sym_DASH] = ACTIONS(813),
    [anon_sym_SLASH] = ACTIONS(813),
    [anon_sym_BSLASH] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(813),
    [anon_sym_DOT_DOT] = ACTIONS(815),
    [sym__statement_terminator] = ACTIONS(811),
  },
  [186] = {
    [sym_format_operator] = STATE(577),
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(801),
    [anon_sym_BANG_EQ] = ACTIONS(801),
    [anon_sym_PLUS_EQ] = ACTIONS(801),
    [anon_sym_STAR_EQ] = ACTIONS(801),
    [anon_sym_SLASH_EQ] = ACTIONS(801),
    [anon_sym_PERCENT_EQ] = ACTIONS(801),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_GT_GT] = ACTIONS(801),
    [anon_sym_2_GT] = ACTIONS(803),
    [anon_sym_2_GT_GT] = ACTIONS(801),
    [anon_sym_3_GT] = ACTIONS(803),
    [anon_sym_3_GT_GT] = ACTIONS(801),
    [anon_sym_4_GT] = ACTIONS(803),
    [anon_sym_4_GT_GT] = ACTIONS(801),
    [anon_sym_5_GT] = ACTIONS(803),
    [anon_sym_5_GT_GT] = ACTIONS(801),
    [anon_sym_6_GT] = ACTIONS(803),
    [anon_sym_6_GT_GT] = ACTIONS(801),
    [anon_sym_STAR_GT] = ACTIONS(803),
    [anon_sym_STAR_GT_GT] = ACTIONS(801),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(801),
    [anon_sym_2_GT_AMP1] = ACTIONS(801),
    [anon_sym_3_GT_AMP1] = ACTIONS(801),
    [anon_sym_4_GT_AMP1] = ACTIONS(801),
    [anon_sym_5_GT_AMP1] = ACTIONS(801),
    [anon_sym_6_GT_AMP1] = ACTIONS(801),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(801),
    [anon_sym_1_GT_AMP2] = ACTIONS(801),
    [anon_sym_3_GT_AMP2] = ACTIONS(801),
    [anon_sym_4_GT_AMP2] = ACTIONS(801),
    [anon_sym_5_GT_AMP2] = ACTIONS(801),
    [anon_sym_6_GT_AMP2] = ACTIONS(801),
    [aux_sym_comparison_operator_token1] = ACTIONS(801),
    [aux_sym_comparison_operator_token2] = ACTIONS(801),
    [aux_sym_comparison_operator_token3] = ACTIONS(801),
    [aux_sym_comparison_operator_token4] = ACTIONS(801),
    [aux_sym_comparison_operator_token5] = ACTIONS(801),
    [aux_sym_comparison_operator_token6] = ACTIONS(801),
    [aux_sym_comparison_operator_token7] = ACTIONS(801),
    [aux_sym_comparison_operator_token8] = ACTIONS(801),
    [aux_sym_comparison_operator_token9] = ACTIONS(801),
    [aux_sym_comparison_operator_token10] = ACTIONS(801),
    [aux_sym_comparison_operator_token11] = ACTIONS(801),
    [aux_sym_comparison_operator_token12] = ACTIONS(801),
    [aux_sym_comparison_operator_token13] = ACTIONS(801),
    [aux_sym_comparison_operator_token14] = ACTIONS(801),
    [aux_sym_comparison_operator_token15] = ACTIONS(801),
    [aux_sym_comparison_operator_token16] = ACTIONS(801),
    [aux_sym_comparison_operator_token17] = ACTIONS(801),
    [aux_sym_comparison_operator_token18] = ACTIONS(801),
    [aux_sym_comparison_operator_token19] = ACTIONS(801),
    [aux_sym_comparison_operator_token20] = ACTIONS(801),
    [aux_sym_comparison_operator_token21] = ACTIONS(801),
    [aux_sym_comparison_operator_token22] = ACTIONS(801),
    [aux_sym_comparison_operator_token23] = ACTIONS(801),
    [aux_sym_comparison_operator_token24] = ACTIONS(801),
    [aux_sym_comparison_operator_token25] = ACTIONS(801),
    [aux_sym_comparison_operator_token26] = ACTIONS(801),
    [aux_sym_comparison_operator_token27] = ACTIONS(801),
    [aux_sym_comparison_operator_token28] = ACTIONS(803),
    [aux_sym_comparison_operator_token29] = ACTIONS(801),
    [aux_sym_comparison_operator_token30] = ACTIONS(801),
    [aux_sym_comparison_operator_token31] = ACTIONS(801),
    [aux_sym_comparison_operator_token32] = ACTIONS(801),
    [aux_sym_comparison_operator_token33] = ACTIONS(801),
    [aux_sym_comparison_operator_token34] = ACTIONS(803),
    [aux_sym_comparison_operator_token35] = ACTIONS(801),
    [aux_sym_comparison_operator_token36] = ACTIONS(801),
    [aux_sym_comparison_operator_token37] = ACTIONS(801),
    [aux_sym_comparison_operator_token38] = ACTIONS(801),
    [aux_sym_comparison_operator_token39] = ACTIONS(801),
    [aux_sym_comparison_operator_token40] = ACTIONS(801),
    [aux_sym_comparison_operator_token41] = ACTIONS(801),
    [aux_sym_comparison_operator_token42] = ACTIONS(801),
    [aux_sym_comparison_operator_token43] = ACTIONS(801),
    [aux_sym_comparison_operator_token44] = ACTIONS(801),
    [aux_sym_comparison_operator_token45] = ACTIONS(801),
    [aux_sym_comparison_operator_token46] = ACTIONS(801),
    [aux_sym_comparison_operator_token47] = ACTIONS(801),
    [aux_sym_comparison_operator_token48] = ACTIONS(801),
    [aux_sym_comparison_operator_token49] = ACTIONS(801),
    [aux_sym_comparison_operator_token50] = ACTIONS(801),
    [aux_sym_format_operator_token1] = ACTIONS(799),
    [anon_sym_PIPE] = ACTIONS(801),
    [anon_sym_PERCENT] = ACTIONS(803),
    [aux_sym_logical_expression_token1] = ACTIONS(801),
    [aux_sym_logical_expression_token2] = ACTIONS(801),
    [aux_sym_logical_expression_token3] = ACTIONS(801),
    [aux_sym_bitwise_expression_token1] = ACTIONS(801),
    [aux_sym_bitwise_expression_token2] = ACTIONS(801),
    [aux_sym_bitwise_expression_token3] = ACTIONS(801),
    [anon_sym_PLUS] = ACTIONS(803),
    [anon_sym_DASH] = ACTIONS(803),
    [anon_sym_SLASH] = ACTIONS(803),
    [anon_sym_BSLASH] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(803),
    [sym__statement_terminator] = ACTIONS(801),
  },
  [187] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(784),
    [anon_sym_BANG_EQ] = ACTIONS(784),
    [anon_sym_PLUS_EQ] = ACTIONS(784),
    [anon_sym_STAR_EQ] = ACTIONS(784),
    [anon_sym_SLASH_EQ] = ACTIONS(784),
    [anon_sym_PERCENT_EQ] = ACTIONS(784),
    [anon_sym_GT] = ACTIONS(786),
    [anon_sym_GT_GT] = ACTIONS(784),
    [anon_sym_2_GT] = ACTIONS(786),
    [anon_sym_2_GT_GT] = ACTIONS(784),
    [anon_sym_3_GT] = ACTIONS(786),
    [anon_sym_3_GT_GT] = ACTIONS(784),
    [anon_sym_4_GT] = ACTIONS(786),
    [anon_sym_4_GT_GT] = ACTIONS(784),
    [anon_sym_5_GT] = ACTIONS(786),
    [anon_sym_5_GT_GT] = ACTIONS(784),
    [anon_sym_6_GT] = ACTIONS(786),
    [anon_sym_6_GT_GT] = ACTIONS(784),
    [anon_sym_STAR_GT] = ACTIONS(786),
    [anon_sym_STAR_GT_GT] = ACTIONS(784),
    [anon_sym_LT] = ACTIONS(786),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(784),
    [anon_sym_2_GT_AMP1] = ACTIONS(784),
    [anon_sym_3_GT_AMP1] = ACTIONS(784),
    [anon_sym_4_GT_AMP1] = ACTIONS(784),
    [anon_sym_5_GT_AMP1] = ACTIONS(784),
    [anon_sym_6_GT_AMP1] = ACTIONS(784),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(784),
    [anon_sym_1_GT_AMP2] = ACTIONS(784),
    [anon_sym_3_GT_AMP2] = ACTIONS(784),
    [anon_sym_4_GT_AMP2] = ACTIONS(784),
    [anon_sym_5_GT_AMP2] = ACTIONS(784),
    [anon_sym_6_GT_AMP2] = ACTIONS(784),
    [aux_sym_comparison_operator_token1] = ACTIONS(784),
    [aux_sym_comparison_operator_token2] = ACTIONS(784),
    [aux_sym_comparison_operator_token3] = ACTIONS(784),
    [aux_sym_comparison_operator_token4] = ACTIONS(784),
    [aux_sym_comparison_operator_token5] = ACTIONS(784),
    [aux_sym_comparison_operator_token6] = ACTIONS(784),
    [aux_sym_comparison_operator_token7] = ACTIONS(784),
    [aux_sym_comparison_operator_token8] = ACTIONS(784),
    [aux_sym_comparison_operator_token9] = ACTIONS(784),
    [aux_sym_comparison_operator_token10] = ACTIONS(784),
    [aux_sym_comparison_operator_token11] = ACTIONS(784),
    [aux_sym_comparison_operator_token12] = ACTIONS(784),
    [aux_sym_comparison_operator_token13] = ACTIONS(784),
    [aux_sym_comparison_operator_token14] = ACTIONS(784),
    [aux_sym_comparison_operator_token15] = ACTIONS(784),
    [aux_sym_comparison_operator_token16] = ACTIONS(784),
    [aux_sym_comparison_operator_token17] = ACTIONS(784),
    [aux_sym_comparison_operator_token18] = ACTIONS(784),
    [aux_sym_comparison_operator_token19] = ACTIONS(784),
    [aux_sym_comparison_operator_token20] = ACTIONS(784),
    [aux_sym_comparison_operator_token21] = ACTIONS(784),
    [aux_sym_comparison_operator_token22] = ACTIONS(784),
    [aux_sym_comparison_operator_token23] = ACTIONS(784),
    [aux_sym_comparison_operator_token24] = ACTIONS(784),
    [aux_sym_comparison_operator_token25] = ACTIONS(784),
    [aux_sym_comparison_operator_token26] = ACTIONS(784),
    [aux_sym_comparison_operator_token27] = ACTIONS(784),
    [aux_sym_comparison_operator_token28] = ACTIONS(786),
    [aux_sym_comparison_operator_token29] = ACTIONS(784),
    [aux_sym_comparison_operator_token30] = ACTIONS(784),
    [aux_sym_comparison_operator_token31] = ACTIONS(784),
    [aux_sym_comparison_operator_token32] = ACTIONS(784),
    [aux_sym_comparison_operator_token33] = ACTIONS(784),
    [aux_sym_comparison_operator_token34] = ACTIONS(786),
    [aux_sym_comparison_operator_token35] = ACTIONS(784),
    [aux_sym_comparison_operator_token36] = ACTIONS(784),
    [aux_sym_comparison_operator_token37] = ACTIONS(784),
    [aux_sym_comparison_operator_token38] = ACTIONS(784),
    [aux_sym_comparison_operator_token39] = ACTIONS(784),
    [aux_sym_comparison_operator_token40] = ACTIONS(784),
    [aux_sym_comparison_operator_token41] = ACTIONS(784),
    [aux_sym_comparison_operator_token42] = ACTIONS(784),
    [aux_sym_comparison_operator_token43] = ACTIONS(784),
    [aux_sym_comparison_operator_token44] = ACTIONS(784),
    [aux_sym_comparison_operator_token45] = ACTIONS(784),
    [aux_sym_comparison_operator_token46] = ACTIONS(784),
    [aux_sym_comparison_operator_token47] = ACTIONS(784),
    [aux_sym_comparison_operator_token48] = ACTIONS(784),
    [aux_sym_comparison_operator_token49] = ACTIONS(784),
    [aux_sym_comparison_operator_token50] = ACTIONS(784),
    [aux_sym_format_operator_token1] = ACTIONS(784),
    [anon_sym_PIPE] = ACTIONS(784),
    [anon_sym_PERCENT] = ACTIONS(786),
    [aux_sym_logical_expression_token1] = ACTIONS(784),
    [aux_sym_logical_expression_token2] = ACTIONS(784),
    [aux_sym_logical_expression_token3] = ACTIONS(784),
    [aux_sym_bitwise_expression_token1] = ACTIONS(784),
    [aux_sym_bitwise_expression_token2] = ACTIONS(784),
    [aux_sym_bitwise_expression_token3] = ACTIONS(784),
    [anon_sym_PLUS] = ACTIONS(786),
    [anon_sym_DASH] = ACTIONS(786),
    [anon_sym_SLASH] = ACTIONS(786),
    [anon_sym_BSLASH] = ACTIONS(784),
    [anon_sym_STAR] = ACTIONS(786),
    [anon_sym_DOT_DOT] = ACTIONS(784),
    [sym__statement_terminator] = ACTIONS(784),
  },
  [188] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(805),
    [anon_sym_PLUS_EQ] = ACTIONS(805),
    [anon_sym_STAR_EQ] = ACTIONS(805),
    [anon_sym_SLASH_EQ] = ACTIONS(805),
    [anon_sym_PERCENT_EQ] = ACTIONS(805),
    [anon_sym_GT] = ACTIONS(807),
    [anon_sym_GT_GT] = ACTIONS(805),
    [anon_sym_2_GT] = ACTIONS(807),
    [anon_sym_2_GT_GT] = ACTIONS(805),
    [anon_sym_3_GT] = ACTIONS(807),
    [anon_sym_3_GT_GT] = ACTIONS(805),
    [anon_sym_4_GT] = ACTIONS(807),
    [anon_sym_4_GT_GT] = ACTIONS(805),
    [anon_sym_5_GT] = ACTIONS(807),
    [anon_sym_5_GT_GT] = ACTIONS(805),
    [anon_sym_6_GT] = ACTIONS(807),
    [anon_sym_6_GT_GT] = ACTIONS(805),
    [anon_sym_STAR_GT] = ACTIONS(807),
    [anon_sym_STAR_GT_GT] = ACTIONS(805),
    [anon_sym_LT] = ACTIONS(807),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(805),
    [anon_sym_2_GT_AMP1] = ACTIONS(805),
    [anon_sym_3_GT_AMP1] = ACTIONS(805),
    [anon_sym_4_GT_AMP1] = ACTIONS(805),
    [anon_sym_5_GT_AMP1] = ACTIONS(805),
    [anon_sym_6_GT_AMP1] = ACTIONS(805),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(805),
    [anon_sym_1_GT_AMP2] = ACTIONS(805),
    [anon_sym_3_GT_AMP2] = ACTIONS(805),
    [anon_sym_4_GT_AMP2] = ACTIONS(805),
    [anon_sym_5_GT_AMP2] = ACTIONS(805),
    [anon_sym_6_GT_AMP2] = ACTIONS(805),
    [aux_sym_comparison_operator_token1] = ACTIONS(805),
    [aux_sym_comparison_operator_token2] = ACTIONS(805),
    [aux_sym_comparison_operator_token3] = ACTIONS(805),
    [aux_sym_comparison_operator_token4] = ACTIONS(805),
    [aux_sym_comparison_operator_token5] = ACTIONS(805),
    [aux_sym_comparison_operator_token6] = ACTIONS(805),
    [aux_sym_comparison_operator_token7] = ACTIONS(805),
    [aux_sym_comparison_operator_token8] = ACTIONS(805),
    [aux_sym_comparison_operator_token9] = ACTIONS(805),
    [aux_sym_comparison_operator_token10] = ACTIONS(805),
    [aux_sym_comparison_operator_token11] = ACTIONS(805),
    [aux_sym_comparison_operator_token12] = ACTIONS(805),
    [aux_sym_comparison_operator_token13] = ACTIONS(805),
    [aux_sym_comparison_operator_token14] = ACTIONS(805),
    [aux_sym_comparison_operator_token15] = ACTIONS(805),
    [aux_sym_comparison_operator_token16] = ACTIONS(805),
    [aux_sym_comparison_operator_token17] = ACTIONS(805),
    [aux_sym_comparison_operator_token18] = ACTIONS(805),
    [aux_sym_comparison_operator_token19] = ACTIONS(805),
    [aux_sym_comparison_operator_token20] = ACTIONS(805),
    [aux_sym_comparison_operator_token21] = ACTIONS(805),
    [aux_sym_comparison_operator_token22] = ACTIONS(805),
    [aux_sym_comparison_operator_token23] = ACTIONS(805),
    [aux_sym_comparison_operator_token24] = ACTIONS(805),
    [aux_sym_comparison_operator_token25] = ACTIONS(805),
    [aux_sym_comparison_operator_token26] = ACTIONS(805),
    [aux_sym_comparison_operator_token27] = ACTIONS(805),
    [aux_sym_comparison_operator_token28] = ACTIONS(807),
    [aux_sym_comparison_operator_token29] = ACTIONS(805),
    [aux_sym_comparison_operator_token30] = ACTIONS(805),
    [aux_sym_comparison_operator_token31] = ACTIONS(805),
    [aux_sym_comparison_operator_token32] = ACTIONS(805),
    [aux_sym_comparison_operator_token33] = ACTIONS(805),
    [aux_sym_comparison_operator_token34] = ACTIONS(807),
    [aux_sym_comparison_operator_token35] = ACTIONS(805),
    [aux_sym_comparison_operator_token36] = ACTIONS(805),
    [aux_sym_comparison_operator_token37] = ACTIONS(805),
    [aux_sym_comparison_operator_token38] = ACTIONS(805),
    [aux_sym_comparison_operator_token39] = ACTIONS(805),
    [aux_sym_comparison_operator_token40] = ACTIONS(805),
    [aux_sym_comparison_operator_token41] = ACTIONS(805),
    [aux_sym_comparison_operator_token42] = ACTIONS(805),
    [aux_sym_comparison_operator_token43] = ACTIONS(805),
    [aux_sym_comparison_operator_token44] = ACTIONS(805),
    [aux_sym_comparison_operator_token45] = ACTIONS(805),
    [aux_sym_comparison_operator_token46] = ACTIONS(805),
    [aux_sym_comparison_operator_token47] = ACTIONS(805),
    [aux_sym_comparison_operator_token48] = ACTIONS(805),
    [aux_sym_comparison_operator_token49] = ACTIONS(805),
    [aux_sym_comparison_operator_token50] = ACTIONS(805),
    [aux_sym_format_operator_token1] = ACTIONS(805),
    [anon_sym_PIPE] = ACTIONS(805),
    [anon_sym_PERCENT] = ACTIONS(807),
    [aux_sym_logical_expression_token1] = ACTIONS(805),
    [aux_sym_logical_expression_token2] = ACTIONS(805),
    [aux_sym_logical_expression_token3] = ACTIONS(805),
    [aux_sym_bitwise_expression_token1] = ACTIONS(805),
    [aux_sym_bitwise_expression_token2] = ACTIONS(805),
    [aux_sym_bitwise_expression_token3] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(807),
    [anon_sym_DASH] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(807),
    [anon_sym_BSLASH] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_DOT_DOT] = ACTIONS(815),
    [sym__statement_terminator] = ACTIONS(805),
  },
  [189] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(817),
    [anon_sym_BANG_EQ] = ACTIONS(817),
    [anon_sym_PLUS_EQ] = ACTIONS(817),
    [anon_sym_STAR_EQ] = ACTIONS(817),
    [anon_sym_SLASH_EQ] = ACTIONS(817),
    [anon_sym_PERCENT_EQ] = ACTIONS(817),
    [anon_sym_GT] = ACTIONS(819),
    [anon_sym_GT_GT] = ACTIONS(817),
    [anon_sym_2_GT] = ACTIONS(819),
    [anon_sym_2_GT_GT] = ACTIONS(817),
    [anon_sym_3_GT] = ACTIONS(819),
    [anon_sym_3_GT_GT] = ACTIONS(817),
    [anon_sym_4_GT] = ACTIONS(819),
    [anon_sym_4_GT_GT] = ACTIONS(817),
    [anon_sym_5_GT] = ACTIONS(819),
    [anon_sym_5_GT_GT] = ACTIONS(817),
    [anon_sym_6_GT] = ACTIONS(819),
    [anon_sym_6_GT_GT] = ACTIONS(817),
    [anon_sym_STAR_GT] = ACTIONS(819),
    [anon_sym_STAR_GT_GT] = ACTIONS(817),
    [anon_sym_LT] = ACTIONS(819),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(817),
    [anon_sym_2_GT_AMP1] = ACTIONS(817),
    [anon_sym_3_GT_AMP1] = ACTIONS(817),
    [anon_sym_4_GT_AMP1] = ACTIONS(817),
    [anon_sym_5_GT_AMP1] = ACTIONS(817),
    [anon_sym_6_GT_AMP1] = ACTIONS(817),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(817),
    [anon_sym_1_GT_AMP2] = ACTIONS(817),
    [anon_sym_3_GT_AMP2] = ACTIONS(817),
    [anon_sym_4_GT_AMP2] = ACTIONS(817),
    [anon_sym_5_GT_AMP2] = ACTIONS(817),
    [anon_sym_6_GT_AMP2] = ACTIONS(817),
    [aux_sym_comparison_operator_token1] = ACTIONS(817),
    [aux_sym_comparison_operator_token2] = ACTIONS(817),
    [aux_sym_comparison_operator_token3] = ACTIONS(817),
    [aux_sym_comparison_operator_token4] = ACTIONS(817),
    [aux_sym_comparison_operator_token5] = ACTIONS(817),
    [aux_sym_comparison_operator_token6] = ACTIONS(817),
    [aux_sym_comparison_operator_token7] = ACTIONS(817),
    [aux_sym_comparison_operator_token8] = ACTIONS(817),
    [aux_sym_comparison_operator_token9] = ACTIONS(817),
    [aux_sym_comparison_operator_token10] = ACTIONS(817),
    [aux_sym_comparison_operator_token11] = ACTIONS(817),
    [aux_sym_comparison_operator_token12] = ACTIONS(817),
    [aux_sym_comparison_operator_token13] = ACTIONS(817),
    [aux_sym_comparison_operator_token14] = ACTIONS(817),
    [aux_sym_comparison_operator_token15] = ACTIONS(817),
    [aux_sym_comparison_operator_token16] = ACTIONS(817),
    [aux_sym_comparison_operator_token17] = ACTIONS(817),
    [aux_sym_comparison_operator_token18] = ACTIONS(817),
    [aux_sym_comparison_operator_token19] = ACTIONS(817),
    [aux_sym_comparison_operator_token20] = ACTIONS(817),
    [aux_sym_comparison_operator_token21] = ACTIONS(817),
    [aux_sym_comparison_operator_token22] = ACTIONS(817),
    [aux_sym_comparison_operator_token23] = ACTIONS(817),
    [aux_sym_comparison_operator_token24] = ACTIONS(817),
    [aux_sym_comparison_operator_token25] = ACTIONS(817),
    [aux_sym_comparison_operator_token26] = ACTIONS(817),
    [aux_sym_comparison_operator_token27] = ACTIONS(817),
    [aux_sym_comparison_operator_token28] = ACTIONS(819),
    [aux_sym_comparison_operator_token29] = ACTIONS(817),
    [aux_sym_comparison_operator_token30] = ACTIONS(817),
    [aux_sym_comparison_operator_token31] = ACTIONS(817),
    [aux_sym_comparison_operator_token32] = ACTIONS(817),
    [aux_sym_comparison_operator_token33] = ACTIONS(817),
    [aux_sym_comparison_operator_token34] = ACTIONS(819),
    [aux_sym_comparison_operator_token35] = ACTIONS(817),
    [aux_sym_comparison_operator_token36] = ACTIONS(817),
    [aux_sym_comparison_operator_token37] = ACTIONS(817),
    [aux_sym_comparison_operator_token38] = ACTIONS(817),
    [aux_sym_comparison_operator_token39] = ACTIONS(817),
    [aux_sym_comparison_operator_token40] = ACTIONS(817),
    [aux_sym_comparison_operator_token41] = ACTIONS(817),
    [aux_sym_comparison_operator_token42] = ACTIONS(817),
    [aux_sym_comparison_operator_token43] = ACTIONS(817),
    [aux_sym_comparison_operator_token44] = ACTIONS(817),
    [aux_sym_comparison_operator_token45] = ACTIONS(817),
    [aux_sym_comparison_operator_token46] = ACTIONS(817),
    [aux_sym_comparison_operator_token47] = ACTIONS(817),
    [aux_sym_comparison_operator_token48] = ACTIONS(817),
    [aux_sym_comparison_operator_token49] = ACTIONS(817),
    [aux_sym_comparison_operator_token50] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(817),
    [anon_sym_PERCENT] = ACTIONS(821),
    [aux_sym_logical_expression_token1] = ACTIONS(817),
    [aux_sym_logical_expression_token2] = ACTIONS(817),
    [aux_sym_logical_expression_token3] = ACTIONS(817),
    [aux_sym_bitwise_expression_token1] = ACTIONS(817),
    [aux_sym_bitwise_expression_token2] = ACTIONS(817),
    [aux_sym_bitwise_expression_token3] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_SLASH] = ACTIONS(821),
    [anon_sym_BSLASH] = ACTIONS(823),
    [anon_sym_STAR] = ACTIONS(821),
  },
  [190] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(825),
    [anon_sym_BANG_EQ] = ACTIONS(825),
    [anon_sym_PLUS_EQ] = ACTIONS(825),
    [anon_sym_STAR_EQ] = ACTIONS(825),
    [anon_sym_SLASH_EQ] = ACTIONS(825),
    [anon_sym_PERCENT_EQ] = ACTIONS(825),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_GT] = ACTIONS(825),
    [anon_sym_2_GT] = ACTIONS(827),
    [anon_sym_2_GT_GT] = ACTIONS(825),
    [anon_sym_3_GT] = ACTIONS(827),
    [anon_sym_3_GT_GT] = ACTIONS(825),
    [anon_sym_4_GT] = ACTIONS(827),
    [anon_sym_4_GT_GT] = ACTIONS(825),
    [anon_sym_5_GT] = ACTIONS(827),
    [anon_sym_5_GT_GT] = ACTIONS(825),
    [anon_sym_6_GT] = ACTIONS(827),
    [anon_sym_6_GT_GT] = ACTIONS(825),
    [anon_sym_STAR_GT] = ACTIONS(827),
    [anon_sym_STAR_GT_GT] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(825),
    [anon_sym_2_GT_AMP1] = ACTIONS(825),
    [anon_sym_3_GT_AMP1] = ACTIONS(825),
    [anon_sym_4_GT_AMP1] = ACTIONS(825),
    [anon_sym_5_GT_AMP1] = ACTIONS(825),
    [anon_sym_6_GT_AMP1] = ACTIONS(825),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(825),
    [anon_sym_1_GT_AMP2] = ACTIONS(825),
    [anon_sym_3_GT_AMP2] = ACTIONS(825),
    [anon_sym_4_GT_AMP2] = ACTIONS(825),
    [anon_sym_5_GT_AMP2] = ACTIONS(825),
    [anon_sym_6_GT_AMP2] = ACTIONS(825),
    [aux_sym_comparison_operator_token1] = ACTIONS(825),
    [aux_sym_comparison_operator_token2] = ACTIONS(825),
    [aux_sym_comparison_operator_token3] = ACTIONS(825),
    [aux_sym_comparison_operator_token4] = ACTIONS(825),
    [aux_sym_comparison_operator_token5] = ACTIONS(825),
    [aux_sym_comparison_operator_token6] = ACTIONS(825),
    [aux_sym_comparison_operator_token7] = ACTIONS(825),
    [aux_sym_comparison_operator_token8] = ACTIONS(825),
    [aux_sym_comparison_operator_token9] = ACTIONS(825),
    [aux_sym_comparison_operator_token10] = ACTIONS(825),
    [aux_sym_comparison_operator_token11] = ACTIONS(825),
    [aux_sym_comparison_operator_token12] = ACTIONS(825),
    [aux_sym_comparison_operator_token13] = ACTIONS(825),
    [aux_sym_comparison_operator_token14] = ACTIONS(825),
    [aux_sym_comparison_operator_token15] = ACTIONS(825),
    [aux_sym_comparison_operator_token16] = ACTIONS(825),
    [aux_sym_comparison_operator_token17] = ACTIONS(825),
    [aux_sym_comparison_operator_token18] = ACTIONS(825),
    [aux_sym_comparison_operator_token19] = ACTIONS(825),
    [aux_sym_comparison_operator_token20] = ACTIONS(825),
    [aux_sym_comparison_operator_token21] = ACTIONS(825),
    [aux_sym_comparison_operator_token22] = ACTIONS(825),
    [aux_sym_comparison_operator_token23] = ACTIONS(825),
    [aux_sym_comparison_operator_token24] = ACTIONS(825),
    [aux_sym_comparison_operator_token25] = ACTIONS(825),
    [aux_sym_comparison_operator_token26] = ACTIONS(825),
    [aux_sym_comparison_operator_token27] = ACTIONS(825),
    [aux_sym_comparison_operator_token28] = ACTIONS(827),
    [aux_sym_comparison_operator_token29] = ACTIONS(825),
    [aux_sym_comparison_operator_token30] = ACTIONS(825),
    [aux_sym_comparison_operator_token31] = ACTIONS(825),
    [aux_sym_comparison_operator_token32] = ACTIONS(825),
    [aux_sym_comparison_operator_token33] = ACTIONS(825),
    [aux_sym_comparison_operator_token34] = ACTIONS(827),
    [aux_sym_comparison_operator_token35] = ACTIONS(825),
    [aux_sym_comparison_operator_token36] = ACTIONS(825),
    [aux_sym_comparison_operator_token37] = ACTIONS(825),
    [aux_sym_comparison_operator_token38] = ACTIONS(825),
    [aux_sym_comparison_operator_token39] = ACTIONS(825),
    [aux_sym_comparison_operator_token40] = ACTIONS(825),
    [aux_sym_comparison_operator_token41] = ACTIONS(825),
    [aux_sym_comparison_operator_token42] = ACTIONS(825),
    [aux_sym_comparison_operator_token43] = ACTIONS(825),
    [aux_sym_comparison_operator_token44] = ACTIONS(825),
    [aux_sym_comparison_operator_token45] = ACTIONS(825),
    [aux_sym_comparison_operator_token46] = ACTIONS(825),
    [aux_sym_comparison_operator_token47] = ACTIONS(825),
    [aux_sym_comparison_operator_token48] = ACTIONS(825),
    [aux_sym_comparison_operator_token49] = ACTIONS(825),
    [aux_sym_comparison_operator_token50] = ACTIONS(825),
    [anon_sym_PIPE] = ACTIONS(825),
    [anon_sym_PERCENT] = ACTIONS(829),
    [aux_sym_logical_expression_token1] = ACTIONS(825),
    [aux_sym_logical_expression_token2] = ACTIONS(825),
    [aux_sym_logical_expression_token3] = ACTIONS(825),
    [aux_sym_bitwise_expression_token1] = ACTIONS(825),
    [aux_sym_bitwise_expression_token2] = ACTIONS(825),
    [aux_sym_bitwise_expression_token3] = ACTIONS(825),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(827),
    [anon_sym_SLASH] = ACTIONS(829),
    [anon_sym_BSLASH] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(829),
    [sym__statement_terminator] = ACTIONS(825),
  },
  [191] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(825),
    [anon_sym_BANG_EQ] = ACTIONS(825),
    [anon_sym_PLUS_EQ] = ACTIONS(825),
    [anon_sym_STAR_EQ] = ACTIONS(825),
    [anon_sym_SLASH_EQ] = ACTIONS(825),
    [anon_sym_PERCENT_EQ] = ACTIONS(825),
    [anon_sym_GT] = ACTIONS(827),
    [anon_sym_GT_GT] = ACTIONS(825),
    [anon_sym_2_GT] = ACTIONS(827),
    [anon_sym_2_GT_GT] = ACTIONS(825),
    [anon_sym_3_GT] = ACTIONS(827),
    [anon_sym_3_GT_GT] = ACTIONS(825),
    [anon_sym_4_GT] = ACTIONS(827),
    [anon_sym_4_GT_GT] = ACTIONS(825),
    [anon_sym_5_GT] = ACTIONS(827),
    [anon_sym_5_GT_GT] = ACTIONS(825),
    [anon_sym_6_GT] = ACTIONS(827),
    [anon_sym_6_GT_GT] = ACTIONS(825),
    [anon_sym_STAR_GT] = ACTIONS(827),
    [anon_sym_STAR_GT_GT] = ACTIONS(825),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(825),
    [anon_sym_2_GT_AMP1] = ACTIONS(825),
    [anon_sym_3_GT_AMP1] = ACTIONS(825),
    [anon_sym_4_GT_AMP1] = ACTIONS(825),
    [anon_sym_5_GT_AMP1] = ACTIONS(825),
    [anon_sym_6_GT_AMP1] = ACTIONS(825),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(825),
    [anon_sym_1_GT_AMP2] = ACTIONS(825),
    [anon_sym_3_GT_AMP2] = ACTIONS(825),
    [anon_sym_4_GT_AMP2] = ACTIONS(825),
    [anon_sym_5_GT_AMP2] = ACTIONS(825),
    [anon_sym_6_GT_AMP2] = ACTIONS(825),
    [aux_sym_comparison_operator_token1] = ACTIONS(825),
    [aux_sym_comparison_operator_token2] = ACTIONS(825),
    [aux_sym_comparison_operator_token3] = ACTIONS(825),
    [aux_sym_comparison_operator_token4] = ACTIONS(825),
    [aux_sym_comparison_operator_token5] = ACTIONS(825),
    [aux_sym_comparison_operator_token6] = ACTIONS(825),
    [aux_sym_comparison_operator_token7] = ACTIONS(825),
    [aux_sym_comparison_operator_token8] = ACTIONS(825),
    [aux_sym_comparison_operator_token9] = ACTIONS(825),
    [aux_sym_comparison_operator_token10] = ACTIONS(825),
    [aux_sym_comparison_operator_token11] = ACTIONS(825),
    [aux_sym_comparison_operator_token12] = ACTIONS(825),
    [aux_sym_comparison_operator_token13] = ACTIONS(825),
    [aux_sym_comparison_operator_token14] = ACTIONS(825),
    [aux_sym_comparison_operator_token15] = ACTIONS(825),
    [aux_sym_comparison_operator_token16] = ACTIONS(825),
    [aux_sym_comparison_operator_token17] = ACTIONS(825),
    [aux_sym_comparison_operator_token18] = ACTIONS(825),
    [aux_sym_comparison_operator_token19] = ACTIONS(825),
    [aux_sym_comparison_operator_token20] = ACTIONS(825),
    [aux_sym_comparison_operator_token21] = ACTIONS(825),
    [aux_sym_comparison_operator_token22] = ACTIONS(825),
    [aux_sym_comparison_operator_token23] = ACTIONS(825),
    [aux_sym_comparison_operator_token24] = ACTIONS(825),
    [aux_sym_comparison_operator_token25] = ACTIONS(825),
    [aux_sym_comparison_operator_token26] = ACTIONS(825),
    [aux_sym_comparison_operator_token27] = ACTIONS(825),
    [aux_sym_comparison_operator_token28] = ACTIONS(827),
    [aux_sym_comparison_operator_token29] = ACTIONS(825),
    [aux_sym_comparison_operator_token30] = ACTIONS(825),
    [aux_sym_comparison_operator_token31] = ACTIONS(825),
    [aux_sym_comparison_operator_token32] = ACTIONS(825),
    [aux_sym_comparison_operator_token33] = ACTIONS(825),
    [aux_sym_comparison_operator_token34] = ACTIONS(827),
    [aux_sym_comparison_operator_token35] = ACTIONS(825),
    [aux_sym_comparison_operator_token36] = ACTIONS(825),
    [aux_sym_comparison_operator_token37] = ACTIONS(825),
    [aux_sym_comparison_operator_token38] = ACTIONS(825),
    [aux_sym_comparison_operator_token39] = ACTIONS(825),
    [aux_sym_comparison_operator_token40] = ACTIONS(825),
    [aux_sym_comparison_operator_token41] = ACTIONS(825),
    [aux_sym_comparison_operator_token42] = ACTIONS(825),
    [aux_sym_comparison_operator_token43] = ACTIONS(825),
    [aux_sym_comparison_operator_token44] = ACTIONS(825),
    [aux_sym_comparison_operator_token45] = ACTIONS(825),
    [aux_sym_comparison_operator_token46] = ACTIONS(825),
    [aux_sym_comparison_operator_token47] = ACTIONS(825),
    [aux_sym_comparison_operator_token48] = ACTIONS(825),
    [aux_sym_comparison_operator_token49] = ACTIONS(825),
    [aux_sym_comparison_operator_token50] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(825),
    [anon_sym_PIPE] = ACTIONS(825),
    [anon_sym_PERCENT] = ACTIONS(821),
    [aux_sym_logical_expression_token1] = ACTIONS(825),
    [aux_sym_logical_expression_token2] = ACTIONS(825),
    [aux_sym_logical_expression_token3] = ACTIONS(825),
    [aux_sym_bitwise_expression_token1] = ACTIONS(825),
    [aux_sym_bitwise_expression_token2] = ACTIONS(825),
    [aux_sym_bitwise_expression_token3] = ACTIONS(825),
    [anon_sym_PLUS] = ACTIONS(827),
    [anon_sym_DASH] = ACTIONS(827),
    [anon_sym_SLASH] = ACTIONS(821),
    [anon_sym_BSLASH] = ACTIONS(823),
    [anon_sym_STAR] = ACTIONS(821),
  },
  [192] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(817),
    [anon_sym_BANG_EQ] = ACTIONS(817),
    [anon_sym_PLUS_EQ] = ACTIONS(817),
    [anon_sym_STAR_EQ] = ACTIONS(817),
    [anon_sym_SLASH_EQ] = ACTIONS(817),
    [anon_sym_PERCENT_EQ] = ACTIONS(817),
    [anon_sym_GT] = ACTIONS(819),
    [anon_sym_GT_GT] = ACTIONS(817),
    [anon_sym_2_GT] = ACTIONS(819),
    [anon_sym_2_GT_GT] = ACTIONS(817),
    [anon_sym_3_GT] = ACTIONS(819),
    [anon_sym_3_GT_GT] = ACTIONS(817),
    [anon_sym_4_GT] = ACTIONS(819),
    [anon_sym_4_GT_GT] = ACTIONS(817),
    [anon_sym_5_GT] = ACTIONS(819),
    [anon_sym_5_GT_GT] = ACTIONS(817),
    [anon_sym_6_GT] = ACTIONS(819),
    [anon_sym_6_GT_GT] = ACTIONS(817),
    [anon_sym_STAR_GT] = ACTIONS(819),
    [anon_sym_STAR_GT_GT] = ACTIONS(817),
    [anon_sym_LT] = ACTIONS(819),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(817),
    [anon_sym_2_GT_AMP1] = ACTIONS(817),
    [anon_sym_3_GT_AMP1] = ACTIONS(817),
    [anon_sym_4_GT_AMP1] = ACTIONS(817),
    [anon_sym_5_GT_AMP1] = ACTIONS(817),
    [anon_sym_6_GT_AMP1] = ACTIONS(817),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(817),
    [anon_sym_1_GT_AMP2] = ACTIONS(817),
    [anon_sym_3_GT_AMP2] = ACTIONS(817),
    [anon_sym_4_GT_AMP2] = ACTIONS(817),
    [anon_sym_5_GT_AMP2] = ACTIONS(817),
    [anon_sym_6_GT_AMP2] = ACTIONS(817),
    [aux_sym_comparison_operator_token1] = ACTIONS(817),
    [aux_sym_comparison_operator_token2] = ACTIONS(817),
    [aux_sym_comparison_operator_token3] = ACTIONS(817),
    [aux_sym_comparison_operator_token4] = ACTIONS(817),
    [aux_sym_comparison_operator_token5] = ACTIONS(817),
    [aux_sym_comparison_operator_token6] = ACTIONS(817),
    [aux_sym_comparison_operator_token7] = ACTIONS(817),
    [aux_sym_comparison_operator_token8] = ACTIONS(817),
    [aux_sym_comparison_operator_token9] = ACTIONS(817),
    [aux_sym_comparison_operator_token10] = ACTIONS(817),
    [aux_sym_comparison_operator_token11] = ACTIONS(817),
    [aux_sym_comparison_operator_token12] = ACTIONS(817),
    [aux_sym_comparison_operator_token13] = ACTIONS(817),
    [aux_sym_comparison_operator_token14] = ACTIONS(817),
    [aux_sym_comparison_operator_token15] = ACTIONS(817),
    [aux_sym_comparison_operator_token16] = ACTIONS(817),
    [aux_sym_comparison_operator_token17] = ACTIONS(817),
    [aux_sym_comparison_operator_token18] = ACTIONS(817),
    [aux_sym_comparison_operator_token19] = ACTIONS(817),
    [aux_sym_comparison_operator_token20] = ACTIONS(817),
    [aux_sym_comparison_operator_token21] = ACTIONS(817),
    [aux_sym_comparison_operator_token22] = ACTIONS(817),
    [aux_sym_comparison_operator_token23] = ACTIONS(817),
    [aux_sym_comparison_operator_token24] = ACTIONS(817),
    [aux_sym_comparison_operator_token25] = ACTIONS(817),
    [aux_sym_comparison_operator_token26] = ACTIONS(817),
    [aux_sym_comparison_operator_token27] = ACTIONS(817),
    [aux_sym_comparison_operator_token28] = ACTIONS(819),
    [aux_sym_comparison_operator_token29] = ACTIONS(817),
    [aux_sym_comparison_operator_token30] = ACTIONS(817),
    [aux_sym_comparison_operator_token31] = ACTIONS(817),
    [aux_sym_comparison_operator_token32] = ACTIONS(817),
    [aux_sym_comparison_operator_token33] = ACTIONS(817),
    [aux_sym_comparison_operator_token34] = ACTIONS(819),
    [aux_sym_comparison_operator_token35] = ACTIONS(817),
    [aux_sym_comparison_operator_token36] = ACTIONS(817),
    [aux_sym_comparison_operator_token37] = ACTIONS(817),
    [aux_sym_comparison_operator_token38] = ACTIONS(817),
    [aux_sym_comparison_operator_token39] = ACTIONS(817),
    [aux_sym_comparison_operator_token40] = ACTIONS(817),
    [aux_sym_comparison_operator_token41] = ACTIONS(817),
    [aux_sym_comparison_operator_token42] = ACTIONS(817),
    [aux_sym_comparison_operator_token43] = ACTIONS(817),
    [aux_sym_comparison_operator_token44] = ACTIONS(817),
    [aux_sym_comparison_operator_token45] = ACTIONS(817),
    [aux_sym_comparison_operator_token46] = ACTIONS(817),
    [aux_sym_comparison_operator_token47] = ACTIONS(817),
    [aux_sym_comparison_operator_token48] = ACTIONS(817),
    [aux_sym_comparison_operator_token49] = ACTIONS(817),
    [aux_sym_comparison_operator_token50] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(817),
    [anon_sym_PERCENT] = ACTIONS(829),
    [aux_sym_logical_expression_token1] = ACTIONS(817),
    [aux_sym_logical_expression_token2] = ACTIONS(817),
    [aux_sym_logical_expression_token3] = ACTIONS(817),
    [aux_sym_bitwise_expression_token1] = ACTIONS(817),
    [aux_sym_bitwise_expression_token2] = ACTIONS(817),
    [aux_sym_bitwise_expression_token3] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_SLASH] = ACTIONS(829),
    [anon_sym_BSLASH] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(829),
    [sym__statement_terminator] = ACTIONS(817),
  },
  [193] = {
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(251),
    [sym_hexadecimal_integer_literal] = ACTIONS(253),
    [sym_real_literal] = ACTIONS(253),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(253),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(253),
    [sym_verbatim_string_characters] = ACTIONS(253),
    [sym_verbatim_here_string_characters] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(253),
    [aux_sym_comparison_operator_token1] = ACTIONS(253),
    [aux_sym_comparison_operator_token2] = ACTIONS(253),
    [aux_sym_comparison_operator_token3] = ACTIONS(253),
    [aux_sym_comparison_operator_token4] = ACTIONS(253),
    [aux_sym_comparison_operator_token5] = ACTIONS(253),
    [aux_sym_comparison_operator_token6] = ACTIONS(253),
    [aux_sym_comparison_operator_token7] = ACTIONS(253),
    [aux_sym_comparison_operator_token8] = ACTIONS(253),
    [aux_sym_comparison_operator_token9] = ACTIONS(253),
    [aux_sym_comparison_operator_token10] = ACTIONS(253),
    [aux_sym_comparison_operator_token11] = ACTIONS(253),
    [aux_sym_comparison_operator_token12] = ACTIONS(253),
    [aux_sym_comparison_operator_token13] = ACTIONS(253),
    [aux_sym_comparison_operator_token14] = ACTIONS(253),
    [aux_sym_comparison_operator_token15] = ACTIONS(253),
    [aux_sym_comparison_operator_token16] = ACTIONS(253),
    [aux_sym_comparison_operator_token17] = ACTIONS(253),
    [aux_sym_comparison_operator_token18] = ACTIONS(253),
    [aux_sym_comparison_operator_token19] = ACTIONS(253),
    [aux_sym_comparison_operator_token20] = ACTIONS(253),
    [aux_sym_comparison_operator_token21] = ACTIONS(253),
    [aux_sym_comparison_operator_token22] = ACTIONS(253),
    [aux_sym_comparison_operator_token23] = ACTIONS(253),
    [aux_sym_comparison_operator_token24] = ACTIONS(253),
    [aux_sym_comparison_operator_token25] = ACTIONS(253),
    [aux_sym_comparison_operator_token26] = ACTIONS(253),
    [aux_sym_comparison_operator_token27] = ACTIONS(253),
    [aux_sym_comparison_operator_token28] = ACTIONS(251),
    [aux_sym_comparison_operator_token29] = ACTIONS(253),
    [aux_sym_comparison_operator_token30] = ACTIONS(253),
    [aux_sym_comparison_operator_token31] = ACTIONS(253),
    [aux_sym_comparison_operator_token32] = ACTIONS(253),
    [aux_sym_comparison_operator_token33] = ACTIONS(253),
    [aux_sym_comparison_operator_token34] = ACTIONS(251),
    [aux_sym_comparison_operator_token35] = ACTIONS(253),
    [aux_sym_comparison_operator_token36] = ACTIONS(253),
    [aux_sym_comparison_operator_token37] = ACTIONS(253),
    [aux_sym_comparison_operator_token38] = ACTIONS(253),
    [aux_sym_comparison_operator_token39] = ACTIONS(253),
    [aux_sym_comparison_operator_token40] = ACTIONS(253),
    [aux_sym_comparison_operator_token41] = ACTIONS(253),
    [aux_sym_comparison_operator_token42] = ACTIONS(253),
    [aux_sym_comparison_operator_token43] = ACTIONS(253),
    [aux_sym_comparison_operator_token44] = ACTIONS(253),
    [aux_sym_comparison_operator_token45] = ACTIONS(253),
    [aux_sym_comparison_operator_token46] = ACTIONS(253),
    [aux_sym_comparison_operator_token47] = ACTIONS(253),
    [aux_sym_comparison_operator_token48] = ACTIONS(253),
    [aux_sym_comparison_operator_token49] = ACTIONS(253),
    [aux_sym_comparison_operator_token50] = ACTIONS(253),
    [aux_sym_format_operator_token1] = ACTIONS(253),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(253),
    [anon_sym_DOLLAR_CARET] = ACTIONS(253),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(253),
    [anon_sym_DOLLAR_] = ACTIONS(251),
    [aux_sym_variable_token1] = ACTIONS(251),
    [aux_sym_variable_token2] = ACTIONS(253),
    [sym_braced_variable] = ACTIONS(253),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_RPAREN] = ACTIONS(253),
    [anon_sym_COMMA] = ACTIONS(253),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_PERCENT] = ACTIONS(253),
    [aux_sym_logical_expression_token1] = ACTIONS(253),
    [aux_sym_logical_expression_token2] = ACTIONS(253),
    [aux_sym_logical_expression_token3] = ACTIONS(253),
    [aux_sym_bitwise_expression_token1] = ACTIONS(253),
    [aux_sym_bitwise_expression_token2] = ACTIONS(253),
    [aux_sym_bitwise_expression_token3] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_BSLASH] = ACTIONS(253),
    [anon_sym_STAR] = ACTIONS(253),
    [anon_sym_DOT_DOT] = ACTIONS(253),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(251),
    [anon_sym_BANG] = ACTIONS(253),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(253),
    [anon_sym_PLUS_PLUS] = ACTIONS(253),
    [anon_sym_DASH_DASH] = ACTIONS(253),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(253),
    [anon_sym_AT_LPAREN] = ACTIONS(253),
    [anon_sym_AT_LBRACE] = ACTIONS(253),
    [anon_sym_DOT2] = ACTIONS(251),
    [anon_sym_COLON_COLON] = ACTIONS(253),
    [anon_sym_RBRACK] = ACTIONS(253),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(253),
  },
  [194] = {
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(251),
    [sym_hexadecimal_integer_literal] = ACTIONS(253),
    [sym_real_literal] = ACTIONS(253),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(253),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(253),
    [sym_verbatim_string_characters] = ACTIONS(253),
    [sym_verbatim_here_string_characters] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(253),
    [aux_sym_comparison_operator_token1] = ACTIONS(253),
    [aux_sym_comparison_operator_token2] = ACTIONS(253),
    [aux_sym_comparison_operator_token3] = ACTIONS(253),
    [aux_sym_comparison_operator_token4] = ACTIONS(253),
    [aux_sym_comparison_operator_token5] = ACTIONS(253),
    [aux_sym_comparison_operator_token6] = ACTIONS(253),
    [aux_sym_comparison_operator_token7] = ACTIONS(253),
    [aux_sym_comparison_operator_token8] = ACTIONS(253),
    [aux_sym_comparison_operator_token9] = ACTIONS(253),
    [aux_sym_comparison_operator_token10] = ACTIONS(253),
    [aux_sym_comparison_operator_token11] = ACTIONS(253),
    [aux_sym_comparison_operator_token12] = ACTIONS(253),
    [aux_sym_comparison_operator_token13] = ACTIONS(253),
    [aux_sym_comparison_operator_token14] = ACTIONS(253),
    [aux_sym_comparison_operator_token15] = ACTIONS(253),
    [aux_sym_comparison_operator_token16] = ACTIONS(253),
    [aux_sym_comparison_operator_token17] = ACTIONS(253),
    [aux_sym_comparison_operator_token18] = ACTIONS(253),
    [aux_sym_comparison_operator_token19] = ACTIONS(253),
    [aux_sym_comparison_operator_token20] = ACTIONS(253),
    [aux_sym_comparison_operator_token21] = ACTIONS(253),
    [aux_sym_comparison_operator_token22] = ACTIONS(253),
    [aux_sym_comparison_operator_token23] = ACTIONS(253),
    [aux_sym_comparison_operator_token24] = ACTIONS(253),
    [aux_sym_comparison_operator_token25] = ACTIONS(253),
    [aux_sym_comparison_operator_token26] = ACTIONS(253),
    [aux_sym_comparison_operator_token27] = ACTIONS(253),
    [aux_sym_comparison_operator_token28] = ACTIONS(251),
    [aux_sym_comparison_operator_token29] = ACTIONS(253),
    [aux_sym_comparison_operator_token30] = ACTIONS(253),
    [aux_sym_comparison_operator_token31] = ACTIONS(253),
    [aux_sym_comparison_operator_token32] = ACTIONS(253),
    [aux_sym_comparison_operator_token33] = ACTIONS(253),
    [aux_sym_comparison_operator_token34] = ACTIONS(251),
    [aux_sym_comparison_operator_token35] = ACTIONS(253),
    [aux_sym_comparison_operator_token36] = ACTIONS(253),
    [aux_sym_comparison_operator_token37] = ACTIONS(253),
    [aux_sym_comparison_operator_token38] = ACTIONS(253),
    [aux_sym_comparison_operator_token39] = ACTIONS(253),
    [aux_sym_comparison_operator_token40] = ACTIONS(253),
    [aux_sym_comparison_operator_token41] = ACTIONS(253),
    [aux_sym_comparison_operator_token42] = ACTIONS(253),
    [aux_sym_comparison_operator_token43] = ACTIONS(253),
    [aux_sym_comparison_operator_token44] = ACTIONS(253),
    [aux_sym_comparison_operator_token45] = ACTIONS(253),
    [aux_sym_comparison_operator_token46] = ACTIONS(253),
    [aux_sym_comparison_operator_token47] = ACTIONS(253),
    [aux_sym_comparison_operator_token48] = ACTIONS(253),
    [aux_sym_comparison_operator_token49] = ACTIONS(253),
    [aux_sym_comparison_operator_token50] = ACTIONS(253),
    [aux_sym_format_operator_token1] = ACTIONS(253),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(253),
    [anon_sym_DOLLAR_CARET] = ACTIONS(253),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(253),
    [anon_sym_DOLLAR_] = ACTIONS(251),
    [aux_sym_variable_token1] = ACTIONS(251),
    [aux_sym_variable_token2] = ACTIONS(253),
    [sym_braced_variable] = ACTIONS(253),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_COMMA] = ACTIONS(253),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_PERCENT] = ACTIONS(253),
    [aux_sym_logical_expression_token1] = ACTIONS(253),
    [aux_sym_logical_expression_token2] = ACTIONS(253),
    [aux_sym_logical_expression_token3] = ACTIONS(253),
    [aux_sym_bitwise_expression_token1] = ACTIONS(253),
    [aux_sym_bitwise_expression_token2] = ACTIONS(253),
    [aux_sym_bitwise_expression_token3] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_DASH] = ACTIONS(251),
    [anon_sym_SLASH] = ACTIONS(253),
    [anon_sym_BSLASH] = ACTIONS(253),
    [anon_sym_STAR] = ACTIONS(253),
    [anon_sym_DOT_DOT] = ACTIONS(253),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(251),
    [anon_sym_BANG] = ACTIONS(253),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(253),
    [anon_sym_PLUS_PLUS] = ACTIONS(253),
    [anon_sym_DASH_DASH] = ACTIONS(253),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(253),
    [anon_sym_AT_LPAREN] = ACTIONS(253),
    [anon_sym_AT_LBRACE] = ACTIONS(253),
    [anon_sym_DOT2] = ACTIONS(251),
    [anon_sym_COLON_COLON] = ACTIONS(253),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(253),
    [sym__statement_terminator] = ACTIONS(253),
  },
  [195] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(833),
    [anon_sym_BANG_EQ] = ACTIONS(833),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_GT] = ACTIONS(835),
    [anon_sym_GT_GT] = ACTIONS(833),
    [anon_sym_2_GT] = ACTIONS(835),
    [anon_sym_2_GT_GT] = ACTIONS(833),
    [anon_sym_3_GT] = ACTIONS(835),
    [anon_sym_3_GT_GT] = ACTIONS(833),
    [anon_sym_4_GT] = ACTIONS(835),
    [anon_sym_4_GT_GT] = ACTIONS(833),
    [anon_sym_5_GT] = ACTIONS(835),
    [anon_sym_5_GT_GT] = ACTIONS(833),
    [anon_sym_6_GT] = ACTIONS(835),
    [anon_sym_6_GT_GT] = ACTIONS(833),
    [anon_sym_STAR_GT] = ACTIONS(835),
    [anon_sym_STAR_GT_GT] = ACTIONS(833),
    [anon_sym_LT] = ACTIONS(835),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(833),
    [anon_sym_2_GT_AMP1] = ACTIONS(833),
    [anon_sym_3_GT_AMP1] = ACTIONS(833),
    [anon_sym_4_GT_AMP1] = ACTIONS(833),
    [anon_sym_5_GT_AMP1] = ACTIONS(833),
    [anon_sym_6_GT_AMP1] = ACTIONS(833),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(833),
    [anon_sym_1_GT_AMP2] = ACTIONS(833),
    [anon_sym_3_GT_AMP2] = ACTIONS(833),
    [anon_sym_4_GT_AMP2] = ACTIONS(833),
    [anon_sym_5_GT_AMP2] = ACTIONS(833),
    [anon_sym_6_GT_AMP2] = ACTIONS(833),
    [aux_sym_comparison_operator_token1] = ACTIONS(833),
    [aux_sym_comparison_operator_token2] = ACTIONS(833),
    [aux_sym_comparison_operator_token3] = ACTIONS(833),
    [aux_sym_comparison_operator_token4] = ACTIONS(833),
    [aux_sym_comparison_operator_token5] = ACTIONS(833),
    [aux_sym_comparison_operator_token6] = ACTIONS(833),
    [aux_sym_comparison_operator_token7] = ACTIONS(833),
    [aux_sym_comparison_operator_token8] = ACTIONS(833),
    [aux_sym_comparison_operator_token9] = ACTIONS(833),
    [aux_sym_comparison_operator_token10] = ACTIONS(833),
    [aux_sym_comparison_operator_token11] = ACTIONS(833),
    [aux_sym_comparison_operator_token12] = ACTIONS(833),
    [aux_sym_comparison_operator_token13] = ACTIONS(833),
    [aux_sym_comparison_operator_token14] = ACTIONS(833),
    [aux_sym_comparison_operator_token15] = ACTIONS(833),
    [aux_sym_comparison_operator_token16] = ACTIONS(833),
    [aux_sym_comparison_operator_token17] = ACTIONS(833),
    [aux_sym_comparison_operator_token18] = ACTIONS(833),
    [aux_sym_comparison_operator_token19] = ACTIONS(833),
    [aux_sym_comparison_operator_token20] = ACTIONS(833),
    [aux_sym_comparison_operator_token21] = ACTIONS(833),
    [aux_sym_comparison_operator_token22] = ACTIONS(833),
    [aux_sym_comparison_operator_token23] = ACTIONS(833),
    [aux_sym_comparison_operator_token24] = ACTIONS(833),
    [aux_sym_comparison_operator_token25] = ACTIONS(833),
    [aux_sym_comparison_operator_token26] = ACTIONS(833),
    [aux_sym_comparison_operator_token27] = ACTIONS(833),
    [aux_sym_comparison_operator_token28] = ACTIONS(835),
    [aux_sym_comparison_operator_token29] = ACTIONS(833),
    [aux_sym_comparison_operator_token30] = ACTIONS(833),
    [aux_sym_comparison_operator_token31] = ACTIONS(833),
    [aux_sym_comparison_operator_token32] = ACTIONS(833),
    [aux_sym_comparison_operator_token33] = ACTIONS(833),
    [aux_sym_comparison_operator_token34] = ACTIONS(835),
    [aux_sym_comparison_operator_token35] = ACTIONS(833),
    [aux_sym_comparison_operator_token36] = ACTIONS(833),
    [aux_sym_comparison_operator_token37] = ACTIONS(833),
    [aux_sym_comparison_operator_token38] = ACTIONS(833),
    [aux_sym_comparison_operator_token39] = ACTIONS(833),
    [aux_sym_comparison_operator_token40] = ACTIONS(833),
    [aux_sym_comparison_operator_token41] = ACTIONS(833),
    [aux_sym_comparison_operator_token42] = ACTIONS(833),
    [aux_sym_comparison_operator_token43] = ACTIONS(833),
    [aux_sym_comparison_operator_token44] = ACTIONS(833),
    [aux_sym_comparison_operator_token45] = ACTIONS(833),
    [aux_sym_comparison_operator_token46] = ACTIONS(833),
    [aux_sym_comparison_operator_token47] = ACTIONS(833),
    [aux_sym_comparison_operator_token48] = ACTIONS(833),
    [aux_sym_comparison_operator_token49] = ACTIONS(833),
    [aux_sym_comparison_operator_token50] = ACTIONS(833),
    [anon_sym_RPAREN] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(833),
    [aux_sym_logical_expression_token1] = ACTIONS(833),
    [aux_sym_logical_expression_token2] = ACTIONS(833),
    [aux_sym_logical_expression_token3] = ACTIONS(833),
    [aux_sym_bitwise_expression_token1] = ACTIONS(833),
    [aux_sym_bitwise_expression_token2] = ACTIONS(833),
    [aux_sym_bitwise_expression_token3] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
  },
  [196] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(833),
    [anon_sym_BANG_EQ] = ACTIONS(833),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_GT] = ACTIONS(835),
    [anon_sym_GT_GT] = ACTIONS(833),
    [anon_sym_2_GT] = ACTIONS(835),
    [anon_sym_2_GT_GT] = ACTIONS(833),
    [anon_sym_3_GT] = ACTIONS(835),
    [anon_sym_3_GT_GT] = ACTIONS(833),
    [anon_sym_4_GT] = ACTIONS(835),
    [anon_sym_4_GT_GT] = ACTIONS(833),
    [anon_sym_5_GT] = ACTIONS(835),
    [anon_sym_5_GT_GT] = ACTIONS(833),
    [anon_sym_6_GT] = ACTIONS(835),
    [anon_sym_6_GT_GT] = ACTIONS(833),
    [anon_sym_STAR_GT] = ACTIONS(835),
    [anon_sym_STAR_GT_GT] = ACTIONS(833),
    [anon_sym_LT] = ACTIONS(835),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(833),
    [anon_sym_2_GT_AMP1] = ACTIONS(833),
    [anon_sym_3_GT_AMP1] = ACTIONS(833),
    [anon_sym_4_GT_AMP1] = ACTIONS(833),
    [anon_sym_5_GT_AMP1] = ACTIONS(833),
    [anon_sym_6_GT_AMP1] = ACTIONS(833),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(833),
    [anon_sym_1_GT_AMP2] = ACTIONS(833),
    [anon_sym_3_GT_AMP2] = ACTIONS(833),
    [anon_sym_4_GT_AMP2] = ACTIONS(833),
    [anon_sym_5_GT_AMP2] = ACTIONS(833),
    [anon_sym_6_GT_AMP2] = ACTIONS(833),
    [aux_sym_comparison_operator_token1] = ACTIONS(833),
    [aux_sym_comparison_operator_token2] = ACTIONS(833),
    [aux_sym_comparison_operator_token3] = ACTIONS(833),
    [aux_sym_comparison_operator_token4] = ACTIONS(833),
    [aux_sym_comparison_operator_token5] = ACTIONS(833),
    [aux_sym_comparison_operator_token6] = ACTIONS(833),
    [aux_sym_comparison_operator_token7] = ACTIONS(833),
    [aux_sym_comparison_operator_token8] = ACTIONS(833),
    [aux_sym_comparison_operator_token9] = ACTIONS(833),
    [aux_sym_comparison_operator_token10] = ACTIONS(833),
    [aux_sym_comparison_operator_token11] = ACTIONS(833),
    [aux_sym_comparison_operator_token12] = ACTIONS(833),
    [aux_sym_comparison_operator_token13] = ACTIONS(833),
    [aux_sym_comparison_operator_token14] = ACTIONS(833),
    [aux_sym_comparison_operator_token15] = ACTIONS(833),
    [aux_sym_comparison_operator_token16] = ACTIONS(833),
    [aux_sym_comparison_operator_token17] = ACTIONS(833),
    [aux_sym_comparison_operator_token18] = ACTIONS(833),
    [aux_sym_comparison_operator_token19] = ACTIONS(833),
    [aux_sym_comparison_operator_token20] = ACTIONS(833),
    [aux_sym_comparison_operator_token21] = ACTIONS(833),
    [aux_sym_comparison_operator_token22] = ACTIONS(833),
    [aux_sym_comparison_operator_token23] = ACTIONS(833),
    [aux_sym_comparison_operator_token24] = ACTIONS(833),
    [aux_sym_comparison_operator_token25] = ACTIONS(833),
    [aux_sym_comparison_operator_token26] = ACTIONS(833),
    [aux_sym_comparison_operator_token27] = ACTIONS(833),
    [aux_sym_comparison_operator_token28] = ACTIONS(835),
    [aux_sym_comparison_operator_token29] = ACTIONS(833),
    [aux_sym_comparison_operator_token30] = ACTIONS(833),
    [aux_sym_comparison_operator_token31] = ACTIONS(833),
    [aux_sym_comparison_operator_token32] = ACTIONS(833),
    [aux_sym_comparison_operator_token33] = ACTIONS(833),
    [aux_sym_comparison_operator_token34] = ACTIONS(835),
    [aux_sym_comparison_operator_token35] = ACTIONS(833),
    [aux_sym_comparison_operator_token36] = ACTIONS(833),
    [aux_sym_comparison_operator_token37] = ACTIONS(833),
    [aux_sym_comparison_operator_token38] = ACTIONS(833),
    [aux_sym_comparison_operator_token39] = ACTIONS(833),
    [aux_sym_comparison_operator_token40] = ACTIONS(833),
    [aux_sym_comparison_operator_token41] = ACTIONS(833),
    [aux_sym_comparison_operator_token42] = ACTIONS(833),
    [aux_sym_comparison_operator_token43] = ACTIONS(833),
    [aux_sym_comparison_operator_token44] = ACTIONS(833),
    [aux_sym_comparison_operator_token45] = ACTIONS(833),
    [aux_sym_comparison_operator_token46] = ACTIONS(833),
    [aux_sym_comparison_operator_token47] = ACTIONS(833),
    [aux_sym_comparison_operator_token48] = ACTIONS(833),
    [aux_sym_comparison_operator_token49] = ACTIONS(833),
    [aux_sym_comparison_operator_token50] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(833),
    [aux_sym_logical_expression_token1] = ACTIONS(833),
    [aux_sym_logical_expression_token2] = ACTIONS(833),
    [aux_sym_logical_expression_token3] = ACTIONS(833),
    [aux_sym_bitwise_expression_token1] = ACTIONS(833),
    [aux_sym_bitwise_expression_token2] = ACTIONS(833),
    [aux_sym_bitwise_expression_token3] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(839),
    [anon_sym_DASH] = ACTIONS(839),
    [sym__statement_terminator] = ACTIONS(833),
  },
  [197] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_BANG_EQ] = ACTIONS(841),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_GT] = ACTIONS(843),
    [anon_sym_GT_GT] = ACTIONS(841),
    [anon_sym_2_GT] = ACTIONS(843),
    [anon_sym_2_GT_GT] = ACTIONS(841),
    [anon_sym_3_GT] = ACTIONS(843),
    [anon_sym_3_GT_GT] = ACTIONS(841),
    [anon_sym_4_GT] = ACTIONS(843),
    [anon_sym_4_GT_GT] = ACTIONS(841),
    [anon_sym_5_GT] = ACTIONS(843),
    [anon_sym_5_GT_GT] = ACTIONS(841),
    [anon_sym_6_GT] = ACTIONS(843),
    [anon_sym_6_GT_GT] = ACTIONS(841),
    [anon_sym_STAR_GT] = ACTIONS(843),
    [anon_sym_STAR_GT_GT] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(843),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(841),
    [anon_sym_2_GT_AMP1] = ACTIONS(841),
    [anon_sym_3_GT_AMP1] = ACTIONS(841),
    [anon_sym_4_GT_AMP1] = ACTIONS(841),
    [anon_sym_5_GT_AMP1] = ACTIONS(841),
    [anon_sym_6_GT_AMP1] = ACTIONS(841),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(841),
    [anon_sym_1_GT_AMP2] = ACTIONS(841),
    [anon_sym_3_GT_AMP2] = ACTIONS(841),
    [anon_sym_4_GT_AMP2] = ACTIONS(841),
    [anon_sym_5_GT_AMP2] = ACTIONS(841),
    [anon_sym_6_GT_AMP2] = ACTIONS(841),
    [aux_sym_comparison_operator_token1] = ACTIONS(841),
    [aux_sym_comparison_operator_token2] = ACTIONS(841),
    [aux_sym_comparison_operator_token3] = ACTIONS(841),
    [aux_sym_comparison_operator_token4] = ACTIONS(841),
    [aux_sym_comparison_operator_token5] = ACTIONS(841),
    [aux_sym_comparison_operator_token6] = ACTIONS(841),
    [aux_sym_comparison_operator_token7] = ACTIONS(841),
    [aux_sym_comparison_operator_token8] = ACTIONS(841),
    [aux_sym_comparison_operator_token9] = ACTIONS(841),
    [aux_sym_comparison_operator_token10] = ACTIONS(841),
    [aux_sym_comparison_operator_token11] = ACTIONS(841),
    [aux_sym_comparison_operator_token12] = ACTIONS(841),
    [aux_sym_comparison_operator_token13] = ACTIONS(841),
    [aux_sym_comparison_operator_token14] = ACTIONS(841),
    [aux_sym_comparison_operator_token15] = ACTIONS(841),
    [aux_sym_comparison_operator_token16] = ACTIONS(841),
    [aux_sym_comparison_operator_token17] = ACTIONS(841),
    [aux_sym_comparison_operator_token18] = ACTIONS(841),
    [aux_sym_comparison_operator_token19] = ACTIONS(841),
    [aux_sym_comparison_operator_token20] = ACTIONS(841),
    [aux_sym_comparison_operator_token21] = ACTIONS(841),
    [aux_sym_comparison_operator_token22] = ACTIONS(841),
    [aux_sym_comparison_operator_token23] = ACTIONS(841),
    [aux_sym_comparison_operator_token24] = ACTIONS(841),
    [aux_sym_comparison_operator_token25] = ACTIONS(841),
    [aux_sym_comparison_operator_token26] = ACTIONS(841),
    [aux_sym_comparison_operator_token27] = ACTIONS(841),
    [aux_sym_comparison_operator_token28] = ACTIONS(843),
    [aux_sym_comparison_operator_token29] = ACTIONS(841),
    [aux_sym_comparison_operator_token30] = ACTIONS(841),
    [aux_sym_comparison_operator_token31] = ACTIONS(841),
    [aux_sym_comparison_operator_token32] = ACTIONS(841),
    [aux_sym_comparison_operator_token33] = ACTIONS(841),
    [aux_sym_comparison_operator_token34] = ACTIONS(843),
    [aux_sym_comparison_operator_token35] = ACTIONS(841),
    [aux_sym_comparison_operator_token36] = ACTIONS(841),
    [aux_sym_comparison_operator_token37] = ACTIONS(841),
    [aux_sym_comparison_operator_token38] = ACTIONS(841),
    [aux_sym_comparison_operator_token39] = ACTIONS(841),
    [aux_sym_comparison_operator_token40] = ACTIONS(841),
    [aux_sym_comparison_operator_token41] = ACTIONS(841),
    [aux_sym_comparison_operator_token42] = ACTIONS(841),
    [aux_sym_comparison_operator_token43] = ACTIONS(841),
    [aux_sym_comparison_operator_token44] = ACTIONS(841),
    [aux_sym_comparison_operator_token45] = ACTIONS(841),
    [aux_sym_comparison_operator_token46] = ACTIONS(841),
    [aux_sym_comparison_operator_token47] = ACTIONS(841),
    [aux_sym_comparison_operator_token48] = ACTIONS(841),
    [aux_sym_comparison_operator_token49] = ACTIONS(841),
    [aux_sym_comparison_operator_token50] = ACTIONS(841),
    [anon_sym_PIPE] = ACTIONS(841),
    [aux_sym_logical_expression_token1] = ACTIONS(841),
    [aux_sym_logical_expression_token2] = ACTIONS(841),
    [aux_sym_logical_expression_token3] = ACTIONS(841),
    [aux_sym_bitwise_expression_token1] = ACTIONS(841),
    [aux_sym_bitwise_expression_token2] = ACTIONS(841),
    [aux_sym_bitwise_expression_token3] = ACTIONS(841),
    [anon_sym_PLUS] = ACTIONS(839),
    [anon_sym_DASH] = ACTIONS(839),
    [sym__statement_terminator] = ACTIONS(841),
  },
  [198] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(841),
    [anon_sym_BANG_EQ] = ACTIONS(841),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_GT] = ACTIONS(843),
    [anon_sym_GT_GT] = ACTIONS(841),
    [anon_sym_2_GT] = ACTIONS(843),
    [anon_sym_2_GT_GT] = ACTIONS(841),
    [anon_sym_3_GT] = ACTIONS(843),
    [anon_sym_3_GT_GT] = ACTIONS(841),
    [anon_sym_4_GT] = ACTIONS(843),
    [anon_sym_4_GT_GT] = ACTIONS(841),
    [anon_sym_5_GT] = ACTIONS(843),
    [anon_sym_5_GT_GT] = ACTIONS(841),
    [anon_sym_6_GT] = ACTIONS(843),
    [anon_sym_6_GT_GT] = ACTIONS(841),
    [anon_sym_STAR_GT] = ACTIONS(843),
    [anon_sym_STAR_GT_GT] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(843),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(841),
    [anon_sym_2_GT_AMP1] = ACTIONS(841),
    [anon_sym_3_GT_AMP1] = ACTIONS(841),
    [anon_sym_4_GT_AMP1] = ACTIONS(841),
    [anon_sym_5_GT_AMP1] = ACTIONS(841),
    [anon_sym_6_GT_AMP1] = ACTIONS(841),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(841),
    [anon_sym_1_GT_AMP2] = ACTIONS(841),
    [anon_sym_3_GT_AMP2] = ACTIONS(841),
    [anon_sym_4_GT_AMP2] = ACTIONS(841),
    [anon_sym_5_GT_AMP2] = ACTIONS(841),
    [anon_sym_6_GT_AMP2] = ACTIONS(841),
    [aux_sym_comparison_operator_token1] = ACTIONS(841),
    [aux_sym_comparison_operator_token2] = ACTIONS(841),
    [aux_sym_comparison_operator_token3] = ACTIONS(841),
    [aux_sym_comparison_operator_token4] = ACTIONS(841),
    [aux_sym_comparison_operator_token5] = ACTIONS(841),
    [aux_sym_comparison_operator_token6] = ACTIONS(841),
    [aux_sym_comparison_operator_token7] = ACTIONS(841),
    [aux_sym_comparison_operator_token8] = ACTIONS(841),
    [aux_sym_comparison_operator_token9] = ACTIONS(841),
    [aux_sym_comparison_operator_token10] = ACTIONS(841),
    [aux_sym_comparison_operator_token11] = ACTIONS(841),
    [aux_sym_comparison_operator_token12] = ACTIONS(841),
    [aux_sym_comparison_operator_token13] = ACTIONS(841),
    [aux_sym_comparison_operator_token14] = ACTIONS(841),
    [aux_sym_comparison_operator_token15] = ACTIONS(841),
    [aux_sym_comparison_operator_token16] = ACTIONS(841),
    [aux_sym_comparison_operator_token17] = ACTIONS(841),
    [aux_sym_comparison_operator_token18] = ACTIONS(841),
    [aux_sym_comparison_operator_token19] = ACTIONS(841),
    [aux_sym_comparison_operator_token20] = ACTIONS(841),
    [aux_sym_comparison_operator_token21] = ACTIONS(841),
    [aux_sym_comparison_operator_token22] = ACTIONS(841),
    [aux_sym_comparison_operator_token23] = ACTIONS(841),
    [aux_sym_comparison_operator_token24] = ACTIONS(841),
    [aux_sym_comparison_operator_token25] = ACTIONS(841),
    [aux_sym_comparison_operator_token26] = ACTIONS(841),
    [aux_sym_comparison_operator_token27] = ACTIONS(841),
    [aux_sym_comparison_operator_token28] = ACTIONS(843),
    [aux_sym_comparison_operator_token29] = ACTIONS(841),
    [aux_sym_comparison_operator_token30] = ACTIONS(841),
    [aux_sym_comparison_operator_token31] = ACTIONS(841),
    [aux_sym_comparison_operator_token32] = ACTIONS(841),
    [aux_sym_comparison_operator_token33] = ACTIONS(841),
    [aux_sym_comparison_operator_token34] = ACTIONS(843),
    [aux_sym_comparison_operator_token35] = ACTIONS(841),
    [aux_sym_comparison_operator_token36] = ACTIONS(841),
    [aux_sym_comparison_operator_token37] = ACTIONS(841),
    [aux_sym_comparison_operator_token38] = ACTIONS(841),
    [aux_sym_comparison_operator_token39] = ACTIONS(841),
    [aux_sym_comparison_operator_token40] = ACTIONS(841),
    [aux_sym_comparison_operator_token41] = ACTIONS(841),
    [aux_sym_comparison_operator_token42] = ACTIONS(841),
    [aux_sym_comparison_operator_token43] = ACTIONS(841),
    [aux_sym_comparison_operator_token44] = ACTIONS(841),
    [aux_sym_comparison_operator_token45] = ACTIONS(841),
    [aux_sym_comparison_operator_token46] = ACTIONS(841),
    [aux_sym_comparison_operator_token47] = ACTIONS(841),
    [aux_sym_comparison_operator_token48] = ACTIONS(841),
    [aux_sym_comparison_operator_token49] = ACTIONS(841),
    [aux_sym_comparison_operator_token50] = ACTIONS(841),
    [anon_sym_RPAREN] = ACTIONS(841),
    [anon_sym_PIPE] = ACTIONS(841),
    [aux_sym_logical_expression_token1] = ACTIONS(841),
    [aux_sym_logical_expression_token2] = ACTIONS(841),
    [aux_sym_logical_expression_token3] = ACTIONS(841),
    [aux_sym_bitwise_expression_token1] = ACTIONS(841),
    [aux_sym_bitwise_expression_token2] = ACTIONS(841),
    [aux_sym_bitwise_expression_token3] = ACTIONS(841),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
  },
  [199] = {
    [sym__literal] = STATE(815),
    [sym_integer_literal] = STATE(815),
    [sym_string_literal] = STATE(815),
    [sym_expandable_string_literal] = STATE(814),
    [sym_expandable_here_string_literal] = STATE(814),
    [sym_variable] = STATE(815),
    [sym_unary_expression] = STATE(1056),
    [sym_expression_with_unary_operator] = STATE(1061),
    [sym_pre_increment_expression] = STATE(1062),
    [sym_pre_decrement_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1062),
    [sym__primary_expression] = STATE(815),
    [sym__value] = STATE(815),
    [sym_parenthesized_expression] = STATE(815),
    [sym_sub_expression] = STATE(815),
    [sym_array_expression] = STATE(815),
    [sym_script_block_expression] = STATE(815),
    [sym_hash_literal_expression] = STATE(815),
    [sym_post_increment_expression] = STATE(815),
    [sym_post_decrement_expression] = STATE(815),
    [sym_member_access] = STATE(815),
    [sym_element_access] = STATE(815),
    [sym_invokation_expression] = STATE(815),
    [sym_invokation_foreach_expression] = STATE(816),
    [sym_type_literal] = STATE(199),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(845),
    [sym_hexadecimal_integer_literal] = ACTIONS(845),
    [sym_real_literal] = ACTIONS(847),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(849),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(851),
    [sym_verbatim_string_characters] = ACTIONS(853),
    [sym_verbatim_here_string_characters] = ACTIONS(853),
    [anon_sym_LBRACK] = ACTIONS(855),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(97),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(97),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(97),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(97),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(97),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(97),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(97),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(97),
    [anon_sym_2_GT_AMP1] = ACTIONS(97),
    [anon_sym_3_GT_AMP1] = ACTIONS(97),
    [anon_sym_4_GT_AMP1] = ACTIONS(97),
    [anon_sym_5_GT_AMP1] = ACTIONS(97),
    [anon_sym_6_GT_AMP1] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(97),
    [anon_sym_1_GT_AMP2] = ACTIONS(97),
    [anon_sym_3_GT_AMP2] = ACTIONS(97),
    [anon_sym_4_GT_AMP2] = ACTIONS(97),
    [anon_sym_5_GT_AMP2] = ACTIONS(97),
    [anon_sym_6_GT_AMP2] = ACTIONS(97),
    [aux_sym_comparison_operator_token37] = ACTIONS(857),
    [aux_sym_comparison_operator_token50] = ACTIONS(857),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(859),
    [anon_sym_DOLLAR_CARET] = ACTIONS(859),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(859),
    [anon_sym_DOLLAR_] = ACTIONS(859),
    [aux_sym_variable_token1] = ACTIONS(859),
    [aux_sym_variable_token2] = ACTIONS(859),
    [sym_braced_variable] = ACTIONS(859),
    [sym_command_parameter] = ACTIONS(97),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_RPAREN] = ACTIONS(97),
    [anon_sym_COMMA] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_PIPE] = ACTIONS(97),
    [sym_stop_parsing] = ACTIONS(97),
    [anon_sym_SPACE] = ACTIONS(97),
    [anon_sym_COLON] = ACTIONS(97),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_DASH] = ACTIONS(857),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(857),
    [anon_sym_BANG] = ACTIONS(857),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(857),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(867),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(869),
    [anon_sym_AT_LPAREN] = ACTIONS(871),
    [anon_sym_AT_LBRACE] = ACTIONS(873),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(97),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
  },
  [200] = {
    [sym_comparison_operator] = STATE(525),
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(875),
    [anon_sym_BANG_EQ] = ACTIONS(875),
    [anon_sym_PLUS_EQ] = ACTIONS(875),
    [anon_sym_STAR_EQ] = ACTIONS(875),
    [anon_sym_SLASH_EQ] = ACTIONS(875),
    [anon_sym_PERCENT_EQ] = ACTIONS(875),
    [anon_sym_GT] = ACTIONS(877),
    [anon_sym_GT_GT] = ACTIONS(875),
    [anon_sym_2_GT] = ACTIONS(877),
    [anon_sym_2_GT_GT] = ACTIONS(875),
    [anon_sym_3_GT] = ACTIONS(877),
    [anon_sym_3_GT_GT] = ACTIONS(875),
    [anon_sym_4_GT] = ACTIONS(877),
    [anon_sym_4_GT_GT] = ACTIONS(875),
    [anon_sym_5_GT] = ACTIONS(877),
    [anon_sym_5_GT_GT] = ACTIONS(875),
    [anon_sym_6_GT] = ACTIONS(877),
    [anon_sym_6_GT_GT] = ACTIONS(875),
    [anon_sym_STAR_GT] = ACTIONS(877),
    [anon_sym_STAR_GT_GT] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(877),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(875),
    [anon_sym_2_GT_AMP1] = ACTIONS(875),
    [anon_sym_3_GT_AMP1] = ACTIONS(875),
    [anon_sym_4_GT_AMP1] = ACTIONS(875),
    [anon_sym_5_GT_AMP1] = ACTIONS(875),
    [anon_sym_6_GT_AMP1] = ACTIONS(875),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(875),
    [anon_sym_1_GT_AMP2] = ACTIONS(875),
    [anon_sym_3_GT_AMP2] = ACTIONS(875),
    [anon_sym_4_GT_AMP2] = ACTIONS(875),
    [anon_sym_5_GT_AMP2] = ACTIONS(875),
    [anon_sym_6_GT_AMP2] = ACTIONS(875),
    [aux_sym_comparison_operator_token1] = ACTIONS(879),
    [aux_sym_comparison_operator_token2] = ACTIONS(879),
    [aux_sym_comparison_operator_token3] = ACTIONS(879),
    [aux_sym_comparison_operator_token4] = ACTIONS(879),
    [aux_sym_comparison_operator_token5] = ACTIONS(879),
    [aux_sym_comparison_operator_token6] = ACTIONS(879),
    [aux_sym_comparison_operator_token7] = ACTIONS(879),
    [aux_sym_comparison_operator_token8] = ACTIONS(879),
    [aux_sym_comparison_operator_token9] = ACTIONS(879),
    [aux_sym_comparison_operator_token10] = ACTIONS(879),
    [aux_sym_comparison_operator_token11] = ACTIONS(879),
    [aux_sym_comparison_operator_token12] = ACTIONS(879),
    [aux_sym_comparison_operator_token13] = ACTIONS(879),
    [aux_sym_comparison_operator_token14] = ACTIONS(879),
    [aux_sym_comparison_operator_token15] = ACTIONS(879),
    [aux_sym_comparison_operator_token16] = ACTIONS(879),
    [aux_sym_comparison_operator_token17] = ACTIONS(879),
    [aux_sym_comparison_operator_token18] = ACTIONS(879),
    [aux_sym_comparison_operator_token19] = ACTIONS(879),
    [aux_sym_comparison_operator_token20] = ACTIONS(879),
    [aux_sym_comparison_operator_token21] = ACTIONS(879),
    [aux_sym_comparison_operator_token22] = ACTIONS(879),
    [aux_sym_comparison_operator_token23] = ACTIONS(879),
    [aux_sym_comparison_operator_token24] = ACTIONS(879),
    [aux_sym_comparison_operator_token25] = ACTIONS(879),
    [aux_sym_comparison_operator_token26] = ACTIONS(879),
    [aux_sym_comparison_operator_token27] = ACTIONS(879),
    [aux_sym_comparison_operator_token28] = ACTIONS(881),
    [aux_sym_comparison_operator_token29] = ACTIONS(879),
    [aux_sym_comparison_operator_token30] = ACTIONS(879),
    [aux_sym_comparison_operator_token31] = ACTIONS(879),
    [aux_sym_comparison_operator_token32] = ACTIONS(879),
    [aux_sym_comparison_operator_token33] = ACTIONS(879),
    [aux_sym_comparison_operator_token34] = ACTIONS(881),
    [aux_sym_comparison_operator_token35] = ACTIONS(879),
    [aux_sym_comparison_operator_token36] = ACTIONS(879),
    [aux_sym_comparison_operator_token37] = ACTIONS(879),
    [aux_sym_comparison_operator_token38] = ACTIONS(879),
    [aux_sym_comparison_operator_token39] = ACTIONS(879),
    [aux_sym_comparison_operator_token40] = ACTIONS(879),
    [aux_sym_comparison_operator_token41] = ACTIONS(879),
    [aux_sym_comparison_operator_token42] = ACTIONS(879),
    [aux_sym_comparison_operator_token43] = ACTIONS(879),
    [aux_sym_comparison_operator_token44] = ACTIONS(879),
    [aux_sym_comparison_operator_token45] = ACTIONS(879),
    [aux_sym_comparison_operator_token46] = ACTIONS(879),
    [aux_sym_comparison_operator_token47] = ACTIONS(879),
    [aux_sym_comparison_operator_token48] = ACTIONS(879),
    [aux_sym_comparison_operator_token49] = ACTIONS(879),
    [aux_sym_comparison_operator_token50] = ACTIONS(879),
    [anon_sym_RPAREN] = ACTIONS(875),
    [anon_sym_PIPE] = ACTIONS(875),
    [aux_sym_logical_expression_token1] = ACTIONS(875),
    [aux_sym_logical_expression_token2] = ACTIONS(875),
    [aux_sym_logical_expression_token3] = ACTIONS(875),
    [aux_sym_bitwise_expression_token1] = ACTIONS(875),
    [aux_sym_bitwise_expression_token2] = ACTIONS(875),
    [aux_sym_bitwise_expression_token3] = ACTIONS(875),
  },
  [201] = {
    [sym_comparison_operator] = STATE(491),
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(875),
    [anon_sym_BANG_EQ] = ACTIONS(875),
    [anon_sym_PLUS_EQ] = ACTIONS(875),
    [anon_sym_STAR_EQ] = ACTIONS(875),
    [anon_sym_SLASH_EQ] = ACTIONS(875),
    [anon_sym_PERCENT_EQ] = ACTIONS(875),
    [anon_sym_GT] = ACTIONS(877),
    [anon_sym_GT_GT] = ACTIONS(875),
    [anon_sym_2_GT] = ACTIONS(877),
    [anon_sym_2_GT_GT] = ACTIONS(875),
    [anon_sym_3_GT] = ACTIONS(877),
    [anon_sym_3_GT_GT] = ACTIONS(875),
    [anon_sym_4_GT] = ACTIONS(877),
    [anon_sym_4_GT_GT] = ACTIONS(875),
    [anon_sym_5_GT] = ACTIONS(877),
    [anon_sym_5_GT_GT] = ACTIONS(875),
    [anon_sym_6_GT] = ACTIONS(877),
    [anon_sym_6_GT_GT] = ACTIONS(875),
    [anon_sym_STAR_GT] = ACTIONS(877),
    [anon_sym_STAR_GT_GT] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(877),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(875),
    [anon_sym_2_GT_AMP1] = ACTIONS(875),
    [anon_sym_3_GT_AMP1] = ACTIONS(875),
    [anon_sym_4_GT_AMP1] = ACTIONS(875),
    [anon_sym_5_GT_AMP1] = ACTIONS(875),
    [anon_sym_6_GT_AMP1] = ACTIONS(875),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(875),
    [anon_sym_1_GT_AMP2] = ACTIONS(875),
    [anon_sym_3_GT_AMP2] = ACTIONS(875),
    [anon_sym_4_GT_AMP2] = ACTIONS(875),
    [anon_sym_5_GT_AMP2] = ACTIONS(875),
    [anon_sym_6_GT_AMP2] = ACTIONS(875),
    [aux_sym_comparison_operator_token1] = ACTIONS(879),
    [aux_sym_comparison_operator_token2] = ACTIONS(879),
    [aux_sym_comparison_operator_token3] = ACTIONS(879),
    [aux_sym_comparison_operator_token4] = ACTIONS(879),
    [aux_sym_comparison_operator_token5] = ACTIONS(879),
    [aux_sym_comparison_operator_token6] = ACTIONS(879),
    [aux_sym_comparison_operator_token7] = ACTIONS(879),
    [aux_sym_comparison_operator_token8] = ACTIONS(879),
    [aux_sym_comparison_operator_token9] = ACTIONS(879),
    [aux_sym_comparison_operator_token10] = ACTIONS(879),
    [aux_sym_comparison_operator_token11] = ACTIONS(879),
    [aux_sym_comparison_operator_token12] = ACTIONS(879),
    [aux_sym_comparison_operator_token13] = ACTIONS(879),
    [aux_sym_comparison_operator_token14] = ACTIONS(879),
    [aux_sym_comparison_operator_token15] = ACTIONS(879),
    [aux_sym_comparison_operator_token16] = ACTIONS(879),
    [aux_sym_comparison_operator_token17] = ACTIONS(879),
    [aux_sym_comparison_operator_token18] = ACTIONS(879),
    [aux_sym_comparison_operator_token19] = ACTIONS(879),
    [aux_sym_comparison_operator_token20] = ACTIONS(879),
    [aux_sym_comparison_operator_token21] = ACTIONS(879),
    [aux_sym_comparison_operator_token22] = ACTIONS(879),
    [aux_sym_comparison_operator_token23] = ACTIONS(879),
    [aux_sym_comparison_operator_token24] = ACTIONS(879),
    [aux_sym_comparison_operator_token25] = ACTIONS(879),
    [aux_sym_comparison_operator_token26] = ACTIONS(879),
    [aux_sym_comparison_operator_token27] = ACTIONS(879),
    [aux_sym_comparison_operator_token28] = ACTIONS(881),
    [aux_sym_comparison_operator_token29] = ACTIONS(879),
    [aux_sym_comparison_operator_token30] = ACTIONS(879),
    [aux_sym_comparison_operator_token31] = ACTIONS(879),
    [aux_sym_comparison_operator_token32] = ACTIONS(879),
    [aux_sym_comparison_operator_token33] = ACTIONS(879),
    [aux_sym_comparison_operator_token34] = ACTIONS(881),
    [aux_sym_comparison_operator_token35] = ACTIONS(879),
    [aux_sym_comparison_operator_token36] = ACTIONS(879),
    [aux_sym_comparison_operator_token37] = ACTIONS(879),
    [aux_sym_comparison_operator_token38] = ACTIONS(879),
    [aux_sym_comparison_operator_token39] = ACTIONS(879),
    [aux_sym_comparison_operator_token40] = ACTIONS(879),
    [aux_sym_comparison_operator_token41] = ACTIONS(879),
    [aux_sym_comparison_operator_token42] = ACTIONS(879),
    [aux_sym_comparison_operator_token43] = ACTIONS(879),
    [aux_sym_comparison_operator_token44] = ACTIONS(879),
    [aux_sym_comparison_operator_token45] = ACTIONS(879),
    [aux_sym_comparison_operator_token46] = ACTIONS(879),
    [aux_sym_comparison_operator_token47] = ACTIONS(879),
    [aux_sym_comparison_operator_token48] = ACTIONS(879),
    [aux_sym_comparison_operator_token49] = ACTIONS(879),
    [aux_sym_comparison_operator_token50] = ACTIONS(879),
    [anon_sym_PIPE] = ACTIONS(875),
    [aux_sym_logical_expression_token1] = ACTIONS(875),
    [aux_sym_logical_expression_token2] = ACTIONS(875),
    [aux_sym_logical_expression_token3] = ACTIONS(875),
    [aux_sym_bitwise_expression_token1] = ACTIONS(875),
    [aux_sym_bitwise_expression_token2] = ACTIONS(875),
    [aux_sym_bitwise_expression_token3] = ACTIONS(875),
    [sym__statement_terminator] = ACTIONS(875),
  },
  [202] = {
    [sym__literal] = STATE(784),
    [sym_integer_literal] = STATE(784),
    [sym_string_literal] = STATE(784),
    [sym_expandable_string_literal] = STATE(782),
    [sym_expandable_here_string_literal] = STATE(782),
    [sym_variable] = STATE(784),
    [sym_unary_expression] = STATE(1048),
    [sym_expression_with_unary_operator] = STATE(1070),
    [sym_pre_increment_expression] = STATE(1060),
    [sym_pre_decrement_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1060),
    [sym__primary_expression] = STATE(784),
    [sym__value] = STATE(784),
    [sym_parenthesized_expression] = STATE(784),
    [sym_sub_expression] = STATE(784),
    [sym_array_expression] = STATE(784),
    [sym_script_block_expression] = STATE(784),
    [sym_hash_literal_expression] = STATE(784),
    [sym_post_increment_expression] = STATE(784),
    [sym_post_decrement_expression] = STATE(784),
    [sym_member_access] = STATE(784),
    [sym_element_access] = STATE(784),
    [sym_invokation_expression] = STATE(784),
    [sym_invokation_foreach_expression] = STATE(785),
    [sym_type_literal] = STATE(202),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(883),
    [sym_hexadecimal_integer_literal] = ACTIONS(883),
    [sym_real_literal] = ACTIONS(885),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(887),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(889),
    [sym_verbatim_string_characters] = ACTIONS(891),
    [sym_verbatim_here_string_characters] = ACTIONS(891),
    [anon_sym_LBRACK] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(97),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(97),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(97),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(97),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(97),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(97),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(97),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(97),
    [anon_sym_2_GT_AMP1] = ACTIONS(97),
    [anon_sym_3_GT_AMP1] = ACTIONS(97),
    [anon_sym_4_GT_AMP1] = ACTIONS(97),
    [anon_sym_5_GT_AMP1] = ACTIONS(97),
    [anon_sym_6_GT_AMP1] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(97),
    [anon_sym_1_GT_AMP2] = ACTIONS(97),
    [anon_sym_3_GT_AMP2] = ACTIONS(97),
    [anon_sym_4_GT_AMP2] = ACTIONS(97),
    [anon_sym_5_GT_AMP2] = ACTIONS(97),
    [anon_sym_6_GT_AMP2] = ACTIONS(97),
    [aux_sym_comparison_operator_token37] = ACTIONS(895),
    [aux_sym_comparison_operator_token50] = ACTIONS(895),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(897),
    [anon_sym_DOLLAR_CARET] = ACTIONS(897),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(897),
    [anon_sym_DOLLAR_] = ACTIONS(897),
    [aux_sym_variable_token1] = ACTIONS(897),
    [aux_sym_variable_token2] = ACTIONS(897),
    [sym_braced_variable] = ACTIONS(897),
    [sym_command_parameter] = ACTIONS(97),
    [anon_sym_LPAREN] = ACTIONS(899),
    [anon_sym_COMMA] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_PIPE] = ACTIONS(97),
    [sym_stop_parsing] = ACTIONS(97),
    [anon_sym_SPACE] = ACTIONS(97),
    [anon_sym_COLON] = ACTIONS(97),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(895),
    [anon_sym_DASH] = ACTIONS(895),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(895),
    [anon_sym_BANG] = ACTIONS(895),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(895),
    [anon_sym_PLUS_PLUS] = ACTIONS(903),
    [anon_sym_DASH_DASH] = ACTIONS(905),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(907),
    [anon_sym_AT_LPAREN] = ACTIONS(909),
    [anon_sym_AT_LBRACE] = ACTIONS(911),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(97),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
    [sym__statement_terminator] = ACTIONS(95),
  },
  [203] = {
    [sym_comparison_operator] = STATE(525),
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(913),
    [anon_sym_BANG_EQ] = ACTIONS(913),
    [anon_sym_PLUS_EQ] = ACTIONS(913),
    [anon_sym_STAR_EQ] = ACTIONS(913),
    [anon_sym_SLASH_EQ] = ACTIONS(913),
    [anon_sym_PERCENT_EQ] = ACTIONS(913),
    [anon_sym_GT] = ACTIONS(915),
    [anon_sym_GT_GT] = ACTIONS(913),
    [anon_sym_2_GT] = ACTIONS(915),
    [anon_sym_2_GT_GT] = ACTIONS(913),
    [anon_sym_3_GT] = ACTIONS(915),
    [anon_sym_3_GT_GT] = ACTIONS(913),
    [anon_sym_4_GT] = ACTIONS(915),
    [anon_sym_4_GT_GT] = ACTIONS(913),
    [anon_sym_5_GT] = ACTIONS(915),
    [anon_sym_5_GT_GT] = ACTIONS(913),
    [anon_sym_6_GT] = ACTIONS(915),
    [anon_sym_6_GT_GT] = ACTIONS(913),
    [anon_sym_STAR_GT] = ACTIONS(915),
    [anon_sym_STAR_GT_GT] = ACTIONS(913),
    [anon_sym_LT] = ACTIONS(915),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(913),
    [anon_sym_2_GT_AMP1] = ACTIONS(913),
    [anon_sym_3_GT_AMP1] = ACTIONS(913),
    [anon_sym_4_GT_AMP1] = ACTIONS(913),
    [anon_sym_5_GT_AMP1] = ACTIONS(913),
    [anon_sym_6_GT_AMP1] = ACTIONS(913),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(913),
    [anon_sym_1_GT_AMP2] = ACTIONS(913),
    [anon_sym_3_GT_AMP2] = ACTIONS(913),
    [anon_sym_4_GT_AMP2] = ACTIONS(913),
    [anon_sym_5_GT_AMP2] = ACTIONS(913),
    [anon_sym_6_GT_AMP2] = ACTIONS(913),
    [aux_sym_comparison_operator_token1] = ACTIONS(879),
    [aux_sym_comparison_operator_token2] = ACTIONS(879),
    [aux_sym_comparison_operator_token3] = ACTIONS(879),
    [aux_sym_comparison_operator_token4] = ACTIONS(879),
    [aux_sym_comparison_operator_token5] = ACTIONS(879),
    [aux_sym_comparison_operator_token6] = ACTIONS(879),
    [aux_sym_comparison_operator_token7] = ACTIONS(879),
    [aux_sym_comparison_operator_token8] = ACTIONS(879),
    [aux_sym_comparison_operator_token9] = ACTIONS(879),
    [aux_sym_comparison_operator_token10] = ACTIONS(879),
    [aux_sym_comparison_operator_token11] = ACTIONS(879),
    [aux_sym_comparison_operator_token12] = ACTIONS(879),
    [aux_sym_comparison_operator_token13] = ACTIONS(879),
    [aux_sym_comparison_operator_token14] = ACTIONS(879),
    [aux_sym_comparison_operator_token15] = ACTIONS(879),
    [aux_sym_comparison_operator_token16] = ACTIONS(879),
    [aux_sym_comparison_operator_token17] = ACTIONS(879),
    [aux_sym_comparison_operator_token18] = ACTIONS(879),
    [aux_sym_comparison_operator_token19] = ACTIONS(879),
    [aux_sym_comparison_operator_token20] = ACTIONS(879),
    [aux_sym_comparison_operator_token21] = ACTIONS(879),
    [aux_sym_comparison_operator_token22] = ACTIONS(879),
    [aux_sym_comparison_operator_token23] = ACTIONS(879),
    [aux_sym_comparison_operator_token24] = ACTIONS(879),
    [aux_sym_comparison_operator_token25] = ACTIONS(879),
    [aux_sym_comparison_operator_token26] = ACTIONS(879),
    [aux_sym_comparison_operator_token27] = ACTIONS(879),
    [aux_sym_comparison_operator_token28] = ACTIONS(881),
    [aux_sym_comparison_operator_token29] = ACTIONS(879),
    [aux_sym_comparison_operator_token30] = ACTIONS(879),
    [aux_sym_comparison_operator_token31] = ACTIONS(879),
    [aux_sym_comparison_operator_token32] = ACTIONS(879),
    [aux_sym_comparison_operator_token33] = ACTIONS(879),
    [aux_sym_comparison_operator_token34] = ACTIONS(881),
    [aux_sym_comparison_operator_token35] = ACTIONS(879),
    [aux_sym_comparison_operator_token36] = ACTIONS(879),
    [aux_sym_comparison_operator_token37] = ACTIONS(879),
    [aux_sym_comparison_operator_token38] = ACTIONS(879),
    [aux_sym_comparison_operator_token39] = ACTIONS(879),
    [aux_sym_comparison_operator_token40] = ACTIONS(879),
    [aux_sym_comparison_operator_token41] = ACTIONS(879),
    [aux_sym_comparison_operator_token42] = ACTIONS(879),
    [aux_sym_comparison_operator_token43] = ACTIONS(879),
    [aux_sym_comparison_operator_token44] = ACTIONS(879),
    [aux_sym_comparison_operator_token45] = ACTIONS(879),
    [aux_sym_comparison_operator_token46] = ACTIONS(879),
    [aux_sym_comparison_operator_token47] = ACTIONS(879),
    [aux_sym_comparison_operator_token48] = ACTIONS(879),
    [aux_sym_comparison_operator_token49] = ACTIONS(879),
    [aux_sym_comparison_operator_token50] = ACTIONS(879),
    [anon_sym_RPAREN] = ACTIONS(913),
    [anon_sym_PIPE] = ACTIONS(913),
    [aux_sym_logical_expression_token1] = ACTIONS(913),
    [aux_sym_logical_expression_token2] = ACTIONS(913),
    [aux_sym_logical_expression_token3] = ACTIONS(913),
    [aux_sym_bitwise_expression_token1] = ACTIONS(913),
    [aux_sym_bitwise_expression_token2] = ACTIONS(913),
    [aux_sym_bitwise_expression_token3] = ACTIONS(913),
  },
  [204] = {
    [sym_comparison_operator] = STATE(491),
    [sym_comment] = ACTIONS(81),
    [anon_sym_EQ] = ACTIONS(913),
    [anon_sym_BANG_EQ] = ACTIONS(913),
    [anon_sym_PLUS_EQ] = ACTIONS(913),
    [anon_sym_STAR_EQ] = ACTIONS(913),
    [anon_sym_SLASH_EQ] = ACTIONS(913),
    [anon_sym_PERCENT_EQ] = ACTIONS(913),
    [anon_sym_GT] = ACTIONS(915),
    [anon_sym_GT_GT] = ACTIONS(913),
    [anon_sym_2_GT] = ACTIONS(915),
    [anon_sym_2_GT_GT] = ACTIONS(913),
    [anon_sym_3_GT] = ACTIONS(915),
    [anon_sym_3_GT_GT] = ACTIONS(913),
    [anon_sym_4_GT] = ACTIONS(915),
    [anon_sym_4_GT_GT] = ACTIONS(913),
    [anon_sym_5_GT] = ACTIONS(915),
    [anon_sym_5_GT_GT] = ACTIONS(913),
    [anon_sym_6_GT] = ACTIONS(915),
    [anon_sym_6_GT_GT] = ACTIONS(913),
    [anon_sym_STAR_GT] = ACTIONS(915),
    [anon_sym_STAR_GT_GT] = ACTIONS(913),
    [anon_sym_LT] = ACTIONS(915),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(913),
    [anon_sym_2_GT_AMP1] = ACTIONS(913),
    [anon_sym_3_GT_AMP1] = ACTIONS(913),
    [anon_sym_4_GT_AMP1] = ACTIONS(913),
    [anon_sym_5_GT_AMP1] = ACTIONS(913),
    [anon_sym_6_GT_AMP1] = ACTIONS(913),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(913),
    [anon_sym_1_GT_AMP2] = ACTIONS(913),
    [anon_sym_3_GT_AMP2] = ACTIONS(913),
    [anon_sym_4_GT_AMP2] = ACTIONS(913),
    [anon_sym_5_GT_AMP2] = ACTIONS(913),
    [anon_sym_6_GT_AMP2] = ACTIONS(913),
    [aux_sym_comparison_operator_token1] = ACTIONS(879),
    [aux_sym_comparison_operator_token2] = ACTIONS(879),
    [aux_sym_comparison_operator_token3] = ACTIONS(879),
    [aux_sym_comparison_operator_token4] = ACTIONS(879),
    [aux_sym_comparison_operator_token5] = ACTIONS(879),
    [aux_sym_comparison_operator_token6] = ACTIONS(879),
    [aux_sym_comparison_operator_token7] = ACTIONS(879),
    [aux_sym_comparison_operator_token8] = ACTIONS(879),
    [aux_sym_comparison_operator_token9] = ACTIONS(879),
    [aux_sym_comparison_operator_token10] = ACTIONS(879),
    [aux_sym_comparison_operator_token11] = ACTIONS(879),
    [aux_sym_comparison_operator_token12] = ACTIONS(879),
    [aux_sym_comparison_operator_token13] = ACTIONS(879),
    [aux_sym_comparison_operator_token14] = ACTIONS(879),
    [aux_sym_comparison_operator_token15] = ACTIONS(879),
    [aux_sym_comparison_operator_token16] = ACTIONS(879),
    [aux_sym_comparison_operator_token17] = ACTIONS(879),
    [aux_sym_comparison_operator_token18] = ACTIONS(879),
    [aux_sym_comparison_operator_token19] = ACTIONS(879),
    [aux_sym_comparison_operator_token20] = ACTIONS(879),
    [aux_sym_comparison_operator_token21] = ACTIONS(879),
    [aux_sym_comparison_operator_token22] = ACTIONS(879),
    [aux_sym_comparison_operator_token23] = ACTIONS(879),
    [aux_sym_comparison_operator_token24] = ACTIONS(879),
    [aux_sym_comparison_operator_token25] = ACTIONS(879),
    [aux_sym_comparison_operator_token26] = ACTIONS(879),
    [aux_sym_comparison_operator_token27] = ACTIONS(879),
    [aux_sym_comparison_operator_token28] = ACTIONS(881),
    [aux_sym_comparison_operator_token29] = ACTIONS(879),
    [aux_sym_comparison_operator_token30] = ACTIONS(879),
    [aux_sym_comparison_operator_token31] = ACTIONS(879),
    [aux_sym_comparison_operator_token32] = ACTIONS(879),
    [aux_sym_comparison_operator_token33] = ACTIONS(879),
    [aux_sym_comparison_operator_token34] = ACTIONS(881),
    [aux_sym_comparison_operator_token35] = ACTIONS(879),
    [aux_sym_comparison_operator_token36] = ACTIONS(879),
    [aux_sym_comparison_operator_token37] = ACTIONS(879),
    [aux_sym_comparison_operator_token38] = ACTIONS(879),
    [aux_sym_comparison_operator_token39] = ACTIONS(879),
    [aux_sym_comparison_operator_token40] = ACTIONS(879),
    [aux_sym_comparison_operator_token41] = ACTIONS(879),
    [aux_sym_comparison_operator_token42] = ACTIONS(879),
    [aux_sym_comparison_operator_token43] = ACTIONS(879),
    [aux_sym_comparison_operator_token44] = ACTIONS(879),
    [aux_sym_comparison_operator_token45] = ACTIONS(879),
    [aux_sym_comparison_operator_token46] = ACTIONS(879),
    [aux_sym_comparison_operator_token47] = ACTIONS(879),
    [aux_sym_comparison_operator_token48] = ACTIONS(879),
    [aux_sym_comparison_operator_token49] = ACTIONS(879),
    [aux_sym_comparison_operator_token50] = ACTIONS(879),
    [anon_sym_PIPE] = ACTIONS(913),
    [aux_sym_logical_expression_token1] = ACTIONS(913),
    [aux_sym_logical_expression_token2] = ACTIONS(913),
    [aux_sym_logical_expression_token3] = ACTIONS(913),
    [aux_sym_bitwise_expression_token1] = ACTIONS(913),
    [aux_sym_bitwise_expression_token2] = ACTIONS(913),
    [aux_sym_bitwise_expression_token3] = ACTIONS(913),
    [sym__statement_terminator] = ACTIONS(913),
  },
  [205] = {
    [sym__literal] = STATE(784),
    [sym_integer_literal] = STATE(784),
    [sym_string_literal] = STATE(784),
    [sym_expandable_string_literal] = STATE(782),
    [sym_expandable_here_string_literal] = STATE(782),
    [sym_variable] = STATE(784),
    [sym_unary_expression] = STATE(825),
    [sym_expression_with_unary_operator] = STATE(831),
    [sym_pre_increment_expression] = STATE(841),
    [sym_pre_decrement_expression] = STATE(841),
    [sym_cast_expression] = STATE(841),
    [sym__primary_expression] = STATE(784),
    [sym__value] = STATE(784),
    [sym_parenthesized_expression] = STATE(784),
    [sym_sub_expression] = STATE(784),
    [sym_array_expression] = STATE(784),
    [sym_script_block_expression] = STATE(784),
    [sym_hash_literal_expression] = STATE(784),
    [sym_post_increment_expression] = STATE(784),
    [sym_post_decrement_expression] = STATE(784),
    [sym_member_access] = STATE(784),
    [sym_element_access] = STATE(784),
    [sym_invokation_expression] = STATE(784),
    [sym_invokation_foreach_expression] = STATE(785),
    [sym_type_literal] = STATE(205),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(883),
    [sym_hexadecimal_integer_literal] = ACTIONS(883),
    [sym_real_literal] = ACTIONS(885),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(887),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(889),
    [sym_verbatim_string_characters] = ACTIONS(891),
    [sym_verbatim_here_string_characters] = ACTIONS(891),
    [anon_sym_LBRACK] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(97),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(97),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(97),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(97),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(97),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(97),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(97),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(97),
    [anon_sym_2_GT_AMP1] = ACTIONS(97),
    [anon_sym_3_GT_AMP1] = ACTIONS(97),
    [anon_sym_4_GT_AMP1] = ACTIONS(97),
    [anon_sym_5_GT_AMP1] = ACTIONS(97),
    [anon_sym_6_GT_AMP1] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(97),
    [anon_sym_1_GT_AMP2] = ACTIONS(97),
    [anon_sym_3_GT_AMP2] = ACTIONS(97),
    [anon_sym_4_GT_AMP2] = ACTIONS(97),
    [anon_sym_5_GT_AMP2] = ACTIONS(97),
    [anon_sym_6_GT_AMP2] = ACTIONS(97),
    [aux_sym_comparison_operator_token37] = ACTIONS(917),
    [aux_sym_comparison_operator_token50] = ACTIONS(917),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(897),
    [anon_sym_DOLLAR_CARET] = ACTIONS(897),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(897),
    [anon_sym_DOLLAR_] = ACTIONS(897),
    [aux_sym_variable_token1] = ACTIONS(897),
    [aux_sym_variable_token2] = ACTIONS(897),
    [sym_braced_variable] = ACTIONS(897),
    [sym_command_parameter] = ACTIONS(97),
    [anon_sym_LPAREN] = ACTIONS(899),
    [anon_sym_COMMA] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_PIPE] = ACTIONS(97),
    [sym_stop_parsing] = ACTIONS(97),
    [anon_sym_SPACE] = ACTIONS(97),
    [anon_sym_COLON] = ACTIONS(97),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(917),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(917),
    [anon_sym_BANG] = ACTIONS(917),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(917),
    [anon_sym_PLUS_PLUS] = ACTIONS(919),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(907),
    [anon_sym_AT_LPAREN] = ACTIONS(909),
    [anon_sym_AT_LBRACE] = ACTIONS(911),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(97),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
    [sym__statement_terminator] = ACTIONS(95),
  },
  [206] = {
    [sym__literal] = STATE(815),
    [sym_integer_literal] = STATE(815),
    [sym_string_literal] = STATE(815),
    [sym_expandable_string_literal] = STATE(814),
    [sym_expandable_here_string_literal] = STATE(814),
    [sym_variable] = STATE(815),
    [sym_unary_expression] = STATE(763),
    [sym_expression_with_unary_operator] = STATE(769),
    [sym_pre_increment_expression] = STATE(836),
    [sym_pre_decrement_expression] = STATE(836),
    [sym_cast_expression] = STATE(836),
    [sym__primary_expression] = STATE(815),
    [sym__value] = STATE(815),
    [sym_parenthesized_expression] = STATE(815),
    [sym_sub_expression] = STATE(815),
    [sym_array_expression] = STATE(815),
    [sym_script_block_expression] = STATE(815),
    [sym_hash_literal_expression] = STATE(815),
    [sym_post_increment_expression] = STATE(815),
    [sym_post_decrement_expression] = STATE(815),
    [sym_member_access] = STATE(815),
    [sym_element_access] = STATE(815),
    [sym_invokation_expression] = STATE(815),
    [sym_invokation_foreach_expression] = STATE(816),
    [sym_type_literal] = STATE(206),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(845),
    [sym_hexadecimal_integer_literal] = ACTIONS(845),
    [sym_real_literal] = ACTIONS(847),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(849),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(851),
    [sym_verbatim_string_characters] = ACTIONS(853),
    [sym_verbatim_here_string_characters] = ACTIONS(853),
    [anon_sym_LBRACK] = ACTIONS(855),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(97),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(97),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(97),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(97),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(97),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(97),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(97),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(97),
    [anon_sym_2_GT_AMP1] = ACTIONS(97),
    [anon_sym_3_GT_AMP1] = ACTIONS(97),
    [anon_sym_4_GT_AMP1] = ACTIONS(97),
    [anon_sym_5_GT_AMP1] = ACTIONS(97),
    [anon_sym_6_GT_AMP1] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(97),
    [anon_sym_1_GT_AMP2] = ACTIONS(97),
    [anon_sym_3_GT_AMP2] = ACTIONS(97),
    [anon_sym_4_GT_AMP2] = ACTIONS(97),
    [anon_sym_5_GT_AMP2] = ACTIONS(97),
    [anon_sym_6_GT_AMP2] = ACTIONS(97),
    [aux_sym_comparison_operator_token37] = ACTIONS(923),
    [aux_sym_comparison_operator_token50] = ACTIONS(923),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(859),
    [anon_sym_DOLLAR_CARET] = ACTIONS(859),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(859),
    [anon_sym_DOLLAR_] = ACTIONS(859),
    [aux_sym_variable_token1] = ACTIONS(859),
    [aux_sym_variable_token2] = ACTIONS(859),
    [sym_braced_variable] = ACTIONS(859),
    [sym_command_parameter] = ACTIONS(97),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_RPAREN] = ACTIONS(97),
    [anon_sym_COMMA] = ACTIONS(923),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_PIPE] = ACTIONS(97),
    [sym_stop_parsing] = ACTIONS(97),
    [anon_sym_SPACE] = ACTIONS(97),
    [anon_sym_COLON] = ACTIONS(97),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(923),
    [anon_sym_DASH] = ACTIONS(923),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(923),
    [anon_sym_BANG] = ACTIONS(923),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(923),
    [anon_sym_PLUS_PLUS] = ACTIONS(925),
    [anon_sym_DASH_DASH] = ACTIONS(927),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(869),
    [anon_sym_AT_LPAREN] = ACTIONS(871),
    [anon_sym_AT_LBRACE] = ACTIONS(873),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(97),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
  },
  [207] = {
    [sym__literal] = STATE(894),
    [sym_integer_literal] = STATE(894),
    [sym_string_literal] = STATE(894),
    [sym_expandable_string_literal] = STATE(782),
    [sym_expandable_here_string_literal] = STATE(782),
    [sym_variable] = STATE(894),
    [sym_unary_expression] = STATE(1048),
    [sym_expression_with_unary_operator] = STATE(1070),
    [sym_pre_increment_expression] = STATE(1060),
    [sym_pre_decrement_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1060),
    [sym__primary_expression] = STATE(894),
    [sym__value] = STATE(894),
    [sym_parenthesized_expression] = STATE(894),
    [sym_sub_expression] = STATE(894),
    [sym_array_expression] = STATE(894),
    [sym_script_block_expression] = STATE(894),
    [sym_hash_literal_expression] = STATE(894),
    [sym_post_increment_expression] = STATE(894),
    [sym_post_decrement_expression] = STATE(894),
    [sym_member_access] = STATE(894),
    [sym_element_access] = STATE(894),
    [sym_invokation_expression] = STATE(894),
    [sym_invokation_foreach_expression] = STATE(785),
    [sym_type_literal] = STATE(207),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(883),
    [sym_hexadecimal_integer_literal] = ACTIONS(883),
    [sym_real_literal] = ACTIONS(929),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(887),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(889),
    [sym_verbatim_string_characters] = ACTIONS(891),
    [sym_verbatim_here_string_characters] = ACTIONS(891),
    [anon_sym_LBRACK] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(97),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(97),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(97),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(97),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(97),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(97),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(97),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(97),
    [anon_sym_2_GT_AMP1] = ACTIONS(97),
    [anon_sym_3_GT_AMP1] = ACTIONS(97),
    [anon_sym_4_GT_AMP1] = ACTIONS(97),
    [anon_sym_5_GT_AMP1] = ACTIONS(97),
    [anon_sym_6_GT_AMP1] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(97),
    [anon_sym_1_GT_AMP2] = ACTIONS(97),
    [anon_sym_3_GT_AMP2] = ACTIONS(97),
    [anon_sym_4_GT_AMP2] = ACTIONS(97),
    [anon_sym_5_GT_AMP2] = ACTIONS(97),
    [anon_sym_6_GT_AMP2] = ACTIONS(97),
    [aux_sym_comparison_operator_token37] = ACTIONS(931),
    [aux_sym_comparison_operator_token50] = ACTIONS(931),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(897),
    [anon_sym_DOLLAR_CARET] = ACTIONS(897),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(897),
    [anon_sym_DOLLAR_] = ACTIONS(897),
    [aux_sym_variable_token1] = ACTIONS(897),
    [aux_sym_variable_token2] = ACTIONS(897),
    [sym_braced_variable] = ACTIONS(897),
    [sym_command_parameter] = ACTIONS(97),
    [anon_sym_LPAREN] = ACTIONS(899),
    [anon_sym_COMMA] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_PIPE] = ACTIONS(97),
    [sym_stop_parsing] = ACTIONS(97),
    [anon_sym_SPACE] = ACTIONS(97),
    [anon_sym_COLON] = ACTIONS(97),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(931),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(931),
    [anon_sym_BANG] = ACTIONS(931),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(931),
    [anon_sym_PLUS_PLUS] = ACTIONS(933),
    [anon_sym_DASH_DASH] = ACTIONS(935),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(907),
    [anon_sym_AT_LPAREN] = ACTIONS(909),
    [anon_sym_AT_LBRACE] = ACTIONS(911),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(97),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
    [sym__statement_terminator] = ACTIONS(95),
  },
  [208] = {
    [sym__literal] = STATE(896),
    [sym_integer_literal] = STATE(896),
    [sym_string_literal] = STATE(896),
    [sym_expandable_string_literal] = STATE(814),
    [sym_expandable_here_string_literal] = STATE(814),
    [sym_variable] = STATE(896),
    [sym_unary_expression] = STATE(1056),
    [sym_expression_with_unary_operator] = STATE(1061),
    [sym_pre_increment_expression] = STATE(1062),
    [sym_pre_decrement_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1062),
    [sym__primary_expression] = STATE(896),
    [sym__value] = STATE(896),
    [sym_parenthesized_expression] = STATE(896),
    [sym_sub_expression] = STATE(896),
    [sym_array_expression] = STATE(896),
    [sym_script_block_expression] = STATE(896),
    [sym_hash_literal_expression] = STATE(896),
    [sym_post_increment_expression] = STATE(896),
    [sym_post_decrement_expression] = STATE(896),
    [sym_member_access] = STATE(896),
    [sym_element_access] = STATE(896),
    [sym_invokation_expression] = STATE(896),
    [sym_invokation_foreach_expression] = STATE(816),
    [sym_type_literal] = STATE(208),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(845),
    [sym_hexadecimal_integer_literal] = ACTIONS(845),
    [sym_real_literal] = ACTIONS(937),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(849),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(851),
    [sym_verbatim_string_characters] = ACTIONS(853),
    [sym_verbatim_here_string_characters] = ACTIONS(853),
    [anon_sym_LBRACK] = ACTIONS(855),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(97),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(97),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(97),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(97),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(97),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(97),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(97),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(97),
    [anon_sym_2_GT_AMP1] = ACTIONS(97),
    [anon_sym_3_GT_AMP1] = ACTIONS(97),
    [anon_sym_4_GT_AMP1] = ACTIONS(97),
    [anon_sym_5_GT_AMP1] = ACTIONS(97),
    [anon_sym_6_GT_AMP1] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(97),
    [anon_sym_1_GT_AMP2] = ACTIONS(97),
    [anon_sym_3_GT_AMP2] = ACTIONS(97),
    [anon_sym_4_GT_AMP2] = ACTIONS(97),
    [anon_sym_5_GT_AMP2] = ACTIONS(97),
    [anon_sym_6_GT_AMP2] = ACTIONS(97),
    [aux_sym_comparison_operator_token37] = ACTIONS(939),
    [aux_sym_comparison_operator_token50] = ACTIONS(939),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(859),
    [anon_sym_DOLLAR_CARET] = ACTIONS(859),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(859),
    [anon_sym_DOLLAR_] = ACTIONS(859),
    [aux_sym_variable_token1] = ACTIONS(859),
    [aux_sym_variable_token2] = ACTIONS(859),
    [sym_braced_variable] = ACTIONS(859),
    [sym_command_parameter] = ACTIONS(97),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_RPAREN] = ACTIONS(97),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_PIPE] = ACTIONS(97),
    [sym_stop_parsing] = ACTIONS(97),
    [anon_sym_SPACE] = ACTIONS(97),
    [anon_sym_COLON] = ACTIONS(97),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_DASH] = ACTIONS(939),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(939),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(939),
    [anon_sym_PLUS_PLUS] = ACTIONS(941),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(869),
    [anon_sym_AT_LPAREN] = ACTIONS(871),
    [anon_sym_AT_LBRACE] = ACTIONS(873),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(97),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
  },
  [209] = {
    [sym__literal] = STATE(929),
    [sym_integer_literal] = STATE(929),
    [sym_string_literal] = STATE(929),
    [sym_expandable_string_literal] = STATE(887),
    [sym_expandable_here_string_literal] = STATE(887),
    [sym_variable] = STATE(929),
    [sym_unary_expression] = STATE(1093),
    [sym_expression_with_unary_operator] = STATE(1082),
    [sym_pre_increment_expression] = STATE(1077),
    [sym_pre_decrement_expression] = STATE(1077),
    [sym_cast_expression] = STATE(1077),
    [sym__primary_expression] = STATE(929),
    [sym__value] = STATE(929),
    [sym_parenthesized_expression] = STATE(929),
    [sym_sub_expression] = STATE(929),
    [sym_array_expression] = STATE(929),
    [sym_script_block_expression] = STATE(929),
    [sym_hash_literal_expression] = STATE(929),
    [sym_post_increment_expression] = STATE(929),
    [sym_post_decrement_expression] = STATE(929),
    [sym_member_access] = STATE(929),
    [sym_element_access] = STATE(929),
    [sym_invokation_expression] = STATE(929),
    [sym_invokation_foreach_expression] = STATE(892),
    [sym_type_literal] = STATE(209),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(945),
    [sym_hexadecimal_integer_literal] = ACTIONS(945),
    [sym_real_literal] = ACTIONS(947),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(949),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(951),
    [sym_verbatim_string_characters] = ACTIONS(953),
    [sym_verbatim_here_string_characters] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(97),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(97),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(97),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(97),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(97),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(97),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(97),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(97),
    [anon_sym_2_GT_AMP1] = ACTIONS(97),
    [anon_sym_3_GT_AMP1] = ACTIONS(97),
    [anon_sym_4_GT_AMP1] = ACTIONS(97),
    [anon_sym_5_GT_AMP1] = ACTIONS(97),
    [anon_sym_6_GT_AMP1] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(97),
    [anon_sym_1_GT_AMP2] = ACTIONS(97),
    [anon_sym_3_GT_AMP2] = ACTIONS(97),
    [anon_sym_4_GT_AMP2] = ACTIONS(97),
    [anon_sym_5_GT_AMP2] = ACTIONS(97),
    [anon_sym_6_GT_AMP2] = ACTIONS(97),
    [aux_sym_comparison_operator_token37] = ACTIONS(957),
    [aux_sym_comparison_operator_token50] = ACTIONS(957),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(959),
    [anon_sym_DOLLAR_CARET] = ACTIONS(959),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(959),
    [anon_sym_DOLLAR_] = ACTIONS(959),
    [aux_sym_variable_token1] = ACTIONS(959),
    [aux_sym_variable_token2] = ACTIONS(959),
    [sym_braced_variable] = ACTIONS(959),
    [sym_command_parameter] = ACTIONS(97),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_RPAREN] = ACTIONS(97),
    [anon_sym_COMMA] = ACTIONS(957),
    [anon_sym_LBRACE] = ACTIONS(963),
    [anon_sym_PIPE] = ACTIONS(97),
    [sym_stop_parsing] = ACTIONS(97),
    [anon_sym_SPACE] = ACTIONS(97),
    [anon_sym_COLON] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_DASH] = ACTIONS(957),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(957),
    [anon_sym_BANG] = ACTIONS(957),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(957),
    [anon_sym_PLUS_PLUS] = ACTIONS(965),
    [anon_sym_DASH_DASH] = ACTIONS(967),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(969),
    [anon_sym_AT_LPAREN] = ACTIONS(971),
    [anon_sym_AT_LBRACE] = ACTIONS(973),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(97),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
  },
  [210] = {
    [sym__literal] = STATE(928),
    [sym_integer_literal] = STATE(928),
    [sym_string_literal] = STATE(928),
    [sym_expandable_string_literal] = STATE(916),
    [sym_expandable_here_string_literal] = STATE(916),
    [sym_variable] = STATE(928),
    [sym_unary_expression] = STATE(1078),
    [sym_expression_with_unary_operator] = STATE(1074),
    [sym_pre_increment_expression] = STATE(1092),
    [sym_pre_decrement_expression] = STATE(1092),
    [sym_cast_expression] = STATE(1092),
    [sym__primary_expression] = STATE(928),
    [sym__value] = STATE(928),
    [sym_parenthesized_expression] = STATE(928),
    [sym_sub_expression] = STATE(928),
    [sym_array_expression] = STATE(928),
    [sym_script_block_expression] = STATE(928),
    [sym_hash_literal_expression] = STATE(928),
    [sym_post_increment_expression] = STATE(928),
    [sym_post_decrement_expression] = STATE(928),
    [sym_member_access] = STATE(928),
    [sym_element_access] = STATE(928),
    [sym_invokation_expression] = STATE(928),
    [sym_invokation_foreach_expression] = STATE(867),
    [sym_type_literal] = STATE(210),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(975),
    [sym_hexadecimal_integer_literal] = ACTIONS(975),
    [sym_real_literal] = ACTIONS(977),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(979),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(981),
    [sym_verbatim_string_characters] = ACTIONS(983),
    [sym_verbatim_here_string_characters] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(97),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(97),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(97),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(97),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(97),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(97),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(97),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(97),
    [anon_sym_2_GT_AMP1] = ACTIONS(97),
    [anon_sym_3_GT_AMP1] = ACTIONS(97),
    [anon_sym_4_GT_AMP1] = ACTIONS(97),
    [anon_sym_5_GT_AMP1] = ACTIONS(97),
    [anon_sym_6_GT_AMP1] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(97),
    [anon_sym_1_GT_AMP2] = ACTIONS(97),
    [anon_sym_3_GT_AMP2] = ACTIONS(97),
    [anon_sym_4_GT_AMP2] = ACTIONS(97),
    [anon_sym_5_GT_AMP2] = ACTIONS(97),
    [anon_sym_6_GT_AMP2] = ACTIONS(97),
    [aux_sym_comparison_operator_token37] = ACTIONS(987),
    [aux_sym_comparison_operator_token50] = ACTIONS(987),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(989),
    [anon_sym_DOLLAR_CARET] = ACTIONS(989),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(989),
    [anon_sym_DOLLAR_] = ACTIONS(989),
    [aux_sym_variable_token1] = ACTIONS(989),
    [aux_sym_variable_token2] = ACTIONS(989),
    [sym_braced_variable] = ACTIONS(989),
    [sym_command_parameter] = ACTIONS(97),
    [anon_sym_LPAREN] = ACTIONS(991),
    [anon_sym_COMMA] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(993),
    [anon_sym_PIPE] = ACTIONS(97),
    [sym_stop_parsing] = ACTIONS(97),
    [anon_sym_SPACE] = ACTIONS(97),
    [anon_sym_COLON] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(987),
    [anon_sym_DASH] = ACTIONS(987),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(987),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(987),
    [anon_sym_PLUS_PLUS] = ACTIONS(995),
    [anon_sym_DASH_DASH] = ACTIONS(997),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(999),
    [anon_sym_AT_LPAREN] = ACTIONS(1001),
    [anon_sym_AT_LBRACE] = ACTIONS(1003),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(97),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
    [sym__statement_terminator] = ACTIONS(95),
  },
  [211] = {
    [sym__literal] = STATE(888),
    [sym_integer_literal] = STATE(888),
    [sym_string_literal] = STATE(888),
    [sym_expandable_string_literal] = STATE(887),
    [sym_expandable_here_string_literal] = STATE(887),
    [sym_variable] = STATE(888),
    [sym_unary_expression] = STATE(842),
    [sym_expression_with_unary_operator] = STATE(911),
    [sym_pre_increment_expression] = STATE(912),
    [sym_pre_decrement_expression] = STATE(912),
    [sym_cast_expression] = STATE(912),
    [sym__primary_expression] = STATE(888),
    [sym__value] = STATE(888),
    [sym_parenthesized_expression] = STATE(888),
    [sym_sub_expression] = STATE(888),
    [sym_array_expression] = STATE(888),
    [sym_script_block_expression] = STATE(888),
    [sym_hash_literal_expression] = STATE(888),
    [sym_post_increment_expression] = STATE(888),
    [sym_post_decrement_expression] = STATE(888),
    [sym_member_access] = STATE(888),
    [sym_element_access] = STATE(888),
    [sym_invokation_expression] = STATE(888),
    [sym_invokation_foreach_expression] = STATE(892),
    [sym_type_literal] = STATE(211),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(945),
    [sym_hexadecimal_integer_literal] = ACTIONS(945),
    [sym_real_literal] = ACTIONS(1005),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(949),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(951),
    [sym_verbatim_string_characters] = ACTIONS(953),
    [sym_verbatim_here_string_characters] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(97),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(97),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(97),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(97),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(97),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(97),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(97),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(97),
    [anon_sym_2_GT_AMP1] = ACTIONS(97),
    [anon_sym_3_GT_AMP1] = ACTIONS(97),
    [anon_sym_4_GT_AMP1] = ACTIONS(97),
    [anon_sym_5_GT_AMP1] = ACTIONS(97),
    [anon_sym_6_GT_AMP1] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(97),
    [anon_sym_1_GT_AMP2] = ACTIONS(97),
    [anon_sym_3_GT_AMP2] = ACTIONS(97),
    [anon_sym_4_GT_AMP2] = ACTIONS(97),
    [anon_sym_5_GT_AMP2] = ACTIONS(97),
    [anon_sym_6_GT_AMP2] = ACTIONS(97),
    [aux_sym_comparison_operator_token37] = ACTIONS(1007),
    [aux_sym_comparison_operator_token50] = ACTIONS(1007),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(959),
    [anon_sym_DOLLAR_CARET] = ACTIONS(959),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(959),
    [anon_sym_DOLLAR_] = ACTIONS(959),
    [aux_sym_variable_token1] = ACTIONS(959),
    [aux_sym_variable_token2] = ACTIONS(959),
    [sym_braced_variable] = ACTIONS(959),
    [sym_command_parameter] = ACTIONS(97),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_RPAREN] = ACTIONS(97),
    [anon_sym_COMMA] = ACTIONS(1007),
    [anon_sym_LBRACE] = ACTIONS(963),
    [anon_sym_PIPE] = ACTIONS(97),
    [sym_stop_parsing] = ACTIONS(97),
    [anon_sym_SPACE] = ACTIONS(97),
    [anon_sym_COLON] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(1007),
    [anon_sym_DASH] = ACTIONS(1007),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1007),
    [anon_sym_BANG] = ACTIONS(1007),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1007),
    [anon_sym_PLUS_PLUS] = ACTIONS(1009),
    [anon_sym_DASH_DASH] = ACTIONS(1011),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(969),
    [anon_sym_AT_LPAREN] = ACTIONS(971),
    [anon_sym_AT_LBRACE] = ACTIONS(973),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(97),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
  },
  [212] = {
    [sym__literal] = STATE(901),
    [sym_integer_literal] = STATE(901),
    [sym_string_literal] = STATE(901),
    [sym_expandable_string_literal] = STATE(916),
    [sym_expandable_here_string_literal] = STATE(916),
    [sym_variable] = STATE(901),
    [sym_unary_expression] = STATE(909),
    [sym_expression_with_unary_operator] = STATE(903),
    [sym_pre_increment_expression] = STATE(904),
    [sym_pre_decrement_expression] = STATE(904),
    [sym_cast_expression] = STATE(904),
    [sym__primary_expression] = STATE(901),
    [sym__value] = STATE(901),
    [sym_parenthesized_expression] = STATE(901),
    [sym_sub_expression] = STATE(901),
    [sym_array_expression] = STATE(901),
    [sym_script_block_expression] = STATE(901),
    [sym_hash_literal_expression] = STATE(901),
    [sym_post_increment_expression] = STATE(901),
    [sym_post_decrement_expression] = STATE(901),
    [sym_member_access] = STATE(901),
    [sym_element_access] = STATE(901),
    [sym_invokation_expression] = STATE(901),
    [sym_invokation_foreach_expression] = STATE(867),
    [sym_type_literal] = STATE(212),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(975),
    [sym_hexadecimal_integer_literal] = ACTIONS(975),
    [sym_real_literal] = ACTIONS(1013),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(979),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(981),
    [sym_verbatim_string_characters] = ACTIONS(983),
    [sym_verbatim_here_string_characters] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(97),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(97),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(97),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(97),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(97),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(97),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(97),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(97),
    [anon_sym_2_GT_AMP1] = ACTIONS(97),
    [anon_sym_3_GT_AMP1] = ACTIONS(97),
    [anon_sym_4_GT_AMP1] = ACTIONS(97),
    [anon_sym_5_GT_AMP1] = ACTIONS(97),
    [anon_sym_6_GT_AMP1] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(97),
    [anon_sym_1_GT_AMP2] = ACTIONS(97),
    [anon_sym_3_GT_AMP2] = ACTIONS(97),
    [anon_sym_4_GT_AMP2] = ACTIONS(97),
    [anon_sym_5_GT_AMP2] = ACTIONS(97),
    [anon_sym_6_GT_AMP2] = ACTIONS(97),
    [aux_sym_comparison_operator_token37] = ACTIONS(1015),
    [aux_sym_comparison_operator_token50] = ACTIONS(1015),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(989),
    [anon_sym_DOLLAR_CARET] = ACTIONS(989),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(989),
    [anon_sym_DOLLAR_] = ACTIONS(989),
    [aux_sym_variable_token1] = ACTIONS(989),
    [aux_sym_variable_token2] = ACTIONS(989),
    [sym_braced_variable] = ACTIONS(989),
    [sym_command_parameter] = ACTIONS(97),
    [anon_sym_LPAREN] = ACTIONS(991),
    [anon_sym_COMMA] = ACTIONS(1015),
    [anon_sym_LBRACE] = ACTIONS(993),
    [anon_sym_PIPE] = ACTIONS(97),
    [sym_stop_parsing] = ACTIONS(97),
    [anon_sym_SPACE] = ACTIONS(97),
    [anon_sym_COLON] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(1015),
    [anon_sym_DASH] = ACTIONS(1015),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(1015),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1015),
    [anon_sym_PLUS_PLUS] = ACTIONS(1017),
    [anon_sym_DASH_DASH] = ACTIONS(1019),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(999),
    [anon_sym_AT_LPAREN] = ACTIONS(1001),
    [anon_sym_AT_LBRACE] = ACTIONS(1003),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(97),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
    [sym__statement_terminator] = ACTIONS(95),
  },
  [213] = {
    [sym__literal] = STATE(901),
    [sym_integer_literal] = STATE(901),
    [sym_string_literal] = STATE(901),
    [sym_expandable_string_literal] = STATE(916),
    [sym_expandable_here_string_literal] = STATE(916),
    [sym_variable] = STATE(901),
    [sym_unary_expression] = STATE(1078),
    [sym_expression_with_unary_operator] = STATE(1074),
    [sym_pre_increment_expression] = STATE(1092),
    [sym_pre_decrement_expression] = STATE(1092),
    [sym_cast_expression] = STATE(1092),
    [sym__primary_expression] = STATE(901),
    [sym__value] = STATE(901),
    [sym_parenthesized_expression] = STATE(901),
    [sym_sub_expression] = STATE(901),
    [sym_array_expression] = STATE(901),
    [sym_script_block_expression] = STATE(901),
    [sym_hash_literal_expression] = STATE(901),
    [sym_post_increment_expression] = STATE(901),
    [sym_post_decrement_expression] = STATE(901),
    [sym_member_access] = STATE(901),
    [sym_element_access] = STATE(901),
    [sym_invokation_expression] = STATE(901),
    [sym_invokation_foreach_expression] = STATE(867),
    [sym_type_literal] = STATE(213),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(975),
    [sym_hexadecimal_integer_literal] = ACTIONS(975),
    [sym_real_literal] = ACTIONS(1013),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(979),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(981),
    [sym_verbatim_string_characters] = ACTIONS(983),
    [sym_verbatim_here_string_characters] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(97),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(97),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(97),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(97),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(97),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(97),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(97),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(97),
    [anon_sym_2_GT_AMP1] = ACTIONS(97),
    [anon_sym_3_GT_AMP1] = ACTIONS(97),
    [anon_sym_4_GT_AMP1] = ACTIONS(97),
    [anon_sym_5_GT_AMP1] = ACTIONS(97),
    [anon_sym_6_GT_AMP1] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(97),
    [anon_sym_1_GT_AMP2] = ACTIONS(97),
    [anon_sym_3_GT_AMP2] = ACTIONS(97),
    [anon_sym_4_GT_AMP2] = ACTIONS(97),
    [anon_sym_5_GT_AMP2] = ACTIONS(97),
    [anon_sym_6_GT_AMP2] = ACTIONS(97),
    [aux_sym_comparison_operator_token37] = ACTIONS(1021),
    [aux_sym_comparison_operator_token50] = ACTIONS(1021),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(989),
    [anon_sym_DOLLAR_CARET] = ACTIONS(989),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(989),
    [anon_sym_DOLLAR_] = ACTIONS(989),
    [aux_sym_variable_token1] = ACTIONS(989),
    [aux_sym_variable_token2] = ACTIONS(989),
    [sym_braced_variable] = ACTIONS(989),
    [sym_command_parameter] = ACTIONS(97),
    [anon_sym_LPAREN] = ACTIONS(991),
    [anon_sym_COMMA] = ACTIONS(1021),
    [anon_sym_LBRACE] = ACTIONS(993),
    [anon_sym_PIPE] = ACTIONS(97),
    [sym_stop_parsing] = ACTIONS(97),
    [anon_sym_SPACE] = ACTIONS(97),
    [anon_sym_COLON] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(1021),
    [anon_sym_DASH] = ACTIONS(1021),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1021),
    [anon_sym_BANG] = ACTIONS(1021),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1021),
    [anon_sym_PLUS_PLUS] = ACTIONS(1023),
    [anon_sym_DASH_DASH] = ACTIONS(1025),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(999),
    [anon_sym_AT_LPAREN] = ACTIONS(1001),
    [anon_sym_AT_LBRACE] = ACTIONS(1003),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(97),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
    [sym__statement_terminator] = ACTIONS(95),
  },
  [214] = {
    [sym__literal] = STATE(784),
    [sym_integer_literal] = STATE(784),
    [sym_string_literal] = STATE(784),
    [sym_expandable_string_literal] = STATE(782),
    [sym_expandable_here_string_literal] = STATE(782),
    [sym_variable] = STATE(784),
    [sym_array_literal_expression] = STATE(1086),
    [sym_unary_expression] = STATE(1028),
    [sym_expression_with_unary_operator] = STATE(1070),
    [sym_pre_increment_expression] = STATE(1060),
    [sym_pre_decrement_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1060),
    [sym__primary_expression] = STATE(784),
    [sym__value] = STATE(784),
    [sym_parenthesized_expression] = STATE(784),
    [sym_sub_expression] = STATE(784),
    [sym_array_expression] = STATE(784),
    [sym_script_block_expression] = STATE(784),
    [sym_hash_literal_expression] = STATE(784),
    [sym_post_increment_expression] = STATE(784),
    [sym_post_decrement_expression] = STATE(784),
    [sym_member_access] = STATE(784),
    [sym_element_access] = STATE(784),
    [sym_invokation_expression] = STATE(784),
    [sym_invokation_foreach_expression] = STATE(785),
    [sym_type_literal] = STATE(202),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(883),
    [sym_hexadecimal_integer_literal] = ACTIONS(883),
    [sym_real_literal] = ACTIONS(885),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(887),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(889),
    [sym_verbatim_string_characters] = ACTIONS(891),
    [sym_verbatim_here_string_characters] = ACTIONS(891),
    [anon_sym_LBRACK] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_2_GT] = ACTIONS(1027),
    [anon_sym_2_GT_GT] = ACTIONS(1027),
    [anon_sym_3_GT] = ACTIONS(1027),
    [anon_sym_3_GT_GT] = ACTIONS(1027),
    [anon_sym_4_GT] = ACTIONS(1027),
    [anon_sym_4_GT_GT] = ACTIONS(1027),
    [anon_sym_5_GT] = ACTIONS(1027),
    [anon_sym_5_GT_GT] = ACTIONS(1027),
    [anon_sym_6_GT] = ACTIONS(1027),
    [anon_sym_6_GT_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT_GT] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1027),
    [anon_sym_2_GT_AMP1] = ACTIONS(1027),
    [anon_sym_3_GT_AMP1] = ACTIONS(1027),
    [anon_sym_4_GT_AMP1] = ACTIONS(1027),
    [anon_sym_5_GT_AMP1] = ACTIONS(1027),
    [anon_sym_6_GT_AMP1] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1027),
    [anon_sym_1_GT_AMP2] = ACTIONS(1027),
    [anon_sym_3_GT_AMP2] = ACTIONS(1027),
    [anon_sym_4_GT_AMP2] = ACTIONS(1027),
    [anon_sym_5_GT_AMP2] = ACTIONS(1027),
    [anon_sym_6_GT_AMP2] = ACTIONS(1027),
    [aux_sym_comparison_operator_token37] = ACTIONS(895),
    [aux_sym_comparison_operator_token50] = ACTIONS(895),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(897),
    [anon_sym_DOLLAR_CARET] = ACTIONS(897),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(897),
    [anon_sym_DOLLAR_] = ACTIONS(897),
    [aux_sym_variable_token1] = ACTIONS(897),
    [aux_sym_variable_token2] = ACTIONS(897),
    [sym_braced_variable] = ACTIONS(897),
    [sym_generic_token] = ACTIONS(1029),
    [sym_command_parameter] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(899),
    [anon_sym_COMMA] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_PIPE] = ACTIONS(1027),
    [sym_stop_parsing] = ACTIONS(1027),
    [anon_sym_SPACE] = ACTIONS(1027),
    [anon_sym_COLON] = ACTIONS(1027),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(895),
    [anon_sym_DASH] = ACTIONS(895),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(895),
    [anon_sym_BANG] = ACTIONS(895),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(895),
    [anon_sym_PLUS_PLUS] = ACTIONS(903),
    [anon_sym_DASH_DASH] = ACTIONS(905),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(907),
    [anon_sym_AT_LPAREN] = ACTIONS(909),
    [anon_sym_AT_LBRACE] = ACTIONS(911),
    [sym__statement_terminator] = ACTIONS(1031),
  },
  [215] = {
    [sym__literal] = STATE(888),
    [sym_integer_literal] = STATE(888),
    [sym_string_literal] = STATE(888),
    [sym_expandable_string_literal] = STATE(887),
    [sym_expandable_here_string_literal] = STATE(887),
    [sym_variable] = STATE(888),
    [sym_unary_expression] = STATE(1093),
    [sym_expression_with_unary_operator] = STATE(1082),
    [sym_pre_increment_expression] = STATE(1077),
    [sym_pre_decrement_expression] = STATE(1077),
    [sym_cast_expression] = STATE(1077),
    [sym__primary_expression] = STATE(888),
    [sym__value] = STATE(888),
    [sym_parenthesized_expression] = STATE(888),
    [sym_sub_expression] = STATE(888),
    [sym_array_expression] = STATE(888),
    [sym_script_block_expression] = STATE(888),
    [sym_hash_literal_expression] = STATE(888),
    [sym_post_increment_expression] = STATE(888),
    [sym_post_decrement_expression] = STATE(888),
    [sym_member_access] = STATE(888),
    [sym_element_access] = STATE(888),
    [sym_invokation_expression] = STATE(888),
    [sym_invokation_foreach_expression] = STATE(892),
    [sym_type_literal] = STATE(215),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(945),
    [sym_hexadecimal_integer_literal] = ACTIONS(945),
    [sym_real_literal] = ACTIONS(1005),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(949),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(951),
    [sym_verbatim_string_characters] = ACTIONS(953),
    [sym_verbatim_here_string_characters] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(97),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(97),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(97),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(97),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(97),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(97),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(97),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(97),
    [anon_sym_2_GT_AMP1] = ACTIONS(97),
    [anon_sym_3_GT_AMP1] = ACTIONS(97),
    [anon_sym_4_GT_AMP1] = ACTIONS(97),
    [anon_sym_5_GT_AMP1] = ACTIONS(97),
    [anon_sym_6_GT_AMP1] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(97),
    [anon_sym_1_GT_AMP2] = ACTIONS(97),
    [anon_sym_3_GT_AMP2] = ACTIONS(97),
    [anon_sym_4_GT_AMP2] = ACTIONS(97),
    [anon_sym_5_GT_AMP2] = ACTIONS(97),
    [anon_sym_6_GT_AMP2] = ACTIONS(97),
    [aux_sym_comparison_operator_token37] = ACTIONS(1033),
    [aux_sym_comparison_operator_token50] = ACTIONS(1033),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(959),
    [anon_sym_DOLLAR_CARET] = ACTIONS(959),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(959),
    [anon_sym_DOLLAR_] = ACTIONS(959),
    [aux_sym_variable_token1] = ACTIONS(959),
    [aux_sym_variable_token2] = ACTIONS(959),
    [sym_braced_variable] = ACTIONS(959),
    [sym_command_parameter] = ACTIONS(97),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_RPAREN] = ACTIONS(97),
    [anon_sym_COMMA] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(963),
    [anon_sym_PIPE] = ACTIONS(97),
    [sym_stop_parsing] = ACTIONS(97),
    [anon_sym_SPACE] = ACTIONS(97),
    [anon_sym_COLON] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(1033),
    [anon_sym_DASH] = ACTIONS(1033),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1033),
    [anon_sym_BANG] = ACTIONS(1033),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1033),
    [anon_sym_PLUS_PLUS] = ACTIONS(1035),
    [anon_sym_DASH_DASH] = ACTIONS(1037),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(969),
    [anon_sym_AT_LPAREN] = ACTIONS(971),
    [anon_sym_AT_LBRACE] = ACTIONS(973),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(97),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
  },
  [216] = {
    [sym__literal] = STATE(815),
    [sym_integer_literal] = STATE(815),
    [sym_string_literal] = STATE(815),
    [sym_expandable_string_literal] = STATE(814),
    [sym_expandable_here_string_literal] = STATE(814),
    [sym_variable] = STATE(815),
    [sym_array_literal_expression] = STATE(1076),
    [sym_unary_expression] = STATE(1006),
    [sym_expression_with_unary_operator] = STATE(1061),
    [sym_pre_increment_expression] = STATE(1062),
    [sym_pre_decrement_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1062),
    [sym__primary_expression] = STATE(815),
    [sym__value] = STATE(815),
    [sym_parenthesized_expression] = STATE(815),
    [sym_sub_expression] = STATE(815),
    [sym_array_expression] = STATE(815),
    [sym_script_block_expression] = STATE(815),
    [sym_hash_literal_expression] = STATE(815),
    [sym_post_increment_expression] = STATE(815),
    [sym_post_decrement_expression] = STATE(815),
    [sym_member_access] = STATE(815),
    [sym_element_access] = STATE(815),
    [sym_invokation_expression] = STATE(815),
    [sym_invokation_foreach_expression] = STATE(816),
    [sym_type_literal] = STATE(199),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(845),
    [sym_hexadecimal_integer_literal] = ACTIONS(845),
    [sym_real_literal] = ACTIONS(847),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(849),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(851),
    [sym_verbatim_string_characters] = ACTIONS(853),
    [sym_verbatim_here_string_characters] = ACTIONS(853),
    [anon_sym_LBRACK] = ACTIONS(855),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_2_GT] = ACTIONS(1027),
    [anon_sym_2_GT_GT] = ACTIONS(1027),
    [anon_sym_3_GT] = ACTIONS(1027),
    [anon_sym_3_GT_GT] = ACTIONS(1027),
    [anon_sym_4_GT] = ACTIONS(1027),
    [anon_sym_4_GT_GT] = ACTIONS(1027),
    [anon_sym_5_GT] = ACTIONS(1027),
    [anon_sym_5_GT_GT] = ACTIONS(1027),
    [anon_sym_6_GT] = ACTIONS(1027),
    [anon_sym_6_GT_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT_GT] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1027),
    [anon_sym_2_GT_AMP1] = ACTIONS(1027),
    [anon_sym_3_GT_AMP1] = ACTIONS(1027),
    [anon_sym_4_GT_AMP1] = ACTIONS(1027),
    [anon_sym_5_GT_AMP1] = ACTIONS(1027),
    [anon_sym_6_GT_AMP1] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1027),
    [anon_sym_1_GT_AMP2] = ACTIONS(1027),
    [anon_sym_3_GT_AMP2] = ACTIONS(1027),
    [anon_sym_4_GT_AMP2] = ACTIONS(1027),
    [anon_sym_5_GT_AMP2] = ACTIONS(1027),
    [anon_sym_6_GT_AMP2] = ACTIONS(1027),
    [aux_sym_comparison_operator_token37] = ACTIONS(857),
    [aux_sym_comparison_operator_token50] = ACTIONS(857),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(859),
    [anon_sym_DOLLAR_CARET] = ACTIONS(859),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(859),
    [anon_sym_DOLLAR_] = ACTIONS(859),
    [aux_sym_variable_token1] = ACTIONS(859),
    [aux_sym_variable_token2] = ACTIONS(859),
    [sym_braced_variable] = ACTIONS(859),
    [sym_generic_token] = ACTIONS(1039),
    [sym_command_parameter] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_RPAREN] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_PIPE] = ACTIONS(1027),
    [sym_stop_parsing] = ACTIONS(1027),
    [anon_sym_SPACE] = ACTIONS(1027),
    [anon_sym_COLON] = ACTIONS(1027),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_DASH] = ACTIONS(857),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(857),
    [anon_sym_BANG] = ACTIONS(857),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(857),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_DASH_DASH] = ACTIONS(867),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(869),
    [anon_sym_AT_LPAREN] = ACTIONS(871),
    [anon_sym_AT_LBRACE] = ACTIONS(873),
  },
  [217] = {
    [sym__literal] = STATE(894),
    [sym_integer_literal] = STATE(894),
    [sym_string_literal] = STATE(894),
    [sym_expandable_string_literal] = STATE(782),
    [sym_expandable_here_string_literal] = STATE(782),
    [sym_variable] = STATE(894),
    [sym_array_literal_expression] = STATE(1086),
    [sym_unary_expression] = STATE(1071),
    [sym_expression_with_unary_operator] = STATE(1070),
    [sym_pre_increment_expression] = STATE(1060),
    [sym_pre_decrement_expression] = STATE(1060),
    [sym_cast_expression] = STATE(1060),
    [sym__primary_expression] = STATE(894),
    [sym__value] = STATE(894),
    [sym_parenthesized_expression] = STATE(894),
    [sym_sub_expression] = STATE(894),
    [sym_array_expression] = STATE(894),
    [sym_script_block_expression] = STATE(894),
    [sym_hash_literal_expression] = STATE(894),
    [sym_post_increment_expression] = STATE(894),
    [sym_post_decrement_expression] = STATE(894),
    [sym_member_access] = STATE(894),
    [sym_element_access] = STATE(894),
    [sym_invokation_expression] = STATE(894),
    [sym_invokation_foreach_expression] = STATE(785),
    [sym_type_literal] = STATE(207),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(883),
    [sym_hexadecimal_integer_literal] = ACTIONS(883),
    [sym_real_literal] = ACTIONS(929),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(887),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(889),
    [sym_verbatim_string_characters] = ACTIONS(891),
    [sym_verbatim_here_string_characters] = ACTIONS(891),
    [anon_sym_LBRACK] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_2_GT] = ACTIONS(1027),
    [anon_sym_2_GT_GT] = ACTIONS(1027),
    [anon_sym_3_GT] = ACTIONS(1027),
    [anon_sym_3_GT_GT] = ACTIONS(1027),
    [anon_sym_4_GT] = ACTIONS(1027),
    [anon_sym_4_GT_GT] = ACTIONS(1027),
    [anon_sym_5_GT] = ACTIONS(1027),
    [anon_sym_5_GT_GT] = ACTIONS(1027),
    [anon_sym_6_GT] = ACTIONS(1027),
    [anon_sym_6_GT_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT_GT] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1027),
    [anon_sym_2_GT_AMP1] = ACTIONS(1027),
    [anon_sym_3_GT_AMP1] = ACTIONS(1027),
    [anon_sym_4_GT_AMP1] = ACTIONS(1027),
    [anon_sym_5_GT_AMP1] = ACTIONS(1027),
    [anon_sym_6_GT_AMP1] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1027),
    [anon_sym_1_GT_AMP2] = ACTIONS(1027),
    [anon_sym_3_GT_AMP2] = ACTIONS(1027),
    [anon_sym_4_GT_AMP2] = ACTIONS(1027),
    [anon_sym_5_GT_AMP2] = ACTIONS(1027),
    [anon_sym_6_GT_AMP2] = ACTIONS(1027),
    [aux_sym_comparison_operator_token37] = ACTIONS(931),
    [aux_sym_comparison_operator_token50] = ACTIONS(931),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(897),
    [anon_sym_DOLLAR_CARET] = ACTIONS(897),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(897),
    [anon_sym_DOLLAR_] = ACTIONS(897),
    [aux_sym_variable_token1] = ACTIONS(897),
    [aux_sym_variable_token2] = ACTIONS(897),
    [sym_braced_variable] = ACTIONS(897),
    [sym_generic_token] = ACTIONS(1029),
    [sym_command_parameter] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(899),
    [anon_sym_COMMA] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(901),
    [anon_sym_PIPE] = ACTIONS(1027),
    [sym_stop_parsing] = ACTIONS(1027),
    [anon_sym_SPACE] = ACTIONS(1027),
    [anon_sym_COLON] = ACTIONS(1027),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_DASH] = ACTIONS(931),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(931),
    [anon_sym_BANG] = ACTIONS(931),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(931),
    [anon_sym_PLUS_PLUS] = ACTIONS(933),
    [anon_sym_DASH_DASH] = ACTIONS(935),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(907),
    [anon_sym_AT_LPAREN] = ACTIONS(909),
    [anon_sym_AT_LBRACE] = ACTIONS(911),
    [sym__statement_terminator] = ACTIONS(1031),
  },
  [218] = {
    [sym__literal] = STATE(896),
    [sym_integer_literal] = STATE(896),
    [sym_string_literal] = STATE(896),
    [sym_expandable_string_literal] = STATE(814),
    [sym_expandable_here_string_literal] = STATE(814),
    [sym_variable] = STATE(896),
    [sym_array_literal_expression] = STATE(1076),
    [sym_unary_expression] = STATE(1068),
    [sym_expression_with_unary_operator] = STATE(1061),
    [sym_pre_increment_expression] = STATE(1062),
    [sym_pre_decrement_expression] = STATE(1062),
    [sym_cast_expression] = STATE(1062),
    [sym__primary_expression] = STATE(896),
    [sym__value] = STATE(896),
    [sym_parenthesized_expression] = STATE(896),
    [sym_sub_expression] = STATE(896),
    [sym_array_expression] = STATE(896),
    [sym_script_block_expression] = STATE(896),
    [sym_hash_literal_expression] = STATE(896),
    [sym_post_increment_expression] = STATE(896),
    [sym_post_decrement_expression] = STATE(896),
    [sym_member_access] = STATE(896),
    [sym_element_access] = STATE(896),
    [sym_invokation_expression] = STATE(896),
    [sym_invokation_foreach_expression] = STATE(816),
    [sym_type_literal] = STATE(208),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(845),
    [sym_hexadecimal_integer_literal] = ACTIONS(845),
    [sym_real_literal] = ACTIONS(937),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(849),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(851),
    [sym_verbatim_string_characters] = ACTIONS(853),
    [sym_verbatim_here_string_characters] = ACTIONS(853),
    [anon_sym_LBRACK] = ACTIONS(855),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_2_GT] = ACTIONS(1027),
    [anon_sym_2_GT_GT] = ACTIONS(1027),
    [anon_sym_3_GT] = ACTIONS(1027),
    [anon_sym_3_GT_GT] = ACTIONS(1027),
    [anon_sym_4_GT] = ACTIONS(1027),
    [anon_sym_4_GT_GT] = ACTIONS(1027),
    [anon_sym_5_GT] = ACTIONS(1027),
    [anon_sym_5_GT_GT] = ACTIONS(1027),
    [anon_sym_6_GT] = ACTIONS(1027),
    [anon_sym_6_GT_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT_GT] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1027),
    [anon_sym_2_GT_AMP1] = ACTIONS(1027),
    [anon_sym_3_GT_AMP1] = ACTIONS(1027),
    [anon_sym_4_GT_AMP1] = ACTIONS(1027),
    [anon_sym_5_GT_AMP1] = ACTIONS(1027),
    [anon_sym_6_GT_AMP1] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1027),
    [anon_sym_1_GT_AMP2] = ACTIONS(1027),
    [anon_sym_3_GT_AMP2] = ACTIONS(1027),
    [anon_sym_4_GT_AMP2] = ACTIONS(1027),
    [anon_sym_5_GT_AMP2] = ACTIONS(1027),
    [anon_sym_6_GT_AMP2] = ACTIONS(1027),
    [aux_sym_comparison_operator_token37] = ACTIONS(939),
    [aux_sym_comparison_operator_token50] = ACTIONS(939),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(859),
    [anon_sym_DOLLAR_CARET] = ACTIONS(859),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(859),
    [anon_sym_DOLLAR_] = ACTIONS(859),
    [aux_sym_variable_token1] = ACTIONS(859),
    [aux_sym_variable_token2] = ACTIONS(859),
    [sym_braced_variable] = ACTIONS(859),
    [sym_generic_token] = ACTIONS(1039),
    [sym_command_parameter] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_RPAREN] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_PIPE] = ACTIONS(1027),
    [sym_stop_parsing] = ACTIONS(1027),
    [anon_sym_SPACE] = ACTIONS(1027),
    [anon_sym_COLON] = ACTIONS(1027),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_DASH] = ACTIONS(939),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(939),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(939),
    [anon_sym_PLUS_PLUS] = ACTIONS(941),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(869),
    [anon_sym_AT_LPAREN] = ACTIONS(871),
    [anon_sym_AT_LBRACE] = ACTIONS(873),
  },
  [219] = {
    [sym__literal] = STATE(901),
    [sym_integer_literal] = STATE(901),
    [sym_string_literal] = STATE(901),
    [sym_expandable_string_literal] = STATE(916),
    [sym_expandable_here_string_literal] = STATE(916),
    [sym_variable] = STATE(901),
    [sym_array_literal_expression] = STATE(1111),
    [sym_unary_expression] = STATE(1057),
    [sym_expression_with_unary_operator] = STATE(1074),
    [sym_pre_increment_expression] = STATE(1092),
    [sym_pre_decrement_expression] = STATE(1092),
    [sym_cast_expression] = STATE(1092),
    [sym__primary_expression] = STATE(901),
    [sym__value] = STATE(901),
    [sym_parenthesized_expression] = STATE(901),
    [sym_sub_expression] = STATE(901),
    [sym_array_expression] = STATE(901),
    [sym_script_block_expression] = STATE(901),
    [sym_hash_literal_expression] = STATE(901),
    [sym_post_increment_expression] = STATE(901),
    [sym_post_decrement_expression] = STATE(901),
    [sym_member_access] = STATE(901),
    [sym_element_access] = STATE(901),
    [sym_invokation_expression] = STATE(901),
    [sym_invokation_foreach_expression] = STATE(867),
    [sym_type_literal] = STATE(213),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(975),
    [sym_hexadecimal_integer_literal] = ACTIONS(975),
    [sym_real_literal] = ACTIONS(1013),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(979),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(981),
    [sym_verbatim_string_characters] = ACTIONS(983),
    [sym_verbatim_here_string_characters] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_2_GT] = ACTIONS(1027),
    [anon_sym_2_GT_GT] = ACTIONS(1027),
    [anon_sym_3_GT] = ACTIONS(1027),
    [anon_sym_3_GT_GT] = ACTIONS(1027),
    [anon_sym_4_GT] = ACTIONS(1027),
    [anon_sym_4_GT_GT] = ACTIONS(1027),
    [anon_sym_5_GT] = ACTIONS(1027),
    [anon_sym_5_GT_GT] = ACTIONS(1027),
    [anon_sym_6_GT] = ACTIONS(1027),
    [anon_sym_6_GT_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT_GT] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1027),
    [anon_sym_2_GT_AMP1] = ACTIONS(1027),
    [anon_sym_3_GT_AMP1] = ACTIONS(1027),
    [anon_sym_4_GT_AMP1] = ACTIONS(1027),
    [anon_sym_5_GT_AMP1] = ACTIONS(1027),
    [anon_sym_6_GT_AMP1] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1027),
    [anon_sym_1_GT_AMP2] = ACTIONS(1027),
    [anon_sym_3_GT_AMP2] = ACTIONS(1027),
    [anon_sym_4_GT_AMP2] = ACTIONS(1027),
    [anon_sym_5_GT_AMP2] = ACTIONS(1027),
    [anon_sym_6_GT_AMP2] = ACTIONS(1027),
    [aux_sym_comparison_operator_token37] = ACTIONS(1021),
    [aux_sym_comparison_operator_token50] = ACTIONS(1021),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(989),
    [anon_sym_DOLLAR_CARET] = ACTIONS(989),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(989),
    [anon_sym_DOLLAR_] = ACTIONS(989),
    [aux_sym_variable_token1] = ACTIONS(989),
    [aux_sym_variable_token2] = ACTIONS(989),
    [sym_braced_variable] = ACTIONS(989),
    [sym_generic_token] = ACTIONS(1041),
    [sym_command_parameter] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(991),
    [anon_sym_COMMA] = ACTIONS(1021),
    [anon_sym_LBRACE] = ACTIONS(993),
    [anon_sym_PIPE] = ACTIONS(1027),
    [sym_stop_parsing] = ACTIONS(1027),
    [anon_sym_SPACE] = ACTIONS(1027),
    [anon_sym_COLON] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1021),
    [anon_sym_DASH] = ACTIONS(1021),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1021),
    [anon_sym_BANG] = ACTIONS(1021),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1021),
    [anon_sym_PLUS_PLUS] = ACTIONS(1023),
    [anon_sym_DASH_DASH] = ACTIONS(1025),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(999),
    [anon_sym_AT_LPAREN] = ACTIONS(1001),
    [anon_sym_AT_LBRACE] = ACTIONS(1003),
    [sym__statement_terminator] = ACTIONS(1031),
  },
  [220] = {
    [sym__literal] = STATE(929),
    [sym_integer_literal] = STATE(929),
    [sym_string_literal] = STATE(929),
    [sym_expandable_string_literal] = STATE(887),
    [sym_expandable_here_string_literal] = STATE(887),
    [sym_variable] = STATE(929),
    [sym_array_literal_expression] = STATE(1112),
    [sym_unary_expression] = STATE(1073),
    [sym_expression_with_unary_operator] = STATE(1082),
    [sym_pre_increment_expression] = STATE(1077),
    [sym_pre_decrement_expression] = STATE(1077),
    [sym_cast_expression] = STATE(1077),
    [sym__primary_expression] = STATE(929),
    [sym__value] = STATE(929),
    [sym_parenthesized_expression] = STATE(929),
    [sym_sub_expression] = STATE(929),
    [sym_array_expression] = STATE(929),
    [sym_script_block_expression] = STATE(929),
    [sym_hash_literal_expression] = STATE(929),
    [sym_post_increment_expression] = STATE(929),
    [sym_post_decrement_expression] = STATE(929),
    [sym_member_access] = STATE(929),
    [sym_element_access] = STATE(929),
    [sym_invokation_expression] = STATE(929),
    [sym_invokation_foreach_expression] = STATE(892),
    [sym_type_literal] = STATE(209),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(945),
    [sym_hexadecimal_integer_literal] = ACTIONS(945),
    [sym_real_literal] = ACTIONS(947),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(949),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(951),
    [sym_verbatim_string_characters] = ACTIONS(953),
    [sym_verbatim_here_string_characters] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_2_GT] = ACTIONS(1027),
    [anon_sym_2_GT_GT] = ACTIONS(1027),
    [anon_sym_3_GT] = ACTIONS(1027),
    [anon_sym_3_GT_GT] = ACTIONS(1027),
    [anon_sym_4_GT] = ACTIONS(1027),
    [anon_sym_4_GT_GT] = ACTIONS(1027),
    [anon_sym_5_GT] = ACTIONS(1027),
    [anon_sym_5_GT_GT] = ACTIONS(1027),
    [anon_sym_6_GT] = ACTIONS(1027),
    [anon_sym_6_GT_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT_GT] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1027),
    [anon_sym_2_GT_AMP1] = ACTIONS(1027),
    [anon_sym_3_GT_AMP1] = ACTIONS(1027),
    [anon_sym_4_GT_AMP1] = ACTIONS(1027),
    [anon_sym_5_GT_AMP1] = ACTIONS(1027),
    [anon_sym_6_GT_AMP1] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1027),
    [anon_sym_1_GT_AMP2] = ACTIONS(1027),
    [anon_sym_3_GT_AMP2] = ACTIONS(1027),
    [anon_sym_4_GT_AMP2] = ACTIONS(1027),
    [anon_sym_5_GT_AMP2] = ACTIONS(1027),
    [anon_sym_6_GT_AMP2] = ACTIONS(1027),
    [aux_sym_comparison_operator_token37] = ACTIONS(957),
    [aux_sym_comparison_operator_token50] = ACTIONS(957),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(959),
    [anon_sym_DOLLAR_CARET] = ACTIONS(959),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(959),
    [anon_sym_DOLLAR_] = ACTIONS(959),
    [aux_sym_variable_token1] = ACTIONS(959),
    [aux_sym_variable_token2] = ACTIONS(959),
    [sym_braced_variable] = ACTIONS(959),
    [sym_generic_token] = ACTIONS(1043),
    [sym_command_parameter] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_RPAREN] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(957),
    [anon_sym_LBRACE] = ACTIONS(963),
    [anon_sym_PIPE] = ACTIONS(1027),
    [sym_stop_parsing] = ACTIONS(1027),
    [anon_sym_SPACE] = ACTIONS(1027),
    [anon_sym_COLON] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_DASH] = ACTIONS(957),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(957),
    [anon_sym_BANG] = ACTIONS(957),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(957),
    [anon_sym_PLUS_PLUS] = ACTIONS(965),
    [anon_sym_DASH_DASH] = ACTIONS(967),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(969),
    [anon_sym_AT_LPAREN] = ACTIONS(971),
    [anon_sym_AT_LBRACE] = ACTIONS(973),
  },
  [221] = {
    [sym__literal] = STATE(888),
    [sym_integer_literal] = STATE(888),
    [sym_string_literal] = STATE(888),
    [sym_expandable_string_literal] = STATE(887),
    [sym_expandable_here_string_literal] = STATE(887),
    [sym_variable] = STATE(888),
    [sym_array_literal_expression] = STATE(1112),
    [sym_unary_expression] = STATE(1046),
    [sym_expression_with_unary_operator] = STATE(1082),
    [sym_pre_increment_expression] = STATE(1077),
    [sym_pre_decrement_expression] = STATE(1077),
    [sym_cast_expression] = STATE(1077),
    [sym__primary_expression] = STATE(888),
    [sym__value] = STATE(888),
    [sym_parenthesized_expression] = STATE(888),
    [sym_sub_expression] = STATE(888),
    [sym_array_expression] = STATE(888),
    [sym_script_block_expression] = STATE(888),
    [sym_hash_literal_expression] = STATE(888),
    [sym_post_increment_expression] = STATE(888),
    [sym_post_decrement_expression] = STATE(888),
    [sym_member_access] = STATE(888),
    [sym_element_access] = STATE(888),
    [sym_invokation_expression] = STATE(888),
    [sym_invokation_foreach_expression] = STATE(892),
    [sym_type_literal] = STATE(215),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(945),
    [sym_hexadecimal_integer_literal] = ACTIONS(945),
    [sym_real_literal] = ACTIONS(1005),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(949),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(951),
    [sym_verbatim_string_characters] = ACTIONS(953),
    [sym_verbatim_here_string_characters] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_2_GT] = ACTIONS(1027),
    [anon_sym_2_GT_GT] = ACTIONS(1027),
    [anon_sym_3_GT] = ACTIONS(1027),
    [anon_sym_3_GT_GT] = ACTIONS(1027),
    [anon_sym_4_GT] = ACTIONS(1027),
    [anon_sym_4_GT_GT] = ACTIONS(1027),
    [anon_sym_5_GT] = ACTIONS(1027),
    [anon_sym_5_GT_GT] = ACTIONS(1027),
    [anon_sym_6_GT] = ACTIONS(1027),
    [anon_sym_6_GT_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT_GT] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1027),
    [anon_sym_2_GT_AMP1] = ACTIONS(1027),
    [anon_sym_3_GT_AMP1] = ACTIONS(1027),
    [anon_sym_4_GT_AMP1] = ACTIONS(1027),
    [anon_sym_5_GT_AMP1] = ACTIONS(1027),
    [anon_sym_6_GT_AMP1] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1027),
    [anon_sym_1_GT_AMP2] = ACTIONS(1027),
    [anon_sym_3_GT_AMP2] = ACTIONS(1027),
    [anon_sym_4_GT_AMP2] = ACTIONS(1027),
    [anon_sym_5_GT_AMP2] = ACTIONS(1027),
    [anon_sym_6_GT_AMP2] = ACTIONS(1027),
    [aux_sym_comparison_operator_token37] = ACTIONS(1033),
    [aux_sym_comparison_operator_token50] = ACTIONS(1033),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(959),
    [anon_sym_DOLLAR_CARET] = ACTIONS(959),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(959),
    [anon_sym_DOLLAR_] = ACTIONS(959),
    [aux_sym_variable_token1] = ACTIONS(959),
    [aux_sym_variable_token2] = ACTIONS(959),
    [sym_braced_variable] = ACTIONS(959),
    [sym_generic_token] = ACTIONS(1043),
    [sym_command_parameter] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_RPAREN] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(963),
    [anon_sym_PIPE] = ACTIONS(1027),
    [sym_stop_parsing] = ACTIONS(1027),
    [anon_sym_SPACE] = ACTIONS(1027),
    [anon_sym_COLON] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1033),
    [anon_sym_DASH] = ACTIONS(1033),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1033),
    [anon_sym_BANG] = ACTIONS(1033),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1033),
    [anon_sym_PLUS_PLUS] = ACTIONS(1035),
    [anon_sym_DASH_DASH] = ACTIONS(1037),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(969),
    [anon_sym_AT_LPAREN] = ACTIONS(971),
    [anon_sym_AT_LBRACE] = ACTIONS(973),
  },
  [222] = {
    [sym__literal] = STATE(928),
    [sym_integer_literal] = STATE(928),
    [sym_string_literal] = STATE(928),
    [sym_expandable_string_literal] = STATE(916),
    [sym_expandable_here_string_literal] = STATE(916),
    [sym_variable] = STATE(928),
    [sym_array_literal_expression] = STATE(1111),
    [sym_unary_expression] = STATE(1091),
    [sym_expression_with_unary_operator] = STATE(1074),
    [sym_pre_increment_expression] = STATE(1092),
    [sym_pre_decrement_expression] = STATE(1092),
    [sym_cast_expression] = STATE(1092),
    [sym__primary_expression] = STATE(928),
    [sym__value] = STATE(928),
    [sym_parenthesized_expression] = STATE(928),
    [sym_sub_expression] = STATE(928),
    [sym_array_expression] = STATE(928),
    [sym_script_block_expression] = STATE(928),
    [sym_hash_literal_expression] = STATE(928),
    [sym_post_increment_expression] = STATE(928),
    [sym_post_decrement_expression] = STATE(928),
    [sym_member_access] = STATE(928),
    [sym_element_access] = STATE(928),
    [sym_invokation_expression] = STATE(928),
    [sym_invokation_foreach_expression] = STATE(867),
    [sym_type_literal] = STATE(210),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(975),
    [sym_hexadecimal_integer_literal] = ACTIONS(975),
    [sym_real_literal] = ACTIONS(977),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(979),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(981),
    [sym_verbatim_string_characters] = ACTIONS(983),
    [sym_verbatim_here_string_characters] = ACTIONS(983),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_2_GT] = ACTIONS(1027),
    [anon_sym_2_GT_GT] = ACTIONS(1027),
    [anon_sym_3_GT] = ACTIONS(1027),
    [anon_sym_3_GT_GT] = ACTIONS(1027),
    [anon_sym_4_GT] = ACTIONS(1027),
    [anon_sym_4_GT_GT] = ACTIONS(1027),
    [anon_sym_5_GT] = ACTIONS(1027),
    [anon_sym_5_GT_GT] = ACTIONS(1027),
    [anon_sym_6_GT] = ACTIONS(1027),
    [anon_sym_6_GT_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT_GT] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1027),
    [anon_sym_2_GT_AMP1] = ACTIONS(1027),
    [anon_sym_3_GT_AMP1] = ACTIONS(1027),
    [anon_sym_4_GT_AMP1] = ACTIONS(1027),
    [anon_sym_5_GT_AMP1] = ACTIONS(1027),
    [anon_sym_6_GT_AMP1] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1027),
    [anon_sym_1_GT_AMP2] = ACTIONS(1027),
    [anon_sym_3_GT_AMP2] = ACTIONS(1027),
    [anon_sym_4_GT_AMP2] = ACTIONS(1027),
    [anon_sym_5_GT_AMP2] = ACTIONS(1027),
    [anon_sym_6_GT_AMP2] = ACTIONS(1027),
    [aux_sym_comparison_operator_token37] = ACTIONS(987),
    [aux_sym_comparison_operator_token50] = ACTIONS(987),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(989),
    [anon_sym_DOLLAR_CARET] = ACTIONS(989),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(989),
    [anon_sym_DOLLAR_] = ACTIONS(989),
    [aux_sym_variable_token1] = ACTIONS(989),
    [aux_sym_variable_token2] = ACTIONS(989),
    [sym_braced_variable] = ACTIONS(989),
    [sym_generic_token] = ACTIONS(1041),
    [sym_command_parameter] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(991),
    [anon_sym_COMMA] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(993),
    [anon_sym_PIPE] = ACTIONS(1027),
    [sym_stop_parsing] = ACTIONS(1027),
    [anon_sym_SPACE] = ACTIONS(1027),
    [anon_sym_COLON] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(987),
    [anon_sym_DASH] = ACTIONS(987),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(987),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(987),
    [anon_sym_PLUS_PLUS] = ACTIONS(995),
    [anon_sym_DASH_DASH] = ACTIONS(997),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(999),
    [anon_sym_AT_LPAREN] = ACTIONS(1001),
    [anon_sym_AT_LBRACE] = ACTIONS(1003),
    [sym__statement_terminator] = ACTIONS(1031),
  },
  [223] = {
    [sym__literal] = STATE(1025),
    [sym_integer_literal] = STATE(1025),
    [sym_string_literal] = STATE(1025),
    [sym_expandable_string_literal] = STATE(1020),
    [sym_expandable_here_string_literal] = STATE(1020),
    [sym_variable] = STATE(1025),
    [sym_unary_expression] = STATE(1036),
    [sym_expression_with_unary_operator] = STATE(1015),
    [sym_pre_increment_expression] = STATE(1001),
    [sym_pre_decrement_expression] = STATE(1001),
    [sym_cast_expression] = STATE(1001),
    [sym__primary_expression] = STATE(1025),
    [sym__value] = STATE(1025),
    [sym_parenthesized_expression] = STATE(1025),
    [sym_sub_expression] = STATE(1025),
    [sym_array_expression] = STATE(1025),
    [sym_script_block_expression] = STATE(1025),
    [sym_hash_literal_expression] = STATE(1025),
    [sym_post_increment_expression] = STATE(1025),
    [sym_post_decrement_expression] = STATE(1025),
    [sym_member_access] = STATE(1025),
    [sym_element_access] = STATE(1025),
    [sym_invokation_expression] = STATE(1025),
    [sym_invokation_foreach_expression] = STATE(1000),
    [sym_type_literal] = STATE(223),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(1045),
    [sym_hexadecimal_integer_literal] = ACTIONS(1047),
    [sym_real_literal] = ACTIONS(1049),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1051),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1053),
    [sym_verbatim_string_characters] = ACTIONS(1055),
    [sym_verbatim_here_string_characters] = ACTIONS(1055),
    [anon_sym_LBRACK] = ACTIONS(1057),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(95),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(95),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(95),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(95),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(95),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(95),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(95),
    [anon_sym_2_GT_AMP1] = ACTIONS(95),
    [anon_sym_3_GT_AMP1] = ACTIONS(95),
    [anon_sym_4_GT_AMP1] = ACTIONS(95),
    [anon_sym_5_GT_AMP1] = ACTIONS(95),
    [anon_sym_6_GT_AMP1] = ACTIONS(95),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(95),
    [anon_sym_1_GT_AMP2] = ACTIONS(95),
    [anon_sym_3_GT_AMP2] = ACTIONS(95),
    [anon_sym_4_GT_AMP2] = ACTIONS(95),
    [anon_sym_5_GT_AMP2] = ACTIONS(95),
    [anon_sym_6_GT_AMP2] = ACTIONS(95),
    [aux_sym_comparison_operator_token37] = ACTIONS(1059),
    [aux_sym_comparison_operator_token50] = ACTIONS(1059),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1061),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1061),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1061),
    [anon_sym_DOLLAR_] = ACTIONS(1063),
    [aux_sym_variable_token1] = ACTIONS(1063),
    [aux_sym_variable_token2] = ACTIONS(1061),
    [sym_braced_variable] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_COMMA] = ACTIONS(1059),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(1069),
    [anon_sym_DASH] = ACTIONS(1069),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1059),
    [anon_sym_BANG] = ACTIONS(1059),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1059),
    [anon_sym_PLUS_PLUS] = ACTIONS(1071),
    [anon_sym_DASH_DASH] = ACTIONS(1073),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1075),
    [anon_sym_AT_LPAREN] = ACTIONS(1077),
    [anon_sym_AT_LBRACE] = ACTIONS(1079),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(95),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
    [sym__statement_terminator] = ACTIONS(95),
  },
  [224] = {
    [sym__literal] = STATE(1059),
    [sym_integer_literal] = STATE(1059),
    [sym_string_literal] = STATE(1059),
    [sym_expandable_string_literal] = STATE(947),
    [sym_expandable_here_string_literal] = STATE(947),
    [sym_variable] = STATE(1059),
    [sym_unary_expression] = STATE(161),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(1059),
    [sym__value] = STATE(1059),
    [sym_parenthesized_expression] = STATE(1059),
    [sym_sub_expression] = STATE(1059),
    [sym_array_expression] = STATE(1059),
    [sym_script_block_expression] = STATE(1059),
    [sym_hash_literal_expression] = STATE(1059),
    [sym_post_increment_expression] = STATE(1059),
    [sym_post_decrement_expression] = STATE(1059),
    [sym_member_access] = STATE(1059),
    [sym_element_access] = STATE(1059),
    [sym_invokation_expression] = STATE(1059),
    [sym_invokation_foreach_expression] = STATE(955),
    [sym_type_literal] = STATE(224),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(1081),
    [sym_hexadecimal_integer_literal] = ACTIONS(1083),
    [sym_real_literal] = ACTIONS(1085),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1087),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1089),
    [sym_verbatim_string_characters] = ACTIONS(1091),
    [sym_verbatim_here_string_characters] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(1093),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(95),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(95),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(95),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(95),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(95),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(95),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(95),
    [anon_sym_2_GT_AMP1] = ACTIONS(95),
    [anon_sym_3_GT_AMP1] = ACTIONS(95),
    [anon_sym_4_GT_AMP1] = ACTIONS(95),
    [anon_sym_5_GT_AMP1] = ACTIONS(95),
    [anon_sym_6_GT_AMP1] = ACTIONS(95),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(95),
    [anon_sym_1_GT_AMP2] = ACTIONS(95),
    [anon_sym_3_GT_AMP2] = ACTIONS(95),
    [anon_sym_4_GT_AMP2] = ACTIONS(95),
    [anon_sym_5_GT_AMP2] = ACTIONS(95),
    [anon_sym_6_GT_AMP2] = ACTIONS(95),
    [aux_sym_comparison_operator_token37] = ACTIONS(1095),
    [aux_sym_comparison_operator_token50] = ACTIONS(1095),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1097),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1097),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1097),
    [anon_sym_DOLLAR_] = ACTIONS(1099),
    [aux_sym_variable_token1] = ACTIONS(1099),
    [aux_sym_variable_token2] = ACTIONS(1097),
    [sym_braced_variable] = ACTIONS(1097),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(95),
    [anon_sym_COMMA] = ACTIONS(1095),
    [anon_sym_LBRACE] = ACTIONS(1103),
    [anon_sym_PIPE] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(1105),
    [anon_sym_DASH] = ACTIONS(1105),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(1095),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1095),
    [anon_sym_PLUS_PLUS] = ACTIONS(1107),
    [anon_sym_DASH_DASH] = ACTIONS(1109),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1111),
    [anon_sym_AT_LPAREN] = ACTIONS(1113),
    [anon_sym_AT_LBRACE] = ACTIONS(1115),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(95),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
  },
  [225] = {
    [sym__literal] = STATE(1026),
    [sym_integer_literal] = STATE(1026),
    [sym_string_literal] = STATE(1026),
    [sym_expandable_string_literal] = STATE(947),
    [sym_expandable_here_string_literal] = STATE(947),
    [sym_variable] = STATE(1026),
    [sym_unary_expression] = STATE(954),
    [sym_expression_with_unary_operator] = STATE(939),
    [sym_pre_increment_expression] = STATE(940),
    [sym_pre_decrement_expression] = STATE(940),
    [sym_cast_expression] = STATE(940),
    [sym__primary_expression] = STATE(1026),
    [sym__value] = STATE(1026),
    [sym_parenthesized_expression] = STATE(1026),
    [sym_sub_expression] = STATE(1026),
    [sym_array_expression] = STATE(1026),
    [sym_script_block_expression] = STATE(1026),
    [sym_hash_literal_expression] = STATE(1026),
    [sym_post_increment_expression] = STATE(1026),
    [sym_post_decrement_expression] = STATE(1026),
    [sym_member_access] = STATE(1026),
    [sym_element_access] = STATE(1026),
    [sym_invokation_expression] = STATE(1026),
    [sym_invokation_foreach_expression] = STATE(955),
    [sym_type_literal] = STATE(225),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(1081),
    [sym_hexadecimal_integer_literal] = ACTIONS(1083),
    [sym_real_literal] = ACTIONS(1117),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1087),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1089),
    [sym_verbatim_string_characters] = ACTIONS(1091),
    [sym_verbatim_here_string_characters] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(1093),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(95),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(95),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(95),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(95),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(95),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(95),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(95),
    [anon_sym_2_GT_AMP1] = ACTIONS(95),
    [anon_sym_3_GT_AMP1] = ACTIONS(95),
    [anon_sym_4_GT_AMP1] = ACTIONS(95),
    [anon_sym_5_GT_AMP1] = ACTIONS(95),
    [anon_sym_6_GT_AMP1] = ACTIONS(95),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(95),
    [anon_sym_1_GT_AMP2] = ACTIONS(95),
    [anon_sym_3_GT_AMP2] = ACTIONS(95),
    [anon_sym_4_GT_AMP2] = ACTIONS(95),
    [anon_sym_5_GT_AMP2] = ACTIONS(95),
    [anon_sym_6_GT_AMP2] = ACTIONS(95),
    [aux_sym_comparison_operator_token37] = ACTIONS(1119),
    [aux_sym_comparison_operator_token50] = ACTIONS(1119),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1097),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1097),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1097),
    [anon_sym_DOLLAR_] = ACTIONS(1099),
    [aux_sym_variable_token1] = ACTIONS(1099),
    [aux_sym_variable_token2] = ACTIONS(1097),
    [sym_braced_variable] = ACTIONS(1097),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_RPAREN] = ACTIONS(95),
    [anon_sym_COMMA] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1103),
    [anon_sym_PIPE] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_DASH] = ACTIONS(1121),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(1119),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1119),
    [anon_sym_PLUS_PLUS] = ACTIONS(1123),
    [anon_sym_DASH_DASH] = ACTIONS(1125),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1111),
    [anon_sym_AT_LPAREN] = ACTIONS(1113),
    [anon_sym_AT_LBRACE] = ACTIONS(1115),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(95),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
  },
  [226] = {
    [sym__literal] = STATE(1058),
    [sym_integer_literal] = STATE(1058),
    [sym_string_literal] = STATE(1058),
    [sym_expandable_string_literal] = STATE(1020),
    [sym_expandable_here_string_literal] = STATE(1020),
    [sym_variable] = STATE(1058),
    [sym_unary_expression] = STATE(175),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(1058),
    [sym__value] = STATE(1058),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_sub_expression] = STATE(1058),
    [sym_array_expression] = STATE(1058),
    [sym_script_block_expression] = STATE(1058),
    [sym_hash_literal_expression] = STATE(1058),
    [sym_post_increment_expression] = STATE(1058),
    [sym_post_decrement_expression] = STATE(1058),
    [sym_member_access] = STATE(1058),
    [sym_element_access] = STATE(1058),
    [sym_invokation_expression] = STATE(1058),
    [sym_invokation_foreach_expression] = STATE(1000),
    [sym_type_literal] = STATE(226),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(1045),
    [sym_hexadecimal_integer_literal] = ACTIONS(1047),
    [sym_real_literal] = ACTIONS(1127),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1051),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1053),
    [sym_verbatim_string_characters] = ACTIONS(1055),
    [sym_verbatim_here_string_characters] = ACTIONS(1055),
    [anon_sym_LBRACK] = ACTIONS(1057),
    [anon_sym_GT] = ACTIONS(97),
    [anon_sym_GT_GT] = ACTIONS(95),
    [anon_sym_2_GT] = ACTIONS(97),
    [anon_sym_2_GT_GT] = ACTIONS(95),
    [anon_sym_3_GT] = ACTIONS(97),
    [anon_sym_3_GT_GT] = ACTIONS(95),
    [anon_sym_4_GT] = ACTIONS(97),
    [anon_sym_4_GT_GT] = ACTIONS(95),
    [anon_sym_5_GT] = ACTIONS(97),
    [anon_sym_5_GT_GT] = ACTIONS(95),
    [anon_sym_6_GT] = ACTIONS(97),
    [anon_sym_6_GT_GT] = ACTIONS(95),
    [anon_sym_STAR_GT] = ACTIONS(97),
    [anon_sym_STAR_GT_GT] = ACTIONS(95),
    [anon_sym_LT] = ACTIONS(97),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(95),
    [anon_sym_2_GT_AMP1] = ACTIONS(95),
    [anon_sym_3_GT_AMP1] = ACTIONS(95),
    [anon_sym_4_GT_AMP1] = ACTIONS(95),
    [anon_sym_5_GT_AMP1] = ACTIONS(95),
    [anon_sym_6_GT_AMP1] = ACTIONS(95),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(95),
    [anon_sym_1_GT_AMP2] = ACTIONS(95),
    [anon_sym_3_GT_AMP2] = ACTIONS(95),
    [anon_sym_4_GT_AMP2] = ACTIONS(95),
    [anon_sym_5_GT_AMP2] = ACTIONS(95),
    [anon_sym_6_GT_AMP2] = ACTIONS(95),
    [aux_sym_comparison_operator_token37] = ACTIONS(1129),
    [aux_sym_comparison_operator_token50] = ACTIONS(1129),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1061),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1061),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1061),
    [anon_sym_DOLLAR_] = ACTIONS(1063),
    [aux_sym_variable_token1] = ACTIONS(1063),
    [aux_sym_variable_token2] = ACTIONS(1061),
    [sym_braced_variable] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_COMMA] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_PIPE] = ACTIONS(95),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1131),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1129),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1133),
    [anon_sym_DASH_DASH] = ACTIONS(1135),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1075),
    [anon_sym_AT_LPAREN] = ACTIONS(1077),
    [anon_sym_AT_LBRACE] = ACTIONS(1079),
    [anon_sym_DOT2] = ACTIONS(97),
    [anon_sym_COLON_COLON] = ACTIONS(95),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(95),
    [sym__statement_terminator] = ACTIONS(95),
  },
  [227] = {
    [sym__literal] = STATE(1058),
    [sym_integer_literal] = STATE(1058),
    [sym_string_literal] = STATE(1058),
    [sym_expandable_string_literal] = STATE(1020),
    [sym_expandable_here_string_literal] = STATE(1020),
    [sym_variable] = STATE(1058),
    [sym_array_literal_expression] = STATE(1152),
    [sym_unary_expression] = STATE(1143),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(1058),
    [sym__value] = STATE(1058),
    [sym_parenthesized_expression] = STATE(1058),
    [sym_sub_expression] = STATE(1058),
    [sym_array_expression] = STATE(1058),
    [sym_script_block_expression] = STATE(1058),
    [sym_hash_literal_expression] = STATE(1058),
    [sym_post_increment_expression] = STATE(1058),
    [sym_post_decrement_expression] = STATE(1058),
    [sym_member_access] = STATE(1058),
    [sym_element_access] = STATE(1058),
    [sym_invokation_expression] = STATE(1058),
    [sym_invokation_foreach_expression] = STATE(1000),
    [sym_type_literal] = STATE(226),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1045),
    [sym_hexadecimal_integer_literal] = ACTIONS(1045),
    [sym_real_literal] = ACTIONS(1137),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1139),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1141),
    [sym_verbatim_string_characters] = ACTIONS(1143),
    [sym_verbatim_here_string_characters] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(1145),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_2_GT] = ACTIONS(1027),
    [anon_sym_2_GT_GT] = ACTIONS(1027),
    [anon_sym_3_GT] = ACTIONS(1027),
    [anon_sym_3_GT_GT] = ACTIONS(1027),
    [anon_sym_4_GT] = ACTIONS(1027),
    [anon_sym_4_GT_GT] = ACTIONS(1027),
    [anon_sym_5_GT] = ACTIONS(1027),
    [anon_sym_5_GT_GT] = ACTIONS(1027),
    [anon_sym_6_GT] = ACTIONS(1027),
    [anon_sym_6_GT_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT_GT] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1027),
    [anon_sym_2_GT_AMP1] = ACTIONS(1027),
    [anon_sym_3_GT_AMP1] = ACTIONS(1027),
    [anon_sym_4_GT_AMP1] = ACTIONS(1027),
    [anon_sym_5_GT_AMP1] = ACTIONS(1027),
    [anon_sym_6_GT_AMP1] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1027),
    [anon_sym_1_GT_AMP2] = ACTIONS(1027),
    [anon_sym_3_GT_AMP2] = ACTIONS(1027),
    [anon_sym_4_GT_AMP2] = ACTIONS(1027),
    [anon_sym_5_GT_AMP2] = ACTIONS(1027),
    [anon_sym_6_GT_AMP2] = ACTIONS(1027),
    [aux_sym_comparison_operator_token37] = ACTIONS(1131),
    [aux_sym_comparison_operator_token50] = ACTIONS(1131),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1063),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1063),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1063),
    [anon_sym_DOLLAR_] = ACTIONS(1063),
    [aux_sym_variable_token1] = ACTIONS(1063),
    [aux_sym_variable_token2] = ACTIONS(1063),
    [sym_braced_variable] = ACTIONS(1063),
    [sym_generic_token] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(1149),
    [anon_sym_COMMA] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym_PIPE] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1131),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1153),
    [anon_sym_DASH_DASH] = ACTIONS(1155),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1157),
    [anon_sym_AT_LPAREN] = ACTIONS(1159),
    [anon_sym_AT_LBRACE] = ACTIONS(1161),
    [sym__statement_terminator] = ACTIONS(1031),
  },
  [228] = {
    [sym__literal] = STATE(1059),
    [sym_integer_literal] = STATE(1059),
    [sym_string_literal] = STATE(1059),
    [sym_expandable_string_literal] = STATE(947),
    [sym_expandable_here_string_literal] = STATE(947),
    [sym_variable] = STATE(1059),
    [sym_array_literal_expression] = STATE(1155),
    [sym_unary_expression] = STATE(1144),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(1059),
    [sym__value] = STATE(1059),
    [sym_parenthesized_expression] = STATE(1059),
    [sym_sub_expression] = STATE(1059),
    [sym_array_expression] = STATE(1059),
    [sym_script_block_expression] = STATE(1059),
    [sym_hash_literal_expression] = STATE(1059),
    [sym_post_increment_expression] = STATE(1059),
    [sym_post_decrement_expression] = STATE(1059),
    [sym_member_access] = STATE(1059),
    [sym_element_access] = STATE(1059),
    [sym_invokation_expression] = STATE(1059),
    [sym_invokation_foreach_expression] = STATE(955),
    [sym_type_literal] = STATE(224),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1081),
    [sym_hexadecimal_integer_literal] = ACTIONS(1081),
    [sym_real_literal] = ACTIONS(1163),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1165),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1167),
    [sym_verbatim_string_characters] = ACTIONS(1169),
    [sym_verbatim_here_string_characters] = ACTIONS(1169),
    [anon_sym_LBRACK] = ACTIONS(1171),
    [anon_sym_GT] = ACTIONS(1027),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_2_GT] = ACTIONS(1027),
    [anon_sym_2_GT_GT] = ACTIONS(1027),
    [anon_sym_3_GT] = ACTIONS(1027),
    [anon_sym_3_GT_GT] = ACTIONS(1027),
    [anon_sym_4_GT] = ACTIONS(1027),
    [anon_sym_4_GT_GT] = ACTIONS(1027),
    [anon_sym_5_GT] = ACTIONS(1027),
    [anon_sym_5_GT_GT] = ACTIONS(1027),
    [anon_sym_6_GT] = ACTIONS(1027),
    [anon_sym_6_GT_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT] = ACTIONS(1027),
    [anon_sym_STAR_GT_GT] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1027),
    [anon_sym_2_GT_AMP1] = ACTIONS(1027),
    [anon_sym_3_GT_AMP1] = ACTIONS(1027),
    [anon_sym_4_GT_AMP1] = ACTIONS(1027),
    [anon_sym_5_GT_AMP1] = ACTIONS(1027),
    [anon_sym_6_GT_AMP1] = ACTIONS(1027),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1027),
    [anon_sym_1_GT_AMP2] = ACTIONS(1027),
    [anon_sym_3_GT_AMP2] = ACTIONS(1027),
    [anon_sym_4_GT_AMP2] = ACTIONS(1027),
    [anon_sym_5_GT_AMP2] = ACTIONS(1027),
    [anon_sym_6_GT_AMP2] = ACTIONS(1027),
    [aux_sym_comparison_operator_token37] = ACTIONS(1105),
    [aux_sym_comparison_operator_token50] = ACTIONS(1105),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1099),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1099),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1099),
    [anon_sym_DOLLAR_] = ACTIONS(1099),
    [aux_sym_variable_token1] = ACTIONS(1099),
    [aux_sym_variable_token2] = ACTIONS(1099),
    [sym_braced_variable] = ACTIONS(1099),
    [sym_generic_token] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_RPAREN] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(1105),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_PIPE] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1105),
    [anon_sym_DASH] = ACTIONS(1105),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1105),
    [anon_sym_BANG] = ACTIONS(1105),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1105),
    [anon_sym_PLUS_PLUS] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1181),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1183),
    [anon_sym_AT_LPAREN] = ACTIONS(1185),
    [anon_sym_AT_LBRACE] = ACTIONS(1187),
  },
  [229] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_condition] = STATE(2040),
    [sym_pipeline] = STATE(1736),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(1189),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_LF] = ACTIONS(1189),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [230] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_condition] = STATE(2043),
    [sym_pipeline] = STATE(1736),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1195),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_LF] = ACTIONS(1193),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [231] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_condition] = STATE(2098),
    [sym_pipeline] = STATE(1736),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(1197),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1199),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_LF] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [232] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_initializer] = STATE(2085),
    [sym_pipeline] = STATE(1921),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1203),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_LF] = ACTIONS(1201),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [233] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_condition] = STATE(2089),
    [sym_pipeline] = STATE(1736),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1207),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_LF] = ACTIONS(1205),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [234] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_condition] = STATE(2092),
    [sym_pipeline] = STATE(1736),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(1209),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_LF] = ACTIONS(1209),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [235] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_initializer] = STATE(2103),
    [sym_pipeline] = STATE(1921),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1215),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_LF] = ACTIONS(1213),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [236] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_condition] = STATE(2107),
    [sym_pipeline] = STATE(1736),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1219),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_LF] = ACTIONS(1217),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [237] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_condition] = STATE(2110),
    [sym_pipeline] = STATE(1736),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(1221),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1223),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_LF] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [238] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_initializer] = STATE(1920),
    [sym_pipeline] = STATE(1921),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1227),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_LF] = ACTIONS(1225),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [239] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_condition] = STATE(1732),
    [sym_pipeline] = STATE(1736),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1231),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_LF] = ACTIONS(1229),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [240] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_initializer] = STATE(2036),
    [sym_pipeline] = STATE(1921),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_SEMI] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1235),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_LF] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [241] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_iterator] = STATE(2113),
    [sym_pipeline] = STATE(2016),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1237),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [242] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_iterator] = STATE(2045),
    [sym_pipeline] = STATE(2016),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1239),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [243] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_iterator] = STATE(2046),
    [sym_pipeline] = STATE(2016),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1241),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [244] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_iterator] = STATE(2091),
    [sym_pipeline] = STATE(2016),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1243),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [245] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_iterator] = STATE(2095),
    [sym_pipeline] = STATE(2016),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1245),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [246] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_iterator] = STATE(2047),
    [sym_pipeline] = STATE(2016),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1247),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [247] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_iterator] = STATE(2094),
    [sym_pipeline] = STATE(2016),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1249),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [248] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_iterator] = STATE(2096),
    [sym_pipeline] = STATE(2016),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1251),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [249] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_iterator] = STATE(2109),
    [sym_pipeline] = STATE(2016),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1253),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [250] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_iterator] = STATE(2130),
    [sym_pipeline] = STATE(2016),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1255),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [251] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_iterator] = STATE(2112),
    [sym_pipeline] = STATE(2016),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1257),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [252] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_iterator] = STATE(1797),
    [sym_pipeline] = STATE(2016),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1259),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [253] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_iterator] = STATE(2114),
    [sym_pipeline] = STATE(2016),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1261),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [254] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_iterator] = STATE(1785),
    [sym_pipeline] = STATE(2016),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1263),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [255] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_iterator] = STATE(2015),
    [sym_pipeline] = STATE(2016),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1265),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [256] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_for_iterator] = STATE(2042),
    [sym_pipeline] = STATE(2016),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_RPAREN] = ACTIONS(1267),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
  },
  [257] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_while_condition] = STATE(2077),
    [sym_pipeline] = STATE(1933),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1269),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1271),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1273),
    [sym_verbatim_string_characters] = ACTIONS(1275),
    [sym_verbatim_here_string_characters] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [aux_sym_foreach_command_token1] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1291),
    [anon_sym_AT_LPAREN] = ACTIONS(1293),
    [anon_sym_AT_LBRACE] = ACTIONS(1295),
  },
  [258] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_while_condition] = STATE(1858),
    [sym_pipeline] = STATE(1933),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1269),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1271),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1273),
    [sym_verbatim_string_characters] = ACTIONS(1275),
    [sym_verbatim_here_string_characters] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [aux_sym_foreach_command_token1] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1291),
    [anon_sym_AT_LPAREN] = ACTIONS(1293),
    [anon_sym_AT_LBRACE] = ACTIONS(1295),
  },
  [259] = {
    [sym__literal] = STATE(156),
    [sym_integer_literal] = STATE(156),
    [sym_string_literal] = STATE(156),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(156),
    [sym_pipeline] = STATE(1977),
    [sym_left_assignment_expression] = STATE(1334),
    [sym_assignment_expression] = STATE(2121),
    [sym_command] = STATE(1395),
    [sym_command_invokation_operator] = STATE(733),
    [sym_command_name] = STATE(751),
    [sym_foreach_command] = STATE(1469),
    [sym__expression] = STATE(852),
    [sym_logical_expression] = STATE(984),
    [sym_bitwise_expression] = STATE(869),
    [sym_comparison_expression] = STATE(204),
    [sym_additive_expression] = STATE(197),
    [sym_multiplicative_expression] = STATE(192),
    [sym_format_expression] = STATE(184),
    [sym_range_expression] = STATE(188),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(162),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(156),
    [sym__value] = STATE(156),
    [sym_parenthesized_expression] = STATE(156),
    [sym_sub_expression] = STATE(156),
    [sym_array_expression] = STATE(156),
    [sym_script_block_expression] = STATE(156),
    [sym_hash_literal_expression] = STATE(156),
    [sym_post_increment_expression] = STATE(156),
    [sym_post_decrement_expression] = STATE(156),
    [sym_member_access] = STATE(156),
    [sym_element_access] = STATE(156),
    [sym_invokation_expression] = STATE(156),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(3),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(5),
    [sym_real_literal] = ACTIONS(7),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(9),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(11),
    [sym_verbatim_string_characters] = ACTIONS(13),
    [sym_verbatim_here_string_characters] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(243),
    [aux_sym_comparison_operator_token37] = ACTIONS(19),
    [aux_sym_comparison_operator_token50] = ACTIONS(19),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(21),
    [anon_sym_DOLLAR_CARET] = ACTIONS(21),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(21),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(21),
    [sym_braced_variable] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(19),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(63),
    [anon_sym_PERCENT] = ACTIONS(65),
    [aux_sym_foreach_command_token1] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(19),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(71),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(75),
    [anon_sym_AT_LPAREN] = ACTIONS(77),
    [anon_sym_AT_LBRACE] = ACTIONS(79),
    [sym__statement_terminator] = ACTIONS(1297),
  },
  [260] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_while_condition] = STATE(2052),
    [sym_pipeline] = STATE(1933),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1269),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1271),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1273),
    [sym_verbatim_string_characters] = ACTIONS(1275),
    [sym_verbatim_here_string_characters] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [aux_sym_foreach_command_token1] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1291),
    [anon_sym_AT_LPAREN] = ACTIONS(1293),
    [anon_sym_AT_LBRACE] = ACTIONS(1295),
  },
  [261] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_while_condition] = STATE(1881),
    [sym_pipeline] = STATE(1933),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1269),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1271),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1273),
    [sym_verbatim_string_characters] = ACTIONS(1275),
    [sym_verbatim_here_string_characters] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [aux_sym_foreach_command_token1] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1291),
    [anon_sym_AT_LPAREN] = ACTIONS(1293),
    [anon_sym_AT_LBRACE] = ACTIONS(1295),
  },
  [262] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_while_condition] = STATE(1984),
    [sym_pipeline] = STATE(1933),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1269),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1271),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1273),
    [sym_verbatim_string_characters] = ACTIONS(1275),
    [sym_verbatim_here_string_characters] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [aux_sym_foreach_command_token1] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1291),
    [anon_sym_AT_LPAREN] = ACTIONS(1293),
    [anon_sym_AT_LBRACE] = ACTIONS(1295),
  },
  [263] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_while_condition] = STATE(2024),
    [sym_pipeline] = STATE(1933),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1269),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1271),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1273),
    [sym_verbatim_string_characters] = ACTIONS(1275),
    [sym_verbatim_here_string_characters] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [aux_sym_foreach_command_token1] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1291),
    [anon_sym_AT_LPAREN] = ACTIONS(1293),
    [anon_sym_AT_LBRACE] = ACTIONS(1295),
  },
  [264] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_while_condition] = STATE(1931),
    [sym_pipeline] = STATE(1933),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1269),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1271),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1273),
    [sym_verbatim_string_characters] = ACTIONS(1275),
    [sym_verbatim_here_string_characters] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [aux_sym_foreach_command_token1] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1291),
    [anon_sym_AT_LPAREN] = ACTIONS(1293),
    [anon_sym_AT_LBRACE] = ACTIONS(1295),
  },
  [265] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_while_condition] = STATE(1941),
    [sym_pipeline] = STATE(1933),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1269),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1271),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1273),
    [sym_verbatim_string_characters] = ACTIONS(1275),
    [sym_verbatim_here_string_characters] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [aux_sym_foreach_command_token1] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1291),
    [anon_sym_AT_LPAREN] = ACTIONS(1293),
    [anon_sym_AT_LBRACE] = ACTIONS(1295),
  },
  [266] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1999),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1269),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1271),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1273),
    [sym_verbatim_string_characters] = ACTIONS(1275),
    [sym_verbatim_here_string_characters] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [aux_sym_foreach_command_token1] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1291),
    [anon_sym_AT_LPAREN] = ACTIONS(1293),
    [anon_sym_AT_LBRACE] = ACTIONS(1295),
  },
  [267] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1950),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1269),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1271),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1273),
    [sym_verbatim_string_characters] = ACTIONS(1275),
    [sym_verbatim_here_string_characters] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [aux_sym_foreach_command_token1] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1291),
    [anon_sym_AT_LPAREN] = ACTIONS(1293),
    [anon_sym_AT_LBRACE] = ACTIONS(1295),
  },
  [268] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1887),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1269),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1271),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1273),
    [sym_verbatim_string_characters] = ACTIONS(1275),
    [sym_verbatim_here_string_characters] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [aux_sym_foreach_command_token1] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1291),
    [anon_sym_AT_LPAREN] = ACTIONS(1293),
    [anon_sym_AT_LBRACE] = ACTIONS(1295),
  },
  [269] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1759),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1269),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1271),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1273),
    [sym_verbatim_string_characters] = ACTIONS(1275),
    [sym_verbatim_here_string_characters] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [aux_sym_foreach_command_token1] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1291),
    [anon_sym_AT_LPAREN] = ACTIONS(1293),
    [anon_sym_AT_LBRACE] = ACTIONS(1295),
  },
  [270] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(2069),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1269),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1271),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1273),
    [sym_verbatim_string_characters] = ACTIONS(1275),
    [sym_verbatim_here_string_characters] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [aux_sym_foreach_command_token1] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1291),
    [anon_sym_AT_LPAREN] = ACTIONS(1293),
    [anon_sym_AT_LBRACE] = ACTIONS(1295),
  },
  [271] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(2050),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1269),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1271),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1273),
    [sym_verbatim_string_characters] = ACTIONS(1275),
    [sym_verbatim_here_string_characters] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [aux_sym_foreach_command_token1] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1291),
    [anon_sym_AT_LPAREN] = ACTIONS(1293),
    [anon_sym_AT_LBRACE] = ACTIONS(1295),
  },
  [272] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1872),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1269),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1271),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1273),
    [sym_verbatim_string_characters] = ACTIONS(1275),
    [sym_verbatim_here_string_characters] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [aux_sym_foreach_command_token1] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1291),
    [anon_sym_AT_LPAREN] = ACTIONS(1293),
    [anon_sym_AT_LBRACE] = ACTIONS(1295),
  },
  [273] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1804),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1269),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1271),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1273),
    [sym_verbatim_string_characters] = ACTIONS(1275),
    [sym_verbatim_here_string_characters] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [aux_sym_foreach_command_token1] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1291),
    [anon_sym_AT_LPAREN] = ACTIONS(1293),
    [anon_sym_AT_LBRACE] = ACTIONS(1295),
  },
  [274] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1810),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1269),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1271),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1273),
    [sym_verbatim_string_characters] = ACTIONS(1275),
    [sym_verbatim_here_string_characters] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [aux_sym_foreach_command_token1] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1291),
    [anon_sym_AT_LPAREN] = ACTIONS(1293),
    [anon_sym_AT_LBRACE] = ACTIONS(1295),
  },
  [275] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1741),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1269),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1271),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1273),
    [sym_verbatim_string_characters] = ACTIONS(1275),
    [sym_verbatim_here_string_characters] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [aux_sym_foreach_command_token1] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1291),
    [anon_sym_AT_LPAREN] = ACTIONS(1293),
    [anon_sym_AT_LBRACE] = ACTIONS(1295),
  },
  [276] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1768),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1269),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1271),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1273),
    [sym_verbatim_string_characters] = ACTIONS(1275),
    [sym_verbatim_here_string_characters] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [aux_sym_foreach_command_token1] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1291),
    [anon_sym_AT_LPAREN] = ACTIONS(1293),
    [anon_sym_AT_LBRACE] = ACTIONS(1295),
  },
  [277] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1790),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1269),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1271),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1273),
    [sym_verbatim_string_characters] = ACTIONS(1275),
    [sym_verbatim_here_string_characters] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [aux_sym_foreach_command_token1] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1291),
    [anon_sym_AT_LPAREN] = ACTIONS(1293),
    [anon_sym_AT_LBRACE] = ACTIONS(1295),
  },
  [278] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(2011),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1269),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1271),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1273),
    [sym_verbatim_string_characters] = ACTIONS(1275),
    [sym_verbatim_here_string_characters] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [aux_sym_foreach_command_token1] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1291),
    [anon_sym_AT_LPAREN] = ACTIONS(1293),
    [anon_sym_AT_LBRACE] = ACTIONS(1295),
  },
  [279] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1812),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1269),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1271),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1273),
    [sym_verbatim_string_characters] = ACTIONS(1275),
    [sym_verbatim_here_string_characters] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [aux_sym_foreach_command_token1] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1291),
    [anon_sym_AT_LPAREN] = ACTIONS(1293),
    [anon_sym_AT_LBRACE] = ACTIONS(1295),
  },
  [280] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1879),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1269),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1271),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1273),
    [sym_verbatim_string_characters] = ACTIONS(1275),
    [sym_verbatim_here_string_characters] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [aux_sym_foreach_command_token1] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1291),
    [anon_sym_AT_LPAREN] = ACTIONS(1293),
    [anon_sym_AT_LBRACE] = ACTIONS(1295),
  },
  [281] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1889),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1269),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1271),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1273),
    [sym_verbatim_string_characters] = ACTIONS(1275),
    [sym_verbatim_here_string_characters] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [aux_sym_foreach_command_token1] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1291),
    [anon_sym_AT_LPAREN] = ACTIONS(1293),
    [anon_sym_AT_LBRACE] = ACTIONS(1295),
  },
  [282] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1893),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1269),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1271),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1273),
    [sym_verbatim_string_characters] = ACTIONS(1275),
    [sym_verbatim_here_string_characters] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [aux_sym_foreach_command_token1] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1291),
    [anon_sym_AT_LPAREN] = ACTIONS(1293),
    [anon_sym_AT_LBRACE] = ACTIONS(1295),
  },
  [283] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1898),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1269),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1271),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1273),
    [sym_verbatim_string_characters] = ACTIONS(1275),
    [sym_verbatim_here_string_characters] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [aux_sym_foreach_command_token1] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1291),
    [anon_sym_AT_LPAREN] = ACTIONS(1293),
    [anon_sym_AT_LBRACE] = ACTIONS(1295),
  },
  [284] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1939),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1269),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1271),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1273),
    [sym_verbatim_string_characters] = ACTIONS(1275),
    [sym_verbatim_here_string_characters] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [aux_sym_foreach_command_token1] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1291),
    [anon_sym_AT_LPAREN] = ACTIONS(1293),
    [anon_sym_AT_LBRACE] = ACTIONS(1295),
  },
  [285] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1947),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1269),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1271),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1273),
    [sym_verbatim_string_characters] = ACTIONS(1275),
    [sym_verbatim_here_string_characters] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [aux_sym_foreach_command_token1] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1291),
    [anon_sym_AT_LPAREN] = ACTIONS(1293),
    [anon_sym_AT_LBRACE] = ACTIONS(1295),
  },
  [286] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1951),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1269),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1271),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1273),
    [sym_verbatim_string_characters] = ACTIONS(1275),
    [sym_verbatim_here_string_characters] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [aux_sym_foreach_command_token1] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1291),
    [anon_sym_AT_LPAREN] = ACTIONS(1293),
    [anon_sym_AT_LBRACE] = ACTIONS(1295),
  },
  [287] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1956),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1269),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1271),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1273),
    [sym_verbatim_string_characters] = ACTIONS(1275),
    [sym_verbatim_here_string_characters] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [aux_sym_foreach_command_token1] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1291),
    [anon_sym_AT_LPAREN] = ACTIONS(1293),
    [anon_sym_AT_LBRACE] = ACTIONS(1295),
  },
  [288] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1982),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1269),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1271),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1273),
    [sym_verbatim_string_characters] = ACTIONS(1275),
    [sym_verbatim_here_string_characters] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [aux_sym_foreach_command_token1] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1291),
    [anon_sym_AT_LPAREN] = ACTIONS(1293),
    [anon_sym_AT_LBRACE] = ACTIONS(1295),
  },
  [289] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1990),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1269),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1271),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1273),
    [sym_verbatim_string_characters] = ACTIONS(1275),
    [sym_verbatim_here_string_characters] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [aux_sym_foreach_command_token1] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1291),
    [anon_sym_AT_LPAREN] = ACTIONS(1293),
    [anon_sym_AT_LBRACE] = ACTIONS(1295),
  },
  [290] = {
    [sym__literal] = STATE(155),
    [sym_integer_literal] = STATE(155),
    [sym_string_literal] = STATE(155),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(155),
    [sym_pipeline] = STATE(1994),
    [sym_left_assignment_expression] = STATE(1325),
    [sym_assignment_expression] = STATE(1814),
    [sym_command] = STATE(1355),
    [sym_command_invokation_operator] = STATE(736),
    [sym_command_name] = STATE(753),
    [sym_foreach_command] = STATE(1483),
    [sym__expression] = STATE(857),
    [sym_logical_expression] = STATE(981),
    [sym_bitwise_expression] = STATE(858),
    [sym_comparison_expression] = STATE(203),
    [sym_additive_expression] = STATE(198),
    [sym_multiplicative_expression] = STATE(189),
    [sym_format_expression] = STATE(179),
    [sym_range_expression] = STATE(181),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(167),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(155),
    [sym__value] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_sub_expression] = STATE(155),
    [sym_array_expression] = STATE(155),
    [sym_script_block_expression] = STATE(155),
    [sym_hash_literal_expression] = STATE(155),
    [sym_post_increment_expression] = STATE(155),
    [sym_post_decrement_expression] = STATE(155),
    [sym_member_access] = STATE(155),
    [sym_element_access] = STATE(155),
    [sym_invokation_expression] = STATE(155),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(4),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(119),
    [sym_real_literal] = ACTIONS(1269),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1271),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1273),
    [sym_verbatim_string_characters] = ACTIONS(1275),
    [sym_verbatim_here_string_characters] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [aux_sym_comparison_operator_token37] = ACTIONS(143),
    [aux_sym_comparison_operator_token50] = ACTIONS(143),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(137),
    [anon_sym_DOLLAR_CARET] = ACTIONS(137),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(137),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(137),
    [sym_braced_variable] = ACTIONS(137),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(15),
    [aux_sym_command_name_token1] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [aux_sym_foreach_command_token1] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(143),
    [anon_sym_DASH] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(143),
    [anon_sym_BANG] = ACTIONS(143),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1291),
    [anon_sym_AT_LPAREN] = ACTIONS(1293),
    [anon_sym_AT_LBRACE] = ACTIONS(1295),
  },
  [291] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(745),
    [aux_sym_comparison_operator_token1] = ACTIONS(635),
    [aux_sym_comparison_operator_token2] = ACTIONS(635),
    [aux_sym_comparison_operator_token3] = ACTIONS(635),
    [aux_sym_comparison_operator_token4] = ACTIONS(635),
    [aux_sym_comparison_operator_token5] = ACTIONS(635),
    [aux_sym_comparison_operator_token6] = ACTIONS(635),
    [aux_sym_comparison_operator_token7] = ACTIONS(635),
    [aux_sym_comparison_operator_token8] = ACTIONS(635),
    [aux_sym_comparison_operator_token9] = ACTIONS(635),
    [aux_sym_comparison_operator_token10] = ACTIONS(635),
    [aux_sym_comparison_operator_token11] = ACTIONS(635),
    [aux_sym_comparison_operator_token12] = ACTIONS(635),
    [aux_sym_comparison_operator_token13] = ACTIONS(635),
    [aux_sym_comparison_operator_token14] = ACTIONS(635),
    [aux_sym_comparison_operator_token15] = ACTIONS(635),
    [aux_sym_comparison_operator_token16] = ACTIONS(635),
    [aux_sym_comparison_operator_token17] = ACTIONS(635),
    [aux_sym_comparison_operator_token18] = ACTIONS(635),
    [aux_sym_comparison_operator_token19] = ACTIONS(635),
    [aux_sym_comparison_operator_token20] = ACTIONS(635),
    [aux_sym_comparison_operator_token21] = ACTIONS(635),
    [aux_sym_comparison_operator_token22] = ACTIONS(635),
    [aux_sym_comparison_operator_token23] = ACTIONS(635),
    [aux_sym_comparison_operator_token24] = ACTIONS(635),
    [aux_sym_comparison_operator_token25] = ACTIONS(635),
    [aux_sym_comparison_operator_token26] = ACTIONS(635),
    [aux_sym_comparison_operator_token27] = ACTIONS(635),
    [aux_sym_comparison_operator_token28] = ACTIONS(637),
    [aux_sym_comparison_operator_token29] = ACTIONS(635),
    [aux_sym_comparison_operator_token30] = ACTIONS(635),
    [aux_sym_comparison_operator_token31] = ACTIONS(635),
    [aux_sym_comparison_operator_token32] = ACTIONS(635),
    [aux_sym_comparison_operator_token33] = ACTIONS(635),
    [aux_sym_comparison_operator_token34] = ACTIONS(637),
    [aux_sym_comparison_operator_token35] = ACTIONS(635),
    [aux_sym_comparison_operator_token36] = ACTIONS(635),
    [aux_sym_comparison_operator_token37] = ACTIONS(635),
    [aux_sym_comparison_operator_token38] = ACTIONS(635),
    [aux_sym_comparison_operator_token39] = ACTIONS(635),
    [aux_sym_comparison_operator_token40] = ACTIONS(635),
    [aux_sym_comparison_operator_token41] = ACTIONS(635),
    [aux_sym_comparison_operator_token42] = ACTIONS(635),
    [aux_sym_comparison_operator_token43] = ACTIONS(635),
    [aux_sym_comparison_operator_token44] = ACTIONS(635),
    [aux_sym_comparison_operator_token45] = ACTIONS(635),
    [aux_sym_comparison_operator_token46] = ACTIONS(635),
    [aux_sym_comparison_operator_token47] = ACTIONS(635),
    [aux_sym_comparison_operator_token48] = ACTIONS(635),
    [aux_sym_comparison_operator_token49] = ACTIONS(635),
    [aux_sym_comparison_operator_token50] = ACTIONS(635),
    [aux_sym_format_operator_token1] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(635),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_PERCENT] = ACTIONS(635),
    [aux_sym_logical_expression_token1] = ACTIONS(635),
    [aux_sym_logical_expression_token2] = ACTIONS(635),
    [aux_sym_logical_expression_token3] = ACTIONS(635),
    [aux_sym_bitwise_expression_token1] = ACTIONS(635),
    [aux_sym_bitwise_expression_token2] = ACTIONS(635),
    [aux_sym_bitwise_expression_token3] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(635),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_STAR] = ACTIONS(635),
    [anon_sym_DOT_DOT] = ACTIONS(635),
    [anon_sym_PLUS_PLUS] = ACTIONS(747),
    [anon_sym_DASH_DASH] = ACTIONS(749),
    [anon_sym_DOT2] = ACTIONS(1299),
    [anon_sym_COLON_COLON] = ACTIONS(1301),
    [anon_sym_RBRACK] = ACTIONS(635),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(755),
  },
  [292] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(745),
    [aux_sym_comparison_operator_token1] = ACTIONS(635),
    [aux_sym_comparison_operator_token2] = ACTIONS(635),
    [aux_sym_comparison_operator_token3] = ACTIONS(635),
    [aux_sym_comparison_operator_token4] = ACTIONS(635),
    [aux_sym_comparison_operator_token5] = ACTIONS(635),
    [aux_sym_comparison_operator_token6] = ACTIONS(635),
    [aux_sym_comparison_operator_token7] = ACTIONS(635),
    [aux_sym_comparison_operator_token8] = ACTIONS(635),
    [aux_sym_comparison_operator_token9] = ACTIONS(635),
    [aux_sym_comparison_operator_token10] = ACTIONS(635),
    [aux_sym_comparison_operator_token11] = ACTIONS(635),
    [aux_sym_comparison_operator_token12] = ACTIONS(635),
    [aux_sym_comparison_operator_token13] = ACTIONS(635),
    [aux_sym_comparison_operator_token14] = ACTIONS(635),
    [aux_sym_comparison_operator_token15] = ACTIONS(635),
    [aux_sym_comparison_operator_token16] = ACTIONS(635),
    [aux_sym_comparison_operator_token17] = ACTIONS(635),
    [aux_sym_comparison_operator_token18] = ACTIONS(635),
    [aux_sym_comparison_operator_token19] = ACTIONS(635),
    [aux_sym_comparison_operator_token20] = ACTIONS(635),
    [aux_sym_comparison_operator_token21] = ACTIONS(635),
    [aux_sym_comparison_operator_token22] = ACTIONS(635),
    [aux_sym_comparison_operator_token23] = ACTIONS(635),
    [aux_sym_comparison_operator_token24] = ACTIONS(635),
    [aux_sym_comparison_operator_token25] = ACTIONS(635),
    [aux_sym_comparison_operator_token26] = ACTIONS(635),
    [aux_sym_comparison_operator_token27] = ACTIONS(635),
    [aux_sym_comparison_operator_token28] = ACTIONS(637),
    [aux_sym_comparison_operator_token29] = ACTIONS(635),
    [aux_sym_comparison_operator_token30] = ACTIONS(635),
    [aux_sym_comparison_operator_token31] = ACTIONS(635),
    [aux_sym_comparison_operator_token32] = ACTIONS(635),
    [aux_sym_comparison_operator_token33] = ACTIONS(635),
    [aux_sym_comparison_operator_token34] = ACTIONS(637),
    [aux_sym_comparison_operator_token35] = ACTIONS(635),
    [aux_sym_comparison_operator_token36] = ACTIONS(635),
    [aux_sym_comparison_operator_token37] = ACTIONS(635),
    [aux_sym_comparison_operator_token38] = ACTIONS(635),
    [aux_sym_comparison_operator_token39] = ACTIONS(635),
    [aux_sym_comparison_operator_token40] = ACTIONS(635),
    [aux_sym_comparison_operator_token41] = ACTIONS(635),
    [aux_sym_comparison_operator_token42] = ACTIONS(635),
    [aux_sym_comparison_operator_token43] = ACTIONS(635),
    [aux_sym_comparison_operator_token44] = ACTIONS(635),
    [aux_sym_comparison_operator_token45] = ACTIONS(635),
    [aux_sym_comparison_operator_token46] = ACTIONS(635),
    [aux_sym_comparison_operator_token47] = ACTIONS(635),
    [aux_sym_comparison_operator_token48] = ACTIONS(635),
    [aux_sym_comparison_operator_token49] = ACTIONS(635),
    [aux_sym_comparison_operator_token50] = ACTIONS(635),
    [aux_sym_format_operator_token1] = ACTIONS(635),
    [anon_sym_RPAREN] = ACTIONS(635),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_PERCENT] = ACTIONS(635),
    [aux_sym_logical_expression_token1] = ACTIONS(635),
    [aux_sym_logical_expression_token2] = ACTIONS(635),
    [aux_sym_logical_expression_token3] = ACTIONS(635),
    [aux_sym_bitwise_expression_token1] = ACTIONS(635),
    [aux_sym_bitwise_expression_token2] = ACTIONS(635),
    [aux_sym_bitwise_expression_token3] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(635),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_STAR] = ACTIONS(635),
    [anon_sym_DOT_DOT] = ACTIONS(635),
    [anon_sym_PLUS_PLUS] = ACTIONS(747),
    [anon_sym_DASH_DASH] = ACTIONS(749),
    [anon_sym_DOT2] = ACTIONS(1303),
    [anon_sym_COLON_COLON] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(635),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(755),
  },
  [293] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(733),
    [aux_sym_comparison_operator_token1] = ACTIONS(635),
    [aux_sym_comparison_operator_token2] = ACTIONS(635),
    [aux_sym_comparison_operator_token3] = ACTIONS(635),
    [aux_sym_comparison_operator_token4] = ACTIONS(635),
    [aux_sym_comparison_operator_token5] = ACTIONS(635),
    [aux_sym_comparison_operator_token6] = ACTIONS(635),
    [aux_sym_comparison_operator_token7] = ACTIONS(635),
    [aux_sym_comparison_operator_token8] = ACTIONS(635),
    [aux_sym_comparison_operator_token9] = ACTIONS(635),
    [aux_sym_comparison_operator_token10] = ACTIONS(635),
    [aux_sym_comparison_operator_token11] = ACTIONS(635),
    [aux_sym_comparison_operator_token12] = ACTIONS(635),
    [aux_sym_comparison_operator_token13] = ACTIONS(635),
    [aux_sym_comparison_operator_token14] = ACTIONS(635),
    [aux_sym_comparison_operator_token15] = ACTIONS(635),
    [aux_sym_comparison_operator_token16] = ACTIONS(635),
    [aux_sym_comparison_operator_token17] = ACTIONS(635),
    [aux_sym_comparison_operator_token18] = ACTIONS(635),
    [aux_sym_comparison_operator_token19] = ACTIONS(635),
    [aux_sym_comparison_operator_token20] = ACTIONS(635),
    [aux_sym_comparison_operator_token21] = ACTIONS(635),
    [aux_sym_comparison_operator_token22] = ACTIONS(635),
    [aux_sym_comparison_operator_token23] = ACTIONS(635),
    [aux_sym_comparison_operator_token24] = ACTIONS(635),
    [aux_sym_comparison_operator_token25] = ACTIONS(635),
    [aux_sym_comparison_operator_token26] = ACTIONS(635),
    [aux_sym_comparison_operator_token27] = ACTIONS(635),
    [aux_sym_comparison_operator_token28] = ACTIONS(637),
    [aux_sym_comparison_operator_token29] = ACTIONS(635),
    [aux_sym_comparison_operator_token30] = ACTIONS(635),
    [aux_sym_comparison_operator_token31] = ACTIONS(635),
    [aux_sym_comparison_operator_token32] = ACTIONS(635),
    [aux_sym_comparison_operator_token33] = ACTIONS(635),
    [aux_sym_comparison_operator_token34] = ACTIONS(637),
    [aux_sym_comparison_operator_token35] = ACTIONS(635),
    [aux_sym_comparison_operator_token36] = ACTIONS(635),
    [aux_sym_comparison_operator_token37] = ACTIONS(635),
    [aux_sym_comparison_operator_token38] = ACTIONS(635),
    [aux_sym_comparison_operator_token39] = ACTIONS(635),
    [aux_sym_comparison_operator_token40] = ACTIONS(635),
    [aux_sym_comparison_operator_token41] = ACTIONS(635),
    [aux_sym_comparison_operator_token42] = ACTIONS(635),
    [aux_sym_comparison_operator_token43] = ACTIONS(635),
    [aux_sym_comparison_operator_token44] = ACTIONS(635),
    [aux_sym_comparison_operator_token45] = ACTIONS(635),
    [aux_sym_comparison_operator_token46] = ACTIONS(635),
    [aux_sym_comparison_operator_token47] = ACTIONS(635),
    [aux_sym_comparison_operator_token48] = ACTIONS(635),
    [aux_sym_comparison_operator_token49] = ACTIONS(635),
    [aux_sym_comparison_operator_token50] = ACTIONS(635),
    [aux_sym_format_operator_token1] = ACTIONS(635),
    [anon_sym_LPAREN] = ACTIONS(635),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_PERCENT] = ACTIONS(635),
    [aux_sym_logical_expression_token1] = ACTIONS(635),
    [aux_sym_logical_expression_token2] = ACTIONS(635),
    [aux_sym_logical_expression_token3] = ACTIONS(635),
    [aux_sym_bitwise_expression_token1] = ACTIONS(635),
    [aux_sym_bitwise_expression_token2] = ACTIONS(635),
    [aux_sym_bitwise_expression_token3] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(635),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_STAR] = ACTIONS(635),
    [anon_sym_DOT_DOT] = ACTIONS(635),
    [anon_sym_PLUS_PLUS] = ACTIONS(735),
    [anon_sym_DASH_DASH] = ACTIONS(737),
    [anon_sym_DOT2] = ACTIONS(1307),
    [anon_sym_COLON_COLON] = ACTIONS(1309),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(743),
    [sym__statement_terminator] = ACTIONS(635),
  },
  [294] = {
    [sym_comment] = ACTIONS(81),
    [anon_sym_LBRACK] = ACTIONS(733),
    [aux_sym_comparison_operator_token1] = ACTIONS(635),
    [aux_sym_comparison_operator_token2] = ACTIONS(635),
    [aux_sym_comparison_operator_token3] = ACTIONS(635),
    [aux_sym_comparison_operator_token4] = ACTIONS(635),
    [aux_sym_comparison_operator_token5] = ACTIONS(635),
    [aux_sym_comparison_operator_token6] = ACTIONS(635),
    [aux_sym_comparison_operator_token7] = ACTIONS(635),
    [aux_sym_comparison_operator_token8] = ACTIONS(635),
    [aux_sym_comparison_operator_token9] = ACTIONS(635),
    [aux_sym_comparison_operator_token10] = ACTIONS(635),
    [aux_sym_comparison_operator_token11] = ACTIONS(635),
    [aux_sym_comparison_operator_token12] = ACTIONS(635),
    [aux_sym_comparison_operator_token13] = ACTIONS(635),
    [aux_sym_comparison_operator_token14] = ACTIONS(635),
    [aux_sym_comparison_operator_token15] = ACTIONS(635),
    [aux_sym_comparison_operator_token16] = ACTIONS(635),
    [aux_sym_comparison_operator_token17] = ACTIONS(635),
    [aux_sym_comparison_operator_token18] = ACTIONS(635),
    [aux_sym_comparison_operator_token19] = ACTIONS(635),
    [aux_sym_comparison_operator_token20] = ACTIONS(635),
    [aux_sym_comparison_operator_token21] = ACTIONS(635),
    [aux_sym_comparison_operator_token22] = ACTIONS(635),
    [aux_sym_comparison_operator_token23] = ACTIONS(635),
    [aux_sym_comparison_operator_token24] = ACTIONS(635),
    [aux_sym_comparison_operator_token25] = ACTIONS(635),
    [aux_sym_comparison_operator_token26] = ACTIONS(635),
    [aux_sym_comparison_operator_token27] = ACTIONS(635),
    [aux_sym_comparison_operator_token28] = ACTIONS(637),
    [aux_sym_comparison_operator_token29] = ACTIONS(635),
    [aux_sym_comparison_operator_token30] = ACTIONS(635),
    [aux_sym_comparison_operator_token31] = ACTIONS(635),
    [aux_sym_comparison_operator_token32] = ACTIONS(635),
    [aux_sym_comparison_operator_token33] = ACTIONS(635),
    [aux_sym_comparison_operator_token34] = ACTIONS(637),
    [aux_sym_comparison_operator_token35] = ACTIONS(635),
    [aux_sym_comparison_operator_token36] = ACTIONS(635),
    [aux_sym_comparison_operator_token37] = ACTIONS(635),
    [aux_sym_comparison_operator_token38] = ACTIONS(635),
    [aux_sym_comparison_operator_token39] = ACTIONS(635),
    [aux_sym_comparison_operator_token40] = ACTIONS(635),
    [aux_sym_comparison_operator_token41] = ACTIONS(635),
    [aux_sym_comparison_operator_token42] = ACTIONS(635),
    [aux_sym_comparison_operator_token43] = ACTIONS(635),
    [aux_sym_comparison_operator_token44] = ACTIONS(635),
    [aux_sym_comparison_operator_token45] = ACTIONS(635),
    [aux_sym_comparison_operator_token46] = ACTIONS(635),
    [aux_sym_comparison_operator_token47] = ACTIONS(635),
    [aux_sym_comparison_operator_token48] = ACTIONS(635),
    [aux_sym_comparison_operator_token49] = ACTIONS(635),
    [aux_sym_comparison_operator_token50] = ACTIONS(635),
    [aux_sym_format_operator_token1] = ACTIONS(635),
    [anon_sym_COMMA] = ACTIONS(635),
    [anon_sym_PERCENT] = ACTIONS(635),
    [aux_sym_logical_expression_token1] = ACTIONS(635),
    [aux_sym_logical_expression_token2] = ACTIONS(635),
    [aux_sym_logical_expression_token3] = ACTIONS(635),
    [aux_sym_bitwise_expression_token1] = ACTIONS(635),
    [aux_sym_bitwise_expression_token2] = ACTIONS(635),
    [aux_sym_bitwise_expression_token3] = ACTIONS(635),
    [anon_sym_PLUS] = ACTIONS(637),
    [anon_sym_DASH] = ACTIONS(637),
    [anon_sym_SLASH] = ACTIONS(635),
    [anon_sym_BSLASH] = ACTIONS(635),
    [anon_sym_STAR] = ACTIONS(635),
    [anon_sym_DOT_DOT] = ACTIONS(635),
    [anon_sym_PLUS_PLUS] = ACTIONS(735),
    [anon_sym_DASH_DASH] = ACTIONS(737),
    [anon_sym_DOT2] = ACTIONS(1311),
    [anon_sym_COLON_COLON] = ACTIONS(1313),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(743),
    [sym__statement_terminator] = ACTIONS(635),
  },
  [295] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym__expression] = STATE(1668),
    [sym_logical_expression] = STATE(1374),
    [sym_bitwise_expression] = STATE(1306),
    [sym_comparison_expression] = STATE(563),
    [sym_additive_expression] = STATE(533),
    [sym_multiplicative_expression] = STATE(373),
    [sym_format_expression] = STATE(318),
    [sym_range_expression] = STATE(319),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(307),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(76),
    [sym_attribute_arguments] = STATE(1743),
    [sym_attribute_argument] = STATE(1446),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [sym_simple_name] = ACTIONS(1315),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(1317),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [296] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym__expression] = STATE(1668),
    [sym_logical_expression] = STATE(1374),
    [sym_bitwise_expression] = STATE(1306),
    [sym_comparison_expression] = STATE(563),
    [sym_additive_expression] = STATE(533),
    [sym_multiplicative_expression] = STATE(373),
    [sym_format_expression] = STATE(318),
    [sym_range_expression] = STATE(319),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(307),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(76),
    [sym_attribute_arguments] = STATE(1884),
    [sym_attribute_argument] = STATE(1446),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [sym_simple_name] = ACTIONS(1315),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(1319),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [297] = {
    [aux_sym_array_literal_expression_repeat1] = STATE(297),
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(765),
    [aux_sym_comparison_operator_token2] = ACTIONS(765),
    [aux_sym_comparison_operator_token3] = ACTIONS(765),
    [aux_sym_comparison_operator_token4] = ACTIONS(765),
    [aux_sym_comparison_operator_token5] = ACTIONS(765),
    [aux_sym_comparison_operator_token6] = ACTIONS(765),
    [aux_sym_comparison_operator_token7] = ACTIONS(765),
    [aux_sym_comparison_operator_token8] = ACTIONS(765),
    [aux_sym_comparison_operator_token9] = ACTIONS(765),
    [aux_sym_comparison_operator_token10] = ACTIONS(765),
    [aux_sym_comparison_operator_token11] = ACTIONS(765),
    [aux_sym_comparison_operator_token12] = ACTIONS(765),
    [aux_sym_comparison_operator_token13] = ACTIONS(765),
    [aux_sym_comparison_operator_token14] = ACTIONS(765),
    [aux_sym_comparison_operator_token15] = ACTIONS(765),
    [aux_sym_comparison_operator_token16] = ACTIONS(765),
    [aux_sym_comparison_operator_token17] = ACTIONS(765),
    [aux_sym_comparison_operator_token18] = ACTIONS(765),
    [aux_sym_comparison_operator_token19] = ACTIONS(765),
    [aux_sym_comparison_operator_token20] = ACTIONS(765),
    [aux_sym_comparison_operator_token21] = ACTIONS(765),
    [aux_sym_comparison_operator_token22] = ACTIONS(765),
    [aux_sym_comparison_operator_token23] = ACTIONS(765),
    [aux_sym_comparison_operator_token24] = ACTIONS(765),
    [aux_sym_comparison_operator_token25] = ACTIONS(765),
    [aux_sym_comparison_operator_token26] = ACTIONS(765),
    [aux_sym_comparison_operator_token27] = ACTIONS(765),
    [aux_sym_comparison_operator_token28] = ACTIONS(767),
    [aux_sym_comparison_operator_token29] = ACTIONS(765),
    [aux_sym_comparison_operator_token30] = ACTIONS(765),
    [aux_sym_comparison_operator_token31] = ACTIONS(765),
    [aux_sym_comparison_operator_token32] = ACTIONS(765),
    [aux_sym_comparison_operator_token33] = ACTIONS(765),
    [aux_sym_comparison_operator_token34] = ACTIONS(767),
    [aux_sym_comparison_operator_token35] = ACTIONS(765),
    [aux_sym_comparison_operator_token36] = ACTIONS(765),
    [aux_sym_comparison_operator_token37] = ACTIONS(765),
    [aux_sym_comparison_operator_token38] = ACTIONS(765),
    [aux_sym_comparison_operator_token39] = ACTIONS(765),
    [aux_sym_comparison_operator_token40] = ACTIONS(765),
    [aux_sym_comparison_operator_token41] = ACTIONS(765),
    [aux_sym_comparison_operator_token42] = ACTIONS(765),
    [aux_sym_comparison_operator_token43] = ACTIONS(765),
    [aux_sym_comparison_operator_token44] = ACTIONS(765),
    [aux_sym_comparison_operator_token45] = ACTIONS(765),
    [aux_sym_comparison_operator_token46] = ACTIONS(765),
    [aux_sym_comparison_operator_token47] = ACTIONS(765),
    [aux_sym_comparison_operator_token48] = ACTIONS(765),
    [aux_sym_comparison_operator_token49] = ACTIONS(765),
    [aux_sym_comparison_operator_token50] = ACTIONS(765),
    [aux_sym_format_operator_token1] = ACTIONS(765),
    [anon_sym_RPAREN] = ACTIONS(765),
    [anon_sym_COMMA] = ACTIONS(1321),
    [anon_sym_PERCENT] = ACTIONS(765),
    [aux_sym_logical_expression_token1] = ACTIONS(765),
    [aux_sym_logical_expression_token2] = ACTIONS(765),
    [aux_sym_logical_expression_token3] = ACTIONS(765),
    [aux_sym_bitwise_expression_token1] = ACTIONS(765),
    [aux_sym_bitwise_expression_token2] = ACTIONS(765),
    [aux_sym_bitwise_expression_token3] = ACTIONS(765),
    [anon_sym_PLUS] = ACTIONS(765),
    [anon_sym_DASH] = ACTIONS(767),
    [anon_sym_SLASH] = ACTIONS(765),
    [anon_sym_BSLASH] = ACTIONS(765),
    [anon_sym_STAR] = ACTIONS(765),
    [anon_sym_DOT_DOT] = ACTIONS(765),
    [anon_sym_RBRACK] = ACTIONS(765),
  },
  [298] = {
    [aux_sym_array_literal_expression_repeat1] = STATE(306),
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(772),
    [aux_sym_comparison_operator_token2] = ACTIONS(772),
    [aux_sym_comparison_operator_token3] = ACTIONS(772),
    [aux_sym_comparison_operator_token4] = ACTIONS(772),
    [aux_sym_comparison_operator_token5] = ACTIONS(772),
    [aux_sym_comparison_operator_token6] = ACTIONS(772),
    [aux_sym_comparison_operator_token7] = ACTIONS(772),
    [aux_sym_comparison_operator_token8] = ACTIONS(772),
    [aux_sym_comparison_operator_token9] = ACTIONS(772),
    [aux_sym_comparison_operator_token10] = ACTIONS(772),
    [aux_sym_comparison_operator_token11] = ACTIONS(772),
    [aux_sym_comparison_operator_token12] = ACTIONS(772),
    [aux_sym_comparison_operator_token13] = ACTIONS(772),
    [aux_sym_comparison_operator_token14] = ACTIONS(772),
    [aux_sym_comparison_operator_token15] = ACTIONS(772),
    [aux_sym_comparison_operator_token16] = ACTIONS(772),
    [aux_sym_comparison_operator_token17] = ACTIONS(772),
    [aux_sym_comparison_operator_token18] = ACTIONS(772),
    [aux_sym_comparison_operator_token19] = ACTIONS(772),
    [aux_sym_comparison_operator_token20] = ACTIONS(772),
    [aux_sym_comparison_operator_token21] = ACTIONS(772),
    [aux_sym_comparison_operator_token22] = ACTIONS(772),
    [aux_sym_comparison_operator_token23] = ACTIONS(772),
    [aux_sym_comparison_operator_token24] = ACTIONS(772),
    [aux_sym_comparison_operator_token25] = ACTIONS(772),
    [aux_sym_comparison_operator_token26] = ACTIONS(772),
    [aux_sym_comparison_operator_token27] = ACTIONS(772),
    [aux_sym_comparison_operator_token28] = ACTIONS(774),
    [aux_sym_comparison_operator_token29] = ACTIONS(772),
    [aux_sym_comparison_operator_token30] = ACTIONS(772),
    [aux_sym_comparison_operator_token31] = ACTIONS(772),
    [aux_sym_comparison_operator_token32] = ACTIONS(772),
    [aux_sym_comparison_operator_token33] = ACTIONS(772),
    [aux_sym_comparison_operator_token34] = ACTIONS(774),
    [aux_sym_comparison_operator_token35] = ACTIONS(772),
    [aux_sym_comparison_operator_token36] = ACTIONS(772),
    [aux_sym_comparison_operator_token37] = ACTIONS(772),
    [aux_sym_comparison_operator_token38] = ACTIONS(772),
    [aux_sym_comparison_operator_token39] = ACTIONS(772),
    [aux_sym_comparison_operator_token40] = ACTIONS(772),
    [aux_sym_comparison_operator_token41] = ACTIONS(772),
    [aux_sym_comparison_operator_token42] = ACTIONS(772),
    [aux_sym_comparison_operator_token43] = ACTIONS(772),
    [aux_sym_comparison_operator_token44] = ACTIONS(772),
    [aux_sym_comparison_operator_token45] = ACTIONS(772),
    [aux_sym_comparison_operator_token46] = ACTIONS(772),
    [aux_sym_comparison_operator_token47] = ACTIONS(772),
    [aux_sym_comparison_operator_token48] = ACTIONS(772),
    [aux_sym_comparison_operator_token49] = ACTIONS(772),
    [aux_sym_comparison_operator_token50] = ACTIONS(772),
    [aux_sym_format_operator_token1] = ACTIONS(772),
    [anon_sym_COMMA] = ACTIONS(1324),
    [anon_sym_PERCENT] = ACTIONS(772),
    [aux_sym_logical_expression_token1] = ACTIONS(772),
    [aux_sym_logical_expression_token2] = ACTIONS(772),
    [aux_sym_logical_expression_token3] = ACTIONS(772),
    [aux_sym_bitwise_expression_token1] = ACTIONS(772),
    [aux_sym_bitwise_expression_token2] = ACTIONS(772),
    [aux_sym_bitwise_expression_token3] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(774),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_BSLASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_DOT_DOT] = ACTIONS(772),
    [sym__statement_terminator] = ACTIONS(772),
  },
  [299] = {
    [sym_elseif_clauses] = STATE(398),
    [sym_elseif_clause] = STATE(338),
    [sym_else_clause] = STATE(468),
    [aux_sym_elseif_clauses_repeat1] = STATE(338),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1326),
    [sym_hexadecimal_integer_literal] = ACTIONS(1326),
    [sym_real_literal] = ACTIONS(1326),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1326),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1326),
    [sym_verbatim_string_characters] = ACTIONS(1326),
    [sym_verbatim_here_string_characters] = ACTIONS(1326),
    [anon_sym_DOT] = ACTIONS(1326),
    [anon_sym_LBRACK] = ACTIONS(1326),
    [aux_sym_comparison_operator_token37] = ACTIONS(1326),
    [aux_sym_comparison_operator_token50] = ACTIONS(1326),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1326),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1326),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1326),
    [anon_sym_DOLLAR_] = ACTIONS(1326),
    [aux_sym_variable_token1] = ACTIONS(1326),
    [aux_sym_variable_token2] = ACTIONS(1326),
    [sym_braced_variable] = ACTIONS(1326),
    [anon_sym_SEMI] = ACTIONS(1326),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [anon_sym_RPAREN] = ACTIONS(1326),
    [anon_sym_COMMA] = ACTIONS(1326),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_RBRACE] = ACTIONS(1326),
    [aux_sym_if_statement_token1] = ACTIONS(1326),
    [aux_sym_elseif_clause_token1] = ACTIONS(1328),
    [aux_sym_else_clause_token1] = ACTIONS(1330),
    [aux_sym_switch_statement_token1] = ACTIONS(1326),
    [aux_sym_foreach_statement_token1] = ACTIONS(1326),
    [aux_sym_for_statement_token1] = ACTIONS(1326),
    [aux_sym_while_statement_token1] = ACTIONS(1326),
    [aux_sym_do_statement_token1] = ACTIONS(1326),
    [aux_sym_function_statement_token1] = ACTIONS(1326),
    [aux_sym_function_statement_token2] = ACTIONS(1326),
    [aux_sym_function_statement_token3] = ACTIONS(1326),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1326),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1326),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1326),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1326),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1326),
    [sym_label] = ACTIONS(1326),
    [aux_sym_trap_statement_token1] = ACTIONS(1326),
    [aux_sym_try_statement_token1] = ACTIONS(1326),
    [aux_sym_data_statement_token1] = ACTIONS(1326),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1326),
    [aux_sym_parallel_statement_token1] = ACTIONS(1326),
    [aux_sym_sequence_statement_token1] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1326),
    [aux_sym_command_name_token1] = ACTIONS(1326),
    [anon_sym_PERCENT] = ACTIONS(1326),
    [aux_sym_foreach_command_token1] = ACTIONS(1326),
    [aux_sym_class_statement_token1] = ACTIONS(1326),
    [aux_sym_enum_statement_token1] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1326),
    [anon_sym_AT_LPAREN] = ACTIONS(1326),
    [anon_sym_AT_LBRACE] = ACTIONS(1326),
  },
  [300] = {
    [aux_sym_array_literal_expression_repeat1] = STATE(302),
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(778),
    [aux_sym_comparison_operator_token2] = ACTIONS(778),
    [aux_sym_comparison_operator_token3] = ACTIONS(778),
    [aux_sym_comparison_operator_token4] = ACTIONS(778),
    [aux_sym_comparison_operator_token5] = ACTIONS(778),
    [aux_sym_comparison_operator_token6] = ACTIONS(778),
    [aux_sym_comparison_operator_token7] = ACTIONS(778),
    [aux_sym_comparison_operator_token8] = ACTIONS(778),
    [aux_sym_comparison_operator_token9] = ACTIONS(778),
    [aux_sym_comparison_operator_token10] = ACTIONS(778),
    [aux_sym_comparison_operator_token11] = ACTIONS(778),
    [aux_sym_comparison_operator_token12] = ACTIONS(778),
    [aux_sym_comparison_operator_token13] = ACTIONS(778),
    [aux_sym_comparison_operator_token14] = ACTIONS(778),
    [aux_sym_comparison_operator_token15] = ACTIONS(778),
    [aux_sym_comparison_operator_token16] = ACTIONS(778),
    [aux_sym_comparison_operator_token17] = ACTIONS(778),
    [aux_sym_comparison_operator_token18] = ACTIONS(778),
    [aux_sym_comparison_operator_token19] = ACTIONS(778),
    [aux_sym_comparison_operator_token20] = ACTIONS(778),
    [aux_sym_comparison_operator_token21] = ACTIONS(778),
    [aux_sym_comparison_operator_token22] = ACTIONS(778),
    [aux_sym_comparison_operator_token23] = ACTIONS(778),
    [aux_sym_comparison_operator_token24] = ACTIONS(778),
    [aux_sym_comparison_operator_token25] = ACTIONS(778),
    [aux_sym_comparison_operator_token26] = ACTIONS(778),
    [aux_sym_comparison_operator_token27] = ACTIONS(778),
    [aux_sym_comparison_operator_token28] = ACTIONS(780),
    [aux_sym_comparison_operator_token29] = ACTIONS(778),
    [aux_sym_comparison_operator_token30] = ACTIONS(778),
    [aux_sym_comparison_operator_token31] = ACTIONS(778),
    [aux_sym_comparison_operator_token32] = ACTIONS(778),
    [aux_sym_comparison_operator_token33] = ACTIONS(778),
    [aux_sym_comparison_operator_token34] = ACTIONS(780),
    [aux_sym_comparison_operator_token35] = ACTIONS(778),
    [aux_sym_comparison_operator_token36] = ACTIONS(778),
    [aux_sym_comparison_operator_token37] = ACTIONS(778),
    [aux_sym_comparison_operator_token38] = ACTIONS(778),
    [aux_sym_comparison_operator_token39] = ACTIONS(778),
    [aux_sym_comparison_operator_token40] = ACTIONS(778),
    [aux_sym_comparison_operator_token41] = ACTIONS(778),
    [aux_sym_comparison_operator_token42] = ACTIONS(778),
    [aux_sym_comparison_operator_token43] = ACTIONS(778),
    [aux_sym_comparison_operator_token44] = ACTIONS(778),
    [aux_sym_comparison_operator_token45] = ACTIONS(778),
    [aux_sym_comparison_operator_token46] = ACTIONS(778),
    [aux_sym_comparison_operator_token47] = ACTIONS(778),
    [aux_sym_comparison_operator_token48] = ACTIONS(778),
    [aux_sym_comparison_operator_token49] = ACTIONS(778),
    [aux_sym_comparison_operator_token50] = ACTIONS(778),
    [aux_sym_format_operator_token1] = ACTIONS(778),
    [anon_sym_COMMA] = ACTIONS(1332),
    [anon_sym_PERCENT] = ACTIONS(778),
    [aux_sym_logical_expression_token1] = ACTIONS(778),
    [aux_sym_logical_expression_token2] = ACTIONS(778),
    [aux_sym_logical_expression_token3] = ACTIONS(778),
    [aux_sym_bitwise_expression_token1] = ACTIONS(778),
    [aux_sym_bitwise_expression_token2] = ACTIONS(778),
    [aux_sym_bitwise_expression_token3] = ACTIONS(778),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_DASH] = ACTIONS(780),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_BSLASH] = ACTIONS(778),
    [anon_sym_STAR] = ACTIONS(778),
    [anon_sym_DOT_DOT] = ACTIONS(778),
    [anon_sym_RBRACK] = ACTIONS(778),
  },
  [301] = {
    [aux_sym_array_literal_expression_repeat1] = STATE(297),
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(772),
    [aux_sym_comparison_operator_token2] = ACTIONS(772),
    [aux_sym_comparison_operator_token3] = ACTIONS(772),
    [aux_sym_comparison_operator_token4] = ACTIONS(772),
    [aux_sym_comparison_operator_token5] = ACTIONS(772),
    [aux_sym_comparison_operator_token6] = ACTIONS(772),
    [aux_sym_comparison_operator_token7] = ACTIONS(772),
    [aux_sym_comparison_operator_token8] = ACTIONS(772),
    [aux_sym_comparison_operator_token9] = ACTIONS(772),
    [aux_sym_comparison_operator_token10] = ACTIONS(772),
    [aux_sym_comparison_operator_token11] = ACTIONS(772),
    [aux_sym_comparison_operator_token12] = ACTIONS(772),
    [aux_sym_comparison_operator_token13] = ACTIONS(772),
    [aux_sym_comparison_operator_token14] = ACTIONS(772),
    [aux_sym_comparison_operator_token15] = ACTIONS(772),
    [aux_sym_comparison_operator_token16] = ACTIONS(772),
    [aux_sym_comparison_operator_token17] = ACTIONS(772),
    [aux_sym_comparison_operator_token18] = ACTIONS(772),
    [aux_sym_comparison_operator_token19] = ACTIONS(772),
    [aux_sym_comparison_operator_token20] = ACTIONS(772),
    [aux_sym_comparison_operator_token21] = ACTIONS(772),
    [aux_sym_comparison_operator_token22] = ACTIONS(772),
    [aux_sym_comparison_operator_token23] = ACTIONS(772),
    [aux_sym_comparison_operator_token24] = ACTIONS(772),
    [aux_sym_comparison_operator_token25] = ACTIONS(772),
    [aux_sym_comparison_operator_token26] = ACTIONS(772),
    [aux_sym_comparison_operator_token27] = ACTIONS(772),
    [aux_sym_comparison_operator_token28] = ACTIONS(774),
    [aux_sym_comparison_operator_token29] = ACTIONS(772),
    [aux_sym_comparison_operator_token30] = ACTIONS(772),
    [aux_sym_comparison_operator_token31] = ACTIONS(772),
    [aux_sym_comparison_operator_token32] = ACTIONS(772),
    [aux_sym_comparison_operator_token33] = ACTIONS(772),
    [aux_sym_comparison_operator_token34] = ACTIONS(774),
    [aux_sym_comparison_operator_token35] = ACTIONS(772),
    [aux_sym_comparison_operator_token36] = ACTIONS(772),
    [aux_sym_comparison_operator_token37] = ACTIONS(772),
    [aux_sym_comparison_operator_token38] = ACTIONS(772),
    [aux_sym_comparison_operator_token39] = ACTIONS(772),
    [aux_sym_comparison_operator_token40] = ACTIONS(772),
    [aux_sym_comparison_operator_token41] = ACTIONS(772),
    [aux_sym_comparison_operator_token42] = ACTIONS(772),
    [aux_sym_comparison_operator_token43] = ACTIONS(772),
    [aux_sym_comparison_operator_token44] = ACTIONS(772),
    [aux_sym_comparison_operator_token45] = ACTIONS(772),
    [aux_sym_comparison_operator_token46] = ACTIONS(772),
    [aux_sym_comparison_operator_token47] = ACTIONS(772),
    [aux_sym_comparison_operator_token48] = ACTIONS(772),
    [aux_sym_comparison_operator_token49] = ACTIONS(772),
    [aux_sym_comparison_operator_token50] = ACTIONS(772),
    [aux_sym_format_operator_token1] = ACTIONS(772),
    [anon_sym_RPAREN] = ACTIONS(772),
    [anon_sym_COMMA] = ACTIONS(772),
    [anon_sym_PERCENT] = ACTIONS(772),
    [aux_sym_logical_expression_token1] = ACTIONS(772),
    [aux_sym_logical_expression_token2] = ACTIONS(772),
    [aux_sym_logical_expression_token3] = ACTIONS(772),
    [aux_sym_bitwise_expression_token1] = ACTIONS(772),
    [aux_sym_bitwise_expression_token2] = ACTIONS(772),
    [aux_sym_bitwise_expression_token3] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(774),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_BSLASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_DOT_DOT] = ACTIONS(772),
  },
  [302] = {
    [aux_sym_array_literal_expression_repeat1] = STATE(297),
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(772),
    [aux_sym_comparison_operator_token2] = ACTIONS(772),
    [aux_sym_comparison_operator_token3] = ACTIONS(772),
    [aux_sym_comparison_operator_token4] = ACTIONS(772),
    [aux_sym_comparison_operator_token5] = ACTIONS(772),
    [aux_sym_comparison_operator_token6] = ACTIONS(772),
    [aux_sym_comparison_operator_token7] = ACTIONS(772),
    [aux_sym_comparison_operator_token8] = ACTIONS(772),
    [aux_sym_comparison_operator_token9] = ACTIONS(772),
    [aux_sym_comparison_operator_token10] = ACTIONS(772),
    [aux_sym_comparison_operator_token11] = ACTIONS(772),
    [aux_sym_comparison_operator_token12] = ACTIONS(772),
    [aux_sym_comparison_operator_token13] = ACTIONS(772),
    [aux_sym_comparison_operator_token14] = ACTIONS(772),
    [aux_sym_comparison_operator_token15] = ACTIONS(772),
    [aux_sym_comparison_operator_token16] = ACTIONS(772),
    [aux_sym_comparison_operator_token17] = ACTIONS(772),
    [aux_sym_comparison_operator_token18] = ACTIONS(772),
    [aux_sym_comparison_operator_token19] = ACTIONS(772),
    [aux_sym_comparison_operator_token20] = ACTIONS(772),
    [aux_sym_comparison_operator_token21] = ACTIONS(772),
    [aux_sym_comparison_operator_token22] = ACTIONS(772),
    [aux_sym_comparison_operator_token23] = ACTIONS(772),
    [aux_sym_comparison_operator_token24] = ACTIONS(772),
    [aux_sym_comparison_operator_token25] = ACTIONS(772),
    [aux_sym_comparison_operator_token26] = ACTIONS(772),
    [aux_sym_comparison_operator_token27] = ACTIONS(772),
    [aux_sym_comparison_operator_token28] = ACTIONS(774),
    [aux_sym_comparison_operator_token29] = ACTIONS(772),
    [aux_sym_comparison_operator_token30] = ACTIONS(772),
    [aux_sym_comparison_operator_token31] = ACTIONS(772),
    [aux_sym_comparison_operator_token32] = ACTIONS(772),
    [aux_sym_comparison_operator_token33] = ACTIONS(772),
    [aux_sym_comparison_operator_token34] = ACTIONS(774),
    [aux_sym_comparison_operator_token35] = ACTIONS(772),
    [aux_sym_comparison_operator_token36] = ACTIONS(772),
    [aux_sym_comparison_operator_token37] = ACTIONS(772),
    [aux_sym_comparison_operator_token38] = ACTIONS(772),
    [aux_sym_comparison_operator_token39] = ACTIONS(772),
    [aux_sym_comparison_operator_token40] = ACTIONS(772),
    [aux_sym_comparison_operator_token41] = ACTIONS(772),
    [aux_sym_comparison_operator_token42] = ACTIONS(772),
    [aux_sym_comparison_operator_token43] = ACTIONS(772),
    [aux_sym_comparison_operator_token44] = ACTIONS(772),
    [aux_sym_comparison_operator_token45] = ACTIONS(772),
    [aux_sym_comparison_operator_token46] = ACTIONS(772),
    [aux_sym_comparison_operator_token47] = ACTIONS(772),
    [aux_sym_comparison_operator_token48] = ACTIONS(772),
    [aux_sym_comparison_operator_token49] = ACTIONS(772),
    [aux_sym_comparison_operator_token50] = ACTIONS(772),
    [aux_sym_format_operator_token1] = ACTIONS(772),
    [anon_sym_COMMA] = ACTIONS(1332),
    [anon_sym_PERCENT] = ACTIONS(772),
    [aux_sym_logical_expression_token1] = ACTIONS(772),
    [aux_sym_logical_expression_token2] = ACTIONS(772),
    [aux_sym_logical_expression_token3] = ACTIONS(772),
    [aux_sym_bitwise_expression_token1] = ACTIONS(772),
    [aux_sym_bitwise_expression_token2] = ACTIONS(772),
    [aux_sym_bitwise_expression_token3] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(774),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_BSLASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_DOT_DOT] = ACTIONS(772),
    [anon_sym_RBRACK] = ACTIONS(772),
  },
  [303] = {
    [sym_catch_clauses] = STATE(383),
    [sym_catch_clause] = STATE(342),
    [sym_finally_clause] = STATE(465),
    [aux_sym_catch_clauses_repeat1] = STATE(342),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1334),
    [sym_hexadecimal_integer_literal] = ACTIONS(1334),
    [sym_real_literal] = ACTIONS(1334),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1334),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1334),
    [sym_verbatim_string_characters] = ACTIONS(1334),
    [sym_verbatim_here_string_characters] = ACTIONS(1334),
    [anon_sym_DOT] = ACTIONS(1334),
    [anon_sym_LBRACK] = ACTIONS(1334),
    [aux_sym_comparison_operator_token37] = ACTIONS(1334),
    [aux_sym_comparison_operator_token50] = ACTIONS(1334),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1334),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1334),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1334),
    [anon_sym_DOLLAR_] = ACTIONS(1334),
    [aux_sym_variable_token1] = ACTIONS(1334),
    [aux_sym_variable_token2] = ACTIONS(1334),
    [sym_braced_variable] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(1334),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_RPAREN] = ACTIONS(1334),
    [anon_sym_COMMA] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_RBRACE] = ACTIONS(1334),
    [aux_sym_if_statement_token1] = ACTIONS(1334),
    [aux_sym_switch_statement_token1] = ACTIONS(1334),
    [aux_sym_foreach_statement_token1] = ACTIONS(1334),
    [aux_sym_for_statement_token1] = ACTIONS(1334),
    [aux_sym_while_statement_token1] = ACTIONS(1334),
    [aux_sym_do_statement_token1] = ACTIONS(1334),
    [aux_sym_function_statement_token1] = ACTIONS(1334),
    [aux_sym_function_statement_token2] = ACTIONS(1334),
    [aux_sym_function_statement_token3] = ACTIONS(1334),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1334),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1334),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1334),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1334),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1334),
    [sym_label] = ACTIONS(1334),
    [aux_sym_trap_statement_token1] = ACTIONS(1334),
    [aux_sym_try_statement_token1] = ACTIONS(1334),
    [aux_sym_catch_clause_token1] = ACTIONS(1336),
    [aux_sym_finally_clause_token1] = ACTIONS(1338),
    [aux_sym_data_statement_token1] = ACTIONS(1334),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1334),
    [aux_sym_parallel_statement_token1] = ACTIONS(1334),
    [aux_sym_sequence_statement_token1] = ACTIONS(1334),
    [anon_sym_AMP] = ACTIONS(1334),
    [aux_sym_command_name_token1] = ACTIONS(1334),
    [anon_sym_PERCENT] = ACTIONS(1334),
    [aux_sym_foreach_command_token1] = ACTIONS(1334),
    [aux_sym_class_statement_token1] = ACTIONS(1334),
    [aux_sym_enum_statement_token1] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1334),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1334),
    [anon_sym_AT_LPAREN] = ACTIONS(1334),
    [anon_sym_AT_LBRACE] = ACTIONS(1334),
  },
  [304] = {
    [aux_sym_array_literal_expression_repeat1] = STATE(298),
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(778),
    [aux_sym_comparison_operator_token2] = ACTIONS(778),
    [aux_sym_comparison_operator_token3] = ACTIONS(778),
    [aux_sym_comparison_operator_token4] = ACTIONS(778),
    [aux_sym_comparison_operator_token5] = ACTIONS(778),
    [aux_sym_comparison_operator_token6] = ACTIONS(778),
    [aux_sym_comparison_operator_token7] = ACTIONS(778),
    [aux_sym_comparison_operator_token8] = ACTIONS(778),
    [aux_sym_comparison_operator_token9] = ACTIONS(778),
    [aux_sym_comparison_operator_token10] = ACTIONS(778),
    [aux_sym_comparison_operator_token11] = ACTIONS(778),
    [aux_sym_comparison_operator_token12] = ACTIONS(778),
    [aux_sym_comparison_operator_token13] = ACTIONS(778),
    [aux_sym_comparison_operator_token14] = ACTIONS(778),
    [aux_sym_comparison_operator_token15] = ACTIONS(778),
    [aux_sym_comparison_operator_token16] = ACTIONS(778),
    [aux_sym_comparison_operator_token17] = ACTIONS(778),
    [aux_sym_comparison_operator_token18] = ACTIONS(778),
    [aux_sym_comparison_operator_token19] = ACTIONS(778),
    [aux_sym_comparison_operator_token20] = ACTIONS(778),
    [aux_sym_comparison_operator_token21] = ACTIONS(778),
    [aux_sym_comparison_operator_token22] = ACTIONS(778),
    [aux_sym_comparison_operator_token23] = ACTIONS(778),
    [aux_sym_comparison_operator_token24] = ACTIONS(778),
    [aux_sym_comparison_operator_token25] = ACTIONS(778),
    [aux_sym_comparison_operator_token26] = ACTIONS(778),
    [aux_sym_comparison_operator_token27] = ACTIONS(778),
    [aux_sym_comparison_operator_token28] = ACTIONS(780),
    [aux_sym_comparison_operator_token29] = ACTIONS(778),
    [aux_sym_comparison_operator_token30] = ACTIONS(778),
    [aux_sym_comparison_operator_token31] = ACTIONS(778),
    [aux_sym_comparison_operator_token32] = ACTIONS(778),
    [aux_sym_comparison_operator_token33] = ACTIONS(778),
    [aux_sym_comparison_operator_token34] = ACTIONS(780),
    [aux_sym_comparison_operator_token35] = ACTIONS(778),
    [aux_sym_comparison_operator_token36] = ACTIONS(778),
    [aux_sym_comparison_operator_token37] = ACTIONS(778),
    [aux_sym_comparison_operator_token38] = ACTIONS(778),
    [aux_sym_comparison_operator_token39] = ACTIONS(778),
    [aux_sym_comparison_operator_token40] = ACTIONS(778),
    [aux_sym_comparison_operator_token41] = ACTIONS(778),
    [aux_sym_comparison_operator_token42] = ACTIONS(778),
    [aux_sym_comparison_operator_token43] = ACTIONS(778),
    [aux_sym_comparison_operator_token44] = ACTIONS(778),
    [aux_sym_comparison_operator_token45] = ACTIONS(778),
    [aux_sym_comparison_operator_token46] = ACTIONS(778),
    [aux_sym_comparison_operator_token47] = ACTIONS(778),
    [aux_sym_comparison_operator_token48] = ACTIONS(778),
    [aux_sym_comparison_operator_token49] = ACTIONS(778),
    [aux_sym_comparison_operator_token50] = ACTIONS(778),
    [aux_sym_format_operator_token1] = ACTIONS(778),
    [anon_sym_COMMA] = ACTIONS(1324),
    [anon_sym_PERCENT] = ACTIONS(778),
    [aux_sym_logical_expression_token1] = ACTIONS(778),
    [aux_sym_logical_expression_token2] = ACTIONS(778),
    [aux_sym_logical_expression_token3] = ACTIONS(778),
    [aux_sym_bitwise_expression_token1] = ACTIONS(778),
    [aux_sym_bitwise_expression_token2] = ACTIONS(778),
    [aux_sym_bitwise_expression_token3] = ACTIONS(778),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_DASH] = ACTIONS(780),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_BSLASH] = ACTIONS(778),
    [anon_sym_STAR] = ACTIONS(778),
    [anon_sym_DOT_DOT] = ACTIONS(778),
    [sym__statement_terminator] = ACTIONS(778),
  },
  [305] = {
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(251),
    [sym_hexadecimal_integer_literal] = ACTIONS(251),
    [sym_real_literal] = ACTIONS(251),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(251),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(251),
    [sym_verbatim_string_characters] = ACTIONS(251),
    [sym_verbatim_here_string_characters] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(251),
    [anon_sym_GT] = ACTIONS(251),
    [anon_sym_GT_GT] = ACTIONS(251),
    [anon_sym_2_GT] = ACTIONS(251),
    [anon_sym_2_GT_GT] = ACTIONS(251),
    [anon_sym_3_GT] = ACTIONS(251),
    [anon_sym_3_GT_GT] = ACTIONS(251),
    [anon_sym_4_GT] = ACTIONS(251),
    [anon_sym_4_GT_GT] = ACTIONS(251),
    [anon_sym_5_GT] = ACTIONS(251),
    [anon_sym_5_GT_GT] = ACTIONS(251),
    [anon_sym_6_GT] = ACTIONS(251),
    [anon_sym_6_GT_GT] = ACTIONS(251),
    [anon_sym_STAR_GT] = ACTIONS(251),
    [anon_sym_STAR_GT_GT] = ACTIONS(251),
    [anon_sym_LT] = ACTIONS(251),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(251),
    [anon_sym_2_GT_AMP1] = ACTIONS(251),
    [anon_sym_3_GT_AMP1] = ACTIONS(251),
    [anon_sym_4_GT_AMP1] = ACTIONS(251),
    [anon_sym_5_GT_AMP1] = ACTIONS(251),
    [anon_sym_6_GT_AMP1] = ACTIONS(251),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(251),
    [anon_sym_1_GT_AMP2] = ACTIONS(251),
    [anon_sym_3_GT_AMP2] = ACTIONS(251),
    [anon_sym_4_GT_AMP2] = ACTIONS(251),
    [anon_sym_5_GT_AMP2] = ACTIONS(251),
    [anon_sym_6_GT_AMP2] = ACTIONS(251),
    [aux_sym_comparison_operator_token37] = ACTIONS(251),
    [aux_sym_comparison_operator_token50] = ACTIONS(251),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(251),
    [anon_sym_DOLLAR_CARET] = ACTIONS(251),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(251),
    [anon_sym_DOLLAR_] = ACTIONS(251),
    [aux_sym_variable_token1] = ACTIONS(251),
    [aux_sym_variable_token2] = ACTIONS(251),
    [sym_braced_variable] = ACTIONS(251),
    [sym_command_parameter] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(251),
    [anon_sym_COMMA] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_PIPE] = ACTIONS(251),
    [sym_stop_parsing] = ACTIONS(251),
    [anon_sym_SPACE] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(251),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_DASH] = ACTIONS(251),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(251),
    [anon_sym_BANG] = ACTIONS(251),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(251),
    [anon_sym_PLUS_PLUS] = ACTIONS(251),
    [anon_sym_DASH_DASH] = ACTIONS(251),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(251),
    [anon_sym_AT_LPAREN] = ACTIONS(251),
    [anon_sym_AT_LBRACE] = ACTIONS(251),
    [anon_sym_DOT2] = ACTIONS(251),
    [anon_sym_COLON_COLON] = ACTIONS(251),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(253),
    [sym__statement_terminator] = ACTIONS(253),
  },
  [306] = {
    [aux_sym_array_literal_expression_repeat1] = STATE(306),
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(765),
    [aux_sym_comparison_operator_token2] = ACTIONS(765),
    [aux_sym_comparison_operator_token3] = ACTIONS(765),
    [aux_sym_comparison_operator_token4] = ACTIONS(765),
    [aux_sym_comparison_operator_token5] = ACTIONS(765),
    [aux_sym_comparison_operator_token6] = ACTIONS(765),
    [aux_sym_comparison_operator_token7] = ACTIONS(765),
    [aux_sym_comparison_operator_token8] = ACTIONS(765),
    [aux_sym_comparison_operator_token9] = ACTIONS(765),
    [aux_sym_comparison_operator_token10] = ACTIONS(765),
    [aux_sym_comparison_operator_token11] = ACTIONS(765),
    [aux_sym_comparison_operator_token12] = ACTIONS(765),
    [aux_sym_comparison_operator_token13] = ACTIONS(765),
    [aux_sym_comparison_operator_token14] = ACTIONS(765),
    [aux_sym_comparison_operator_token15] = ACTIONS(765),
    [aux_sym_comparison_operator_token16] = ACTIONS(765),
    [aux_sym_comparison_operator_token17] = ACTIONS(765),
    [aux_sym_comparison_operator_token18] = ACTIONS(765),
    [aux_sym_comparison_operator_token19] = ACTIONS(765),
    [aux_sym_comparison_operator_token20] = ACTIONS(765),
    [aux_sym_comparison_operator_token21] = ACTIONS(765),
    [aux_sym_comparison_operator_token22] = ACTIONS(765),
    [aux_sym_comparison_operator_token23] = ACTIONS(765),
    [aux_sym_comparison_operator_token24] = ACTIONS(765),
    [aux_sym_comparison_operator_token25] = ACTIONS(765),
    [aux_sym_comparison_operator_token26] = ACTIONS(765),
    [aux_sym_comparison_operator_token27] = ACTIONS(765),
    [aux_sym_comparison_operator_token28] = ACTIONS(767),
    [aux_sym_comparison_operator_token29] = ACTIONS(765),
    [aux_sym_comparison_operator_token30] = ACTIONS(765),
    [aux_sym_comparison_operator_token31] = ACTIONS(765),
    [aux_sym_comparison_operator_token32] = ACTIONS(765),
    [aux_sym_comparison_operator_token33] = ACTIONS(765),
    [aux_sym_comparison_operator_token34] = ACTIONS(767),
    [aux_sym_comparison_operator_token35] = ACTIONS(765),
    [aux_sym_comparison_operator_token36] = ACTIONS(765),
    [aux_sym_comparison_operator_token37] = ACTIONS(765),
    [aux_sym_comparison_operator_token38] = ACTIONS(765),
    [aux_sym_comparison_operator_token39] = ACTIONS(765),
    [aux_sym_comparison_operator_token40] = ACTIONS(765),
    [aux_sym_comparison_operator_token41] = ACTIONS(765),
    [aux_sym_comparison_operator_token42] = ACTIONS(765),
    [aux_sym_comparison_operator_token43] = ACTIONS(765),
    [aux_sym_comparison_operator_token44] = ACTIONS(765),
    [aux_sym_comparison_operator_token45] = ACTIONS(765),
    [aux_sym_comparison_operator_token46] = ACTIONS(765),
    [aux_sym_comparison_operator_token47] = ACTIONS(765),
    [aux_sym_comparison_operator_token48] = ACTIONS(765),
    [aux_sym_comparison_operator_token49] = ACTIONS(765),
    [aux_sym_comparison_operator_token50] = ACTIONS(765),
    [aux_sym_format_operator_token1] = ACTIONS(765),
    [anon_sym_COMMA] = ACTIONS(1340),
    [anon_sym_PERCENT] = ACTIONS(765),
    [aux_sym_logical_expression_token1] = ACTIONS(765),
    [aux_sym_logical_expression_token2] = ACTIONS(765),
    [aux_sym_logical_expression_token3] = ACTIONS(765),
    [aux_sym_bitwise_expression_token1] = ACTIONS(765),
    [aux_sym_bitwise_expression_token2] = ACTIONS(765),
    [aux_sym_bitwise_expression_token3] = ACTIONS(765),
    [anon_sym_PLUS] = ACTIONS(765),
    [anon_sym_DASH] = ACTIONS(767),
    [anon_sym_SLASH] = ACTIONS(765),
    [anon_sym_BSLASH] = ACTIONS(765),
    [anon_sym_STAR] = ACTIONS(765),
    [anon_sym_DOT_DOT] = ACTIONS(765),
    [sym__statement_terminator] = ACTIONS(765),
  },
  [307] = {
    [aux_sym_array_literal_expression_repeat1] = STATE(301),
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(778),
    [aux_sym_comparison_operator_token2] = ACTIONS(778),
    [aux_sym_comparison_operator_token3] = ACTIONS(778),
    [aux_sym_comparison_operator_token4] = ACTIONS(778),
    [aux_sym_comparison_operator_token5] = ACTIONS(778),
    [aux_sym_comparison_operator_token6] = ACTIONS(778),
    [aux_sym_comparison_operator_token7] = ACTIONS(778),
    [aux_sym_comparison_operator_token8] = ACTIONS(778),
    [aux_sym_comparison_operator_token9] = ACTIONS(778),
    [aux_sym_comparison_operator_token10] = ACTIONS(778),
    [aux_sym_comparison_operator_token11] = ACTIONS(778),
    [aux_sym_comparison_operator_token12] = ACTIONS(778),
    [aux_sym_comparison_operator_token13] = ACTIONS(778),
    [aux_sym_comparison_operator_token14] = ACTIONS(778),
    [aux_sym_comparison_operator_token15] = ACTIONS(778),
    [aux_sym_comparison_operator_token16] = ACTIONS(778),
    [aux_sym_comparison_operator_token17] = ACTIONS(778),
    [aux_sym_comparison_operator_token18] = ACTIONS(778),
    [aux_sym_comparison_operator_token19] = ACTIONS(778),
    [aux_sym_comparison_operator_token20] = ACTIONS(778),
    [aux_sym_comparison_operator_token21] = ACTIONS(778),
    [aux_sym_comparison_operator_token22] = ACTIONS(778),
    [aux_sym_comparison_operator_token23] = ACTIONS(778),
    [aux_sym_comparison_operator_token24] = ACTIONS(778),
    [aux_sym_comparison_operator_token25] = ACTIONS(778),
    [aux_sym_comparison_operator_token26] = ACTIONS(778),
    [aux_sym_comparison_operator_token27] = ACTIONS(778),
    [aux_sym_comparison_operator_token28] = ACTIONS(780),
    [aux_sym_comparison_operator_token29] = ACTIONS(778),
    [aux_sym_comparison_operator_token30] = ACTIONS(778),
    [aux_sym_comparison_operator_token31] = ACTIONS(778),
    [aux_sym_comparison_operator_token32] = ACTIONS(778),
    [aux_sym_comparison_operator_token33] = ACTIONS(778),
    [aux_sym_comparison_operator_token34] = ACTIONS(780),
    [aux_sym_comparison_operator_token35] = ACTIONS(778),
    [aux_sym_comparison_operator_token36] = ACTIONS(778),
    [aux_sym_comparison_operator_token37] = ACTIONS(778),
    [aux_sym_comparison_operator_token38] = ACTIONS(778),
    [aux_sym_comparison_operator_token39] = ACTIONS(778),
    [aux_sym_comparison_operator_token40] = ACTIONS(778),
    [aux_sym_comparison_operator_token41] = ACTIONS(778),
    [aux_sym_comparison_operator_token42] = ACTIONS(778),
    [aux_sym_comparison_operator_token43] = ACTIONS(778),
    [aux_sym_comparison_operator_token44] = ACTIONS(778),
    [aux_sym_comparison_operator_token45] = ACTIONS(778),
    [aux_sym_comparison_operator_token46] = ACTIONS(778),
    [aux_sym_comparison_operator_token47] = ACTIONS(778),
    [aux_sym_comparison_operator_token48] = ACTIONS(778),
    [aux_sym_comparison_operator_token49] = ACTIONS(778),
    [aux_sym_comparison_operator_token50] = ACTIONS(778),
    [aux_sym_format_operator_token1] = ACTIONS(778),
    [anon_sym_RPAREN] = ACTIONS(778),
    [anon_sym_COMMA] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [aux_sym_logical_expression_token1] = ACTIONS(778),
    [aux_sym_logical_expression_token2] = ACTIONS(778),
    [aux_sym_logical_expression_token3] = ACTIONS(778),
    [aux_sym_bitwise_expression_token1] = ACTIONS(778),
    [aux_sym_bitwise_expression_token2] = ACTIONS(778),
    [aux_sym_bitwise_expression_token3] = ACTIONS(778),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_DASH] = ACTIONS(780),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_BSLASH] = ACTIONS(778),
    [anon_sym_STAR] = ACTIONS(778),
    [anon_sym_DOT_DOT] = ACTIONS(778),
  },
  [308] = {
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(251),
    [sym_hexadecimal_integer_literal] = ACTIONS(251),
    [sym_real_literal] = ACTIONS(251),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(251),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(251),
    [sym_verbatim_string_characters] = ACTIONS(251),
    [sym_verbatim_here_string_characters] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(251),
    [anon_sym_GT] = ACTIONS(251),
    [anon_sym_GT_GT] = ACTIONS(251),
    [anon_sym_2_GT] = ACTIONS(251),
    [anon_sym_2_GT_GT] = ACTIONS(251),
    [anon_sym_3_GT] = ACTIONS(251),
    [anon_sym_3_GT_GT] = ACTIONS(251),
    [anon_sym_4_GT] = ACTIONS(251),
    [anon_sym_4_GT_GT] = ACTIONS(251),
    [anon_sym_5_GT] = ACTIONS(251),
    [anon_sym_5_GT_GT] = ACTIONS(251),
    [anon_sym_6_GT] = ACTIONS(251),
    [anon_sym_6_GT_GT] = ACTIONS(251),
    [anon_sym_STAR_GT] = ACTIONS(251),
    [anon_sym_STAR_GT_GT] = ACTIONS(251),
    [anon_sym_LT] = ACTIONS(251),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(251),
    [anon_sym_2_GT_AMP1] = ACTIONS(251),
    [anon_sym_3_GT_AMP1] = ACTIONS(251),
    [anon_sym_4_GT_AMP1] = ACTIONS(251),
    [anon_sym_5_GT_AMP1] = ACTIONS(251),
    [anon_sym_6_GT_AMP1] = ACTIONS(251),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(251),
    [anon_sym_1_GT_AMP2] = ACTIONS(251),
    [anon_sym_3_GT_AMP2] = ACTIONS(251),
    [anon_sym_4_GT_AMP2] = ACTIONS(251),
    [anon_sym_5_GT_AMP2] = ACTIONS(251),
    [anon_sym_6_GT_AMP2] = ACTIONS(251),
    [aux_sym_comparison_operator_token37] = ACTIONS(251),
    [aux_sym_comparison_operator_token50] = ACTIONS(251),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(251),
    [anon_sym_DOLLAR_CARET] = ACTIONS(251),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(251),
    [anon_sym_DOLLAR_] = ACTIONS(251),
    [aux_sym_variable_token1] = ACTIONS(251),
    [aux_sym_variable_token2] = ACTIONS(251),
    [sym_braced_variable] = ACTIONS(251),
    [sym_command_parameter] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(251),
    [anon_sym_RPAREN] = ACTIONS(251),
    [anon_sym_COMMA] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_PIPE] = ACTIONS(251),
    [sym_stop_parsing] = ACTIONS(251),
    [anon_sym_SPACE] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(251),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_DASH] = ACTIONS(251),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(251),
    [anon_sym_BANG] = ACTIONS(251),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(251),
    [anon_sym_PLUS_PLUS] = ACTIONS(251),
    [anon_sym_DASH_DASH] = ACTIONS(251),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(251),
    [anon_sym_AT_LPAREN] = ACTIONS(251),
    [anon_sym_AT_LBRACE] = ACTIONS(251),
    [anon_sym_DOT2] = ACTIONS(251),
    [anon_sym_COLON_COLON] = ACTIONS(251),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(253),
  },
  [309] = {
    [aux_sym_command_argument_sep_repeat1] = STATE(316),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1343),
    [sym_hexadecimal_integer_literal] = ACTIONS(1343),
    [sym_real_literal] = ACTIONS(1343),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1343),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1343),
    [sym_verbatim_string_characters] = ACTIONS(1343),
    [sym_verbatim_here_string_characters] = ACTIONS(1343),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_GT] = ACTIONS(1343),
    [anon_sym_GT_GT] = ACTIONS(1343),
    [anon_sym_2_GT] = ACTIONS(1343),
    [anon_sym_2_GT_GT] = ACTIONS(1343),
    [anon_sym_3_GT] = ACTIONS(1343),
    [anon_sym_3_GT_GT] = ACTIONS(1343),
    [anon_sym_4_GT] = ACTIONS(1343),
    [anon_sym_4_GT_GT] = ACTIONS(1343),
    [anon_sym_5_GT] = ACTIONS(1343),
    [anon_sym_5_GT_GT] = ACTIONS(1343),
    [anon_sym_6_GT] = ACTIONS(1343),
    [anon_sym_6_GT_GT] = ACTIONS(1343),
    [anon_sym_STAR_GT] = ACTIONS(1343),
    [anon_sym_STAR_GT_GT] = ACTIONS(1343),
    [anon_sym_LT] = ACTIONS(1343),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1343),
    [anon_sym_2_GT_AMP1] = ACTIONS(1343),
    [anon_sym_3_GT_AMP1] = ACTIONS(1343),
    [anon_sym_4_GT_AMP1] = ACTIONS(1343),
    [anon_sym_5_GT_AMP1] = ACTIONS(1343),
    [anon_sym_6_GT_AMP1] = ACTIONS(1343),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1343),
    [anon_sym_1_GT_AMP2] = ACTIONS(1343),
    [anon_sym_3_GT_AMP2] = ACTIONS(1343),
    [anon_sym_4_GT_AMP2] = ACTIONS(1343),
    [anon_sym_5_GT_AMP2] = ACTIONS(1343),
    [anon_sym_6_GT_AMP2] = ACTIONS(1343),
    [aux_sym_comparison_operator_token37] = ACTIONS(1343),
    [aux_sym_comparison_operator_token50] = ACTIONS(1343),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1343),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1343),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1343),
    [anon_sym_DOLLAR_] = ACTIONS(1343),
    [aux_sym_variable_token1] = ACTIONS(1343),
    [aux_sym_variable_token2] = ACTIONS(1343),
    [sym_braced_variable] = ACTIONS(1343),
    [sym_generic_token] = ACTIONS(1343),
    [sym_command_parameter] = ACTIONS(1343),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_COMMA] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1343),
    [anon_sym_PIPE] = ACTIONS(1343),
    [sym_stop_parsing] = ACTIONS(1343),
    [anon_sym_SPACE] = ACTIONS(1345),
    [anon_sym_COLON] = ACTIONS(1343),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(1343),
    [anon_sym_PLUS] = ACTIONS(1343),
    [anon_sym_DASH] = ACTIONS(1343),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1343),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1343),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1343),
    [anon_sym_AT_LPAREN] = ACTIONS(1343),
    [anon_sym_AT_LBRACE] = ACTIONS(1343),
    [sym__statement_terminator] = ACTIONS(1347),
  },
  [310] = {
    [sym_catch_clauses] = STATE(415),
    [sym_catch_clause] = STATE(372),
    [sym_finally_clause] = STATE(485),
    [aux_sym_catch_clauses_repeat1] = STATE(372),
    [ts_builtin_sym_end] = ACTIONS(1349),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1334),
    [sym_hexadecimal_integer_literal] = ACTIONS(1334),
    [sym_real_literal] = ACTIONS(1334),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1334),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1334),
    [sym_verbatim_string_characters] = ACTIONS(1334),
    [sym_verbatim_here_string_characters] = ACTIONS(1334),
    [anon_sym_DOT] = ACTIONS(1334),
    [anon_sym_LBRACK] = ACTIONS(1334),
    [aux_sym_comparison_operator_token37] = ACTIONS(1334),
    [aux_sym_comparison_operator_token50] = ACTIONS(1334),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1334),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1334),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1334),
    [anon_sym_DOLLAR_] = ACTIONS(1334),
    [aux_sym_variable_token1] = ACTIONS(1334),
    [aux_sym_variable_token2] = ACTIONS(1334),
    [sym_braced_variable] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(1334),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_COMMA] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [aux_sym_if_statement_token1] = ACTIONS(1334),
    [aux_sym_switch_statement_token1] = ACTIONS(1334),
    [aux_sym_foreach_statement_token1] = ACTIONS(1334),
    [aux_sym_for_statement_token1] = ACTIONS(1334),
    [aux_sym_while_statement_token1] = ACTIONS(1334),
    [aux_sym_do_statement_token1] = ACTIONS(1334),
    [aux_sym_function_statement_token1] = ACTIONS(1334),
    [aux_sym_function_statement_token2] = ACTIONS(1334),
    [aux_sym_function_statement_token3] = ACTIONS(1334),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1334),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1334),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1334),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1334),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1334),
    [sym_label] = ACTIONS(1334),
    [aux_sym_trap_statement_token1] = ACTIONS(1334),
    [aux_sym_try_statement_token1] = ACTIONS(1334),
    [aux_sym_catch_clause_token1] = ACTIONS(1351),
    [aux_sym_finally_clause_token1] = ACTIONS(1353),
    [aux_sym_data_statement_token1] = ACTIONS(1334),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1334),
    [aux_sym_parallel_statement_token1] = ACTIONS(1334),
    [aux_sym_sequence_statement_token1] = ACTIONS(1334),
    [anon_sym_AMP] = ACTIONS(1334),
    [aux_sym_command_name_token1] = ACTIONS(1334),
    [anon_sym_PERCENT] = ACTIONS(1334),
    [aux_sym_foreach_command_token1] = ACTIONS(1334),
    [aux_sym_class_statement_token1] = ACTIONS(1334),
    [aux_sym_enum_statement_token1] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1334),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1334),
    [anon_sym_AT_LPAREN] = ACTIONS(1334),
    [anon_sym_AT_LBRACE] = ACTIONS(1334),
  },
  [311] = {
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(251),
    [sym_hexadecimal_integer_literal] = ACTIONS(251),
    [sym_real_literal] = ACTIONS(251),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(251),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(251),
    [sym_verbatim_string_characters] = ACTIONS(251),
    [sym_verbatim_here_string_characters] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(251),
    [anon_sym_GT] = ACTIONS(251),
    [anon_sym_GT_GT] = ACTIONS(251),
    [anon_sym_2_GT] = ACTIONS(251),
    [anon_sym_2_GT_GT] = ACTIONS(251),
    [anon_sym_3_GT] = ACTIONS(251),
    [anon_sym_3_GT_GT] = ACTIONS(251),
    [anon_sym_4_GT] = ACTIONS(251),
    [anon_sym_4_GT_GT] = ACTIONS(251),
    [anon_sym_5_GT] = ACTIONS(251),
    [anon_sym_5_GT_GT] = ACTIONS(251),
    [anon_sym_6_GT] = ACTIONS(251),
    [anon_sym_6_GT_GT] = ACTIONS(251),
    [anon_sym_STAR_GT] = ACTIONS(251),
    [anon_sym_STAR_GT_GT] = ACTIONS(251),
    [anon_sym_LT] = ACTIONS(251),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(251),
    [anon_sym_2_GT_AMP1] = ACTIONS(251),
    [anon_sym_3_GT_AMP1] = ACTIONS(251),
    [anon_sym_4_GT_AMP1] = ACTIONS(251),
    [anon_sym_5_GT_AMP1] = ACTIONS(251),
    [anon_sym_6_GT_AMP1] = ACTIONS(251),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(251),
    [anon_sym_1_GT_AMP2] = ACTIONS(251),
    [anon_sym_3_GT_AMP2] = ACTIONS(251),
    [anon_sym_4_GT_AMP2] = ACTIONS(251),
    [anon_sym_5_GT_AMP2] = ACTIONS(251),
    [anon_sym_6_GT_AMP2] = ACTIONS(251),
    [aux_sym_comparison_operator_token37] = ACTIONS(251),
    [aux_sym_comparison_operator_token50] = ACTIONS(251),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(251),
    [anon_sym_DOLLAR_CARET] = ACTIONS(251),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(251),
    [anon_sym_DOLLAR_] = ACTIONS(251),
    [aux_sym_variable_token1] = ACTIONS(251),
    [aux_sym_variable_token2] = ACTIONS(251),
    [sym_braced_variable] = ACTIONS(251),
    [sym_command_parameter] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(251),
    [anon_sym_RPAREN] = ACTIONS(251),
    [anon_sym_COMMA] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_PIPE] = ACTIONS(251),
    [sym_stop_parsing] = ACTIONS(251),
    [anon_sym_SPACE] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_DASH] = ACTIONS(251),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(251),
    [anon_sym_BANG] = ACTIONS(251),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(251),
    [anon_sym_PLUS_PLUS] = ACTIONS(251),
    [anon_sym_DASH_DASH] = ACTIONS(251),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(251),
    [anon_sym_AT_LPAREN] = ACTIONS(251),
    [anon_sym_AT_LBRACE] = ACTIONS(251),
    [anon_sym_DOT2] = ACTIONS(251),
    [anon_sym_COLON_COLON] = ACTIONS(251),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(253),
  },
  [312] = {
    [aux_sym_command_argument_sep_repeat1] = STATE(312),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1355),
    [sym_hexadecimal_integer_literal] = ACTIONS(1355),
    [sym_real_literal] = ACTIONS(1355),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1355),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1355),
    [sym_verbatim_string_characters] = ACTIONS(1355),
    [sym_verbatim_here_string_characters] = ACTIONS(1355),
    [anon_sym_LBRACK] = ACTIONS(1355),
    [anon_sym_GT] = ACTIONS(1355),
    [anon_sym_GT_GT] = ACTIONS(1355),
    [anon_sym_2_GT] = ACTIONS(1355),
    [anon_sym_2_GT_GT] = ACTIONS(1355),
    [anon_sym_3_GT] = ACTIONS(1355),
    [anon_sym_3_GT_GT] = ACTIONS(1355),
    [anon_sym_4_GT] = ACTIONS(1355),
    [anon_sym_4_GT_GT] = ACTIONS(1355),
    [anon_sym_5_GT] = ACTIONS(1355),
    [anon_sym_5_GT_GT] = ACTIONS(1355),
    [anon_sym_6_GT] = ACTIONS(1355),
    [anon_sym_6_GT_GT] = ACTIONS(1355),
    [anon_sym_STAR_GT] = ACTIONS(1355),
    [anon_sym_STAR_GT_GT] = ACTIONS(1355),
    [anon_sym_LT] = ACTIONS(1355),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1355),
    [anon_sym_2_GT_AMP1] = ACTIONS(1355),
    [anon_sym_3_GT_AMP1] = ACTIONS(1355),
    [anon_sym_4_GT_AMP1] = ACTIONS(1355),
    [anon_sym_5_GT_AMP1] = ACTIONS(1355),
    [anon_sym_6_GT_AMP1] = ACTIONS(1355),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1355),
    [anon_sym_1_GT_AMP2] = ACTIONS(1355),
    [anon_sym_3_GT_AMP2] = ACTIONS(1355),
    [anon_sym_4_GT_AMP2] = ACTIONS(1355),
    [anon_sym_5_GT_AMP2] = ACTIONS(1355),
    [anon_sym_6_GT_AMP2] = ACTIONS(1355),
    [aux_sym_comparison_operator_token37] = ACTIONS(1355),
    [aux_sym_comparison_operator_token50] = ACTIONS(1355),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1355),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1355),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1355),
    [anon_sym_DOLLAR_] = ACTIONS(1355),
    [aux_sym_variable_token1] = ACTIONS(1355),
    [aux_sym_variable_token2] = ACTIONS(1355),
    [sym_braced_variable] = ACTIONS(1355),
    [sym_generic_token] = ACTIONS(1355),
    [sym_command_parameter] = ACTIONS(1355),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_RPAREN] = ACTIONS(1355),
    [anon_sym_COMMA] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1355),
    [sym_stop_parsing] = ACTIONS(1355),
    [anon_sym_SPACE] = ACTIONS(1357),
    [anon_sym_COLON] = ACTIONS(1355),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(1355),
    [anon_sym_PLUS] = ACTIONS(1355),
    [anon_sym_DASH] = ACTIONS(1355),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1355),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1355),
    [anon_sym_PLUS_PLUS] = ACTIONS(1355),
    [anon_sym_DASH_DASH] = ACTIONS(1355),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1355),
    [anon_sym_AT_LPAREN] = ACTIONS(1355),
    [anon_sym_AT_LBRACE] = ACTIONS(1355),
  },
  [313] = {
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(251),
    [sym_hexadecimal_integer_literal] = ACTIONS(251),
    [sym_real_literal] = ACTIONS(251),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(251),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(251),
    [sym_verbatim_string_characters] = ACTIONS(251),
    [sym_verbatim_here_string_characters] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(251),
    [anon_sym_GT] = ACTIONS(251),
    [anon_sym_GT_GT] = ACTIONS(251),
    [anon_sym_2_GT] = ACTIONS(251),
    [anon_sym_2_GT_GT] = ACTIONS(251),
    [anon_sym_3_GT] = ACTIONS(251),
    [anon_sym_3_GT_GT] = ACTIONS(251),
    [anon_sym_4_GT] = ACTIONS(251),
    [anon_sym_4_GT_GT] = ACTIONS(251),
    [anon_sym_5_GT] = ACTIONS(251),
    [anon_sym_5_GT_GT] = ACTIONS(251),
    [anon_sym_6_GT] = ACTIONS(251),
    [anon_sym_6_GT_GT] = ACTIONS(251),
    [anon_sym_STAR_GT] = ACTIONS(251),
    [anon_sym_STAR_GT_GT] = ACTIONS(251),
    [anon_sym_LT] = ACTIONS(251),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(251),
    [anon_sym_2_GT_AMP1] = ACTIONS(251),
    [anon_sym_3_GT_AMP1] = ACTIONS(251),
    [anon_sym_4_GT_AMP1] = ACTIONS(251),
    [anon_sym_5_GT_AMP1] = ACTIONS(251),
    [anon_sym_6_GT_AMP1] = ACTIONS(251),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(251),
    [anon_sym_1_GT_AMP2] = ACTIONS(251),
    [anon_sym_3_GT_AMP2] = ACTIONS(251),
    [anon_sym_4_GT_AMP2] = ACTIONS(251),
    [anon_sym_5_GT_AMP2] = ACTIONS(251),
    [anon_sym_6_GT_AMP2] = ACTIONS(251),
    [aux_sym_comparison_operator_token37] = ACTIONS(251),
    [aux_sym_comparison_operator_token50] = ACTIONS(251),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(251),
    [anon_sym_DOLLAR_CARET] = ACTIONS(251),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(251),
    [anon_sym_DOLLAR_] = ACTIONS(251),
    [aux_sym_variable_token1] = ACTIONS(251),
    [aux_sym_variable_token2] = ACTIONS(251),
    [sym_braced_variable] = ACTIONS(251),
    [sym_command_parameter] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(251),
    [anon_sym_COMMA] = ACTIONS(251),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_PIPE] = ACTIONS(251),
    [sym_stop_parsing] = ACTIONS(251),
    [anon_sym_SPACE] = ACTIONS(251),
    [anon_sym_COLON] = ACTIONS(251),
    [anon_sym_PLUS] = ACTIONS(251),
    [anon_sym_DASH] = ACTIONS(251),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(251),
    [anon_sym_BANG] = ACTIONS(251),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(251),
    [anon_sym_PLUS_PLUS] = ACTIONS(251),
    [anon_sym_DASH_DASH] = ACTIONS(251),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(251),
    [anon_sym_AT_LPAREN] = ACTIONS(251),
    [anon_sym_AT_LBRACE] = ACTIONS(251),
    [anon_sym_DOT2] = ACTIONS(251),
    [anon_sym_COLON_COLON] = ACTIONS(251),
    [aux_sym_invokation_foreach_expression_token1] = ACTIONS(253),
    [sym__statement_terminator] = ACTIONS(253),
  },
  [314] = {
    [sym_format_operator] = STATE(579),
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(801),
    [aux_sym_comparison_operator_token2] = ACTIONS(801),
    [aux_sym_comparison_operator_token3] = ACTIONS(801),
    [aux_sym_comparison_operator_token4] = ACTIONS(801),
    [aux_sym_comparison_operator_token5] = ACTIONS(801),
    [aux_sym_comparison_operator_token6] = ACTIONS(801),
    [aux_sym_comparison_operator_token7] = ACTIONS(801),
    [aux_sym_comparison_operator_token8] = ACTIONS(801),
    [aux_sym_comparison_operator_token9] = ACTIONS(801),
    [aux_sym_comparison_operator_token10] = ACTIONS(801),
    [aux_sym_comparison_operator_token11] = ACTIONS(801),
    [aux_sym_comparison_operator_token12] = ACTIONS(801),
    [aux_sym_comparison_operator_token13] = ACTIONS(801),
    [aux_sym_comparison_operator_token14] = ACTIONS(801),
    [aux_sym_comparison_operator_token15] = ACTIONS(801),
    [aux_sym_comparison_operator_token16] = ACTIONS(801),
    [aux_sym_comparison_operator_token17] = ACTIONS(801),
    [aux_sym_comparison_operator_token18] = ACTIONS(801),
    [aux_sym_comparison_operator_token19] = ACTIONS(801),
    [aux_sym_comparison_operator_token20] = ACTIONS(801),
    [aux_sym_comparison_operator_token21] = ACTIONS(801),
    [aux_sym_comparison_operator_token22] = ACTIONS(801),
    [aux_sym_comparison_operator_token23] = ACTIONS(801),
    [aux_sym_comparison_operator_token24] = ACTIONS(801),
    [aux_sym_comparison_operator_token25] = ACTIONS(801),
    [aux_sym_comparison_operator_token26] = ACTIONS(801),
    [aux_sym_comparison_operator_token27] = ACTIONS(801),
    [aux_sym_comparison_operator_token28] = ACTIONS(803),
    [aux_sym_comparison_operator_token29] = ACTIONS(801),
    [aux_sym_comparison_operator_token30] = ACTIONS(801),
    [aux_sym_comparison_operator_token31] = ACTIONS(801),
    [aux_sym_comparison_operator_token32] = ACTIONS(801),
    [aux_sym_comparison_operator_token33] = ACTIONS(801),
    [aux_sym_comparison_operator_token34] = ACTIONS(803),
    [aux_sym_comparison_operator_token35] = ACTIONS(801),
    [aux_sym_comparison_operator_token36] = ACTIONS(801),
    [aux_sym_comparison_operator_token37] = ACTIONS(801),
    [aux_sym_comparison_operator_token38] = ACTIONS(801),
    [aux_sym_comparison_operator_token39] = ACTIONS(801),
    [aux_sym_comparison_operator_token40] = ACTIONS(801),
    [aux_sym_comparison_operator_token41] = ACTIONS(801),
    [aux_sym_comparison_operator_token42] = ACTIONS(801),
    [aux_sym_comparison_operator_token43] = ACTIONS(801),
    [aux_sym_comparison_operator_token44] = ACTIONS(801),
    [aux_sym_comparison_operator_token45] = ACTIONS(801),
    [aux_sym_comparison_operator_token46] = ACTIONS(801),
    [aux_sym_comparison_operator_token47] = ACTIONS(801),
    [aux_sym_comparison_operator_token48] = ACTIONS(801),
    [aux_sym_comparison_operator_token49] = ACTIONS(801),
    [aux_sym_comparison_operator_token50] = ACTIONS(801),
    [aux_sym_format_operator_token1] = ACTIONS(799),
    [anon_sym_RPAREN] = ACTIONS(801),
    [anon_sym_COMMA] = ACTIONS(801),
    [anon_sym_PERCENT] = ACTIONS(801),
    [aux_sym_logical_expression_token1] = ACTIONS(801),
    [aux_sym_logical_expression_token2] = ACTIONS(801),
    [aux_sym_logical_expression_token3] = ACTIONS(801),
    [aux_sym_bitwise_expression_token1] = ACTIONS(801),
    [aux_sym_bitwise_expression_token2] = ACTIONS(801),
    [aux_sym_bitwise_expression_token3] = ACTIONS(801),
    [anon_sym_PLUS] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(803),
    [anon_sym_SLASH] = ACTIONS(801),
    [anon_sym_BSLASH] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(801),
  },
  [315] = {
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(811),
    [aux_sym_comparison_operator_token2] = ACTIONS(811),
    [aux_sym_comparison_operator_token3] = ACTIONS(811),
    [aux_sym_comparison_operator_token4] = ACTIONS(811),
    [aux_sym_comparison_operator_token5] = ACTIONS(811),
    [aux_sym_comparison_operator_token6] = ACTIONS(811),
    [aux_sym_comparison_operator_token7] = ACTIONS(811),
    [aux_sym_comparison_operator_token8] = ACTIONS(811),
    [aux_sym_comparison_operator_token9] = ACTIONS(811),
    [aux_sym_comparison_operator_token10] = ACTIONS(811),
    [aux_sym_comparison_operator_token11] = ACTIONS(811),
    [aux_sym_comparison_operator_token12] = ACTIONS(811),
    [aux_sym_comparison_operator_token13] = ACTIONS(811),
    [aux_sym_comparison_operator_token14] = ACTIONS(811),
    [aux_sym_comparison_operator_token15] = ACTIONS(811),
    [aux_sym_comparison_operator_token16] = ACTIONS(811),
    [aux_sym_comparison_operator_token17] = ACTIONS(811),
    [aux_sym_comparison_operator_token18] = ACTIONS(811),
    [aux_sym_comparison_operator_token19] = ACTIONS(811),
    [aux_sym_comparison_operator_token20] = ACTIONS(811),
    [aux_sym_comparison_operator_token21] = ACTIONS(811),
    [aux_sym_comparison_operator_token22] = ACTIONS(811),
    [aux_sym_comparison_operator_token23] = ACTIONS(811),
    [aux_sym_comparison_operator_token24] = ACTIONS(811),
    [aux_sym_comparison_operator_token25] = ACTIONS(811),
    [aux_sym_comparison_operator_token26] = ACTIONS(811),
    [aux_sym_comparison_operator_token27] = ACTIONS(811),
    [aux_sym_comparison_operator_token28] = ACTIONS(813),
    [aux_sym_comparison_operator_token29] = ACTIONS(811),
    [aux_sym_comparison_operator_token30] = ACTIONS(811),
    [aux_sym_comparison_operator_token31] = ACTIONS(811),
    [aux_sym_comparison_operator_token32] = ACTIONS(811),
    [aux_sym_comparison_operator_token33] = ACTIONS(811),
    [aux_sym_comparison_operator_token34] = ACTIONS(813),
    [aux_sym_comparison_operator_token35] = ACTIONS(811),
    [aux_sym_comparison_operator_token36] = ACTIONS(811),
    [aux_sym_comparison_operator_token37] = ACTIONS(811),
    [aux_sym_comparison_operator_token38] = ACTIONS(811),
    [aux_sym_comparison_operator_token39] = ACTIONS(811),
    [aux_sym_comparison_operator_token40] = ACTIONS(811),
    [aux_sym_comparison_operator_token41] = ACTIONS(811),
    [aux_sym_comparison_operator_token42] = ACTIONS(811),
    [aux_sym_comparison_operator_token43] = ACTIONS(811),
    [aux_sym_comparison_operator_token44] = ACTIONS(811),
    [aux_sym_comparison_operator_token45] = ACTIONS(811),
    [aux_sym_comparison_operator_token46] = ACTIONS(811),
    [aux_sym_comparison_operator_token47] = ACTIONS(811),
    [aux_sym_comparison_operator_token48] = ACTIONS(811),
    [aux_sym_comparison_operator_token49] = ACTIONS(811),
    [aux_sym_comparison_operator_token50] = ACTIONS(811),
    [aux_sym_format_operator_token1] = ACTIONS(811),
    [anon_sym_RPAREN] = ACTIONS(811),
    [anon_sym_COMMA] = ACTIONS(811),
    [anon_sym_PERCENT] = ACTIONS(811),
    [aux_sym_logical_expression_token1] = ACTIONS(811),
    [aux_sym_logical_expression_token2] = ACTIONS(811),
    [aux_sym_logical_expression_token3] = ACTIONS(811),
    [aux_sym_bitwise_expression_token1] = ACTIONS(811),
    [aux_sym_bitwise_expression_token2] = ACTIONS(811),
    [aux_sym_bitwise_expression_token3] = ACTIONS(811),
    [anon_sym_PLUS] = ACTIONS(811),
    [anon_sym_DASH] = ACTIONS(813),
    [anon_sym_SLASH] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(811),
    [anon_sym_DOT_DOT] = ACTIONS(1360),
  },
  [316] = {
    [aux_sym_command_argument_sep_repeat1] = STATE(316),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1355),
    [sym_hexadecimal_integer_literal] = ACTIONS(1355),
    [sym_real_literal] = ACTIONS(1355),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1355),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1355),
    [sym_verbatim_string_characters] = ACTIONS(1355),
    [sym_verbatim_here_string_characters] = ACTIONS(1355),
    [anon_sym_LBRACK] = ACTIONS(1355),
    [anon_sym_GT] = ACTIONS(1355),
    [anon_sym_GT_GT] = ACTIONS(1355),
    [anon_sym_2_GT] = ACTIONS(1355),
    [anon_sym_2_GT_GT] = ACTIONS(1355),
    [anon_sym_3_GT] = ACTIONS(1355),
    [anon_sym_3_GT_GT] = ACTIONS(1355),
    [anon_sym_4_GT] = ACTIONS(1355),
    [anon_sym_4_GT_GT] = ACTIONS(1355),
    [anon_sym_5_GT] = ACTIONS(1355),
    [anon_sym_5_GT_GT] = ACTIONS(1355),
    [anon_sym_6_GT] = ACTIONS(1355),
    [anon_sym_6_GT_GT] = ACTIONS(1355),
    [anon_sym_STAR_GT] = ACTIONS(1355),
    [anon_sym_STAR_GT_GT] = ACTIONS(1355),
    [anon_sym_LT] = ACTIONS(1355),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1355),
    [anon_sym_2_GT_AMP1] = ACTIONS(1355),
    [anon_sym_3_GT_AMP1] = ACTIONS(1355),
    [anon_sym_4_GT_AMP1] = ACTIONS(1355),
    [anon_sym_5_GT_AMP1] = ACTIONS(1355),
    [anon_sym_6_GT_AMP1] = ACTIONS(1355),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1355),
    [anon_sym_1_GT_AMP2] = ACTIONS(1355),
    [anon_sym_3_GT_AMP2] = ACTIONS(1355),
    [anon_sym_4_GT_AMP2] = ACTIONS(1355),
    [anon_sym_5_GT_AMP2] = ACTIONS(1355),
    [anon_sym_6_GT_AMP2] = ACTIONS(1355),
    [aux_sym_comparison_operator_token37] = ACTIONS(1355),
    [aux_sym_comparison_operator_token50] = ACTIONS(1355),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1355),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1355),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1355),
    [anon_sym_DOLLAR_] = ACTIONS(1355),
    [aux_sym_variable_token1] = ACTIONS(1355),
    [aux_sym_variable_token2] = ACTIONS(1355),
    [sym_braced_variable] = ACTIONS(1355),
    [sym_generic_token] = ACTIONS(1355),
    [sym_command_parameter] = ACTIONS(1355),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_COMMA] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1355),
    [sym_stop_parsing] = ACTIONS(1355),
    [anon_sym_SPACE] = ACTIONS(1362),
    [anon_sym_COLON] = ACTIONS(1355),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(1355),
    [anon_sym_PLUS] = ACTIONS(1355),
    [anon_sym_DASH] = ACTIONS(1355),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1355),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1355),
    [anon_sym_PLUS_PLUS] = ACTIONS(1355),
    [anon_sym_DASH_DASH] = ACTIONS(1355),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1355),
    [anon_sym_AT_LPAREN] = ACTIONS(1355),
    [anon_sym_AT_LBRACE] = ACTIONS(1355),
    [sym__statement_terminator] = ACTIONS(1365),
  },
  [317] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym__expression] = STATE(1668),
    [sym_logical_expression] = STATE(1374),
    [sym_bitwise_expression] = STATE(1306),
    [sym_comparison_expression] = STATE(563),
    [sym_additive_expression] = STATE(533),
    [sym_multiplicative_expression] = STATE(373),
    [sym_format_expression] = STATE(318),
    [sym_range_expression] = STATE(319),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(307),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(76),
    [sym_attribute_argument] = STATE(1704),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [sym_simple_name] = ACTIONS(1315),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [318] = {
    [sym_format_operator] = STATE(579),
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(795),
    [aux_sym_comparison_operator_token2] = ACTIONS(795),
    [aux_sym_comparison_operator_token3] = ACTIONS(795),
    [aux_sym_comparison_operator_token4] = ACTIONS(795),
    [aux_sym_comparison_operator_token5] = ACTIONS(795),
    [aux_sym_comparison_operator_token6] = ACTIONS(795),
    [aux_sym_comparison_operator_token7] = ACTIONS(795),
    [aux_sym_comparison_operator_token8] = ACTIONS(795),
    [aux_sym_comparison_operator_token9] = ACTIONS(795),
    [aux_sym_comparison_operator_token10] = ACTIONS(795),
    [aux_sym_comparison_operator_token11] = ACTIONS(795),
    [aux_sym_comparison_operator_token12] = ACTIONS(795),
    [aux_sym_comparison_operator_token13] = ACTIONS(795),
    [aux_sym_comparison_operator_token14] = ACTIONS(795),
    [aux_sym_comparison_operator_token15] = ACTIONS(795),
    [aux_sym_comparison_operator_token16] = ACTIONS(795),
    [aux_sym_comparison_operator_token17] = ACTIONS(795),
    [aux_sym_comparison_operator_token18] = ACTIONS(795),
    [aux_sym_comparison_operator_token19] = ACTIONS(795),
    [aux_sym_comparison_operator_token20] = ACTIONS(795),
    [aux_sym_comparison_operator_token21] = ACTIONS(795),
    [aux_sym_comparison_operator_token22] = ACTIONS(795),
    [aux_sym_comparison_operator_token23] = ACTIONS(795),
    [aux_sym_comparison_operator_token24] = ACTIONS(795),
    [aux_sym_comparison_operator_token25] = ACTIONS(795),
    [aux_sym_comparison_operator_token26] = ACTIONS(795),
    [aux_sym_comparison_operator_token27] = ACTIONS(795),
    [aux_sym_comparison_operator_token28] = ACTIONS(797),
    [aux_sym_comparison_operator_token29] = ACTIONS(795),
    [aux_sym_comparison_operator_token30] = ACTIONS(795),
    [aux_sym_comparison_operator_token31] = ACTIONS(795),
    [aux_sym_comparison_operator_token32] = ACTIONS(795),
    [aux_sym_comparison_operator_token33] = ACTIONS(795),
    [aux_sym_comparison_operator_token34] = ACTIONS(797),
    [aux_sym_comparison_operator_token35] = ACTIONS(795),
    [aux_sym_comparison_operator_token36] = ACTIONS(795),
    [aux_sym_comparison_operator_token37] = ACTIONS(795),
    [aux_sym_comparison_operator_token38] = ACTIONS(795),
    [aux_sym_comparison_operator_token39] = ACTIONS(795),
    [aux_sym_comparison_operator_token40] = ACTIONS(795),
    [aux_sym_comparison_operator_token41] = ACTIONS(795),
    [aux_sym_comparison_operator_token42] = ACTIONS(795),
    [aux_sym_comparison_operator_token43] = ACTIONS(795),
    [aux_sym_comparison_operator_token44] = ACTIONS(795),
    [aux_sym_comparison_operator_token45] = ACTIONS(795),
    [aux_sym_comparison_operator_token46] = ACTIONS(795),
    [aux_sym_comparison_operator_token47] = ACTIONS(795),
    [aux_sym_comparison_operator_token48] = ACTIONS(795),
    [aux_sym_comparison_operator_token49] = ACTIONS(795),
    [aux_sym_comparison_operator_token50] = ACTIONS(795),
    [aux_sym_format_operator_token1] = ACTIONS(799),
    [anon_sym_RPAREN] = ACTIONS(795),
    [anon_sym_COMMA] = ACTIONS(795),
    [anon_sym_PERCENT] = ACTIONS(795),
    [aux_sym_logical_expression_token1] = ACTIONS(795),
    [aux_sym_logical_expression_token2] = ACTIONS(795),
    [aux_sym_logical_expression_token3] = ACTIONS(795),
    [aux_sym_bitwise_expression_token1] = ACTIONS(795),
    [aux_sym_bitwise_expression_token2] = ACTIONS(795),
    [aux_sym_bitwise_expression_token3] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(795),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_SLASH] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(795),
    [anon_sym_STAR] = ACTIONS(795),
  },
  [319] = {
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(805),
    [aux_sym_comparison_operator_token2] = ACTIONS(805),
    [aux_sym_comparison_operator_token3] = ACTIONS(805),
    [aux_sym_comparison_operator_token4] = ACTIONS(805),
    [aux_sym_comparison_operator_token5] = ACTIONS(805),
    [aux_sym_comparison_operator_token6] = ACTIONS(805),
    [aux_sym_comparison_operator_token7] = ACTIONS(805),
    [aux_sym_comparison_operator_token8] = ACTIONS(805),
    [aux_sym_comparison_operator_token9] = ACTIONS(805),
    [aux_sym_comparison_operator_token10] = ACTIONS(805),
    [aux_sym_comparison_operator_token11] = ACTIONS(805),
    [aux_sym_comparison_operator_token12] = ACTIONS(805),
    [aux_sym_comparison_operator_token13] = ACTIONS(805),
    [aux_sym_comparison_operator_token14] = ACTIONS(805),
    [aux_sym_comparison_operator_token15] = ACTIONS(805),
    [aux_sym_comparison_operator_token16] = ACTIONS(805),
    [aux_sym_comparison_operator_token17] = ACTIONS(805),
    [aux_sym_comparison_operator_token18] = ACTIONS(805),
    [aux_sym_comparison_operator_token19] = ACTIONS(805),
    [aux_sym_comparison_operator_token20] = ACTIONS(805),
    [aux_sym_comparison_operator_token21] = ACTIONS(805),
    [aux_sym_comparison_operator_token22] = ACTIONS(805),
    [aux_sym_comparison_operator_token23] = ACTIONS(805),
    [aux_sym_comparison_operator_token24] = ACTIONS(805),
    [aux_sym_comparison_operator_token25] = ACTIONS(805),
    [aux_sym_comparison_operator_token26] = ACTIONS(805),
    [aux_sym_comparison_operator_token27] = ACTIONS(805),
    [aux_sym_comparison_operator_token28] = ACTIONS(807),
    [aux_sym_comparison_operator_token29] = ACTIONS(805),
    [aux_sym_comparison_operator_token30] = ACTIONS(805),
    [aux_sym_comparison_operator_token31] = ACTIONS(805),
    [aux_sym_comparison_operator_token32] = ACTIONS(805),
    [aux_sym_comparison_operator_token33] = ACTIONS(805),
    [aux_sym_comparison_operator_token34] = ACTIONS(807),
    [aux_sym_comparison_operator_token35] = ACTIONS(805),
    [aux_sym_comparison_operator_token36] = ACTIONS(805),
    [aux_sym_comparison_operator_token37] = ACTIONS(805),
    [aux_sym_comparison_operator_token38] = ACTIONS(805),
    [aux_sym_comparison_operator_token39] = ACTIONS(805),
    [aux_sym_comparison_operator_token40] = ACTIONS(805),
    [aux_sym_comparison_operator_token41] = ACTIONS(805),
    [aux_sym_comparison_operator_token42] = ACTIONS(805),
    [aux_sym_comparison_operator_token43] = ACTIONS(805),
    [aux_sym_comparison_operator_token44] = ACTIONS(805),
    [aux_sym_comparison_operator_token45] = ACTIONS(805),
    [aux_sym_comparison_operator_token46] = ACTIONS(805),
    [aux_sym_comparison_operator_token47] = ACTIONS(805),
    [aux_sym_comparison_operator_token48] = ACTIONS(805),
    [aux_sym_comparison_operator_token49] = ACTIONS(805),
    [aux_sym_comparison_operator_token50] = ACTIONS(805),
    [aux_sym_format_operator_token1] = ACTIONS(805),
    [anon_sym_RPAREN] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(805),
    [anon_sym_PERCENT] = ACTIONS(805),
    [aux_sym_logical_expression_token1] = ACTIONS(805),
    [aux_sym_logical_expression_token2] = ACTIONS(805),
    [aux_sym_logical_expression_token3] = ACTIONS(805),
    [aux_sym_bitwise_expression_token1] = ACTIONS(805),
    [aux_sym_bitwise_expression_token2] = ACTIONS(805),
    [aux_sym_bitwise_expression_token3] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(805),
    [anon_sym_DASH] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(805),
    [anon_sym_BSLASH] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(805),
    [anon_sym_DOT_DOT] = ACTIONS(1360),
  },
  [320] = {
    [aux_sym_command_argument_sep_repeat1] = STATE(312),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1343),
    [sym_hexadecimal_integer_literal] = ACTIONS(1343),
    [sym_real_literal] = ACTIONS(1343),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1343),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1343),
    [sym_verbatim_string_characters] = ACTIONS(1343),
    [sym_verbatim_here_string_characters] = ACTIONS(1343),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_GT] = ACTIONS(1343),
    [anon_sym_GT_GT] = ACTIONS(1343),
    [anon_sym_2_GT] = ACTIONS(1343),
    [anon_sym_2_GT_GT] = ACTIONS(1343),
    [anon_sym_3_GT] = ACTIONS(1343),
    [anon_sym_3_GT_GT] = ACTIONS(1343),
    [anon_sym_4_GT] = ACTIONS(1343),
    [anon_sym_4_GT_GT] = ACTIONS(1343),
    [anon_sym_5_GT] = ACTIONS(1343),
    [anon_sym_5_GT_GT] = ACTIONS(1343),
    [anon_sym_6_GT] = ACTIONS(1343),
    [anon_sym_6_GT_GT] = ACTIONS(1343),
    [anon_sym_STAR_GT] = ACTIONS(1343),
    [anon_sym_STAR_GT_GT] = ACTIONS(1343),
    [anon_sym_LT] = ACTIONS(1343),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1343),
    [anon_sym_2_GT_AMP1] = ACTIONS(1343),
    [anon_sym_3_GT_AMP1] = ACTIONS(1343),
    [anon_sym_4_GT_AMP1] = ACTIONS(1343),
    [anon_sym_5_GT_AMP1] = ACTIONS(1343),
    [anon_sym_6_GT_AMP1] = ACTIONS(1343),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1343),
    [anon_sym_1_GT_AMP2] = ACTIONS(1343),
    [anon_sym_3_GT_AMP2] = ACTIONS(1343),
    [anon_sym_4_GT_AMP2] = ACTIONS(1343),
    [anon_sym_5_GT_AMP2] = ACTIONS(1343),
    [anon_sym_6_GT_AMP2] = ACTIONS(1343),
    [aux_sym_comparison_operator_token37] = ACTIONS(1343),
    [aux_sym_comparison_operator_token50] = ACTIONS(1343),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1343),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1343),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1343),
    [anon_sym_DOLLAR_] = ACTIONS(1343),
    [aux_sym_variable_token1] = ACTIONS(1343),
    [aux_sym_variable_token2] = ACTIONS(1343),
    [sym_braced_variable] = ACTIONS(1343),
    [sym_generic_token] = ACTIONS(1343),
    [sym_command_parameter] = ACTIONS(1343),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_RPAREN] = ACTIONS(1343),
    [anon_sym_COMMA] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1343),
    [anon_sym_PIPE] = ACTIONS(1343),
    [sym_stop_parsing] = ACTIONS(1343),
    [anon_sym_SPACE] = ACTIONS(1367),
    [anon_sym_COLON] = ACTIONS(1343),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(1343),
    [anon_sym_PLUS] = ACTIONS(1343),
    [anon_sym_DASH] = ACTIONS(1343),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1343),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1343),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1343),
    [anon_sym_AT_LPAREN] = ACTIONS(1343),
    [anon_sym_AT_LBRACE] = ACTIONS(1343),
  },
  [321] = {
    [sym_elseif_clauses] = STATE(410),
    [sym_elseif_clause] = STATE(362),
    [sym_else_clause] = STATE(495),
    [aux_sym_elseif_clauses_repeat1] = STATE(362),
    [ts_builtin_sym_end] = ACTIONS(1369),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1326),
    [sym_hexadecimal_integer_literal] = ACTIONS(1326),
    [sym_real_literal] = ACTIONS(1326),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1326),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1326),
    [sym_verbatim_string_characters] = ACTIONS(1326),
    [sym_verbatim_here_string_characters] = ACTIONS(1326),
    [anon_sym_DOT] = ACTIONS(1326),
    [anon_sym_LBRACK] = ACTIONS(1326),
    [aux_sym_comparison_operator_token37] = ACTIONS(1326),
    [aux_sym_comparison_operator_token50] = ACTIONS(1326),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1326),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1326),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1326),
    [anon_sym_DOLLAR_] = ACTIONS(1326),
    [aux_sym_variable_token1] = ACTIONS(1326),
    [aux_sym_variable_token2] = ACTIONS(1326),
    [sym_braced_variable] = ACTIONS(1326),
    [anon_sym_SEMI] = ACTIONS(1326),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [anon_sym_COMMA] = ACTIONS(1326),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [aux_sym_if_statement_token1] = ACTIONS(1326),
    [aux_sym_elseif_clause_token1] = ACTIONS(1371),
    [aux_sym_else_clause_token1] = ACTIONS(1373),
    [aux_sym_switch_statement_token1] = ACTIONS(1326),
    [aux_sym_foreach_statement_token1] = ACTIONS(1326),
    [aux_sym_for_statement_token1] = ACTIONS(1326),
    [aux_sym_while_statement_token1] = ACTIONS(1326),
    [aux_sym_do_statement_token1] = ACTIONS(1326),
    [aux_sym_function_statement_token1] = ACTIONS(1326),
    [aux_sym_function_statement_token2] = ACTIONS(1326),
    [aux_sym_function_statement_token3] = ACTIONS(1326),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1326),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1326),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1326),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1326),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1326),
    [sym_label] = ACTIONS(1326),
    [aux_sym_trap_statement_token1] = ACTIONS(1326),
    [aux_sym_try_statement_token1] = ACTIONS(1326),
    [aux_sym_data_statement_token1] = ACTIONS(1326),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1326),
    [aux_sym_parallel_statement_token1] = ACTIONS(1326),
    [aux_sym_sequence_statement_token1] = ACTIONS(1326),
    [anon_sym_AMP] = ACTIONS(1326),
    [aux_sym_command_name_token1] = ACTIONS(1326),
    [anon_sym_PERCENT] = ACTIONS(1326),
    [aux_sym_foreach_command_token1] = ACTIONS(1326),
    [aux_sym_class_statement_token1] = ACTIONS(1326),
    [aux_sym_enum_statement_token1] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1326),
    [anon_sym_AT_LPAREN] = ACTIONS(1326),
    [anon_sym_AT_LBRACE] = ACTIONS(1326),
  },
  [322] = {
    [sym_catch_clause] = STATE(322),
    [aux_sym_catch_clauses_repeat1] = STATE(322),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1375),
    [sym_hexadecimal_integer_literal] = ACTIONS(1375),
    [sym_real_literal] = ACTIONS(1375),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1375),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1375),
    [sym_verbatim_string_characters] = ACTIONS(1375),
    [sym_verbatim_here_string_characters] = ACTIONS(1375),
    [anon_sym_DOT] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [aux_sym_comparison_operator_token37] = ACTIONS(1375),
    [aux_sym_comparison_operator_token50] = ACTIONS(1375),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1375),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1375),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1375),
    [anon_sym_DOLLAR_] = ACTIONS(1375),
    [aux_sym_variable_token1] = ACTIONS(1375),
    [aux_sym_variable_token2] = ACTIONS(1375),
    [sym_braced_variable] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [anon_sym_RPAREN] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1375),
    [anon_sym_RBRACE] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_switch_statement_token1] = ACTIONS(1375),
    [aux_sym_foreach_statement_token1] = ACTIONS(1375),
    [aux_sym_for_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_do_statement_token1] = ACTIONS(1375),
    [aux_sym_function_statement_token1] = ACTIONS(1375),
    [aux_sym_function_statement_token2] = ACTIONS(1375),
    [aux_sym_function_statement_token3] = ACTIONS(1375),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1375),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1375),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1375),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1375),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1375),
    [sym_label] = ACTIONS(1375),
    [aux_sym_trap_statement_token1] = ACTIONS(1375),
    [aux_sym_try_statement_token1] = ACTIONS(1375),
    [aux_sym_catch_clause_token1] = ACTIONS(1377),
    [aux_sym_finally_clause_token1] = ACTIONS(1375),
    [aux_sym_data_statement_token1] = ACTIONS(1375),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1375),
    [aux_sym_parallel_statement_token1] = ACTIONS(1375),
    [aux_sym_sequence_statement_token1] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [aux_sym_command_name_token1] = ACTIONS(1375),
    [anon_sym_PERCENT] = ACTIONS(1375),
    [aux_sym_foreach_command_token1] = ACTIONS(1375),
    [aux_sym_class_statement_token1] = ACTIONS(1375),
    [aux_sym_enum_statement_token1] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1375),
    [anon_sym_BANG] = ACTIONS(1375),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1375),
    [anon_sym_AT_LPAREN] = ACTIONS(1375),
    [anon_sym_AT_LBRACE] = ACTIONS(1375),
  },
  [323] = {
    [sym_elseif_clause] = STATE(323),
    [aux_sym_elseif_clauses_repeat1] = STATE(323),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1380),
    [sym_hexadecimal_integer_literal] = ACTIONS(1380),
    [sym_real_literal] = ACTIONS(1380),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1380),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1380),
    [sym_verbatim_string_characters] = ACTIONS(1380),
    [sym_verbatim_here_string_characters] = ACTIONS(1380),
    [anon_sym_DOT] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1380),
    [aux_sym_comparison_operator_token37] = ACTIONS(1380),
    [aux_sym_comparison_operator_token50] = ACTIONS(1380),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1380),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1380),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1380),
    [anon_sym_DOLLAR_] = ACTIONS(1380),
    [aux_sym_variable_token1] = ACTIONS(1380),
    [aux_sym_variable_token2] = ACTIONS(1380),
    [sym_braced_variable] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1380),
    [anon_sym_RPAREN] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1380),
    [anon_sym_LBRACE] = ACTIONS(1380),
    [anon_sym_RBRACE] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_elseif_clause_token1] = ACTIONS(1382),
    [aux_sym_else_clause_token1] = ACTIONS(1380),
    [aux_sym_switch_statement_token1] = ACTIONS(1380),
    [aux_sym_foreach_statement_token1] = ACTIONS(1380),
    [aux_sym_for_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_do_statement_token1] = ACTIONS(1380),
    [aux_sym_function_statement_token1] = ACTIONS(1380),
    [aux_sym_function_statement_token2] = ACTIONS(1380),
    [aux_sym_function_statement_token3] = ACTIONS(1380),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1380),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1380),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1380),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1380),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1380),
    [sym_label] = ACTIONS(1380),
    [aux_sym_trap_statement_token1] = ACTIONS(1380),
    [aux_sym_try_statement_token1] = ACTIONS(1380),
    [aux_sym_data_statement_token1] = ACTIONS(1380),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1380),
    [aux_sym_parallel_statement_token1] = ACTIONS(1380),
    [aux_sym_sequence_statement_token1] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1380),
    [aux_sym_command_name_token1] = ACTIONS(1380),
    [anon_sym_PERCENT] = ACTIONS(1380),
    [aux_sym_foreach_command_token1] = ACTIONS(1380),
    [aux_sym_class_statement_token1] = ACTIONS(1380),
    [aux_sym_enum_statement_token1] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1380),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1380),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1380),
    [anon_sym_AT_LPAREN] = ACTIONS(1380),
    [anon_sym_AT_LBRACE] = ACTIONS(1380),
  },
  [324] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym_unary_expression] = STATE(391),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_argument_expression_list] = STATE(1922),
    [sym_argument_expression] = STATE(1501),
    [sym_logical_argument_expression] = STATE(1389),
    [sym_bitwise_argument_expression] = STATE(1390),
    [sym_comparison_argument_expression] = STATE(590),
    [sym_additive_argument_expression] = STATE(580),
    [sym_multiplicative_argument_expression] = STATE(439),
    [sym_format_argument_expression] = STATE(384),
    [sym_range_argument_expression] = STATE(387),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(1385),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [325] = {
    [sym_format_operator] = STATE(581),
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(795),
    [aux_sym_comparison_operator_token2] = ACTIONS(795),
    [aux_sym_comparison_operator_token3] = ACTIONS(795),
    [aux_sym_comparison_operator_token4] = ACTIONS(795),
    [aux_sym_comparison_operator_token5] = ACTIONS(795),
    [aux_sym_comparison_operator_token6] = ACTIONS(795),
    [aux_sym_comparison_operator_token7] = ACTIONS(795),
    [aux_sym_comparison_operator_token8] = ACTIONS(795),
    [aux_sym_comparison_operator_token9] = ACTIONS(795),
    [aux_sym_comparison_operator_token10] = ACTIONS(795),
    [aux_sym_comparison_operator_token11] = ACTIONS(795),
    [aux_sym_comparison_operator_token12] = ACTIONS(795),
    [aux_sym_comparison_operator_token13] = ACTIONS(795),
    [aux_sym_comparison_operator_token14] = ACTIONS(795),
    [aux_sym_comparison_operator_token15] = ACTIONS(795),
    [aux_sym_comparison_operator_token16] = ACTIONS(795),
    [aux_sym_comparison_operator_token17] = ACTIONS(795),
    [aux_sym_comparison_operator_token18] = ACTIONS(795),
    [aux_sym_comparison_operator_token19] = ACTIONS(795),
    [aux_sym_comparison_operator_token20] = ACTIONS(795),
    [aux_sym_comparison_operator_token21] = ACTIONS(795),
    [aux_sym_comparison_operator_token22] = ACTIONS(795),
    [aux_sym_comparison_operator_token23] = ACTIONS(795),
    [aux_sym_comparison_operator_token24] = ACTIONS(795),
    [aux_sym_comparison_operator_token25] = ACTIONS(795),
    [aux_sym_comparison_operator_token26] = ACTIONS(795),
    [aux_sym_comparison_operator_token27] = ACTIONS(795),
    [aux_sym_comparison_operator_token28] = ACTIONS(797),
    [aux_sym_comparison_operator_token29] = ACTIONS(795),
    [aux_sym_comparison_operator_token30] = ACTIONS(795),
    [aux_sym_comparison_operator_token31] = ACTIONS(795),
    [aux_sym_comparison_operator_token32] = ACTIONS(795),
    [aux_sym_comparison_operator_token33] = ACTIONS(795),
    [aux_sym_comparison_operator_token34] = ACTIONS(797),
    [aux_sym_comparison_operator_token35] = ACTIONS(795),
    [aux_sym_comparison_operator_token36] = ACTIONS(795),
    [aux_sym_comparison_operator_token37] = ACTIONS(795),
    [aux_sym_comparison_operator_token38] = ACTIONS(795),
    [aux_sym_comparison_operator_token39] = ACTIONS(795),
    [aux_sym_comparison_operator_token40] = ACTIONS(795),
    [aux_sym_comparison_operator_token41] = ACTIONS(795),
    [aux_sym_comparison_operator_token42] = ACTIONS(795),
    [aux_sym_comparison_operator_token43] = ACTIONS(795),
    [aux_sym_comparison_operator_token44] = ACTIONS(795),
    [aux_sym_comparison_operator_token45] = ACTIONS(795),
    [aux_sym_comparison_operator_token46] = ACTIONS(795),
    [aux_sym_comparison_operator_token47] = ACTIONS(795),
    [aux_sym_comparison_operator_token48] = ACTIONS(795),
    [aux_sym_comparison_operator_token49] = ACTIONS(795),
    [aux_sym_comparison_operator_token50] = ACTIONS(795),
    [aux_sym_format_operator_token1] = ACTIONS(799),
    [anon_sym_PERCENT] = ACTIONS(795),
    [aux_sym_logical_expression_token1] = ACTIONS(795),
    [aux_sym_logical_expression_token2] = ACTIONS(795),
    [aux_sym_logical_expression_token3] = ACTIONS(795),
    [aux_sym_bitwise_expression_token1] = ACTIONS(795),
    [aux_sym_bitwise_expression_token2] = ACTIONS(795),
    [aux_sym_bitwise_expression_token3] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(795),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_SLASH] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(795),
    [anon_sym_STAR] = ACTIONS(795),
    [anon_sym_RBRACK] = ACTIONS(795),
  },
  [326] = {
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(805),
    [aux_sym_comparison_operator_token2] = ACTIONS(805),
    [aux_sym_comparison_operator_token3] = ACTIONS(805),
    [aux_sym_comparison_operator_token4] = ACTIONS(805),
    [aux_sym_comparison_operator_token5] = ACTIONS(805),
    [aux_sym_comparison_operator_token6] = ACTIONS(805),
    [aux_sym_comparison_operator_token7] = ACTIONS(805),
    [aux_sym_comparison_operator_token8] = ACTIONS(805),
    [aux_sym_comparison_operator_token9] = ACTIONS(805),
    [aux_sym_comparison_operator_token10] = ACTIONS(805),
    [aux_sym_comparison_operator_token11] = ACTIONS(805),
    [aux_sym_comparison_operator_token12] = ACTIONS(805),
    [aux_sym_comparison_operator_token13] = ACTIONS(805),
    [aux_sym_comparison_operator_token14] = ACTIONS(805),
    [aux_sym_comparison_operator_token15] = ACTIONS(805),
    [aux_sym_comparison_operator_token16] = ACTIONS(805),
    [aux_sym_comparison_operator_token17] = ACTIONS(805),
    [aux_sym_comparison_operator_token18] = ACTIONS(805),
    [aux_sym_comparison_operator_token19] = ACTIONS(805),
    [aux_sym_comparison_operator_token20] = ACTIONS(805),
    [aux_sym_comparison_operator_token21] = ACTIONS(805),
    [aux_sym_comparison_operator_token22] = ACTIONS(805),
    [aux_sym_comparison_operator_token23] = ACTIONS(805),
    [aux_sym_comparison_operator_token24] = ACTIONS(805),
    [aux_sym_comparison_operator_token25] = ACTIONS(805),
    [aux_sym_comparison_operator_token26] = ACTIONS(805),
    [aux_sym_comparison_operator_token27] = ACTIONS(805),
    [aux_sym_comparison_operator_token28] = ACTIONS(807),
    [aux_sym_comparison_operator_token29] = ACTIONS(805),
    [aux_sym_comparison_operator_token30] = ACTIONS(805),
    [aux_sym_comparison_operator_token31] = ACTIONS(805),
    [aux_sym_comparison_operator_token32] = ACTIONS(805),
    [aux_sym_comparison_operator_token33] = ACTIONS(805),
    [aux_sym_comparison_operator_token34] = ACTIONS(807),
    [aux_sym_comparison_operator_token35] = ACTIONS(805),
    [aux_sym_comparison_operator_token36] = ACTIONS(805),
    [aux_sym_comparison_operator_token37] = ACTIONS(805),
    [aux_sym_comparison_operator_token38] = ACTIONS(805),
    [aux_sym_comparison_operator_token39] = ACTIONS(805),
    [aux_sym_comparison_operator_token40] = ACTIONS(805),
    [aux_sym_comparison_operator_token41] = ACTIONS(805),
    [aux_sym_comparison_operator_token42] = ACTIONS(805),
    [aux_sym_comparison_operator_token43] = ACTIONS(805),
    [aux_sym_comparison_operator_token44] = ACTIONS(805),
    [aux_sym_comparison_operator_token45] = ACTIONS(805),
    [aux_sym_comparison_operator_token46] = ACTIONS(805),
    [aux_sym_comparison_operator_token47] = ACTIONS(805),
    [aux_sym_comparison_operator_token48] = ACTIONS(805),
    [aux_sym_comparison_operator_token49] = ACTIONS(805),
    [aux_sym_comparison_operator_token50] = ACTIONS(805),
    [aux_sym_format_operator_token1] = ACTIONS(805),
    [anon_sym_PERCENT] = ACTIONS(805),
    [aux_sym_logical_expression_token1] = ACTIONS(805),
    [aux_sym_logical_expression_token2] = ACTIONS(805),
    [aux_sym_logical_expression_token3] = ACTIONS(805),
    [aux_sym_bitwise_expression_token1] = ACTIONS(805),
    [aux_sym_bitwise_expression_token2] = ACTIONS(805),
    [aux_sym_bitwise_expression_token3] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(805),
    [anon_sym_DASH] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(805),
    [anon_sym_BSLASH] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(805),
    [anon_sym_DOT_DOT] = ACTIONS(1387),
    [anon_sym_RBRACK] = ACTIONS(805),
  },
  [327] = {
    [sym_format_operator] = STATE(581),
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(801),
    [aux_sym_comparison_operator_token2] = ACTIONS(801),
    [aux_sym_comparison_operator_token3] = ACTIONS(801),
    [aux_sym_comparison_operator_token4] = ACTIONS(801),
    [aux_sym_comparison_operator_token5] = ACTIONS(801),
    [aux_sym_comparison_operator_token6] = ACTIONS(801),
    [aux_sym_comparison_operator_token7] = ACTIONS(801),
    [aux_sym_comparison_operator_token8] = ACTIONS(801),
    [aux_sym_comparison_operator_token9] = ACTIONS(801),
    [aux_sym_comparison_operator_token10] = ACTIONS(801),
    [aux_sym_comparison_operator_token11] = ACTIONS(801),
    [aux_sym_comparison_operator_token12] = ACTIONS(801),
    [aux_sym_comparison_operator_token13] = ACTIONS(801),
    [aux_sym_comparison_operator_token14] = ACTIONS(801),
    [aux_sym_comparison_operator_token15] = ACTIONS(801),
    [aux_sym_comparison_operator_token16] = ACTIONS(801),
    [aux_sym_comparison_operator_token17] = ACTIONS(801),
    [aux_sym_comparison_operator_token18] = ACTIONS(801),
    [aux_sym_comparison_operator_token19] = ACTIONS(801),
    [aux_sym_comparison_operator_token20] = ACTIONS(801),
    [aux_sym_comparison_operator_token21] = ACTIONS(801),
    [aux_sym_comparison_operator_token22] = ACTIONS(801),
    [aux_sym_comparison_operator_token23] = ACTIONS(801),
    [aux_sym_comparison_operator_token24] = ACTIONS(801),
    [aux_sym_comparison_operator_token25] = ACTIONS(801),
    [aux_sym_comparison_operator_token26] = ACTIONS(801),
    [aux_sym_comparison_operator_token27] = ACTIONS(801),
    [aux_sym_comparison_operator_token28] = ACTIONS(803),
    [aux_sym_comparison_operator_token29] = ACTIONS(801),
    [aux_sym_comparison_operator_token30] = ACTIONS(801),
    [aux_sym_comparison_operator_token31] = ACTIONS(801),
    [aux_sym_comparison_operator_token32] = ACTIONS(801),
    [aux_sym_comparison_operator_token33] = ACTIONS(801),
    [aux_sym_comparison_operator_token34] = ACTIONS(803),
    [aux_sym_comparison_operator_token35] = ACTIONS(801),
    [aux_sym_comparison_operator_token36] = ACTIONS(801),
    [aux_sym_comparison_operator_token37] = ACTIONS(801),
    [aux_sym_comparison_operator_token38] = ACTIONS(801),
    [aux_sym_comparison_operator_token39] = ACTIONS(801),
    [aux_sym_comparison_operator_token40] = ACTIONS(801),
    [aux_sym_comparison_operator_token41] = ACTIONS(801),
    [aux_sym_comparison_operator_token42] = ACTIONS(801),
    [aux_sym_comparison_operator_token43] = ACTIONS(801),
    [aux_sym_comparison_operator_token44] = ACTIONS(801),
    [aux_sym_comparison_operator_token45] = ACTIONS(801),
    [aux_sym_comparison_operator_token46] = ACTIONS(801),
    [aux_sym_comparison_operator_token47] = ACTIONS(801),
    [aux_sym_comparison_operator_token48] = ACTIONS(801),
    [aux_sym_comparison_operator_token49] = ACTIONS(801),
    [aux_sym_comparison_operator_token50] = ACTIONS(801),
    [aux_sym_format_operator_token1] = ACTIONS(799),
    [anon_sym_PERCENT] = ACTIONS(801),
    [aux_sym_logical_expression_token1] = ACTIONS(801),
    [aux_sym_logical_expression_token2] = ACTIONS(801),
    [aux_sym_logical_expression_token3] = ACTIONS(801),
    [aux_sym_bitwise_expression_token1] = ACTIONS(801),
    [aux_sym_bitwise_expression_token2] = ACTIONS(801),
    [aux_sym_bitwise_expression_token3] = ACTIONS(801),
    [anon_sym_PLUS] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(803),
    [anon_sym_SLASH] = ACTIONS(801),
    [anon_sym_BSLASH] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(801),
    [anon_sym_RBRACK] = ACTIONS(801),
  },
  [328] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym_unary_expression] = STATE(391),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_argument_expression_list] = STATE(2049),
    [sym_argument_expression] = STATE(1501),
    [sym_logical_argument_expression] = STATE(1389),
    [sym_bitwise_argument_expression] = STATE(1390),
    [sym_comparison_argument_expression] = STATE(590),
    [sym_additive_argument_expression] = STATE(580),
    [sym_multiplicative_argument_expression] = STATE(439),
    [sym_format_argument_expression] = STATE(384),
    [sym_range_argument_expression] = STATE(387),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(1389),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [329] = {
    [aux_sym_command_argument_sep_repeat1] = STATE(330),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1343),
    [sym_hexadecimal_integer_literal] = ACTIONS(1343),
    [sym_real_literal] = ACTIONS(1343),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1343),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1343),
    [sym_verbatim_string_characters] = ACTIONS(1343),
    [sym_verbatim_here_string_characters] = ACTIONS(1343),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_GT] = ACTIONS(1343),
    [anon_sym_GT_GT] = ACTIONS(1343),
    [anon_sym_2_GT] = ACTIONS(1343),
    [anon_sym_2_GT_GT] = ACTIONS(1343),
    [anon_sym_3_GT] = ACTIONS(1343),
    [anon_sym_3_GT_GT] = ACTIONS(1343),
    [anon_sym_4_GT] = ACTIONS(1343),
    [anon_sym_4_GT_GT] = ACTIONS(1343),
    [anon_sym_5_GT] = ACTIONS(1343),
    [anon_sym_5_GT_GT] = ACTIONS(1343),
    [anon_sym_6_GT] = ACTIONS(1343),
    [anon_sym_6_GT_GT] = ACTIONS(1343),
    [anon_sym_STAR_GT] = ACTIONS(1343),
    [anon_sym_STAR_GT_GT] = ACTIONS(1343),
    [anon_sym_LT] = ACTIONS(1343),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1343),
    [anon_sym_2_GT_AMP1] = ACTIONS(1343),
    [anon_sym_3_GT_AMP1] = ACTIONS(1343),
    [anon_sym_4_GT_AMP1] = ACTIONS(1343),
    [anon_sym_5_GT_AMP1] = ACTIONS(1343),
    [anon_sym_6_GT_AMP1] = ACTIONS(1343),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1343),
    [anon_sym_1_GT_AMP2] = ACTIONS(1343),
    [anon_sym_3_GT_AMP2] = ACTIONS(1343),
    [anon_sym_4_GT_AMP2] = ACTIONS(1343),
    [anon_sym_5_GT_AMP2] = ACTIONS(1343),
    [anon_sym_6_GT_AMP2] = ACTIONS(1343),
    [aux_sym_comparison_operator_token37] = ACTIONS(1343),
    [aux_sym_comparison_operator_token50] = ACTIONS(1343),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1343),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1343),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1343),
    [anon_sym_DOLLAR_] = ACTIONS(1343),
    [aux_sym_variable_token1] = ACTIONS(1343),
    [aux_sym_variable_token2] = ACTIONS(1343),
    [sym_braced_variable] = ACTIONS(1343),
    [sym_generic_token] = ACTIONS(1343),
    [sym_command_parameter] = ACTIONS(1343),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_RPAREN] = ACTIONS(1343),
    [anon_sym_COMMA] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1343),
    [anon_sym_PIPE] = ACTIONS(1343),
    [sym_stop_parsing] = ACTIONS(1343),
    [anon_sym_SPACE] = ACTIONS(1391),
    [anon_sym_COLON] = ACTIONS(1343),
    [anon_sym_PLUS] = ACTIONS(1343),
    [anon_sym_DASH] = ACTIONS(1343),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1343),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1343),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1343),
    [anon_sym_AT_LPAREN] = ACTIONS(1343),
    [anon_sym_AT_LBRACE] = ACTIONS(1343),
  },
  [330] = {
    [aux_sym_command_argument_sep_repeat1] = STATE(330),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1355),
    [sym_hexadecimal_integer_literal] = ACTIONS(1355),
    [sym_real_literal] = ACTIONS(1355),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1355),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1355),
    [sym_verbatim_string_characters] = ACTIONS(1355),
    [sym_verbatim_here_string_characters] = ACTIONS(1355),
    [anon_sym_LBRACK] = ACTIONS(1355),
    [anon_sym_GT] = ACTIONS(1355),
    [anon_sym_GT_GT] = ACTIONS(1355),
    [anon_sym_2_GT] = ACTIONS(1355),
    [anon_sym_2_GT_GT] = ACTIONS(1355),
    [anon_sym_3_GT] = ACTIONS(1355),
    [anon_sym_3_GT_GT] = ACTIONS(1355),
    [anon_sym_4_GT] = ACTIONS(1355),
    [anon_sym_4_GT_GT] = ACTIONS(1355),
    [anon_sym_5_GT] = ACTIONS(1355),
    [anon_sym_5_GT_GT] = ACTIONS(1355),
    [anon_sym_6_GT] = ACTIONS(1355),
    [anon_sym_6_GT_GT] = ACTIONS(1355),
    [anon_sym_STAR_GT] = ACTIONS(1355),
    [anon_sym_STAR_GT_GT] = ACTIONS(1355),
    [anon_sym_LT] = ACTIONS(1355),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1355),
    [anon_sym_2_GT_AMP1] = ACTIONS(1355),
    [anon_sym_3_GT_AMP1] = ACTIONS(1355),
    [anon_sym_4_GT_AMP1] = ACTIONS(1355),
    [anon_sym_5_GT_AMP1] = ACTIONS(1355),
    [anon_sym_6_GT_AMP1] = ACTIONS(1355),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1355),
    [anon_sym_1_GT_AMP2] = ACTIONS(1355),
    [anon_sym_3_GT_AMP2] = ACTIONS(1355),
    [anon_sym_4_GT_AMP2] = ACTIONS(1355),
    [anon_sym_5_GT_AMP2] = ACTIONS(1355),
    [anon_sym_6_GT_AMP2] = ACTIONS(1355),
    [aux_sym_comparison_operator_token37] = ACTIONS(1355),
    [aux_sym_comparison_operator_token50] = ACTIONS(1355),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1355),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1355),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1355),
    [anon_sym_DOLLAR_] = ACTIONS(1355),
    [aux_sym_variable_token1] = ACTIONS(1355),
    [aux_sym_variable_token2] = ACTIONS(1355),
    [sym_braced_variable] = ACTIONS(1355),
    [sym_generic_token] = ACTIONS(1355),
    [sym_command_parameter] = ACTIONS(1355),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_RPAREN] = ACTIONS(1355),
    [anon_sym_COMMA] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1355),
    [sym_stop_parsing] = ACTIONS(1355),
    [anon_sym_SPACE] = ACTIONS(1393),
    [anon_sym_COLON] = ACTIONS(1355),
    [anon_sym_PLUS] = ACTIONS(1355),
    [anon_sym_DASH] = ACTIONS(1355),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1355),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1355),
    [anon_sym_PLUS_PLUS] = ACTIONS(1355),
    [anon_sym_DASH_DASH] = ACTIONS(1355),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1355),
    [anon_sym_AT_LPAREN] = ACTIONS(1355),
    [anon_sym_AT_LBRACE] = ACTIONS(1355),
  },
  [331] = {
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1343),
    [sym_hexadecimal_integer_literal] = ACTIONS(1343),
    [sym_real_literal] = ACTIONS(1343),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1343),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1343),
    [sym_verbatim_string_characters] = ACTIONS(1343),
    [sym_verbatim_here_string_characters] = ACTIONS(1343),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_GT] = ACTIONS(1343),
    [anon_sym_GT_GT] = ACTIONS(1343),
    [anon_sym_2_GT] = ACTIONS(1343),
    [anon_sym_2_GT_GT] = ACTIONS(1343),
    [anon_sym_3_GT] = ACTIONS(1343),
    [anon_sym_3_GT_GT] = ACTIONS(1343),
    [anon_sym_4_GT] = ACTIONS(1343),
    [anon_sym_4_GT_GT] = ACTIONS(1343),
    [anon_sym_5_GT] = ACTIONS(1343),
    [anon_sym_5_GT_GT] = ACTIONS(1343),
    [anon_sym_6_GT] = ACTIONS(1343),
    [anon_sym_6_GT_GT] = ACTIONS(1343),
    [anon_sym_STAR_GT] = ACTIONS(1343),
    [anon_sym_STAR_GT_GT] = ACTIONS(1343),
    [anon_sym_LT] = ACTIONS(1343),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1343),
    [anon_sym_2_GT_AMP1] = ACTIONS(1343),
    [anon_sym_3_GT_AMP1] = ACTIONS(1343),
    [anon_sym_4_GT_AMP1] = ACTIONS(1343),
    [anon_sym_5_GT_AMP1] = ACTIONS(1343),
    [anon_sym_6_GT_AMP1] = ACTIONS(1343),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1343),
    [anon_sym_1_GT_AMP2] = ACTIONS(1343),
    [anon_sym_3_GT_AMP2] = ACTIONS(1343),
    [anon_sym_4_GT_AMP2] = ACTIONS(1343),
    [anon_sym_5_GT_AMP2] = ACTIONS(1343),
    [anon_sym_6_GT_AMP2] = ACTIONS(1343),
    [aux_sym_comparison_operator_token37] = ACTIONS(1343),
    [aux_sym_comparison_operator_token50] = ACTIONS(1343),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1343),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1343),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1343),
    [anon_sym_DOLLAR_] = ACTIONS(1343),
    [aux_sym_variable_token1] = ACTIONS(1343),
    [aux_sym_variable_token2] = ACTIONS(1343),
    [sym_braced_variable] = ACTIONS(1343),
    [sym_generic_token] = ACTIONS(1343),
    [sym_command_parameter] = ACTIONS(1343),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_COMMA] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1343),
    [anon_sym_PIPE] = ACTIONS(1343),
    [sym_stop_parsing] = ACTIONS(1343),
    [anon_sym_SPACE] = ACTIONS(1343),
    [anon_sym_COLON] = ACTIONS(1343),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(1343),
    [anon_sym_PLUS] = ACTIONS(1343),
    [anon_sym_DASH] = ACTIONS(1343),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1343),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1343),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1343),
    [anon_sym_AT_LPAREN] = ACTIONS(1343),
    [anon_sym_AT_LBRACE] = ACTIONS(1343),
    [sym__statement_terminator] = ACTIONS(1347),
  },
  [332] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym_unary_expression] = STATE(391),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_argument_expression_list] = STATE(1757),
    [sym_argument_expression] = STATE(1501),
    [sym_logical_argument_expression] = STATE(1389),
    [sym_bitwise_argument_expression] = STATE(1390),
    [sym_comparison_argument_expression] = STATE(590),
    [sym_additive_argument_expression] = STATE(580),
    [sym_multiplicative_argument_expression] = STATE(439),
    [sym_format_argument_expression] = STATE(384),
    [sym_range_argument_expression] = STATE(387),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(1396),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [333] = {
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1398),
    [sym_hexadecimal_integer_literal] = ACTIONS(1398),
    [sym_real_literal] = ACTIONS(1398),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1398),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1398),
    [sym_verbatim_string_characters] = ACTIONS(1398),
    [sym_verbatim_here_string_characters] = ACTIONS(1398),
    [anon_sym_DOT] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [aux_sym_comparison_operator_token37] = ACTIONS(1398),
    [aux_sym_comparison_operator_token50] = ACTIONS(1398),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1398),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1398),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1398),
    [anon_sym_DOLLAR_] = ACTIONS(1398),
    [aux_sym_variable_token1] = ACTIONS(1398),
    [aux_sym_variable_token2] = ACTIONS(1398),
    [sym_braced_variable] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_param_block_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [anon_sym_COMMA] = ACTIONS(1398),
    [aux_sym_block_name_token1] = ACTIONS(1398),
    [aux_sym_block_name_token2] = ACTIONS(1398),
    [aux_sym_block_name_token3] = ACTIONS(1398),
    [aux_sym_block_name_token4] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_switch_statement_token1] = ACTIONS(1398),
    [aux_sym_foreach_statement_token1] = ACTIONS(1398),
    [aux_sym_for_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_do_statement_token1] = ACTIONS(1398),
    [aux_sym_function_statement_token1] = ACTIONS(1398),
    [aux_sym_function_statement_token2] = ACTIONS(1398),
    [aux_sym_function_statement_token3] = ACTIONS(1398),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1398),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1398),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1398),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1398),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1398),
    [sym_label] = ACTIONS(1398),
    [aux_sym_trap_statement_token1] = ACTIONS(1398),
    [aux_sym_try_statement_token1] = ACTIONS(1398),
    [aux_sym_data_statement_token1] = ACTIONS(1398),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1398),
    [aux_sym_parallel_statement_token1] = ACTIONS(1398),
    [aux_sym_sequence_statement_token1] = ACTIONS(1398),
    [anon_sym_AMP] = ACTIONS(1398),
    [aux_sym_command_name_token1] = ACTIONS(1398),
    [anon_sym_PERCENT] = ACTIONS(1398),
    [aux_sym_foreach_command_token1] = ACTIONS(1398),
    [aux_sym_class_statement_token1] = ACTIONS(1398),
    [aux_sym_enum_statement_token1] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1398),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1398),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1398),
    [anon_sym_AT_LPAREN] = ACTIONS(1398),
    [anon_sym_AT_LBRACE] = ACTIONS(1398),
    [sym__statement_terminator] = ACTIONS(1400),
  },
  [334] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym_unary_expression] = STATE(391),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_argument_expression_list] = STATE(1780),
    [sym_argument_expression] = STATE(1501),
    [sym_logical_argument_expression] = STATE(1389),
    [sym_bitwise_argument_expression] = STATE(1390),
    [sym_comparison_argument_expression] = STATE(590),
    [sym_additive_argument_expression] = STATE(580),
    [sym_multiplicative_argument_expression] = STATE(439),
    [sym_format_argument_expression] = STATE(384),
    [sym_range_argument_expression] = STATE(387),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(1402),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [335] = {
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1404),
    [sym_hexadecimal_integer_literal] = ACTIONS(1404),
    [sym_real_literal] = ACTIONS(1404),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1404),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1404),
    [sym_verbatim_string_characters] = ACTIONS(1404),
    [sym_verbatim_here_string_characters] = ACTIONS(1404),
    [anon_sym_DOT] = ACTIONS(1404),
    [anon_sym_LBRACK] = ACTIONS(1404),
    [aux_sym_comparison_operator_token37] = ACTIONS(1404),
    [aux_sym_comparison_operator_token50] = ACTIONS(1404),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1404),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1404),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1404),
    [anon_sym_DOLLAR_] = ACTIONS(1404),
    [aux_sym_variable_token1] = ACTIONS(1404),
    [aux_sym_variable_token2] = ACTIONS(1404),
    [sym_braced_variable] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1404),
    [aux_sym_param_block_token1] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_COMMA] = ACTIONS(1404),
    [aux_sym_block_name_token1] = ACTIONS(1404),
    [aux_sym_block_name_token2] = ACTIONS(1404),
    [aux_sym_block_name_token3] = ACTIONS(1404),
    [aux_sym_block_name_token4] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [aux_sym_if_statement_token1] = ACTIONS(1404),
    [aux_sym_switch_statement_token1] = ACTIONS(1404),
    [aux_sym_foreach_statement_token1] = ACTIONS(1404),
    [aux_sym_for_statement_token1] = ACTIONS(1404),
    [aux_sym_while_statement_token1] = ACTIONS(1404),
    [aux_sym_do_statement_token1] = ACTIONS(1404),
    [aux_sym_function_statement_token1] = ACTIONS(1404),
    [aux_sym_function_statement_token2] = ACTIONS(1404),
    [aux_sym_function_statement_token3] = ACTIONS(1404),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1404),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1404),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1404),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1404),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1404),
    [sym_label] = ACTIONS(1404),
    [aux_sym_trap_statement_token1] = ACTIONS(1404),
    [aux_sym_try_statement_token1] = ACTIONS(1404),
    [aux_sym_data_statement_token1] = ACTIONS(1404),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1404),
    [aux_sym_parallel_statement_token1] = ACTIONS(1404),
    [aux_sym_sequence_statement_token1] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [aux_sym_command_name_token1] = ACTIONS(1404),
    [anon_sym_PERCENT] = ACTIONS(1404),
    [aux_sym_foreach_command_token1] = ACTIONS(1404),
    [aux_sym_class_statement_token1] = ACTIONS(1404),
    [aux_sym_enum_statement_token1] = ACTIONS(1404),
    [anon_sym_PLUS] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1404),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1404),
    [anon_sym_AT_LPAREN] = ACTIONS(1404),
    [anon_sym_AT_LBRACE] = ACTIONS(1404),
    [sym__statement_terminator] = ACTIONS(1406),
  },
  [336] = {
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(811),
    [aux_sym_comparison_operator_token2] = ACTIONS(811),
    [aux_sym_comparison_operator_token3] = ACTIONS(811),
    [aux_sym_comparison_operator_token4] = ACTIONS(811),
    [aux_sym_comparison_operator_token5] = ACTIONS(811),
    [aux_sym_comparison_operator_token6] = ACTIONS(811),
    [aux_sym_comparison_operator_token7] = ACTIONS(811),
    [aux_sym_comparison_operator_token8] = ACTIONS(811),
    [aux_sym_comparison_operator_token9] = ACTIONS(811),
    [aux_sym_comparison_operator_token10] = ACTIONS(811),
    [aux_sym_comparison_operator_token11] = ACTIONS(811),
    [aux_sym_comparison_operator_token12] = ACTIONS(811),
    [aux_sym_comparison_operator_token13] = ACTIONS(811),
    [aux_sym_comparison_operator_token14] = ACTIONS(811),
    [aux_sym_comparison_operator_token15] = ACTIONS(811),
    [aux_sym_comparison_operator_token16] = ACTIONS(811),
    [aux_sym_comparison_operator_token17] = ACTIONS(811),
    [aux_sym_comparison_operator_token18] = ACTIONS(811),
    [aux_sym_comparison_operator_token19] = ACTIONS(811),
    [aux_sym_comparison_operator_token20] = ACTIONS(811),
    [aux_sym_comparison_operator_token21] = ACTIONS(811),
    [aux_sym_comparison_operator_token22] = ACTIONS(811),
    [aux_sym_comparison_operator_token23] = ACTIONS(811),
    [aux_sym_comparison_operator_token24] = ACTIONS(811),
    [aux_sym_comparison_operator_token25] = ACTIONS(811),
    [aux_sym_comparison_operator_token26] = ACTIONS(811),
    [aux_sym_comparison_operator_token27] = ACTIONS(811),
    [aux_sym_comparison_operator_token28] = ACTIONS(813),
    [aux_sym_comparison_operator_token29] = ACTIONS(811),
    [aux_sym_comparison_operator_token30] = ACTIONS(811),
    [aux_sym_comparison_operator_token31] = ACTIONS(811),
    [aux_sym_comparison_operator_token32] = ACTIONS(811),
    [aux_sym_comparison_operator_token33] = ACTIONS(811),
    [aux_sym_comparison_operator_token34] = ACTIONS(813),
    [aux_sym_comparison_operator_token35] = ACTIONS(811),
    [aux_sym_comparison_operator_token36] = ACTIONS(811),
    [aux_sym_comparison_operator_token37] = ACTIONS(811),
    [aux_sym_comparison_operator_token38] = ACTIONS(811),
    [aux_sym_comparison_operator_token39] = ACTIONS(811),
    [aux_sym_comparison_operator_token40] = ACTIONS(811),
    [aux_sym_comparison_operator_token41] = ACTIONS(811),
    [aux_sym_comparison_operator_token42] = ACTIONS(811),
    [aux_sym_comparison_operator_token43] = ACTIONS(811),
    [aux_sym_comparison_operator_token44] = ACTIONS(811),
    [aux_sym_comparison_operator_token45] = ACTIONS(811),
    [aux_sym_comparison_operator_token46] = ACTIONS(811),
    [aux_sym_comparison_operator_token47] = ACTIONS(811),
    [aux_sym_comparison_operator_token48] = ACTIONS(811),
    [aux_sym_comparison_operator_token49] = ACTIONS(811),
    [aux_sym_comparison_operator_token50] = ACTIONS(811),
    [aux_sym_format_operator_token1] = ACTIONS(811),
    [anon_sym_PERCENT] = ACTIONS(811),
    [aux_sym_logical_expression_token1] = ACTIONS(811),
    [aux_sym_logical_expression_token2] = ACTIONS(811),
    [aux_sym_logical_expression_token3] = ACTIONS(811),
    [aux_sym_bitwise_expression_token1] = ACTIONS(811),
    [aux_sym_bitwise_expression_token2] = ACTIONS(811),
    [aux_sym_bitwise_expression_token3] = ACTIONS(811),
    [anon_sym_PLUS] = ACTIONS(811),
    [anon_sym_DASH] = ACTIONS(813),
    [anon_sym_SLASH] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(811),
    [anon_sym_DOT_DOT] = ACTIONS(1387),
    [anon_sym_RBRACK] = ACTIONS(811),
  },
  [337] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym_unary_expression] = STATE(391),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_argument_expression_list] = STATE(1802),
    [sym_argument_expression] = STATE(1501),
    [sym_logical_argument_expression] = STATE(1389),
    [sym_bitwise_argument_expression] = STATE(1390),
    [sym_comparison_argument_expression] = STATE(590),
    [sym_additive_argument_expression] = STATE(580),
    [sym_multiplicative_argument_expression] = STATE(439),
    [sym_format_argument_expression] = STATE(384),
    [sym_range_argument_expression] = STATE(387),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(1408),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [338] = {
    [sym_elseif_clause] = STATE(323),
    [aux_sym_elseif_clauses_repeat1] = STATE(323),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1410),
    [sym_hexadecimal_integer_literal] = ACTIONS(1410),
    [sym_real_literal] = ACTIONS(1410),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1410),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1410),
    [sym_verbatim_string_characters] = ACTIONS(1410),
    [sym_verbatim_here_string_characters] = ACTIONS(1410),
    [anon_sym_DOT] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [aux_sym_comparison_operator_token37] = ACTIONS(1410),
    [aux_sym_comparison_operator_token50] = ACTIONS(1410),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1410),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1410),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1410),
    [anon_sym_DOLLAR_] = ACTIONS(1410),
    [aux_sym_variable_token1] = ACTIONS(1410),
    [aux_sym_variable_token2] = ACTIONS(1410),
    [sym_braced_variable] = ACTIONS(1410),
    [anon_sym_SEMI] = ACTIONS(1410),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [anon_sym_RPAREN] = ACTIONS(1410),
    [anon_sym_COMMA] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1410),
    [anon_sym_RBRACE] = ACTIONS(1410),
    [aux_sym_if_statement_token1] = ACTIONS(1410),
    [aux_sym_elseif_clause_token1] = ACTIONS(1328),
    [aux_sym_else_clause_token1] = ACTIONS(1410),
    [aux_sym_switch_statement_token1] = ACTIONS(1410),
    [aux_sym_foreach_statement_token1] = ACTIONS(1410),
    [aux_sym_for_statement_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token1] = ACTIONS(1410),
    [aux_sym_do_statement_token1] = ACTIONS(1410),
    [aux_sym_function_statement_token1] = ACTIONS(1410),
    [aux_sym_function_statement_token2] = ACTIONS(1410),
    [aux_sym_function_statement_token3] = ACTIONS(1410),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1410),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1410),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1410),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1410),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1410),
    [sym_label] = ACTIONS(1410),
    [aux_sym_trap_statement_token1] = ACTIONS(1410),
    [aux_sym_try_statement_token1] = ACTIONS(1410),
    [aux_sym_data_statement_token1] = ACTIONS(1410),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1410),
    [aux_sym_parallel_statement_token1] = ACTIONS(1410),
    [aux_sym_sequence_statement_token1] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [aux_sym_command_name_token1] = ACTIONS(1410),
    [anon_sym_PERCENT] = ACTIONS(1410),
    [aux_sym_foreach_command_token1] = ACTIONS(1410),
    [aux_sym_class_statement_token1] = ACTIONS(1410),
    [aux_sym_enum_statement_token1] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1410),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1410),
    [anon_sym_BANG] = ACTIONS(1410),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1410),
    [anon_sym_PLUS_PLUS] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1410),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1410),
    [anon_sym_AT_LPAREN] = ACTIONS(1410),
    [anon_sym_AT_LBRACE] = ACTIONS(1410),
  },
  [339] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym_unary_expression] = STATE(391),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_argument_expression_list] = STATE(1824),
    [sym_argument_expression] = STATE(1501),
    [sym_logical_argument_expression] = STATE(1389),
    [sym_bitwise_argument_expression] = STATE(1390),
    [sym_comparison_argument_expression] = STATE(590),
    [sym_additive_argument_expression] = STATE(580),
    [sym_multiplicative_argument_expression] = STATE(439),
    [sym_format_argument_expression] = STATE(384),
    [sym_range_argument_expression] = STATE(387),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(1412),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [340] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym_unary_expression] = STATE(391),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_argument_expression_list] = STATE(1831),
    [sym_argument_expression] = STATE(1501),
    [sym_logical_argument_expression] = STATE(1389),
    [sym_bitwise_argument_expression] = STATE(1390),
    [sym_comparison_argument_expression] = STATE(590),
    [sym_additive_argument_expression] = STATE(580),
    [sym_multiplicative_argument_expression] = STATE(439),
    [sym_format_argument_expression] = STATE(384),
    [sym_range_argument_expression] = STATE(387),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(1414),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [341] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym_unary_expression] = STATE(391),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_argument_expression_list] = STATE(1838),
    [sym_argument_expression] = STATE(1501),
    [sym_logical_argument_expression] = STATE(1389),
    [sym_bitwise_argument_expression] = STATE(1390),
    [sym_comparison_argument_expression] = STATE(590),
    [sym_additive_argument_expression] = STATE(580),
    [sym_multiplicative_argument_expression] = STATE(439),
    [sym_format_argument_expression] = STATE(384),
    [sym_range_argument_expression] = STATE(387),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(1416),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [342] = {
    [sym_catch_clause] = STATE(322),
    [aux_sym_catch_clauses_repeat1] = STATE(322),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1418),
    [sym_hexadecimal_integer_literal] = ACTIONS(1418),
    [sym_real_literal] = ACTIONS(1418),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1418),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1418),
    [sym_verbatim_string_characters] = ACTIONS(1418),
    [sym_verbatim_here_string_characters] = ACTIONS(1418),
    [anon_sym_DOT] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [aux_sym_comparison_operator_token37] = ACTIONS(1418),
    [aux_sym_comparison_operator_token50] = ACTIONS(1418),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1418),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1418),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1418),
    [anon_sym_DOLLAR_] = ACTIONS(1418),
    [aux_sym_variable_token1] = ACTIONS(1418),
    [aux_sym_variable_token2] = ACTIONS(1418),
    [sym_braced_variable] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [anon_sym_RPAREN] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_RBRACE] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_switch_statement_token1] = ACTIONS(1418),
    [aux_sym_foreach_statement_token1] = ACTIONS(1418),
    [aux_sym_for_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_do_statement_token1] = ACTIONS(1418),
    [aux_sym_function_statement_token1] = ACTIONS(1418),
    [aux_sym_function_statement_token2] = ACTIONS(1418),
    [aux_sym_function_statement_token3] = ACTIONS(1418),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1418),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1418),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1418),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1418),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1418),
    [sym_label] = ACTIONS(1418),
    [aux_sym_trap_statement_token1] = ACTIONS(1418),
    [aux_sym_try_statement_token1] = ACTIONS(1418),
    [aux_sym_catch_clause_token1] = ACTIONS(1336),
    [aux_sym_finally_clause_token1] = ACTIONS(1418),
    [aux_sym_data_statement_token1] = ACTIONS(1418),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1418),
    [aux_sym_parallel_statement_token1] = ACTIONS(1418),
    [aux_sym_sequence_statement_token1] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [aux_sym_command_name_token1] = ACTIONS(1418),
    [anon_sym_PERCENT] = ACTIONS(1418),
    [aux_sym_foreach_command_token1] = ACTIONS(1418),
    [aux_sym_class_statement_token1] = ACTIONS(1418),
    [aux_sym_enum_statement_token1] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1418),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1418),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1418),
    [anon_sym_DASH_DASH] = ACTIONS(1418),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1418),
    [anon_sym_AT_LPAREN] = ACTIONS(1418),
    [anon_sym_AT_LBRACE] = ACTIONS(1418),
  },
  [343] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym_unary_expression] = STATE(391),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_argument_expression_list] = STATE(1843),
    [sym_argument_expression] = STATE(1501),
    [sym_logical_argument_expression] = STATE(1389),
    [sym_bitwise_argument_expression] = STATE(1390),
    [sym_comparison_argument_expression] = STATE(590),
    [sym_additive_argument_expression] = STATE(580),
    [sym_multiplicative_argument_expression] = STATE(439),
    [sym_format_argument_expression] = STATE(384),
    [sym_range_argument_expression] = STATE(387),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [344] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym_unary_expression] = STATE(391),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_argument_expression_list] = STATE(1846),
    [sym_argument_expression] = STATE(1501),
    [sym_logical_argument_expression] = STATE(1389),
    [sym_bitwise_argument_expression] = STATE(1390),
    [sym_comparison_argument_expression] = STATE(590),
    [sym_additive_argument_expression] = STATE(580),
    [sym_multiplicative_argument_expression] = STATE(439),
    [sym_format_argument_expression] = STATE(384),
    [sym_range_argument_expression] = STATE(387),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(1422),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [345] = {
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1424),
    [sym_hexadecimal_integer_literal] = ACTIONS(1424),
    [sym_real_literal] = ACTIONS(1424),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1424),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1424),
    [sym_verbatim_string_characters] = ACTIONS(1424),
    [sym_verbatim_here_string_characters] = ACTIONS(1424),
    [anon_sym_DOT] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1424),
    [aux_sym_comparison_operator_token37] = ACTIONS(1424),
    [aux_sym_comparison_operator_token50] = ACTIONS(1424),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1424),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1424),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1424),
    [anon_sym_DOLLAR_] = ACTIONS(1424),
    [aux_sym_variable_token1] = ACTIONS(1424),
    [aux_sym_variable_token2] = ACTIONS(1424),
    [sym_braced_variable] = ACTIONS(1424),
    [anon_sym_SEMI] = ACTIONS(1424),
    [aux_sym_param_block_token1] = ACTIONS(1424),
    [anon_sym_LPAREN] = ACTIONS(1424),
    [anon_sym_COMMA] = ACTIONS(1424),
    [aux_sym_block_name_token1] = ACTIONS(1424),
    [aux_sym_block_name_token2] = ACTIONS(1424),
    [aux_sym_block_name_token3] = ACTIONS(1424),
    [aux_sym_block_name_token4] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [aux_sym_if_statement_token1] = ACTIONS(1424),
    [aux_sym_switch_statement_token1] = ACTIONS(1424),
    [aux_sym_foreach_statement_token1] = ACTIONS(1424),
    [aux_sym_for_statement_token1] = ACTIONS(1424),
    [aux_sym_while_statement_token1] = ACTIONS(1424),
    [aux_sym_do_statement_token1] = ACTIONS(1424),
    [aux_sym_function_statement_token1] = ACTIONS(1424),
    [aux_sym_function_statement_token2] = ACTIONS(1424),
    [aux_sym_function_statement_token3] = ACTIONS(1424),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1424),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1424),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1424),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1424),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1424),
    [sym_label] = ACTIONS(1424),
    [aux_sym_trap_statement_token1] = ACTIONS(1424),
    [aux_sym_try_statement_token1] = ACTIONS(1424),
    [aux_sym_data_statement_token1] = ACTIONS(1424),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1424),
    [aux_sym_parallel_statement_token1] = ACTIONS(1424),
    [aux_sym_sequence_statement_token1] = ACTIONS(1424),
    [anon_sym_AMP] = ACTIONS(1424),
    [aux_sym_command_name_token1] = ACTIONS(1424),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [aux_sym_foreach_command_token1] = ACTIONS(1424),
    [aux_sym_class_statement_token1] = ACTIONS(1424),
    [aux_sym_enum_statement_token1] = ACTIONS(1424),
    [anon_sym_PLUS] = ACTIONS(1424),
    [anon_sym_DASH] = ACTIONS(1424),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(1424),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1424),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1424),
    [anon_sym_AT_LPAREN] = ACTIONS(1424),
    [anon_sym_AT_LBRACE] = ACTIONS(1424),
    [sym__statement_terminator] = ACTIONS(1426),
  },
  [346] = {
    [sym_format_operator] = STATE(582),
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(795),
    [aux_sym_comparison_operator_token2] = ACTIONS(795),
    [aux_sym_comparison_operator_token3] = ACTIONS(795),
    [aux_sym_comparison_operator_token4] = ACTIONS(795),
    [aux_sym_comparison_operator_token5] = ACTIONS(795),
    [aux_sym_comparison_operator_token6] = ACTIONS(795),
    [aux_sym_comparison_operator_token7] = ACTIONS(795),
    [aux_sym_comparison_operator_token8] = ACTIONS(795),
    [aux_sym_comparison_operator_token9] = ACTIONS(795),
    [aux_sym_comparison_operator_token10] = ACTIONS(795),
    [aux_sym_comparison_operator_token11] = ACTIONS(795),
    [aux_sym_comparison_operator_token12] = ACTIONS(795),
    [aux_sym_comparison_operator_token13] = ACTIONS(795),
    [aux_sym_comparison_operator_token14] = ACTIONS(795),
    [aux_sym_comparison_operator_token15] = ACTIONS(795),
    [aux_sym_comparison_operator_token16] = ACTIONS(795),
    [aux_sym_comparison_operator_token17] = ACTIONS(795),
    [aux_sym_comparison_operator_token18] = ACTIONS(795),
    [aux_sym_comparison_operator_token19] = ACTIONS(795),
    [aux_sym_comparison_operator_token20] = ACTIONS(795),
    [aux_sym_comparison_operator_token21] = ACTIONS(795),
    [aux_sym_comparison_operator_token22] = ACTIONS(795),
    [aux_sym_comparison_operator_token23] = ACTIONS(795),
    [aux_sym_comparison_operator_token24] = ACTIONS(795),
    [aux_sym_comparison_operator_token25] = ACTIONS(795),
    [aux_sym_comparison_operator_token26] = ACTIONS(795),
    [aux_sym_comparison_operator_token27] = ACTIONS(795),
    [aux_sym_comparison_operator_token28] = ACTIONS(797),
    [aux_sym_comparison_operator_token29] = ACTIONS(795),
    [aux_sym_comparison_operator_token30] = ACTIONS(795),
    [aux_sym_comparison_operator_token31] = ACTIONS(795),
    [aux_sym_comparison_operator_token32] = ACTIONS(795),
    [aux_sym_comparison_operator_token33] = ACTIONS(795),
    [aux_sym_comparison_operator_token34] = ACTIONS(797),
    [aux_sym_comparison_operator_token35] = ACTIONS(795),
    [aux_sym_comparison_operator_token36] = ACTIONS(795),
    [aux_sym_comparison_operator_token37] = ACTIONS(795),
    [aux_sym_comparison_operator_token38] = ACTIONS(795),
    [aux_sym_comparison_operator_token39] = ACTIONS(795),
    [aux_sym_comparison_operator_token40] = ACTIONS(795),
    [aux_sym_comparison_operator_token41] = ACTIONS(795),
    [aux_sym_comparison_operator_token42] = ACTIONS(795),
    [aux_sym_comparison_operator_token43] = ACTIONS(795),
    [aux_sym_comparison_operator_token44] = ACTIONS(795),
    [aux_sym_comparison_operator_token45] = ACTIONS(795),
    [aux_sym_comparison_operator_token46] = ACTIONS(795),
    [aux_sym_comparison_operator_token47] = ACTIONS(795),
    [aux_sym_comparison_operator_token48] = ACTIONS(795),
    [aux_sym_comparison_operator_token49] = ACTIONS(795),
    [aux_sym_comparison_operator_token50] = ACTIONS(795),
    [aux_sym_format_operator_token1] = ACTIONS(799),
    [anon_sym_PERCENT] = ACTIONS(795),
    [aux_sym_logical_expression_token1] = ACTIONS(795),
    [aux_sym_logical_expression_token2] = ACTIONS(795),
    [aux_sym_logical_expression_token3] = ACTIONS(795),
    [aux_sym_bitwise_expression_token1] = ACTIONS(795),
    [aux_sym_bitwise_expression_token2] = ACTIONS(795),
    [aux_sym_bitwise_expression_token3] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(795),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_SLASH] = ACTIONS(795),
    [anon_sym_BSLASH] = ACTIONS(795),
    [anon_sym_STAR] = ACTIONS(795),
    [sym__statement_terminator] = ACTIONS(795),
  },
  [347] = {
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(805),
    [aux_sym_comparison_operator_token2] = ACTIONS(805),
    [aux_sym_comparison_operator_token3] = ACTIONS(805),
    [aux_sym_comparison_operator_token4] = ACTIONS(805),
    [aux_sym_comparison_operator_token5] = ACTIONS(805),
    [aux_sym_comparison_operator_token6] = ACTIONS(805),
    [aux_sym_comparison_operator_token7] = ACTIONS(805),
    [aux_sym_comparison_operator_token8] = ACTIONS(805),
    [aux_sym_comparison_operator_token9] = ACTIONS(805),
    [aux_sym_comparison_operator_token10] = ACTIONS(805),
    [aux_sym_comparison_operator_token11] = ACTIONS(805),
    [aux_sym_comparison_operator_token12] = ACTIONS(805),
    [aux_sym_comparison_operator_token13] = ACTIONS(805),
    [aux_sym_comparison_operator_token14] = ACTIONS(805),
    [aux_sym_comparison_operator_token15] = ACTIONS(805),
    [aux_sym_comparison_operator_token16] = ACTIONS(805),
    [aux_sym_comparison_operator_token17] = ACTIONS(805),
    [aux_sym_comparison_operator_token18] = ACTIONS(805),
    [aux_sym_comparison_operator_token19] = ACTIONS(805),
    [aux_sym_comparison_operator_token20] = ACTIONS(805),
    [aux_sym_comparison_operator_token21] = ACTIONS(805),
    [aux_sym_comparison_operator_token22] = ACTIONS(805),
    [aux_sym_comparison_operator_token23] = ACTIONS(805),
    [aux_sym_comparison_operator_token24] = ACTIONS(805),
    [aux_sym_comparison_operator_token25] = ACTIONS(805),
    [aux_sym_comparison_operator_token26] = ACTIONS(805),
    [aux_sym_comparison_operator_token27] = ACTIONS(805),
    [aux_sym_comparison_operator_token28] = ACTIONS(807),
    [aux_sym_comparison_operator_token29] = ACTIONS(805),
    [aux_sym_comparison_operator_token30] = ACTIONS(805),
    [aux_sym_comparison_operator_token31] = ACTIONS(805),
    [aux_sym_comparison_operator_token32] = ACTIONS(805),
    [aux_sym_comparison_operator_token33] = ACTIONS(805),
    [aux_sym_comparison_operator_token34] = ACTIONS(807),
    [aux_sym_comparison_operator_token35] = ACTIONS(805),
    [aux_sym_comparison_operator_token36] = ACTIONS(805),
    [aux_sym_comparison_operator_token37] = ACTIONS(805),
    [aux_sym_comparison_operator_token38] = ACTIONS(805),
    [aux_sym_comparison_operator_token39] = ACTIONS(805),
    [aux_sym_comparison_operator_token40] = ACTIONS(805),
    [aux_sym_comparison_operator_token41] = ACTIONS(805),
    [aux_sym_comparison_operator_token42] = ACTIONS(805),
    [aux_sym_comparison_operator_token43] = ACTIONS(805),
    [aux_sym_comparison_operator_token44] = ACTIONS(805),
    [aux_sym_comparison_operator_token45] = ACTIONS(805),
    [aux_sym_comparison_operator_token46] = ACTIONS(805),
    [aux_sym_comparison_operator_token47] = ACTIONS(805),
    [aux_sym_comparison_operator_token48] = ACTIONS(805),
    [aux_sym_comparison_operator_token49] = ACTIONS(805),
    [aux_sym_comparison_operator_token50] = ACTIONS(805),
    [aux_sym_format_operator_token1] = ACTIONS(805),
    [anon_sym_PERCENT] = ACTIONS(805),
    [aux_sym_logical_expression_token1] = ACTIONS(805),
    [aux_sym_logical_expression_token2] = ACTIONS(805),
    [aux_sym_logical_expression_token3] = ACTIONS(805),
    [aux_sym_bitwise_expression_token1] = ACTIONS(805),
    [aux_sym_bitwise_expression_token2] = ACTIONS(805),
    [aux_sym_bitwise_expression_token3] = ACTIONS(805),
    [anon_sym_PLUS] = ACTIONS(805),
    [anon_sym_DASH] = ACTIONS(807),
    [anon_sym_SLASH] = ACTIONS(805),
    [anon_sym_BSLASH] = ACTIONS(805),
    [anon_sym_STAR] = ACTIONS(805),
    [anon_sym_DOT_DOT] = ACTIONS(1428),
    [sym__statement_terminator] = ACTIONS(805),
  },
  [348] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym_unary_expression] = STATE(391),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_argument_expression_list] = STATE(2073),
    [sym_argument_expression] = STATE(1501),
    [sym_logical_argument_expression] = STATE(1389),
    [sym_bitwise_argument_expression] = STATE(1390),
    [sym_comparison_argument_expression] = STATE(590),
    [sym_additive_argument_expression] = STATE(580),
    [sym_multiplicative_argument_expression] = STATE(439),
    [sym_format_argument_expression] = STATE(384),
    [sym_range_argument_expression] = STATE(387),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(1430),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [349] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym_unary_expression] = STATE(391),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_argument_expression_list] = STATE(1784),
    [sym_argument_expression] = STATE(1501),
    [sym_logical_argument_expression] = STATE(1389),
    [sym_bitwise_argument_expression] = STATE(1390),
    [sym_comparison_argument_expression] = STATE(590),
    [sym_additive_argument_expression] = STATE(580),
    [sym_multiplicative_argument_expression] = STATE(439),
    [sym_format_argument_expression] = STATE(384),
    [sym_range_argument_expression] = STATE(387),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(1432),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [350] = {
    [sym_format_operator] = STATE(582),
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(801),
    [aux_sym_comparison_operator_token2] = ACTIONS(801),
    [aux_sym_comparison_operator_token3] = ACTIONS(801),
    [aux_sym_comparison_operator_token4] = ACTIONS(801),
    [aux_sym_comparison_operator_token5] = ACTIONS(801),
    [aux_sym_comparison_operator_token6] = ACTIONS(801),
    [aux_sym_comparison_operator_token7] = ACTIONS(801),
    [aux_sym_comparison_operator_token8] = ACTIONS(801),
    [aux_sym_comparison_operator_token9] = ACTIONS(801),
    [aux_sym_comparison_operator_token10] = ACTIONS(801),
    [aux_sym_comparison_operator_token11] = ACTIONS(801),
    [aux_sym_comparison_operator_token12] = ACTIONS(801),
    [aux_sym_comparison_operator_token13] = ACTIONS(801),
    [aux_sym_comparison_operator_token14] = ACTIONS(801),
    [aux_sym_comparison_operator_token15] = ACTIONS(801),
    [aux_sym_comparison_operator_token16] = ACTIONS(801),
    [aux_sym_comparison_operator_token17] = ACTIONS(801),
    [aux_sym_comparison_operator_token18] = ACTIONS(801),
    [aux_sym_comparison_operator_token19] = ACTIONS(801),
    [aux_sym_comparison_operator_token20] = ACTIONS(801),
    [aux_sym_comparison_operator_token21] = ACTIONS(801),
    [aux_sym_comparison_operator_token22] = ACTIONS(801),
    [aux_sym_comparison_operator_token23] = ACTIONS(801),
    [aux_sym_comparison_operator_token24] = ACTIONS(801),
    [aux_sym_comparison_operator_token25] = ACTIONS(801),
    [aux_sym_comparison_operator_token26] = ACTIONS(801),
    [aux_sym_comparison_operator_token27] = ACTIONS(801),
    [aux_sym_comparison_operator_token28] = ACTIONS(803),
    [aux_sym_comparison_operator_token29] = ACTIONS(801),
    [aux_sym_comparison_operator_token30] = ACTIONS(801),
    [aux_sym_comparison_operator_token31] = ACTIONS(801),
    [aux_sym_comparison_operator_token32] = ACTIONS(801),
    [aux_sym_comparison_operator_token33] = ACTIONS(801),
    [aux_sym_comparison_operator_token34] = ACTIONS(803),
    [aux_sym_comparison_operator_token35] = ACTIONS(801),
    [aux_sym_comparison_operator_token36] = ACTIONS(801),
    [aux_sym_comparison_operator_token37] = ACTIONS(801),
    [aux_sym_comparison_operator_token38] = ACTIONS(801),
    [aux_sym_comparison_operator_token39] = ACTIONS(801),
    [aux_sym_comparison_operator_token40] = ACTIONS(801),
    [aux_sym_comparison_operator_token41] = ACTIONS(801),
    [aux_sym_comparison_operator_token42] = ACTIONS(801),
    [aux_sym_comparison_operator_token43] = ACTIONS(801),
    [aux_sym_comparison_operator_token44] = ACTIONS(801),
    [aux_sym_comparison_operator_token45] = ACTIONS(801),
    [aux_sym_comparison_operator_token46] = ACTIONS(801),
    [aux_sym_comparison_operator_token47] = ACTIONS(801),
    [aux_sym_comparison_operator_token48] = ACTIONS(801),
    [aux_sym_comparison_operator_token49] = ACTIONS(801),
    [aux_sym_comparison_operator_token50] = ACTIONS(801),
    [aux_sym_format_operator_token1] = ACTIONS(799),
    [anon_sym_PERCENT] = ACTIONS(801),
    [aux_sym_logical_expression_token1] = ACTIONS(801),
    [aux_sym_logical_expression_token2] = ACTIONS(801),
    [aux_sym_logical_expression_token3] = ACTIONS(801),
    [aux_sym_bitwise_expression_token1] = ACTIONS(801),
    [aux_sym_bitwise_expression_token2] = ACTIONS(801),
    [aux_sym_bitwise_expression_token3] = ACTIONS(801),
    [anon_sym_PLUS] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(803),
    [anon_sym_SLASH] = ACTIONS(801),
    [anon_sym_BSLASH] = ACTIONS(801),
    [anon_sym_STAR] = ACTIONS(801),
    [sym__statement_terminator] = ACTIONS(801),
  },
  [351] = {
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1343),
    [sym_hexadecimal_integer_literal] = ACTIONS(1343),
    [sym_real_literal] = ACTIONS(1343),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1343),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1343),
    [sym_verbatim_string_characters] = ACTIONS(1343),
    [sym_verbatim_here_string_characters] = ACTIONS(1343),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_GT] = ACTIONS(1343),
    [anon_sym_GT_GT] = ACTIONS(1343),
    [anon_sym_2_GT] = ACTIONS(1343),
    [anon_sym_2_GT_GT] = ACTIONS(1343),
    [anon_sym_3_GT] = ACTIONS(1343),
    [anon_sym_3_GT_GT] = ACTIONS(1343),
    [anon_sym_4_GT] = ACTIONS(1343),
    [anon_sym_4_GT_GT] = ACTIONS(1343),
    [anon_sym_5_GT] = ACTIONS(1343),
    [anon_sym_5_GT_GT] = ACTIONS(1343),
    [anon_sym_6_GT] = ACTIONS(1343),
    [anon_sym_6_GT_GT] = ACTIONS(1343),
    [anon_sym_STAR_GT] = ACTIONS(1343),
    [anon_sym_STAR_GT_GT] = ACTIONS(1343),
    [anon_sym_LT] = ACTIONS(1343),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1343),
    [anon_sym_2_GT_AMP1] = ACTIONS(1343),
    [anon_sym_3_GT_AMP1] = ACTIONS(1343),
    [anon_sym_4_GT_AMP1] = ACTIONS(1343),
    [anon_sym_5_GT_AMP1] = ACTIONS(1343),
    [anon_sym_6_GT_AMP1] = ACTIONS(1343),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1343),
    [anon_sym_1_GT_AMP2] = ACTIONS(1343),
    [anon_sym_3_GT_AMP2] = ACTIONS(1343),
    [anon_sym_4_GT_AMP2] = ACTIONS(1343),
    [anon_sym_5_GT_AMP2] = ACTIONS(1343),
    [anon_sym_6_GT_AMP2] = ACTIONS(1343),
    [aux_sym_comparison_operator_token37] = ACTIONS(1343),
    [aux_sym_comparison_operator_token50] = ACTIONS(1343),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1343),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1343),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1343),
    [anon_sym_DOLLAR_] = ACTIONS(1343),
    [aux_sym_variable_token1] = ACTIONS(1343),
    [aux_sym_variable_token2] = ACTIONS(1343),
    [sym_braced_variable] = ACTIONS(1343),
    [sym_generic_token] = ACTIONS(1343),
    [sym_command_parameter] = ACTIONS(1343),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_RPAREN] = ACTIONS(1343),
    [anon_sym_COMMA] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1343),
    [anon_sym_PIPE] = ACTIONS(1343),
    [sym_stop_parsing] = ACTIONS(1343),
    [anon_sym_SPACE] = ACTIONS(1343),
    [anon_sym_COLON] = ACTIONS(1343),
    [anon_sym_DASH_DASH_PERCENT] = ACTIONS(1343),
    [anon_sym_PLUS] = ACTIONS(1343),
    [anon_sym_DASH] = ACTIONS(1343),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1343),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1343),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1343),
    [anon_sym_AT_LPAREN] = ACTIONS(1343),
    [anon_sym_AT_LBRACE] = ACTIONS(1343),
  },
  [352] = {
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(811),
    [aux_sym_comparison_operator_token2] = ACTIONS(811),
    [aux_sym_comparison_operator_token3] = ACTIONS(811),
    [aux_sym_comparison_operator_token4] = ACTIONS(811),
    [aux_sym_comparison_operator_token5] = ACTIONS(811),
    [aux_sym_comparison_operator_token6] = ACTIONS(811),
    [aux_sym_comparison_operator_token7] = ACTIONS(811),
    [aux_sym_comparison_operator_token8] = ACTIONS(811),
    [aux_sym_comparison_operator_token9] = ACTIONS(811),
    [aux_sym_comparison_operator_token10] = ACTIONS(811),
    [aux_sym_comparison_operator_token11] = ACTIONS(811),
    [aux_sym_comparison_operator_token12] = ACTIONS(811),
    [aux_sym_comparison_operator_token13] = ACTIONS(811),
    [aux_sym_comparison_operator_token14] = ACTIONS(811),
    [aux_sym_comparison_operator_token15] = ACTIONS(811),
    [aux_sym_comparison_operator_token16] = ACTIONS(811),
    [aux_sym_comparison_operator_token17] = ACTIONS(811),
    [aux_sym_comparison_operator_token18] = ACTIONS(811),
    [aux_sym_comparison_operator_token19] = ACTIONS(811),
    [aux_sym_comparison_operator_token20] = ACTIONS(811),
    [aux_sym_comparison_operator_token21] = ACTIONS(811),
    [aux_sym_comparison_operator_token22] = ACTIONS(811),
    [aux_sym_comparison_operator_token23] = ACTIONS(811),
    [aux_sym_comparison_operator_token24] = ACTIONS(811),
    [aux_sym_comparison_operator_token25] = ACTIONS(811),
    [aux_sym_comparison_operator_token26] = ACTIONS(811),
    [aux_sym_comparison_operator_token27] = ACTIONS(811),
    [aux_sym_comparison_operator_token28] = ACTIONS(813),
    [aux_sym_comparison_operator_token29] = ACTIONS(811),
    [aux_sym_comparison_operator_token30] = ACTIONS(811),
    [aux_sym_comparison_operator_token31] = ACTIONS(811),
    [aux_sym_comparison_operator_token32] = ACTIONS(811),
    [aux_sym_comparison_operator_token33] = ACTIONS(811),
    [aux_sym_comparison_operator_token34] = ACTIONS(813),
    [aux_sym_comparison_operator_token35] = ACTIONS(811),
    [aux_sym_comparison_operator_token36] = ACTIONS(811),
    [aux_sym_comparison_operator_token37] = ACTIONS(811),
    [aux_sym_comparison_operator_token38] = ACTIONS(811),
    [aux_sym_comparison_operator_token39] = ACTIONS(811),
    [aux_sym_comparison_operator_token40] = ACTIONS(811),
    [aux_sym_comparison_operator_token41] = ACTIONS(811),
    [aux_sym_comparison_operator_token42] = ACTIONS(811),
    [aux_sym_comparison_operator_token43] = ACTIONS(811),
    [aux_sym_comparison_operator_token44] = ACTIONS(811),
    [aux_sym_comparison_operator_token45] = ACTIONS(811),
    [aux_sym_comparison_operator_token46] = ACTIONS(811),
    [aux_sym_comparison_operator_token47] = ACTIONS(811),
    [aux_sym_comparison_operator_token48] = ACTIONS(811),
    [aux_sym_comparison_operator_token49] = ACTIONS(811),
    [aux_sym_comparison_operator_token50] = ACTIONS(811),
    [aux_sym_format_operator_token1] = ACTIONS(811),
    [anon_sym_PERCENT] = ACTIONS(811),
    [aux_sym_logical_expression_token1] = ACTIONS(811),
    [aux_sym_logical_expression_token2] = ACTIONS(811),
    [aux_sym_logical_expression_token3] = ACTIONS(811),
    [aux_sym_bitwise_expression_token1] = ACTIONS(811),
    [aux_sym_bitwise_expression_token2] = ACTIONS(811),
    [aux_sym_bitwise_expression_token3] = ACTIONS(811),
    [anon_sym_PLUS] = ACTIONS(811),
    [anon_sym_DASH] = ACTIONS(813),
    [anon_sym_SLASH] = ACTIONS(811),
    [anon_sym_BSLASH] = ACTIONS(811),
    [anon_sym_STAR] = ACTIONS(811),
    [anon_sym_DOT_DOT] = ACTIONS(1428),
    [sym__statement_terminator] = ACTIONS(811),
  },
  [353] = {
    [aux_sym_command_argument_sep_repeat1] = STATE(354),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1343),
    [sym_hexadecimal_integer_literal] = ACTIONS(1343),
    [sym_real_literal] = ACTIONS(1343),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1343),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1343),
    [sym_verbatim_string_characters] = ACTIONS(1343),
    [sym_verbatim_here_string_characters] = ACTIONS(1343),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_GT] = ACTIONS(1343),
    [anon_sym_GT_GT] = ACTIONS(1343),
    [anon_sym_2_GT] = ACTIONS(1343),
    [anon_sym_2_GT_GT] = ACTIONS(1343),
    [anon_sym_3_GT] = ACTIONS(1343),
    [anon_sym_3_GT_GT] = ACTIONS(1343),
    [anon_sym_4_GT] = ACTIONS(1343),
    [anon_sym_4_GT_GT] = ACTIONS(1343),
    [anon_sym_5_GT] = ACTIONS(1343),
    [anon_sym_5_GT_GT] = ACTIONS(1343),
    [anon_sym_6_GT] = ACTIONS(1343),
    [anon_sym_6_GT_GT] = ACTIONS(1343),
    [anon_sym_STAR_GT] = ACTIONS(1343),
    [anon_sym_STAR_GT_GT] = ACTIONS(1343),
    [anon_sym_LT] = ACTIONS(1343),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1343),
    [anon_sym_2_GT_AMP1] = ACTIONS(1343),
    [anon_sym_3_GT_AMP1] = ACTIONS(1343),
    [anon_sym_4_GT_AMP1] = ACTIONS(1343),
    [anon_sym_5_GT_AMP1] = ACTIONS(1343),
    [anon_sym_6_GT_AMP1] = ACTIONS(1343),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1343),
    [anon_sym_1_GT_AMP2] = ACTIONS(1343),
    [anon_sym_3_GT_AMP2] = ACTIONS(1343),
    [anon_sym_4_GT_AMP2] = ACTIONS(1343),
    [anon_sym_5_GT_AMP2] = ACTIONS(1343),
    [anon_sym_6_GT_AMP2] = ACTIONS(1343),
    [aux_sym_comparison_operator_token37] = ACTIONS(1343),
    [aux_sym_comparison_operator_token50] = ACTIONS(1343),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1343),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1343),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1343),
    [anon_sym_DOLLAR_] = ACTIONS(1343),
    [aux_sym_variable_token1] = ACTIONS(1343),
    [aux_sym_variable_token2] = ACTIONS(1343),
    [sym_braced_variable] = ACTIONS(1343),
    [sym_generic_token] = ACTIONS(1343),
    [sym_command_parameter] = ACTIONS(1343),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_COMMA] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1343),
    [anon_sym_PIPE] = ACTIONS(1343),
    [sym_stop_parsing] = ACTIONS(1343),
    [anon_sym_SPACE] = ACTIONS(1434),
    [anon_sym_COLON] = ACTIONS(1343),
    [anon_sym_PLUS] = ACTIONS(1343),
    [anon_sym_DASH] = ACTIONS(1343),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1343),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1343),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1343),
    [anon_sym_AT_LPAREN] = ACTIONS(1343),
    [anon_sym_AT_LBRACE] = ACTIONS(1343),
    [sym__statement_terminator] = ACTIONS(1347),
  },
  [354] = {
    [aux_sym_command_argument_sep_repeat1] = STATE(354),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1355),
    [sym_hexadecimal_integer_literal] = ACTIONS(1355),
    [sym_real_literal] = ACTIONS(1355),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1355),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1355),
    [sym_verbatim_string_characters] = ACTIONS(1355),
    [sym_verbatim_here_string_characters] = ACTIONS(1355),
    [anon_sym_LBRACK] = ACTIONS(1355),
    [anon_sym_GT] = ACTIONS(1355),
    [anon_sym_GT_GT] = ACTIONS(1355),
    [anon_sym_2_GT] = ACTIONS(1355),
    [anon_sym_2_GT_GT] = ACTIONS(1355),
    [anon_sym_3_GT] = ACTIONS(1355),
    [anon_sym_3_GT_GT] = ACTIONS(1355),
    [anon_sym_4_GT] = ACTIONS(1355),
    [anon_sym_4_GT_GT] = ACTIONS(1355),
    [anon_sym_5_GT] = ACTIONS(1355),
    [anon_sym_5_GT_GT] = ACTIONS(1355),
    [anon_sym_6_GT] = ACTIONS(1355),
    [anon_sym_6_GT_GT] = ACTIONS(1355),
    [anon_sym_STAR_GT] = ACTIONS(1355),
    [anon_sym_STAR_GT_GT] = ACTIONS(1355),
    [anon_sym_LT] = ACTIONS(1355),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1355),
    [anon_sym_2_GT_AMP1] = ACTIONS(1355),
    [anon_sym_3_GT_AMP1] = ACTIONS(1355),
    [anon_sym_4_GT_AMP1] = ACTIONS(1355),
    [anon_sym_5_GT_AMP1] = ACTIONS(1355),
    [anon_sym_6_GT_AMP1] = ACTIONS(1355),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1355),
    [anon_sym_1_GT_AMP2] = ACTIONS(1355),
    [anon_sym_3_GT_AMP2] = ACTIONS(1355),
    [anon_sym_4_GT_AMP2] = ACTIONS(1355),
    [anon_sym_5_GT_AMP2] = ACTIONS(1355),
    [anon_sym_6_GT_AMP2] = ACTIONS(1355),
    [aux_sym_comparison_operator_token37] = ACTIONS(1355),
    [aux_sym_comparison_operator_token50] = ACTIONS(1355),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1355),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1355),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1355),
    [anon_sym_DOLLAR_] = ACTIONS(1355),
    [aux_sym_variable_token1] = ACTIONS(1355),
    [aux_sym_variable_token2] = ACTIONS(1355),
    [sym_braced_variable] = ACTIONS(1355),
    [sym_generic_token] = ACTIONS(1355),
    [sym_command_parameter] = ACTIONS(1355),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_COMMA] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1355),
    [sym_stop_parsing] = ACTIONS(1355),
    [anon_sym_SPACE] = ACTIONS(1436),
    [anon_sym_COLON] = ACTIONS(1355),
    [anon_sym_PLUS] = ACTIONS(1355),
    [anon_sym_DASH] = ACTIONS(1355),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1355),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1355),
    [anon_sym_PLUS_PLUS] = ACTIONS(1355),
    [anon_sym_DASH_DASH] = ACTIONS(1355),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1355),
    [anon_sym_AT_LPAREN] = ACTIONS(1355),
    [anon_sym_AT_LBRACE] = ACTIONS(1355),
    [sym__statement_terminator] = ACTIONS(1365),
  },
  [355] = {
    [aux_sym_script_block_repeat1] = STATE(355),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1439),
    [sym_hexadecimal_integer_literal] = ACTIONS(1439),
    [sym_real_literal] = ACTIONS(1439),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1439),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1439),
    [sym_verbatim_string_characters] = ACTIONS(1439),
    [sym_verbatim_here_string_characters] = ACTIONS(1439),
    [anon_sym_DOT] = ACTIONS(1439),
    [anon_sym_LBRACK] = ACTIONS(1439),
    [aux_sym_comparison_operator_token37] = ACTIONS(1439),
    [aux_sym_comparison_operator_token50] = ACTIONS(1439),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1439),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1439),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1439),
    [anon_sym_DOLLAR_] = ACTIONS(1439),
    [aux_sym_variable_token1] = ACTIONS(1439),
    [aux_sym_variable_token2] = ACTIONS(1439),
    [sym_braced_variable] = ACTIONS(1439),
    [anon_sym_SEMI] = ACTIONS(1441),
    [anon_sym_LPAREN] = ACTIONS(1439),
    [anon_sym_COMMA] = ACTIONS(1439),
    [aux_sym_block_name_token1] = ACTIONS(1439),
    [aux_sym_block_name_token2] = ACTIONS(1439),
    [aux_sym_block_name_token3] = ACTIONS(1439),
    [aux_sym_block_name_token4] = ACTIONS(1439),
    [anon_sym_LBRACE] = ACTIONS(1439),
    [anon_sym_RBRACE] = ACTIONS(1439),
    [aux_sym_if_statement_token1] = ACTIONS(1439),
    [aux_sym_switch_statement_token1] = ACTIONS(1439),
    [aux_sym_foreach_statement_token1] = ACTIONS(1439),
    [aux_sym_for_statement_token1] = ACTIONS(1439),
    [aux_sym_while_statement_token1] = ACTIONS(1439),
    [aux_sym_do_statement_token1] = ACTIONS(1439),
    [aux_sym_function_statement_token1] = ACTIONS(1439),
    [aux_sym_function_statement_token2] = ACTIONS(1439),
    [aux_sym_function_statement_token3] = ACTIONS(1439),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1439),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1439),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1439),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1439),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1439),
    [sym_label] = ACTIONS(1439),
    [aux_sym_trap_statement_token1] = ACTIONS(1439),
    [aux_sym_try_statement_token1] = ACTIONS(1439),
    [aux_sym_data_statement_token1] = ACTIONS(1439),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1439),
    [aux_sym_parallel_statement_token1] = ACTIONS(1439),
    [aux_sym_sequence_statement_token1] = ACTIONS(1439),
    [anon_sym_AMP] = ACTIONS(1439),
    [aux_sym_command_name_token1] = ACTIONS(1439),
    [anon_sym_PERCENT] = ACTIONS(1439),
    [aux_sym_foreach_command_token1] = ACTIONS(1439),
    [aux_sym_class_statement_token1] = ACTIONS(1439),
    [aux_sym_enum_statement_token1] = ACTIONS(1439),
    [anon_sym_PLUS] = ACTIONS(1439),
    [anon_sym_DASH] = ACTIONS(1439),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1439),
    [anon_sym_BANG] = ACTIONS(1439),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1439),
    [anon_sym_PLUS_PLUS] = ACTIONS(1439),
    [anon_sym_DASH_DASH] = ACTIONS(1439),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1439),
    [anon_sym_AT_LPAREN] = ACTIONS(1439),
    [anon_sym_AT_LBRACE] = ACTIONS(1439),
  },
  [356] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym__expression] = STATE(2013),
    [sym_logical_expression] = STATE(1402),
    [sym_bitwise_expression] = STATE(1322),
    [sym_comparison_expression] = STATE(576),
    [sym_additive_expression] = STATE(562),
    [sym_multiplicative_expression] = STATE(386),
    [sym_format_expression] = STATE(325),
    [sym_range_expression] = STATE(326),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(300),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [357] = {
    [sym__literal] = STATE(294),
    [sym_integer_literal] = STATE(294),
    [sym_string_literal] = STATE(294),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(294),
    [sym__expression] = STATE(1730),
    [sym_logical_expression] = STATE(1423),
    [sym_bitwise_expression] = STATE(1327),
    [sym_comparison_expression] = STATE(570),
    [sym_additive_expression] = STATE(559),
    [sym_multiplicative_expression] = STATE(382),
    [sym_format_expression] = STATE(346),
    [sym_range_expression] = STATE(347),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(304),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(294),
    [sym__value] = STATE(294),
    [sym_parenthesized_expression] = STATE(294),
    [sym_sub_expression] = STATE(294),
    [sym_array_expression] = STATE(294),
    [sym_script_block_expression] = STATE(294),
    [sym_hash_literal_expression] = STATE(294),
    [sym_post_increment_expression] = STATE(294),
    [sym_post_decrement_expression] = STATE(294),
    [sym_member_access] = STATE(294),
    [sym_element_access] = STATE(294),
    [sym_invokation_expression] = STATE(294),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(80),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(83),
    [sym_real_literal] = ACTIONS(569),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(87),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(89),
    [sym_verbatim_string_characters] = ACTIONS(91),
    [sym_verbatim_here_string_characters] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(571),
    [aux_sym_comparison_operator_token37] = ACTIONS(573),
    [aux_sym_comparison_operator_token50] = ACTIONS(573),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(101),
    [anon_sym_DOLLAR_CARET] = ACTIONS(101),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(101),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(101),
    [sym_braced_variable] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_COMMA] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(573),
    [anon_sym_BANG] = ACTIONS(573),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(573),
    [anon_sym_PLUS_PLUS] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(113),
    [anon_sym_AT_LPAREN] = ACTIONS(115),
    [anon_sym_AT_LBRACE] = ACTIONS(117),
  },
  [358] = {
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1343),
    [sym_hexadecimal_integer_literal] = ACTIONS(1343),
    [sym_real_literal] = ACTIONS(1343),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1343),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1343),
    [sym_verbatim_string_characters] = ACTIONS(1343),
    [sym_verbatim_here_string_characters] = ACTIONS(1343),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_GT] = ACTIONS(1343),
    [anon_sym_GT_GT] = ACTIONS(1343),
    [anon_sym_2_GT] = ACTIONS(1343),
    [anon_sym_2_GT_GT] = ACTIONS(1343),
    [anon_sym_3_GT] = ACTIONS(1343),
    [anon_sym_3_GT_GT] = ACTIONS(1343),
    [anon_sym_4_GT] = ACTIONS(1343),
    [anon_sym_4_GT_GT] = ACTIONS(1343),
    [anon_sym_5_GT] = ACTIONS(1343),
    [anon_sym_5_GT_GT] = ACTIONS(1343),
    [anon_sym_6_GT] = ACTIONS(1343),
    [anon_sym_6_GT_GT] = ACTIONS(1343),
    [anon_sym_STAR_GT] = ACTIONS(1343),
    [anon_sym_STAR_GT_GT] = ACTIONS(1343),
    [anon_sym_LT] = ACTIONS(1343),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1343),
    [anon_sym_2_GT_AMP1] = ACTIONS(1343),
    [anon_sym_3_GT_AMP1] = ACTIONS(1343),
    [anon_sym_4_GT_AMP1] = ACTIONS(1343),
    [anon_sym_5_GT_AMP1] = ACTIONS(1343),
    [anon_sym_6_GT_AMP1] = ACTIONS(1343),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1343),
    [anon_sym_1_GT_AMP2] = ACTIONS(1343),
    [anon_sym_3_GT_AMP2] = ACTIONS(1343),
    [anon_sym_4_GT_AMP2] = ACTIONS(1343),
    [anon_sym_5_GT_AMP2] = ACTIONS(1343),
    [anon_sym_6_GT_AMP2] = ACTIONS(1343),
    [aux_sym_comparison_operator_token37] = ACTIONS(1343),
    [aux_sym_comparison_operator_token50] = ACTIONS(1343),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1343),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1343),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1343),
    [anon_sym_DOLLAR_] = ACTIONS(1343),
    [aux_sym_variable_token1] = ACTIONS(1343),
    [aux_sym_variable_token2] = ACTIONS(1343),
    [sym_braced_variable] = ACTIONS(1343),
    [sym_generic_token] = ACTIONS(1343),
    [sym_command_parameter] = ACTIONS(1343),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_COMMA] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1343),
    [anon_sym_PIPE] = ACTIONS(1343),
    [sym_stop_parsing] = ACTIONS(1343),
    [anon_sym_SPACE] = ACTIONS(1343),
    [anon_sym_COLON] = ACTIONS(1343),
    [anon_sym_PLUS] = ACTIONS(1343),
    [anon_sym_DASH] = ACTIONS(1343),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1343),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1343),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1343),
    [anon_sym_AT_LPAREN] = ACTIONS(1343),
    [anon_sym_AT_LBRACE] = ACTIONS(1343),
    [sym__statement_terminator] = ACTIONS(1347),
  },
  [359] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym__expression] = STATE(1665),
    [sym_logical_expression] = STATE(1374),
    [sym_bitwise_expression] = STATE(1306),
    [sym_comparison_expression] = STATE(563),
    [sym_additive_expression] = STATE(533),
    [sym_multiplicative_expression] = STATE(373),
    [sym_format_expression] = STATE(318),
    [sym_range_expression] = STATE(319),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(307),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [360] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym__expression] = STATE(2023),
    [sym_logical_expression] = STATE(1402),
    [sym_bitwise_expression] = STATE(1322),
    [sym_comparison_expression] = STATE(576),
    [sym_additive_expression] = STATE(562),
    [sym_multiplicative_expression] = STATE(386),
    [sym_format_expression] = STATE(325),
    [sym_range_expression] = STATE(326),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(300),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [361] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym__expression] = STATE(1755),
    [sym_logical_expression] = STATE(1402),
    [sym_bitwise_expression] = STATE(1322),
    [sym_comparison_expression] = STATE(576),
    [sym_additive_expression] = STATE(562),
    [sym_multiplicative_expression] = STATE(386),
    [sym_format_expression] = STATE(325),
    [sym_range_expression] = STATE(326),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(300),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [362] = {
    [sym_elseif_clause] = STATE(365),
    [aux_sym_elseif_clauses_repeat1] = STATE(365),
    [ts_builtin_sym_end] = ACTIONS(1444),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1410),
    [sym_hexadecimal_integer_literal] = ACTIONS(1410),
    [sym_real_literal] = ACTIONS(1410),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1410),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1410),
    [sym_verbatim_string_characters] = ACTIONS(1410),
    [sym_verbatim_here_string_characters] = ACTIONS(1410),
    [anon_sym_DOT] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [aux_sym_comparison_operator_token37] = ACTIONS(1410),
    [aux_sym_comparison_operator_token50] = ACTIONS(1410),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1410),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1410),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1410),
    [anon_sym_DOLLAR_] = ACTIONS(1410),
    [aux_sym_variable_token1] = ACTIONS(1410),
    [aux_sym_variable_token2] = ACTIONS(1410),
    [sym_braced_variable] = ACTIONS(1410),
    [anon_sym_SEMI] = ACTIONS(1410),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [anon_sym_COMMA] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1410),
    [aux_sym_if_statement_token1] = ACTIONS(1410),
    [aux_sym_elseif_clause_token1] = ACTIONS(1371),
    [aux_sym_else_clause_token1] = ACTIONS(1410),
    [aux_sym_switch_statement_token1] = ACTIONS(1410),
    [aux_sym_foreach_statement_token1] = ACTIONS(1410),
    [aux_sym_for_statement_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token1] = ACTIONS(1410),
    [aux_sym_do_statement_token1] = ACTIONS(1410),
    [aux_sym_function_statement_token1] = ACTIONS(1410),
    [aux_sym_function_statement_token2] = ACTIONS(1410),
    [aux_sym_function_statement_token3] = ACTIONS(1410),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1410),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1410),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1410),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1410),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1410),
    [sym_label] = ACTIONS(1410),
    [aux_sym_trap_statement_token1] = ACTIONS(1410),
    [aux_sym_try_statement_token1] = ACTIONS(1410),
    [aux_sym_data_statement_token1] = ACTIONS(1410),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1410),
    [aux_sym_parallel_statement_token1] = ACTIONS(1410),
    [aux_sym_sequence_statement_token1] = ACTIONS(1410),
    [anon_sym_AMP] = ACTIONS(1410),
    [aux_sym_command_name_token1] = ACTIONS(1410),
    [anon_sym_PERCENT] = ACTIONS(1410),
    [aux_sym_foreach_command_token1] = ACTIONS(1410),
    [aux_sym_class_statement_token1] = ACTIONS(1410),
    [aux_sym_enum_statement_token1] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1410),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1410),
    [anon_sym_BANG] = ACTIONS(1410),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1410),
    [anon_sym_PLUS_PLUS] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1410),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1410),
    [anon_sym_AT_LPAREN] = ACTIONS(1410),
    [anon_sym_AT_LBRACE] = ACTIONS(1410),
  },
  [363] = {
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1446),
    [sym_hexadecimal_integer_literal] = ACTIONS(1446),
    [sym_real_literal] = ACTIONS(1446),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1446),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1446),
    [sym_verbatim_string_characters] = ACTIONS(1446),
    [sym_verbatim_here_string_characters] = ACTIONS(1446),
    [anon_sym_DOT] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [aux_sym_comparison_operator_token37] = ACTIONS(1446),
    [aux_sym_comparison_operator_token50] = ACTIONS(1446),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1446),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1446),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1446),
    [anon_sym_DOLLAR_] = ACTIONS(1446),
    [aux_sym_variable_token1] = ACTIONS(1446),
    [aux_sym_variable_token2] = ACTIONS(1446),
    [sym_braced_variable] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [anon_sym_COMMA] = ACTIONS(1446),
    [aux_sym_block_name_token1] = ACTIONS(1448),
    [aux_sym_block_name_token2] = ACTIONS(1448),
    [aux_sym_block_name_token3] = ACTIONS(1448),
    [aux_sym_block_name_token4] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1446),
    [anon_sym_RBRACE] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_switch_statement_token1] = ACTIONS(1446),
    [aux_sym_foreach_statement_token1] = ACTIONS(1446),
    [aux_sym_for_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_do_statement_token1] = ACTIONS(1446),
    [aux_sym_function_statement_token1] = ACTIONS(1446),
    [aux_sym_function_statement_token2] = ACTIONS(1446),
    [aux_sym_function_statement_token3] = ACTIONS(1446),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1446),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1446),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1446),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1446),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1446),
    [sym_label] = ACTIONS(1446),
    [aux_sym_trap_statement_token1] = ACTIONS(1446),
    [aux_sym_try_statement_token1] = ACTIONS(1446),
    [aux_sym_data_statement_token1] = ACTIONS(1446),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1446),
    [aux_sym_parallel_statement_token1] = ACTIONS(1446),
    [aux_sym_sequence_statement_token1] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [aux_sym_command_name_token1] = ACTIONS(1446),
    [anon_sym_PERCENT] = ACTIONS(1446),
    [aux_sym_foreach_command_token1] = ACTIONS(1446),
    [aux_sym_class_statement_token1] = ACTIONS(1446),
    [aux_sym_enum_statement_token1] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1446),
    [anon_sym_BANG] = ACTIONS(1446),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1446),
    [anon_sym_AT_LPAREN] = ACTIONS(1446),
    [anon_sym_AT_LBRACE] = ACTIONS(1446),
  },
  [364] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym__expression] = STATE(1779),
    [sym_logical_expression] = STATE(1402),
    [sym_bitwise_expression] = STATE(1322),
    [sym_comparison_expression] = STATE(576),
    [sym_additive_expression] = STATE(562),
    [sym_multiplicative_expression] = STATE(386),
    [sym_format_expression] = STATE(325),
    [sym_range_expression] = STATE(326),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(300),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [365] = {
    [sym_elseif_clause] = STATE(365),
    [aux_sym_elseif_clauses_repeat1] = STATE(365),
    [ts_builtin_sym_end] = ACTIONS(1450),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1380),
    [sym_hexadecimal_integer_literal] = ACTIONS(1380),
    [sym_real_literal] = ACTIONS(1380),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1380),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1380),
    [sym_verbatim_string_characters] = ACTIONS(1380),
    [sym_verbatim_here_string_characters] = ACTIONS(1380),
    [anon_sym_DOT] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1380),
    [aux_sym_comparison_operator_token37] = ACTIONS(1380),
    [aux_sym_comparison_operator_token50] = ACTIONS(1380),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1380),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1380),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1380),
    [anon_sym_DOLLAR_] = ACTIONS(1380),
    [aux_sym_variable_token1] = ACTIONS(1380),
    [aux_sym_variable_token2] = ACTIONS(1380),
    [sym_braced_variable] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1380),
    [anon_sym_LBRACE] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_elseif_clause_token1] = ACTIONS(1452),
    [aux_sym_else_clause_token1] = ACTIONS(1380),
    [aux_sym_switch_statement_token1] = ACTIONS(1380),
    [aux_sym_foreach_statement_token1] = ACTIONS(1380),
    [aux_sym_for_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_do_statement_token1] = ACTIONS(1380),
    [aux_sym_function_statement_token1] = ACTIONS(1380),
    [aux_sym_function_statement_token2] = ACTIONS(1380),
    [aux_sym_function_statement_token3] = ACTIONS(1380),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1380),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1380),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1380),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1380),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1380),
    [sym_label] = ACTIONS(1380),
    [aux_sym_trap_statement_token1] = ACTIONS(1380),
    [aux_sym_try_statement_token1] = ACTIONS(1380),
    [aux_sym_data_statement_token1] = ACTIONS(1380),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1380),
    [aux_sym_parallel_statement_token1] = ACTIONS(1380),
    [aux_sym_sequence_statement_token1] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1380),
    [aux_sym_command_name_token1] = ACTIONS(1380),
    [anon_sym_PERCENT] = ACTIONS(1380),
    [aux_sym_foreach_command_token1] = ACTIONS(1380),
    [aux_sym_class_statement_token1] = ACTIONS(1380),
    [aux_sym_enum_statement_token1] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1380),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1380),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1380),
    [anon_sym_AT_LPAREN] = ACTIONS(1380),
    [anon_sym_AT_LBRACE] = ACTIONS(1380),
  },
  [366] = {
    [sym_catch_clause] = STATE(366),
    [aux_sym_catch_clauses_repeat1] = STATE(366),
    [ts_builtin_sym_end] = ACTIONS(1455),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1375),
    [sym_hexadecimal_integer_literal] = ACTIONS(1375),
    [sym_real_literal] = ACTIONS(1375),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1375),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1375),
    [sym_verbatim_string_characters] = ACTIONS(1375),
    [sym_verbatim_here_string_characters] = ACTIONS(1375),
    [anon_sym_DOT] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [aux_sym_comparison_operator_token37] = ACTIONS(1375),
    [aux_sym_comparison_operator_token50] = ACTIONS(1375),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1375),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1375),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1375),
    [anon_sym_DOLLAR_] = ACTIONS(1375),
    [aux_sym_variable_token1] = ACTIONS(1375),
    [aux_sym_variable_token2] = ACTIONS(1375),
    [sym_braced_variable] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [anon_sym_COMMA] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1375),
    [aux_sym_if_statement_token1] = ACTIONS(1375),
    [aux_sym_switch_statement_token1] = ACTIONS(1375),
    [aux_sym_foreach_statement_token1] = ACTIONS(1375),
    [aux_sym_for_statement_token1] = ACTIONS(1375),
    [aux_sym_while_statement_token1] = ACTIONS(1375),
    [aux_sym_do_statement_token1] = ACTIONS(1375),
    [aux_sym_function_statement_token1] = ACTIONS(1375),
    [aux_sym_function_statement_token2] = ACTIONS(1375),
    [aux_sym_function_statement_token3] = ACTIONS(1375),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1375),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1375),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1375),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1375),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1375),
    [sym_label] = ACTIONS(1375),
    [aux_sym_trap_statement_token1] = ACTIONS(1375),
    [aux_sym_try_statement_token1] = ACTIONS(1375),
    [aux_sym_catch_clause_token1] = ACTIONS(1457),
    [aux_sym_finally_clause_token1] = ACTIONS(1375),
    [aux_sym_data_statement_token1] = ACTIONS(1375),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1375),
    [aux_sym_parallel_statement_token1] = ACTIONS(1375),
    [aux_sym_sequence_statement_token1] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [aux_sym_command_name_token1] = ACTIONS(1375),
    [anon_sym_PERCENT] = ACTIONS(1375),
    [aux_sym_foreach_command_token1] = ACTIONS(1375),
    [aux_sym_class_statement_token1] = ACTIONS(1375),
    [aux_sym_enum_statement_token1] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1375),
    [anon_sym_BANG] = ACTIONS(1375),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1375),
    [anon_sym_AT_LPAREN] = ACTIONS(1375),
    [anon_sym_AT_LBRACE] = ACTIONS(1375),
  },
  [367] = {
    [sym__literal] = STATE(294),
    [sym_integer_literal] = STATE(294),
    [sym_string_literal] = STATE(294),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(294),
    [sym__expression] = STATE(1853),
    [sym_logical_expression] = STATE(1423),
    [sym_bitwise_expression] = STATE(1327),
    [sym_comparison_expression] = STATE(570),
    [sym_additive_expression] = STATE(559),
    [sym_multiplicative_expression] = STATE(382),
    [sym_format_expression] = STATE(346),
    [sym_range_expression] = STATE(347),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(304),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(294),
    [sym__value] = STATE(294),
    [sym_parenthesized_expression] = STATE(294),
    [sym_sub_expression] = STATE(294),
    [sym_array_expression] = STATE(294),
    [sym_script_block_expression] = STATE(294),
    [sym_hash_literal_expression] = STATE(294),
    [sym_post_increment_expression] = STATE(294),
    [sym_post_decrement_expression] = STATE(294),
    [sym_member_access] = STATE(294),
    [sym_element_access] = STATE(294),
    [sym_invokation_expression] = STATE(294),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(80),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(83),
    [sym_real_literal] = ACTIONS(569),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(87),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(89),
    [sym_verbatim_string_characters] = ACTIONS(91),
    [sym_verbatim_here_string_characters] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(571),
    [aux_sym_comparison_operator_token37] = ACTIONS(573),
    [aux_sym_comparison_operator_token50] = ACTIONS(573),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(101),
    [anon_sym_DOLLAR_CARET] = ACTIONS(101),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(101),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(101),
    [sym_braced_variable] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_COMMA] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(573),
    [anon_sym_BANG] = ACTIONS(573),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(573),
    [anon_sym_PLUS_PLUS] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(113),
    [anon_sym_AT_LPAREN] = ACTIONS(115),
    [anon_sym_AT_LBRACE] = ACTIONS(117),
  },
  [368] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym__expression] = STATE(1801),
    [sym_logical_expression] = STATE(1402),
    [sym_bitwise_expression] = STATE(1322),
    [sym_comparison_expression] = STATE(576),
    [sym_additive_expression] = STATE(562),
    [sym_multiplicative_expression] = STATE(386),
    [sym_format_expression] = STATE(325),
    [sym_range_expression] = STATE(326),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(300),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [369] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym__expression] = STATE(1823),
    [sym_logical_expression] = STATE(1402),
    [sym_bitwise_expression] = STATE(1322),
    [sym_comparison_expression] = STATE(576),
    [sym_additive_expression] = STATE(562),
    [sym_multiplicative_expression] = STATE(386),
    [sym_format_expression] = STATE(325),
    [sym_range_expression] = STATE(326),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(300),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [370] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym__expression] = STATE(1774),
    [sym_logical_expression] = STATE(1402),
    [sym_bitwise_expression] = STATE(1322),
    [sym_comparison_expression] = STATE(576),
    [sym_additive_expression] = STATE(562),
    [sym_multiplicative_expression] = STATE(386),
    [sym_format_expression] = STATE(325),
    [sym_range_expression] = STATE(326),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(300),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [371] = {
    [sym__literal] = STATE(294),
    [sym_integer_literal] = STATE(294),
    [sym_string_literal] = STATE(294),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(294),
    [sym__expression] = STATE(2044),
    [sym_logical_expression] = STATE(1423),
    [sym_bitwise_expression] = STATE(1327),
    [sym_comparison_expression] = STATE(570),
    [sym_additive_expression] = STATE(559),
    [sym_multiplicative_expression] = STATE(382),
    [sym_format_expression] = STATE(346),
    [sym_range_expression] = STATE(347),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(304),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(294),
    [sym__value] = STATE(294),
    [sym_parenthesized_expression] = STATE(294),
    [sym_sub_expression] = STATE(294),
    [sym_array_expression] = STATE(294),
    [sym_script_block_expression] = STATE(294),
    [sym_hash_literal_expression] = STATE(294),
    [sym_post_increment_expression] = STATE(294),
    [sym_post_decrement_expression] = STATE(294),
    [sym_member_access] = STATE(294),
    [sym_element_access] = STATE(294),
    [sym_invokation_expression] = STATE(294),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(80),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(83),
    [sym_real_literal] = ACTIONS(569),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(87),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(89),
    [sym_verbatim_string_characters] = ACTIONS(91),
    [sym_verbatim_here_string_characters] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(571),
    [aux_sym_comparison_operator_token37] = ACTIONS(573),
    [aux_sym_comparison_operator_token50] = ACTIONS(573),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(101),
    [anon_sym_DOLLAR_CARET] = ACTIONS(101),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(101),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(101),
    [sym_braced_variable] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_COMMA] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(573),
    [anon_sym_BANG] = ACTIONS(573),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(573),
    [anon_sym_PLUS_PLUS] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(113),
    [anon_sym_AT_LPAREN] = ACTIONS(115),
    [anon_sym_AT_LBRACE] = ACTIONS(117),
  },
  [372] = {
    [sym_catch_clause] = STATE(366),
    [aux_sym_catch_clauses_repeat1] = STATE(366),
    [ts_builtin_sym_end] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1418),
    [sym_hexadecimal_integer_literal] = ACTIONS(1418),
    [sym_real_literal] = ACTIONS(1418),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1418),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1418),
    [sym_verbatim_string_characters] = ACTIONS(1418),
    [sym_verbatim_here_string_characters] = ACTIONS(1418),
    [anon_sym_DOT] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [aux_sym_comparison_operator_token37] = ACTIONS(1418),
    [aux_sym_comparison_operator_token50] = ACTIONS(1418),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1418),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1418),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1418),
    [anon_sym_DOLLAR_] = ACTIONS(1418),
    [aux_sym_variable_token1] = ACTIONS(1418),
    [aux_sym_variable_token2] = ACTIONS(1418),
    [sym_braced_variable] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_switch_statement_token1] = ACTIONS(1418),
    [aux_sym_foreach_statement_token1] = ACTIONS(1418),
    [aux_sym_for_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_do_statement_token1] = ACTIONS(1418),
    [aux_sym_function_statement_token1] = ACTIONS(1418),
    [aux_sym_function_statement_token2] = ACTIONS(1418),
    [aux_sym_function_statement_token3] = ACTIONS(1418),
    [aux_sym_flow_control_statement_token1] = ACTIONS(1418),
    [aux_sym_flow_control_statement_token2] = ACTIONS(1418),
    [aux_sym_flow_control_statement_token3] = ACTIONS(1418),
    [aux_sym_flow_control_statement_token4] = ACTIONS(1418),
    [aux_sym_flow_control_statement_token5] = ACTIONS(1418),
    [sym_label] = ACTIONS(1418),
    [aux_sym_trap_statement_token1] = ACTIONS(1418),
    [aux_sym_try_statement_token1] = ACTIONS(1418),
    [aux_sym_catch_clause_token1] = ACTIONS(1351),
    [aux_sym_finally_clause_token1] = ACTIONS(1418),
    [aux_sym_data_statement_token1] = ACTIONS(1418),
    [aux_sym_inlinescript_statement_token1] = ACTIONS(1418),
    [aux_sym_parallel_statement_token1] = ACTIONS(1418),
    [aux_sym_sequence_statement_token1] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [aux_sym_command_name_token1] = ACTIONS(1418),
    [anon_sym_PERCENT] = ACTIONS(1418),
    [aux_sym_foreach_command_token1] = ACTIONS(1418),
    [aux_sym_class_statement_token1] = ACTIONS(1418),
    [aux_sym_enum_statement_token1] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1418),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1418),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1418),
    [anon_sym_DASH_DASH] = ACTIONS(1418),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1418),
    [anon_sym_AT_LPAREN] = ACTIONS(1418),
    [anon_sym_AT_LBRACE] = ACTIONS(1418),
  },
  [373] = {
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(817),
    [aux_sym_comparison_operator_token2] = ACTIONS(817),
    [aux_sym_comparison_operator_token3] = ACTIONS(817),
    [aux_sym_comparison_operator_token4] = ACTIONS(817),
    [aux_sym_comparison_operator_token5] = ACTIONS(817),
    [aux_sym_comparison_operator_token6] = ACTIONS(817),
    [aux_sym_comparison_operator_token7] = ACTIONS(817),
    [aux_sym_comparison_operator_token8] = ACTIONS(817),
    [aux_sym_comparison_operator_token9] = ACTIONS(817),
    [aux_sym_comparison_operator_token10] = ACTIONS(817),
    [aux_sym_comparison_operator_token11] = ACTIONS(817),
    [aux_sym_comparison_operator_token12] = ACTIONS(817),
    [aux_sym_comparison_operator_token13] = ACTIONS(817),
    [aux_sym_comparison_operator_token14] = ACTIONS(817),
    [aux_sym_comparison_operator_token15] = ACTIONS(817),
    [aux_sym_comparison_operator_token16] = ACTIONS(817),
    [aux_sym_comparison_operator_token17] = ACTIONS(817),
    [aux_sym_comparison_operator_token18] = ACTIONS(817),
    [aux_sym_comparison_operator_token19] = ACTIONS(817),
    [aux_sym_comparison_operator_token20] = ACTIONS(817),
    [aux_sym_comparison_operator_token21] = ACTIONS(817),
    [aux_sym_comparison_operator_token22] = ACTIONS(817),
    [aux_sym_comparison_operator_token23] = ACTIONS(817),
    [aux_sym_comparison_operator_token24] = ACTIONS(817),
    [aux_sym_comparison_operator_token25] = ACTIONS(817),
    [aux_sym_comparison_operator_token26] = ACTIONS(817),
    [aux_sym_comparison_operator_token27] = ACTIONS(817),
    [aux_sym_comparison_operator_token28] = ACTIONS(819),
    [aux_sym_comparison_operator_token29] = ACTIONS(817),
    [aux_sym_comparison_operator_token30] = ACTIONS(817),
    [aux_sym_comparison_operator_token31] = ACTIONS(817),
    [aux_sym_comparison_operator_token32] = ACTIONS(817),
    [aux_sym_comparison_operator_token33] = ACTIONS(817),
    [aux_sym_comparison_operator_token34] = ACTIONS(819),
    [aux_sym_comparison_operator_token35] = ACTIONS(817),
    [aux_sym_comparison_operator_token36] = ACTIONS(817),
    [aux_sym_comparison_operator_token37] = ACTIONS(817),
    [aux_sym_comparison_operator_token38] = ACTIONS(817),
    [aux_sym_comparison_operator_token39] = ACTIONS(817),
    [aux_sym_comparison_operator_token40] = ACTIONS(817),
    [aux_sym_comparison_operator_token41] = ACTIONS(817),
    [aux_sym_comparison_operator_token42] = ACTIONS(817),
    [aux_sym_comparison_operator_token43] = ACTIONS(817),
    [aux_sym_comparison_operator_token44] = ACTIONS(817),
    [aux_sym_comparison_operator_token45] = ACTIONS(817),
    [aux_sym_comparison_operator_token46] = ACTIONS(817),
    [aux_sym_comparison_operator_token47] = ACTIONS(817),
    [aux_sym_comparison_operator_token48] = ACTIONS(817),
    [aux_sym_comparison_operator_token49] = ACTIONS(817),
    [aux_sym_comparison_operator_token50] = ACTIONS(817),
    [anon_sym_RPAREN] = ACTIONS(817),
    [anon_sym_COMMA] = ACTIONS(817),
    [anon_sym_PERCENT] = ACTIONS(1462),
    [aux_sym_logical_expression_token1] = ACTIONS(817),
    [aux_sym_logical_expression_token2] = ACTIONS(817),
    [aux_sym_logical_expression_token3] = ACTIONS(817),
    [aux_sym_bitwise_expression_token1] = ACTIONS(817),
    [aux_sym_bitwise_expression_token2] = ACTIONS(817),
    [aux_sym_bitwise_expression_token3] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_SLASH] = ACTIONS(1462),
    [anon_sym_BSLASH] = ACTIONS(1462),
    [anon_sym_STAR] = ACTIONS(1462),
  },
  [374] = {
    [sym_comment] = ACTIONS(3),
    [sym_decimal_integer_literal] = ACTIONS(1343),
    [sym_hexadecimal_integer_literal] = ACTIONS(1343),
    [sym_real_literal] = ACTIONS(1343),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(1343),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(1343),
    [sym_verbatim_string_characters] = ACTIONS(1343),
    [sym_verbatim_here_string_characters] = ACTIONS(1343),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_GT] = ACTIONS(1343),
    [anon_sym_GT_GT] = ACTIONS(1343),
    [anon_sym_2_GT] = ACTIONS(1343),
    [anon_sym_2_GT_GT] = ACTIONS(1343),
    [anon_sym_3_GT] = ACTIONS(1343),
    [anon_sym_3_GT_GT] = ACTIONS(1343),
    [anon_sym_4_GT] = ACTIONS(1343),
    [anon_sym_4_GT_GT] = ACTIONS(1343),
    [anon_sym_5_GT] = ACTIONS(1343),
    [anon_sym_5_GT_GT] = ACTIONS(1343),
    [anon_sym_6_GT] = ACTIONS(1343),
    [anon_sym_6_GT_GT] = ACTIONS(1343),
    [anon_sym_STAR_GT] = ACTIONS(1343),
    [anon_sym_STAR_GT_GT] = ACTIONS(1343),
    [anon_sym_LT] = ACTIONS(1343),
    [anon_sym_STAR_GT_AMP1] = ACTIONS(1343),
    [anon_sym_2_GT_AMP1] = ACTIONS(1343),
    [anon_sym_3_GT_AMP1] = ACTIONS(1343),
    [anon_sym_4_GT_AMP1] = ACTIONS(1343),
    [anon_sym_5_GT_AMP1] = ACTIONS(1343),
    [anon_sym_6_GT_AMP1] = ACTIONS(1343),
    [anon_sym_STAR_GT_AMP2] = ACTIONS(1343),
    [anon_sym_1_GT_AMP2] = ACTIONS(1343),
    [anon_sym_3_GT_AMP2] = ACTIONS(1343),
    [anon_sym_4_GT_AMP2] = ACTIONS(1343),
    [anon_sym_5_GT_AMP2] = ACTIONS(1343),
    [anon_sym_6_GT_AMP2] = ACTIONS(1343),
    [aux_sym_comparison_operator_token37] = ACTIONS(1343),
    [aux_sym_comparison_operator_token50] = ACTIONS(1343),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(1343),
    [anon_sym_DOLLAR_CARET] = ACTIONS(1343),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(1343),
    [anon_sym_DOLLAR_] = ACTIONS(1343),
    [aux_sym_variable_token1] = ACTIONS(1343),
    [aux_sym_variable_token2] = ACTIONS(1343),
    [sym_braced_variable] = ACTIONS(1343),
    [sym_generic_token] = ACTIONS(1343),
    [sym_command_parameter] = ACTIONS(1343),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_RPAREN] = ACTIONS(1343),
    [anon_sym_COMMA] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1343),
    [anon_sym_PIPE] = ACTIONS(1343),
    [sym_stop_parsing] = ACTIONS(1343),
    [anon_sym_SPACE] = ACTIONS(1343),
    [anon_sym_COLON] = ACTIONS(1343),
    [anon_sym_PLUS] = ACTIONS(1343),
    [anon_sym_DASH] = ACTIONS(1343),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1343),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(1343),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1343),
    [anon_sym_AT_LPAREN] = ACTIONS(1343),
    [anon_sym_AT_LBRACE] = ACTIONS(1343),
  },
  [375] = {
    [sym__literal] = STATE(294),
    [sym_integer_literal] = STATE(294),
    [sym_string_literal] = STATE(294),
    [sym_expandable_string_literal] = STATE(147),
    [sym_expandable_here_string_literal] = STATE(147),
    [sym_variable] = STATE(294),
    [sym__expression] = STATE(1748),
    [sym_logical_expression] = STATE(1423),
    [sym_bitwise_expression] = STATE(1327),
    [sym_comparison_expression] = STATE(570),
    [sym_additive_expression] = STATE(559),
    [sym_multiplicative_expression] = STATE(382),
    [sym_format_expression] = STATE(346),
    [sym_range_expression] = STATE(347),
    [sym_array_literal_expression] = STATE(183),
    [sym_unary_expression] = STATE(304),
    [sym_expression_with_unary_operator] = STATE(172),
    [sym_pre_increment_expression] = STATE(174),
    [sym_pre_decrement_expression] = STATE(174),
    [sym_cast_expression] = STATE(174),
    [sym__primary_expression] = STATE(294),
    [sym__value] = STATE(294),
    [sym_parenthesized_expression] = STATE(294),
    [sym_sub_expression] = STATE(294),
    [sym_array_expression] = STATE(294),
    [sym_script_block_expression] = STATE(294),
    [sym_hash_literal_expression] = STATE(294),
    [sym_post_increment_expression] = STATE(294),
    [sym_post_decrement_expression] = STATE(294),
    [sym_member_access] = STATE(294),
    [sym_element_access] = STATE(294),
    [sym_invokation_expression] = STATE(294),
    [sym_invokation_foreach_expression] = STATE(138),
    [sym_type_literal] = STATE(80),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(5),
    [sym_hexadecimal_integer_literal] = ACTIONS(83),
    [sym_real_literal] = ACTIONS(569),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(87),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(89),
    [sym_verbatim_string_characters] = ACTIONS(91),
    [sym_verbatim_here_string_characters] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(571),
    [aux_sym_comparison_operator_token37] = ACTIONS(573),
    [aux_sym_comparison_operator_token50] = ACTIONS(573),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(101),
    [anon_sym_DOLLAR_CARET] = ACTIONS(101),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(101),
    [anon_sym_DOLLAR_] = ACTIONS(21),
    [aux_sym_variable_token1] = ACTIONS(21),
    [aux_sym_variable_token2] = ACTIONS(101),
    [sym_braced_variable] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_COMMA] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(107),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(573),
    [anon_sym_BANG] = ACTIONS(573),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(573),
    [anon_sym_PLUS_PLUS] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(113),
    [anon_sym_AT_LPAREN] = ACTIONS(115),
    [anon_sym_AT_LBRACE] = ACTIONS(117),
  },
  [376] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym__expression] = STATE(1702),
    [sym_logical_expression] = STATE(1374),
    [sym_bitwise_expression] = STATE(1306),
    [sym_comparison_expression] = STATE(563),
    [sym_additive_expression] = STATE(533),
    [sym_multiplicative_expression] = STATE(373),
    [sym_format_expression] = STATE(318),
    [sym_range_expression] = STATE(319),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(307),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [377] = {
    [sym__literal] = STATE(292),
    [sym_integer_literal] = STATE(292),
    [sym_string_literal] = STATE(292),
    [sym_expandable_string_literal] = STATE(113),
    [sym_expandable_here_string_literal] = STATE(113),
    [sym_variable] = STATE(292),
    [sym__expression] = STATE(1991),
    [sym_logical_expression] = STATE(1402),
    [sym_bitwise_expression] = STATE(1322),
    [sym_comparison_expression] = STATE(576),
    [sym_additive_expression] = STATE(562),
    [sym_multiplicative_expression] = STATE(386),
    [sym_format_expression] = STATE(325),
    [sym_range_expression] = STATE(326),
    [sym_array_literal_expression] = STATE(166),
    [sym_unary_expression] = STATE(300),
    [sym_expression_with_unary_operator] = STATE(168),
    [sym_pre_increment_expression] = STATE(169),
    [sym_pre_decrement_expression] = STATE(169),
    [sym_cast_expression] = STATE(169),
    [sym__primary_expression] = STATE(292),
    [sym__value] = STATE(292),
    [sym_parenthesized_expression] = STATE(292),
    [sym_sub_expression] = STATE(292),
    [sym_array_expression] = STATE(292),
    [sym_script_block_expression] = STATE(292),
    [sym_hash_literal_expression] = STATE(292),
    [sym_post_increment_expression] = STATE(292),
    [sym_post_decrement_expression] = STATE(292),
    [sym_member_access] = STATE(292),
    [sym_element_access] = STATE(292),
    [sym_invokation_expression] = STATE(292),
    [sym_invokation_foreach_expression] = STATE(115),
    [sym_type_literal] = STATE(76),
    [sym_comment] = ACTIONS(81),
    [sym_decimal_integer_literal] = ACTIONS(119),
    [sym_hexadecimal_integer_literal] = ACTIONS(121),
    [sym_real_literal] = ACTIONS(479),
    [aux_sym_expandable_string_literal_token1] = ACTIONS(125),
    [aux_sym_expandable_here_string_literal_token1] = ACTIONS(127),
    [sym_verbatim_string_characters] = ACTIONS(129),
    [sym_verbatim_here_string_characters] = ACTIONS(129),
    [anon_sym_LBRACK] = ACTIONS(481),
    [aux_sym_comparison_operator_token37] = ACTIONS(483),
    [aux_sym_comparison_operator_token50] = ACTIONS(483),
    [anon_sym_DOLLAR_DOLLAR] = ACTIONS(135),
    [anon_sym_DOLLAR_CARET] = ACTIONS(135),
    [anon_sym_DOLLAR_QMARK] = ACTIONS(135),
    [anon_sym_DOLLAR_] = ACTIONS(137),
    [aux_sym_variable_token1] = ACTIONS(137),
    [aux_sym_variable_token2] = ACTIONS(135),
    [sym_braced_variable] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_COMMA] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_PLUS] = ACTIONS(485),
    [anon_sym_DASH] = ACTIONS(485),
    [aux_sym_expression_with_unary_operator_token1] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(483),
    [aux_sym_expression_with_unary_operator_token2] = ACTIONS(483),
    [anon_sym_PLUS_PLUS] = ACTIONS(487),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(149),
    [anon_sym_AT_LPAREN] = ACTIONS(151),
    [anon_sym_AT_LBRACE] = ACTIONS(153),
  },
  [378] = {
    [sym_comment] = ACTIONS(81),
    [aux_sym_comparison_operator_token1] = ACTIONS(825),
    [aux_sym_comparison_operator_token2] = ACTIONS(825),
    [aux_sym_comparison_operator_token3] = ACTIONS(825),
    [aux_sym_comparison_operator_token4] = ACTIONS(825),
    [aux_sym_comparison_operator_token5] = ACTIONS(825),
    [aux_sym_comparison_operator_token6] = ACTIONS(825),
    [aux_sym_comparison_operator_token7] = ACTIONS(825),
    [aux_sym_comparison_operator_token8] = ACTIONS(825),
    [aux_sym_comparison_operator_token9] = ACTIONS(825),
    [aux_sym_comparison_operator_token10] = ACTIONS(825),
    [aux_sym_comparison_operator_token11] = ACTIONS(825),
    [aux_sym_comparison_operator_token12] = ACTIONS(825),
    [aux_sym_comparison_operator_token13] = ACTIONS(825),
    [aux_sym_comparison_operator_token14] = ACTIONS(825),
    [aux_sym_comparison_operator_token15] = ACTIONS(825),
    [aux_sym_comparison_operator_token16] = ACTIONS(825),
    [aux_sym_comparison_operator_token17] = ACTIONS(825),
    [aux_sym_comparison_operator_token18] = ACTIONS(825),
    [aux_sym_comparison_operator_token19] = ACTIONS(825),
    [aux_sym_comparison_operator_token20] = ACTIONS(825),
    [aux_sym_comparison_operator_token21] = ACTIONS(825),
    [aux_sym_comparison_operator_token22] = ACTIONS(825),
    [aux_sym_comparison_operator_token23] = ACTIONS(825),
    [aux_sym_comparison_operator_token24] = ACTIONS(825),
    [aux_sym_comparison_operator_token25] = ACTIONS(825),
    [aux_sym_comparison_operator_token26] = ACTIONS(825),
    [aux_sym_comparison_operator_token27] = ACTIONS(825),
    [aux_sym_comparison_operator_token28] = ACTIONS(827),
    [aux_sym_comparison_operator_token29] = ACTIONS(825),
    [aux_sym_comparison_operator_token30] = ACTIONS(825),
    [aux_sym_comparison_operator_token31] = ACTIONS(825),
    [aux_sym_comparison_operator_token32] = ACTIONS(825),
    [aux_sym_comparison_operator_token33] = ACTIONS(825),
    [aux_sym_comparison_operator_token34] = ACTIONS(827),
    [aux_sym_comparison_operator_token35] = ACTIONS(825),
    [aux_sym_comparison_operator_token36] = ACTIONS(825),
    [aux_sym_comparison_operator_token37] = ACTIONS(825),
    [aux_sym_comparison_operator_token38] = ACTIONS(825),
    [aux_sym_comparison_operator_token39] = ACTIONS(825),
    [aux_sym_comparison_operator_token40] = ACTIONS(825),
    [aux_sym_comparison_operator_token41] = ACTIONS(825),
    [aux_sym_comparison_operator_token42] = ACTIONS(825),
    [aux_sym_comparison_operator_token43] = ACTIONS(825),
    [aux_sym_comparison_operator_token44] = ACTIONS(825),
    [aux_sym_comparison_operator_token45] = ACTIONS(825),
    [aux_sym_comparison_operator_token46] = ACTIONS(825),
    [aux_sym_comparison_operator_token47] = ACTIONS(825),
    [aux_sym_comparison_operator_token48] = ACTIONS(825),
    [aux_sym_comparison_operator_token49] = ACTIONS(825),
    [aux_sym_comparison_operator_token50] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(825),
    [anon_sym_COMMA] = ACTIONS(825),
    [anon_sym_PERCENT] = ACTIONS(1462),
    [aux_sym_logical_expression_token1] = ACTIONS(825),
    [aux_sym_logical_expression_token2] = ACTIONS(825),
    [aux_sym_logical_expression_token3] = ACTIONS(825),
    [aux_sym_bitwise_expression_token1] = ACTIONS(825),
    [aux_sym_bitwise_expression_token2] = ACTIONS(825),
    [aux_sym_bitwise_expression_token3] = ACTIONS(825),
    [anon_sym_PLUS] = ACTIONS(825),
    [anon_sym_DASH] = ACTIONS(827),
    [anon_sym_SLASH] = ACTIONS(1462),
    [anon_sym_BSLASH] = ACTIONS(1462),
    [anon_sym_STAR] = ACTIONS(1462),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 63,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_elseif_clause_token1,
      aux_sym_else_clause_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [69] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1470), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1468), 3,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
      anon_sym_DASH,
    ACTIONS(1466), 59,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      aux_sym_format_operator_token1,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_STAR,
  [142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 63,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [211] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(819), 3,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
      anon_sym_DASH,
    ACTIONS(1474), 4,
      anon_sym_PERCENT,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_STAR,
    ACTIONS(817), 56,
      sym__statement_terminator,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
      anon_sym_PLUS,
  [284] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1338), 1,
      aux_sym_finally_clause_token1,
    STATE(466), 1,
      sym_finally_clause,
    ACTIONS(1476), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [357] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(799), 1,
      aux_sym_format_operator_token1,
    STATE(585), 1,
      sym_format_operator,
    ACTIONS(1480), 3,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
      anon_sym_DASH,
    ACTIONS(1478), 58,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_STAR,
  [432] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1484), 3,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
      anon_sym_DASH,
    ACTIONS(1482), 60,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      aux_sym_format_operator_token1,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_STAR,
      anon_sym_DOT_DOT,
  [503] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(819), 3,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
      anon_sym_DASH,
    ACTIONS(1486), 4,
      anon_sym_PERCENT,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_STAR,
    ACTIONS(817), 56,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
      anon_sym_PLUS,
      anon_sym_RBRACK,
  [576] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1470), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1490), 3,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
      anon_sym_DASH,
    ACTIONS(1488), 59,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      aux_sym_format_operator_token1,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_STAR,
  [649] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(827), 3,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
      anon_sym_DASH,
    ACTIONS(1474), 4,
      anon_sym_PERCENT,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_STAR,
    ACTIONS(825), 56,
      sym__statement_terminator,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
      anon_sym_PLUS,
  [722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 63,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1494), 63,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_elseif_clause_token1,
      aux_sym_else_clause_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [860] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1498), 3,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
      anon_sym_DASH,
    ACTIONS(1496), 60,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      aux_sym_format_operator_token1,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_STAR,
      anon_sym_DOT_DOT,
  [931] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(799), 1,
      aux_sym_format_operator_token1,
    STATE(585), 1,
      sym_format_operator,
    ACTIONS(1502), 3,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
      anon_sym_DASH,
    ACTIONS(1500), 58,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_STAR,
  [1006] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(827), 3,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
      anon_sym_DASH,
    ACTIONS(1486), 4,
      anon_sym_PERCENT,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_STAR,
    ACTIONS(825), 56,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
      anon_sym_PLUS,
      anon_sym_RBRACK,
  [1079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 63,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_elseif_clause_token1,
      aux_sym_else_clause_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [1148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 63,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [1217] = 34,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(384), 1,
      sym_format_argument_expression,
    STATE(387), 1,
      sym_range_argument_expression,
    STATE(391), 1,
      sym_unary_expression,
    STATE(439), 1,
      sym_multiplicative_argument_expression,
    STATE(580), 1,
      sym_additive_argument_expression,
    STATE(590), 1,
      sym_comparison_argument_expression,
    STATE(1389), 1,
      sym_logical_argument_expression,
    STATE(1390), 1,
      sym_bitwise_argument_expression,
    STATE(1636), 1,
      sym_argument_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [1350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 63,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [1419] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1330), 1,
      aux_sym_else_clause_token1,
    STATE(443), 1,
      sym_else_clause,
    ACTIONS(1506), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [1492] = 33,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(123), 1,
      sym_real_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(145), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(147), 1,
      anon_sym_DASH_DASH,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    STATE(4), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(167), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(179), 1,
      sym_format_expression,
    STATE(181), 1,
      sym_range_expression,
    STATE(189), 1,
      sym_multiplicative_expression,
    STATE(198), 1,
      sym_additive_expression,
    STATE(203), 1,
      sym_comparison_expression,
    STATE(902), 1,
      sym_bitwise_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(143), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(133), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(155), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [1622] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 1,
      anon_sym_SPACE,
    STATE(400), 1,
      aux_sym_command_argument_sep_repeat1,
    ACTIONS(1355), 60,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_generic_token,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [1694] = 33,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(300), 1,
      sym_unary_expression,
    STATE(325), 1,
      sym_format_expression,
    STATE(326), 1,
      sym_range_expression,
    STATE(386), 1,
      sym_multiplicative_expression,
    STATE(562), 1,
      sym_additive_expression,
    STATE(576), 1,
      sym_comparison_expression,
    STATE(1318), 1,
      sym_bitwise_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [1824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1511), 1,
      ts_builtin_sym_end,
    ACTIONS(1492), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [1894] = 33,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(307), 1,
      sym_unary_expression,
    STATE(318), 1,
      sym_format_expression,
    STATE(319), 1,
      sym_range_expression,
    STATE(373), 1,
      sym_multiplicative_expression,
    STATE(533), 1,
      sym_additive_expression,
    STATE(563), 1,
      sym_comparison_expression,
    STATE(1309), 1,
      sym_bitwise_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [2024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1513), 1,
      ts_builtin_sym_end,
    ACTIONS(1472), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [2094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1515), 1,
      ts_builtin_sym_end,
    ACTIONS(1464), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_elseif_clause_token1,
      aux_sym_else_clause_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [2164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1517), 1,
      ts_builtin_sym_end,
    ACTIONS(1504), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_elseif_clause_token1,
      aux_sym_else_clause_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [2234] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 1,
      sym__statement_terminator,
    ACTIONS(1519), 1,
      anon_sym_SPACE,
    STATE(409), 1,
      aux_sym_command_argument_sep_repeat1,
    ACTIONS(1343), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_generic_token,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [2308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1515), 1,
      ts_builtin_sym_end,
    ACTIONS(1464), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [2378] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 1,
      sym__statement_terminator,
    ACTIONS(1521), 1,
      anon_sym_SPACE,
    STATE(409), 1,
      aux_sym_command_argument_sep_repeat1,
    ACTIONS(1355), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_generic_token,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [2452] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1524), 1,
      ts_builtin_sym_end,
    STATE(502), 1,
      sym_else_clause,
    ACTIONS(1506), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [2526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1517), 1,
      ts_builtin_sym_end,
    ACTIONS(1504), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [2596] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(251), 14,
      sym_decimal_integer_literal,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT2,
    ACTIONS(253), 48,
      sym__statement_terminator,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [2666] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(251), 14,
      sym_decimal_integer_literal,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT2,
    ACTIONS(253), 48,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [2736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1526), 1,
      ts_builtin_sym_end,
    ACTIONS(1494), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_elseif_clause_token1,
      aux_sym_else_clause_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [2806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(1528), 1,
      ts_builtin_sym_end,
    STATE(541), 1,
      sym_finally_clause,
    ACTIONS(1476), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [2880] = 33,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(85), 1,
      sym_real_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(93), 1,
      anon_sym_LBRACK,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(109), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(111), 1,
      anon_sym_DASH_DASH,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    STATE(3), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(162), 1,
      sym_unary_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(183), 1,
      sym_array_literal_expression,
    STATE(184), 1,
      sym_format_expression,
    STATE(188), 1,
      sym_range_expression,
    STATE(192), 1,
      sym_multiplicative_expression,
    STATE(197), 1,
      sym_additive_expression,
    STATE(204), 1,
      sym_comparison_expression,
    STATE(891), 1,
      sym_bitwise_expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(99), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(156), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [3010] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1530), 1,
      anon_sym_SPACE,
    STATE(400), 1,
      aux_sym_command_argument_sep_repeat1,
    ACTIONS(1343), 60,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_generic_token,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [3082] = 33,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(569), 1,
      sym_real_literal,
    ACTIONS(571), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(579), 1,
      anon_sym_DASH_DASH,
    STATE(80), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(183), 1,
      sym_array_literal_expression,
    STATE(304), 1,
      sym_unary_expression,
    STATE(346), 1,
      sym_format_expression,
    STATE(347), 1,
      sym_range_expression,
    STATE(382), 1,
      sym_multiplicative_expression,
    STATE(559), 1,
      sym_additive_expression,
    STATE(570), 1,
      sym_comparison_expression,
    STATE(1326), 1,
      sym_bitwise_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(575), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(573), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(294), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [3212] = 32,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(384), 1,
      sym_format_argument_expression,
    STATE(387), 1,
      sym_range_argument_expression,
    STATE(391), 1,
      sym_unary_expression,
    STATE(439), 1,
      sym_multiplicative_argument_expression,
    STATE(580), 1,
      sym_additive_argument_expression,
    STATE(590), 1,
      sym_comparison_argument_expression,
    STATE(1364), 1,
      sym_bitwise_argument_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [3339] = 31,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1532), 1,
      sym_real_literal,
    ACTIONS(1534), 1,
      sym_simple_name,
    ACTIONS(1536), 1,
      anon_sym_LBRACK,
    ACTIONS(1540), 1,
      anon_sym_RBRACE,
    ACTIONS(1544), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1546), 1,
      anon_sym_DASH_DASH,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(546), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1770), 1,
      sym_unary_expression,
    STATE(1837), 1,
      sym_key_expression,
    STATE(1955), 1,
      sym_hash_literal_body,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(534), 2,
      sym_hash_entry,
      aux_sym_hash_literal_body_repeat1,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1538), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1323), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [3464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1548), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [3531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1550), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [3598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1552), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [3665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1554), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [3732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1556), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [3799] = 32,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(307), 1,
      sym_unary_expression,
    STATE(318), 1,
      sym_format_expression,
    STATE(319), 1,
      sym_range_expression,
    STATE(373), 1,
      sym_multiplicative_expression,
    STATE(533), 1,
      sym_additive_expression,
    STATE(558), 1,
      sym_comparison_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [3926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1558), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [3993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1560), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [4060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [4127] = 32,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(300), 1,
      sym_unary_expression,
    STATE(325), 1,
      sym_format_expression,
    STATE(326), 1,
      sym_range_expression,
    STATE(386), 1,
      sym_multiplicative_expression,
    STATE(562), 1,
      sym_additive_expression,
    STATE(575), 1,
      sym_comparison_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [4254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1564), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [4321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1566), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [4388] = 31,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1532), 1,
      sym_real_literal,
    ACTIONS(1534), 1,
      sym_simple_name,
    ACTIONS(1536), 1,
      anon_sym_LBRACK,
    ACTIONS(1544), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1546), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1568), 1,
      anon_sym_RBRACE,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(546), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1770), 1,
      sym_unary_expression,
    STATE(1837), 1,
      sym_key_expression,
    STATE(1972), 1,
      sym_hash_literal_body,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(534), 2,
      sym_hash_entry,
      aux_sym_hash_literal_body_repeat1,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1538), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1323), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [4513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1570), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [4580] = 32,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(123), 1,
      sym_real_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(145), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(147), 1,
      anon_sym_DASH_DASH,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    STATE(4), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(167), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(179), 1,
      sym_format_expression,
    STATE(181), 1,
      sym_range_expression,
    STATE(189), 1,
      sym_multiplicative_expression,
    STATE(198), 1,
      sym_additive_expression,
    STATE(200), 1,
      sym_comparison_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(143), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(133), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(155), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [4707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1572), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [4774] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [4841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1574), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [4908] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1578), 3,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
      anon_sym_DASH,
    ACTIONS(1580), 4,
      anon_sym_PERCENT,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_STAR,
    ACTIONS(1576), 54,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      anon_sym_PLUS,
  [4979] = 31,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1532), 1,
      sym_real_literal,
    ACTIONS(1534), 1,
      sym_simple_name,
    ACTIONS(1536), 1,
      anon_sym_LBRACK,
    ACTIONS(1544), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1546), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1582), 1,
      anon_sym_RBRACE,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(546), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1747), 1,
      sym_hash_literal_body,
    STATE(1770), 1,
      sym_unary_expression,
    STATE(1837), 1,
      sym_key_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(534), 2,
      sym_hash_entry,
      aux_sym_hash_literal_body_repeat1,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1538), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1323), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [5104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1584), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [5171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1586), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [5238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1588), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [5305] = 32,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(85), 1,
      sym_real_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(93), 1,
      anon_sym_LBRACK,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(109), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(111), 1,
      anon_sym_DASH_DASH,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    STATE(3), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(162), 1,
      sym_unary_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(183), 1,
      sym_array_literal_expression,
    STATE(184), 1,
      sym_format_expression,
    STATE(188), 1,
      sym_range_expression,
    STATE(192), 1,
      sym_multiplicative_expression,
    STATE(197), 1,
      sym_additive_expression,
    STATE(201), 1,
      sym_comparison_expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(99), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(156), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [5432] = 31,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1532), 1,
      sym_real_literal,
    ACTIONS(1534), 1,
      sym_simple_name,
    ACTIONS(1536), 1,
      anon_sym_LBRACK,
    ACTIONS(1544), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1546), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1590), 1,
      anon_sym_RBRACE,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(546), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1770), 1,
      sym_unary_expression,
    STATE(1773), 1,
      sym_hash_literal_body,
    STATE(1837), 1,
      sym_key_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(534), 2,
      sym_hash_entry,
      aux_sym_hash_literal_body_repeat1,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1538), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1323), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [5557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1592), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [5624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1594), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [5691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1596), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [5758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1598), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [5825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1600), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [5892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [5959] = 31,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1532), 1,
      sym_real_literal,
    ACTIONS(1534), 1,
      sym_simple_name,
    ACTIONS(1536), 1,
      anon_sym_LBRACK,
    ACTIONS(1544), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1546), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1604), 1,
      anon_sym_RBRACE,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(546), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1770), 1,
      sym_unary_expression,
    STATE(1795), 1,
      sym_hash_literal_body,
    STATE(1837), 1,
      sym_key_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(534), 2,
      sym_hash_entry,
      aux_sym_hash_literal_body_repeat1,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1538), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1323), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [6084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1606), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [6151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1608), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [6218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1610), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [6285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1612), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [6352] = 31,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1532), 1,
      sym_real_literal,
    ACTIONS(1534), 1,
      sym_simple_name,
    ACTIONS(1536), 1,
      anon_sym_LBRACK,
    ACTIONS(1544), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1546), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1614), 1,
      anon_sym_RBRACE,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(546), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1770), 1,
      sym_unary_expression,
    STATE(1817), 1,
      sym_hash_literal_body,
    STATE(1837), 1,
      sym_key_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(534), 2,
      sym_hash_entry,
      aux_sym_hash_literal_body_repeat1,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1538), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1323), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [6477] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1618), 3,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
      anon_sym_DASH,
    ACTIONS(1580), 4,
      anon_sym_PERCENT,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_STAR,
    ACTIONS(1616), 54,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      anon_sym_PLUS,
  [6548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1620), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [6615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1622), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [6682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [6749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1626), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [6816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1628), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [6883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1630), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [6950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [7017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1632), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [7084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1634), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [7151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1636), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [7218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1638), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [7285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1640), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [7352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1642), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [7419] = 31,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1532), 1,
      sym_real_literal,
    ACTIONS(1534), 1,
      sym_simple_name,
    ACTIONS(1536), 1,
      anon_sym_LBRACK,
    ACTIONS(1544), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1546), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1644), 1,
      anon_sym_RBRACE,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(546), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1770), 1,
      sym_unary_expression,
    STATE(1837), 1,
      sym_key_expression,
    STATE(2088), 1,
      sym_hash_literal_body,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(534), 2,
      sym_hash_entry,
      aux_sym_hash_literal_body_repeat1,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1538), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1323), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [7544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1646), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [7611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1648), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [7678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1650), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [7745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1652), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [7812] = 32,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(569), 1,
      sym_real_literal,
    ACTIONS(571), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(579), 1,
      anon_sym_DASH_DASH,
    STATE(80), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(183), 1,
      sym_array_literal_expression,
    STATE(304), 1,
      sym_unary_expression,
    STATE(346), 1,
      sym_format_expression,
    STATE(347), 1,
      sym_range_expression,
    STATE(382), 1,
      sym_multiplicative_expression,
    STATE(559), 1,
      sym_additive_expression,
    STATE(568), 1,
      sym_comparison_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(575), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(573), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(294), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [7939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [8006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [8073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [8140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [8207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1660), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [8274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 61,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [8341] = 31,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1532), 1,
      sym_real_literal,
    ACTIONS(1534), 1,
      sym_simple_name,
    ACTIONS(1536), 1,
      anon_sym_LBRACK,
    ACTIONS(1544), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1546), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1662), 1,
      anon_sym_RBRACE,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(546), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1770), 1,
      sym_unary_expression,
    STATE(1789), 1,
      sym_hash_literal_body,
    STATE(1837), 1,
      sym_key_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(534), 2,
      sym_hash_entry,
      aux_sym_hash_literal_body_repeat1,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1538), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1323), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [8466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 1,
      ts_builtin_sym_end,
    ACTIONS(1476), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [8534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1664), 1,
      ts_builtin_sym_end,
    ACTIONS(1446), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [8602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1666), 1,
      ts_builtin_sym_end,
    ACTIONS(1558), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [8670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1668), 1,
      ts_builtin_sym_end,
    ACTIONS(1574), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [8738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1670), 1,
      ts_builtin_sym_end,
    ACTIONS(1598), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [8806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1672), 1,
      ts_builtin_sym_end,
    ACTIONS(1600), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [8874] = 31,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(85), 1,
      sym_real_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(93), 1,
      anon_sym_LBRACK,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(109), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(111), 1,
      anon_sym_DASH_DASH,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    STATE(3), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(162), 1,
      sym_unary_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(183), 1,
      sym_array_literal_expression,
    STATE(184), 1,
      sym_format_expression,
    STATE(188), 1,
      sym_range_expression,
    STATE(192), 1,
      sym_multiplicative_expression,
    STATE(196), 1,
      sym_additive_expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(99), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(156), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [8998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1674), 1,
      ts_builtin_sym_end,
    ACTIONS(1606), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [9066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1676), 1,
      ts_builtin_sym_end,
    ACTIONS(1608), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [9134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1343), 60,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_generic_token,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [9200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 1,
      ts_builtin_sym_end,
    ACTIONS(1636), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [9268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1680), 1,
      ts_builtin_sym_end,
    ACTIONS(1656), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [9336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1682), 1,
      ts_builtin_sym_end,
    ACTIONS(1658), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [9404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1684), 1,
      ts_builtin_sym_end,
    ACTIONS(1610), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [9472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1686), 1,
      ts_builtin_sym_end,
    ACTIONS(1572), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [9540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1688), 1,
      ts_builtin_sym_end,
    ACTIONS(1584), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [9608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1690), 1,
      ts_builtin_sym_end,
    ACTIONS(1586), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [9676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1692), 1,
      ts_builtin_sym_end,
    ACTIONS(1588), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [9744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 1,
      ts_builtin_sym_end,
    ACTIONS(1624), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [9812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1696), 1,
      ts_builtin_sym_end,
    ACTIONS(1626), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [9880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1698), 1,
      ts_builtin_sym_end,
    ACTIONS(1634), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [9948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1700), 1,
      ts_builtin_sym_end,
    ACTIONS(1638), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [10016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1702), 1,
      ts_builtin_sym_end,
    ACTIONS(1640), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [10084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1704), 1,
      ts_builtin_sym_end,
    ACTIONS(1652), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [10152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1706), 1,
      ts_builtin_sym_end,
    ACTIONS(1660), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [10220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1708), 1,
      ts_builtin_sym_end,
    ACTIONS(1548), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [10288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 1,
      ts_builtin_sym_end,
    ACTIONS(1552), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [10356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1712), 1,
      ts_builtin_sym_end,
    ACTIONS(1554), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [10424] = 31,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(569), 1,
      sym_real_literal,
    ACTIONS(571), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(579), 1,
      anon_sym_DASH_DASH,
    STATE(80), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(183), 1,
      sym_array_literal_expression,
    STATE(304), 1,
      sym_unary_expression,
    STATE(346), 1,
      sym_format_expression,
    STATE(347), 1,
      sym_range_expression,
    STATE(382), 1,
      sym_multiplicative_expression,
    STATE(550), 1,
      sym_additive_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(575), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(573), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(294), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [10548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      ts_builtin_sym_end,
    ACTIONS(1560), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [10616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1716), 1,
      ts_builtin_sym_end,
    ACTIONS(1562), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [10684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1718), 1,
      ts_builtin_sym_end,
    ACTIONS(1564), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [10752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1720), 1,
      ts_builtin_sym_end,
    ACTIONS(1566), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [10820] = 31,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(300), 1,
      sym_unary_expression,
    STATE(325), 1,
      sym_format_expression,
    STATE(326), 1,
      sym_range_expression,
    STATE(386), 1,
      sym_multiplicative_expression,
    STATE(553), 1,
      sym_additive_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [10944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      ts_builtin_sym_end,
    ACTIONS(1612), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [11012] = 31,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(307), 1,
      sym_unary_expression,
    STATE(318), 1,
      sym_format_expression,
    STATE(319), 1,
      sym_range_expression,
    STATE(373), 1,
      sym_multiplicative_expression,
    STATE(521), 1,
      sym_additive_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [11136] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_PLUS,
    ACTIONS(1726), 1,
      anon_sym_DASH,
    ACTIONS(835), 2,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
    ACTIONS(833), 56,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
  [11208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1728), 1,
      ts_builtin_sym_end,
    ACTIONS(1620), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [11276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1730), 1,
      ts_builtin_sym_end,
    ACTIONS(1642), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [11344] = 30,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1732), 1,
      sym_decimal_integer_literal,
    ACTIONS(1735), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1738), 1,
      sym_real_literal,
    ACTIONS(1741), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1744), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1750), 1,
      sym_simple_name,
    ACTIONS(1753), 1,
      anon_sym_LBRACK,
    ACTIONS(1765), 1,
      anon_sym_LPAREN,
    ACTIONS(1768), 1,
      anon_sym_LBRACE,
    ACTIONS(1771), 1,
      anon_sym_RBRACE,
    ACTIONS(1776), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1779), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1782), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1785), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1788), 1,
      anon_sym_AT_LBRACE,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(546), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1770), 1,
      sym_unary_expression,
    STATE(1837), 1,
      sym_key_expression,
    ACTIONS(1747), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1762), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1773), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(524), 2,
      sym_hash_entry,
      aux_sym_hash_literal_body_repeat1,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1759), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1756), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1323), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [11466] = 31,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(123), 1,
      sym_real_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(145), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(147), 1,
      anon_sym_DASH_DASH,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    STATE(4), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(167), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(179), 1,
      sym_format_expression,
    STATE(181), 1,
      sym_range_expression,
    STATE(189), 1,
      sym_multiplicative_expression,
    STATE(195), 1,
      sym_additive_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(143), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(133), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(155), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [11590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1791), 1,
      ts_builtin_sym_end,
    ACTIONS(1648), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [11658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1793), 1,
      ts_builtin_sym_end,
    ACTIONS(1650), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [11726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1795), 1,
      ts_builtin_sym_end,
    ACTIONS(1556), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [11794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1797), 1,
      ts_builtin_sym_end,
    ACTIONS(1550), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [11862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1515), 1,
      ts_builtin_sym_end,
    ACTIONS(1464), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [11930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      ts_builtin_sym_end,
    ACTIONS(1596), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [11998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1801), 1,
      ts_builtin_sym_end,
    ACTIONS(1646), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [12066] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_PLUS,
    ACTIONS(1726), 1,
      anon_sym_DASH,
    ACTIONS(843), 2,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
    ACTIONS(841), 56,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
  [12138] = 30,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1532), 1,
      sym_real_literal,
    ACTIONS(1534), 1,
      sym_simple_name,
    ACTIONS(1536), 1,
      anon_sym_LBRACK,
    ACTIONS(1544), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1546), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1803), 1,
      anon_sym_RBRACE,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(546), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1770), 1,
      sym_unary_expression,
    STATE(1837), 1,
      sym_key_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(524), 2,
      sym_hash_entry,
      aux_sym_hash_literal_body_repeat1,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1538), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1323), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [12260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      ts_builtin_sym_end,
    ACTIONS(1628), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [12328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1807), 1,
      ts_builtin_sym_end,
    ACTIONS(1630), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [12396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1809), 1,
      ts_builtin_sym_end,
    ACTIONS(1570), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [12464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1517), 1,
      ts_builtin_sym_end,
    ACTIONS(1504), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [12532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1811), 1,
      ts_builtin_sym_end,
    ACTIONS(1592), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [12600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1813), 1,
      ts_builtin_sym_end,
    ACTIONS(1654), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [12668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1815), 1,
      ts_builtin_sym_end,
    ACTIONS(1632), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [12736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1817), 1,
      ts_builtin_sym_end,
    ACTIONS(1594), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [12804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1819), 1,
      ts_builtin_sym_end,
    ACTIONS(1602), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [12872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1821), 1,
      ts_builtin_sym_end,
    ACTIONS(1622), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [12940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 1,
      sym__statement_terminator,
    ACTIONS(1343), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_generic_token,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [13008] = 28,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_DOT2,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1532), 1,
      sym_real_literal,
    ACTIONS(1536), 1,
      anon_sym_LBRACK,
    ACTIONS(1544), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1546), 1,
      anon_sym_DASH_DASH,
    STATE(161), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(546), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(95), 3,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1538), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1323), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [13125] = 30,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(85), 1,
      sym_real_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(93), 1,
      anon_sym_LBRACK,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(109), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(111), 1,
      anon_sym_DASH_DASH,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    STATE(3), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(162), 1,
      sym_unary_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(183), 1,
      sym_array_literal_expression,
    STATE(184), 1,
      sym_format_expression,
    STATE(188), 1,
      sym_range_expression,
    STATE(190), 1,
      sym_multiplicative_expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(99), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(156), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [13246] = 30,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(384), 1,
      sym_format_argument_expression,
    STATE(387), 1,
      sym_range_argument_expression,
    STATE(391), 1,
      sym_unary_expression,
    STATE(439), 1,
      sym_multiplicative_argument_expression,
    STATE(583), 1,
      sym_additive_argument_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [13367] = 30,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(569), 1,
      sym_real_literal,
    ACTIONS(571), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(579), 1,
      anon_sym_DASH_DASH,
    STATE(80), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(183), 1,
      sym_array_literal_expression,
    STATE(304), 1,
      sym_unary_expression,
    STATE(346), 1,
      sym_format_expression,
    STATE(347), 1,
      sym_range_expression,
    STATE(388), 1,
      sym_multiplicative_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(575), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(573), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(294), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [13488] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_PLUS,
    ACTIONS(1825), 1,
      anon_sym_DASH,
    ACTIONS(835), 2,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
    ACTIONS(833), 55,
      sym__statement_terminator,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
  [13559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1404), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [13624] = 30,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(300), 1,
      sym_unary_expression,
    STATE(325), 1,
      sym_format_expression,
    STATE(326), 1,
      sym_range_expression,
    STATE(393), 1,
      sym_multiplicative_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [13745] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym_PLUS,
    ACTIONS(1829), 1,
      anon_sym_DASH,
    ACTIONS(835), 2,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
    ACTIONS(833), 55,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
      anon_sym_RBRACK,
  [13816] = 28,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_DOT2,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1831), 1,
      sym_real_literal,
    ACTIONS(1833), 1,
      anon_sym_LBRACK,
    ACTIONS(1839), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1841), 1,
      anon_sym_DASH_DASH,
    STATE(554), 1,
      sym_type_literal,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    STATE(1015), 1,
      sym_expression_with_unary_operator,
    STATE(1036), 1,
      sym_unary_expression,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1837), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(95), 3,
      sym__statement_terminator,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
    STATE(1001), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1835), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1305), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [13933] = 28,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_DOT2,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1536), 1,
      anon_sym_LBRACK,
    ACTIONS(1843), 1,
      sym_real_literal,
    ACTIONS(1849), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1851), 1,
      anon_sym_DASH_DASH,
    STATE(555), 1,
      sym_type_literal,
    STATE(939), 1,
      sym_expression_with_unary_operator,
    STATE(954), 1,
      sym_unary_expression,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1847), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(95), 3,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
    STATE(940), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1845), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1291), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [14050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [14115] = 30,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(307), 1,
      sym_unary_expression,
    STATE(318), 1,
      sym_format_expression,
    STATE(319), 1,
      sym_range_expression,
    STATE(378), 1,
      sym_multiplicative_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [14236] = 5,
    ACTIONS(81), 1,
      sym_comment,
    STATE(520), 1,
      sym_comparison_operator,
    ACTIONS(881), 2,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
    ACTIONS(875), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
    ACTIONS(879), 48,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
  [14307] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_PLUS,
    ACTIONS(1825), 1,
      anon_sym_DASH,
    ACTIONS(843), 2,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
    ACTIONS(841), 55,
      sym__statement_terminator,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
  [14378] = 28,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_DOT2,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1833), 1,
      anon_sym_LBRACK,
    ACTIONS(1853), 1,
      sym_real_literal,
    ACTIONS(1859), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1861), 1,
      anon_sym_DASH_DASH,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(175), 1,
      sym_unary_expression,
    STATE(560), 1,
      sym_type_literal,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1857), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(95), 3,
      sym__statement_terminator,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1855), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1320), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [14495] = 30,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(123), 1,
      sym_real_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(145), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(147), 1,
      anon_sym_DASH_DASH,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    STATE(4), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(167), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(179), 1,
      sym_format_expression,
    STATE(181), 1,
      sym_range_expression,
    STATE(191), 1,
      sym_multiplicative_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(143), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(133), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(155), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [14616] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym_PLUS,
    ACTIONS(1829), 1,
      anon_sym_DASH,
    ACTIONS(843), 2,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
    ACTIONS(841), 55,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
      anon_sym_RBRACK,
  [14687] = 5,
    ACTIONS(81), 1,
      sym_comment,
    STATE(520), 1,
      sym_comparison_operator,
    ACTIONS(881), 2,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
    ACTIONS(913), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
    ACTIONS(879), 48,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
  [14758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1424), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [14823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1863), 59,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_if_statement_token1,
      aux_sym_switch_statement_token1,
      aux_sym_foreach_statement_token1,
      aux_sym_for_statement_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token1,
      aux_sym_function_statement_token1,
      aux_sym_function_statement_token2,
      aux_sym_function_statement_token3,
      aux_sym_flow_control_statement_token1,
      aux_sym_flow_control_statement_token2,
      aux_sym_flow_control_statement_token3,
      aux_sym_flow_control_statement_token4,
      aux_sym_flow_control_statement_token5,
      sym_label,
      aux_sym_trap_statement_token1,
      aux_sym_try_statement_token1,
      aux_sym_data_statement_token1,
      aux_sym_inlinescript_statement_token1,
      aux_sym_parallel_statement_token1,
      aux_sym_sequence_statement_token1,
      anon_sym_AMP,
      aux_sym_command_name_token1,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
      aux_sym_class_statement_token1,
      aux_sym_enum_statement_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [14888] = 29,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(123), 1,
      sym_real_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(145), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(147), 1,
      anon_sym_DASH_DASH,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    STATE(4), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(167), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(180), 1,
      sym_format_expression,
    STATE(181), 1,
      sym_range_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(143), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(133), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(155), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [15006] = 29,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(569), 1,
      sym_real_literal,
    ACTIONS(571), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(579), 1,
      anon_sym_DASH_DASH,
    STATE(80), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(183), 1,
      sym_array_literal_expression,
    STATE(304), 1,
      sym_unary_expression,
    STATE(347), 1,
      sym_range_expression,
    STATE(350), 1,
      sym_format_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(575), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(573), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(294), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [15124] = 5,
    ACTIONS(81), 1,
      sym_comment,
    STATE(513), 1,
      sym_comparison_operator,
    ACTIONS(881), 2,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
    ACTIONS(875), 7,
      sym__statement_terminator,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
    ACTIONS(879), 48,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
  [15194] = 29,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(384), 1,
      sym_format_argument_expression,
    STATE(387), 1,
      sym_range_argument_expression,
    STATE(391), 1,
      sym_unary_expression,
    STATE(458), 1,
      sym_multiplicative_argument_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [15312] = 5,
    ACTIONS(81), 1,
      sym_comment,
    STATE(513), 1,
      sym_comparison_operator,
    ACTIONS(881), 2,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
    ACTIONS(913), 7,
      sym__statement_terminator,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
    ACTIONS(879), 48,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
  [15382] = 29,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(307), 1,
      sym_unary_expression,
    STATE(314), 1,
      sym_format_expression,
    STATE(319), 1,
      sym_range_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [15500] = 29,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(85), 1,
      sym_real_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(93), 1,
      anon_sym_LBRACK,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(109), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(111), 1,
      anon_sym_DASH_DASH,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    STATE(3), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(162), 1,
      sym_unary_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(183), 1,
      sym_array_literal_expression,
    STATE(186), 1,
      sym_format_expression,
    STATE(188), 1,
      sym_range_expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(99), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(156), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [15618] = 29,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1297), 1,
      sym__statement_terminator,
    ACTIONS(1833), 1,
      anon_sym_LBRACK,
    ACTIONS(1853), 1,
      sym_real_literal,
    ACTIONS(1859), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1861), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1865), 1,
      sym_label,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(560), 1,
      sym_type_literal,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    STATE(1975), 1,
      sym_unary_expression,
    STATE(1977), 1,
      sym_label_expression,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1857), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1855), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1320), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [15736] = 29,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(300), 1,
      sym_unary_expression,
    STATE(326), 1,
      sym_range_expression,
    STATE(327), 1,
      sym_format_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [15854] = 5,
    ACTIONS(81), 1,
      sym_comment,
    STATE(518), 1,
      sym_comparison_operator,
    ACTIONS(881), 2,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
    ACTIONS(875), 7,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
      anon_sym_RBRACK,
    ACTIONS(879), 48,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
  [15924] = 5,
    ACTIONS(81), 1,
      sym_comment,
    STATE(518), 1,
      sym_comparison_operator,
    ACTIONS(881), 2,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
    ACTIONS(913), 7,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
      anon_sym_RBRACK,
    ACTIONS(879), 48,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
  [15994] = 28,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(85), 1,
      sym_real_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(93), 1,
      anon_sym_LBRACK,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(109), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(111), 1,
      anon_sym_DASH_DASH,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    STATE(3), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(162), 1,
      sym_unary_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(183), 1,
      sym_array_literal_expression,
    STATE(185), 1,
      sym_range_expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(99), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(156), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [16109] = 28,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(387), 1,
      sym_range_argument_expression,
    STATE(391), 1,
      sym_unary_expression,
    STATE(392), 1,
      sym_format_argument_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [16224] = 28,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(307), 1,
      sym_unary_expression,
    STATE(315), 1,
      sym_range_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [16339] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_PLUS,
    ACTIONS(1873), 1,
      anon_sym_DASH,
    ACTIONS(1869), 2,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
    ACTIONS(1867), 53,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
  [16408] = 28,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(300), 1,
      sym_unary_expression,
    STATE(336), 1,
      sym_range_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [16523] = 28,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(569), 1,
      sym_real_literal,
    ACTIONS(571), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(579), 1,
      anon_sym_DASH_DASH,
    STATE(80), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(183), 1,
      sym_array_literal_expression,
    STATE(304), 1,
      sym_unary_expression,
    STATE(352), 1,
      sym_range_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(575), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(573), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(294), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [16638] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_PLUS,
    ACTIONS(1873), 1,
      anon_sym_DASH,
    ACTIONS(1877), 2,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
    ACTIONS(1875), 53,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
  [16707] = 28,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(123), 1,
      sym_real_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(145), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(147), 1,
      anon_sym_DASH_DASH,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    STATE(4), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(166), 1,
      sym_array_literal_expression,
    STATE(167), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(182), 1,
      sym_range_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(143), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(133), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(155), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [16822] = 27,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(380), 1,
      sym_range_argument_expression,
    STATE(391), 1,
      sym_unary_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [16934] = 27,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(163), 1,
      sym_array_literal_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(307), 1,
      sym_unary_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [17046] = 27,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(569), 1,
      sym_real_literal,
    ACTIONS(571), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(579), 1,
      anon_sym_DASH_DASH,
    STATE(80), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(187), 1,
      sym_array_literal_expression,
    STATE(304), 1,
      sym_unary_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(575), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(573), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(294), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [17158] = 27,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(85), 1,
      sym_real_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(93), 1,
      anon_sym_LBRACK,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(109), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(111), 1,
      anon_sym_DASH_DASH,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    STATE(3), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(162), 1,
      sym_unary_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(187), 1,
      sym_array_literal_expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(99), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(156), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [17270] = 27,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(123), 1,
      sym_real_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(145), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(147), 1,
      anon_sym_DASH_DASH,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    STATE(4), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(163), 1,
      sym_array_literal_expression,
    STATE(167), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(143), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(133), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(155), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [17382] = 5,
    ACTIONS(81), 1,
      sym_comment,
    STATE(548), 1,
      sym_comparison_operator,
    ACTIONS(881), 2,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
    ACTIONS(1879), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
    ACTIONS(879), 48,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
  [17450] = 27,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(163), 1,
      sym_array_literal_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(300), 1,
      sym_unary_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [17562] = 5,
    ACTIONS(81), 1,
      sym_comment,
    STATE(548), 1,
      sym_comparison_operator,
    ACTIONS(881), 2,
      aux_sym_comparison_operator_token28,
      aux_sym_comparison_operator_token34,
    ACTIONS(1881), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
    ACTIONS(879), 48,
      aux_sym_comparison_operator_token1,
      aux_sym_comparison_operator_token2,
      aux_sym_comparison_operator_token3,
      aux_sym_comparison_operator_token4,
      aux_sym_comparison_operator_token5,
      aux_sym_comparison_operator_token6,
      aux_sym_comparison_operator_token7,
      aux_sym_comparison_operator_token8,
      aux_sym_comparison_operator_token9,
      aux_sym_comparison_operator_token10,
      aux_sym_comparison_operator_token11,
      aux_sym_comparison_operator_token12,
      aux_sym_comparison_operator_token13,
      aux_sym_comparison_operator_token14,
      aux_sym_comparison_operator_token15,
      aux_sym_comparison_operator_token16,
      aux_sym_comparison_operator_token17,
      aux_sym_comparison_operator_token18,
      aux_sym_comparison_operator_token19,
      aux_sym_comparison_operator_token20,
      aux_sym_comparison_operator_token21,
      aux_sym_comparison_operator_token22,
      aux_sym_comparison_operator_token23,
      aux_sym_comparison_operator_token24,
      aux_sym_comparison_operator_token25,
      aux_sym_comparison_operator_token26,
      aux_sym_comparison_operator_token27,
      aux_sym_comparison_operator_token29,
      aux_sym_comparison_operator_token30,
      aux_sym_comparison_operator_token31,
      aux_sym_comparison_operator_token32,
      aux_sym_comparison_operator_token33,
      aux_sym_comparison_operator_token35,
      aux_sym_comparison_operator_token36,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token38,
      aux_sym_comparison_operator_token39,
      aux_sym_comparison_operator_token40,
      aux_sym_comparison_operator_token41,
      aux_sym_comparison_operator_token42,
      aux_sym_comparison_operator_token43,
      aux_sym_comparison_operator_token44,
      aux_sym_comparison_operator_token45,
      aux_sym_comparison_operator_token46,
      aux_sym_comparison_operator_token47,
      aux_sym_comparison_operator_token48,
      aux_sym_comparison_operator_token49,
      aux_sym_comparison_operator_token50,
  [17630] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1085), 1,
      sym_real_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1093), 1,
      anon_sym_LBRACK,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1107), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1109), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(171), 1,
      sym_unary_expression,
    STATE(224), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1105), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1095), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1059), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [17739] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(164), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [17848] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(123), 1,
      sym_real_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(145), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(147), 1,
      anon_sym_DASH_DASH,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    STATE(4), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(171), 1,
      sym_unary_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(143), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(133), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(155), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [17957] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1831), 1,
      sym_real_literal,
    ACTIONS(1833), 1,
      anon_sym_LBRACK,
    ACTIONS(1839), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1841), 1,
      anon_sym_DASH_DASH,
    STATE(554), 1,
      sym_type_literal,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    STATE(1011), 1,
      sym_unary_expression,
    STATE(1015), 1,
      sym_expression_with_unary_operator,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1837), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1001), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1835), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1305), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [18066] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1831), 1,
      sym_real_literal,
    ACTIONS(1833), 1,
      anon_sym_LBRACK,
    ACTIONS(1839), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1841), 1,
      anon_sym_DASH_DASH,
    STATE(554), 1,
      sym_type_literal,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    STATE(1015), 1,
      sym_expression_with_unary_operator,
    STATE(1027), 1,
      sym_unary_expression,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1837), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1001), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1835), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1305), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [18175] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1831), 1,
      sym_real_literal,
    ACTIONS(1833), 1,
      anon_sym_LBRACK,
    ACTIONS(1839), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1841), 1,
      anon_sym_DASH_DASH,
    STATE(554), 1,
      sym_type_literal,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    STATE(1015), 1,
      sym_expression_with_unary_operator,
    STATE(1029), 1,
      sym_unary_expression,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1837), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1001), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1835), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1305), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [18284] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1833), 1,
      anon_sym_LBRACK,
    ACTIONS(1853), 1,
      sym_real_literal,
    ACTIONS(1859), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1861), 1,
      anon_sym_DASH_DASH,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(176), 1,
      sym_unary_expression,
    STATE(560), 1,
      sym_type_literal,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1857), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1855), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1320), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [18393] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(845), 1,
      sym_decimal_integer_literal,
    ACTIONS(1883), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1885), 1,
      sym_real_literal,
    ACTIONS(1887), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1889), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1893), 1,
      anon_sym_LBRACK,
    ACTIONS(1899), 1,
      anon_sym_LPAREN,
    ACTIONS(1901), 1,
      anon_sym_LBRACE,
    ACTIONS(1903), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1905), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1907), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1909), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1911), 1,
      anon_sym_AT_LBRACE,
    STATE(199), 1,
      sym_type_literal,
    STATE(816), 1,
      sym_invokation_foreach_expression,
    STATE(1061), 1,
      sym_expression_with_unary_operator,
    STATE(1064), 1,
      sym_unary_expression,
    ACTIONS(857), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(859), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1891), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(814), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1062), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1897), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1895), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(815), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [18502] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1536), 1,
      anon_sym_LBRACK,
    ACTIONS(1843), 1,
      sym_real_literal,
    ACTIONS(1849), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1851), 1,
      anon_sym_DASH_DASH,
    STATE(555), 1,
      sym_type_literal,
    STATE(939), 1,
      sym_expression_with_unary_operator,
    STATE(946), 1,
      sym_unary_expression,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1847), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(940), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1845), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1291), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [18611] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1536), 1,
      anon_sym_LBRACK,
    ACTIONS(1843), 1,
      sym_real_literal,
    ACTIONS(1849), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1851), 1,
      anon_sym_DASH_DASH,
    STATE(555), 1,
      sym_type_literal,
    STATE(939), 1,
      sym_expression_with_unary_operator,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(959), 1,
      sym_unary_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1847), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(940), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1845), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1291), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [18720] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1536), 1,
      anon_sym_LBRACK,
    ACTIONS(1843), 1,
      sym_real_literal,
    ACTIONS(1849), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1851), 1,
      anon_sym_DASH_DASH,
    STATE(555), 1,
      sym_type_literal,
    STATE(939), 1,
      sym_expression_with_unary_operator,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(972), 1,
      sym_unary_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1847), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(940), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1845), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1291), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [18829] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(883), 1,
      sym_decimal_integer_literal,
    ACTIONS(1913), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1915), 1,
      sym_real_literal,
    ACTIONS(1917), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1919), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1923), 1,
      anon_sym_LBRACK,
    ACTIONS(1929), 1,
      anon_sym_LPAREN,
    ACTIONS(1931), 1,
      anon_sym_LBRACE,
    ACTIONS(1933), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1935), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1939), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1941), 1,
      anon_sym_AT_LBRACE,
    STATE(205), 1,
      sym_type_literal,
    STATE(785), 1,
      sym_invokation_foreach_expression,
    STATE(805), 1,
      sym_unary_expression,
    STATE(831), 1,
      sym_expression_with_unary_operator,
    ACTIONS(897), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(917), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1921), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(782), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(841), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1927), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1925), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(784), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [18938] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(883), 1,
      sym_decimal_integer_literal,
    ACTIONS(1913), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1915), 1,
      sym_real_literal,
    ACTIONS(1917), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1919), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1923), 1,
      anon_sym_LBRACK,
    ACTIONS(1929), 1,
      anon_sym_LPAREN,
    ACTIONS(1931), 1,
      anon_sym_LBRACE,
    ACTIONS(1933), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1935), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1939), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1941), 1,
      anon_sym_AT_LBRACE,
    STATE(205), 1,
      sym_type_literal,
    STATE(785), 1,
      sym_invokation_foreach_expression,
    STATE(807), 1,
      sym_unary_expression,
    STATE(831), 1,
      sym_expression_with_unary_operator,
    ACTIONS(897), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(917), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1921), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(782), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(841), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1927), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1925), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(784), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [19047] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(883), 1,
      sym_decimal_integer_literal,
    ACTIONS(1913), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1915), 1,
      sym_real_literal,
    ACTIONS(1917), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1919), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1923), 1,
      anon_sym_LBRACK,
    ACTIONS(1929), 1,
      anon_sym_LPAREN,
    ACTIONS(1931), 1,
      anon_sym_LBRACE,
    ACTIONS(1933), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1935), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1939), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1941), 1,
      anon_sym_AT_LBRACE,
    STATE(205), 1,
      sym_type_literal,
    STATE(785), 1,
      sym_invokation_foreach_expression,
    STATE(819), 1,
      sym_unary_expression,
    STATE(831), 1,
      sym_expression_with_unary_operator,
    ACTIONS(897), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(917), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1921), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(782), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(841), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1927), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1925), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(784), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [19156] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(845), 1,
      sym_decimal_integer_literal,
    ACTIONS(1883), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1885), 1,
      sym_real_literal,
    ACTIONS(1887), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1889), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1893), 1,
      anon_sym_LBRACK,
    ACTIONS(1899), 1,
      anon_sym_LPAREN,
    ACTIONS(1901), 1,
      anon_sym_LBRACE,
    ACTIONS(1907), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1909), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1911), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1947), 1,
      anon_sym_DASH_DASH,
    STATE(206), 1,
      sym_type_literal,
    STATE(760), 1,
      sym_unary_expression,
    STATE(769), 1,
      sym_expression_with_unary_operator,
    STATE(816), 1,
      sym_invokation_foreach_expression,
    ACTIONS(859), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(923), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1891), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(814), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(836), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1897), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1943), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(815), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [19265] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(845), 1,
      sym_decimal_integer_literal,
    ACTIONS(1883), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1885), 1,
      sym_real_literal,
    ACTIONS(1887), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1889), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1893), 1,
      anon_sym_LBRACK,
    ACTIONS(1899), 1,
      anon_sym_LPAREN,
    ACTIONS(1901), 1,
      anon_sym_LBRACE,
    ACTIONS(1907), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1909), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1911), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1947), 1,
      anon_sym_DASH_DASH,
    STATE(206), 1,
      sym_type_literal,
    STATE(761), 1,
      sym_unary_expression,
    STATE(769), 1,
      sym_expression_with_unary_operator,
    STATE(816), 1,
      sym_invokation_foreach_expression,
    ACTIONS(859), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(923), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1891), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(814), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(836), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1897), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1943), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(815), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [19374] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(845), 1,
      sym_decimal_integer_literal,
    ACTIONS(1883), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1885), 1,
      sym_real_literal,
    ACTIONS(1887), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1889), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1893), 1,
      anon_sym_LBRACK,
    ACTIONS(1899), 1,
      anon_sym_LPAREN,
    ACTIONS(1901), 1,
      anon_sym_LBRACE,
    ACTIONS(1907), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1909), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1911), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1947), 1,
      anon_sym_DASH_DASH,
    STATE(206), 1,
      sym_type_literal,
    STATE(762), 1,
      sym_unary_expression,
    STATE(769), 1,
      sym_expression_with_unary_operator,
    STATE(816), 1,
      sym_invokation_foreach_expression,
    ACTIONS(859), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(923), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1891), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(814), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(836), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1897), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1943), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(815), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [19483] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym_decimal_integer_literal,
    ACTIONS(1949), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1951), 1,
      sym_real_literal,
    ACTIONS(1953), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1955), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1959), 1,
      anon_sym_LBRACK,
    ACTIONS(1965), 1,
      anon_sym_LPAREN,
    ACTIONS(1967), 1,
      anon_sym_LBRACE,
    ACTIONS(1969), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1971), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1977), 1,
      anon_sym_AT_LBRACE,
    STATE(212), 1,
      sym_type_literal,
    STATE(867), 1,
      sym_invokation_foreach_expression,
    STATE(903), 1,
      sym_expression_with_unary_operator,
    STATE(905), 1,
      sym_unary_expression,
    ACTIONS(989), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1957), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(916), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(904), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1963), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1961), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(901), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [19592] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym_decimal_integer_literal,
    ACTIONS(1949), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1951), 1,
      sym_real_literal,
    ACTIONS(1953), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1955), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1959), 1,
      anon_sym_LBRACK,
    ACTIONS(1965), 1,
      anon_sym_LPAREN,
    ACTIONS(1967), 1,
      anon_sym_LBRACE,
    ACTIONS(1969), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1971), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1977), 1,
      anon_sym_AT_LBRACE,
    STATE(212), 1,
      sym_type_literal,
    STATE(867), 1,
      sym_invokation_foreach_expression,
    STATE(903), 1,
      sym_expression_with_unary_operator,
    STATE(907), 1,
      sym_unary_expression,
    ACTIONS(989), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1957), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(916), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(904), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1963), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1961), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(901), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [19701] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym_decimal_integer_literal,
    ACTIONS(1949), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1951), 1,
      sym_real_literal,
    ACTIONS(1953), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1955), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1959), 1,
      anon_sym_LBRACK,
    ACTIONS(1965), 1,
      anon_sym_LPAREN,
    ACTIONS(1967), 1,
      anon_sym_LBRACE,
    ACTIONS(1969), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1971), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1977), 1,
      anon_sym_AT_LBRACE,
    STATE(212), 1,
      sym_type_literal,
    STATE(867), 1,
      sym_invokation_foreach_expression,
    STATE(903), 1,
      sym_expression_with_unary_operator,
    STATE(908), 1,
      sym_unary_expression,
    ACTIONS(989), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1957), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(916), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(904), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1963), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1961), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(901), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [19810] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_decimal_integer_literal,
    ACTIONS(1979), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1981), 1,
      sym_real_literal,
    ACTIONS(1983), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1985), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1989), 1,
      anon_sym_LBRACK,
    ACTIONS(1995), 1,
      anon_sym_LPAREN,
    ACTIONS(1997), 1,
      anon_sym_LBRACE,
    ACTIONS(1999), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2001), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2003), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2005), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2007), 1,
      anon_sym_AT_LBRACE,
    STATE(211), 1,
      sym_type_literal,
    STATE(892), 1,
      sym_invokation_foreach_expression,
    STATE(911), 1,
      sym_expression_with_unary_operator,
    STATE(913), 1,
      sym_unary_expression,
    ACTIONS(959), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1987), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(887), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(912), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1993), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1991), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(888), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [19919] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_decimal_integer_literal,
    ACTIONS(1979), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1981), 1,
      sym_real_literal,
    ACTIONS(1983), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1985), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1989), 1,
      anon_sym_LBRACK,
    ACTIONS(1995), 1,
      anon_sym_LPAREN,
    ACTIONS(1997), 1,
      anon_sym_LBRACE,
    ACTIONS(1999), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2001), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2003), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2005), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2007), 1,
      anon_sym_AT_LBRACE,
    STATE(211), 1,
      sym_type_literal,
    STATE(892), 1,
      sym_invokation_foreach_expression,
    STATE(911), 1,
      sym_expression_with_unary_operator,
    STATE(914), 1,
      sym_unary_expression,
    ACTIONS(959), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1987), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(887), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(912), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1993), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1991), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(888), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [20028] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_decimal_integer_literal,
    ACTIONS(1979), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1981), 1,
      sym_real_literal,
    ACTIONS(1983), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1985), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1989), 1,
      anon_sym_LBRACK,
    ACTIONS(1995), 1,
      anon_sym_LPAREN,
    ACTIONS(1997), 1,
      anon_sym_LBRACE,
    ACTIONS(1999), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2001), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2003), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2005), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2007), 1,
      anon_sym_AT_LBRACE,
    STATE(211), 1,
      sym_type_literal,
    STATE(892), 1,
      sym_invokation_foreach_expression,
    STATE(911), 1,
      sym_expression_with_unary_operator,
    STATE(915), 1,
      sym_unary_expression,
    ACTIONS(959), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1987), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(887), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(912), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1993), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1991), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(888), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [20137] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(123), 1,
      sym_real_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(145), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(147), 1,
      anon_sym_DASH_DASH,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    STATE(4), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(158), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(143), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(133), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(155), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [20246] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(123), 1,
      sym_real_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(145), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(147), 1,
      anon_sym_DASH_DASH,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    STATE(4), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(159), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(143), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(133), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(155), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [20355] = 26,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(569), 1,
      sym_real_literal,
    ACTIONS(571), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(579), 1,
      anon_sym_DASH_DASH,
    STATE(80), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(173), 1,
      sym_unary_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(575), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(573), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(294), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [20464] = 26,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(569), 1,
      sym_real_literal,
    ACTIONS(571), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(579), 1,
      anon_sym_DASH_DASH,
    STATE(80), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(177), 1,
      sym_unary_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(575), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(573), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(294), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [20573] = 26,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(569), 1,
      sym_real_literal,
    ACTIONS(571), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(579), 1,
      anon_sym_DASH_DASH,
    STATE(80), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(176), 1,
      sym_unary_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(575), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(573), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(294), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [20682] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(165), 1,
      sym_real_literal,
    ACTIONS(171), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(173), 1,
      anon_sym_DASH_DASH,
    STATE(6), 1,
      sym_type_literal,
    STATE(95), 1,
      sym_expression_with_unary_operator,
    STATE(97), 1,
      sym_unary_expression,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(169), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(96), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(167), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(144), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [20791] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(165), 1,
      sym_real_literal,
    ACTIONS(171), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(173), 1,
      anon_sym_DASH_DASH,
    STATE(6), 1,
      sym_type_literal,
    STATE(95), 1,
      sym_expression_with_unary_operator,
    STATE(99), 1,
      sym_unary_expression,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(169), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(96), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(167), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(144), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [20900] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(165), 1,
      sym_real_literal,
    ACTIONS(171), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(173), 1,
      anon_sym_DASH_DASH,
    STATE(6), 1,
      sym_type_literal,
    STATE(95), 1,
      sym_expression_with_unary_operator,
    STATE(100), 1,
      sym_unary_expression,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(169), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(96), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(167), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(144), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [21009] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1833), 1,
      anon_sym_LBRACK,
    ACTIONS(1853), 1,
      sym_real_literal,
    ACTIONS(1859), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1861), 1,
      anon_sym_DASH_DASH,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(173), 1,
      sym_unary_expression,
    STATE(560), 1,
      sym_type_literal,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1857), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1855), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1320), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [21118] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1532), 1,
      sym_real_literal,
    ACTIONS(1536), 1,
      anon_sym_LBRACK,
    ACTIONS(1544), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1546), 1,
      anon_sym_DASH_DASH,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(171), 1,
      sym_unary_expression,
    STATE(546), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1538), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1323), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [21227] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1532), 1,
      sym_real_literal,
    ACTIONS(1536), 1,
      anon_sym_LBRACK,
    ACTIONS(1544), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1546), 1,
      anon_sym_DASH_DASH,
    STATE(158), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(546), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1538), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1323), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [21336] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1532), 1,
      sym_real_literal,
    ACTIONS(1536), 1,
      anon_sym_LBRACK,
    ACTIONS(1544), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1546), 1,
      anon_sym_DASH_DASH,
    STATE(159), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(546), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1542), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1538), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1323), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [21445] = 26,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(569), 1,
      sym_real_literal,
    ACTIONS(571), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(579), 1,
      anon_sym_DASH_DASH,
    STATE(80), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(178), 1,
      sym_unary_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(575), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(573), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(294), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [21554] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1127), 1,
      sym_real_literal,
    ACTIONS(1133), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1135), 1,
      anon_sym_DASH_DASH,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(173), 1,
      sym_unary_expression,
    STATE(226), 1,
      sym_type_literal,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1129), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1058), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [21663] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1127), 1,
      sym_real_literal,
    ACTIONS(1133), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1135), 1,
      anon_sym_DASH_DASH,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(177), 1,
      sym_unary_expression,
    STATE(226), 1,
      sym_type_literal,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1129), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1058), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [21772] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1127), 1,
      sym_real_literal,
    ACTIONS(1133), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1135), 1,
      anon_sym_DASH_DASH,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(176), 1,
      sym_unary_expression,
    STATE(226), 1,
      sym_type_literal,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1129), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1058), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [21881] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1085), 1,
      sym_real_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1093), 1,
      anon_sym_LBRACK,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1107), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1109), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    STATE(164), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(224), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1105), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1095), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1059), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [21990] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1085), 1,
      sym_real_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1093), 1,
      anon_sym_LBRACK,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1107), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1109), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    STATE(158), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(224), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1105), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1095), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1059), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [22099] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1085), 1,
      sym_real_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1093), 1,
      anon_sym_LBRACK,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1107), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1109), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    STATE(159), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(224), 1,
      sym_type_literal,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1105), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1095), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1059), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [22208] = 26,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(571), 1,
      anon_sym_LBRACK,
    ACTIONS(581), 1,
      sym_real_literal,
    ACTIONS(587), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(589), 1,
      anon_sym_DASH_DASH,
    STATE(82), 1,
      sym_type_literal,
    STATE(126), 1,
      sym_expression_with_unary_operator,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(151), 1,
      sym_unary_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(585), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(150), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(583), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(293), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [22317] = 26,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(571), 1,
      anon_sym_LBRACK,
    ACTIONS(581), 1,
      sym_real_literal,
    ACTIONS(587), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(589), 1,
      anon_sym_DASH_DASH,
    STATE(82), 1,
      sym_type_literal,
    STATE(126), 1,
      sym_expression_with_unary_operator,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(152), 1,
      sym_unary_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(585), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(150), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(583), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(293), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [22426] = 26,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(571), 1,
      anon_sym_LBRACK,
    ACTIONS(581), 1,
      sym_real_literal,
    ACTIONS(587), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(589), 1,
      anon_sym_DASH_DASH,
    STATE(82), 1,
      sym_type_literal,
    STATE(126), 1,
      sym_expression_with_unary_operator,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(153), 1,
      sym_unary_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(585), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(150), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(583), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(293), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [22535] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(883), 1,
      sym_decimal_integer_literal,
    ACTIONS(1913), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1915), 1,
      sym_real_literal,
    ACTIONS(1917), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1919), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1923), 1,
      anon_sym_LBRACK,
    ACTIONS(1929), 1,
      anon_sym_LPAREN,
    ACTIONS(1931), 1,
      anon_sym_LBRACE,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1939), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1941), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2011), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2013), 1,
      anon_sym_DASH_DASH,
    STATE(202), 1,
      sym_type_literal,
    STATE(785), 1,
      sym_invokation_foreach_expression,
    STATE(1070), 1,
      sym_expression_with_unary_operator,
    STATE(1072), 1,
      sym_unary_expression,
    ACTIONS(895), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(897), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1921), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(782), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1060), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1927), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2009), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(784), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [22644] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(491), 1,
      sym_real_literal,
    ACTIONS(497), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(499), 1,
      anon_sym_DASH_DASH,
    STATE(77), 1,
      sym_type_literal,
    STATE(95), 1,
      sym_expression_with_unary_operator,
    STATE(97), 1,
      sym_unary_expression,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(495), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(96), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(493), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(291), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [22753] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(491), 1,
      sym_real_literal,
    ACTIONS(497), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(499), 1,
      anon_sym_DASH_DASH,
    STATE(77), 1,
      sym_type_literal,
    STATE(95), 1,
      sym_expression_with_unary_operator,
    STATE(99), 1,
      sym_unary_expression,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(495), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(96), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(493), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(291), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [22862] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_decimal_integer_literal,
    ACTIONS(1979), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1981), 1,
      sym_real_literal,
    ACTIONS(1983), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1985), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1989), 1,
      anon_sym_LBRACK,
    ACTIONS(1995), 1,
      anon_sym_LPAREN,
    ACTIONS(1997), 1,
      anon_sym_LBRACE,
    ACTIONS(2003), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2005), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2007), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2017), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2019), 1,
      anon_sym_DASH_DASH,
    STATE(215), 1,
      sym_type_literal,
    STATE(892), 1,
      sym_invokation_foreach_expression,
    STATE(1082), 1,
      sym_expression_with_unary_operator,
    STATE(1085), 1,
      sym_unary_expression,
    ACTIONS(959), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1987), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(887), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1077), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1993), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2015), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(888), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [22971] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1049), 1,
      sym_real_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1073), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    STATE(223), 1,
      sym_type_literal,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    STATE(1011), 1,
      sym_unary_expression,
    STATE(1015), 1,
      sym_expression_with_unary_operator,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1069), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1001), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1059), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1025), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [23080] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1049), 1,
      sym_real_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1073), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    STATE(223), 1,
      sym_type_literal,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    STATE(1015), 1,
      sym_expression_with_unary_operator,
    STATE(1027), 1,
      sym_unary_expression,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1069), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1001), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1059), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1025), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [23189] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1049), 1,
      sym_real_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1073), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    STATE(223), 1,
      sym_type_literal,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    STATE(1015), 1,
      sym_expression_with_unary_operator,
    STATE(1029), 1,
      sym_unary_expression,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1069), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1001), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1059), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1025), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [23298] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym_decimal_integer_literal,
    ACTIONS(1949), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1951), 1,
      sym_real_literal,
    ACTIONS(1953), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1955), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1959), 1,
      anon_sym_LBRACK,
    ACTIONS(1965), 1,
      anon_sym_LPAREN,
    ACTIONS(1967), 1,
      anon_sym_LBRACE,
    ACTIONS(1973), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1977), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2023), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2025), 1,
      anon_sym_DASH_DASH,
    STATE(213), 1,
      sym_type_literal,
    STATE(867), 1,
      sym_invokation_foreach_expression,
    STATE(1074), 1,
      sym_expression_with_unary_operator,
    STATE(1090), 1,
      sym_unary_expression,
    ACTIONS(989), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1021), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1957), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(916), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1092), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1963), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2021), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(901), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [23407] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1093), 1,
      anon_sym_LBRACK,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1117), 1,
      sym_real_literal,
    ACTIONS(1123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1125), 1,
      anon_sym_DASH_DASH,
    STATE(225), 1,
      sym_type_literal,
    STATE(939), 1,
      sym_expression_with_unary_operator,
    STATE(946), 1,
      sym_unary_expression,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(940), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1119), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1026), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [23516] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1093), 1,
      anon_sym_LBRACK,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1117), 1,
      sym_real_literal,
    ACTIONS(1123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1125), 1,
      anon_sym_DASH_DASH,
    STATE(225), 1,
      sym_type_literal,
    STATE(939), 1,
      sym_expression_with_unary_operator,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(959), 1,
      sym_unary_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(940), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1119), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1026), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [23625] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1093), 1,
      anon_sym_LBRACK,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1117), 1,
      sym_real_literal,
    ACTIONS(1123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1125), 1,
      anon_sym_DASH_DASH,
    STATE(225), 1,
      sym_type_literal,
    STATE(939), 1,
      sym_expression_with_unary_operator,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(972), 1,
      sym_unary_expression,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(940), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1119), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1026), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [23734] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(883), 1,
      sym_decimal_integer_literal,
    ACTIONS(1913), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1915), 1,
      sym_real_literal,
    ACTIONS(1917), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1919), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1923), 1,
      anon_sym_LBRACK,
    ACTIONS(1929), 1,
      anon_sym_LPAREN,
    ACTIONS(1931), 1,
      anon_sym_LBRACE,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1939), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1941), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2011), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2013), 1,
      anon_sym_DASH_DASH,
    STATE(202), 1,
      sym_type_literal,
    STATE(785), 1,
      sym_invokation_foreach_expression,
    STATE(1049), 1,
      sym_unary_expression,
    STATE(1070), 1,
      sym_expression_with_unary_operator,
    ACTIONS(895), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(897), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1921), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(782), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1060), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1927), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2009), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(784), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [23843] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_decimal_integer_literal,
    ACTIONS(1979), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1981), 1,
      sym_real_literal,
    ACTIONS(1983), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1985), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1989), 1,
      anon_sym_LBRACK,
    ACTIONS(1995), 1,
      anon_sym_LPAREN,
    ACTIONS(1997), 1,
      anon_sym_LBRACE,
    ACTIONS(2003), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2005), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2007), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2017), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2019), 1,
      anon_sym_DASH_DASH,
    STATE(215), 1,
      sym_type_literal,
    STATE(892), 1,
      sym_invokation_foreach_expression,
    STATE(1082), 1,
      sym_expression_with_unary_operator,
    STATE(1089), 1,
      sym_unary_expression,
    ACTIONS(959), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1987), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(887), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1077), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1993), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2015), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(888), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [23952] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(883), 1,
      sym_decimal_integer_literal,
    ACTIONS(1913), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1915), 1,
      sym_real_literal,
    ACTIONS(1917), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1919), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1923), 1,
      anon_sym_LBRACK,
    ACTIONS(1929), 1,
      anon_sym_LPAREN,
    ACTIONS(1931), 1,
      anon_sym_LBRACE,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1939), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1941), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2011), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2013), 1,
      anon_sym_DASH_DASH,
    STATE(202), 1,
      sym_type_literal,
    STATE(785), 1,
      sym_invokation_foreach_expression,
    STATE(1051), 1,
      sym_unary_expression,
    STATE(1070), 1,
      sym_expression_with_unary_operator,
    ACTIONS(895), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(897), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1921), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(782), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1060), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1927), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2009), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(784), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [24061] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1833), 1,
      anon_sym_LBRACK,
    ACTIONS(1853), 1,
      sym_real_literal,
    ACTIONS(1859), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1861), 1,
      anon_sym_DASH_DASH,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(177), 1,
      sym_unary_expression,
    STATE(560), 1,
      sym_type_literal,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1857), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1855), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1320), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [24170] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1127), 1,
      sym_real_literal,
    ACTIONS(1133), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1135), 1,
      anon_sym_DASH_DASH,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(178), 1,
      sym_unary_expression,
    STATE(226), 1,
      sym_type_literal,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1129), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1058), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [24279] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(171), 1,
      sym_unary_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [24388] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(158), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [24497] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(123), 1,
      sym_real_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(145), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(147), 1,
      anon_sym_DASH_DASH,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    STATE(4), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(164), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(143), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(133), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(155), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [24606] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(159), 1,
      sym_unary_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [24715] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_decimal_integer_literal,
    ACTIONS(1979), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1981), 1,
      sym_real_literal,
    ACTIONS(1983), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1985), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1989), 1,
      anon_sym_LBRACK,
    ACTIONS(1995), 1,
      anon_sym_LPAREN,
    ACTIONS(1997), 1,
      anon_sym_LBRACE,
    ACTIONS(2003), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2005), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2007), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2017), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2019), 1,
      anon_sym_DASH_DASH,
    STATE(215), 1,
      sym_type_literal,
    STATE(892), 1,
      sym_invokation_foreach_expression,
    STATE(1082), 1,
      sym_expression_with_unary_operator,
    STATE(1087), 1,
      sym_unary_expression,
    ACTIONS(959), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1987), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(887), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1077), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1993), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2015), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(888), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [24824] = 26,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(85), 1,
      sym_real_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(93), 1,
      anon_sym_LBRACK,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(109), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(111), 1,
      anon_sym_DASH_DASH,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    STATE(3), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(178), 1,
      sym_unary_expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(99), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(156), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [24933] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(845), 1,
      sym_decimal_integer_literal,
    ACTIONS(1883), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1887), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1889), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1893), 1,
      anon_sym_LBRACK,
    ACTIONS(1899), 1,
      anon_sym_LPAREN,
    ACTIONS(1901), 1,
      anon_sym_LBRACE,
    ACTIONS(1907), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1909), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1911), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2027), 1,
      sym_real_literal,
    ACTIONS(2031), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2033), 1,
      anon_sym_DASH_DASH,
    STATE(208), 1,
      sym_type_literal,
    STATE(816), 1,
      sym_invokation_foreach_expression,
    STATE(1061), 1,
      sym_expression_with_unary_operator,
    STATE(1064), 1,
      sym_unary_expression,
    ACTIONS(859), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(939), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1891), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(814), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1062), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1897), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2029), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(896), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [25042] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym_decimal_integer_literal,
    ACTIONS(1949), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1953), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1955), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1959), 1,
      anon_sym_LBRACK,
    ACTIONS(1965), 1,
      anon_sym_LPAREN,
    ACTIONS(1967), 1,
      anon_sym_LBRACE,
    ACTIONS(1973), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1977), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2035), 1,
      sym_real_literal,
    ACTIONS(2039), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2041), 1,
      anon_sym_DASH_DASH,
    STATE(210), 1,
      sym_type_literal,
    STATE(867), 1,
      sym_invokation_foreach_expression,
    STATE(1074), 1,
      sym_expression_with_unary_operator,
    STATE(1090), 1,
      sym_unary_expression,
    ACTIONS(987), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(989), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1957), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(916), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1092), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1963), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2037), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(928), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [25151] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_decimal_integer_literal,
    ACTIONS(1979), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1983), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1985), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1989), 1,
      anon_sym_LBRACK,
    ACTIONS(1995), 1,
      anon_sym_LPAREN,
    ACTIONS(1997), 1,
      anon_sym_LBRACE,
    ACTIONS(2003), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2005), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2007), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2043), 1,
      sym_real_literal,
    ACTIONS(2047), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2049), 1,
      anon_sym_DASH_DASH,
    STATE(209), 1,
      sym_type_literal,
    STATE(892), 1,
      sym_invokation_foreach_expression,
    STATE(1082), 1,
      sym_expression_with_unary_operator,
    STATE(1089), 1,
      sym_unary_expression,
    ACTIONS(957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(959), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1987), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(887), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1077), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1993), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2045), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(929), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [25260] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(479), 1,
      sym_real_literal,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(489), 1,
      anon_sym_DASH_DASH,
    STATE(76), 1,
      sym_type_literal,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    STATE(168), 1,
      sym_expression_with_unary_operator,
    STATE(385), 1,
      sym_unary_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(169), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(483), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(292), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [25369] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(845), 1,
      sym_decimal_integer_literal,
    ACTIONS(1883), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1885), 1,
      sym_real_literal,
    ACTIONS(1887), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1889), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1893), 1,
      anon_sym_LBRACK,
    ACTIONS(1899), 1,
      anon_sym_LPAREN,
    ACTIONS(1901), 1,
      anon_sym_LBRACE,
    ACTIONS(1903), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1905), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1907), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1909), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1911), 1,
      anon_sym_AT_LBRACE,
    STATE(199), 1,
      sym_type_literal,
    STATE(816), 1,
      sym_invokation_foreach_expression,
    STATE(1050), 1,
      sym_unary_expression,
    STATE(1061), 1,
      sym_expression_with_unary_operator,
    ACTIONS(857), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(859), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1891), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(814), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1062), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1897), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1895), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(815), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [25478] = 26,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(85), 1,
      sym_real_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(93), 1,
      anon_sym_LBRACK,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(109), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(111), 1,
      anon_sym_DASH_DASH,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    STATE(3), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(177), 1,
      sym_unary_expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(99), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(156), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [25587] = 26,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(85), 1,
      sym_real_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(93), 1,
      anon_sym_LBRACK,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(109), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(111), 1,
      anon_sym_DASH_DASH,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    STATE(3), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(176), 1,
      sym_unary_expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(99), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(156), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [25696] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_decimal_integer_literal,
    ACTIONS(1979), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1981), 1,
      sym_real_literal,
    ACTIONS(1983), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1985), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1989), 1,
      anon_sym_LBRACK,
    ACTIONS(1995), 1,
      anon_sym_LPAREN,
    ACTIONS(1997), 1,
      anon_sym_LBRACE,
    ACTIONS(2003), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2005), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2007), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2017), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2019), 1,
      anon_sym_DASH_DASH,
    STATE(215), 1,
      sym_type_literal,
    STATE(892), 1,
      sym_invokation_foreach_expression,
    STATE(1082), 1,
      sym_expression_with_unary_operator,
    STATE(1088), 1,
      sym_unary_expression,
    ACTIONS(959), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1987), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(887), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1077), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1993), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2015), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(888), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [25805] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(845), 1,
      sym_decimal_integer_literal,
    ACTIONS(1883), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1885), 1,
      sym_real_literal,
    ACTIONS(1887), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1889), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1893), 1,
      anon_sym_LBRACK,
    ACTIONS(1899), 1,
      anon_sym_LPAREN,
    ACTIONS(1901), 1,
      anon_sym_LBRACE,
    ACTIONS(1903), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1905), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1907), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1909), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1911), 1,
      anon_sym_AT_LBRACE,
    STATE(199), 1,
      sym_type_literal,
    STATE(816), 1,
      sym_invokation_foreach_expression,
    STATE(1054), 1,
      sym_unary_expression,
    STATE(1061), 1,
      sym_expression_with_unary_operator,
    ACTIONS(857), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(859), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1891), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(814), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1062), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1897), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1895), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(815), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [25914] = 26,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(93), 1,
      anon_sym_LBRACK,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(155), 1,
      sym_real_literal,
    ACTIONS(161), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(163), 1,
      anon_sym_DASH_DASH,
    STATE(5), 1,
      sym_type_literal,
    STATE(126), 1,
      sym_expression_with_unary_operator,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(151), 1,
      sym_unary_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(150), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(157), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(143), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [26023] = 26,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(85), 1,
      sym_real_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(93), 1,
      anon_sym_LBRACK,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(109), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(111), 1,
      anon_sym_DASH_DASH,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    STATE(3), 1,
      sym_type_literal,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(172), 1,
      sym_expression_with_unary_operator,
    STATE(173), 1,
      sym_unary_expression,
    ACTIONS(19), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(174), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(99), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(156), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [26132] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(845), 1,
      sym_decimal_integer_literal,
    ACTIONS(1883), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1885), 1,
      sym_real_literal,
    ACTIONS(1887), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1889), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1893), 1,
      anon_sym_LBRACK,
    ACTIONS(1899), 1,
      anon_sym_LPAREN,
    ACTIONS(1901), 1,
      anon_sym_LBRACE,
    ACTIONS(1903), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1905), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1907), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1909), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1911), 1,
      anon_sym_AT_LBRACE,
    STATE(199), 1,
      sym_type_literal,
    STATE(816), 1,
      sym_invokation_foreach_expression,
    STATE(1055), 1,
      sym_unary_expression,
    STATE(1061), 1,
      sym_expression_with_unary_operator,
    ACTIONS(857), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(859), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1891), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(814), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1062), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1897), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1895), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(815), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [26241] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(883), 1,
      sym_decimal_integer_literal,
    ACTIONS(1913), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1915), 1,
      sym_real_literal,
    ACTIONS(1917), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1919), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1923), 1,
      anon_sym_LBRACK,
    ACTIONS(1929), 1,
      anon_sym_LPAREN,
    ACTIONS(1931), 1,
      anon_sym_LBRACE,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1939), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1941), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2011), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2013), 1,
      anon_sym_DASH_DASH,
    STATE(202), 1,
      sym_type_literal,
    STATE(785), 1,
      sym_invokation_foreach_expression,
    STATE(1044), 1,
      sym_unary_expression,
    STATE(1070), 1,
      sym_expression_with_unary_operator,
    ACTIONS(895), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(897), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1921), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(782), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1060), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1927), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2009), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(784), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [26350] = 26,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(93), 1,
      anon_sym_LBRACK,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(155), 1,
      sym_real_literal,
    ACTIONS(161), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(163), 1,
      anon_sym_DASH_DASH,
    STATE(5), 1,
      sym_type_literal,
    STATE(126), 1,
      sym_expression_with_unary_operator,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(152), 1,
      sym_unary_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(150), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(157), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(143), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [26459] = 26,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(93), 1,
      anon_sym_LBRACK,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(155), 1,
      sym_real_literal,
    ACTIONS(161), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(163), 1,
      anon_sym_DASH_DASH,
    STATE(5), 1,
      sym_type_literal,
    STATE(126), 1,
      sym_expression_with_unary_operator,
    STATE(138), 1,
      sym_invokation_foreach_expression,
    STATE(153), 1,
      sym_unary_expression,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(150), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(157), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(143), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [26568] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym_decimal_integer_literal,
    ACTIONS(1949), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1951), 1,
      sym_real_literal,
    ACTIONS(1953), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1955), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1959), 1,
      anon_sym_LBRACK,
    ACTIONS(1965), 1,
      anon_sym_LPAREN,
    ACTIONS(1967), 1,
      anon_sym_LBRACE,
    ACTIONS(1973), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1977), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2023), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2025), 1,
      anon_sym_DASH_DASH,
    STATE(213), 1,
      sym_type_literal,
    STATE(867), 1,
      sym_invokation_foreach_expression,
    STATE(1074), 1,
      sym_expression_with_unary_operator,
    STATE(1095), 1,
      sym_unary_expression,
    ACTIONS(989), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1021), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1957), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(916), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1092), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1963), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2021), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(901), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [26677] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym_decimal_integer_literal,
    ACTIONS(1949), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1951), 1,
      sym_real_literal,
    ACTIONS(1953), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1955), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1959), 1,
      anon_sym_LBRACK,
    ACTIONS(1965), 1,
      anon_sym_LPAREN,
    ACTIONS(1967), 1,
      anon_sym_LBRACE,
    ACTIONS(1973), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1977), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2023), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2025), 1,
      anon_sym_DASH_DASH,
    STATE(213), 1,
      sym_type_literal,
    STATE(867), 1,
      sym_invokation_foreach_expression,
    STATE(1074), 1,
      sym_expression_with_unary_operator,
    STATE(1080), 1,
      sym_unary_expression,
    ACTIONS(989), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1021), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1957), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(916), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1092), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1963), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2021), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(901), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [26786] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym_decimal_integer_literal,
    ACTIONS(1949), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1951), 1,
      sym_real_literal,
    ACTIONS(1953), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1955), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1959), 1,
      anon_sym_LBRACK,
    ACTIONS(1965), 1,
      anon_sym_LPAREN,
    ACTIONS(1967), 1,
      anon_sym_LBRACE,
    ACTIONS(1973), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1977), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2023), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2025), 1,
      anon_sym_DASH_DASH,
    STATE(213), 1,
      sym_type_literal,
    STATE(867), 1,
      sym_invokation_foreach_expression,
    STATE(1074), 1,
      sym_expression_with_unary_operator,
    STATE(1081), 1,
      sym_unary_expression,
    ACTIONS(989), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1021), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1957), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(916), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1092), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1963), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2021), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(901), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [26895] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(883), 1,
      sym_decimal_integer_literal,
    ACTIONS(1913), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1917), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1919), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1923), 1,
      anon_sym_LBRACK,
    ACTIONS(1929), 1,
      anon_sym_LPAREN,
    ACTIONS(1931), 1,
      anon_sym_LBRACE,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1939), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1941), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2051), 1,
      sym_real_literal,
    ACTIONS(2055), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2057), 1,
      anon_sym_DASH_DASH,
    STATE(207), 1,
      sym_type_literal,
    STATE(785), 1,
      sym_invokation_foreach_expression,
    STATE(1044), 1,
      sym_unary_expression,
    STATE(1070), 1,
      sym_expression_with_unary_operator,
    ACTIONS(897), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(931), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1921), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(782), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1060), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1927), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2053), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(894), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [27004] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(883), 1,
      sym_decimal_integer_literal,
    ACTIONS(1913), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1917), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1919), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1923), 1,
      anon_sym_LBRACK,
    ACTIONS(1929), 1,
      anon_sym_LPAREN,
    ACTIONS(1931), 1,
      anon_sym_LBRACE,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1939), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1941), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2051), 1,
      sym_real_literal,
    ACTIONS(2055), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2057), 1,
      anon_sym_DASH_DASH,
    STATE(207), 1,
      sym_type_literal,
    STATE(785), 1,
      sym_invokation_foreach_expression,
    STATE(1070), 1,
      sym_expression_with_unary_operator,
    STATE(1072), 1,
      sym_unary_expression,
    ACTIONS(897), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(931), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1921), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(782), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1060), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1927), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2053), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(894), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [27113] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(883), 1,
      sym_decimal_integer_literal,
    ACTIONS(1913), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1917), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1919), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1923), 1,
      anon_sym_LBRACK,
    ACTIONS(1929), 1,
      anon_sym_LPAREN,
    ACTIONS(1931), 1,
      anon_sym_LBRACE,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1939), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1941), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2051), 1,
      sym_real_literal,
    ACTIONS(2055), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2057), 1,
      anon_sym_DASH_DASH,
    STATE(207), 1,
      sym_type_literal,
    STATE(785), 1,
      sym_invokation_foreach_expression,
    STATE(1049), 1,
      sym_unary_expression,
    STATE(1070), 1,
      sym_expression_with_unary_operator,
    ACTIONS(897), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(931), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1921), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(782), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1060), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1927), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2053), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(894), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [27222] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(883), 1,
      sym_decimal_integer_literal,
    ACTIONS(1913), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1917), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1919), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1923), 1,
      anon_sym_LBRACK,
    ACTIONS(1929), 1,
      anon_sym_LPAREN,
    ACTIONS(1931), 1,
      anon_sym_LBRACE,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1939), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1941), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2051), 1,
      sym_real_literal,
    ACTIONS(2055), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2057), 1,
      anon_sym_DASH_DASH,
    STATE(207), 1,
      sym_type_literal,
    STATE(785), 1,
      sym_invokation_foreach_expression,
    STATE(1051), 1,
      sym_unary_expression,
    STATE(1070), 1,
      sym_expression_with_unary_operator,
    ACTIONS(897), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(931), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1921), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(782), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1060), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1927), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2053), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(894), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [27331] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(845), 1,
      sym_decimal_integer_literal,
    ACTIONS(1883), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1887), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1889), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1893), 1,
      anon_sym_LBRACK,
    ACTIONS(1899), 1,
      anon_sym_LPAREN,
    ACTIONS(1901), 1,
      anon_sym_LBRACE,
    ACTIONS(1907), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1909), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1911), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2027), 1,
      sym_real_literal,
    ACTIONS(2031), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2033), 1,
      anon_sym_DASH_DASH,
    STATE(208), 1,
      sym_type_literal,
    STATE(816), 1,
      sym_invokation_foreach_expression,
    STATE(1050), 1,
      sym_unary_expression,
    STATE(1061), 1,
      sym_expression_with_unary_operator,
    ACTIONS(859), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(939), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1891), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(814), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1062), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1897), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2029), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(896), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [27440] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(845), 1,
      sym_decimal_integer_literal,
    ACTIONS(1883), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1887), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1889), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1893), 1,
      anon_sym_LBRACK,
    ACTIONS(1899), 1,
      anon_sym_LPAREN,
    ACTIONS(1901), 1,
      anon_sym_LBRACE,
    ACTIONS(1907), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1909), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1911), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2027), 1,
      sym_real_literal,
    ACTIONS(2031), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2033), 1,
      anon_sym_DASH_DASH,
    STATE(208), 1,
      sym_type_literal,
    STATE(816), 1,
      sym_invokation_foreach_expression,
    STATE(1054), 1,
      sym_unary_expression,
    STATE(1061), 1,
      sym_expression_with_unary_operator,
    ACTIONS(859), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(939), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1891), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(814), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1062), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1897), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2029), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(896), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [27549] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(845), 1,
      sym_decimal_integer_literal,
    ACTIONS(1883), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1887), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1889), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1893), 1,
      anon_sym_LBRACK,
    ACTIONS(1899), 1,
      anon_sym_LPAREN,
    ACTIONS(1901), 1,
      anon_sym_LBRACE,
    ACTIONS(1907), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1909), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1911), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2027), 1,
      sym_real_literal,
    ACTIONS(2031), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2033), 1,
      anon_sym_DASH_DASH,
    STATE(208), 1,
      sym_type_literal,
    STATE(816), 1,
      sym_invokation_foreach_expression,
    STATE(1055), 1,
      sym_unary_expression,
    STATE(1061), 1,
      sym_expression_with_unary_operator,
    ACTIONS(859), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(939), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1891), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(814), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1062), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1897), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2029), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(896), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [27658] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym_decimal_integer_literal,
    ACTIONS(1949), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1953), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1955), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1959), 1,
      anon_sym_LBRACK,
    ACTIONS(1965), 1,
      anon_sym_LPAREN,
    ACTIONS(1967), 1,
      anon_sym_LBRACE,
    ACTIONS(1973), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1977), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2035), 1,
      sym_real_literal,
    ACTIONS(2039), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2041), 1,
      anon_sym_DASH_DASH,
    STATE(210), 1,
      sym_type_literal,
    STATE(867), 1,
      sym_invokation_foreach_expression,
    STATE(1074), 1,
      sym_expression_with_unary_operator,
    STATE(1095), 1,
      sym_unary_expression,
    ACTIONS(987), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(989), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1957), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(916), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1092), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1963), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2037), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(928), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [27767] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym_decimal_integer_literal,
    ACTIONS(1949), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1953), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1955), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1959), 1,
      anon_sym_LBRACK,
    ACTIONS(1965), 1,
      anon_sym_LPAREN,
    ACTIONS(1967), 1,
      anon_sym_LBRACE,
    ACTIONS(1973), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1977), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2035), 1,
      sym_real_literal,
    ACTIONS(2039), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2041), 1,
      anon_sym_DASH_DASH,
    STATE(210), 1,
      sym_type_literal,
    STATE(867), 1,
      sym_invokation_foreach_expression,
    STATE(1074), 1,
      sym_expression_with_unary_operator,
    STATE(1080), 1,
      sym_unary_expression,
    ACTIONS(987), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(989), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1957), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(916), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1092), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1963), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2037), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(928), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [27876] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym_decimal_integer_literal,
    ACTIONS(1949), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1953), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1955), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1959), 1,
      anon_sym_LBRACK,
    ACTIONS(1965), 1,
      anon_sym_LPAREN,
    ACTIONS(1967), 1,
      anon_sym_LBRACE,
    ACTIONS(1973), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1977), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2035), 1,
      sym_real_literal,
    ACTIONS(2039), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2041), 1,
      anon_sym_DASH_DASH,
    STATE(210), 1,
      sym_type_literal,
    STATE(867), 1,
      sym_invokation_foreach_expression,
    STATE(1074), 1,
      sym_expression_with_unary_operator,
    STATE(1081), 1,
      sym_unary_expression,
    ACTIONS(987), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(989), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1957), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(916), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1092), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1963), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2037), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(928), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [27985] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_decimal_integer_literal,
    ACTIONS(1979), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1983), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1985), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1989), 1,
      anon_sym_LBRACK,
    ACTIONS(1995), 1,
      anon_sym_LPAREN,
    ACTIONS(1997), 1,
      anon_sym_LBRACE,
    ACTIONS(2003), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2005), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2007), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2043), 1,
      sym_real_literal,
    ACTIONS(2047), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2049), 1,
      anon_sym_DASH_DASH,
    STATE(209), 1,
      sym_type_literal,
    STATE(892), 1,
      sym_invokation_foreach_expression,
    STATE(1082), 1,
      sym_expression_with_unary_operator,
    STATE(1085), 1,
      sym_unary_expression,
    ACTIONS(957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(959), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1987), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(887), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1077), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1993), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2045), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(929), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [28094] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_decimal_integer_literal,
    ACTIONS(1979), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1983), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1985), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1989), 1,
      anon_sym_LBRACK,
    ACTIONS(1995), 1,
      anon_sym_LPAREN,
    ACTIONS(1997), 1,
      anon_sym_LBRACE,
    ACTIONS(2003), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2005), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2007), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2043), 1,
      sym_real_literal,
    ACTIONS(2047), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2049), 1,
      anon_sym_DASH_DASH,
    STATE(209), 1,
      sym_type_literal,
    STATE(892), 1,
      sym_invokation_foreach_expression,
    STATE(1082), 1,
      sym_expression_with_unary_operator,
    STATE(1087), 1,
      sym_unary_expression,
    ACTIONS(957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(959), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1987), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(887), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1077), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1993), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2045), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(929), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [28203] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_decimal_integer_literal,
    ACTIONS(1979), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1983), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1985), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1989), 1,
      anon_sym_LBRACK,
    ACTIONS(1995), 1,
      anon_sym_LPAREN,
    ACTIONS(1997), 1,
      anon_sym_LBRACE,
    ACTIONS(2003), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2005), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2007), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2043), 1,
      sym_real_literal,
    ACTIONS(2047), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2049), 1,
      anon_sym_DASH_DASH,
    STATE(209), 1,
      sym_type_literal,
    STATE(892), 1,
      sym_invokation_foreach_expression,
    STATE(1082), 1,
      sym_expression_with_unary_operator,
    STATE(1088), 1,
      sym_unary_expression,
    ACTIONS(957), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(959), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1987), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(887), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1077), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1993), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2045), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(929), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [28312] = 26,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(491), 1,
      sym_real_literal,
    ACTIONS(497), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(499), 1,
      anon_sym_DASH_DASH,
    STATE(77), 1,
      sym_type_literal,
    STATE(95), 1,
      sym_expression_with_unary_operator,
    STATE(100), 1,
      sym_unary_expression,
    STATE(115), 1,
      sym_invokation_foreach_expression,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(495), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(96), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(493), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(291), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
  [28421] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(497), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(499), 1,
      anon_sym_DASH_DASH,
    STATE(77), 1,
      sym_type_literal,
    STATE(85), 1,
      sym_member_name,
    STATE(109), 1,
      sym_string_literal,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(495), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2059), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(96), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(493), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(104), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [28522] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(883), 1,
      sym_decimal_integer_literal,
    ACTIONS(1913), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1917), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1919), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1923), 1,
      anon_sym_LBRACK,
    ACTIONS(1929), 1,
      anon_sym_LPAREN,
    ACTIONS(1931), 1,
      anon_sym_LBRACE,
    ACTIONS(1933), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1935), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1939), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1941), 1,
      anon_sym_AT_LBRACE,
    STATE(205), 1,
      sym_type_literal,
    STATE(748), 1,
      sym_member_name,
    STATE(804), 1,
      sym_string_literal,
    ACTIONS(897), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(917), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1921), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(2061), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(782), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(841), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1927), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1925), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(801), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [28623] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1536), 1,
      anon_sym_LBRACK,
    ACTIONS(1849), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1851), 1,
      anon_sym_DASH_DASH,
    STATE(555), 1,
      sym_type_literal,
    STATE(933), 1,
      sym_member_name,
    STATE(968), 1,
      sym_string_literal,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1847), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2063), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(940), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1845), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(962), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [28724] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(883), 1,
      sym_decimal_integer_literal,
    ACTIONS(1913), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1917), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1919), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1923), 1,
      anon_sym_LBRACK,
    ACTIONS(1929), 1,
      anon_sym_LPAREN,
    ACTIONS(1931), 1,
      anon_sym_LBRACE,
    ACTIONS(1933), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1935), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1937), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1939), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1941), 1,
      anon_sym_AT_LBRACE,
    STATE(205), 1,
      sym_type_literal,
    STATE(758), 1,
      sym_member_name,
    STATE(804), 1,
      sym_string_literal,
    ACTIONS(897), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(917), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1921), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(2061), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(782), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(841), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1927), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1925), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(801), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [28825] = 25,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(571), 1,
      anon_sym_LBRACK,
    ACTIONS(587), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(589), 1,
      anon_sym_DASH_DASH,
    STATE(82), 1,
      sym_type_literal,
    STATE(107), 1,
      sym_member_name,
    STATE(149), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(585), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2065), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(150), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(583), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(146), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [28926] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1833), 1,
      anon_sym_LBRACK,
    ACTIONS(1839), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1841), 1,
      anon_sym_DASH_DASH,
    STATE(554), 1,
      sym_type_literal,
    STATE(994), 1,
      sym_member_name,
    STATE(1030), 1,
      sym_string_literal,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1837), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2067), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1001), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1835), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1005), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [29027] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1093), 1,
      anon_sym_LBRACK,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1125), 1,
      anon_sym_DASH_DASH,
    STATE(225), 1,
      sym_type_literal,
    STATE(933), 1,
      sym_member_name,
    STATE(968), 1,
      sym_string_literal,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2063), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(940), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1119), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(962), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [29128] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(481), 1,
      anon_sym_LBRACK,
    ACTIONS(497), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(499), 1,
      anon_sym_DASH_DASH,
    STATE(77), 1,
      sym_type_literal,
    STATE(83), 1,
      sym_member_name,
    STATE(109), 1,
      sym_string_literal,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(495), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2059), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(96), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(493), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(104), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [29229] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_decimal_integer_literal,
    ACTIONS(1979), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1983), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1985), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1989), 1,
      anon_sym_LBRACK,
    ACTIONS(1995), 1,
      anon_sym_LPAREN,
    ACTIONS(1997), 1,
      anon_sym_LBRACE,
    ACTIONS(1999), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2001), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2003), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2005), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2007), 1,
      anon_sym_AT_LBRACE,
    STATE(211), 1,
      sym_type_literal,
    STATE(774), 1,
      sym_member_name,
    STATE(855), 1,
      sym_string_literal,
    ACTIONS(959), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1987), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(2069), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(887), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(912), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1993), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1991), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(854), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [29330] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(845), 1,
      sym_decimal_integer_literal,
    ACTIONS(1883), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1887), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1889), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1893), 1,
      anon_sym_LBRACK,
    ACTIONS(1899), 1,
      anon_sym_LPAREN,
    ACTIONS(1901), 1,
      anon_sym_LBRACE,
    ACTIONS(1907), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1909), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1911), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1947), 1,
      anon_sym_DASH_DASH,
    STATE(206), 1,
      sym_type_literal,
    STATE(749), 1,
      sym_member_name,
    STATE(835), 1,
      sym_string_literal,
    ACTIONS(859), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(923), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1891), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(2071), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(814), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(836), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1897), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1943), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(834), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [29431] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(171), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(173), 1,
      anon_sym_DASH_DASH,
    STATE(6), 1,
      sym_type_literal,
    STATE(83), 1,
      sym_member_name,
    STATE(109), 1,
      sym_string_literal,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(169), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2059), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(96), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(167), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(104), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [29532] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1073), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    STATE(223), 1,
      sym_type_literal,
    STATE(980), 1,
      sym_member_name,
    STATE(1030), 1,
      sym_string_literal,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1069), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2067), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1001), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1059), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1005), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [29633] = 25,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(93), 1,
      anon_sym_LBRACK,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(161), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(163), 1,
      anon_sym_DASH_DASH,
    STATE(5), 1,
      sym_type_literal,
    STATE(107), 1,
      sym_member_name,
    STATE(149), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2065), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(150), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(157), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(146), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [29734] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(845), 1,
      sym_decimal_integer_literal,
    ACTIONS(1883), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1887), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1889), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1893), 1,
      anon_sym_LBRACK,
    ACTIONS(1899), 1,
      anon_sym_LPAREN,
    ACTIONS(1901), 1,
      anon_sym_LBRACE,
    ACTIONS(1907), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1909), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1911), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1945), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1947), 1,
      anon_sym_DASH_DASH,
    STATE(206), 1,
      sym_type_literal,
    STATE(747), 1,
      sym_member_name,
    STATE(835), 1,
      sym_string_literal,
    ACTIONS(859), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(923), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1891), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(2071), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(814), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(836), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1897), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1943), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(834), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [29835] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1057), 1,
      anon_sym_LBRACK,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1073), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    STATE(223), 1,
      sym_type_literal,
    STATE(994), 1,
      sym_member_name,
    STATE(1030), 1,
      sym_string_literal,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1069), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2067), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1001), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1059), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1005), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [29936] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1093), 1,
      anon_sym_LBRACK,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1123), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1125), 1,
      anon_sym_DASH_DASH,
    STATE(225), 1,
      sym_type_literal,
    STATE(927), 1,
      sym_member_name,
    STATE(968), 1,
      sym_string_literal,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1121), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2063), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(940), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1119), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(962), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [30037] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_decimal_integer_literal,
    ACTIONS(1979), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1983), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1985), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1989), 1,
      anon_sym_LBRACK,
    ACTIONS(1995), 1,
      anon_sym_LPAREN,
    ACTIONS(1997), 1,
      anon_sym_LBRACE,
    ACTIONS(1999), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2001), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2003), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2005), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2007), 1,
      anon_sym_AT_LBRACE,
    STATE(211), 1,
      sym_type_literal,
    STATE(767), 1,
      sym_member_name,
    STATE(855), 1,
      sym_string_literal,
    ACTIONS(959), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1007), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1987), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(2069), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(887), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(912), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1993), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1991), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(854), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [30138] = 25,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(571), 1,
      anon_sym_LBRACK,
    ACTIONS(587), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(589), 1,
      anon_sym_DASH_DASH,
    STATE(82), 1,
      sym_type_literal,
    STATE(94), 1,
      sym_member_name,
    STATE(149), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(585), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2065), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(150), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(583), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(146), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [30239] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym_decimal_integer_literal,
    ACTIONS(1047), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1051), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1053), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1065), 1,
      anon_sym_LPAREN,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1075), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1079), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1833), 1,
      anon_sym_LBRACK,
    ACTIONS(1839), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1841), 1,
      anon_sym_DASH_DASH,
    STATE(554), 1,
      sym_type_literal,
    STATE(980), 1,
      sym_member_name,
    STATE(1030), 1,
      sym_string_literal,
    ACTIONS(1055), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1063), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1837), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2067), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1001), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1061), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1835), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(1005), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [30340] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym_decimal_integer_literal,
    ACTIONS(1949), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1953), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1955), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1959), 1,
      anon_sym_LBRACK,
    ACTIONS(1965), 1,
      anon_sym_LPAREN,
    ACTIONS(1967), 1,
      anon_sym_LBRACE,
    ACTIONS(1969), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1971), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1977), 1,
      anon_sym_AT_LBRACE,
    STATE(212), 1,
      sym_type_literal,
    STATE(828), 1,
      sym_member_name,
    STATE(876), 1,
      sym_string_literal,
    ACTIONS(989), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1957), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(2073), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(916), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(904), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1963), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1961), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(874), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [30441] = 25,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(87), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(89), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(93), 1,
      anon_sym_LBRACK,
    ACTIONS(105), 1,
      anon_sym_LPAREN,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(113), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(115), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(117), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(161), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(163), 1,
      anon_sym_DASH_DASH,
    STATE(5), 1,
      sym_type_literal,
    STATE(94), 1,
      sym_member_name,
    STATE(149), 1,
      sym_string_literal,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(91), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2065), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(147), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(150), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(157), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(146), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [30542] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym_decimal_integer_literal,
    ACTIONS(1949), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1953), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1955), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1959), 1,
      anon_sym_LBRACK,
    ACTIONS(1965), 1,
      anon_sym_LPAREN,
    ACTIONS(1967), 1,
      anon_sym_LBRACE,
    ACTIONS(1969), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1971), 1,
      anon_sym_DASH_DASH,
    ACTIONS(1973), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1975), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1977), 1,
      anon_sym_AT_LBRACE,
    STATE(212), 1,
      sym_type_literal,
    STATE(772), 1,
      sym_member_name,
    STATE(876), 1,
      sym_string_literal,
    ACTIONS(989), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1015), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1957), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(2073), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(916), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(904), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1963), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1961), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(874), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [30643] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym_decimal_integer_literal,
    ACTIONS(1083), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(1087), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1089), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1101), 1,
      anon_sym_LPAREN,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1113), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1115), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1536), 1,
      anon_sym_LBRACK,
    ACTIONS(1849), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1851), 1,
      anon_sym_DASH_DASH,
    STATE(555), 1,
      sym_type_literal,
    STATE(927), 1,
      sym_member_name,
    STATE(968), 1,
      sym_string_literal,
    ACTIONS(1091), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(1099), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(1847), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2063), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(940), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(1097), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(1845), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(962), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [30744] = 25,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(119), 1,
      sym_decimal_integer_literal,
    ACTIONS(121), 1,
      sym_hexadecimal_integer_literal,
    ACTIONS(125), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(127), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(139), 1,
      anon_sym_LPAREN,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(149), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(151), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(153), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(171), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(173), 1,
      anon_sym_DASH_DASH,
    STATE(6), 1,
      sym_type_literal,
    STATE(85), 1,
      sym_member_name,
    STATE(109), 1,
      sym_string_literal,
    ACTIONS(129), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(169), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2059), 2,
      sym_real_literal,
      sym_simple_name,
    STATE(113), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(96), 3,
      sym_pre_increment_expression,
      sym_pre_decrement_expression,
      sym_cast_expression,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(167), 6,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_COMMA,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
    STATE(104), 10,
      sym__literal,
      sym_integer_literal,
      sym_variable,
      sym_expression_with_unary_operator,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
  [30845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(597), 46,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_path_command_name_token,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [30901] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2080), 1,
      anon_sym_SPACE,
    ACTIONS(97), 6,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2078), 8,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_path_command_name_token,
    ACTIONS(2075), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [30961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 1,
      anon_sym_SPACE,
    ACTIONS(597), 47,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_path_command_name_token,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [31017] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1167), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1175), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_LBRACE,
    ACTIONS(1183), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1185), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2083), 1,
      sym_real_literal,
    ACTIONS(2085), 1,
      anon_sym_LBRACK,
    ACTIONS(2089), 1,
      aux_sym_command_name_token1,
    ACTIONS(2091), 1,
      sym_path_command_name_token,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1241), 1,
      sym_variable,
    STATE(1271), 1,
      aux_sym_path_command_name_repeat1,
    STATE(1528), 1,
      sym_data_command,
    STATE(1682), 1,
      sym_command_name_expr,
    STATE(1996), 1,
      sym_data_commands_list,
    ACTIONS(1081), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(1169), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1561), 2,
      sym_command_name,
      sym_path_command_name,
    ACTIONS(2087), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(1310), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [31115] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2080), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(97), 6,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2078), 8,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_path_command_name_token,
    ACTIONS(2075), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [31175] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1167), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1175), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_LBRACE,
    ACTIONS(1183), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1185), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2083), 1,
      sym_real_literal,
    ACTIONS(2085), 1,
      anon_sym_LBRACK,
    ACTIONS(2089), 1,
      aux_sym_command_name_token1,
    ACTIONS(2091), 1,
      sym_path_command_name_token,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1241), 1,
      sym_variable,
    STATE(1271), 1,
      aux_sym_path_command_name_repeat1,
    STATE(1682), 1,
      sym_command_name_expr,
    STATE(1695), 1,
      sym_data_command,
    ACTIONS(1081), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(1169), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1561), 2,
      sym_command_name,
      sym_path_command_name,
    ACTIONS(2087), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(1310), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [31270] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2080), 1,
      anon_sym_SPACE,
    ACTIONS(97), 6,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2078), 8,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_path_command_name_token,
    ACTIONS(2075), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [31329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 1,
      anon_sym_SPACE,
    ACTIONS(597), 46,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_path_command_name_token,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [31384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(597), 45,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_path_command_name_token,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [31439] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2080), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(97), 6,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2078), 8,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_path_command_name_token,
    ACTIONS(2075), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [31498] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1167), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1175), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_LBRACE,
    ACTIONS(1183), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1185), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2085), 1,
      anon_sym_LBRACK,
    ACTIONS(2093), 1,
      sym_real_literal,
    ACTIONS(2095), 1,
      sym__command_token,
    ACTIONS(2097), 1,
      anon_sym_RBRACE,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1568), 1,
      sym_switch_clause_condition,
    STATE(2021), 1,
      sym_switch_clauses,
    ACTIONS(1081), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(1169), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(742), 2,
      sym_switch_clause,
      aux_sym_switch_clauses_repeat1,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(1099), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(1321), 17,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [31588] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1167), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1175), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_LBRACE,
    ACTIONS(1183), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1185), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2085), 1,
      anon_sym_LBRACK,
    ACTIONS(2093), 1,
      sym_real_literal,
    ACTIONS(2095), 1,
      sym__command_token,
    ACTIONS(2099), 1,
      anon_sym_RBRACE,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1568), 1,
      sym_switch_clause_condition,
    STATE(2020), 1,
      sym_switch_clauses,
    ACTIONS(1081), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(1169), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(742), 2,
      sym_switch_clause,
      aux_sym_switch_clauses_repeat1,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(1099), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(1321), 17,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [31678] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(981), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(991), 1,
      anon_sym_LPAREN,
    ACTIONS(993), 1,
      anon_sym_LBRACE,
    ACTIONS(999), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1001), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1003), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2101), 1,
      sym_real_literal,
    ACTIONS(2103), 1,
      anon_sym_LBRACK,
    ACTIONS(2107), 1,
      aux_sym_command_name_token1,
    ACTIONS(2109), 1,
      sym_path_command_name_token,
    STATE(725), 1,
      sym_variable,
    STATE(750), 1,
      aux_sym_path_command_name_repeat1,
    STATE(779), 1,
      sym_command_name_expr,
    STATE(867), 1,
      sym_invokation_foreach_expression,
    ACTIONS(975), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(983), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(916), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1134), 2,
      sym_command_name,
      sym_path_command_name,
    ACTIONS(2105), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(937), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [31770] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(981), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(991), 1,
      anon_sym_LPAREN,
    ACTIONS(993), 1,
      anon_sym_LBRACE,
    ACTIONS(999), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1001), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1003), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2103), 1,
      anon_sym_LBRACK,
    ACTIONS(2111), 1,
      sym_real_literal,
    ACTIONS(2113), 1,
      anon_sym_SPACE,
    ACTIONS(2115), 1,
      anon_sym_COLON,
    STATE(222), 1,
      sym_command_argument_sep,
    STATE(353), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(867), 1,
      sym_invokation_foreach_expression,
    STATE(1137), 1,
      sym__command_argument,
    STATE(1138), 1,
      sym_redirected_file_name,
    ACTIONS(975), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(983), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(916), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(989), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(963), 17,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [31862] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1167), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1175), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_LBRACE,
    ACTIONS(1183), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1185), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2085), 1,
      anon_sym_LBRACK,
    ACTIONS(2117), 1,
      sym_real_literal,
    ACTIONS(2119), 1,
      anon_sym_SPACE,
    ACTIONS(2121), 1,
      anon_sym_COLON,
    STATE(228), 1,
      sym_command_argument_sep,
    STATE(417), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1151), 1,
      sym_redirected_file_name,
    STATE(1159), 1,
      sym__command_argument,
    ACTIONS(1081), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(1169), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(1099), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(1079), 17,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [31954] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(951), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(961), 1,
      anon_sym_LPAREN,
    ACTIONS(963), 1,
      anon_sym_LBRACE,
    ACTIONS(969), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(971), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(973), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2123), 1,
      sym_real_literal,
    ACTIONS(2125), 1,
      anon_sym_LBRACK,
    ACTIONS(2129), 1,
      aux_sym_command_name_token1,
    ACTIONS(2131), 1,
      sym_path_command_name_token,
    STATE(722), 1,
      sym_variable,
    STATE(754), 1,
      aux_sym_path_command_name_repeat1,
    STATE(776), 1,
      sym_command_name_expr,
    STATE(892), 1,
      sym_invokation_foreach_expression,
    ACTIONS(945), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(953), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(887), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1129), 2,
      sym_command_name,
      sym_path_command_name,
    ACTIONS(2127), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(943), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [32046] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(951), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(961), 1,
      anon_sym_LPAREN,
    ACTIONS(963), 1,
      anon_sym_LBRACE,
    ACTIONS(969), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(971), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(973), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2125), 1,
      anon_sym_LBRACK,
    ACTIONS(2133), 1,
      sym_real_literal,
    ACTIONS(2135), 1,
      anon_sym_SPACE,
    ACTIONS(2137), 1,
      anon_sym_COLON,
    STATE(220), 1,
      sym_command_argument_sep,
    STATE(329), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(892), 1,
      sym_invokation_foreach_expression,
    STATE(1126), 1,
      sym_redirected_file_name,
    STATE(1127), 1,
      sym__command_argument,
    ACTIONS(945), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(953), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(887), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(959), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(967), 17,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [32138] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      aux_sym_command_name_token1,
    ACTIONS(887), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(889), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(899), 1,
      anon_sym_LPAREN,
    ACTIONS(901), 1,
      anon_sym_LBRACE,
    ACTIONS(907), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(909), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(911), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2139), 1,
      sym_real_literal,
    ACTIONS(2141), 1,
      anon_sym_LBRACK,
    ACTIONS(2145), 1,
      sym_path_command_name_token,
    STATE(720), 1,
      sym_variable,
    STATE(744), 1,
      aux_sym_path_command_name_repeat1,
    STATE(757), 1,
      sym_command_name_expr,
    STATE(785), 1,
      sym_invokation_foreach_expression,
    ACTIONS(883), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(891), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(782), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1106), 2,
      sym_command_name,
      sym_path_command_name,
    ACTIONS(2143), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(932), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [32230] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(849), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(851), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(861), 1,
      anon_sym_LPAREN,
    ACTIONS(863), 1,
      anon_sym_LBRACE,
    ACTIONS(869), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(871), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(873), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2147), 1,
      sym_real_literal,
    ACTIONS(2149), 1,
      anon_sym_LBRACK,
    ACTIONS(2151), 1,
      anon_sym_SPACE,
    ACTIONS(2153), 1,
      anon_sym_COLON,
    STATE(218), 1,
      sym_command_argument_sep,
    STATE(320), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(816), 1,
      sym_invokation_foreach_expression,
    STATE(1100), 1,
      sym__command_argument,
    STATE(1104), 1,
      sym_redirected_file_name,
    ACTIONS(845), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(853), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(814), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(859), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(924), 17,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [32322] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(887), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(889), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(899), 1,
      anon_sym_LPAREN,
    ACTIONS(901), 1,
      anon_sym_LBRACE,
    ACTIONS(907), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(909), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(911), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2141), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      sym_real_literal,
    ACTIONS(2157), 1,
      anon_sym_SPACE,
    ACTIONS(2159), 1,
      anon_sym_COLON,
    STATE(217), 1,
      sym_command_argument_sep,
    STATE(309), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(785), 1,
      sym_invokation_foreach_expression,
    STATE(1114), 1,
      sym__command_argument,
    STATE(1121), 1,
      sym_redirected_file_name,
    ACTIONS(883), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(891), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(782), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(897), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(926), 17,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [32414] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(849), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(851), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(861), 1,
      anon_sym_LPAREN,
    ACTIONS(863), 1,
      anon_sym_LBRACE,
    ACTIONS(869), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(871), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(873), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(1283), 1,
      aux_sym_command_name_token1,
    ACTIONS(2149), 1,
      anon_sym_LBRACK,
    ACTIONS(2161), 1,
      sym_real_literal,
    ACTIONS(2165), 1,
      sym_path_command_name_token,
    STATE(717), 1,
      sym_variable,
    STATE(743), 1,
      aux_sym_path_command_name_repeat1,
    STATE(756), 1,
      sym_command_name_expr,
    STATE(816), 1,
      sym_invokation_foreach_expression,
    ACTIONS(845), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(853), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(814), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    STATE(1116), 2,
      sym_command_name,
      sym_path_command_name,
    ACTIONS(2163), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(925), 16,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [32506] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1141), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1149), 1,
      anon_sym_LPAREN,
    ACTIONS(1151), 1,
      anon_sym_LBRACE,
    ACTIONS(1157), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1161), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2167), 1,
      sym_real_literal,
    ACTIONS(2169), 1,
      anon_sym_LBRACK,
    ACTIONS(2171), 1,
      anon_sym_SPACE,
    ACTIONS(2173), 1,
      anon_sym_COLON,
    STATE(227), 1,
      sym_command_argument_sep,
    STATE(407), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(1000), 1,
      sym_invokation_foreach_expression,
    STATE(1154), 1,
      sym__command_argument,
    STATE(1157), 1,
      sym_redirected_file_name,
    ACTIONS(1045), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(1143), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(1020), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(1063), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(1075), 17,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [32598] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1167), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1175), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_LBRACE,
    ACTIONS(1183), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1185), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2085), 1,
      anon_sym_LBRACK,
    ACTIONS(2093), 1,
      sym_real_literal,
    ACTIONS(2095), 1,
      sym__command_token,
    ACTIONS(2175), 1,
      anon_sym_RBRACE,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1568), 1,
      sym_switch_clause_condition,
    STATE(2048), 1,
      sym_switch_clauses,
    ACTIONS(1081), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(1169), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(742), 2,
      sym_switch_clause,
      aux_sym_switch_clauses_repeat1,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(1099), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(1321), 17,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [32688] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1167), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1175), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_LBRACE,
    ACTIONS(1183), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1185), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2085), 1,
      anon_sym_LBRACK,
    ACTIONS(2093), 1,
      sym_real_literal,
    ACTIONS(2095), 1,
      sym__command_token,
    ACTIONS(2177), 1,
      anon_sym_RBRACE,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1568), 1,
      sym_switch_clause_condition,
    STATE(1973), 1,
      sym_switch_clauses,
    ACTIONS(1081), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(1169), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(742), 2,
      sym_switch_clause,
      aux_sym_switch_clauses_repeat1,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(1099), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(1321), 17,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [32778] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 1,
      sym_real_literal,
    ACTIONS(2185), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(2188), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(2194), 1,
      anon_sym_LBRACK,
    ACTIONS(2200), 1,
      sym__command_token,
    ACTIONS(2203), 1,
      anon_sym_LPAREN,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2209), 1,
      anon_sym_RBRACE,
    ACTIONS(2211), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2214), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(2217), 1,
      anon_sym_AT_LBRACE,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1568), 1,
      sym_switch_clause_condition,
    ACTIONS(2179), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(2191), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(740), 2,
      sym_switch_clause,
      aux_sym_switch_clauses_repeat1,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(2197), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(1321), 17,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [32865] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(251), 11,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      anon_sym_DOT2,
    ACTIONS(253), 34,
      sym_simple_name,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [32918] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1167), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1175), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_LBRACE,
    ACTIONS(1183), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1185), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2085), 1,
      anon_sym_LBRACK,
    ACTIONS(2093), 1,
      sym_real_literal,
    ACTIONS(2095), 1,
      sym__command_token,
    ACTIONS(2220), 1,
      anon_sym_RBRACE,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1568), 1,
      sym_switch_clause_condition,
    ACTIONS(1081), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(1169), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(740), 2,
      sym_switch_clause,
      aux_sym_switch_clauses_repeat1,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(1099), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(1321), 17,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [33005] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2226), 1,
      sym_path_command_name_token,
    ACTIONS(2228), 1,
      anon_sym_SPACE,
    STATE(745), 2,
      sym_variable,
      aux_sym_path_command_name_repeat1,
    ACTIONS(2224), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2222), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [33063] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2232), 1,
      sym_path_command_name_token,
    ACTIONS(2228), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    STATE(746), 2,
      sym_variable,
      aux_sym_path_command_name_repeat1,
    ACTIONS(2230), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2222), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [33121] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      sym_path_command_name_token,
    ACTIONS(2242), 1,
      anon_sym_SPACE,
    STATE(745), 2,
      sym_variable,
      aux_sym_path_command_name_repeat1,
    ACTIONS(2236), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2234), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [33179] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2247), 1,
      sym_path_command_name_token,
    ACTIONS(2242), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    STATE(746), 2,
      sym_variable,
      aux_sym_path_command_name_repeat1,
    ACTIONS(2244), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2234), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [33237] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_LPAREN,
    STATE(792), 1,
      sym_argument_list,
    ACTIONS(591), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(593), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [33292] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(811), 1,
      sym_argument_list,
    ACTIONS(591), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(593), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [33345] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(792), 1,
      sym_argument_list,
    ACTIONS(591), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(593), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [33398] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2254), 1,
      sym_path_command_name_token,
    ACTIONS(2228), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    STATE(752), 2,
      sym_variable,
      aux_sym_path_command_name_repeat1,
    ACTIONS(2252), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2222), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [33455] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_SPACE,
    ACTIONS(2159), 1,
      anon_sym_COLON,
    ACTIONS(2264), 1,
      sym__statement_terminator,
    STATE(214), 1,
      sym_command_argument_sep,
    STATE(309), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(735), 1,
      sym_file_redirection_operator,
    STATE(1053), 1,
      sym__command_argument,
    STATE(1110), 1,
      sym_merging_redirection_operator,
    STATE(1541), 1,
      sym_command_elements,
    ACTIONS(2260), 2,
      sym_command_parameter,
      sym_stop_parsing,
    ACTIONS(2262), 2,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
    STATE(791), 3,
      sym__command_element,
      sym_redirection,
      aux_sym_command_elements_repeat1,
    ACTIONS(2258), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
    ACTIONS(2256), 15,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
  [33530] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2269), 1,
      sym_path_command_name_token,
    ACTIONS(2242), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    STATE(752), 2,
      sym_variable,
      aux_sym_path_command_name_repeat1,
    ACTIONS(2266), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2234), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [33587] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_SPACE,
    ACTIONS(2153), 1,
      anon_sym_COLON,
    STATE(216), 1,
      sym_command_argument_sep,
    STATE(320), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(734), 1,
      sym_file_redirection_operator,
    STATE(1045), 1,
      sym__command_argument,
    STATE(1109), 1,
      sym_merging_redirection_operator,
    STATE(1516), 1,
      sym_command_elements,
    ACTIONS(2274), 2,
      sym_command_parameter,
      sym_stop_parsing,
    ACTIONS(2262), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
    STATE(806), 3,
      sym__command_element,
      sym_redirection,
      aux_sym_command_elements_repeat1,
    ACTIONS(2272), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
    ACTIONS(2256), 15,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
  [33660] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2228), 1,
      anon_sym_SPACE,
    ACTIONS(2278), 1,
      sym_path_command_name_token,
    STATE(755), 2,
      sym_variable,
      aux_sym_path_command_name_repeat1,
    ACTIONS(2276), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2222), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [33717] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2242), 1,
      anon_sym_SPACE,
    ACTIONS(2283), 1,
      sym_path_command_name_token,
    STATE(755), 2,
      sym_variable,
      aux_sym_path_command_name_repeat1,
    ACTIONS(2280), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    ACTIONS(2234), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [33774] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_SPACE,
    ACTIONS(2153), 1,
      anon_sym_COLON,
    STATE(216), 1,
      sym_command_argument_sep,
    STATE(320), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(734), 1,
      sym_file_redirection_operator,
    STATE(1045), 1,
      sym__command_argument,
    STATE(1109), 1,
      sym_merging_redirection_operator,
    STATE(1433), 1,
      sym_command_elements,
    ACTIONS(2274), 2,
      sym_command_parameter,
      sym_stop_parsing,
    ACTIONS(2286), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
    STATE(806), 3,
      sym__command_element,
      sym_redirection,
      aux_sym_command_elements_repeat1,
    ACTIONS(2272), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
    ACTIONS(2256), 15,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
  [33847] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_SPACE,
    ACTIONS(2159), 1,
      anon_sym_COLON,
    ACTIONS(2288), 1,
      sym__statement_terminator,
    STATE(214), 1,
      sym_command_argument_sep,
    STATE(309), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(735), 1,
      sym_file_redirection_operator,
    STATE(1053), 1,
      sym__command_argument,
    STATE(1110), 1,
      sym_merging_redirection_operator,
    STATE(1463), 1,
      sym_command_elements,
    ACTIONS(2260), 2,
      sym_command_parameter,
      sym_stop_parsing,
    ACTIONS(2286), 2,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
    STATE(791), 3,
      sym__command_element,
      sym_redirection,
      aux_sym_command_elements_repeat1,
    ACTIONS(2258), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
    ACTIONS(2256), 15,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
  [33922] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_LPAREN,
    STATE(811), 1,
      sym_argument_list,
    ACTIONS(591), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(593), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [33977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(663), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(665), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [34027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(645), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [34077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(653), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [34127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(657), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [34177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(677), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [34227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(625), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(627), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [34277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(631), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [34327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(597), 40,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_path_command_name_token,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [34377] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_LPAREN,
    STATE(865), 1,
      sym_argument_list,
    ACTIONS(591), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(593), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [34431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(597), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [34481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(637), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [34531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 1,
      anon_sym_SPACE,
    ACTIONS(597), 41,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_path_command_name_token,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [34581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(597), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [34631] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(882), 1,
      sym_argument_list,
    ACTIONS(591), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(593), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [34683] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2113), 1,
      anon_sym_SPACE,
    ACTIONS(2115), 1,
      anon_sym_COLON,
    ACTIONS(2262), 1,
      anon_sym_PIPE,
    ACTIONS(2264), 1,
      sym__statement_terminator,
    STATE(219), 1,
      sym_command_argument_sep,
    STATE(353), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(729), 1,
      sym_file_redirection_operator,
    STATE(1099), 1,
      sym__command_argument,
    STATE(1125), 1,
      sym_merging_redirection_operator,
    STATE(1541), 1,
      sym_command_elements,
    ACTIONS(2296), 2,
      sym_command_parameter,
      sym_stop_parsing,
    STATE(856), 3,
      sym__command_element,
      sym_redirection,
      aux_sym_command_elements_repeat1,
    ACTIONS(2294), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
    ACTIONS(2256), 15,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
  [34757] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(865), 1,
      sym_argument_list,
    ACTIONS(591), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(593), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [34809] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 1,
      anon_sym_SPACE,
    ACTIONS(2137), 1,
      anon_sym_COLON,
    STATE(221), 1,
      sym_command_argument_sep,
    STATE(329), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(732), 1,
      sym_file_redirection_operator,
    STATE(1084), 1,
      sym__command_argument,
    STATE(1131), 1,
      sym_merging_redirection_operator,
    STATE(1516), 1,
      sym_command_elements,
    ACTIONS(2262), 2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
    ACTIONS(2300), 2,
      sym_command_parameter,
      sym_stop_parsing,
    STATE(848), 3,
      sym__command_element,
      sym_redirection,
      aux_sym_command_elements_repeat1,
    ACTIONS(2298), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
    ACTIONS(2256), 15,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
  [34881] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 1,
      anon_sym_SPACE,
    ACTIONS(2137), 1,
      anon_sym_COLON,
    STATE(221), 1,
      sym_command_argument_sep,
    STATE(329), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(732), 1,
      sym_file_redirection_operator,
    STATE(1084), 1,
      sym__command_argument,
    STATE(1131), 1,
      sym_merging_redirection_operator,
    STATE(1433), 1,
      sym_command_elements,
    ACTIONS(2286), 2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
    ACTIONS(2300), 2,
      sym_command_parameter,
      sym_stop_parsing,
    STATE(848), 3,
      sym__command_element,
      sym_redirection,
      aux_sym_command_elements_repeat1,
    ACTIONS(2298), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
    ACTIONS(2256), 15,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
  [34953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(619), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [35003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(607), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [35053] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2113), 1,
      anon_sym_SPACE,
    ACTIONS(2115), 1,
      anon_sym_COLON,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      sym__statement_terminator,
    STATE(219), 1,
      sym_command_argument_sep,
    STATE(353), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(729), 1,
      sym_file_redirection_operator,
    STATE(1099), 1,
      sym__command_argument,
    STATE(1125), 1,
      sym_merging_redirection_operator,
    STATE(1463), 1,
      sym_command_elements,
    ACTIONS(2296), 2,
      sym_command_parameter,
      sym_stop_parsing,
    STATE(856), 3,
      sym__command_element,
      sym_redirection,
      aux_sym_command_elements_repeat1,
    ACTIONS(2294), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
    ACTIONS(2256), 15,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
  [35127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(621), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(623), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [35177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(693), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(695), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [35227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(703), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [35277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(621), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(623), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [35327] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2302), 1,
      anon_sym_LBRACK,
    ACTIONS(2304), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2306), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2310), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(635), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2308), 2,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(637), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [35387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(711), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [35437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(727), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [35487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(705), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(707), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [35537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(661), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [35587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(715), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [35637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(603), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [35687] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_SPACE,
    ACTIONS(2159), 1,
      anon_sym_COLON,
    ACTIONS(2316), 1,
      sym__statement_terminator,
    STATE(214), 1,
      sym_command_argument_sep,
    STATE(309), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(735), 1,
      sym_file_redirection_operator,
    STATE(1053), 1,
      sym__command_argument,
    STATE(1110), 1,
      sym_merging_redirection_operator,
    ACTIONS(2312), 2,
      sym_command_parameter,
      sym_stop_parsing,
    ACTIONS(2314), 2,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
    STATE(813), 3,
      sym__command_element,
      sym_redirection,
      aux_sym_command_elements_repeat1,
    ACTIONS(2258), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
    ACTIONS(2256), 15,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
  [35759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(717), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(719), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [35809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(671), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(673), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [35859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(681), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [35909] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 1,
      aux_sym_expandable_string_literal_token1,
    ACTIONS(1167), 1,
      aux_sym_expandable_here_string_literal_token1,
    ACTIONS(1175), 1,
      anon_sym_LPAREN,
    ACTIONS(1177), 1,
      anon_sym_LBRACE,
    ACTIONS(1183), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1185), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_AT_LBRACE,
    ACTIONS(2085), 1,
      anon_sym_LBRACK,
    ACTIONS(2318), 1,
      sym_real_literal,
    ACTIONS(2320), 1,
      sym__command_token,
    STATE(955), 1,
      sym_invokation_foreach_expression,
    STATE(1832), 1,
      sym_switch_filename,
    ACTIONS(1081), 2,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
    ACTIONS(1169), 2,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
    STATE(947), 2,
      sym_expandable_string_literal,
      sym_expandable_here_string_literal,
    ACTIONS(1099), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
    STATE(1335), 17,
      sym__literal,
      sym_integer_literal,
      sym_string_literal,
      sym_variable,
      sym__primary_expression,
      sym__value,
      sym_parenthesized_expression,
      sym_sub_expression,
      sym_array_expression,
      sym_script_block_expression,
      sym_hash_literal_expression,
      sym_post_increment_expression,
      sym_post_decrement_expression,
      sym_member_access,
      sym_element_access,
      sym_invokation_expression,
      sym_type_literal,
  [35989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(691), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(609), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(611), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(721), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(723), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(729), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(731), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(625), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(627), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(669), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(631), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(619), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(686), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(645), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36489] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_SPACE,
    ACTIONS(2153), 1,
      anon_sym_COLON,
    STATE(216), 1,
      sym_command_argument_sep,
    STATE(320), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(734), 1,
      sym_file_redirection_operator,
    STATE(1045), 1,
      sym__command_argument,
    STATE(1109), 1,
      sym_merging_redirection_operator,
    ACTIONS(2322), 2,
      sym_command_parameter,
      sym_stop_parsing,
    ACTIONS(2314), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
    STATE(822), 3,
      sym__command_element,
      sym_redirection,
      aux_sym_command_elements_repeat1,
    ACTIONS(2272), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
    ACTIONS(2256), 15,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
  [36559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(653), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(613), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(615), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(649), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(697), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(699), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(717), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(719), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(693), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(695), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36859] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_SPACE,
    ACTIONS(2338), 1,
      anon_sym_COLON,
    ACTIONS(2341), 1,
      sym__statement_terminator,
    STATE(214), 1,
      sym_command_argument_sep,
    STATE(309), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(735), 1,
      sym_file_redirection_operator,
    STATE(1053), 1,
      sym__command_argument,
    STATE(1110), 1,
      sym_merging_redirection_operator,
    ACTIONS(2330), 2,
      sym_command_parameter,
      sym_stop_parsing,
    ACTIONS(2333), 2,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
    STATE(813), 3,
      sym__command_element,
      sym_redirection,
      aux_sym_command_elements_repeat1,
    ACTIONS(2327), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
    ACTIONS(2324), 15,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
  [36931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(703), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [36981] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 1,
      anon_sym_SPACE,
    ACTIONS(2343), 1,
      anon_sym_LBRACK,
    ACTIONS(2345), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2347), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2351), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2349), 2,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(637), 35,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [37041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(711), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(727), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(705), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(707), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(657), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(661), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(715), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37341] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2359), 1,
      anon_sym_SPACE,
    ACTIONS(2362), 1,
      anon_sym_COLON,
    STATE(216), 1,
      sym_command_argument_sep,
    STATE(320), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(734), 1,
      sym_file_redirection_operator,
    STATE(1045), 1,
      sym__command_argument,
    STATE(1109), 1,
      sym_merging_redirection_operator,
    ACTIONS(2356), 2,
      sym_command_parameter,
      sym_stop_parsing,
    ACTIONS(2333), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
    STATE(822), 3,
      sym__command_element,
      sym_redirection,
      aux_sym_command_elements_repeat1,
    ACTIONS(2353), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
    ACTIONS(2324), 15,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
  [37411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(663), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(665), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(671), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(673), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(677), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(681), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(691), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37661] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2365), 1,
      anon_sym_LPAREN,
    STATE(882), 1,
      sym_argument_list,
    ACTIONS(591), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(593), 37,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(609), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(611), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(607), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(637), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(721), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(723), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(729), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(731), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [37965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(669), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [38015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(686), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [38065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(641), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [38115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(613), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(615), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [38165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(649), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [38215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(603), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [38265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(697), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(699), 40,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [38315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(641), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [38365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(677), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [38414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 1,
      anon_sym_SPACE,
    ACTIONS(597), 40,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_path_command_name_token,
      sym_stop_parsing,
      anon_sym_COLON,
  [38463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(597), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [38512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(691), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [38561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(609), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(611), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [38610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(661), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [38659] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 1,
      anon_sym_SPACE,
    ACTIONS(2137), 1,
      anon_sym_COLON,
    STATE(221), 1,
      sym_command_argument_sep,
    STATE(329), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(732), 1,
      sym_file_redirection_operator,
    STATE(1084), 1,
      sym__command_argument,
    STATE(1131), 1,
      sym_merging_redirection_operator,
    ACTIONS(2314), 2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
    ACTIONS(2367), 2,
      sym_command_parameter,
      sym_stop_parsing,
    STATE(851), 3,
      sym__command_element,
      sym_redirection,
      aux_sym_command_elements_repeat1,
    ACTIONS(2298), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
    ACTIONS(2256), 15,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
  [38728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(715), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [38777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(721), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(723), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [38826] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2375), 1,
      anon_sym_SPACE,
    ACTIONS(2378), 1,
      anon_sym_COLON,
    STATE(221), 1,
      sym_command_argument_sep,
    STATE(329), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(732), 1,
      sym_file_redirection_operator,
    STATE(1084), 1,
      sym__command_argument,
    STATE(1131), 1,
      sym_merging_redirection_operator,
    ACTIONS(2333), 2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
    ACTIONS(2372), 2,
      sym_command_parameter,
      sym_stop_parsing,
    STATE(851), 3,
      sym__command_element,
      sym_redirection,
      aux_sym_command_elements_repeat1,
    ACTIONS(2369), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
    ACTIONS(2324), 15,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
  [38895] = 12,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2387), 1,
      anon_sym_PIPE,
    ACTIONS(2389), 1,
      sym__statement_terminator,
    STATE(737), 1,
      sym_file_redirection_operator,
    STATE(1156), 1,
      sym_merging_redirection_operator,
    STATE(1508), 1,
      aux_sym__pipeline_tail,
    STATE(1510), 1,
      sym_redirections,
    STATE(1130), 2,
      sym_redirection,
      aux_sym_redirections_repeat1,
    ACTIONS(2381), 6,
      anon_sym_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2383), 7,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
    ACTIONS(2256), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2385), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
  [38962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(729), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(731), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [39011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(669), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [39060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(686), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [39109] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2113), 1,
      anon_sym_SPACE,
    ACTIONS(2115), 1,
      anon_sym_COLON,
    ACTIONS(2314), 1,
      anon_sym_PIPE,
    ACTIONS(2316), 1,
      sym__statement_terminator,
    STATE(219), 1,
      sym_command_argument_sep,
    STATE(353), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(729), 1,
      sym_file_redirection_operator,
    STATE(1099), 1,
      sym__command_argument,
    STATE(1125), 1,
      sym_merging_redirection_operator,
    ACTIONS(2391), 2,
      sym_command_parameter,
      sym_stop_parsing,
    STATE(886), 3,
      sym__command_element,
      sym_redirection,
      aux_sym_command_elements_repeat1,
    ACTIONS(2294), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
    ACTIONS(2256), 15,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
  [39180] = 12,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym_RPAREN,
    ACTIONS(2395), 1,
      anon_sym_PIPE,
    STATE(730), 1,
      sym_file_redirection_operator,
    STATE(1153), 1,
      sym_merging_redirection_operator,
    STATE(1512), 1,
      aux_sym__pipeline_tail,
    STATE(1513), 1,
      sym_redirections,
    STATE(1128), 2,
      sym_redirection,
      aux_sym_redirections_repeat1,
    ACTIONS(2381), 6,
      anon_sym_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2383), 7,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
    ACTIONS(2256), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2393), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
  [39247] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2401), 3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
    ACTIONS(2399), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2397), 30,
      anon_sym_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
  [39298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(663), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(665), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [39347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(613), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(615), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [39396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(649), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [39445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(671), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(673), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [39494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(681), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [39543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(697), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(699), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [39592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(717), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(719), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [39641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(691), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [39690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(711), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [39739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(609), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(611), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [39788] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2403), 3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
    ACTIONS(2399), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2397), 30,
      sym__statement_terminator,
      anon_sym_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_PIPE,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
  [39839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(727), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [39888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(721), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(723), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [39937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(729), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(731), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [39986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(607), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [40035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(669), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [40084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(603), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [40133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(686), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [40182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(705), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(707), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [40231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(613), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(615), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [40280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(649), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [40329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(697), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(699), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [40378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(619), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [40427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(717), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(719), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [40476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(607), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [40525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(621), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(623), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [40574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(601), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(603), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [40623] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_PIPE,
    ACTIONS(2341), 1,
      sym__statement_terminator,
    ACTIONS(2411), 1,
      anon_sym_SPACE,
    ACTIONS(2414), 1,
      anon_sym_COLON,
    STATE(219), 1,
      sym_command_argument_sep,
    STATE(353), 1,
      aux_sym_command_argument_sep_repeat1,
    STATE(729), 1,
      sym_file_redirection_operator,
    STATE(1099), 1,
      sym__command_argument,
    STATE(1125), 1,
      sym_merging_redirection_operator,
    ACTIONS(2408), 2,
      sym_command_parameter,
      sym_stop_parsing,
    STATE(886), 3,
      sym__command_element,
      sym_redirection,
      aux_sym_command_elements_repeat1,
    ACTIONS(2405), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
    ACTIONS(2324), 15,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
  [40694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(703), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [40743] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 1,
      anon_sym_SPACE,
    ACTIONS(2417), 1,
      anon_sym_LBRACK,
    ACTIONS(2419), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2421), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2425), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2423), 2,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(637), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [40802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(619), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [40851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(621), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(623), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [40900] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2403), 3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
    ACTIONS(2429), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2427), 30,
      sym__statement_terminator,
      anon_sym_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_PIPE,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
  [40951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(711), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [41000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(625), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(627), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [41049] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2302), 1,
      anon_sym_LBRACK,
    ACTIONS(2304), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2306), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2310), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(635), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2431), 2,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(637), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [41108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(631), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [41157] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 1,
      anon_sym_SPACE,
    ACTIONS(2343), 1,
      anon_sym_LBRACK,
    ACTIONS(2345), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2347), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2351), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2433), 2,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(637), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [41216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(727), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [41265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(705), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(707), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [41314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(625), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(627), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [41363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(631), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [41412] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2435), 1,
      anon_sym_LBRACK,
    ACTIONS(2437), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2439), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2443), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(635), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2441), 2,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(637), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [41471] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2401), 3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
    ACTIONS(2429), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2427), 30,
      anon_sym_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
  [41522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(637), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [41571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(641), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [41620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(645), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [41669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(693), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(695), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [41718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(653), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [41767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(657), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [41816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(677), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [41865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(661), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [41914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(637), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [41963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(641), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [42012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(645), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [42061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(653), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [42110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(657), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [42159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(701), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(703), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [42208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(715), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [42257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(663), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(665), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [42306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(671), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(673), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [42355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(597), 39,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_path_command_name_token,
      sym_stop_parsing,
      anon_sym_COLON,
  [42404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(681), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [42453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(597), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [42502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(693), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(695), 39,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [42551] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2343), 1,
      anon_sym_LBRACK,
    ACTIONS(2345), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2347), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2351), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2447), 1,
      anon_sym_SPACE,
    ACTIONS(2433), 2,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(2445), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [42609] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2343), 1,
      anon_sym_LBRACK,
    ACTIONS(2345), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2347), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2351), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2451), 1,
      anon_sym_SPACE,
    ACTIONS(2433), 2,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(2449), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [42667] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2302), 1,
      anon_sym_LBRACK,
    ACTIONS(2304), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2306), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2310), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2431), 2,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(2447), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2445), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [42725] = 4,
    ACTIONS(81), 1,
      sym_comment,
    STATE(948), 1,
      sym_argument_list,
    ACTIONS(593), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(591), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [42775] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2435), 1,
      anon_sym_LBRACK,
    ACTIONS(2437), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2439), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2443), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(635), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2453), 2,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(637), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [42833] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 1,
      anon_sym_SPACE,
    ACTIONS(2417), 1,
      anon_sym_LBRACK,
    ACTIONS(2419), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2421), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2425), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2455), 2,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(637), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [42891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(253), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(251), 37,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [42939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(253), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(251), 38,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [42987] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2302), 1,
      anon_sym_LBRACK,
    ACTIONS(2304), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2306), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2310), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2431), 2,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(2451), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2449), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [43045] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_LPAREN,
    STATE(948), 1,
      sym_argument_list,
    ACTIONS(593), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(591), 29,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [43097] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(665), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(663), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [43144] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(715), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(713), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [43191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(253), 3,
      sym__statement_terminator,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(251), 36,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [43238] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2435), 1,
      anon_sym_LBRACK,
    ACTIONS(2437), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2439), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2443), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2451), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2453), 2,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(2449), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [43295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(253), 2,
      anon_sym_SPACE,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(251), 37,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
  [43342] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(637), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(635), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [43389] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(641), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(639), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [43436] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(603), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(601), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [43483] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2463), 1,
      aux_sym_command_name_token2,
    ACTIONS(2465), 1,
      anon_sym_DQUOTE2,
    ACTIONS(2467), 1,
      sym__statement_terminator,
    STATE(965), 1,
      aux_sym_command_name_repeat1,
    ACTIONS(2459), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2461), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [43538] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2417), 1,
      anon_sym_LBRACK,
    ACTIONS(2419), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2421), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2425), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2451), 1,
      anon_sym_SPACE,
    ACTIONS(2455), 2,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(2449), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [43595] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(619), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(617), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [43642] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2474), 1,
      aux_sym_command_name_token2,
    ACTIONS(2477), 1,
      anon_sym_DQUOTE2,
    STATE(945), 1,
      aux_sym_command_name_repeat1,
    ACTIONS(2469), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2472), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [43695] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(645), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(643), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [43742] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(703), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(701), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [43789] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(719), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(717), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [43836] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(673), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(671), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [43883] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2465), 1,
      anon_sym_DQUOTE2,
    ACTIONS(2484), 1,
      aux_sym_command_name_token2,
    ACTIONS(2486), 1,
      sym__statement_terminator,
    STATE(942), 1,
      aux_sym_command_name_repeat1,
    ACTIONS(2480), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2482), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [43938] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(681), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(679), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [43985] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(691), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(689), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [44032] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(611), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(609), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [44079] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(677), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(675), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [44126] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(711), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(709), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [44173] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(731), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(729), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [44220] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(607), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(605), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [44267] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(727), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(725), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [44314] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(653), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(651), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [44361] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(707), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(705), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [44408] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(695), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(693), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [44455] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(669), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(667), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [44502] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2435), 1,
      anon_sym_LBRACK,
    ACTIONS(2437), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2439), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2443), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2447), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2453), 2,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(2445), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [44559] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(623), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(621), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [44606] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2491), 1,
      aux_sym_command_name_token2,
    ACTIONS(2494), 1,
      anon_sym_DQUOTE2,
    ACTIONS(2497), 1,
      sym__statement_terminator,
    STATE(965), 1,
      aux_sym_command_name_repeat1,
    ACTIONS(2488), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2472), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [44661] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2501), 1,
      aux_sym_command_name_token2,
    ACTIONS(2503), 1,
      anon_sym_DQUOTE2,
    STATE(945), 1,
      aux_sym_command_name_repeat1,
    ACTIONS(2499), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2461), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [44714] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2417), 1,
      anon_sym_LBRACK,
    ACTIONS(2419), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2421), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2425), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2447), 1,
      anon_sym_SPACE,
    ACTIONS(2455), 2,
      anon_sym_DOT2,
      anon_sym_COLON_COLON,
    ACTIONS(2445), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [44771] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(686), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(683), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [44818] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(661), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(659), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [44865] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(597), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(595), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [44912] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(615), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(613), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [44959] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(657), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(655), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [45006] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(649), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(647), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [45053] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(627), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(625), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [45100] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2503), 1,
      anon_sym_DQUOTE2,
    ACTIONS(2507), 1,
      aux_sym_command_name_token2,
    STATE(966), 1,
      aux_sym_command_name_repeat1,
    ACTIONS(2505), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2482), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [45153] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(699), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(697), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [45200] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(631), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(629), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [45247] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(723), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(721), 30,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [45294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2509), 3,
      sym__statement_terminator,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2511), 35,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      aux_sym_command_name_token2,
      anon_sym_DQUOTE2,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [45340] = 4,
    ACTIONS(81), 1,
      sym_comment,
    STATE(1040), 1,
      sym_argument_list,
    ACTIONS(593), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(591), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [45388] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2517), 3,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
    ACTIONS(2515), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2513), 27,
      anon_sym_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [45436] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2521), 1,
      aux_sym_command_name_token2,
    ACTIONS(2523), 1,
      anon_sym_DQUOTE2,
    STATE(985), 1,
      aux_sym_command_name_repeat1,
    ACTIONS(2519), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2461), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
  [45488] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2486), 1,
      sym__statement_terminator,
    ACTIONS(2527), 1,
      aux_sym_command_name_token2,
    ACTIONS(2529), 1,
      anon_sym_DQUOTE2,
    STATE(987), 1,
      aux_sym_command_name_repeat1,
    ACTIONS(2525), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2482), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
  [45542] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2531), 3,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
    ACTIONS(2515), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2513), 27,
      sym__statement_terminator,
      anon_sym_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_PIPE,
  [45590] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2536), 1,
      aux_sym_command_name_token2,
    ACTIONS(2539), 1,
      anon_sym_DQUOTE2,
    STATE(985), 1,
      aux_sym_command_name_repeat1,
    ACTIONS(2533), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2472), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
  [45642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2497), 3,
      sym__statement_terminator,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2472), 35,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      aux_sym_command_name_token2,
      anon_sym_DQUOTE2,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [45688] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2467), 1,
      sym__statement_terminator,
    ACTIONS(2529), 1,
      anon_sym_DQUOTE2,
    ACTIONS(2544), 1,
      aux_sym_command_name_token2,
    STATE(990), 1,
      aux_sym_command_name_repeat1,
    ACTIONS(2542), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2461), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
  [45742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2546), 3,
      sym__statement_terminator,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2548), 35,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      aux_sym_command_name_token2,
      anon_sym_DQUOTE2,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [45788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2497), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2472), 36,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      aux_sym_command_name_token2,
      anon_sym_DQUOTE2,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [45834] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2497), 1,
      sym__statement_terminator,
    ACTIONS(2553), 1,
      aux_sym_command_name_token2,
    ACTIONS(2556), 1,
      anon_sym_DQUOTE2,
    STATE(990), 1,
      aux_sym_command_name_repeat1,
    ACTIONS(2550), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2472), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
  [45888] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2523), 1,
      anon_sym_DQUOTE2,
    ACTIONS(2561), 1,
      aux_sym_command_name_token2,
    STATE(982), 1,
      aux_sym_command_name_repeat1,
    ACTIONS(2559), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2482), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
  [45940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2509), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2511), 36,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      aux_sym_command_name_token2,
      anon_sym_DQUOTE2,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [45986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2546), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2548), 36,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      aux_sym_command_name_token2,
      anon_sym_DQUOTE2,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [46032] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_LPAREN,
    STATE(1040), 1,
      sym_argument_list,
    ACTIONS(593), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(591), 27,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [46082] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 1,
      anon_sym_SPACE,
    ACTIONS(2565), 1,
      anon_sym_COMMA,
    STATE(995), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(767), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [46131] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(691), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(689), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [46176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2497), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2472), 35,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      aux_sym_command_name_token2,
      anon_sym_DQUOTE2,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
  [46221] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(665), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(663), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [46266] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(623), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(621), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [46311] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(711), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(709), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [46356] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(641), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(639), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [46401] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(619), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(617), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [46446] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(727), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(725), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [46491] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(707), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(705), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [46536] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(669), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(667), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [46581] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(778), 1,
      anon_sym_SPACE,
    ACTIONS(2568), 1,
      anon_sym_COMMA,
    STATE(1033), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(780), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [46630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2509), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2511), 35,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      aux_sym_command_name_token2,
      anon_sym_DQUOTE2,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
  [46675] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(627), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(625), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [46720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2546), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2548), 35,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      aux_sym_command_name_token2,
      anon_sym_DQUOTE2,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
  [46765] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(631), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(629), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [46810] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(645), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(643), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [46855] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(661), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(659), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [46900] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(611), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(609), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [46945] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(715), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(713), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [46990] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(637), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(635), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [47035] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(723), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(721), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [47080] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(695), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(693), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [47125] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(251), 7,
      sym_decimal_integer_literal,
      sym_simple_name,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT2,
    ACTIONS(253), 30,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      anon_sym_EQ,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [47170] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(731), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(729), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [47215] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(703), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(701), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [47260] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      anon_sym_COMMA,
    STATE(1035), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(772), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(774), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [47309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2497), 3,
      sym__statement_terminator,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2472), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      aux_sym_command_name_token2,
      anon_sym_DQUOTE2,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
  [47354] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(673), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(671), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [47399] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(603), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(601), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [47444] = 9,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2572), 1,
      anon_sym_LBRACK,
    ACTIONS(2574), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2576), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2578), 1,
      anon_sym_DOT2,
    ACTIONS(2580), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2582), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(637), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(635), 23,
      sym__statement_terminator,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [47501] = 9,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_LBRACK,
    ACTIONS(2586), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2588), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2590), 1,
      anon_sym_DOT2,
    ACTIONS(2592), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2594), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(637), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(635), 23,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [47558] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(653), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(651), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [47603] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      anon_sym_COMMA,
    STATE(1021), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(778), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(780), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [47652] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(657), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(655), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [47697] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(686), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(683), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [47742] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(681), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(679), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [47787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2509), 3,
      sym__statement_terminator,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2511), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      aux_sym_command_name_token2,
      anon_sym_DQUOTE2,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
  [47832] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(772), 1,
      anon_sym_SPACE,
    ACTIONS(2568), 1,
      anon_sym_COMMA,
    STATE(995), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(774), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [47881] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(597), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(595), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [47926] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2596), 1,
      anon_sym_COMMA,
    STATE(1035), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(765), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(767), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [47975] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(677), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(675), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [48020] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(615), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(613), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [48065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2546), 3,
      sym__statement_terminator,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2548), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      aux_sym_command_name_token2,
      anon_sym_DQUOTE2,
      sym_stop_parsing,
      anon_sym_SPACE,
      anon_sym_COLON,
  [48110] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(699), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(697), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [48155] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(719), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(717), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [48200] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(649), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(647), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [48245] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(607), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(605), 28,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [48290] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2599), 1,
      anon_sym_COMMA,
    STATE(1043), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(765), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(767), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [48338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(767), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [48382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_SPACE,
    STATE(1117), 1,
      sym_argument_list,
    ACTIONS(2602), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [48430] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(778), 1,
      anon_sym_SPACE,
    ACTIONS(2608), 1,
      anon_sym_COMMA,
    STATE(1063), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(780), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [48478] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2610), 1,
      anon_sym_COMMA,
    STATE(1065), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(772), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(774), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [48526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(677), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [48570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(653), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [48614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 1,
      anon_sym_SPACE,
    ACTIONS(645), 35,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [48658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(657), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [48702] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 1,
      anon_sym_SPACE,
    ACTIONS(2612), 1,
      anon_sym_COMMA,
    STATE(1052), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(767), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [48750] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2615), 1,
      anon_sym_LPAREN,
    STATE(1103), 1,
      sym_argument_list,
    ACTIONS(2606), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2602), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [48798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 1,
      anon_sym_SPACE,
    ACTIONS(653), 35,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [48842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 1,
      anon_sym_SPACE,
    ACTIONS(657), 35,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [48886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 1,
      anon_sym_SPACE,
    ACTIONS(677), 35,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [48930] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2610), 1,
      anon_sym_COMMA,
    STATE(1047), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(778), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(780), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [48978] = 9,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2572), 1,
      anon_sym_LBRACK,
    ACTIONS(2574), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2576), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2582), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2617), 1,
      anon_sym_DOT2,
    ACTIONS(2619), 1,
      anon_sym_COLON_COLON,
    ACTIONS(637), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(635), 22,
      sym__statement_terminator,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [49034] = 9,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_LBRACK,
    ACTIONS(2586), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2588), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2594), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2621), 1,
      anon_sym_DOT2,
    ACTIONS(2623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(637), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(635), 22,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [49090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(641), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [49134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 1,
      anon_sym_SPACE,
    ACTIONS(637), 35,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [49178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym_SPACE,
    ACTIONS(641), 35,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [49222] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(772), 1,
      anon_sym_SPACE,
    ACTIONS(2608), 1,
      anon_sym_COMMA,
    STATE(1052), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(774), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [49270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 1,
      anon_sym_SPACE,
    ACTIONS(767), 35,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [49314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_COMMA,
    STATE(1065), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(765), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(767), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [49362] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2628), 1,
      anon_sym_COMMA,
    STATE(1043), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(772), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(774), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [49410] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 1,
      anon_sym_SPACE,
    ACTIONS(2630), 1,
      anon_sym_COMMA,
    STATE(1067), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(767), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [49458] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(778), 1,
      anon_sym_SPACE,
    ACTIONS(2633), 1,
      anon_sym_COMMA,
    STATE(1069), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(780), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [49506] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(772), 1,
      anon_sym_SPACE,
    ACTIONS(2633), 1,
      anon_sym_COMMA,
    STATE(1067), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(774), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [49554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(637), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [49598] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2628), 1,
      anon_sym_COMMA,
    STATE(1066), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(778), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(780), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [49646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(645), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [49690] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(778), 1,
      anon_sym_SPACE,
    ACTIONS(2635), 1,
      anon_sym_COMMA,
    STATE(1098), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(780), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [49737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(637), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [49780] = 9,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2572), 1,
      anon_sym_LBRACK,
    ACTIONS(2574), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2576), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2582), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2617), 1,
      anon_sym_DOT2,
    ACTIONS(2619), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2445), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2447), 21,
      sym__statement_terminator,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_PIPE,
  [49835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2639), 1,
      anon_sym_SPACE,
    ACTIONS(2637), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [49878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym_SPACE,
    ACTIONS(641), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [49921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(677), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [49964] = 9,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_LBRACK,
    ACTIONS(2586), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2588), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2594), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2621), 1,
      anon_sym_DOT2,
    ACTIONS(2623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2445), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2447), 21,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [50019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(653), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(657), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(635), 1,
      anon_sym_SPACE,
    ACTIONS(637), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50148] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(251), 9,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
      anon_sym_DOT2,
    ACTIONS(253), 26,
      sym__statement_terminator,
      anon_sym_LBRACK,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [50191] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_SPACE,
    ACTIONS(2641), 1,
      anon_sym_LPAREN,
    STATE(1141), 1,
      sym_argument_list,
    ACTIONS(2602), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 1,
      anon_sym_SPACE,
    ACTIONS(645), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2639), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2637), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [50324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 1,
      anon_sym_SPACE,
    ACTIONS(653), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 1,
      anon_sym_SPACE,
    ACTIONS(657), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 1,
      anon_sym_SPACE,
    ACTIONS(767), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(767), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50496] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2643), 1,
      anon_sym_COMMA,
    STATE(1096), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(778), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(780), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(641), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 1,
      anon_sym_SPACE,
    ACTIONS(677), 34,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50629] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2645), 1,
      anon_sym_COMMA,
    STATE(1094), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(765), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(767), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(645), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50719] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2643), 1,
      anon_sym_COMMA,
    STATE(1094), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(772), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(774), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50766] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 1,
      anon_sym_SPACE,
    ACTIONS(2648), 1,
      anon_sym_COMMA,
    STATE(1097), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(767), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50813] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(772), 1,
      anon_sym_SPACE,
    ACTIONS(2635), 1,
      anon_sym_COMMA,
    STATE(1097), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(774), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50860] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2651), 1,
      anon_sym_LPAREN,
    STATE(1139), 1,
      sym_argument_list,
    ACTIONS(2606), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2602), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [50907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2447), 1,
      anon_sym_SPACE,
    ACTIONS(2445), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [50949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2655), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2653), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [50991] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2661), 1,
      anon_sym_SEMI,
    STATE(1118), 1,
      aux_sym_script_block_repeat1,
    ACTIONS(2657), 5,
      sym_decimal_integer_literal,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2659), 27,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      sym_simple_name,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [51037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2665), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2663), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [51079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2669), 1,
      anon_sym_SPACE,
    ACTIONS(2667), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [51121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2655), 1,
      anon_sym_SPACE,
    ACTIONS(2653), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [51163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2451), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2449), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [51205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(631), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [51247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(625), 1,
      anon_sym_SPACE,
    ACTIONS(627), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [51289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2673), 1,
      anon_sym_SPACE,
    ACTIONS(2671), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [51331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2673), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2671), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [51373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2639), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2637), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [51415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2639), 1,
      anon_sym_SPACE,
    ACTIONS(2637), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [51457] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2679), 1,
      anon_sym_SEMI,
    STATE(1102), 1,
      aux_sym_script_block_repeat1,
    ACTIONS(2675), 5,
      sym_decimal_integer_literal,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2677), 27,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      sym_simple_name,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [51503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2447), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2445), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [51545] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(251), 6,
      sym_decimal_integer_literal,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT2,
    ACTIONS(253), 28,
      sym__statement_terminator,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
      anon_sym_COLON_COLON,
      aux_sym_invokation_foreach_expression_token1,
  [51587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2451), 1,
      anon_sym_SPACE,
    ACTIONS(2449), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [51629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2665), 1,
      anon_sym_SPACE,
    ACTIONS(2663), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [51671] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2683), 1,
      anon_sym_SEMI,
    STATE(1118), 1,
      aux_sym_script_block_repeat1,
    ACTIONS(1439), 5,
      sym_decimal_integer_literal,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2681), 27,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      sym_simple_name,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [51717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 1,
      anon_sym_SPACE,
    ACTIONS(631), 33,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [51759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(625), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(627), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [51801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2669), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2667), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
      anon_sym_DASH_DASH_PERCENT,
  [51843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(631), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [51884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2655), 1,
      anon_sym_SPACE,
    ACTIONS(2653), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [51925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(625), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(627), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [51966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2673), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2671), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [52007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2669), 1,
      anon_sym_SPACE,
    ACTIONS(2667), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [52048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2447), 1,
      anon_sym_SPACE,
    ACTIONS(2445), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [52089] = 8,
    ACTIONS(81), 1,
      sym_comment,
    STATE(730), 1,
      sym_file_redirection_operator,
    STATE(1153), 1,
      sym_merging_redirection_operator,
    ACTIONS(2686), 2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
    STATE(1135), 2,
      sym_redirection,
      aux_sym_redirections_repeat1,
    ACTIONS(2383), 7,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
    ACTIONS(2256), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2393), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
  [52140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2451), 1,
      anon_sym_SPACE,
    ACTIONS(2449), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [52181] = 8,
    ACTIONS(81), 1,
      sym_comment,
    STATE(737), 1,
      sym_file_redirection_operator,
    STATE(1156), 1,
      sym_merging_redirection_operator,
    ACTIONS(2686), 2,
      sym__statement_terminator,
      anon_sym_PIPE,
    STATE(1133), 2,
      sym_redirection,
      aux_sym_redirections_repeat1,
    ACTIONS(2383), 7,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
    ACTIONS(2256), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2385), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
  [52232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2673), 1,
      anon_sym_SPACE,
    ACTIONS(2671), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [52273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2655), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2653), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [52314] = 8,
    ACTIONS(81), 1,
      sym_comment,
    STATE(737), 1,
      sym_file_redirection_operator,
    STATE(1156), 1,
      sym_merging_redirection_operator,
    ACTIONS(2697), 2,
      sym__statement_terminator,
      anon_sym_PIPE,
    STATE(1133), 2,
      sym_redirection,
      aux_sym_redirections_repeat1,
    ACTIONS(2691), 7,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
    ACTIONS(2688), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2694), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
  [52365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2451), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2449), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [52406] = 8,
    ACTIONS(81), 1,
      sym_comment,
    STATE(730), 1,
      sym_file_redirection_operator,
    STATE(1153), 1,
      sym_merging_redirection_operator,
    ACTIONS(2697), 2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
    STATE(1135), 2,
      sym_redirection,
      aux_sym_redirections_repeat1,
    ACTIONS(2691), 7,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
    ACTIONS(2688), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2699), 12,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
  [52457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 1,
      anon_sym_SPACE,
    ACTIONS(631), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [52498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2447), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2445), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [52539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2669), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2667), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [52580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2665), 2,
      sym__statement_terminator,
      anon_sym_SPACE,
    ACTIONS(2663), 31,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [52621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(625), 1,
      anon_sym_SPACE,
    ACTIONS(627), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [52662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2665), 1,
      anon_sym_SPACE,
    ACTIONS(2663), 32,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_2_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_LT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      sym_command_parameter,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      sym_stop_parsing,
      anon_sym_COLON,
  [52703] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2702), 1,
      anon_sym_COMMA,
    STATE(1147), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(774), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(772), 21,
      sym__statement_terminator,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_PIPE,
  [52746] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2702), 1,
      anon_sym_COMMA,
    STATE(1142), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(780), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(778), 21,
      sym__statement_terminator,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_PIPE,
  [52789] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2704), 1,
      anon_sym_COMMA,
    STATE(1145), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(780), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(778), 21,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [52832] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2704), 1,
      anon_sym_COMMA,
    STATE(1146), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(774), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(772), 21,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [52875] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2706), 1,
      anon_sym_COMMA,
    STATE(1146), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(767), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(765), 21,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [52918] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2709), 1,
      anon_sym_COMMA,
    STATE(1147), 1,
      aux_sym_array_literal_expression_repeat1,
    ACTIONS(767), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(765), 21,
      sym__statement_terminator,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_PIPE,
  [52961] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2712), 5,
      sym_decimal_integer_literal,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2714), 25,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [52999] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2716), 5,
      sym_decimal_integer_literal,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2718), 25,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      aux_sym_comparison_operator_token37,
      aux_sym_comparison_operator_token50,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_expression_with_unary_operator_token1,
      anon_sym_BANG,
      aux_sym_expression_with_unary_operator_token2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [53037] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2653), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2655), 21,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [53074] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2667), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2669), 21,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [53111] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2637), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2639), 21,
      sym__statement_terminator,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_PIPE,
  [53148] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2671), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2673), 21,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [53185] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2445), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2447), 21,
      sym__statement_terminator,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_PIPE,
  [53222] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2637), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2639), 21,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [53259] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2671), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2673), 21,
      sym__statement_terminator,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_PIPE,
  [53296] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2667), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2669), 21,
      sym__statement_terminator,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_PIPE,
  [53333] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2653), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2655), 21,
      sym__statement_terminator,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_PIPE,
  [53370] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2445), 8,
      anon_sym_GT,
      anon_sym_2_GT,
      anon_sym_3_GT,
      anon_sym_4_GT,
      anon_sym_5_GT,
      anon_sym_6_GT,
      anon_sym_STAR_GT,
      anon_sym_LT,
    ACTIONS(2447), 21,
      anon_sym_GT_GT,
      anon_sym_2_GT_GT,
      anon_sym_3_GT_GT,
      anon_sym_4_GT_GT,
      anon_sym_5_GT_GT,
      anon_sym_6_GT_GT,
      anon_sym_STAR_GT_GT,
      anon_sym_STAR_GT_AMP1,
      anon_sym_2_GT_AMP1,
      anon_sym_3_GT_AMP1,
      anon_sym_4_GT_AMP1,
      anon_sym_5_GT_AMP1,
      anon_sym_6_GT_AMP1,
      anon_sym_STAR_GT_AMP2,
      anon_sym_1_GT_AMP2,
      anon_sym_3_GT_AMP2,
      anon_sym_4_GT_AMP2,
      anon_sym_5_GT_AMP2,
      anon_sym_6_GT_AMP2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [53407] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2722), 1,
      anon_sym_SEMI,
    STATE(1161), 1,
      aux_sym_script_block_repeat1,
    ACTIONS(2720), 22,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym__command_token,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [53441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2724), 1,
      anon_sym_SEMI,
    STATE(1161), 1,
      aux_sym_script_block_repeat1,
    ACTIONS(1439), 22,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym__command_token,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [53475] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2729), 1,
      anon_sym_SEMI,
    STATE(1160), 1,
      aux_sym_script_block_repeat1,
    ACTIONS(2727), 22,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      sym__command_token,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [53509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2733), 1,
      anon_sym_SPACE,
    ACTIONS(2731), 21,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [53539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2735), 22,
      sym_decimal_integer_literal,
      sym_hexadecimal_integer_literal,
      sym_real_literal,
      aux_sym_expandable_string_literal_token1,
      aux_sym_expandable_here_string_literal_token1,
      sym_verbatim_string_characters,
      sym_verbatim_here_string_characters,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      aux_sym_command_name_token1,
      sym_path_command_name_token,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_AT_LPAREN,
      anon_sym_AT_LBRACE,
  [53567] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2737), 1,
      sym_simple_name,
    ACTIONS(2739), 1,
      anon_sym_LBRACK,
    ACTIONS(2741), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2743), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1170), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [53615] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2737), 1,
      sym_simple_name,
    ACTIONS(2739), 1,
      anon_sym_LBRACK,
    ACTIONS(2745), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2743), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1169), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [53663] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2737), 1,
      sym_simple_name,
    ACTIONS(2739), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2743), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1170), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [53711] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2737), 1,
      sym_simple_name,
    ACTIONS(2739), 1,
      anon_sym_LBRACK,
    ACTIONS(2749), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2743), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1182), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [53759] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2737), 1,
      sym_simple_name,
    ACTIONS(2739), 1,
      anon_sym_LBRACK,
    ACTIONS(2751), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2743), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1170), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [53807] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2753), 1,
      sym_simple_name,
    ACTIONS(2756), 1,
      anon_sym_LBRACK,
    ACTIONS(2765), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(2762), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2767), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1170), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(2759), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [53855] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2737), 1,
      sym_simple_name,
    ACTIONS(2739), 1,
      anon_sym_LBRACK,
    ACTIONS(2770), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2743), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1173), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [53903] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2737), 1,
      sym_simple_name,
    ACTIONS(2739), 1,
      anon_sym_LBRACK,
    ACTIONS(2772), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2743), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1174), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [53951] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2737), 1,
      sym_simple_name,
    ACTIONS(2739), 1,
      anon_sym_LBRACK,
    ACTIONS(2774), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2743), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1170), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [53999] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2737), 1,
      sym_simple_name,
    ACTIONS(2739), 1,
      anon_sym_LBRACK,
    ACTIONS(2776), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2743), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1170), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54047] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2737), 1,
      sym_simple_name,
    ACTIONS(2739), 1,
      anon_sym_LBRACK,
    ACTIONS(2778), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2743), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1176), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54095] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2737), 1,
      sym_simple_name,
    ACTIONS(2739), 1,
      anon_sym_LBRACK,
    ACTIONS(2780), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2743), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1170), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54143] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2737), 1,
      sym_simple_name,
    ACTIONS(2739), 1,
      anon_sym_LBRACK,
    ACTIONS(2780), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2743), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1178), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54191] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2737), 1,
      sym_simple_name,
    ACTIONS(2739), 1,
      anon_sym_LBRACK,
    ACTIONS(2782), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2743), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1170), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54239] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2737), 1,
      sym_simple_name,
    ACTIONS(2739), 1,
      anon_sym_LBRACK,
    ACTIONS(2784), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2743), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1170), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54287] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2737), 1,
      sym_simple_name,
    ACTIONS(2739), 1,
      anon_sym_LBRACK,
    ACTIONS(2774), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2743), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1167), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54335] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2737), 1,
      sym_simple_name,
    ACTIONS(2739), 1,
      anon_sym_LBRACK,
    ACTIONS(2786), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2743), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1179), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54383] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2737), 1,
      sym_simple_name,
    ACTIONS(2739), 1,
      anon_sym_LBRACK,
    ACTIONS(2788), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2743), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1170), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54431] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2737), 1,
      sym_simple_name,
    ACTIONS(2739), 1,
      anon_sym_LBRACK,
    ACTIONS(2790), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2743), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1184), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54479] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2737), 1,
      sym_simple_name,
    ACTIONS(2739), 1,
      anon_sym_LBRACK,
    ACTIONS(2792), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2743), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1170), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54527] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2737), 1,
      sym_simple_name,
    ACTIONS(2739), 1,
      anon_sym_LBRACK,
    ACTIONS(2792), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2743), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1165), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54575] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2737), 1,
      sym_simple_name,
    ACTIONS(2739), 1,
      anon_sym_LBRACK,
    ACTIONS(2794), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2743), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1187), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54623] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2737), 1,
      sym_simple_name,
    ACTIONS(2739), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2743), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1170), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54671] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2737), 1,
      sym_simple_name,
    ACTIONS(2739), 1,
      anon_sym_LBRACK,
    ACTIONS(2798), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2743), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1189), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54719] = 13,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2737), 1,
      sym_simple_name,
    ACTIONS(2739), 1,
      anon_sym_LBRACK,
    ACTIONS(2745), 1,
      anon_sym_RBRACE,
    STATE(1246), 1,
      sym_attribute,
    STATE(1267), 1,
      sym_type_literal,
    STATE(1640), 1,
      sym_variable,
    STATE(1906), 1,
      sym_class_property_definition,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2743), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1170), 2,
      sym_class_method_definition,
      aux_sym_class_statement_repeat2,
    STATE(1245), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54767] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2804), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2806), 1,
      anon_sym_DQUOTE,
    ACTIONS(2808), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(986), 1,
      sym__expandable_string_literal_immediate,
    STATE(1531), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
    STATE(1212), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym__expandable_string_literal_immediate_repeat1,
    ACTIONS(2802), 4,
      aux_sym__expandable_string_literal_immediate_token1,
      aux_sym__expandable_string_literal_immediate_token2,
      aux_sym__expandable_string_literal_immediate_token3,
      anon_sym_DQUOTE_DQUOTE2,
    ACTIONS(2800), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54806] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2812), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2814), 1,
      anon_sym_DQUOTE,
    STATE(997), 1,
      sym__expandable_string_literal_immediate,
    STATE(1471), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
    STATE(1213), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym__expandable_string_literal_immediate_repeat1,
    ACTIONS(2810), 4,
      aux_sym__expandable_string_literal_immediate_token1,
      aux_sym__expandable_string_literal_immediate_token2,
      aux_sym__expandable_string_literal_immediate_token3,
      anon_sym_DQUOTE_DQUOTE2,
    ACTIONS(2800), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54845] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2818), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2820), 1,
      anon_sym_DQUOTE,
    STATE(1351), 1,
      sym__expandable_string_literal_immediate,
    STATE(1438), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
    STATE(1206), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym__expandable_string_literal_immediate_repeat1,
    ACTIONS(2816), 4,
      aux_sym__expandable_string_literal_immediate_token1,
      aux_sym__expandable_string_literal_immediate_token2,
      aux_sym__expandable_string_literal_immediate_token3,
      anon_sym_DQUOTE_DQUOTE2,
    ACTIONS(2800), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54884] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2824), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2826), 1,
      anon_sym_DQUOTE,
    STATE(989), 1,
      sym__expandable_string_literal_immediate,
    STATE(1492), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
    STATE(1208), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym__expandable_string_literal_immediate_repeat1,
    ACTIONS(2822), 4,
      aux_sym__expandable_string_literal_immediate_token1,
      aux_sym__expandable_string_literal_immediate_token2,
      aux_sym__expandable_string_literal_immediate_token3,
      anon_sym_DQUOTE_DQUOTE2,
    ACTIONS(2800), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54923] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2830), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2832), 1,
      anon_sym_DQUOTE,
    STATE(1022), 1,
      sym__expandable_string_literal_immediate,
    STATE(1460), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
    STATE(1214), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym__expandable_string_literal_immediate_repeat1,
    ACTIONS(2828), 4,
      aux_sym__expandable_string_literal_immediate_token1,
      aux_sym__expandable_string_literal_immediate_token2,
      aux_sym__expandable_string_literal_immediate_token3,
      anon_sym_DQUOTE_DQUOTE2,
    ACTIONS(2800), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [54962] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2834), 1,
      aux_sym_expandable_string_literal_token2,
    ACTIONS(2838), 1,
      anon_sym_DOLLAR,
    ACTIONS(2840), 1,
      aux_sym_expandable_string_literal_token5,
    ACTIONS(2844), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(1470), 1,
      aux_sym_expandable_string_literal_repeat2,
    ACTIONS(2836), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1230), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(2842), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55000] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2838), 1,
      anon_sym_DOLLAR,
    ACTIONS(2844), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2846), 1,
      aux_sym_expandable_string_literal_token2,
    ACTIONS(2850), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1473), 1,
      aux_sym_expandable_string_literal_repeat2,
    ACTIONS(2848), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1204), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(2842), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55038] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2838), 1,
      anon_sym_DOLLAR,
    ACTIONS(2844), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2852), 1,
      aux_sym_expandable_string_literal_token2,
    ACTIONS(2856), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1477), 1,
      aux_sym_expandable_string_literal_repeat2,
    ACTIONS(2854), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1198), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(2842), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55076] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2834), 1,
      aux_sym_expandable_string_literal_token2,
    ACTIONS(2838), 1,
      anon_sym_DOLLAR,
    ACTIONS(2844), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2858), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1478), 1,
      aux_sym_expandable_string_literal_repeat2,
    ACTIONS(2836), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1230), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(2842), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55114] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2838), 1,
      anon_sym_DOLLAR,
    ACTIONS(2844), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2860), 1,
      aux_sym_expandable_string_literal_token2,
    ACTIONS(2864), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1480), 1,
      aux_sym_expandable_string_literal_repeat2,
    ACTIONS(2862), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1200), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(2842), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55152] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2834), 1,
      aux_sym_expandable_string_literal_token2,
    ACTIONS(2838), 1,
      anon_sym_DOLLAR,
    ACTIONS(2844), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2866), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1481), 1,
      aux_sym_expandable_string_literal_repeat2,
    ACTIONS(2836), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1230), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(2842), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55190] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2834), 1,
      aux_sym_expandable_string_literal_token2,
    ACTIONS(2838), 1,
      anon_sym_DOLLAR,
    ACTIONS(2844), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2868), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1543), 1,
      aux_sym_expandable_string_literal_repeat2,
    ACTIONS(2836), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1230), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(2842), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55228] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2838), 1,
      anon_sym_DOLLAR,
    ACTIONS(2844), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2870), 1,
      aux_sym_expandable_string_literal_token2,
    ACTIONS(2874), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1538), 1,
      aux_sym_expandable_string_literal_repeat2,
    ACTIONS(2872), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1215), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(2842), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55266] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2838), 1,
      anon_sym_DOLLAR,
    ACTIONS(2844), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2876), 1,
      aux_sym_expandable_string_literal_token2,
    ACTIONS(2880), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1540), 1,
      aux_sym_expandable_string_literal_repeat2,
    ACTIONS(2878), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1205), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(2842), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55304] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2834), 1,
      aux_sym_expandable_string_literal_token2,
    ACTIONS(2838), 1,
      anon_sym_DOLLAR,
    ACTIONS(2844), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2882), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1475), 1,
      aux_sym_expandable_string_literal_repeat2,
    ACTIONS(2836), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1230), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(2842), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55342] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2834), 1,
      aux_sym_expandable_string_literal_token2,
    ACTIONS(2838), 1,
      anon_sym_DOLLAR,
    ACTIONS(2844), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2884), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1435), 1,
      aux_sym_expandable_string_literal_repeat2,
    ACTIONS(2836), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1230), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(2842), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55380] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2888), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2890), 1,
      anon_sym_DQUOTE,
    STATE(1442), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
    STATE(1222), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym__expandable_string_literal_immediate_repeat1,
    ACTIONS(2886), 4,
      aux_sym__expandable_string_literal_immediate_token1,
      aux_sym__expandable_string_literal_immediate_token2,
      aux_sym__expandable_string_literal_immediate_token3,
      anon_sym_DQUOTE_DQUOTE2,
    ACTIONS(2800), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55416] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2838), 1,
      anon_sym_DOLLAR,
    ACTIONS(2844), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2892), 1,
      aux_sym_expandable_string_literal_token2,
    ACTIONS(2896), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1467), 1,
      aux_sym_expandable_string_literal_repeat2,
    ACTIONS(2894), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1195), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(2842), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55454] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2898), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2900), 1,
      anon_sym_DQUOTE,
    STATE(1444), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
    STATE(1222), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym__expandable_string_literal_immediate_repeat1,
    ACTIONS(2886), 4,
      aux_sym__expandable_string_literal_immediate_token1,
      aux_sym__expandable_string_literal_immediate_token2,
      aux_sym__expandable_string_literal_immediate_token3,
      anon_sym_DQUOTE_DQUOTE2,
    ACTIONS(2800), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55490] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2838), 1,
      anon_sym_DOLLAR,
    ACTIONS(2844), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2902), 1,
      aux_sym_expandable_string_literal_token2,
    ACTIONS(2906), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1489), 1,
      aux_sym_expandable_string_literal_repeat2,
    ACTIONS(2904), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1201), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(2842), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55528] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2838), 1,
      anon_sym_DOLLAR,
    ACTIONS(2844), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2908), 1,
      aux_sym_expandable_string_literal_token2,
    ACTIONS(2912), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1456), 1,
      aux_sym_expandable_string_literal_repeat2,
    ACTIONS(2910), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1211), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(2842), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55566] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2834), 1,
      aux_sym_expandable_string_literal_token2,
    ACTIONS(2838), 1,
      anon_sym_DOLLAR,
    ACTIONS(2844), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2914), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1458), 1,
      aux_sym_expandable_string_literal_repeat2,
    ACTIONS(2836), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1230), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(2842), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55604] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2916), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2918), 1,
      anon_sym_DQUOTE,
    STATE(1485), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
    STATE(1222), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym__expandable_string_literal_immediate_repeat1,
    ACTIONS(2886), 4,
      aux_sym__expandable_string_literal_immediate_token1,
      aux_sym__expandable_string_literal_immediate_token2,
      aux_sym__expandable_string_literal_immediate_token3,
      anon_sym_DQUOTE_DQUOTE2,
    ACTIONS(2800), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55640] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2920), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2922), 1,
      anon_sym_DQUOTE,
    STATE(1472), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
    STATE(1222), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym__expandable_string_literal_immediate_repeat1,
    ACTIONS(2886), 4,
      aux_sym__expandable_string_literal_immediate_token1,
      aux_sym__expandable_string_literal_immediate_token2,
      aux_sym__expandable_string_literal_immediate_token3,
      anon_sym_DQUOTE_DQUOTE2,
    ACTIONS(2800), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55676] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2924), 1,
      anon_sym_DOLLAR2,
    ACTIONS(2926), 1,
      anon_sym_DQUOTE,
    STATE(1462), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
    STATE(1222), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym__expandable_string_literal_immediate_repeat1,
    ACTIONS(2886), 4,
      aux_sym__expandable_string_literal_immediate_token1,
      aux_sym__expandable_string_literal_immediate_token2,
      aux_sym__expandable_string_literal_immediate_token3,
      anon_sym_DQUOTE_DQUOTE2,
    ACTIONS(2800), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55712] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2834), 1,
      aux_sym_expandable_string_literal_token2,
    ACTIONS(2838), 1,
      anon_sym_DOLLAR,
    ACTIONS(2844), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2928), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1544), 1,
      aux_sym_expandable_string_literal_repeat2,
    ACTIONS(2836), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1230), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(2842), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55750] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2934), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(2938), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2930), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(2932), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1220), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2936), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55783] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2944), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(2940), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(2942), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1227), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2936), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55816] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2950), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(2946), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(2948), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1229), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2936), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55849] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2956), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(2952), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(2954), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1226), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2936), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55882] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2964), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(2969), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2958), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(2961), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1220), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2966), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55915] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2972), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(2930), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(2932), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1220), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2936), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55948] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2982), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2980), 2,
      anon_sym_DOLLAR2,
      anon_sym_DQUOTE,
    STATE(1222), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym__expandable_string_literal_immediate_repeat1,
    ACTIONS(2977), 4,
      aux_sym__expandable_string_literal_immediate_token1,
      aux_sym__expandable_string_literal_immediate_token2,
      aux_sym__expandable_string_literal_immediate_token3,
      anon_sym_DQUOTE_DQUOTE2,
    ACTIONS(2974), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [55979] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2989), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(2985), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(2987), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1233), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2936), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56012] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2991), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(2930), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(2932), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1220), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2936), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56045] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2997), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(2993), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(2995), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1228), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2936), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56078] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2999), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(2930), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(2932), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1220), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2936), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56111] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3001), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(2930), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(2932), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1220), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2936), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56144] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3003), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(2930), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(2932), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1220), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2936), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56177] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3005), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(2930), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(2932), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1220), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2936), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56210] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 1,
      aux_sym_expandable_string_literal_token5,
    ACTIONS(3018), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3007), 2,
      aux_sym_expandable_string_literal_token2,
      anon_sym_DOLLAR,
    ACTIONS(3010), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    STATE(1230), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_string_literal_repeat1,
    ACTIONS(3015), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56243] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3025), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(3021), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(3023), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1221), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2936), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56276] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3031), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(3027), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(3029), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1224), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2936), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56309] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3033), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(2930), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(2932), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1220), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2936), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56342] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3039), 1,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(3035), 2,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
    ACTIONS(3037), 3,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
    STATE(1216), 3,
      sym_variable,
      sym_sub_expression,
      aux_sym_expandable_here_string_literal_repeat1,
    ACTIONS(2936), 7,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56375] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(597), 6,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      sym_path_command_name_token,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(595), 10,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_COLON_COLON,
  [56399] = 11,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3041), 1,
      anon_sym_LBRACK,
    ACTIONS(3043), 1,
      anon_sym_RPAREN,
    STATE(1295), 1,
      sym_type_literal,
    STATE(1311), 1,
      sym_attribute_list,
    STATE(1420), 1,
      sym_variable,
    STATE(1465), 1,
      sym_script_parameter,
    STATE(2065), 1,
      sym_parameter_list,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    STATE(1272), 2,
      sym_attribute,
      aux_sym_attribute_list_repeat1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56439] = 11,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3041), 1,
      anon_sym_LBRACK,
    ACTIONS(3045), 1,
      anon_sym_RPAREN,
    STATE(1295), 1,
      sym_type_literal,
    STATE(1311), 1,
      sym_attribute_list,
    STATE(1420), 1,
      sym_variable,
    STATE(1465), 1,
      sym_script_parameter,
    STATE(2149), 1,
      sym_parameter_list,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    STATE(1272), 2,
      sym_attribute,
      aux_sym_attribute_list_repeat1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56479] = 11,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3041), 1,
      anon_sym_LBRACK,
    ACTIONS(3047), 1,
      anon_sym_RPAREN,
    STATE(1295), 1,
      sym_type_literal,
    STATE(1311), 1,
      sym_attribute_list,
    STATE(1420), 1,
      sym_variable,
    STATE(1465), 1,
      sym_script_parameter,
    STATE(2074), 1,
      sym_parameter_list,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    STATE(1272), 2,
      sym_attribute,
      aux_sym_attribute_list_repeat1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56519] = 11,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3041), 1,
      anon_sym_LBRACK,
    ACTIONS(3049), 1,
      anon_sym_RPAREN,
    STATE(1295), 1,
      sym_type_literal,
    STATE(1311), 1,
      sym_attribute_list,
    STATE(1420), 1,
      sym_variable,
    STATE(1465), 1,
      sym_script_parameter,
    STATE(1961), 1,
      sym_parameter_list,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    STATE(1272), 2,
      sym_attribute,
      aux_sym_attribute_list_repeat1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56559] = 11,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3041), 1,
      anon_sym_LBRACK,
    ACTIONS(3051), 1,
      anon_sym_RPAREN,
    STATE(1295), 1,
      sym_type_literal,
    STATE(1311), 1,
      sym_attribute_list,
    STATE(1420), 1,
      sym_variable,
    STATE(1465), 1,
      sym_script_parameter,
    STATE(1965), 1,
      sym_parameter_list,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    STATE(1272), 2,
      sym_attribute,
      aux_sym_attribute_list_repeat1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56599] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2080), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(95), 3,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_COLON_COLON,
    ACTIONS(97), 3,
      anon_sym_DASH_DASH,
      anon_sym_DOT2,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(2078), 3,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      sym_path_command_name_token,
    ACTIONS(3053), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56629] = 11,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3041), 1,
      anon_sym_LBRACK,
    ACTIONS(3055), 1,
      anon_sym_RPAREN,
    STATE(1295), 1,
      sym_type_literal,
    STATE(1311), 1,
      sym_attribute_list,
    STATE(1420), 1,
      sym_variable,
    STATE(1465), 1,
      sym_script_parameter,
    STATE(1766), 1,
      sym_parameter_list,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    STATE(1272), 2,
      sym_attribute,
      aux_sym_attribute_list_repeat1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56669] = 11,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3041), 1,
      anon_sym_LBRACK,
    ACTIONS(3057), 1,
      anon_sym_RPAREN,
    STATE(1295), 1,
      sym_type_literal,
    STATE(1311), 1,
      sym_attribute_list,
    STATE(1420), 1,
      sym_variable,
    STATE(1465), 1,
      sym_script_parameter,
    STATE(1787), 1,
      sym_parameter_list,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    STATE(1272), 2,
      sym_attribute,
      aux_sym_attribute_list_repeat1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56709] = 9,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3059), 1,
      sym_simple_name,
    ACTIONS(3061), 1,
      anon_sym_LBRACK,
    STATE(1293), 1,
      sym_type_literal,
    STATE(1614), 1,
      sym_variable,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2743), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1264), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56744] = 9,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3061), 1,
      anon_sym_LBRACK,
    ACTIONS(3063), 1,
      sym_simple_name,
    STATE(1296), 1,
      sym_type_literal,
    STATE(1716), 1,
      sym_variable,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2743), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1264), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56779] = 9,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3061), 1,
      anon_sym_LBRACK,
    ACTIONS(3063), 1,
      sym_simple_name,
    STATE(1296), 1,
      sym_type_literal,
    STATE(1716), 1,
      sym_variable,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2743), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1244), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(621), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(623), 11,
      aux_sym_expandable_string_literal_token2,
      anon_sym_DOLLAR,
      aux_sym_expandable_string_literal_token5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_DOLLAR_LPAREN,
  [56836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(619), 14,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      aux_sym__expandable_string_literal_immediate_token1,
      aux_sym__expandable_string_literal_immediate_token2,
      aux_sym__expandable_string_literal_immediate_token3,
      anon_sym_DQUOTE_DQUOTE2,
      anon_sym_DOLLAR2,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR_LPAREN,
  [56856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(621), 3,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(623), 11,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_DOLLAR_LPAREN,
  [56878] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3069), 1,
      anon_sym_SEMI,
    STATE(1255), 1,
      aux_sym_script_block_repeat1,
    ACTIONS(3065), 3,
      sym_simple_name,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(3067), 9,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_RBRACE,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
  [56904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(623), 14,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      aux_sym__expandable_string_literal_immediate_token1,
      aux_sym__expandable_string_literal_immediate_token2,
      aux_sym__expandable_string_literal_immediate_token3,
      anon_sym_DQUOTE_DQUOTE2,
      anon_sym_DOLLAR2,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR_LPAREN,
  [56924] = 9,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3041), 1,
      anon_sym_LBRACK,
    STATE(1295), 1,
      sym_type_literal,
    STATE(1311), 1,
      sym_attribute_list,
    STATE(1420), 1,
      sym_variable,
    STATE(1666), 1,
      sym_script_parameter,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    STATE(1272), 2,
      sym_attribute,
      aux_sym_attribute_list_repeat1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [56958] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3075), 2,
      anon_sym_DOLLAR,
      aux_sym_expandable_string_literal_token5,
    ACTIONS(3073), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(3071), 9,
      aux_sym_expandable_string_literal_token2,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_DOLLAR_LPAREN,
  [56982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(597), 11,
      aux_sym_expandable_string_literal_token2,
      anon_sym_DOLLAR,
      aux_sym_expandable_string_literal_token5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_DOLLAR_LPAREN,
  [57004] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3078), 1,
      anon_sym_SEMI,
    STATE(1255), 1,
      aux_sym_script_block_repeat1,
    ACTIONS(1439), 3,
      sym_simple_name,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2681), 9,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_RBRACE,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
  [57030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(597), 14,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      aux_sym__expandable_string_literal_immediate_token1,
      aux_sym__expandable_string_literal_immediate_token2,
      aux_sym__expandable_string_literal_immediate_token3,
      anon_sym_DQUOTE_DQUOTE2,
      anon_sym_DOLLAR2,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR_LPAREN,
  [57050] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3083), 1,
      anon_sym_SEMI,
    STATE(1250), 1,
      aux_sym_script_block_repeat1,
    ACTIONS(3081), 3,
      sym_simple_name,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(2765), 9,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_RBRACE,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
  [57076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 3,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(597), 11,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_DOLLAR_LPAREN,
  [57098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 3,
      aux_sym_expandable_string_literal_token4,
      aux_sym_expandable_here_string_literal_token4,
      aux_sym_expandable_here_string_literal_token5,
    ACTIONS(619), 11,
      anon_sym_DOLLAR,
      aux_sym_expandable_here_string_literal_token2,
      aux_sym_expandable_here_string_literal_token3,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_DOLLAR_LPAREN,
  [57120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 3,
      aux_sym_expandable_string_literal_token3,
      aux_sym_expandable_string_literal_token4,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(619), 11,
      aux_sym_expandable_string_literal_token2,
      anon_sym_DOLLAR,
      aux_sym_expandable_string_literal_token5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_DOLLAR_LPAREN,
  [57142] = 9,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(3085), 1,
      anon_sym_RPAREN,
    STATE(1308), 1,
      sym_type_literal,
    STATE(1525), 1,
      sym_class_method_parameter,
    STATE(1601), 1,
      sym_variable,
    STATE(2033), 1,
      sym_class_method_parameter_list,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [57175] = 9,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(3087), 1,
      anon_sym_RPAREN,
    STATE(1308), 1,
      sym_type_literal,
    STATE(1525), 1,
      sym_class_method_parameter,
    STATE(1601), 1,
      sym_variable,
    STATE(2147), 1,
      sym_class_method_parameter_list,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [57208] = 9,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(3089), 1,
      anon_sym_RPAREN,
    STATE(1308), 1,
      sym_type_literal,
    STATE(1525), 1,
      sym_class_method_parameter,
    STATE(1601), 1,
      sym_variable,
    STATE(1738), 1,
      sym_class_method_parameter_list,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [57241] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3095), 2,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    STATE(1264), 2,
      sym_class_attribute,
      aux_sym_class_property_definition_repeat1,
    ACTIONS(3091), 3,
      sym_simple_name,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(3093), 6,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [57266] = 9,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(3098), 1,
      anon_sym_RPAREN,
    STATE(1308), 1,
      sym_type_literal,
    STATE(1525), 1,
      sym_class_method_parameter,
    STATE(1601), 1,
      sym_variable,
    STATE(1851), 1,
      sym_class_method_parameter_list,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [57299] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3100), 3,
      sym_simple_name,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(3102), 9,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_RBRACE,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
  [57319] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3104), 1,
      sym_simple_name,
    STATE(1716), 1,
      sym_variable,
    ACTIONS(3110), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(103), 3,
      anon_sym_LBRACK,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
    ACTIONS(3107), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [57345] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3113), 3,
      sym_simple_name,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(3115), 9,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_RBRACE,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
  [57365] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3123), 1,
      sym_path_command_name_token,
    ACTIONS(2242), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(3120), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    STATE(1269), 2,
      sym_variable,
      aux_sym_path_command_name_repeat1,
    ACTIONS(3117), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [57391] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3126), 3,
      sym_simple_name,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(3128), 9,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_RBRACE,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
  [57411] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3134), 1,
      sym_path_command_name_token,
    ACTIONS(2228), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(3132), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    STATE(1269), 2,
      sym_variable,
      aux_sym_path_command_name_repeat1,
    ACTIONS(3130), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [57437] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3041), 1,
      anon_sym_LBRACK,
    STATE(1295), 1,
      sym_type_literal,
    ACTIONS(3138), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    STATE(1278), 2,
      sym_attribute,
      aux_sym_attribute_list_repeat1,
    ACTIONS(3136), 6,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      aux_sym_param_block_token1,
  [57463] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3140), 3,
      sym_simple_name,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(3142), 9,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_RBRACE,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
  [57483] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1504), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1517), 11,
      anon_sym_RPAREN,
      aux_sym_block_name_token1,
      aux_sym_block_name_token2,
      aux_sym_block_name_token3,
      aux_sym_block_name_token4,
      anon_sym_RBRACE,
      aux_sym_elseif_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token2,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
  [57503] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3144), 3,
      sym_simple_name,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(3146), 9,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_RBRACE,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
  [57523] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1464), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1515), 11,
      anon_sym_RPAREN,
      aux_sym_block_name_token1,
      aux_sym_block_name_token2,
      aux_sym_block_name_token3,
      aux_sym_block_name_token4,
      anon_sym_RBRACE,
      aux_sym_elseif_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token2,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
  [57543] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3148), 3,
      sym_simple_name,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(3150), 9,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_RBRACE,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
  [57563] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_LBRACK,
    STATE(1295), 1,
      sym_type_literal,
    ACTIONS(3157), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    STATE(1278), 2,
      sym_attribute,
      aux_sym_attribute_list_repeat1,
    ACTIONS(3155), 6,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      aux_sym_param_block_token1,
  [57589] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(543), 1,
      aux_sym_for_statement_token1,
    ACTIONS(3159), 1,
      aux_sym_switch_statement_token1,
    ACTIONS(3161), 1,
      aux_sym_foreach_statement_token1,
    ACTIONS(3163), 1,
      aux_sym_while_statement_token1,
    ACTIONS(3165), 1,
      aux_sym_do_statement_token1,
    STATE(1890), 6,
      sym__labeled_statement,
      sym_switch_statement,
      sym_foreach_statement,
      sym_for_statement,
      sym_while_statement,
      sym_do_statement,
  [57616] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    STATE(1308), 1,
      sym_type_literal,
    STATE(1563), 1,
      sym_class_method_parameter,
    STATE(1601), 1,
      sym_variable,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [57643] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3167), 3,
      sym_simple_name,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(3169), 8,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
  [57662] = 7,
    ACTIONS(37), 1,
      aux_sym_for_statement_token1,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3171), 1,
      aux_sym_switch_statement_token1,
    ACTIONS(3173), 1,
      aux_sym_foreach_statement_token1,
    ACTIONS(3175), 1,
      aux_sym_while_statement_token1,
    ACTIONS(3177), 1,
      aux_sym_do_statement_token1,
    STATE(526), 6,
      sym__labeled_statement,
      sym_switch_statement,
      sym_foreach_statement,
      sym_for_statement,
      sym_while_statement,
      sym_do_statement,
  [57689] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3179), 1,
      anon_sym_LPAREN,
    ACTIONS(3183), 1,
      aux_sym_switch_condition_token1,
    STATE(1490), 1,
      sym_switch_parameters,
    STATE(1706), 1,
      sym_switch_condition,
    STATE(1297), 2,
      sym_switch_parameter,
      aux_sym_switch_parameters_repeat1,
    ACTIONS(3181), 5,
      aux_sym_switch_parameter_token1,
      aux_sym_switch_parameter_token2,
      aux_sym_switch_parameter_token3,
      aux_sym_switch_parameter_token4,
      aux_sym_switch_parameter_token5,
  [57716] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3179), 1,
      anon_sym_LPAREN,
    ACTIONS(3183), 1,
      aux_sym_switch_condition_token1,
    STATE(1502), 1,
      sym_switch_parameters,
    STATE(1623), 1,
      sym_switch_condition,
    STATE(1297), 2,
      sym_switch_parameter,
      aux_sym_switch_parameters_repeat1,
    ACTIONS(3181), 5,
      aux_sym_switch_parameter_token1,
      aux_sym_switch_parameter_token2,
      aux_sym_switch_parameter_token3,
      aux_sym_switch_parameter_token4,
      aux_sym_switch_parameter_token5,
  [57743] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(509), 1,
      aux_sym_for_statement_token1,
    ACTIONS(3185), 1,
      aux_sym_switch_statement_token1,
    ACTIONS(3187), 1,
      aux_sym_foreach_statement_token1,
    ACTIONS(3189), 1,
      aux_sym_while_statement_token1,
    ACTIONS(3191), 1,
      aux_sym_do_statement_token1,
    STATE(1923), 6,
      sym__labeled_statement,
      sym_switch_statement,
      sym_foreach_statement,
      sym_for_statement,
      sym_while_statement,
      sym_do_statement,
  [57770] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3179), 1,
      anon_sym_LPAREN,
    ACTIONS(3183), 1,
      aux_sym_switch_condition_token1,
    STATE(1530), 1,
      sym_switch_parameters,
    STATE(1549), 1,
      sym_switch_condition,
    STATE(1297), 2,
      sym_switch_parameter,
      aux_sym_switch_parameters_repeat1,
    ACTIONS(3181), 5,
      aux_sym_switch_parameter_token1,
      aux_sym_switch_parameter_token2,
      aux_sym_switch_parameter_token3,
      aux_sym_switch_parameter_token4,
      aux_sym_switch_parameter_token5,
  [57797] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3179), 1,
      anon_sym_LPAREN,
    ACTIONS(3183), 1,
      aux_sym_switch_condition_token1,
    STATE(1518), 1,
      sym_switch_parameters,
    STATE(1553), 1,
      sym_switch_condition,
    STATE(1297), 2,
      sym_switch_parameter,
      aux_sym_switch_parameters_repeat1,
    ACTIONS(3181), 5,
      aux_sym_switch_parameter_token1,
      aux_sym_switch_parameter_token2,
      aux_sym_switch_parameter_token3,
      aux_sym_switch_parameter_token4,
      aux_sym_switch_parameter_token5,
  [57824] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3193), 3,
      sym_simple_name,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(3195), 8,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
  [57843] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3197), 3,
      sym_simple_name,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(3199), 8,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      aux_sym_class_attribute_token1,
      aux_sym_class_attribute_token2,
  [57862] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(187), 1,
      aux_sym_for_statement_token1,
    ACTIONS(3201), 1,
      aux_sym_switch_statement_token1,
    ACTIONS(3203), 1,
      aux_sym_foreach_statement_token1,
    ACTIONS(3205), 1,
      aux_sym_while_statement_token1,
    ACTIONS(3207), 1,
      aux_sym_do_statement_token1,
    STATE(474), 6,
      sym__labeled_statement,
      sym_switch_statement,
      sym_foreach_statement,
      sym_for_statement,
      sym_while_statement,
      sym_do_statement,
  [57889] = 8,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_LBRACK,
    ACTIONS(2586), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2588), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2594), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(3209), 1,
      anon_sym_DOT2,
    ACTIONS(3211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(635), 4,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [57917] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(597), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(595), 8,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      sym_path_command_name_token,
  [57935] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3213), 1,
      sym_simple_name,
    STATE(1711), 1,
      sym_variable,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [57956] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2107), 1,
      aux_sym_command_name_token1,
    STATE(728), 1,
      sym_command_invokation_operator,
    STATE(773), 1,
      sym_command_name,
    STATE(1469), 1,
      sym_foreach_command,
    STATE(1647), 1,
      sym_command,
    ACTIONS(15), 2,
      anon_sym_DOT,
      anon_sym_AMP,
    ACTIONS(3215), 2,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
  [57983] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3217), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(103), 7,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      aux_sym_param_block_token1,
  [58000] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3219), 1,
      sym_simple_name,
    STATE(1614), 1,
      sym_variable,
    ACTIONS(21), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(101), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [58021] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3221), 2,
      anon_sym_LPAREN,
      aux_sym_switch_condition_token1,
    STATE(1300), 2,
      sym_switch_parameter,
      aux_sym_switch_parameters_repeat1,
    ACTIONS(3181), 5,
      aux_sym_switch_parameter_token1,
      aux_sym_switch_parameter_token2,
      aux_sym_switch_parameter_token3,
      aux_sym_switch_parameter_token4,
      aux_sym_switch_parameter_token5,
  [58040] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2129), 1,
      aux_sym_command_name_token1,
    STATE(731), 1,
      sym_command_invokation_operator,
    STATE(775), 1,
      sym_command_name,
    STATE(1483), 1,
      sym_foreach_command,
    STATE(1624), 1,
      sym_command,
    ACTIONS(15), 2,
      anon_sym_DOT,
      anon_sym_AMP,
    ACTIONS(3223), 2,
      anon_sym_PERCENT,
      aux_sym_foreach_command_token1,
  [58067] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3193), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(3195), 7,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      aux_sym_param_block_token1,
  [58084] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3225), 2,
      anon_sym_LPAREN,
      aux_sym_switch_condition_token1,
    STATE(1300), 2,
      sym_switch_parameter,
      aux_sym_switch_parameters_repeat1,
    ACTIONS(3227), 5,
      aux_sym_switch_parameter_token1,
      aux_sym_switch_parameter_token2,
      aux_sym_switch_parameter_token3,
      aux_sym_switch_parameter_token4,
      aux_sym_switch_parameter_token5,
  [58103] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3197), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(3199), 7,
      anon_sym_LBRACK,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
      aux_sym_param_block_token1,
  [58120] = 4,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2134), 1,
      sym_variable,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [58138] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3232), 1,
      anon_sym_RBRACE,
    STATE(1658), 1,
      sym_block_name,
    STATE(1304), 2,
      sym_named_block,
      aux_sym_named_block_list_repeat1,
    ACTIONS(3230), 4,
      aux_sym_block_name_token1,
      aux_sym_block_name_token2,
      aux_sym_block_name_token3,
      aux_sym_block_name_token4,
  [58158] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_RBRACE,
    STATE(1658), 1,
      sym_block_name,
    STATE(1304), 2,
      sym_named_block,
      aux_sym_named_block_list_repeat1,
    ACTIONS(3234), 4,
      aux_sym_block_name_token1,
      aux_sym_block_name_token2,
      aux_sym_block_name_token3,
      aux_sym_block_name_token4,
  [58178] = 8,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2572), 1,
      anon_sym_LBRACK,
    ACTIONS(2574), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2576), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2582), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(3239), 1,
      anon_sym_DOT2,
    ACTIONS(3241), 1,
      anon_sym_COLON_COLON,
    ACTIONS(635), 2,
      sym__statement_terminator,
      anon_sym_LPAREN,
  [58204] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3243), 3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
    ACTIONS(2397), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
  [58220] = 4,
    ACTIONS(81), 1,
      sym_comment,
    STATE(1910), 1,
      sym_variable,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [58238] = 4,
    ACTIONS(81), 1,
      sym_comment,
    STATE(1708), 1,
      sym_variable,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [58256] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3243), 3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
    ACTIONS(2427), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
  [58272] = 8,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_LBRACK,
    ACTIONS(2586), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2588), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2594), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(3245), 1,
      anon_sym_DOT2,
    ACTIONS(3247), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2451), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [58298] = 4,
    ACTIONS(81), 1,
      sym_comment,
    STATE(1415), 1,
      sym_variable,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [58316] = 4,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2118), 1,
      sym_variable,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [58334] = 4,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2119), 1,
      sym_variable,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [58352] = 4,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2125), 1,
      sym_variable,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [58370] = 4,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2126), 1,
      sym_variable,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [58388] = 4,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2131), 1,
      sym_variable,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [58406] = 4,
    ACTIONS(81), 1,
      sym_comment,
    STATE(2132), 1,
      sym_variable,
    ACTIONS(137), 2,
      anon_sym_DOLLAR_,
      aux_sym_variable_token1,
    ACTIONS(135), 5,
      anon_sym_DOLLAR_DOLLAR,
      anon_sym_DOLLAR_CARET,
      anon_sym_DOLLAR_QMARK,
      aux_sym_variable_token2,
      sym_braced_variable,
  [58424] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3249), 3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
    ACTIONS(2427), 4,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      anon_sym_RBRACK,
  [58439] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_RPAREN,
    ACTIONS(3251), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(3253), 1,
      aux_sym_else_clause_token1,
    STATE(1451), 1,
      sym_elseif_clauses,
    STATE(1818), 1,
      sym_else_clause,
    STATE(1387), 2,
      sym_elseif_clause,
      aux_sym_elseif_clauses_repeat1,
  [58462] = 8,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(635), 1,
      sym__statement_terminator,
    ACTIONS(2572), 1,
      anon_sym_LBRACK,
    ACTIONS(2574), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2576), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2582), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(3255), 1,
      anon_sym_DOT2,
    ACTIONS(3257), 1,
      anon_sym_COLON_COLON,
  [58487] = 8,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_LBRACK,
    ACTIONS(2586), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2588), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2594), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(3245), 1,
      anon_sym_DOT2,
    ACTIONS(3247), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
  [58512] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3249), 3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
    ACTIONS(2397), 4,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
      anon_sym_RBRACK,
  [58527] = 8,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(635), 1,
      anon_sym_EQ,
    ACTIONS(2584), 1,
      anon_sym_LBRACK,
    ACTIONS(2586), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2588), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2594), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(3245), 1,
      anon_sym_DOT2,
    ACTIONS(3247), 1,
      anon_sym_COLON_COLON,
  [58552] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_command_name_token2,
    ACTIONS(3265), 1,
      anon_sym_DQUOTE2,
    STATE(1332), 1,
      aux_sym_command_name_repeat1,
    ACTIONS(2461), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(3261), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
  [58573] = 3,
    ACTIONS(81), 1,
      sym_comment,
    STATE(78), 1,
      sym_assignement_operator,
    ACTIONS(3267), 6,
      anon_sym_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [58588] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3269), 3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
    ACTIONS(2427), 4,
      sym__statement_terminator,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
  [58603] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3269), 3,
      aux_sym_bitwise_expression_token1,
      aux_sym_bitwise_expression_token2,
      aux_sym_bitwise_expression_token3,
    ACTIONS(2397), 4,
      sym__statement_terminator,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
  [58618] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1369), 1,
      sym__statement_terminator,
    ACTIONS(3271), 1,
      aux_sym_elseif_clause_token1,
    ACTIONS(3273), 1,
      aux_sym_else_clause_token1,
    STATE(1487), 1,
      sym_elseif_clauses,
    STATE(1855), 1,
      sym_else_clause,
    STATE(1396), 2,
      sym_elseif_clause,
      aux_sym_elseif_clauses_repeat1,
  [58641] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1349), 1,
      anon_sym_RPAREN,
    ACTIONS(3275), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3277), 1,
      aux_sym_finally_clause_token1,
    STATE(1527), 1,
      sym_catch_clauses,
    STATE(2007), 1,
      sym_finally_clause,
    STATE(1356), 2,
      sym_catch_clause,
      aux_sym_catch_clauses_repeat1,
  [58664] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3265), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3281), 1,
      aux_sym_command_name_token2,
    STATE(1324), 1,
      aux_sym_command_name_repeat1,
    ACTIONS(2482), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(3279), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
  [58685] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3283), 7,
      anon_sym_LPAREN,
      aux_sym_switch_parameter_token1,
      aux_sym_switch_parameter_token2,
      aux_sym_switch_parameter_token3,
      aux_sym_switch_parameter_token4,
      aux_sym_switch_parameter_token5,
      aux_sym_switch_condition_token1,
  [58698] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      aux_sym_command_name_token2,
    ACTIONS(3291), 1,
      anon_sym_DQUOTE2,
    STATE(1332), 1,
      aux_sym_command_name_repeat1,
    ACTIONS(2472), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(3285), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
  [58719] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1349), 1,
      sym__statement_terminator,
    ACTIONS(3294), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3296), 1,
      aux_sym_finally_clause_token1,
    STATE(1466), 1,
      sym_catch_clauses,
    STATE(1735), 1,
      sym_finally_clause,
    STATE(1391), 2,
      sym_catch_clause,
      aux_sym_catch_clauses_repeat1,
  [58742] = 3,
    ACTIONS(81), 1,
      sym_comment,
    STATE(79), 1,
      sym_assignement_operator,
    ACTIONS(3267), 6,
      anon_sym_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [58757] = 8,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_LBRACK,
    ACTIONS(2586), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2588), 1,
      anon_sym_DASH_DASH,
    ACTIONS(2594), 1,
      aux_sym_invokation_foreach_expression_token1,
    ACTIONS(3245), 1,
      anon_sym_DOT2,
    ACTIONS(3247), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3298), 1,
      anon_sym_LBRACE,
  [58782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1338), 1,
      aux_sym__verbatim_command_argument_chars,
    ACTIONS(3302), 2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
    ACTIONS(3300), 3,
      aux_sym__verbatim_command_argument_chars_token1,
      aux_sym__verbatim_command_argument_chars_token2,
      aux_sym__verbatim_command_argument_chars_token3,
  [58798] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3304), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(1454), 1,
      sym_type_spec,
    STATE(1806), 1,
      sym_generic_type_arguments,
  [58820] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1338), 1,
      aux_sym__verbatim_command_argument_chars,
    ACTIONS(3309), 2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
    ACTIONS(3306), 3,
      aux_sym__verbatim_command_argument_chars_token1,
      aux_sym__verbatim_command_argument_chars_token2,
      aux_sym__verbatim_command_argument_chars_token3,
  [58836] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_simple_name,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    ACTIONS(3315), 1,
      aux_sym_data_commands_allowed_token1,
    STATE(1411), 1,
      sym_data_name,
    STATE(1627), 1,
      sym_data_commands_allowed,
    STATE(1919), 1,
      sym_statement_block,
  [58858] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3304), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(1705), 1,
      sym_type_spec,
    STATE(1826), 1,
      sym_attribute_name,
  [58880] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3317), 1,
      anon_sym_LBRACE,
    STATE(1354), 2,
      sym_script_block_expression,
      aux_sym_foreach_command_repeat1,
    ACTIONS(3319), 3,
      sym__statement_terminator,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
  [58896] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3304), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(1619), 1,
      sym_type_spec,
    STATE(2032), 1,
      sym_attribute_name,
  [58918] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3304), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(1615), 1,
      sym_type_spec,
    STATE(1826), 1,
      sym_attribute_name,
  [58940] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_LBRACE,
    STATE(1344), 2,
      sym_script_block_expression,
      aux_sym_foreach_command_repeat1,
    ACTIONS(3321), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
  [58956] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3326), 1,
      anon_sym_LBRACE,
    STATE(1344), 2,
      sym_script_block_expression,
      aux_sym_foreach_command_repeat1,
    ACTIONS(3319), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
  [58972] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_simple_name,
    ACTIONS(3315), 1,
      aux_sym_data_commands_allowed_token1,
    ACTIONS(3328), 1,
      anon_sym_LBRACE,
    STATE(528), 1,
      sym_statement_block,
    STATE(1408), 1,
      sym_data_name,
    STATE(1582), 1,
      sym_data_commands_allowed,
  [58994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2509), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2511), 4,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_command_name_token2,
      anon_sym_DQUOTE2,
  [59008] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_simple_name,
    ACTIONS(3315), 1,
      aux_sym_data_commands_allowed_token1,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(1417), 1,
      sym_data_name,
    STATE(1556), 1,
      sym_data_commands_allowed,
    STATE(1927), 1,
      sym_statement_block,
  [59030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2546), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2548), 4,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_command_name_token2,
      anon_sym_DQUOTE2,
  [59044] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3302), 1,
      anon_sym_PIPE,
    ACTIONS(3334), 1,
      sym__statement_terminator,
    STATE(1352), 1,
      aux_sym__verbatim_command_argument_chars,
    ACTIONS(3332), 3,
      aux_sym__verbatim_command_argument_chars_token1,
      aux_sym__verbatim_command_argument_chars_token2,
      aux_sym__verbatim_command_argument_chars_token3,
  [59062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2497), 2,
      anon_sym_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE,
    ACTIONS(2472), 4,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_command_name_token2,
      anon_sym_DQUOTE2,
  [59076] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3309), 1,
      anon_sym_PIPE,
    ACTIONS(3339), 1,
      sym__statement_terminator,
    STATE(1352), 1,
      aux_sym__verbatim_command_argument_chars,
    ACTIONS(3336), 3,
      aux_sym__verbatim_command_argument_chars_token1,
      aux_sym__verbatim_command_argument_chars_token2,
      aux_sym__verbatim_command_argument_chars_token3,
  [59094] = 7,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_simple_name,
    ACTIONS(3315), 1,
      aux_sym_data_commands_allowed_token1,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(425), 1,
      sym_statement_block,
    STATE(1430), 1,
      sym_data_name,
    STATE(1709), 1,
      sym_data_commands_allowed,
  [59116] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3343), 1,
      anon_sym_LBRACE,
    STATE(1354), 2,
      sym_script_block_expression,
      aux_sym_foreach_command_repeat1,
    ACTIONS(3321), 3,
      sym__statement_terminator,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
  [59132] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym_RPAREN,
    ACTIONS(2395), 1,
      anon_sym_PIPE,
    ACTIONS(3346), 1,
      anon_sym_DASH_DASH_PERCENT,
    STATE(1512), 1,
      aux_sym__pipeline_tail,
    STATE(1513), 1,
      sym_verbatim_command_argument,
  [59151] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3275), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(1460), 2,
      anon_sym_RPAREN,
      aux_sym_finally_clause_token1,
    STATE(1360), 2,
      sym_catch_clause,
      aux_sym_catch_clauses_repeat1,
  [59166] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3348), 1,
      anon_sym_LBRACE,
    ACTIONS(3321), 2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
    STATE(1357), 2,
      sym_script_block_expression,
      aux_sym_foreach_command_repeat1,
  [59181] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3304), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(2014), 1,
      sym_type_spec,
  [59200] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1380), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1450), 1,
      sym__statement_terminator,
    ACTIONS(3351), 1,
      aux_sym_elseif_clause_token1,
    STATE(1359), 2,
      sym_elseif_clause,
      aux_sym_elseif_clauses_repeat1,
  [59217] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3354), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(1455), 2,
      anon_sym_RPAREN,
      aux_sym_finally_clause_token1,
    STATE(1360), 2,
      sym_catch_clause,
      aux_sym_catch_clauses_repeat1,
  [59232] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3304), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(2018), 1,
      sym_type_spec,
  [59251] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    STATE(389), 1,
      sym_statement_block,
    STATE(1476), 1,
      sym_type_literal,
    STATE(1637), 1,
      sym_catch_type_list,
  [59270] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3359), 5,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [59281] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3361), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
  [59292] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1464), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1515), 4,
      sym__statement_terminator,
      aux_sym_elseif_clause_token1,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
  [59305] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3304), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(2143), 1,
      sym_type_spec,
  [59324] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3304), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(1895), 1,
      sym_type_spec,
  [59343] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3304), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(1959), 1,
      sym_type_spec,
  [59362] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1504), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1517), 4,
      sym__statement_terminator,
      aux_sym_elseif_clause_token1,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
  [59375] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3304), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(2022), 1,
      sym_type_spec,
  [59394] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3304), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(1740), 1,
      sym_type_spec,
  [59413] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3304), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(1917), 1,
      sym_type_spec,
  [59432] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3304), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(1992), 1,
      sym_type_spec,
  [59451] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2513), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(3363), 3,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
  [59464] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    ACTIONS(3319), 2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
    STATE(1357), 2,
      sym_script_block_expression,
      aux_sym_foreach_command_repeat1,
  [59479] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3304), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(1988), 1,
      sym_type_spec,
  [59498] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3304), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(2075), 1,
      sym_type_spec,
  [59517] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3365), 5,
      aux_sym_block_name_token1,
      aux_sym_block_name_token2,
      aux_sym_block_name_token3,
      aux_sym_block_name_token4,
      anon_sym_RBRACE,
  [59528] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(1476), 1,
      sym_type_literal,
    STATE(1479), 1,
      sym_statement_block,
    STATE(1652), 1,
      sym_catch_type_list,
  [59547] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    ACTIONS(3319), 2,
      sym__statement_terminator,
      anon_sym_PIPE,
    STATE(1393), 2,
      sym_script_block_expression,
      aux_sym_foreach_command_repeat1,
  [59562] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    STATE(402), 1,
      sym_statement_block,
    STATE(1476), 1,
      sym_type_literal,
    STATE(1613), 1,
      sym_catch_type_list,
  [59581] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(1476), 1,
      sym_type_literal,
    STATE(1539), 1,
      sym_statement_block,
    STATE(1573), 1,
      sym_catch_type_list,
  [59600] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3369), 1,
      anon_sym_DOT,
    ACTIONS(3371), 1,
      anon_sym_LBRACK,
    ACTIONS(3373), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [59615] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3304), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(2035), 1,
      sym_type_spec,
  [59634] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3304), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(1870), 1,
      sym_type_spec,
  [59653] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3304), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(2025), 1,
      sym_type_spec,
  [59672] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1410), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1444), 1,
      anon_sym_RPAREN,
    ACTIONS(3251), 1,
      aux_sym_elseif_clause_token1,
    STATE(1397), 2,
      sym_elseif_clause,
      aux_sym_elseif_clauses_repeat1,
  [59689] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3304), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(2010), 1,
      sym_type_spec,
  [59708] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3375), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(3377), 3,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
  [59721] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3379), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
  [59732] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3294), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(1460), 2,
      sym__statement_terminator,
      aux_sym_finally_clause_token1,
    STATE(1400), 2,
      sym_catch_clause,
      aux_sym_catch_clauses_repeat1,
  [59747] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3304), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(1943), 1,
      sym_type_spec,
  [59766] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_LBRACE,
    ACTIONS(3321), 2,
      sym__statement_terminator,
      anon_sym_PIPE,
    STATE(1393), 2,
      sym_script_block_expression,
      aux_sym_foreach_command_repeat1,
  [59781] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3304), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(1969), 1,
      sym_type_spec,
  [59800] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2387), 1,
      anon_sym_PIPE,
    ACTIONS(2389), 1,
      sym__statement_terminator,
    ACTIONS(3384), 1,
      anon_sym_DASH_DASH_PERCENT,
    STATE(1508), 1,
      aux_sym__pipeline_tail,
    STATE(1510), 1,
      sym_verbatim_command_argument,
  [59819] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1410), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1444), 1,
      sym__statement_terminator,
    ACTIONS(3271), 1,
      aux_sym_elseif_clause_token1,
    STATE(1359), 2,
      sym_elseif_clause,
      aux_sym_elseif_clauses_repeat1,
  [59836] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1380), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1450), 1,
      anon_sym_RPAREN,
    ACTIONS(3386), 1,
      aux_sym_elseif_clause_token1,
    STATE(1397), 2,
      sym_elseif_clause,
      aux_sym_elseif_clauses_repeat1,
  [59853] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3389), 5,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [59864] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3304), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(1661), 1,
      sym_type_spec,
  [59883] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3391), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(1455), 2,
      sym__statement_terminator,
      aux_sym_finally_clause_token1,
    STATE(1400), 2,
      sym_catch_clause,
      aux_sym_catch_clauses_repeat1,
  [59898] = 6,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3304), 1,
      sym_type_identifier,
    STATE(1337), 1,
      sym_generic_type_name,
    STATE(1383), 1,
      sym_type_name,
    STATE(1410), 1,
      sym_array_type_name,
    STATE(1845), 1,
      sym_type_spec,
  [59917] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2513), 1,
      anon_sym_RBRACK,
    ACTIONS(3394), 3,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
  [59929] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3396), 1,
      sym_simple_name,
    ACTIONS(3398), 1,
      anon_sym_RBRACE,
    STATE(1424), 1,
      aux_sym_enum_statement_repeat1,
    STATE(1915), 1,
      sym_enum_member,
  [59945] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3396), 1,
      sym_simple_name,
    ACTIONS(3400), 1,
      anon_sym_RBRACE,
    STATE(1405), 1,
      aux_sym_enum_statement_repeat1,
    STATE(1915), 1,
      sym_enum_member,
  [59961] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3396), 1,
      sym_simple_name,
    ACTIONS(3402), 1,
      anon_sym_RBRACE,
    STATE(1407), 1,
      aux_sym_enum_statement_repeat1,
    STATE(1915), 1,
      sym_enum_member,
  [59977] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3406), 1,
      anon_sym_SEMI,
    STATE(1412), 1,
      aux_sym_script_block_repeat1,
    ACTIONS(3404), 2,
      sym_simple_name,
      anon_sym_RBRACE,
  [59991] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3404), 1,
      anon_sym_RBRACE,
    ACTIONS(3408), 1,
      sym_simple_name,
    STATE(1407), 1,
      aux_sym_enum_statement_repeat1,
    STATE(1915), 1,
      sym_enum_member,
  [60007] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3315), 1,
      aux_sym_data_commands_allowed_token1,
    ACTIONS(3328), 1,
      anon_sym_LBRACE,
    STATE(523), 1,
      sym_statement_block,
    STATE(1685), 1,
      sym_data_commands_allowed,
  [60023] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(1625), 1,
      sym_type_literal,
    STATE(1892), 1,
      sym_statement_block,
  [60039] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_COMMA,
    ACTIONS(3413), 1,
      anon_sym_RBRACK,
    STATE(1453), 1,
      aux_sym_dimension_repeat1,
    STATE(1806), 1,
      sym_dimension,
  [60055] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    ACTIONS(3315), 1,
      aux_sym_data_commands_allowed_token1,
    STATE(1639), 1,
      sym_data_commands_allowed,
    STATE(1737), 1,
      sym_statement_block,
  [60071] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2661), 1,
      anon_sym_SEMI,
    STATE(1118), 1,
      aux_sym_script_block_repeat1,
    ACTIONS(3415), 2,
      sym_simple_name,
      anon_sym_RBRACE,
  [60085] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3396), 1,
      sym_simple_name,
    ACTIONS(3417), 1,
      anon_sym_RBRACE,
    STATE(1414), 1,
      aux_sym_enum_statement_repeat1,
    STATE(1915), 1,
      sym_enum_member,
  [60101] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3396), 1,
      sym_simple_name,
    ACTIONS(3419), 1,
      anon_sym_RBRACE,
    STATE(1407), 1,
      aux_sym_enum_statement_repeat1,
    STATE(1915), 1,
      sym_enum_member,
  [60117] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3421), 1,
      anon_sym_EQ,
    STATE(1670), 1,
      sym_script_parameter_default,
    ACTIONS(3423), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [60131] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(1554), 1,
      sym_type_literal,
    STATE(1924), 1,
      sym_statement_block,
  [60147] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3315), 1,
      aux_sym_data_commands_allowed_token1,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(1565), 1,
      sym_data_commands_allowed,
    STATE(2009), 1,
      sym_statement_block,
  [60163] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3396), 1,
      sym_simple_name,
    ACTIONS(3425), 1,
      anon_sym_RBRACE,
    STATE(1419), 1,
      aux_sym_enum_statement_repeat1,
    STATE(1915), 1,
      sym_enum_member,
  [60179] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3396), 1,
      sym_simple_name,
    ACTIONS(3427), 1,
      anon_sym_RBRACE,
    STATE(1407), 1,
      aux_sym_enum_statement_repeat1,
    STATE(1915), 1,
      sym_enum_member,
  [60195] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3421), 1,
      anon_sym_EQ,
    STATE(1689), 1,
      sym_script_parameter_default,
    ACTIONS(3429), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [60209] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(605), 4,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
  [60219] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(601), 4,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
  [60229] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2513), 1,
      sym__statement_terminator,
    ACTIONS(3431), 3,
      aux_sym_logical_expression_token1,
      aux_sym_logical_expression_token2,
      aux_sym_logical_expression_token3,
  [60241] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3396), 1,
      sym_simple_name,
    ACTIONS(3433), 1,
      anon_sym_RBRACE,
    STATE(1407), 1,
      aux_sym_enum_statement_repeat1,
    STATE(1915), 1,
      sym_enum_member,
  [60257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1350), 1,
      aux_sym__verbatim_command_argument_chars,
    ACTIONS(3435), 3,
      aux_sym__verbatim_command_argument_chars_token1,
      aux_sym__verbatim_command_argument_chars_token2,
      aux_sym__verbatim_command_argument_chars_token3,
  [60269] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(3328), 1,
      anon_sym_LBRACE,
    STATE(527), 1,
      sym_statement_block,
    STATE(1552), 1,
      sym_type_literal,
  [60285] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(605), 4,
      sym__statement_terminator,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
  [60295] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(475), 1,
      sym_statement_block,
    STATE(1707), 1,
      sym_type_literal,
  [60311] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(601), 4,
      sym__statement_terminator,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
  [60321] = 5,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3315), 1,
      aux_sym_data_commands_allowed_token1,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(471), 1,
      sym_statement_block,
    STATE(1622), 1,
      sym_data_commands_allowed,
  [60337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1336), 1,
      aux_sym__verbatim_command_argument_chars,
    ACTIONS(3437), 3,
      aux_sym__verbatim_command_argument_chars_token1,
      aux_sym__verbatim_command_argument_chars_token2,
      aux_sym__verbatim_command_argument_chars_token3,
  [60349] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    STATE(1380), 2,
      sym_script_block_expression,
      aux_sym_foreach_command_repeat1,
  [60360] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3439), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
  [60369] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COMMA,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1545), 1,
      aux_sym_class_statement_repeat1,
  [60382] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3445), 1,
      anon_sym_DOLLAR,
    ACTIONS(3447), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [60395] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_DOLLAR,
    ACTIONS(3452), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [60408] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3454), 1,
      anon_sym_RPAREN,
    ACTIONS(3456), 1,
      anon_sym_COMMA,
    STATE(1437), 1,
      aux_sym_argument_expression_list_repeat1,
  [60421] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3459), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3461), 1,
      anon_sym_DQUOTE,
    STATE(1486), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
  [60434] = 4,
    ACTIONS(5), 1,
      sym_decimal_integer_literal,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(83), 1,
      sym_hexadecimal_integer_literal,
    STATE(1913), 1,
      sym_integer_literal,
  [60447] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3463), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [60456] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3465), 1,
      anon_sym_COMMA,
    ACTIONS(3468), 1,
      anon_sym_RBRACK,
    STATE(1441), 1,
      aux_sym_dimension_repeat1,
  [60469] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3459), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3470), 1,
      anon_sym_DQUOTE,
    STATE(1486), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
  [60482] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3472), 1,
      anon_sym_COMMA,
    ACTIONS(3474), 1,
      anon_sym_RBRACK,
    STATE(1514), 1,
      aux_sym_generic_type_arguments_repeat1,
  [60495] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3459), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3476), 1,
      anon_sym_DQUOTE,
    STATE(1486), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
  [60508] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3478), 1,
      anon_sym_EQ,
    ACTIONS(3480), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [60519] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3482), 1,
      anon_sym_RPAREN,
    ACTIONS(3484), 1,
      anon_sym_COMMA,
    STATE(1515), 1,
      aux_sym_attribute_arguments_repeat1,
  [60532] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3486), 1,
      sym_type_identifier,
    ACTIONS(3488), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [60543] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3490), 3,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [60552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3492), 1,
      anon_sym_SEMI,
    ACTIONS(3494), 1,
      anon_sym_RPAREN,
    ACTIONS(3496), 1,
      anon_sym_LF,
  [60565] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3498), 1,
      anon_sym_RPAREN,
    ACTIONS(3500), 1,
      anon_sym_COMMA,
    STATE(1517), 1,
      aux_sym_parameter_list_repeat1,
  [60578] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1524), 1,
      anon_sym_RPAREN,
    ACTIONS(3502), 1,
      aux_sym_else_clause_token1,
    STATE(1993), 1,
      sym_else_clause,
  [60591] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym_RPAREN,
    ACTIONS(3506), 1,
      anon_sym_COMMA,
    STATE(1459), 1,
      aux_sym_class_method_parameter_list_repeat1,
  [60604] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3508), 1,
      anon_sym_COMMA,
    ACTIONS(3510), 1,
      anon_sym_RBRACK,
    STATE(1441), 1,
      aux_sym_dimension_repeat1,
  [60617] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3472), 1,
      anon_sym_COMMA,
    ACTIONS(3512), 1,
      anon_sym_RBRACK,
    STATE(1443), 1,
      aux_sym_generic_type_arguments_repeat1,
  [60630] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3514), 1,
      anon_sym_PIPE,
    ACTIONS(3517), 1,
      sym__statement_terminator,
    STATE(1455), 1,
      aux_sym__pipeline_tail,
  [60643] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2914), 1,
      aux_sym_expandable_string_literal_token5,
    ACTIONS(3445), 1,
      anon_sym_DOLLAR,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [60656] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3519), 1,
      anon_sym_RPAREN,
    ACTIONS(3521), 1,
      anon_sym_COMMA,
    STATE(1437), 1,
      aux_sym_argument_expression_list_repeat1,
  [60669] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3445), 1,
      anon_sym_DOLLAR,
    ACTIONS(3523), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [60682] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3525), 1,
      anon_sym_RPAREN,
    ACTIONS(3527), 1,
      anon_sym_COMMA,
    STATE(1459), 1,
      aux_sym_class_method_parameter_list_repeat1,
  [60695] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3459), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3530), 1,
      anon_sym_DQUOTE,
    STATE(1486), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
  [60708] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2387), 1,
      anon_sym_PIPE,
    ACTIONS(3532), 1,
      sym__statement_terminator,
    STATE(1455), 1,
      aux_sym__pipeline_tail,
  [60721] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3459), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3534), 1,
      anon_sym_DQUOTE,
    STATE(1486), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
  [60734] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3439), 3,
      sym__statement_terminator,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
  [60743] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_LPAREN,
    ACTIONS(3538), 1,
      anon_sym_LBRACE,
    STATE(1954), 1,
      sym_function_parameter_declaration,
  [60756] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3500), 1,
      anon_sym_COMMA,
    ACTIONS(3540), 1,
      anon_sym_RPAREN,
    STATE(1450), 1,
      aux_sym_parameter_list_repeat1,
  [60769] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1528), 1,
      sym__statement_terminator,
    ACTIONS(3296), 1,
      aux_sym_finally_clause_token1,
    STATE(1808), 1,
      sym_finally_clause,
  [60782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2840), 1,
      aux_sym_expandable_string_literal_token5,
    ACTIONS(3445), 1,
      anon_sym_DOLLAR,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [60795] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3542), 1,
      anon_sym_SEMI,
    ACTIONS(3544), 1,
      anon_sym_RPAREN,
    ACTIONS(3546), 1,
      anon_sym_LF,
  [60808] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3548), 3,
      sym__statement_terminator,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
  [60817] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3445), 1,
      anon_sym_DOLLAR,
    ACTIONS(3550), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [60830] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3459), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3552), 1,
      anon_sym_DQUOTE,
    STATE(1486), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
  [60843] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3459), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3554), 1,
      anon_sym_DQUOTE,
    STATE(1486), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
  [60856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2882), 1,
      aux_sym_expandable_string_literal_token5,
    ACTIONS(3445), 1,
      anon_sym_DOLLAR,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [60869] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3556), 1,
      anon_sym_RPAREN,
    ACTIONS(3558), 1,
      anon_sym_COMMA,
    STATE(1474), 1,
      aux_sym_attribute_arguments_repeat1,
  [60882] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3445), 1,
      anon_sym_DOLLAR,
    ACTIONS(3561), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [60895] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3563), 1,
      anon_sym_COMMA,
    ACTIONS(3565), 1,
      anon_sym_LBRACE,
    STATE(1532), 1,
      aux_sym_catch_type_list_repeat1,
  [60908] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2858), 1,
      aux_sym_expandable_string_literal_token5,
    ACTIONS(3445), 1,
      anon_sym_DOLLAR,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [60921] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3445), 1,
      anon_sym_DOLLAR,
    ACTIONS(3567), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [60934] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1511), 3,
      sym__statement_terminator,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
  [60943] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2866), 1,
      aux_sym_expandable_string_literal_token5,
    ACTIONS(3445), 1,
      anon_sym_DOLLAR,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [60956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3445), 1,
      anon_sym_DOLLAR,
    ACTIONS(3569), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [60969] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3571), 1,
      anon_sym_COMMA,
    ACTIONS(3573), 1,
      anon_sym_LBRACE,
    STATE(1535), 1,
      aux_sym_data_commands_list_repeat1,
  [60982] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3548), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
  [60991] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1513), 3,
      sym__statement_terminator,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
  [61000] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3459), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3575), 1,
      anon_sym_DQUOTE,
    STATE(1486), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
  [61013] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3577), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3580), 1,
      anon_sym_DQUOTE,
    STATE(1486), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
  [61026] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1524), 1,
      sym__statement_terminator,
    ACTIONS(3582), 1,
      aux_sym_else_clause_token1,
    STATE(1865), 1,
      sym_else_clause,
  [61039] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3584), 1,
      anon_sym_LPAREN,
    ACTIONS(3586), 1,
      aux_sym_switch_parameter_token5,
    STATE(2146), 1,
      sym_foreach_parameter,
  [61052] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2868), 1,
      aux_sym_expandable_string_literal_token5,
    ACTIONS(3445), 1,
      anon_sym_DOLLAR,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [61065] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3179), 1,
      anon_sym_LPAREN,
    ACTIONS(3183), 1,
      aux_sym_switch_condition_token1,
    STATE(1645), 1,
      sym_switch_condition,
  [61078] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_LPAREN,
    ACTIONS(3588), 1,
      anon_sym_LBRACE,
    STATE(1882), 1,
      sym_function_parameter_declaration,
  [61091] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3459), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3590), 1,
      anon_sym_DQUOTE,
    STATE(1486), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
  [61104] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1494), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1526), 2,
      sym__statement_terminator,
      aux_sym_elseif_clause_token1,
  [61115] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COMMA,
    ACTIONS(3592), 1,
      anon_sym_LBRACE,
    STATE(1496), 1,
      aux_sym_class_statement_repeat1,
  [61128] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3594), 1,
      anon_sym_SEMI,
    ACTIONS(3596), 1,
      anon_sym_RPAREN,
    ACTIONS(3598), 1,
      anon_sym_LF,
  [61141] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COMMA,
    ACTIONS(3600), 1,
      anon_sym_LBRACE,
    STATE(1545), 1,
      aux_sym_class_statement_repeat1,
  [61154] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3602), 1,
      anon_sym_SEMI,
    ACTIONS(3604), 1,
      anon_sym_RPAREN,
    ACTIONS(3606), 1,
      anon_sym_LF,
  [61167] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3586), 1,
      aux_sym_switch_parameter_token5,
    ACTIONS(3608), 1,
      anon_sym_LPAREN,
    STATE(2041), 1,
      sym_foreach_parameter,
  [61180] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COMMA,
    ACTIONS(3610), 1,
      anon_sym_LBRACE,
    STATE(1434), 1,
      aux_sym_class_statement_repeat1,
  [61193] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3317), 1,
      anon_sym_LBRACE,
    STATE(1341), 2,
      sym_script_block_expression,
      aux_sym_foreach_command_repeat1,
  [61204] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3521), 1,
      anon_sym_COMMA,
    ACTIONS(3612), 1,
      anon_sym_RPAREN,
    STATE(1457), 1,
      aux_sym_argument_expression_list_repeat1,
  [61217] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3179), 1,
      anon_sym_LPAREN,
    ACTIONS(3183), 1,
      aux_sym_switch_condition_token1,
    STATE(1632), 1,
      sym_switch_condition,
  [61230] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_LPAREN,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    STATE(1942), 1,
      sym_function_parameter_declaration,
  [61243] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1494), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1526), 2,
      anon_sym_RPAREN,
      aux_sym_elseif_clause_token1,
  [61254] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3616), 1,
      anon_sym_SEMI,
    ACTIONS(3618), 1,
      anon_sym_RPAREN,
    ACTIONS(3620), 1,
      anon_sym_LF,
  [61267] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COMMA,
    ACTIONS(3622), 1,
      anon_sym_LBRACE,
    STATE(1509), 1,
      aux_sym_class_statement_repeat1,
  [61280] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3624), 1,
      anon_sym_SEMI,
    ACTIONS(3626), 1,
      anon_sym_RPAREN,
    ACTIONS(3628), 1,
      anon_sym_LF,
  [61293] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2387), 1,
      anon_sym_PIPE,
    ACTIONS(3630), 1,
      sym__statement_terminator,
    STATE(1455), 1,
      aux_sym__pipeline_tail,
  [61306] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COMMA,
    ACTIONS(3632), 1,
      anon_sym_LBRACE,
    STATE(1545), 1,
      aux_sym_class_statement_repeat1,
  [61319] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2387), 1,
      anon_sym_PIPE,
    ACTIONS(3630), 1,
      sym__statement_terminator,
    STATE(1461), 1,
      aux_sym__pipeline_tail,
  [61332] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3634), 1,
      anon_sym_SEMI,
    ACTIONS(3636), 1,
      anon_sym_RPAREN,
    ACTIONS(3638), 1,
      anon_sym_LF,
  [61345] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2395), 1,
      anon_sym_PIPE,
    ACTIONS(3630), 1,
      anon_sym_RPAREN,
    STATE(1533), 1,
      aux_sym__pipeline_tail,
  [61358] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2395), 1,
      anon_sym_PIPE,
    ACTIONS(3630), 1,
      anon_sym_RPAREN,
    STATE(1536), 1,
      aux_sym__pipeline_tail,
  [61371] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3640), 1,
      anon_sym_COMMA,
    ACTIONS(3643), 1,
      anon_sym_RBRACK,
    STATE(1514), 1,
      aux_sym_generic_type_arguments_repeat1,
  [61384] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3484), 1,
      anon_sym_COMMA,
    ACTIONS(3645), 1,
      anon_sym_RPAREN,
    STATE(1474), 1,
      aux_sym_attribute_arguments_repeat1,
  [61397] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3647), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
  [61406] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3649), 1,
      anon_sym_RPAREN,
    ACTIONS(3651), 1,
      anon_sym_COMMA,
    STATE(1517), 1,
      aux_sym_parameter_list_repeat1,
  [61419] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3179), 1,
      anon_sym_LPAREN,
    ACTIONS(3183), 1,
      aux_sym_switch_condition_token1,
    STATE(1560), 1,
      sym_switch_condition,
  [61432] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_LPAREN,
    ACTIONS(3654), 1,
      anon_sym_LBRACE,
    STATE(1985), 1,
      sym_function_parameter_declaration,
  [61445] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3656), 1,
      anon_sym_COMMA,
    ACTIONS(3659), 1,
      anon_sym_LBRACE,
    STATE(1520), 1,
      aux_sym_catch_type_list_repeat1,
  [61458] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3661), 1,
      anon_sym_SEMI,
    ACTIONS(3663), 1,
      anon_sym_RPAREN,
    ACTIONS(3665), 1,
      anon_sym_LF,
  [61471] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COMMA,
    ACTIONS(3667), 1,
      anon_sym_LBRACE,
    STATE(1524), 1,
      aux_sym_class_statement_repeat1,
  [61484] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3669), 1,
      anon_sym_SEMI,
    ACTIONS(3671), 1,
      anon_sym_RPAREN,
    ACTIONS(3673), 1,
      anon_sym_LF,
  [61497] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COMMA,
    ACTIONS(3675), 1,
      anon_sym_LBRACE,
    STATE(1545), 1,
      aux_sym_class_statement_repeat1,
  [61510] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3506), 1,
      anon_sym_COMMA,
    ACTIONS(3677), 1,
      anon_sym_RPAREN,
    STATE(1452), 1,
      aux_sym_class_method_parameter_list_repeat1,
  [61523] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3679), 1,
      anon_sym_SEMI,
    ACTIONS(3681), 1,
      anon_sym_RPAREN,
    ACTIONS(3683), 1,
      anon_sym_LF,
  [61536] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1528), 1,
      anon_sym_RPAREN,
    ACTIONS(3277), 1,
      aux_sym_finally_clause_token1,
    STATE(2067), 1,
      sym_finally_clause,
  [61549] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3571), 1,
      anon_sym_COMMA,
    ACTIONS(3685), 1,
      anon_sym_LBRACE,
    STATE(1482), 1,
      aux_sym_data_commands_list_repeat1,
  [61562] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_SEMI,
    ACTIONS(3689), 1,
      anon_sym_RPAREN,
    ACTIONS(3691), 1,
      anon_sym_LF,
  [61575] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3179), 1,
      anon_sym_LPAREN,
    ACTIONS(3183), 1,
      aux_sym_switch_condition_token1,
    STATE(1630), 1,
      sym_switch_condition,
  [61588] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3459), 1,
      anon_sym_DOLLAR2,
    ACTIONS(3693), 1,
      anon_sym_DQUOTE,
    STATE(1486), 1,
      aux_sym__expandable_string_literal_immediate_repeat2,
  [61601] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3563), 1,
      anon_sym_COMMA,
    ACTIONS(3695), 1,
      anon_sym_LBRACE,
    STATE(1520), 1,
      aux_sym_catch_type_list_repeat1,
  [61614] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_RPAREN,
    ACTIONS(3697), 1,
      anon_sym_PIPE,
    STATE(1533), 1,
      aux_sym__pipeline_tail,
  [61627] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3326), 1,
      anon_sym_LBRACE,
    STATE(1345), 2,
      sym_script_block_expression,
      aux_sym_foreach_command_repeat1,
  [61638] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3700), 1,
      anon_sym_COMMA,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    STATE(1535), 1,
      aux_sym_data_commands_list_repeat1,
  [61651] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2395), 1,
      anon_sym_PIPE,
    ACTIONS(3532), 1,
      anon_sym_RPAREN,
    STATE(1533), 1,
      aux_sym__pipeline_tail,
  [61664] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3586), 1,
      aux_sym_switch_parameter_token5,
    ACTIONS(3705), 1,
      anon_sym_LPAREN,
    STATE(2148), 1,
      sym_foreach_parameter,
  [61677] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2928), 1,
      aux_sym_expandable_string_literal_token5,
    ACTIONS(3445), 1,
      anon_sym_DOLLAR,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [61690] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1511), 3,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
  [61699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2884), 1,
      aux_sym_expandable_string_literal_token5,
    ACTIONS(3445), 1,
      anon_sym_DOLLAR,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [61712] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3647), 3,
      sym__statement_terminator,
      anon_sym_PIPE,
      anon_sym_DASH_DASH_PERCENT,
  [61721] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    STATE(1375), 2,
      sym_script_block_expression,
      aux_sym_foreach_command_repeat1,
  [61732] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3445), 1,
      anon_sym_DOLLAR,
    ACTIONS(3707), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [61745] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3445), 1,
      anon_sym_DOLLAR,
    ACTIONS(3709), 1,
      aux_sym_expandable_string_literal_token5,
    STATE(1436), 1,
      aux_sym_expandable_string_literal_repeat2,
  [61758] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3711), 1,
      anon_sym_COMMA,
    ACTIONS(3714), 1,
      anon_sym_LBRACE,
    STATE(1545), 1,
      aux_sym_class_statement_repeat1,
  [61771] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1513), 3,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
  [61780] = 4,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3586), 1,
      aux_sym_switch_parameter_token5,
    ACTIONS(3716), 1,
      anon_sym_LPAREN,
    STATE(2144), 1,
      sym_foreach_parameter,
  [61793] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3718), 1,
      anon_sym_SEMI,
    ACTIONS(3720), 1,
      anon_sym_RPAREN,
    ACTIONS(3722), 1,
      anon_sym_LF,
  [61806] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3724), 1,
      anon_sym_LBRACE,
    STATE(519), 1,
      sym_switch_body,
  [61816] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(1929), 1,
      sym_statement_block,
  [61826] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(1930), 1,
      sym_statement_block,
  [61836] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      anon_sym_LBRACE,
    STATE(522), 1,
      sym_statement_block,
  [61846] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3726), 1,
      anon_sym_LBRACE,
    STATE(2002), 1,
      sym_switch_body,
  [61856] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(2005), 1,
      sym_statement_block,
  [61866] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      anon_sym_LBRACE,
    STATE(532), 1,
      sym_statement_block,
  [61876] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(2009), 1,
      sym_statement_block,
  [61886] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      anon_sym_LBRACE,
    STATE(512), 1,
      sym_statement_block,
  [61896] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1103), 1,
      anon_sym_LBRACE,
    STATE(971), 1,
      sym_script_block_expression,
  [61906] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3728), 2,
      anon_sym_LBRACE,
      aux_sym_data_commands_allowed_token1,
  [61914] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3726), 1,
      anon_sym_LBRACE,
    STATE(2057), 1,
      sym_switch_body,
  [61924] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2451), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [61932] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(2059), 1,
      sym_statement_block,
  [61942] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3525), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [61950] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(2066), 1,
      sym_statement_block,
  [61960] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(2072), 1,
      sym_statement_block,
  [61970] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      anon_sym_LBRACE,
    STATE(503), 1,
      sym_statement_block,
  [61980] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(421), 1,
      sym_statement_block,
  [61990] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(2004), 1,
      sym_statement_block,
  [62000] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      anon_sym_LBRACE,
    STATE(504), 1,
      sym_statement_block,
  [62010] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(1319), 1,
      sym_statement_block,
  [62020] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(2136), 1,
      sym_statement_block,
  [62030] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(2138), 1,
      sym_statement_block,
  [62040] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(1546), 1,
      sym_statement_block,
  [62050] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(424), 1,
      sym_statement_block,
  [62060] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      anon_sym_LBRACE,
    STATE(505), 1,
      sym_statement_block,
  [62070] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(1897), 1,
      sym_statement_block,
  [62080] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(1905), 1,
      sym_statement_block,
  [62090] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(1989), 1,
      sym_statement_block,
  [62100] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(1761), 1,
      sym_statement_block,
  [62110] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(1888), 1,
      sym_statement_block,
  [62120] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(1963), 1,
      sym_statement_block,
  [62130] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      anon_sym_LBRACE,
    STATE(523), 1,
      sym_statement_block,
  [62140] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(1998), 1,
      sym_statement_block,
  [62150] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(2064), 1,
      sym_statement_block,
  [62160] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(2071), 1,
      sym_statement_block,
  [62170] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(2076), 1,
      sym_statement_block,
  [62180] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3730), 1,
      anon_sym_LBRACE,
    STATE(414), 1,
      sym_statement_block,
  [62190] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(2104), 1,
      sym_statement_block,
  [62200] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(1504), 1,
      sym_statement_block,
  [62210] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(2124), 1,
      sym_statement_block,
  [62220] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(2141), 1,
      sym_statement_block,
  [62230] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(1734), 1,
      sym_statement_block,
  [62240] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(1749), 1,
      sym_statement_block,
  [62250] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      anon_sym_LBRACE,
    STATE(514), 1,
      sym_statement_block,
  [62260] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      anon_sym_LBRACE,
    STATE(515), 1,
      sym_statement_block,
  [62270] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      anon_sym_LBRACE,
    STATE(516), 1,
      sym_statement_block,
  [62280] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_LBRACE,
    STATE(124), 1,
      sym_script_block_expression,
  [62290] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      anon_sym_LBRACE,
    STATE(488), 1,
      sym_statement_block,
  [62300] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3659), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [62308] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3732), 1,
      anon_sym_LBRACE,
    STATE(390), 1,
      sym_statement_block,
  [62318] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3734), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [62326] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(428), 1,
      sym_statement_block,
  [62336] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1931), 1,
      anon_sym_LBRACE,
    STATE(808), 1,
      sym_script_block_expression,
  [62346] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(429), 1,
      sym_statement_block,
  [62356] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(1333), 1,
      sym_statement_block,
  [62366] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      anon_sym_LBRACE,
    STATE(489), 1,
      sym_statement_block,
  [62376] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(431), 1,
      sym_statement_block,
  [62386] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      anon_sym_LBRACE,
    STATE(517), 1,
      sym_statement_block,
  [62396] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(1925), 1,
      sym_statement_block,
  [62406] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(1932), 1,
      sym_statement_block,
  [62416] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1901), 1,
      anon_sym_LBRACE,
    STATE(837), 1,
      sym_script_block_expression,
  [62426] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(1934), 1,
      sym_statement_block,
  [62436] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    STATE(404), 1,
      sym_statement_block,
  [62446] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3736), 1,
      anon_sym_EQ,
    ACTIONS(3738), 1,
      sym__statement_terminator,
  [62456] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3740), 1,
      anon_sym_LPAREN,
    ACTIONS(3742), 1,
      anon_sym_RBRACK,
  [62466] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1967), 1,
      anon_sym_LBRACE,
    STATE(878), 1,
      sym_script_block_expression,
  [62476] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3714), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [62484] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(432), 1,
      sym_statement_block,
  [62494] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3740), 1,
      anon_sym_LPAREN,
    ACTIONS(3744), 1,
      anon_sym_RBRACK,
  [62504] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1997), 1,
      anon_sym_LBRACE,
    STATE(860), 1,
      sym_script_block_expression,
  [62514] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(1684), 1,
      sym_statement_block,
  [62524] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(447), 1,
      sym_statement_block,
  [62534] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3746), 1,
      anon_sym_LBRACE,
    STATE(1731), 1,
      sym_switch_body,
  [62544] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3517), 2,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [62552] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(1733), 1,
      sym_statement_block,
  [62562] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3732), 1,
      anon_sym_LBRACE,
    STATE(299), 1,
      sym_statement_block,
  [62572] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(1737), 1,
      sym_statement_block,
  [62582] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(438), 1,
      sym_statement_block,
  [62592] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    STATE(1037), 1,
      sym_script_block_expression,
  [62602] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3724), 1,
      anon_sym_LBRACE,
    STATE(535), 1,
      sym_switch_body,
  [62612] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(449), 1,
      sym_statement_block,
  [62622] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3746), 1,
      anon_sym_LBRACE,
    STATE(1792), 1,
      sym_switch_body,
  [62632] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3748), 1,
      anon_sym_LBRACE,
    ACTIONS(3750), 1,
      anon_sym_COLON,
  [62642] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      anon_sym_LBRACE,
    STATE(529), 1,
      sym_statement_block,
  [62652] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(1803), 1,
      sym_statement_block,
  [62662] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3454), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [62670] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    STATE(381), 1,
      sym_statement_block,
  [62680] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(1807), 1,
      sym_statement_block,
  [62690] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(1811), 1,
      sym_statement_block,
  [62700] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3752), 1,
      anon_sym_EQ,
    ACTIONS(3754), 1,
      sym__statement_terminator,
  [62710] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_LBRACE,
    ACTIONS(3758), 1,
      anon_sym_COLON,
  [62720] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(434), 1,
      sym_statement_block,
  [62730] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3760), 1,
      anon_sym_EQ,
    ACTIONS(3762), 1,
      sym__statement_terminator,
  [62740] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(478), 1,
      sym_statement_block,
  [62750] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3764), 1,
      anon_sym_LBRACE,
    STATE(463), 1,
      sym_switch_body,
  [62760] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(479), 1,
      sym_statement_block,
  [62770] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3517), 2,
      sym__statement_terminator,
      anon_sym_PIPE,
  [62778] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(1328), 1,
      sym_statement_block,
  [62788] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3766), 1,
      anon_sym_LBRACE,
    ACTIONS(3768), 1,
      anon_sym_COLON,
  [62798] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(1840), 1,
      sym_statement_block,
  [62808] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(1842), 1,
      sym_statement_block,
  [62818] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(1484), 1,
      sym_statement_block,
  [62828] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      anon_sym_LBRACE,
    STATE(531), 1,
      sym_statement_block,
  [62838] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(481), 1,
      sym_statement_block,
  [62848] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(442), 1,
      sym_statement_block,
  [62858] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(1857), 1,
      sym_statement_block,
  [62868] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(1859), 1,
      sym_statement_block,
  [62878] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(1378), 1,
      sym_statement_block,
  [62888] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(461), 1,
      sym_statement_block,
  [62898] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(1864), 1,
      sym_statement_block,
  [62908] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3643), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62916] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(1867), 1,
      sym_statement_block,
  [62926] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      anon_sym_LBRACE,
    STATE(540), 1,
      sym_statement_block,
  [62936] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(1868), 1,
      sym_statement_block,
  [62946] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3770), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [62954] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3649), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [62962] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(1869), 1,
      sym_statement_block,
  [62972] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3480), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [62980] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(1873), 1,
      sym_statement_block,
  [62990] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3772), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [62998] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(1876), 1,
      sym_statement_block,
  [63008] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3774), 1,
      anon_sym_LBRACE,
    ACTIONS(3776), 1,
      anon_sym_COLON,
  [63018] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(1878), 1,
      sym_statement_block,
  [63028] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(1880), 1,
      sym_statement_block,
  [63038] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(1885), 1,
      sym_statement_block,
  [63048] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(1493), 1,
      sym_statement_block,
  [63058] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(1891), 1,
      sym_statement_block,
  [63068] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(1896), 1,
      sym_statement_block,
  [63078] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(1901), 1,
      sym_statement_block,
  [63088] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    STATE(1903), 1,
      sym_statement_block,
  [63098] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(462), 1,
      sym_statement_block,
  [63108] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3778), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [63116] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      anon_sym_LBRACE,
    STATE(496), 1,
      sym_statement_block,
  [63126] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3780), 2,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token2,
  [63134] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      anon_sym_LBRACE,
    STATE(542), 1,
      sym_statement_block,
  [63144] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      anon_sym_LBRACE,
    STATE(497), 1,
      sym_statement_block,
  [63154] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_LBRACE,
    STATE(310), 1,
      sym_statement_block,
  [63164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3782), 1,
      sym__command_token,
    STATE(1491), 1,
      sym_function_name,
  [63174] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3423), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [63182] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      anon_sym_LBRACE,
    STATE(507), 1,
      sym_statement_block,
  [63192] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(131), 1,
      anon_sym_LBRACK,
    STATE(1599), 1,
      sym_type_literal,
  [63202] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      anon_sym_LBRACE,
    STATE(508), 1,
      sym_statement_block,
  [63212] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      anon_sym_LBRACE,
    STATE(509), 1,
      sym_statement_block,
  [63222] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    STATE(303), 1,
      sym_statement_block,
  [63232] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3703), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [63240] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(422), 1,
      sym_statement_block,
  [63250] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(448), 1,
      sym_statement_block,
  [63260] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(473), 1,
      sym_statement_block,
  [63270] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3784), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [63278] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      anon_sym_LBRACE,
    STATE(510), 1,
      sym_statement_block,
  [63288] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(467), 1,
      sym_statement_block,
  [63298] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3786), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [63306] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(470), 1,
      sym_statement_block,
  [63316] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3556), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [63324] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3740), 1,
      anon_sym_LPAREN,
    ACTIONS(3788), 1,
      anon_sym_RBRACK,
  [63334] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3764), 1,
      anon_sym_LBRACE,
    STATE(456), 1,
      sym_switch_body,
  [63344] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(459), 1,
      sym_statement_block,
  [63354] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3790), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [63362] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(471), 1,
      sym_statement_block,
  [63372] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(476), 1,
      sym_statement_block,
  [63382] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3792), 1,
      anon_sym_EQ,
    ACTIONS(3794), 1,
      sym__statement_terminator,
  [63392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3782), 1,
      sym__command_token,
    STATE(1503), 1,
      sym_function_name,
  [63402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3782), 1,
      sym__command_token,
    STATE(1519), 1,
      sym_function_name,
  [63412] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      anon_sym_LBRACE,
    STATE(501), 1,
      sym_statement_block,
  [63422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3782), 1,
      sym__command_token,
    STATE(1464), 1,
      sym_function_name,
  [63432] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3796), 1,
      anon_sym_EQ,
    ACTIONS(3798), 1,
      sym__statement_terminator,
  [63442] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3730), 1,
      anon_sym_LBRACE,
    STATE(321), 1,
      sym_statement_block,
  [63452] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3800), 2,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token2,
  [63460] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3802), 2,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token2,
  [63468] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3804), 2,
      aux_sym_while_statement_token1,
      aux_sym_do_statement_token2,
  [63476] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(1718), 1,
      sym_statement_block,
  [63486] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(1719), 1,
      sym_statement_block,
  [63496] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(1720), 1,
      sym_statement_block,
  [63506] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_LBRACE,
    STATE(482), 1,
      sym_statement_block,
  [63516] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(141), 1,
      anon_sym_LBRACE,
    STATE(89), 1,
      sym_script_block_expression,
  [63526] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(1329), 1,
      sym_statement_block,
  [63536] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_LBRACE,
    STATE(1928), 1,
      sym_statement_block,
  [63546] = 3,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3328), 1,
      anon_sym_LBRACE,
    STATE(537), 1,
      sym_statement_block,
  [63556] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3806), 1,
      anon_sym_LPAREN,
  [63563] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3808), 1,
      sym__statement_terminator,
  [63570] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1722), 1,
      sym__statement_terminator,
  [63577] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3810), 1,
      sym__statement_terminator,
  [63584] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1728), 1,
      sym__statement_terminator,
  [63591] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1718), 1,
      anon_sym_RPAREN,
  [63598] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1528), 1,
      sym__statement_terminator,
  [63605] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3812), 1,
      sym__statement_terminator,
  [63612] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1730), 1,
      sym__statement_terminator,
  [63619] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3098), 1,
      anon_sym_RPAREN,
  [63626] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3814), 1,
      anon_sym_RPAREN,
  [63633] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3816), 1,
      anon_sym_RBRACK,
  [63640] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3818), 1,
      anon_sym_RPAREN,
  [63647] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3820), 1,
      anon_sym_RBRACE,
  [63654] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3822), 1,
      anon_sym_RPAREN,
  [63661] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3824), 1,
      anon_sym_LPAREN,
  [63668] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3826), 1,
      anon_sym_RPAREN,
  [63675] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3828), 1,
      anon_sym_RPAREN,
  [63682] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3830), 1,
      anon_sym_RBRACE,
  [63689] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3738), 1,
      sym__statement_terminator,
  [63696] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1720), 1,
      anon_sym_RPAREN,
  [63703] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym_RBRACE,
  [63710] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3834), 1,
      anon_sym_RBRACE,
  [63717] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3836), 1,
      anon_sym_RPAREN,
  [63724] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3838), 1,
      anon_sym_RBRACE,
  [63731] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3840), 1,
      sym_simple_name,
  [63738] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3842), 1,
      anon_sym_RBRACK,
  [63745] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1674), 1,
      anon_sym_RPAREN,
  [63752] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_RPAREN,
  [63759] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3846), 1,
      anon_sym_RBRACE,
  [63766] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3848), 1,
      anon_sym_RPAREN,
  [63773] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3850), 1,
      anon_sym_LBRACE,
  [63780] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1694), 1,
      anon_sym_RPAREN,
  [63787] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3852), 1,
      anon_sym_RPAREN,
  [63794] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3854), 1,
      anon_sym_RBRACE,
  [63801] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym_LBRACE,
  [63808] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1676), 1,
      anon_sym_RPAREN,
  [63815] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3858), 1,
      anon_sym_RPAREN,
  [63822] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3860), 1,
      sym_simple_name,
  [63829] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3862), 1,
      anon_sym_RPAREN,
  [63836] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3864), 1,
      anon_sym_RBRACE,
  [63843] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3866), 1,
      anon_sym_EQ,
  [63850] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3868), 1,
      anon_sym_RPAREN,
  [63857] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3870), 1,
      anon_sym_RPAREN,
  [63864] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3872), 1,
      anon_sym_RBRACE,
  [63871] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3874), 1,
      anon_sym_RBRACK,
  [63878] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3876), 1,
      anon_sym_LPAREN,
  [63885] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3878), 1,
      anon_sym_RBRACE,
  [63892] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3880), 1,
      anon_sym_RBRACE,
  [63899] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3882), 1,
      anon_sym_RBRACE,
  [63906] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3884), 1,
      anon_sym_RBRACK,
  [63913] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3886), 1,
      anon_sym_RPAREN,
  [63920] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3888), 1,
      anon_sym_RBRACE,
  [63927] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3890), 1,
      anon_sym_RBRACE,
  [63934] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(213), 1,
      sym__statement_terminator,
  [63941] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3892), 1,
      anon_sym_RPAREN,
  [63948] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3894), 1,
      sym__statement_terminator,
  [63955] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3896), 1,
      anon_sym_LBRACE,
  [63962] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3898), 1,
      anon_sym_RPAREN,
  [63969] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1426), 1,
      sym__statement_terminator,
  [63976] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3900), 1,
      anon_sym_RBRACE,
  [63983] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3902), 1,
      anon_sym_RPAREN,
  [63990] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3904), 1,
      anon_sym_RBRACE,
  [63997] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1805), 1,
      sym__statement_terminator,
  [64004] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3906), 1,
      anon_sym_RPAREN,
  [64011] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3908), 1,
      anon_sym_RPAREN,
  [64018] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3910), 1,
      anon_sym_RBRACE,
  [64025] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3912), 1,
      sym__statement_terminator,
  [64032] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3914), 1,
      sym__statement_terminator,
  [64039] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_RBRACE,
  [64046] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3918), 1,
      anon_sym_RBRACE,
  [64053] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1807), 1,
      sym__statement_terminator,
  [64060] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3920), 1,
      anon_sym_RBRACK,
  [64067] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3922), 1,
      anon_sym_RPAREN,
  [64074] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1809), 1,
      sym__statement_terminator,
  [64081] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3924), 1,
      anon_sym_RPAREN,
  [64088] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1811), 1,
      sym__statement_terminator,
  [64095] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3926), 1,
      anon_sym_RBRACK,
  [64102] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1813), 1,
      sym__statement_terminator,
  [64109] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1815), 1,
      sym__statement_terminator,
  [64116] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3928), 1,
      anon_sym_RBRACK,
  [64123] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3930), 1,
      anon_sym_RPAREN,
  [64130] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1817), 1,
      sym__statement_terminator,
  [64137] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3932), 1,
      anon_sym_RPAREN,
  [64144] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3934), 1,
      anon_sym_RBRACE,
  [64151] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym_RPAREN,
  [64158] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3936), 1,
      anon_sym_RPAREN,
  [64165] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3938), 1,
      anon_sym_RPAREN,
  [64172] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3940), 1,
      anon_sym_RBRACE,
  [64179] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_RPAREN,
  [64186] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1664), 1,
      sym__statement_terminator,
  [64193] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3942), 1,
      anon_sym_RBRACE,
  [64200] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3944), 1,
      anon_sym_RBRACE,
  [64207] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1819), 1,
      sym__statement_terminator,
  [64214] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3946), 1,
      anon_sym_RBRACK,
  [64221] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3948), 1,
      anon_sym_RPAREN,
  [64228] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1821), 1,
      sym__statement_terminator,
  [64235] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3950), 1,
      anon_sym_LPAREN,
  [64242] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3952), 1,
      anon_sym_RBRACE,
  [64249] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3954), 1,
      anon_sym_RPAREN,
  [64256] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3956), 1,
      anon_sym_RBRACE,
  [64263] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3298), 1,
      anon_sym_LBRACE,
  [64270] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3958), 1,
      anon_sym_RPAREN,
  [64277] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3960), 1,
      anon_sym_LBRACE,
  [64284] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3962), 1,
      sym__statement_terminator,
  [64291] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3964), 1,
      anon_sym_RBRACE,
  [64298] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3966), 1,
      anon_sym_RPAREN,
  [64305] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3968), 1,
      anon_sym_RBRACE,
  [64312] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3970), 1,
      anon_sym_EQ,
  [64319] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3972), 1,
      anon_sym_RPAREN,
  [64326] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1666), 1,
      sym__statement_terminator,
  [64333] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1668), 1,
      sym__statement_terminator,
  [64340] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3974), 1,
      anon_sym_RPAREN,
  [64347] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1670), 1,
      sym__statement_terminator,
  [64354] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3976), 1,
      anon_sym_RPAREN,
  [64361] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1672), 1,
      sym__statement_terminator,
  [64368] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3978), 1,
      anon_sym_RBRACK,
  [64375] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3980), 1,
      anon_sym_RPAREN,
  [64382] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
  [64389] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_LPAREN,
  [64396] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1674), 1,
      sym__statement_terminator,
  [64403] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym__statement_terminator,
  [64410] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3085), 1,
      anon_sym_RPAREN,
  [64417] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1400), 1,
      sym__statement_terminator,
  [64424] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3794), 1,
      sym__statement_terminator,
  [64431] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3986), 1,
      anon_sym_LPAREN,
  [64438] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1678), 1,
      sym__statement_terminator,
  [64445] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3988), 1,
      anon_sym_LPAREN,
  [64452] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1680), 1,
      sym__statement_terminator,
  [64459] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3990), 1,
      anon_sym_RPAREN,
  [64466] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1682), 1,
      sym__statement_terminator,
  [64473] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3992), 1,
      anon_sym_RBRACE,
  [64480] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1684), 1,
      sym__statement_terminator,
  [64487] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1686), 1,
      sym__statement_terminator,
  [64494] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1688), 1,
      sym__statement_terminator,
  [64501] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1690), 1,
      sym__statement_terminator,
  [64508] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1692), 1,
      sym__statement_terminator,
  [64515] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3994), 1,
      anon_sym_LPAREN,
  [64522] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1694), 1,
      sym__statement_terminator,
  [64529] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1696), 1,
      sym__statement_terminator,
  [64536] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1698), 1,
      sym__statement_terminator,
  [64543] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3996), 1,
      anon_sym_RBRACK,
  [64550] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1700), 1,
      sym__statement_terminator,
  [64557] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym_RPAREN,
  [64564] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1702), 1,
      sym__statement_terminator,
  [64571] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4000), 1,
      anon_sym_RBRACE,
  [64578] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4002), 1,
      anon_sym_LBRACE,
  [64585] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1704), 1,
      sym__statement_terminator,
  [64592] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4004), 1,
      anon_sym_LPAREN,
  [64599] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1706), 1,
      sym__statement_terminator,
  [64606] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4006), 1,
      anon_sym_RPAREN,
  [64613] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1708), 1,
      sym__statement_terminator,
  [64620] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4008), 1,
      anon_sym_RPAREN,
  [64627] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4010), 1,
      anon_sym_LBRACE,
  [64634] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1710), 1,
      sym__statement_terminator,
  [64641] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4012), 1,
      anon_sym_RPAREN,
  [64648] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1712), 1,
      sym__statement_terminator,
  [64655] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4014), 1,
      anon_sym_RBRACE,
  [64662] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4016), 1,
      anon_sym_RPAREN,
  [64669] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1696), 1,
      anon_sym_RPAREN,
  [64676] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4018), 1,
      anon_sym_RPAREN,
  [64683] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1791), 1,
      sym__statement_terminator,
  [64690] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1714), 1,
      sym__statement_terminator,
  [64697] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1793), 1,
      sym__statement_terminator,
  [64704] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4020), 1,
      anon_sym_RPAREN,
  [64711] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4022), 1,
      anon_sym_RPAREN,
  [64718] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4024), 1,
      anon_sym_RBRACK,
  [64725] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1716), 1,
      sym__statement_terminator,
  [64732] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1680), 1,
      anon_sym_RPAREN,
  [64739] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4026), 1,
      anon_sym_RPAREN,
  [64746] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4028), 1,
      anon_sym_RPAREN,
  [64753] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4030), 1,
      anon_sym_RPAREN,
  [64760] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1718), 1,
      sym__statement_terminator,
  [64767] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4032), 1,
      anon_sym_RPAREN,
  [64774] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1720), 1,
      sym__statement_terminator,
  [64781] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4034), 1,
      anon_sym_RBRACE,
  [64788] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_RPAREN,
  [64795] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4036), 1,
      sym__statement_terminator,
  [64802] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4038), 1,
      ts_builtin_sym_end,
  [64809] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1664), 1,
      anon_sym_RPAREN,
  [64816] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4040), 1,
      anon_sym_LBRACE,
  [64823] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4042), 1,
      aux_sym_foreach_statement_token2,
  [64830] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4044), 1,
      anon_sym_RBRACE,
  [64837] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_RPAREN,
  [64844] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4046), 1,
      sym__statement_terminator,
  [64851] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4048), 1,
      anon_sym_RBRACE,
  [64858] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4050), 1,
      sym__statement_terminator,
  [64865] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4052), 1,
      anon_sym_RPAREN,
  [64872] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4054), 1,
      anon_sym_RBRACK,
  [64879] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4056), 1,
      sym__statement_terminator,
  [64886] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1795), 1,
      sym__statement_terminator,
  [64893] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4058), 1,
      sym__statement_terminator,
  [64900] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4060), 1,
      sym__statement_terminator,
  [64907] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4062), 1,
      anon_sym_RPAREN,
  [64914] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1791), 1,
      anon_sym_RPAREN,
  [64921] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1793), 1,
      anon_sym_RPAREN,
  [64928] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1797), 1,
      sym__statement_terminator,
  [64935] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_LPAREN,
  [64942] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1795), 1,
      anon_sym_RPAREN,
  [64949] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1797), 1,
      anon_sym_RPAREN,
  [64956] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1799), 1,
      anon_sym_RPAREN,
  [64963] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1801), 1,
      anon_sym_RPAREN,
  [64970] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4066), 1,
      anon_sym_RPAREN,
  [64977] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1799), 1,
      sym__statement_terminator,
  [64984] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4068), 1,
      anon_sym_RPAREN,
  [64991] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1801), 1,
      sym__statement_terminator,
  [64998] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4070), 1,
      anon_sym_LPAREN,
  [65005] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4072), 1,
      anon_sym_LBRACE,
  [65012] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4074), 1,
      sym__statement_terminator,
  [65019] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4076), 1,
      anon_sym_LPAREN,
  [65026] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4078), 1,
      anon_sym_RPAREN,
  [65033] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4080), 1,
      anon_sym_RBRACE,
  [65040] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_RPAREN,
  [65047] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4084), 1,
      anon_sym_LBRACE,
  [65054] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4086), 1,
      anon_sym_RBRACK,
  [65061] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4088), 1,
      anon_sym_RPAREN,
  [65068] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4090), 1,
      anon_sym_LPAREN,
  [65075] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4092), 1,
      anon_sym_RPAREN,
  [65082] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4094), 1,
      anon_sym_RPAREN,
  [65089] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
  [65096] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4096), 1,
      anon_sym_RPAREN,
  [65103] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4098), 1,
      anon_sym_RPAREN,
  [65110] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4100), 1,
      anon_sym_RPAREN,
  [65117] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4102), 1,
      anon_sym_RPAREN,
  [65124] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4104), 1,
      anon_sym_RBRACE,
  [65131] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4106), 1,
      anon_sym_LBRACE,
  [65138] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4108), 1,
      anon_sym_RBRACE,
  [65145] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4110), 1,
      anon_sym_RPAREN,
  [65152] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4112), 1,
      anon_sym_RPAREN,
  [65159] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4114), 1,
      anon_sym_RPAREN,
  [65166] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3742), 1,
      anon_sym_RBRACK,
  [65173] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_RPAREN,
  [65180] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3057), 1,
      anon_sym_RPAREN,
  [65187] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_RPAREN,
  [65194] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_RPAREN,
  [65201] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1700), 1,
      anon_sym_RPAREN,
  [65208] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3047), 1,
      anon_sym_RPAREN,
  [65215] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4118), 1,
      anon_sym_RBRACE,
  [65222] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4120), 1,
      anon_sym_RPAREN,
  [65229] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4122), 1,
      anon_sym_RBRACK,
  [65236] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4124), 1,
      anon_sym_RBRACK,
  [65243] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4126), 1,
      ts_builtin_sym_end,
  [65250] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_RPAREN,
  [65257] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4130), 1,
      anon_sym_RBRACE,
  [65264] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4132), 1,
      anon_sym_RBRACE,
  [65271] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4134), 1,
      anon_sym_RBRACE,
  [65278] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4136), 1,
      sym__statement_terminator,
  [65285] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4138), 1,
      anon_sym_RBRACE,
  [65292] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4140), 1,
      sym__statement_terminator,
  [65299] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_RPAREN,
  [65306] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4142), 1,
      anon_sym_RBRACE,
  [65313] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4144), 1,
      anon_sym_LBRACE,
  [65320] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_RBRACE,
  [65327] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4148), 1,
      anon_sym_RPAREN,
  [65334] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4150), 1,
      anon_sym_RBRACE,
  [65341] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4152), 1,
      anon_sym_RPAREN,
  [65348] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4154), 1,
      anon_sym_LBRACE,
  [65355] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4156), 1,
      ts_builtin_sym_end,
  [65362] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_RBRACE,
  [65369] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3744), 1,
      anon_sym_RBRACK,
  [65376] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_RPAREN,
  [65383] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4160), 1,
      anon_sym_RPAREN,
  [65390] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4162), 1,
      anon_sym_RBRACK,
  [65397] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4164), 1,
      anon_sym_RBRACK,
  [65404] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_RPAREN,
  [65411] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4166), 1,
      anon_sym_RPAREN,
  [65418] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4168), 1,
      anon_sym_RPAREN,
  [65425] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4170), 1,
      anon_sym_LBRACE,
  [65432] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4172), 1,
      anon_sym_LPAREN,
  [65439] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1702), 1,
      anon_sym_RPAREN,
  [65446] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4174), 1,
      anon_sym_RPAREN,
  [65453] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4176), 1,
      anon_sym_RPAREN,
  [65460] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4178), 1,
      anon_sym_RPAREN,
  [65467] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_RPAREN,
  [65474] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4180), 1,
      anon_sym_RPAREN,
  [65481] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4182), 1,
      sym__statement_terminator,
  [65488] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1728), 1,
      anon_sym_RPAREN,
  [65495] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4184), 1,
      anon_sym_RBRACK,
  [65502] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1528), 1,
      anon_sym_RPAREN,
  [65509] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
  [65516] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1730), 1,
      anon_sym_RPAREN,
  [65523] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4188), 1,
      anon_sym_RBRACK,
  [65530] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4190), 1,
      anon_sym_RPAREN,
  [65537] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4192), 1,
      anon_sym_LBRACE,
  [65544] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4194), 1,
      anon_sym_RBRACK,
  [65551] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4196), 1,
      anon_sym_RBRACK,
  [65558] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4198), 1,
      sym__statement_terminator,
  [65565] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4200), 1,
      sym__statement_terminator,
  [65572] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4202), 1,
      sym__statement_terminator,
  [65579] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4204), 1,
      anon_sym_RBRACK,
  [65586] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4206), 1,
      anon_sym_LPAREN,
  [65593] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_RBRACE,
  [65600] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4210), 1,
      anon_sym_RBRACE,
  [65607] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4212), 1,
      anon_sym_RBRACK,
  [65614] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4214), 1,
      anon_sym_RBRACK,
  [65621] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4216), 1,
      anon_sym_RPAREN,
  [65628] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym_RBRACK,
  [65635] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4220), 1,
      anon_sym_LBRACE,
  [65642] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4222), 1,
      anon_sym_LPAREN,
  [65649] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4224), 1,
      anon_sym_RBRACE,
  [65656] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4226), 1,
      sym_simple_name,
  [65663] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4228), 1,
      sym_simple_name,
  [65670] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4230), 1,
      aux_sym_param_block_token1,
  [65677] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4232), 1,
      anon_sym_LPAREN,
  [65684] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3087), 1,
      anon_sym_RPAREN,
  [65691] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4234), 1,
      anon_sym_RBRACE,
  [65698] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3788), 1,
      anon_sym_RBRACK,
  [65705] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4236), 1,
      sym__statement_terminator,
  [65712] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4238), 1,
      anon_sym_LPAREN,
  [65719] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4240), 1,
      sym_simple_name,
  [65726] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4242), 1,
      anon_sym_RBRACE,
  [65733] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4244), 1,
      sym__statement_terminator,
  [65740] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4246), 1,
      anon_sym_LPAREN,
  [65747] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4248), 1,
      sym__statement_terminator,
  [65754] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4250), 1,
      sym__statement_terminator,
  [65761] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4252), 1,
      sym__statement_terminator,
  [65768] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4254), 1,
      sym__statement_terminator,
  [65775] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4256), 1,
      sym__statement_terminator,
  [65782] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4258), 1,
      sym__statement_terminator,
  [65789] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4260), 1,
      anon_sym_RBRACE,
  [65796] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4262), 1,
      anon_sym_RPAREN,
  [65803] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4264), 1,
      anon_sym_RPAREN,
  [65810] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4266), 1,
      anon_sym_LPAREN,
  [65817] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4268), 1,
      anon_sym_RPAREN,
  [65824] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4270), 1,
      anon_sym_RBRACE,
  [65831] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4272), 1,
      anon_sym_LPAREN,
  [65838] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4274), 1,
      anon_sym_RBRACE,
  [65845] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4276), 1,
      sym_type_identifier,
  [65852] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_RPAREN,
  [65859] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1807), 1,
      anon_sym_RPAREN,
  [65866] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1809), 1,
      anon_sym_RPAREN,
  [65873] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4278), 1,
      sym__statement_terminator,
  [65880] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4280), 1,
      anon_sym_RPAREN,
  [65887] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1811), 1,
      anon_sym_RPAREN,
  [65894] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4282), 1,
      anon_sym_RBRACE,
  [65901] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1704), 1,
      anon_sym_RPAREN,
  [65908] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3045), 1,
      anon_sym_RPAREN,
  [65915] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1813), 1,
      anon_sym_RPAREN,
  [65922] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_RPAREN,
  [65929] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4284), 1,
      aux_sym_param_block_token1,
  [65936] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4286), 1,
      anon_sym_RPAREN,
  [65943] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4288), 1,
      anon_sym_RBRACE,
  [65950] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_RPAREN,
  [65957] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1817), 1,
      anon_sym_RPAREN,
  [65964] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4290), 1,
      anon_sym_RPAREN,
  [65971] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4292), 1,
      anon_sym_RPAREN,
  [65978] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4294), 1,
      anon_sym_RBRACK,
  [65985] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1708), 1,
      anon_sym_RPAREN,
  [65992] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4296), 1,
      anon_sym_RPAREN,
  [65999] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4298), 1,
      anon_sym_LPAREN,
  [66006] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4300), 1,
      anon_sym_RBRACE,
  [66013] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4302), 1,
      sym_simple_name,
  [66020] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4304), 1,
      sym_simple_name,
  [66027] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4306), 1,
      aux_sym_param_block_token1,
  [66034] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4308), 1,
      anon_sym_RPAREN,
  [66041] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4310), 1,
      anon_sym_RPAREN,
  [66048] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4312), 1,
      sym__statement_terminator,
  [66055] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4314), 1,
      anon_sym_LPAREN,
  [66062] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4316), 1,
      sym_simple_name,
  [66069] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4318), 1,
      anon_sym_RBRACE,
  [66076] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4320), 1,
      sym__statement_terminator,
  [66083] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1819), 1,
      anon_sym_RPAREN,
  [66090] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4322), 1,
      sym__statement_terminator,
  [66097] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4324), 1,
      sym__statement_terminator,
  [66104] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1821), 1,
      anon_sym_RPAREN,
  [66111] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4326), 1,
      sym__statement_terminator,
  [66118] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4328), 1,
      sym__statement_terminator,
  [66125] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4330), 1,
      sym__statement_terminator,
  [66132] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4332), 1,
      anon_sym_LPAREN,
  [66139] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4334), 1,
      sym__statement_terminator,
  [66146] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4336), 1,
      sym_simple_name,
  [66153] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4338), 1,
      sym_simple_name,
  [66160] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_RPAREN,
  [66167] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4340), 1,
      sym_simple_name,
  [66174] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4342), 1,
      sym__statement_terminator,
  [66181] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_RPAREN,
  [66188] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4344), 1,
      sym_simple_name,
  [66195] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4346), 1,
      anon_sym_LPAREN,
  [66202] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4348), 1,
      sym__statement_terminator,
  [66209] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4350), 1,
      sym_simple_name,
  [66216] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4352), 1,
      sym__statement_terminator,
  [66223] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4354), 1,
      sym__statement_terminator,
  [66230] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(3962), 1,
      anon_sym_RPAREN,
  [66237] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4356), 1,
      sym__statement_terminator,
  [66244] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4358), 1,
      sym__statement_terminator,
  [66251] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4360), 1,
      sym__statement_terminator,
  [66258] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4362), 1,
      anon_sym_LPAREN,
  [66265] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4364), 1,
      anon_sym_LPAREN,
  [66272] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4366), 1,
      anon_sym_RBRACK,
  [66279] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4368), 1,
      aux_sym_foreach_statement_token2,
  [66286] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4370), 1,
      aux_sym_foreach_statement_token2,
  [66293] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4372), 1,
      anon_sym_LPAREN,
  [66300] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(2389), 1,
      sym__statement_terminator,
  [66307] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4374), 1,
      anon_sym_LPAREN,
  [66314] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4376), 1,
      anon_sym_LPAREN,
  [66321] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_RPAREN,
  [66328] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4378), 1,
      aux_sym_foreach_statement_token2,
  [66335] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4380), 1,
      aux_sym_foreach_statement_token2,
  [66342] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4382), 1,
      anon_sym_LPAREN,
  [66349] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4384), 1,
      anon_sym_LPAREN,
  [66356] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4386), 1,
      anon_sym_LPAREN,
  [66363] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4388), 1,
      sym__statement_terminator,
  [66370] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4390), 1,
      aux_sym_foreach_statement_token2,
  [66377] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4392), 1,
      aux_sym_foreach_statement_token2,
  [66384] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4394), 1,
      anon_sym_LPAREN,
  [66391] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4396), 1,
      aux_sym_foreach_statement_token2,
  [66398] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1666), 1,
      anon_sym_RPAREN,
  [66405] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1668), 1,
      anon_sym_RPAREN,
  [66412] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4398), 1,
      anon_sym_LBRACE,
  [66419] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1670), 1,
      anon_sym_RPAREN,
  [66426] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1672), 1,
      anon_sym_RPAREN,
  [66433] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4400), 1,
      anon_sym_RBRACE,
  [66440] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_RPAREN,
  [66447] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4402), 1,
      anon_sym_LBRACE,
  [66454] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4404), 1,
      anon_sym_RBRACK,
  [66461] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4406), 1,
      anon_sym_LPAREN,
  [66468] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(1406), 1,
      sym__statement_terminator,
  [66475] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4408), 1,
      anon_sym_LPAREN,
  [66482] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4410), 1,
      anon_sym_RPAREN,
  [66489] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4412), 1,
      anon_sym_LPAREN,
  [66496] = 2,
    ACTIONS(81), 1,
      sym_comment,
    ACTIONS(4414), 1,
      anon_sym_RPAREN,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(379)] = 0,
  [SMALL_STATE(380)] = 69,
  [SMALL_STATE(381)] = 142,
  [SMALL_STATE(382)] = 211,
  [SMALL_STATE(383)] = 284,
  [SMALL_STATE(384)] = 357,
  [SMALL_STATE(385)] = 432,
  [SMALL_STATE(386)] = 503,
  [SMALL_STATE(387)] = 576,
  [SMALL_STATE(388)] = 649,
  [SMALL_STATE(389)] = 722,
  [SMALL_STATE(390)] = 791,
  [SMALL_STATE(391)] = 860,
  [SMALL_STATE(392)] = 931,
  [SMALL_STATE(393)] = 1006,
  [SMALL_STATE(394)] = 1079,
  [SMALL_STATE(395)] = 1148,
  [SMALL_STATE(396)] = 1217,
  [SMALL_STATE(397)] = 1350,
  [SMALL_STATE(398)] = 1419,
  [SMALL_STATE(399)] = 1492,
  [SMALL_STATE(400)] = 1622,
  [SMALL_STATE(401)] = 1694,
  [SMALL_STATE(402)] = 1824,
  [SMALL_STATE(403)] = 1894,
  [SMALL_STATE(404)] = 2024,
  [SMALL_STATE(405)] = 2094,
  [SMALL_STATE(406)] = 2164,
  [SMALL_STATE(407)] = 2234,
  [SMALL_STATE(408)] = 2308,
  [SMALL_STATE(409)] = 2378,
  [SMALL_STATE(410)] = 2452,
  [SMALL_STATE(411)] = 2526,
  [SMALL_STATE(412)] = 2596,
  [SMALL_STATE(413)] = 2666,
  [SMALL_STATE(414)] = 2736,
  [SMALL_STATE(415)] = 2806,
  [SMALL_STATE(416)] = 2880,
  [SMALL_STATE(417)] = 3010,
  [SMALL_STATE(418)] = 3082,
  [SMALL_STATE(419)] = 3212,
  [SMALL_STATE(420)] = 3339,
  [SMALL_STATE(421)] = 3464,
  [SMALL_STATE(422)] = 3531,
  [SMALL_STATE(423)] = 3598,
  [SMALL_STATE(424)] = 3665,
  [SMALL_STATE(425)] = 3732,
  [SMALL_STATE(426)] = 3799,
  [SMALL_STATE(427)] = 3926,
  [SMALL_STATE(428)] = 3993,
  [SMALL_STATE(429)] = 4060,
  [SMALL_STATE(430)] = 4127,
  [SMALL_STATE(431)] = 4254,
  [SMALL_STATE(432)] = 4321,
  [SMALL_STATE(433)] = 4388,
  [SMALL_STATE(434)] = 4513,
  [SMALL_STATE(435)] = 4580,
  [SMALL_STATE(436)] = 4707,
  [SMALL_STATE(437)] = 4774,
  [SMALL_STATE(438)] = 4841,
  [SMALL_STATE(439)] = 4908,
  [SMALL_STATE(440)] = 4979,
  [SMALL_STATE(441)] = 5104,
  [SMALL_STATE(442)] = 5171,
  [SMALL_STATE(443)] = 5238,
  [SMALL_STATE(444)] = 5305,
  [SMALL_STATE(445)] = 5432,
  [SMALL_STATE(446)] = 5557,
  [SMALL_STATE(447)] = 5624,
  [SMALL_STATE(448)] = 5691,
  [SMALL_STATE(449)] = 5758,
  [SMALL_STATE(450)] = 5825,
  [SMALL_STATE(451)] = 5892,
  [SMALL_STATE(452)] = 5959,
  [SMALL_STATE(453)] = 6084,
  [SMALL_STATE(454)] = 6151,
  [SMALL_STATE(455)] = 6218,
  [SMALL_STATE(456)] = 6285,
  [SMALL_STATE(457)] = 6352,
  [SMALL_STATE(458)] = 6477,
  [SMALL_STATE(459)] = 6548,
  [SMALL_STATE(460)] = 6615,
  [SMALL_STATE(461)] = 6682,
  [SMALL_STATE(462)] = 6749,
  [SMALL_STATE(463)] = 6816,
  [SMALL_STATE(464)] = 6883,
  [SMALL_STATE(465)] = 6950,
  [SMALL_STATE(466)] = 7017,
  [SMALL_STATE(467)] = 7084,
  [SMALL_STATE(468)] = 7151,
  [SMALL_STATE(469)] = 7218,
  [SMALL_STATE(470)] = 7285,
  [SMALL_STATE(471)] = 7352,
  [SMALL_STATE(472)] = 7419,
  [SMALL_STATE(473)] = 7544,
  [SMALL_STATE(474)] = 7611,
  [SMALL_STATE(475)] = 7678,
  [SMALL_STATE(476)] = 7745,
  [SMALL_STATE(477)] = 7812,
  [SMALL_STATE(478)] = 7939,
  [SMALL_STATE(479)] = 8006,
  [SMALL_STATE(480)] = 8073,
  [SMALL_STATE(481)] = 8140,
  [SMALL_STATE(482)] = 8207,
  [SMALL_STATE(483)] = 8274,
  [SMALL_STATE(484)] = 8341,
  [SMALL_STATE(485)] = 8466,
  [SMALL_STATE(486)] = 8534,
  [SMALL_STATE(487)] = 8602,
  [SMALL_STATE(488)] = 8670,
  [SMALL_STATE(489)] = 8738,
  [SMALL_STATE(490)] = 8806,
  [SMALL_STATE(491)] = 8874,
  [SMALL_STATE(492)] = 8998,
  [SMALL_STATE(493)] = 9066,
  [SMALL_STATE(494)] = 9134,
  [SMALL_STATE(495)] = 9200,
  [SMALL_STATE(496)] = 9268,
  [SMALL_STATE(497)] = 9336,
  [SMALL_STATE(498)] = 9404,
  [SMALL_STATE(499)] = 9472,
  [SMALL_STATE(500)] = 9540,
  [SMALL_STATE(501)] = 9608,
  [SMALL_STATE(502)] = 9676,
  [SMALL_STATE(503)] = 9744,
  [SMALL_STATE(504)] = 9812,
  [SMALL_STATE(505)] = 9880,
  [SMALL_STATE(506)] = 9948,
  [SMALL_STATE(507)] = 10016,
  [SMALL_STATE(508)] = 10084,
  [SMALL_STATE(509)] = 10152,
  [SMALL_STATE(510)] = 10220,
  [SMALL_STATE(511)] = 10288,
  [SMALL_STATE(512)] = 10356,
  [SMALL_STATE(513)] = 10424,
  [SMALL_STATE(514)] = 10548,
  [SMALL_STATE(515)] = 10616,
  [SMALL_STATE(516)] = 10684,
  [SMALL_STATE(517)] = 10752,
  [SMALL_STATE(518)] = 10820,
  [SMALL_STATE(519)] = 10944,
  [SMALL_STATE(520)] = 11012,
  [SMALL_STATE(521)] = 11136,
  [SMALL_STATE(522)] = 11208,
  [SMALL_STATE(523)] = 11276,
  [SMALL_STATE(524)] = 11344,
  [SMALL_STATE(525)] = 11466,
  [SMALL_STATE(526)] = 11590,
  [SMALL_STATE(527)] = 11658,
  [SMALL_STATE(528)] = 11726,
  [SMALL_STATE(529)] = 11794,
  [SMALL_STATE(530)] = 11862,
  [SMALL_STATE(531)] = 11930,
  [SMALL_STATE(532)] = 11998,
  [SMALL_STATE(533)] = 12066,
  [SMALL_STATE(534)] = 12138,
  [SMALL_STATE(535)] = 12260,
  [SMALL_STATE(536)] = 12328,
  [SMALL_STATE(537)] = 12396,
  [SMALL_STATE(538)] = 12464,
  [SMALL_STATE(539)] = 12532,
  [SMALL_STATE(540)] = 12600,
  [SMALL_STATE(541)] = 12668,
  [SMALL_STATE(542)] = 12736,
  [SMALL_STATE(543)] = 12804,
  [SMALL_STATE(544)] = 12872,
  [SMALL_STATE(545)] = 12940,
  [SMALL_STATE(546)] = 13008,
  [SMALL_STATE(547)] = 13125,
  [SMALL_STATE(548)] = 13246,
  [SMALL_STATE(549)] = 13367,
  [SMALL_STATE(550)] = 13488,
  [SMALL_STATE(551)] = 13559,
  [SMALL_STATE(552)] = 13624,
  [SMALL_STATE(553)] = 13745,
  [SMALL_STATE(554)] = 13816,
  [SMALL_STATE(555)] = 13933,
  [SMALL_STATE(556)] = 14050,
  [SMALL_STATE(557)] = 14115,
  [SMALL_STATE(558)] = 14236,
  [SMALL_STATE(559)] = 14307,
  [SMALL_STATE(560)] = 14378,
  [SMALL_STATE(561)] = 14495,
  [SMALL_STATE(562)] = 14616,
  [SMALL_STATE(563)] = 14687,
  [SMALL_STATE(564)] = 14758,
  [SMALL_STATE(565)] = 14823,
  [SMALL_STATE(566)] = 14888,
  [SMALL_STATE(567)] = 15006,
  [SMALL_STATE(568)] = 15124,
  [SMALL_STATE(569)] = 15194,
  [SMALL_STATE(570)] = 15312,
  [SMALL_STATE(571)] = 15382,
  [SMALL_STATE(572)] = 15500,
  [SMALL_STATE(573)] = 15618,
  [SMALL_STATE(574)] = 15736,
  [SMALL_STATE(575)] = 15854,
  [SMALL_STATE(576)] = 15924,
  [SMALL_STATE(577)] = 15994,
  [SMALL_STATE(578)] = 16109,
  [SMALL_STATE(579)] = 16224,
  [SMALL_STATE(580)] = 16339,
  [SMALL_STATE(581)] = 16408,
  [SMALL_STATE(582)] = 16523,
  [SMALL_STATE(583)] = 16638,
  [SMALL_STATE(584)] = 16707,
  [SMALL_STATE(585)] = 16822,
  [SMALL_STATE(586)] = 16934,
  [SMALL_STATE(587)] = 17046,
  [SMALL_STATE(588)] = 17158,
  [SMALL_STATE(589)] = 17270,
  [SMALL_STATE(590)] = 17382,
  [SMALL_STATE(591)] = 17450,
  [SMALL_STATE(592)] = 17562,
  [SMALL_STATE(593)] = 17630,
  [SMALL_STATE(594)] = 17739,
  [SMALL_STATE(595)] = 17848,
  [SMALL_STATE(596)] = 17957,
  [SMALL_STATE(597)] = 18066,
  [SMALL_STATE(598)] = 18175,
  [SMALL_STATE(599)] = 18284,
  [SMALL_STATE(600)] = 18393,
  [SMALL_STATE(601)] = 18502,
  [SMALL_STATE(602)] = 18611,
  [SMALL_STATE(603)] = 18720,
  [SMALL_STATE(604)] = 18829,
  [SMALL_STATE(605)] = 18938,
  [SMALL_STATE(606)] = 19047,
  [SMALL_STATE(607)] = 19156,
  [SMALL_STATE(608)] = 19265,
  [SMALL_STATE(609)] = 19374,
  [SMALL_STATE(610)] = 19483,
  [SMALL_STATE(611)] = 19592,
  [SMALL_STATE(612)] = 19701,
  [SMALL_STATE(613)] = 19810,
  [SMALL_STATE(614)] = 19919,
  [SMALL_STATE(615)] = 20028,
  [SMALL_STATE(616)] = 20137,
  [SMALL_STATE(617)] = 20246,
  [SMALL_STATE(618)] = 20355,
  [SMALL_STATE(619)] = 20464,
  [SMALL_STATE(620)] = 20573,
  [SMALL_STATE(621)] = 20682,
  [SMALL_STATE(622)] = 20791,
  [SMALL_STATE(623)] = 20900,
  [SMALL_STATE(624)] = 21009,
  [SMALL_STATE(625)] = 21118,
  [SMALL_STATE(626)] = 21227,
  [SMALL_STATE(627)] = 21336,
  [SMALL_STATE(628)] = 21445,
  [SMALL_STATE(629)] = 21554,
  [SMALL_STATE(630)] = 21663,
  [SMALL_STATE(631)] = 21772,
  [SMALL_STATE(632)] = 21881,
  [SMALL_STATE(633)] = 21990,
  [SMALL_STATE(634)] = 22099,
  [SMALL_STATE(635)] = 22208,
  [SMALL_STATE(636)] = 22317,
  [SMALL_STATE(637)] = 22426,
  [SMALL_STATE(638)] = 22535,
  [SMALL_STATE(639)] = 22644,
  [SMALL_STATE(640)] = 22753,
  [SMALL_STATE(641)] = 22862,
  [SMALL_STATE(642)] = 22971,
  [SMALL_STATE(643)] = 23080,
  [SMALL_STATE(644)] = 23189,
  [SMALL_STATE(645)] = 23298,
  [SMALL_STATE(646)] = 23407,
  [SMALL_STATE(647)] = 23516,
  [SMALL_STATE(648)] = 23625,
  [SMALL_STATE(649)] = 23734,
  [SMALL_STATE(650)] = 23843,
  [SMALL_STATE(651)] = 23952,
  [SMALL_STATE(652)] = 24061,
  [SMALL_STATE(653)] = 24170,
  [SMALL_STATE(654)] = 24279,
  [SMALL_STATE(655)] = 24388,
  [SMALL_STATE(656)] = 24497,
  [SMALL_STATE(657)] = 24606,
  [SMALL_STATE(658)] = 24715,
  [SMALL_STATE(659)] = 24824,
  [SMALL_STATE(660)] = 24933,
  [SMALL_STATE(661)] = 25042,
  [SMALL_STATE(662)] = 25151,
  [SMALL_STATE(663)] = 25260,
  [SMALL_STATE(664)] = 25369,
  [SMALL_STATE(665)] = 25478,
  [SMALL_STATE(666)] = 25587,
  [SMALL_STATE(667)] = 25696,
  [SMALL_STATE(668)] = 25805,
  [SMALL_STATE(669)] = 25914,
  [SMALL_STATE(670)] = 26023,
  [SMALL_STATE(671)] = 26132,
  [SMALL_STATE(672)] = 26241,
  [SMALL_STATE(673)] = 26350,
  [SMALL_STATE(674)] = 26459,
  [SMALL_STATE(675)] = 26568,
  [SMALL_STATE(676)] = 26677,
  [SMALL_STATE(677)] = 26786,
  [SMALL_STATE(678)] = 26895,
  [SMALL_STATE(679)] = 27004,
  [SMALL_STATE(680)] = 27113,
  [SMALL_STATE(681)] = 27222,
  [SMALL_STATE(682)] = 27331,
  [SMALL_STATE(683)] = 27440,
  [SMALL_STATE(684)] = 27549,
  [SMALL_STATE(685)] = 27658,
  [SMALL_STATE(686)] = 27767,
  [SMALL_STATE(687)] = 27876,
  [SMALL_STATE(688)] = 27985,
  [SMALL_STATE(689)] = 28094,
  [SMALL_STATE(690)] = 28203,
  [SMALL_STATE(691)] = 28312,
  [SMALL_STATE(692)] = 28421,
  [SMALL_STATE(693)] = 28522,
  [SMALL_STATE(694)] = 28623,
  [SMALL_STATE(695)] = 28724,
  [SMALL_STATE(696)] = 28825,
  [SMALL_STATE(697)] = 28926,
  [SMALL_STATE(698)] = 29027,
  [SMALL_STATE(699)] = 29128,
  [SMALL_STATE(700)] = 29229,
  [SMALL_STATE(701)] = 29330,
  [SMALL_STATE(702)] = 29431,
  [SMALL_STATE(703)] = 29532,
  [SMALL_STATE(704)] = 29633,
  [SMALL_STATE(705)] = 29734,
  [SMALL_STATE(706)] = 29835,
  [SMALL_STATE(707)] = 29936,
  [SMALL_STATE(708)] = 30037,
  [SMALL_STATE(709)] = 30138,
  [SMALL_STATE(710)] = 30239,
  [SMALL_STATE(711)] = 30340,
  [SMALL_STATE(712)] = 30441,
  [SMALL_STATE(713)] = 30542,
  [SMALL_STATE(714)] = 30643,
  [SMALL_STATE(715)] = 30744,
  [SMALL_STATE(716)] = 30845,
  [SMALL_STATE(717)] = 30901,
  [SMALL_STATE(718)] = 30961,
  [SMALL_STATE(719)] = 31017,
  [SMALL_STATE(720)] = 31115,
  [SMALL_STATE(721)] = 31175,
  [SMALL_STATE(722)] = 31270,
  [SMALL_STATE(723)] = 31329,
  [SMALL_STATE(724)] = 31384,
  [SMALL_STATE(725)] = 31439,
  [SMALL_STATE(726)] = 31498,
  [SMALL_STATE(727)] = 31588,
  [SMALL_STATE(728)] = 31678,
  [SMALL_STATE(729)] = 31770,
  [SMALL_STATE(730)] = 31862,
  [SMALL_STATE(731)] = 31954,
  [SMALL_STATE(732)] = 32046,
  [SMALL_STATE(733)] = 32138,
  [SMALL_STATE(734)] = 32230,
  [SMALL_STATE(735)] = 32322,
  [SMALL_STATE(736)] = 32414,
  [SMALL_STATE(737)] = 32506,
  [SMALL_STATE(738)] = 32598,
  [SMALL_STATE(739)] = 32688,
  [SMALL_STATE(740)] = 32778,
  [SMALL_STATE(741)] = 32865,
  [SMALL_STATE(742)] = 32918,
  [SMALL_STATE(743)] = 33005,
  [SMALL_STATE(744)] = 33063,
  [SMALL_STATE(745)] = 33121,
  [SMALL_STATE(746)] = 33179,
  [SMALL_STATE(747)] = 33237,
  [SMALL_STATE(748)] = 33292,
  [SMALL_STATE(749)] = 33345,
  [SMALL_STATE(750)] = 33398,
  [SMALL_STATE(751)] = 33455,
  [SMALL_STATE(752)] = 33530,
  [SMALL_STATE(753)] = 33587,
  [SMALL_STATE(754)] = 33660,
  [SMALL_STATE(755)] = 33717,
  [SMALL_STATE(756)] = 33774,
  [SMALL_STATE(757)] = 33847,
  [SMALL_STATE(758)] = 33922,
  [SMALL_STATE(759)] = 33977,
  [SMALL_STATE(760)] = 34027,
  [SMALL_STATE(761)] = 34077,
  [SMALL_STATE(762)] = 34127,
  [SMALL_STATE(763)] = 34177,
  [SMALL_STATE(764)] = 34227,
  [SMALL_STATE(765)] = 34277,
  [SMALL_STATE(766)] = 34327,
  [SMALL_STATE(767)] = 34377,
  [SMALL_STATE(768)] = 34431,
  [SMALL_STATE(769)] = 34481,
  [SMALL_STATE(770)] = 34531,
  [SMALL_STATE(771)] = 34581,
  [SMALL_STATE(772)] = 34631,
  [SMALL_STATE(773)] = 34683,
  [SMALL_STATE(774)] = 34757,
  [SMALL_STATE(775)] = 34809,
  [SMALL_STATE(776)] = 34881,
  [SMALL_STATE(777)] = 34953,
  [SMALL_STATE(778)] = 35003,
  [SMALL_STATE(779)] = 35053,
  [SMALL_STATE(780)] = 35127,
  [SMALL_STATE(781)] = 35177,
  [SMALL_STATE(782)] = 35227,
  [SMALL_STATE(783)] = 35277,
  [SMALL_STATE(784)] = 35327,
  [SMALL_STATE(785)] = 35387,
  [SMALL_STATE(786)] = 35437,
  [SMALL_STATE(787)] = 35487,
  [SMALL_STATE(788)] = 35537,
  [SMALL_STATE(789)] = 35587,
  [SMALL_STATE(790)] = 35637,
  [SMALL_STATE(791)] = 35687,
  [SMALL_STATE(792)] = 35759,
  [SMALL_STATE(793)] = 35809,
  [SMALL_STATE(794)] = 35859,
  [SMALL_STATE(795)] = 35909,
  [SMALL_STATE(796)] = 35989,
  [SMALL_STATE(797)] = 36039,
  [SMALL_STATE(798)] = 36089,
  [SMALL_STATE(799)] = 36139,
  [SMALL_STATE(800)] = 36189,
  [SMALL_STATE(801)] = 36239,
  [SMALL_STATE(802)] = 36289,
  [SMALL_STATE(803)] = 36339,
  [SMALL_STATE(804)] = 36389,
  [SMALL_STATE(805)] = 36439,
  [SMALL_STATE(806)] = 36489,
  [SMALL_STATE(807)] = 36559,
  [SMALL_STATE(808)] = 36609,
  [SMALL_STATE(809)] = 36659,
  [SMALL_STATE(810)] = 36709,
  [SMALL_STATE(811)] = 36759,
  [SMALL_STATE(812)] = 36809,
  [SMALL_STATE(813)] = 36859,
  [SMALL_STATE(814)] = 36931,
  [SMALL_STATE(815)] = 36981,
  [SMALL_STATE(816)] = 37041,
  [SMALL_STATE(817)] = 37091,
  [SMALL_STATE(818)] = 37141,
  [SMALL_STATE(819)] = 37191,
  [SMALL_STATE(820)] = 37241,
  [SMALL_STATE(821)] = 37291,
  [SMALL_STATE(822)] = 37341,
  [SMALL_STATE(823)] = 37411,
  [SMALL_STATE(824)] = 37461,
  [SMALL_STATE(825)] = 37511,
  [SMALL_STATE(826)] = 37561,
  [SMALL_STATE(827)] = 37611,
  [SMALL_STATE(828)] = 37661,
  [SMALL_STATE(829)] = 37715,
  [SMALL_STATE(830)] = 37765,
  [SMALL_STATE(831)] = 37815,
  [SMALL_STATE(832)] = 37865,
  [SMALL_STATE(833)] = 37915,
  [SMALL_STATE(834)] = 37965,
  [SMALL_STATE(835)] = 38015,
  [SMALL_STATE(836)] = 38065,
  [SMALL_STATE(837)] = 38115,
  [SMALL_STATE(838)] = 38165,
  [SMALL_STATE(839)] = 38215,
  [SMALL_STATE(840)] = 38265,
  [SMALL_STATE(841)] = 38315,
  [SMALL_STATE(842)] = 38365,
  [SMALL_STATE(843)] = 38414,
  [SMALL_STATE(844)] = 38463,
  [SMALL_STATE(845)] = 38512,
  [SMALL_STATE(846)] = 38561,
  [SMALL_STATE(847)] = 38610,
  [SMALL_STATE(848)] = 38659,
  [SMALL_STATE(849)] = 38728,
  [SMALL_STATE(850)] = 38777,
  [SMALL_STATE(851)] = 38826,
  [SMALL_STATE(852)] = 38895,
  [SMALL_STATE(853)] = 38962,
  [SMALL_STATE(854)] = 39011,
  [SMALL_STATE(855)] = 39060,
  [SMALL_STATE(856)] = 39109,
  [SMALL_STATE(857)] = 39180,
  [SMALL_STATE(858)] = 39247,
  [SMALL_STATE(859)] = 39298,
  [SMALL_STATE(860)] = 39347,
  [SMALL_STATE(861)] = 39396,
  [SMALL_STATE(862)] = 39445,
  [SMALL_STATE(863)] = 39494,
  [SMALL_STATE(864)] = 39543,
  [SMALL_STATE(865)] = 39592,
  [SMALL_STATE(866)] = 39641,
  [SMALL_STATE(867)] = 39690,
  [SMALL_STATE(868)] = 39739,
  [SMALL_STATE(869)] = 39788,
  [SMALL_STATE(870)] = 39839,
  [SMALL_STATE(871)] = 39888,
  [SMALL_STATE(872)] = 39937,
  [SMALL_STATE(873)] = 39986,
  [SMALL_STATE(874)] = 40035,
  [SMALL_STATE(875)] = 40084,
  [SMALL_STATE(876)] = 40133,
  [SMALL_STATE(877)] = 40182,
  [SMALL_STATE(878)] = 40231,
  [SMALL_STATE(879)] = 40280,
  [SMALL_STATE(880)] = 40329,
  [SMALL_STATE(881)] = 40378,
  [SMALL_STATE(882)] = 40427,
  [SMALL_STATE(883)] = 40476,
  [SMALL_STATE(884)] = 40525,
  [SMALL_STATE(885)] = 40574,
  [SMALL_STATE(886)] = 40623,
  [SMALL_STATE(887)] = 40694,
  [SMALL_STATE(888)] = 40743,
  [SMALL_STATE(889)] = 40802,
  [SMALL_STATE(890)] = 40851,
  [SMALL_STATE(891)] = 40900,
  [SMALL_STATE(892)] = 40951,
  [SMALL_STATE(893)] = 41000,
  [SMALL_STATE(894)] = 41049,
  [SMALL_STATE(895)] = 41108,
  [SMALL_STATE(896)] = 41157,
  [SMALL_STATE(897)] = 41216,
  [SMALL_STATE(898)] = 41265,
  [SMALL_STATE(899)] = 41314,
  [SMALL_STATE(900)] = 41363,
  [SMALL_STATE(901)] = 41412,
  [SMALL_STATE(902)] = 41471,
  [SMALL_STATE(903)] = 41522,
  [SMALL_STATE(904)] = 41571,
  [SMALL_STATE(905)] = 41620,
  [SMALL_STATE(906)] = 41669,
  [SMALL_STATE(907)] = 41718,
  [SMALL_STATE(908)] = 41767,
  [SMALL_STATE(909)] = 41816,
  [SMALL_STATE(910)] = 41865,
  [SMALL_STATE(911)] = 41914,
  [SMALL_STATE(912)] = 41963,
  [SMALL_STATE(913)] = 42012,
  [SMALL_STATE(914)] = 42061,
  [SMALL_STATE(915)] = 42110,
  [SMALL_STATE(916)] = 42159,
  [SMALL_STATE(917)] = 42208,
  [SMALL_STATE(918)] = 42257,
  [SMALL_STATE(919)] = 42306,
  [SMALL_STATE(920)] = 42355,
  [SMALL_STATE(921)] = 42404,
  [SMALL_STATE(922)] = 42453,
  [SMALL_STATE(923)] = 42502,
  [SMALL_STATE(924)] = 42551,
  [SMALL_STATE(925)] = 42609,
  [SMALL_STATE(926)] = 42667,
  [SMALL_STATE(927)] = 42725,
  [SMALL_STATE(928)] = 42775,
  [SMALL_STATE(929)] = 42833,
  [SMALL_STATE(930)] = 42891,
  [SMALL_STATE(931)] = 42939,
  [SMALL_STATE(932)] = 42987,
  [SMALL_STATE(933)] = 43045,
  [SMALL_STATE(934)] = 43097,
  [SMALL_STATE(935)] = 43144,
  [SMALL_STATE(936)] = 43191,
  [SMALL_STATE(937)] = 43238,
  [SMALL_STATE(938)] = 43295,
  [SMALL_STATE(939)] = 43342,
  [SMALL_STATE(940)] = 43389,
  [SMALL_STATE(941)] = 43436,
  [SMALL_STATE(942)] = 43483,
  [SMALL_STATE(943)] = 43538,
  [SMALL_STATE(944)] = 43595,
  [SMALL_STATE(945)] = 43642,
  [SMALL_STATE(946)] = 43695,
  [SMALL_STATE(947)] = 43742,
  [SMALL_STATE(948)] = 43789,
  [SMALL_STATE(949)] = 43836,
  [SMALL_STATE(950)] = 43883,
  [SMALL_STATE(951)] = 43938,
  [SMALL_STATE(952)] = 43985,
  [SMALL_STATE(953)] = 44032,
  [SMALL_STATE(954)] = 44079,
  [SMALL_STATE(955)] = 44126,
  [SMALL_STATE(956)] = 44173,
  [SMALL_STATE(957)] = 44220,
  [SMALL_STATE(958)] = 44267,
  [SMALL_STATE(959)] = 44314,
  [SMALL_STATE(960)] = 44361,
  [SMALL_STATE(961)] = 44408,
  [SMALL_STATE(962)] = 44455,
  [SMALL_STATE(963)] = 44502,
  [SMALL_STATE(964)] = 44559,
  [SMALL_STATE(965)] = 44606,
  [SMALL_STATE(966)] = 44661,
  [SMALL_STATE(967)] = 44714,
  [SMALL_STATE(968)] = 44771,
  [SMALL_STATE(969)] = 44818,
  [SMALL_STATE(970)] = 44865,
  [SMALL_STATE(971)] = 44912,
  [SMALL_STATE(972)] = 44959,
  [SMALL_STATE(973)] = 45006,
  [SMALL_STATE(974)] = 45053,
  [SMALL_STATE(975)] = 45100,
  [SMALL_STATE(976)] = 45153,
  [SMALL_STATE(977)] = 45200,
  [SMALL_STATE(978)] = 45247,
  [SMALL_STATE(979)] = 45294,
  [SMALL_STATE(980)] = 45340,
  [SMALL_STATE(981)] = 45388,
  [SMALL_STATE(982)] = 45436,
  [SMALL_STATE(983)] = 45488,
  [SMALL_STATE(984)] = 45542,
  [SMALL_STATE(985)] = 45590,
  [SMALL_STATE(986)] = 45642,
  [SMALL_STATE(987)] = 45688,
  [SMALL_STATE(988)] = 45742,
  [SMALL_STATE(989)] = 45788,
  [SMALL_STATE(990)] = 45834,
  [SMALL_STATE(991)] = 45888,
  [SMALL_STATE(992)] = 45940,
  [SMALL_STATE(993)] = 45986,
  [SMALL_STATE(994)] = 46032,
  [SMALL_STATE(995)] = 46082,
  [SMALL_STATE(996)] = 46131,
  [SMALL_STATE(997)] = 46176,
  [SMALL_STATE(998)] = 46221,
  [SMALL_STATE(999)] = 46266,
  [SMALL_STATE(1000)] = 46311,
  [SMALL_STATE(1001)] = 46356,
  [SMALL_STATE(1002)] = 46401,
  [SMALL_STATE(1003)] = 46446,
  [SMALL_STATE(1004)] = 46491,
  [SMALL_STATE(1005)] = 46536,
  [SMALL_STATE(1006)] = 46581,
  [SMALL_STATE(1007)] = 46630,
  [SMALL_STATE(1008)] = 46675,
  [SMALL_STATE(1009)] = 46720,
  [SMALL_STATE(1010)] = 46765,
  [SMALL_STATE(1011)] = 46810,
  [SMALL_STATE(1012)] = 46855,
  [SMALL_STATE(1013)] = 46900,
  [SMALL_STATE(1014)] = 46945,
  [SMALL_STATE(1015)] = 46990,
  [SMALL_STATE(1016)] = 47035,
  [SMALL_STATE(1017)] = 47080,
  [SMALL_STATE(1018)] = 47125,
  [SMALL_STATE(1019)] = 47170,
  [SMALL_STATE(1020)] = 47215,
  [SMALL_STATE(1021)] = 47260,
  [SMALL_STATE(1022)] = 47309,
  [SMALL_STATE(1023)] = 47354,
  [SMALL_STATE(1024)] = 47399,
  [SMALL_STATE(1025)] = 47444,
  [SMALL_STATE(1026)] = 47501,
  [SMALL_STATE(1027)] = 47558,
  [SMALL_STATE(1028)] = 47603,
  [SMALL_STATE(1029)] = 47652,
  [SMALL_STATE(1030)] = 47697,
  [SMALL_STATE(1031)] = 47742,
  [SMALL_STATE(1032)] = 47787,
  [SMALL_STATE(1033)] = 47832,
  [SMALL_STATE(1034)] = 47881,
  [SMALL_STATE(1035)] = 47926,
  [SMALL_STATE(1036)] = 47975,
  [SMALL_STATE(1037)] = 48020,
  [SMALL_STATE(1038)] = 48065,
  [SMALL_STATE(1039)] = 48110,
  [SMALL_STATE(1040)] = 48155,
  [SMALL_STATE(1041)] = 48200,
  [SMALL_STATE(1042)] = 48245,
  [SMALL_STATE(1043)] = 48290,
  [SMALL_STATE(1044)] = 48338,
  [SMALL_STATE(1045)] = 48382,
  [SMALL_STATE(1046)] = 48430,
  [SMALL_STATE(1047)] = 48478,
  [SMALL_STATE(1048)] = 48526,
  [SMALL_STATE(1049)] = 48570,
  [SMALL_STATE(1050)] = 48614,
  [SMALL_STATE(1051)] = 48658,
  [SMALL_STATE(1052)] = 48702,
  [SMALL_STATE(1053)] = 48750,
  [SMALL_STATE(1054)] = 48798,
  [SMALL_STATE(1055)] = 48842,
  [SMALL_STATE(1056)] = 48886,
  [SMALL_STATE(1057)] = 48930,
  [SMALL_STATE(1058)] = 48978,
  [SMALL_STATE(1059)] = 49034,
  [SMALL_STATE(1060)] = 49090,
  [SMALL_STATE(1061)] = 49134,
  [SMALL_STATE(1062)] = 49178,
  [SMALL_STATE(1063)] = 49222,
  [SMALL_STATE(1064)] = 49270,
  [SMALL_STATE(1065)] = 49314,
  [SMALL_STATE(1066)] = 49362,
  [SMALL_STATE(1067)] = 49410,
  [SMALL_STATE(1068)] = 49458,
  [SMALL_STATE(1069)] = 49506,
  [SMALL_STATE(1070)] = 49554,
  [SMALL_STATE(1071)] = 49598,
  [SMALL_STATE(1072)] = 49646,
  [SMALL_STATE(1073)] = 49690,
  [SMALL_STATE(1074)] = 49737,
  [SMALL_STATE(1075)] = 49780,
  [SMALL_STATE(1076)] = 49835,
  [SMALL_STATE(1077)] = 49878,
  [SMALL_STATE(1078)] = 49921,
  [SMALL_STATE(1079)] = 49964,
  [SMALL_STATE(1080)] = 50019,
  [SMALL_STATE(1081)] = 50062,
  [SMALL_STATE(1082)] = 50105,
  [SMALL_STATE(1083)] = 50148,
  [SMALL_STATE(1084)] = 50191,
  [SMALL_STATE(1085)] = 50238,
  [SMALL_STATE(1086)] = 50281,
  [SMALL_STATE(1087)] = 50324,
  [SMALL_STATE(1088)] = 50367,
  [SMALL_STATE(1089)] = 50410,
  [SMALL_STATE(1090)] = 50453,
  [SMALL_STATE(1091)] = 50496,
  [SMALL_STATE(1092)] = 50543,
  [SMALL_STATE(1093)] = 50586,
  [SMALL_STATE(1094)] = 50629,
  [SMALL_STATE(1095)] = 50676,
  [SMALL_STATE(1096)] = 50719,
  [SMALL_STATE(1097)] = 50766,
  [SMALL_STATE(1098)] = 50813,
  [SMALL_STATE(1099)] = 50860,
  [SMALL_STATE(1100)] = 50907,
  [SMALL_STATE(1101)] = 50949,
  [SMALL_STATE(1102)] = 50991,
  [SMALL_STATE(1103)] = 51037,
  [SMALL_STATE(1104)] = 51079,
  [SMALL_STATE(1105)] = 51121,
  [SMALL_STATE(1106)] = 51163,
  [SMALL_STATE(1107)] = 51205,
  [SMALL_STATE(1108)] = 51247,
  [SMALL_STATE(1109)] = 51289,
  [SMALL_STATE(1110)] = 51331,
  [SMALL_STATE(1111)] = 51373,
  [SMALL_STATE(1112)] = 51415,
  [SMALL_STATE(1113)] = 51457,
  [SMALL_STATE(1114)] = 51503,
  [SMALL_STATE(1115)] = 51545,
  [SMALL_STATE(1116)] = 51587,
  [SMALL_STATE(1117)] = 51629,
  [SMALL_STATE(1118)] = 51671,
  [SMALL_STATE(1119)] = 51717,
  [SMALL_STATE(1120)] = 51759,
  [SMALL_STATE(1121)] = 51801,
  [SMALL_STATE(1122)] = 51843,
  [SMALL_STATE(1123)] = 51884,
  [SMALL_STATE(1124)] = 51925,
  [SMALL_STATE(1125)] = 51966,
  [SMALL_STATE(1126)] = 52007,
  [SMALL_STATE(1127)] = 52048,
  [SMALL_STATE(1128)] = 52089,
  [SMALL_STATE(1129)] = 52140,
  [SMALL_STATE(1130)] = 52181,
  [SMALL_STATE(1131)] = 52232,
  [SMALL_STATE(1132)] = 52273,
  [SMALL_STATE(1133)] = 52314,
  [SMALL_STATE(1134)] = 52365,
  [SMALL_STATE(1135)] = 52406,
  [SMALL_STATE(1136)] = 52457,
  [SMALL_STATE(1137)] = 52498,
  [SMALL_STATE(1138)] = 52539,
  [SMALL_STATE(1139)] = 52580,
  [SMALL_STATE(1140)] = 52621,
  [SMALL_STATE(1141)] = 52662,
  [SMALL_STATE(1142)] = 52703,
  [SMALL_STATE(1143)] = 52746,
  [SMALL_STATE(1144)] = 52789,
  [SMALL_STATE(1145)] = 52832,
  [SMALL_STATE(1146)] = 52875,
  [SMALL_STATE(1147)] = 52918,
  [SMALL_STATE(1148)] = 52961,
  [SMALL_STATE(1149)] = 52999,
  [SMALL_STATE(1150)] = 53037,
  [SMALL_STATE(1151)] = 53074,
  [SMALL_STATE(1152)] = 53111,
  [SMALL_STATE(1153)] = 53148,
  [SMALL_STATE(1154)] = 53185,
  [SMALL_STATE(1155)] = 53222,
  [SMALL_STATE(1156)] = 53259,
  [SMALL_STATE(1157)] = 53296,
  [SMALL_STATE(1158)] = 53333,
  [SMALL_STATE(1159)] = 53370,
  [SMALL_STATE(1160)] = 53407,
  [SMALL_STATE(1161)] = 53441,
  [SMALL_STATE(1162)] = 53475,
  [SMALL_STATE(1163)] = 53509,
  [SMALL_STATE(1164)] = 53539,
  [SMALL_STATE(1165)] = 53567,
  [SMALL_STATE(1166)] = 53615,
  [SMALL_STATE(1167)] = 53663,
  [SMALL_STATE(1168)] = 53711,
  [SMALL_STATE(1169)] = 53759,
  [SMALL_STATE(1170)] = 53807,
  [SMALL_STATE(1171)] = 53855,
  [SMALL_STATE(1172)] = 53903,
  [SMALL_STATE(1173)] = 53951,
  [SMALL_STATE(1174)] = 53999,
  [SMALL_STATE(1175)] = 54047,
  [SMALL_STATE(1176)] = 54095,
  [SMALL_STATE(1177)] = 54143,
  [SMALL_STATE(1178)] = 54191,
  [SMALL_STATE(1179)] = 54239,
  [SMALL_STATE(1180)] = 54287,
  [SMALL_STATE(1181)] = 54335,
  [SMALL_STATE(1182)] = 54383,
  [SMALL_STATE(1183)] = 54431,
  [SMALL_STATE(1184)] = 54479,
  [SMALL_STATE(1185)] = 54527,
  [SMALL_STATE(1186)] = 54575,
  [SMALL_STATE(1187)] = 54623,
  [SMALL_STATE(1188)] = 54671,
  [SMALL_STATE(1189)] = 54719,
  [SMALL_STATE(1190)] = 54767,
  [SMALL_STATE(1191)] = 54806,
  [SMALL_STATE(1192)] = 54845,
  [SMALL_STATE(1193)] = 54884,
  [SMALL_STATE(1194)] = 54923,
  [SMALL_STATE(1195)] = 54962,
  [SMALL_STATE(1196)] = 55000,
  [SMALL_STATE(1197)] = 55038,
  [SMALL_STATE(1198)] = 55076,
  [SMALL_STATE(1199)] = 55114,
  [SMALL_STATE(1200)] = 55152,
  [SMALL_STATE(1201)] = 55190,
  [SMALL_STATE(1202)] = 55228,
  [SMALL_STATE(1203)] = 55266,
  [SMALL_STATE(1204)] = 55304,
  [SMALL_STATE(1205)] = 55342,
  [SMALL_STATE(1206)] = 55380,
  [SMALL_STATE(1207)] = 55416,
  [SMALL_STATE(1208)] = 55454,
  [SMALL_STATE(1209)] = 55490,
  [SMALL_STATE(1210)] = 55528,
  [SMALL_STATE(1211)] = 55566,
  [SMALL_STATE(1212)] = 55604,
  [SMALL_STATE(1213)] = 55640,
  [SMALL_STATE(1214)] = 55676,
  [SMALL_STATE(1215)] = 55712,
  [SMALL_STATE(1216)] = 55750,
  [SMALL_STATE(1217)] = 55783,
  [SMALL_STATE(1218)] = 55816,
  [SMALL_STATE(1219)] = 55849,
  [SMALL_STATE(1220)] = 55882,
  [SMALL_STATE(1221)] = 55915,
  [SMALL_STATE(1222)] = 55948,
  [SMALL_STATE(1223)] = 55979,
  [SMALL_STATE(1224)] = 56012,
  [SMALL_STATE(1225)] = 56045,
  [SMALL_STATE(1226)] = 56078,
  [SMALL_STATE(1227)] = 56111,
  [SMALL_STATE(1228)] = 56144,
  [SMALL_STATE(1229)] = 56177,
  [SMALL_STATE(1230)] = 56210,
  [SMALL_STATE(1231)] = 56243,
  [SMALL_STATE(1232)] = 56276,
  [SMALL_STATE(1233)] = 56309,
  [SMALL_STATE(1234)] = 56342,
  [SMALL_STATE(1235)] = 56375,
  [SMALL_STATE(1236)] = 56399,
  [SMALL_STATE(1237)] = 56439,
  [SMALL_STATE(1238)] = 56479,
  [SMALL_STATE(1239)] = 56519,
  [SMALL_STATE(1240)] = 56559,
  [SMALL_STATE(1241)] = 56599,
  [SMALL_STATE(1242)] = 56629,
  [SMALL_STATE(1243)] = 56669,
  [SMALL_STATE(1244)] = 56709,
  [SMALL_STATE(1245)] = 56744,
  [SMALL_STATE(1246)] = 56779,
  [SMALL_STATE(1247)] = 56814,
  [SMALL_STATE(1248)] = 56836,
  [SMALL_STATE(1249)] = 56856,
  [SMALL_STATE(1250)] = 56878,
  [SMALL_STATE(1251)] = 56904,
  [SMALL_STATE(1252)] = 56924,
  [SMALL_STATE(1253)] = 56958,
  [SMALL_STATE(1254)] = 56982,
  [SMALL_STATE(1255)] = 57004,
  [SMALL_STATE(1256)] = 57030,
  [SMALL_STATE(1257)] = 57050,
  [SMALL_STATE(1258)] = 57076,
  [SMALL_STATE(1259)] = 57098,
  [SMALL_STATE(1260)] = 57120,
  [SMALL_STATE(1261)] = 57142,
  [SMALL_STATE(1262)] = 57175,
  [SMALL_STATE(1263)] = 57208,
  [SMALL_STATE(1264)] = 57241,
  [SMALL_STATE(1265)] = 57266,
  [SMALL_STATE(1266)] = 57299,
  [SMALL_STATE(1267)] = 57319,
  [SMALL_STATE(1268)] = 57345,
  [SMALL_STATE(1269)] = 57365,
  [SMALL_STATE(1270)] = 57391,
  [SMALL_STATE(1271)] = 57411,
  [SMALL_STATE(1272)] = 57437,
  [SMALL_STATE(1273)] = 57463,
  [SMALL_STATE(1274)] = 57483,
  [SMALL_STATE(1275)] = 57503,
  [SMALL_STATE(1276)] = 57523,
  [SMALL_STATE(1277)] = 57543,
  [SMALL_STATE(1278)] = 57563,
  [SMALL_STATE(1279)] = 57589,
  [SMALL_STATE(1280)] = 57616,
  [SMALL_STATE(1281)] = 57643,
  [SMALL_STATE(1282)] = 57662,
  [SMALL_STATE(1283)] = 57689,
  [SMALL_STATE(1284)] = 57716,
  [SMALL_STATE(1285)] = 57743,
  [SMALL_STATE(1286)] = 57770,
  [SMALL_STATE(1287)] = 57797,
  [SMALL_STATE(1288)] = 57824,
  [SMALL_STATE(1289)] = 57843,
  [SMALL_STATE(1290)] = 57862,
  [SMALL_STATE(1291)] = 57889,
  [SMALL_STATE(1292)] = 57917,
  [SMALL_STATE(1293)] = 57935,
  [SMALL_STATE(1294)] = 57956,
  [SMALL_STATE(1295)] = 57983,
  [SMALL_STATE(1296)] = 58000,
  [SMALL_STATE(1297)] = 58021,
  [SMALL_STATE(1298)] = 58040,
  [SMALL_STATE(1299)] = 58067,
  [SMALL_STATE(1300)] = 58084,
  [SMALL_STATE(1301)] = 58103,
  [SMALL_STATE(1302)] = 58120,
  [SMALL_STATE(1303)] = 58138,
  [SMALL_STATE(1304)] = 58158,
  [SMALL_STATE(1305)] = 58178,
  [SMALL_STATE(1306)] = 58204,
  [SMALL_STATE(1307)] = 58220,
  [SMALL_STATE(1308)] = 58238,
  [SMALL_STATE(1309)] = 58256,
  [SMALL_STATE(1310)] = 58272,
  [SMALL_STATE(1311)] = 58298,
  [SMALL_STATE(1312)] = 58316,
  [SMALL_STATE(1313)] = 58334,
  [SMALL_STATE(1314)] = 58352,
  [SMALL_STATE(1315)] = 58370,
  [SMALL_STATE(1316)] = 58388,
  [SMALL_STATE(1317)] = 58406,
  [SMALL_STATE(1318)] = 58424,
  [SMALL_STATE(1319)] = 58439,
  [SMALL_STATE(1320)] = 58462,
  [SMALL_STATE(1321)] = 58487,
  [SMALL_STATE(1322)] = 58512,
  [SMALL_STATE(1323)] = 58527,
  [SMALL_STATE(1324)] = 58552,
  [SMALL_STATE(1325)] = 58573,
  [SMALL_STATE(1326)] = 58588,
  [SMALL_STATE(1327)] = 58603,
  [SMALL_STATE(1328)] = 58618,
  [SMALL_STATE(1329)] = 58641,
  [SMALL_STATE(1330)] = 58664,
  [SMALL_STATE(1331)] = 58685,
  [SMALL_STATE(1332)] = 58698,
  [SMALL_STATE(1333)] = 58719,
  [SMALL_STATE(1334)] = 58742,
  [SMALL_STATE(1335)] = 58757,
  [SMALL_STATE(1336)] = 58782,
  [SMALL_STATE(1337)] = 58798,
  [SMALL_STATE(1338)] = 58820,
  [SMALL_STATE(1339)] = 58836,
  [SMALL_STATE(1340)] = 58858,
  [SMALL_STATE(1341)] = 58880,
  [SMALL_STATE(1342)] = 58896,
  [SMALL_STATE(1343)] = 58918,
  [SMALL_STATE(1344)] = 58940,
  [SMALL_STATE(1345)] = 58956,
  [SMALL_STATE(1346)] = 58972,
  [SMALL_STATE(1347)] = 58994,
  [SMALL_STATE(1348)] = 59008,
  [SMALL_STATE(1349)] = 59030,
  [SMALL_STATE(1350)] = 59044,
  [SMALL_STATE(1351)] = 59062,
  [SMALL_STATE(1352)] = 59076,
  [SMALL_STATE(1353)] = 59094,
  [SMALL_STATE(1354)] = 59116,
  [SMALL_STATE(1355)] = 59132,
  [SMALL_STATE(1356)] = 59151,
  [SMALL_STATE(1357)] = 59166,
  [SMALL_STATE(1358)] = 59181,
  [SMALL_STATE(1359)] = 59200,
  [SMALL_STATE(1360)] = 59217,
  [SMALL_STATE(1361)] = 59232,
  [SMALL_STATE(1362)] = 59251,
  [SMALL_STATE(1363)] = 59270,
  [SMALL_STATE(1364)] = 59281,
  [SMALL_STATE(1365)] = 59292,
  [SMALL_STATE(1366)] = 59305,
  [SMALL_STATE(1367)] = 59324,
  [SMALL_STATE(1368)] = 59343,
  [SMALL_STATE(1369)] = 59362,
  [SMALL_STATE(1370)] = 59375,
  [SMALL_STATE(1371)] = 59394,
  [SMALL_STATE(1372)] = 59413,
  [SMALL_STATE(1373)] = 59432,
  [SMALL_STATE(1374)] = 59451,
  [SMALL_STATE(1375)] = 59464,
  [SMALL_STATE(1376)] = 59479,
  [SMALL_STATE(1377)] = 59498,
  [SMALL_STATE(1378)] = 59517,
  [SMALL_STATE(1379)] = 59528,
  [SMALL_STATE(1380)] = 59547,
  [SMALL_STATE(1381)] = 59562,
  [SMALL_STATE(1382)] = 59581,
  [SMALL_STATE(1383)] = 59600,
  [SMALL_STATE(1384)] = 59615,
  [SMALL_STATE(1385)] = 59634,
  [SMALL_STATE(1386)] = 59653,
  [SMALL_STATE(1387)] = 59672,
  [SMALL_STATE(1388)] = 59689,
  [SMALL_STATE(1389)] = 59708,
  [SMALL_STATE(1390)] = 59721,
  [SMALL_STATE(1391)] = 59732,
  [SMALL_STATE(1392)] = 59747,
  [SMALL_STATE(1393)] = 59766,
  [SMALL_STATE(1394)] = 59781,
  [SMALL_STATE(1395)] = 59800,
  [SMALL_STATE(1396)] = 59819,
  [SMALL_STATE(1397)] = 59836,
  [SMALL_STATE(1398)] = 59853,
  [SMALL_STATE(1399)] = 59864,
  [SMALL_STATE(1400)] = 59883,
  [SMALL_STATE(1401)] = 59898,
  [SMALL_STATE(1402)] = 59917,
  [SMALL_STATE(1403)] = 59929,
  [SMALL_STATE(1404)] = 59945,
  [SMALL_STATE(1405)] = 59961,
  [SMALL_STATE(1406)] = 59977,
  [SMALL_STATE(1407)] = 59991,
  [SMALL_STATE(1408)] = 60007,
  [SMALL_STATE(1409)] = 60023,
  [SMALL_STATE(1410)] = 60039,
  [SMALL_STATE(1411)] = 60055,
  [SMALL_STATE(1412)] = 60071,
  [SMALL_STATE(1413)] = 60085,
  [SMALL_STATE(1414)] = 60101,
  [SMALL_STATE(1415)] = 60117,
  [SMALL_STATE(1416)] = 60131,
  [SMALL_STATE(1417)] = 60147,
  [SMALL_STATE(1418)] = 60163,
  [SMALL_STATE(1419)] = 60179,
  [SMALL_STATE(1420)] = 60195,
  [SMALL_STATE(1421)] = 60209,
  [SMALL_STATE(1422)] = 60219,
  [SMALL_STATE(1423)] = 60229,
  [SMALL_STATE(1424)] = 60241,
  [SMALL_STATE(1425)] = 60257,
  [SMALL_STATE(1426)] = 60269,
  [SMALL_STATE(1427)] = 60285,
  [SMALL_STATE(1428)] = 60295,
  [SMALL_STATE(1429)] = 60311,
  [SMALL_STATE(1430)] = 60321,
  [SMALL_STATE(1431)] = 60337,
  [SMALL_STATE(1432)] = 60349,
  [SMALL_STATE(1433)] = 60360,
  [SMALL_STATE(1434)] = 60369,
  [SMALL_STATE(1435)] = 60382,
  [SMALL_STATE(1436)] = 60395,
  [SMALL_STATE(1437)] = 60408,
  [SMALL_STATE(1438)] = 60421,
  [SMALL_STATE(1439)] = 60434,
  [SMALL_STATE(1440)] = 60447,
  [SMALL_STATE(1441)] = 60456,
  [SMALL_STATE(1442)] = 60469,
  [SMALL_STATE(1443)] = 60482,
  [SMALL_STATE(1444)] = 60495,
  [SMALL_STATE(1445)] = 60508,
  [SMALL_STATE(1446)] = 60519,
  [SMALL_STATE(1447)] = 60532,
  [SMALL_STATE(1448)] = 60543,
  [SMALL_STATE(1449)] = 60552,
  [SMALL_STATE(1450)] = 60565,
  [SMALL_STATE(1451)] = 60578,
  [SMALL_STATE(1452)] = 60591,
  [SMALL_STATE(1453)] = 60604,
  [SMALL_STATE(1454)] = 60617,
  [SMALL_STATE(1455)] = 60630,
  [SMALL_STATE(1456)] = 60643,
  [SMALL_STATE(1457)] = 60656,
  [SMALL_STATE(1458)] = 60669,
  [SMALL_STATE(1459)] = 60682,
  [SMALL_STATE(1460)] = 60695,
  [SMALL_STATE(1461)] = 60708,
  [SMALL_STATE(1462)] = 60721,
  [SMALL_STATE(1463)] = 60734,
  [SMALL_STATE(1464)] = 60743,
  [SMALL_STATE(1465)] = 60756,
  [SMALL_STATE(1466)] = 60769,
  [SMALL_STATE(1467)] = 60782,
  [SMALL_STATE(1468)] = 60795,
  [SMALL_STATE(1469)] = 60808,
  [SMALL_STATE(1470)] = 60817,
  [SMALL_STATE(1471)] = 60830,
  [SMALL_STATE(1472)] = 60843,
  [SMALL_STATE(1473)] = 60856,
  [SMALL_STATE(1474)] = 60869,
  [SMALL_STATE(1475)] = 60882,
  [SMALL_STATE(1476)] = 60895,
  [SMALL_STATE(1477)] = 60908,
  [SMALL_STATE(1478)] = 60921,
  [SMALL_STATE(1479)] = 60934,
  [SMALL_STATE(1480)] = 60943,
  [SMALL_STATE(1481)] = 60956,
  [SMALL_STATE(1482)] = 60969,
  [SMALL_STATE(1483)] = 60982,
  [SMALL_STATE(1484)] = 60991,
  [SMALL_STATE(1485)] = 61000,
  [SMALL_STATE(1486)] = 61013,
  [SMALL_STATE(1487)] = 61026,
  [SMALL_STATE(1488)] = 61039,
  [SMALL_STATE(1489)] = 61052,
  [SMALL_STATE(1490)] = 61065,
  [SMALL_STATE(1491)] = 61078,
  [SMALL_STATE(1492)] = 61091,
  [SMALL_STATE(1493)] = 61104,
  [SMALL_STATE(1494)] = 61115,
  [SMALL_STATE(1495)] = 61128,
  [SMALL_STATE(1496)] = 61141,
  [SMALL_STATE(1497)] = 61154,
  [SMALL_STATE(1498)] = 61167,
  [SMALL_STATE(1499)] = 61180,
  [SMALL_STATE(1500)] = 61193,
  [SMALL_STATE(1501)] = 61204,
  [SMALL_STATE(1502)] = 61217,
  [SMALL_STATE(1503)] = 61230,
  [SMALL_STATE(1504)] = 61243,
  [SMALL_STATE(1505)] = 61254,
  [SMALL_STATE(1506)] = 61267,
  [SMALL_STATE(1507)] = 61280,
  [SMALL_STATE(1508)] = 61293,
  [SMALL_STATE(1509)] = 61306,
  [SMALL_STATE(1510)] = 61319,
  [SMALL_STATE(1511)] = 61332,
  [SMALL_STATE(1512)] = 61345,
  [SMALL_STATE(1513)] = 61358,
  [SMALL_STATE(1514)] = 61371,
  [SMALL_STATE(1515)] = 61384,
  [SMALL_STATE(1516)] = 61397,
  [SMALL_STATE(1517)] = 61406,
  [SMALL_STATE(1518)] = 61419,
  [SMALL_STATE(1519)] = 61432,
  [SMALL_STATE(1520)] = 61445,
  [SMALL_STATE(1521)] = 61458,
  [SMALL_STATE(1522)] = 61471,
  [SMALL_STATE(1523)] = 61484,
  [SMALL_STATE(1524)] = 61497,
  [SMALL_STATE(1525)] = 61510,
  [SMALL_STATE(1526)] = 61523,
  [SMALL_STATE(1527)] = 61536,
  [SMALL_STATE(1528)] = 61549,
  [SMALL_STATE(1529)] = 61562,
  [SMALL_STATE(1530)] = 61575,
  [SMALL_STATE(1531)] = 61588,
  [SMALL_STATE(1532)] = 61601,
  [SMALL_STATE(1533)] = 61614,
  [SMALL_STATE(1534)] = 61627,
  [SMALL_STATE(1535)] = 61638,
  [SMALL_STATE(1536)] = 61651,
  [SMALL_STATE(1537)] = 61664,
  [SMALL_STATE(1538)] = 61677,
  [SMALL_STATE(1539)] = 61690,
  [SMALL_STATE(1540)] = 61699,
  [SMALL_STATE(1541)] = 61712,
  [SMALL_STATE(1542)] = 61721,
  [SMALL_STATE(1543)] = 61732,
  [SMALL_STATE(1544)] = 61745,
  [SMALL_STATE(1545)] = 61758,
  [SMALL_STATE(1546)] = 61771,
  [SMALL_STATE(1547)] = 61780,
  [SMALL_STATE(1548)] = 61793,
  [SMALL_STATE(1549)] = 61806,
  [SMALL_STATE(1550)] = 61816,
  [SMALL_STATE(1551)] = 61826,
  [SMALL_STATE(1552)] = 61836,
  [SMALL_STATE(1553)] = 61846,
  [SMALL_STATE(1554)] = 61856,
  [SMALL_STATE(1555)] = 61866,
  [SMALL_STATE(1556)] = 61876,
  [SMALL_STATE(1557)] = 61886,
  [SMALL_STATE(1558)] = 61896,
  [SMALL_STATE(1559)] = 61906,
  [SMALL_STATE(1560)] = 61914,
  [SMALL_STATE(1561)] = 61924,
  [SMALL_STATE(1562)] = 61932,
  [SMALL_STATE(1563)] = 61942,
  [SMALL_STATE(1564)] = 61950,
  [SMALL_STATE(1565)] = 61960,
  [SMALL_STATE(1566)] = 61970,
  [SMALL_STATE(1567)] = 61980,
  [SMALL_STATE(1568)] = 61990,
  [SMALL_STATE(1569)] = 62000,
  [SMALL_STATE(1570)] = 62010,
  [SMALL_STATE(1571)] = 62020,
  [SMALL_STATE(1572)] = 62030,
  [SMALL_STATE(1573)] = 62040,
  [SMALL_STATE(1574)] = 62050,
  [SMALL_STATE(1575)] = 62060,
  [SMALL_STATE(1576)] = 62070,
  [SMALL_STATE(1577)] = 62080,
  [SMALL_STATE(1578)] = 62090,
  [SMALL_STATE(1579)] = 62100,
  [SMALL_STATE(1580)] = 62110,
  [SMALL_STATE(1581)] = 62120,
  [SMALL_STATE(1582)] = 62130,
  [SMALL_STATE(1583)] = 62140,
  [SMALL_STATE(1584)] = 62150,
  [SMALL_STATE(1585)] = 62160,
  [SMALL_STATE(1586)] = 62170,
  [SMALL_STATE(1587)] = 62180,
  [SMALL_STATE(1588)] = 62190,
  [SMALL_STATE(1589)] = 62200,
  [SMALL_STATE(1590)] = 62210,
  [SMALL_STATE(1591)] = 62220,
  [SMALL_STATE(1592)] = 62230,
  [SMALL_STATE(1593)] = 62240,
  [SMALL_STATE(1594)] = 62250,
  [SMALL_STATE(1595)] = 62260,
  [SMALL_STATE(1596)] = 62270,
  [SMALL_STATE(1597)] = 62280,
  [SMALL_STATE(1598)] = 62290,
  [SMALL_STATE(1599)] = 62300,
  [SMALL_STATE(1600)] = 62308,
  [SMALL_STATE(1601)] = 62318,
  [SMALL_STATE(1602)] = 62326,
  [SMALL_STATE(1603)] = 62336,
  [SMALL_STATE(1604)] = 62346,
  [SMALL_STATE(1605)] = 62356,
  [SMALL_STATE(1606)] = 62366,
  [SMALL_STATE(1607)] = 62376,
  [SMALL_STATE(1608)] = 62386,
  [SMALL_STATE(1609)] = 62396,
  [SMALL_STATE(1610)] = 62406,
  [SMALL_STATE(1611)] = 62416,
  [SMALL_STATE(1612)] = 62426,
  [SMALL_STATE(1613)] = 62436,
  [SMALL_STATE(1614)] = 62446,
  [SMALL_STATE(1615)] = 62456,
  [SMALL_STATE(1616)] = 62466,
  [SMALL_STATE(1617)] = 62476,
  [SMALL_STATE(1618)] = 62484,
  [SMALL_STATE(1619)] = 62494,
  [SMALL_STATE(1620)] = 62504,
  [SMALL_STATE(1621)] = 62514,
  [SMALL_STATE(1622)] = 62524,
  [SMALL_STATE(1623)] = 62534,
  [SMALL_STATE(1624)] = 62544,
  [SMALL_STATE(1625)] = 62552,
  [SMALL_STATE(1626)] = 62562,
  [SMALL_STATE(1627)] = 62572,
  [SMALL_STATE(1628)] = 62582,
  [SMALL_STATE(1629)] = 62592,
  [SMALL_STATE(1630)] = 62602,
  [SMALL_STATE(1631)] = 62612,
  [SMALL_STATE(1632)] = 62622,
  [SMALL_STATE(1633)] = 62632,
  [SMALL_STATE(1634)] = 62642,
  [SMALL_STATE(1635)] = 62652,
  [SMALL_STATE(1636)] = 62662,
  [SMALL_STATE(1637)] = 62670,
  [SMALL_STATE(1638)] = 62680,
  [SMALL_STATE(1639)] = 62690,
  [SMALL_STATE(1640)] = 62700,
  [SMALL_STATE(1641)] = 62710,
  [SMALL_STATE(1642)] = 62720,
  [SMALL_STATE(1643)] = 62730,
  [SMALL_STATE(1644)] = 62740,
  [SMALL_STATE(1645)] = 62750,
  [SMALL_STATE(1646)] = 62760,
  [SMALL_STATE(1647)] = 62770,
  [SMALL_STATE(1648)] = 62778,
  [SMALL_STATE(1649)] = 62788,
  [SMALL_STATE(1650)] = 62798,
  [SMALL_STATE(1651)] = 62808,
  [SMALL_STATE(1652)] = 62818,
  [SMALL_STATE(1653)] = 62828,
  [SMALL_STATE(1654)] = 62838,
  [SMALL_STATE(1655)] = 62848,
  [SMALL_STATE(1656)] = 62858,
  [SMALL_STATE(1657)] = 62868,
  [SMALL_STATE(1658)] = 62878,
  [SMALL_STATE(1659)] = 62888,
  [SMALL_STATE(1660)] = 62898,
  [SMALL_STATE(1661)] = 62908,
  [SMALL_STATE(1662)] = 62916,
  [SMALL_STATE(1663)] = 62926,
  [SMALL_STATE(1664)] = 62936,
  [SMALL_STATE(1665)] = 62946,
  [SMALL_STATE(1666)] = 62954,
  [SMALL_STATE(1667)] = 62962,
  [SMALL_STATE(1668)] = 62972,
  [SMALL_STATE(1669)] = 62980,
  [SMALL_STATE(1670)] = 62990,
  [SMALL_STATE(1671)] = 62998,
  [SMALL_STATE(1672)] = 63008,
  [SMALL_STATE(1673)] = 63018,
  [SMALL_STATE(1674)] = 63028,
  [SMALL_STATE(1675)] = 63038,
  [SMALL_STATE(1676)] = 63048,
  [SMALL_STATE(1677)] = 63058,
  [SMALL_STATE(1678)] = 63068,
  [SMALL_STATE(1679)] = 63078,
  [SMALL_STATE(1680)] = 63088,
  [SMALL_STATE(1681)] = 63098,
  [SMALL_STATE(1682)] = 63108,
  [SMALL_STATE(1683)] = 63116,
  [SMALL_STATE(1684)] = 63126,
  [SMALL_STATE(1685)] = 63134,
  [SMALL_STATE(1686)] = 63144,
  [SMALL_STATE(1687)] = 63154,
  [SMALL_STATE(1688)] = 63164,
  [SMALL_STATE(1689)] = 63174,
  [SMALL_STATE(1690)] = 63182,
  [SMALL_STATE(1691)] = 63192,
  [SMALL_STATE(1692)] = 63202,
  [SMALL_STATE(1693)] = 63212,
  [SMALL_STATE(1694)] = 63222,
  [SMALL_STATE(1695)] = 63232,
  [SMALL_STATE(1696)] = 63240,
  [SMALL_STATE(1697)] = 63250,
  [SMALL_STATE(1698)] = 63260,
  [SMALL_STATE(1699)] = 63270,
  [SMALL_STATE(1700)] = 63278,
  [SMALL_STATE(1701)] = 63288,
  [SMALL_STATE(1702)] = 63298,
  [SMALL_STATE(1703)] = 63306,
  [SMALL_STATE(1704)] = 63316,
  [SMALL_STATE(1705)] = 63324,
  [SMALL_STATE(1706)] = 63334,
  [SMALL_STATE(1707)] = 63344,
  [SMALL_STATE(1708)] = 63354,
  [SMALL_STATE(1709)] = 63362,
  [SMALL_STATE(1710)] = 63372,
  [SMALL_STATE(1711)] = 63382,
  [SMALL_STATE(1712)] = 63392,
  [SMALL_STATE(1713)] = 63402,
  [SMALL_STATE(1714)] = 63412,
  [SMALL_STATE(1715)] = 63422,
  [SMALL_STATE(1716)] = 63432,
  [SMALL_STATE(1717)] = 63442,
  [SMALL_STATE(1718)] = 63452,
  [SMALL_STATE(1719)] = 63460,
  [SMALL_STATE(1720)] = 63468,
  [SMALL_STATE(1721)] = 63476,
  [SMALL_STATE(1722)] = 63486,
  [SMALL_STATE(1723)] = 63496,
  [SMALL_STATE(1724)] = 63506,
  [SMALL_STATE(1725)] = 63516,
  [SMALL_STATE(1726)] = 63526,
  [SMALL_STATE(1727)] = 63536,
  [SMALL_STATE(1728)] = 63546,
  [SMALL_STATE(1729)] = 63556,
  [SMALL_STATE(1730)] = 63563,
  [SMALL_STATE(1731)] = 63570,
  [SMALL_STATE(1732)] = 63577,
  [SMALL_STATE(1733)] = 63584,
  [SMALL_STATE(1734)] = 63591,
  [SMALL_STATE(1735)] = 63598,
  [SMALL_STATE(1736)] = 63605,
  [SMALL_STATE(1737)] = 63612,
  [SMALL_STATE(1738)] = 63619,
  [SMALL_STATE(1739)] = 63626,
  [SMALL_STATE(1740)] = 63633,
  [SMALL_STATE(1741)] = 63640,
  [SMALL_STATE(1742)] = 63647,
  [SMALL_STATE(1743)] = 63654,
  [SMALL_STATE(1744)] = 63661,
  [SMALL_STATE(1745)] = 63668,
  [SMALL_STATE(1746)] = 63675,
  [SMALL_STATE(1747)] = 63682,
  [SMALL_STATE(1748)] = 63689,
  [SMALL_STATE(1749)] = 63696,
  [SMALL_STATE(1750)] = 63703,
  [SMALL_STATE(1751)] = 63710,
  [SMALL_STATE(1752)] = 63717,
  [SMALL_STATE(1753)] = 63724,
  [SMALL_STATE(1754)] = 63731,
  [SMALL_STATE(1755)] = 63738,
  [SMALL_STATE(1756)] = 63745,
  [SMALL_STATE(1757)] = 63752,
  [SMALL_STATE(1758)] = 63759,
  [SMALL_STATE(1759)] = 63766,
  [SMALL_STATE(1760)] = 63773,
  [SMALL_STATE(1761)] = 63780,
  [SMALL_STATE(1762)] = 63787,
  [SMALL_STATE(1763)] = 63794,
  [SMALL_STATE(1764)] = 63801,
  [SMALL_STATE(1765)] = 63808,
  [SMALL_STATE(1766)] = 63815,
  [SMALL_STATE(1767)] = 63822,
  [SMALL_STATE(1768)] = 63829,
  [SMALL_STATE(1769)] = 63836,
  [SMALL_STATE(1770)] = 63843,
  [SMALL_STATE(1771)] = 63850,
  [SMALL_STATE(1772)] = 63857,
  [SMALL_STATE(1773)] = 63864,
  [SMALL_STATE(1774)] = 63871,
  [SMALL_STATE(1775)] = 63878,
  [SMALL_STATE(1776)] = 63885,
  [SMALL_STATE(1777)] = 63892,
  [SMALL_STATE(1778)] = 63899,
  [SMALL_STATE(1779)] = 63906,
  [SMALL_STATE(1780)] = 63913,
  [SMALL_STATE(1781)] = 63920,
  [SMALL_STATE(1782)] = 63927,
  [SMALL_STATE(1783)] = 63934,
  [SMALL_STATE(1784)] = 63941,
  [SMALL_STATE(1785)] = 63948,
  [SMALL_STATE(1786)] = 63955,
  [SMALL_STATE(1787)] = 63962,
  [SMALL_STATE(1788)] = 63969,
  [SMALL_STATE(1789)] = 63976,
  [SMALL_STATE(1790)] = 63983,
  [SMALL_STATE(1791)] = 63990,
  [SMALL_STATE(1792)] = 63997,
  [SMALL_STATE(1793)] = 64004,
  [SMALL_STATE(1794)] = 64011,
  [SMALL_STATE(1795)] = 64018,
  [SMALL_STATE(1796)] = 64025,
  [SMALL_STATE(1797)] = 64032,
  [SMALL_STATE(1798)] = 64039,
  [SMALL_STATE(1799)] = 64046,
  [SMALL_STATE(1800)] = 64053,
  [SMALL_STATE(1801)] = 64060,
  [SMALL_STATE(1802)] = 64067,
  [SMALL_STATE(1803)] = 64074,
  [SMALL_STATE(1804)] = 64081,
  [SMALL_STATE(1805)] = 64088,
  [SMALL_STATE(1806)] = 64095,
  [SMALL_STATE(1807)] = 64102,
  [SMALL_STATE(1808)] = 64109,
  [SMALL_STATE(1809)] = 64116,
  [SMALL_STATE(1810)] = 64123,
  [SMALL_STATE(1811)] = 64130,
  [SMALL_STATE(1812)] = 64137,
  [SMALL_STATE(1813)] = 64144,
  [SMALL_STATE(1814)] = 64151,
  [SMALL_STATE(1815)] = 64158,
  [SMALL_STATE(1816)] = 64165,
  [SMALL_STATE(1817)] = 64172,
  [SMALL_STATE(1818)] = 64179,
  [SMALL_STATE(1819)] = 64186,
  [SMALL_STATE(1820)] = 64193,
  [SMALL_STATE(1821)] = 64200,
  [SMALL_STATE(1822)] = 64207,
  [SMALL_STATE(1823)] = 64214,
  [SMALL_STATE(1824)] = 64221,
  [SMALL_STATE(1825)] = 64228,
  [SMALL_STATE(1826)] = 64235,
  [SMALL_STATE(1827)] = 64242,
  [SMALL_STATE(1828)] = 64249,
  [SMALL_STATE(1829)] = 64256,
  [SMALL_STATE(1830)] = 64263,
  [SMALL_STATE(1831)] = 64270,
  [SMALL_STATE(1832)] = 64277,
  [SMALL_STATE(1833)] = 64284,
  [SMALL_STATE(1834)] = 64291,
  [SMALL_STATE(1835)] = 64298,
  [SMALL_STATE(1836)] = 64305,
  [SMALL_STATE(1837)] = 64312,
  [SMALL_STATE(1838)] = 64319,
  [SMALL_STATE(1839)] = 64326,
  [SMALL_STATE(1840)] = 64333,
  [SMALL_STATE(1841)] = 64340,
  [SMALL_STATE(1842)] = 64347,
  [SMALL_STATE(1843)] = 64354,
  [SMALL_STATE(1844)] = 64361,
  [SMALL_STATE(1845)] = 64368,
  [SMALL_STATE(1846)] = 64375,
  [SMALL_STATE(1847)] = 64382,
  [SMALL_STATE(1848)] = 64389,
  [SMALL_STATE(1849)] = 64396,
  [SMALL_STATE(1850)] = 64403,
  [SMALL_STATE(1851)] = 64410,
  [SMALL_STATE(1852)] = 64417,
  [SMALL_STATE(1853)] = 64424,
  [SMALL_STATE(1854)] = 64431,
  [SMALL_STATE(1855)] = 64438,
  [SMALL_STATE(1856)] = 64445,
  [SMALL_STATE(1857)] = 64452,
  [SMALL_STATE(1858)] = 64459,
  [SMALL_STATE(1859)] = 64466,
  [SMALL_STATE(1860)] = 64473,
  [SMALL_STATE(1861)] = 64480,
  [SMALL_STATE(1862)] = 64487,
  [SMALL_STATE(1863)] = 64494,
  [SMALL_STATE(1864)] = 64501,
  [SMALL_STATE(1865)] = 64508,
  [SMALL_STATE(1866)] = 64515,
  [SMALL_STATE(1867)] = 64522,
  [SMALL_STATE(1868)] = 64529,
  [SMALL_STATE(1869)] = 64536,
  [SMALL_STATE(1870)] = 64543,
  [SMALL_STATE(1871)] = 64550,
  [SMALL_STATE(1872)] = 64557,
  [SMALL_STATE(1873)] = 64564,
  [SMALL_STATE(1874)] = 64571,
  [SMALL_STATE(1875)] = 64578,
  [SMALL_STATE(1876)] = 64585,
  [SMALL_STATE(1877)] = 64592,
  [SMALL_STATE(1878)] = 64599,
  [SMALL_STATE(1879)] = 64606,
  [SMALL_STATE(1880)] = 64613,
  [SMALL_STATE(1881)] = 64620,
  [SMALL_STATE(1882)] = 64627,
  [SMALL_STATE(1883)] = 64634,
  [SMALL_STATE(1884)] = 64641,
  [SMALL_STATE(1885)] = 64648,
  [SMALL_STATE(1886)] = 64655,
  [SMALL_STATE(1887)] = 64662,
  [SMALL_STATE(1888)] = 64669,
  [SMALL_STATE(1889)] = 64676,
  [SMALL_STATE(1890)] = 64683,
  [SMALL_STATE(1891)] = 64690,
  [SMALL_STATE(1892)] = 64697,
  [SMALL_STATE(1893)] = 64704,
  [SMALL_STATE(1894)] = 64711,
  [SMALL_STATE(1895)] = 64718,
  [SMALL_STATE(1896)] = 64725,
  [SMALL_STATE(1897)] = 64732,
  [SMALL_STATE(1898)] = 64739,
  [SMALL_STATE(1899)] = 64746,
  [SMALL_STATE(1900)] = 64753,
  [SMALL_STATE(1901)] = 64760,
  [SMALL_STATE(1902)] = 64767,
  [SMALL_STATE(1903)] = 64774,
  [SMALL_STATE(1904)] = 64781,
  [SMALL_STATE(1905)] = 64788,
  [SMALL_STATE(1906)] = 64795,
  [SMALL_STATE(1907)] = 64802,
  [SMALL_STATE(1908)] = 64809,
  [SMALL_STATE(1909)] = 64816,
  [SMALL_STATE(1910)] = 64823,
  [SMALL_STATE(1911)] = 64830,
  [SMALL_STATE(1912)] = 64837,
  [SMALL_STATE(1913)] = 64844,
  [SMALL_STATE(1914)] = 64851,
  [SMALL_STATE(1915)] = 64858,
  [SMALL_STATE(1916)] = 64865,
  [SMALL_STATE(1917)] = 64872,
  [SMALL_STATE(1918)] = 64879,
  [SMALL_STATE(1919)] = 64886,
  [SMALL_STATE(1920)] = 64893,
  [SMALL_STATE(1921)] = 64900,
  [SMALL_STATE(1922)] = 64907,
  [SMALL_STATE(1923)] = 64914,
  [SMALL_STATE(1924)] = 64921,
  [SMALL_STATE(1925)] = 64928,
  [SMALL_STATE(1926)] = 64935,
  [SMALL_STATE(1927)] = 64942,
  [SMALL_STATE(1928)] = 64949,
  [SMALL_STATE(1929)] = 64956,
  [SMALL_STATE(1930)] = 64963,
  [SMALL_STATE(1931)] = 64970,
  [SMALL_STATE(1932)] = 64977,
  [SMALL_STATE(1933)] = 64984,
  [SMALL_STATE(1934)] = 64991,
  [SMALL_STATE(1935)] = 64998,
  [SMALL_STATE(1936)] = 65005,
  [SMALL_STATE(1937)] = 65012,
  [SMALL_STATE(1938)] = 65019,
  [SMALL_STATE(1939)] = 65026,
  [SMALL_STATE(1940)] = 65033,
  [SMALL_STATE(1941)] = 65040,
  [SMALL_STATE(1942)] = 65047,
  [SMALL_STATE(1943)] = 65054,
  [SMALL_STATE(1944)] = 65061,
  [SMALL_STATE(1945)] = 65068,
  [SMALL_STATE(1946)] = 65075,
  [SMALL_STATE(1947)] = 65082,
  [SMALL_STATE(1948)] = 65089,
  [SMALL_STATE(1949)] = 65096,
  [SMALL_STATE(1950)] = 65103,
  [SMALL_STATE(1951)] = 65110,
  [SMALL_STATE(1952)] = 65117,
  [SMALL_STATE(1953)] = 65124,
  [SMALL_STATE(1954)] = 65131,
  [SMALL_STATE(1955)] = 65138,
  [SMALL_STATE(1956)] = 65145,
  [SMALL_STATE(1957)] = 65152,
  [SMALL_STATE(1958)] = 65159,
  [SMALL_STATE(1959)] = 65166,
  [SMALL_STATE(1960)] = 65173,
  [SMALL_STATE(1961)] = 65180,
  [SMALL_STATE(1962)] = 65187,
  [SMALL_STATE(1963)] = 65194,
  [SMALL_STATE(1964)] = 65201,
  [SMALL_STATE(1965)] = 65208,
  [SMALL_STATE(1966)] = 65215,
  [SMALL_STATE(1967)] = 65222,
  [SMALL_STATE(1968)] = 65229,
  [SMALL_STATE(1969)] = 65236,
  [SMALL_STATE(1970)] = 65243,
  [SMALL_STATE(1971)] = 65250,
  [SMALL_STATE(1972)] = 65257,
  [SMALL_STATE(1973)] = 65264,
  [SMALL_STATE(1974)] = 65271,
  [SMALL_STATE(1975)] = 65278,
  [SMALL_STATE(1976)] = 65285,
  [SMALL_STATE(1977)] = 65292,
  [SMALL_STATE(1978)] = 65299,
  [SMALL_STATE(1979)] = 65306,
  [SMALL_STATE(1980)] = 65313,
  [SMALL_STATE(1981)] = 65320,
  [SMALL_STATE(1982)] = 65327,
  [SMALL_STATE(1983)] = 65334,
  [SMALL_STATE(1984)] = 65341,
  [SMALL_STATE(1985)] = 65348,
  [SMALL_STATE(1986)] = 65355,
  [SMALL_STATE(1987)] = 65362,
  [SMALL_STATE(1988)] = 65369,
  [SMALL_STATE(1989)] = 65376,
  [SMALL_STATE(1990)] = 65383,
  [SMALL_STATE(1991)] = 65390,
  [SMALL_STATE(1992)] = 65397,
  [SMALL_STATE(1993)] = 65404,
  [SMALL_STATE(1994)] = 65411,
  [SMALL_STATE(1995)] = 65418,
  [SMALL_STATE(1996)] = 65425,
  [SMALL_STATE(1997)] = 65432,
  [SMALL_STATE(1998)] = 65439,
  [SMALL_STATE(1999)] = 65446,
  [SMALL_STATE(2000)] = 65453,
  [SMALL_STATE(2001)] = 65460,
  [SMALL_STATE(2002)] = 65467,
  [SMALL_STATE(2003)] = 65474,
  [SMALL_STATE(2004)] = 65481,
  [SMALL_STATE(2005)] = 65488,
  [SMALL_STATE(2006)] = 65495,
  [SMALL_STATE(2007)] = 65502,
  [SMALL_STATE(2008)] = 65509,
  [SMALL_STATE(2009)] = 65516,
  [SMALL_STATE(2010)] = 65523,
  [SMALL_STATE(2011)] = 65530,
  [SMALL_STATE(2012)] = 65537,
  [SMALL_STATE(2013)] = 65544,
  [SMALL_STATE(2014)] = 65551,
  [SMALL_STATE(2015)] = 65558,
  [SMALL_STATE(2016)] = 65565,
  [SMALL_STATE(2017)] = 65572,
  [SMALL_STATE(2018)] = 65579,
  [SMALL_STATE(2019)] = 65586,
  [SMALL_STATE(2020)] = 65593,
  [SMALL_STATE(2021)] = 65600,
  [SMALL_STATE(2022)] = 65607,
  [SMALL_STATE(2023)] = 65614,
  [SMALL_STATE(2024)] = 65621,
  [SMALL_STATE(2025)] = 65628,
  [SMALL_STATE(2026)] = 65635,
  [SMALL_STATE(2027)] = 65642,
  [SMALL_STATE(2028)] = 65649,
  [SMALL_STATE(2029)] = 65656,
  [SMALL_STATE(2030)] = 65663,
  [SMALL_STATE(2031)] = 65670,
  [SMALL_STATE(2032)] = 65677,
  [SMALL_STATE(2033)] = 65684,
  [SMALL_STATE(2034)] = 65691,
  [SMALL_STATE(2035)] = 65698,
  [SMALL_STATE(2036)] = 65705,
  [SMALL_STATE(2037)] = 65712,
  [SMALL_STATE(2038)] = 65719,
  [SMALL_STATE(2039)] = 65726,
  [SMALL_STATE(2040)] = 65733,
  [SMALL_STATE(2041)] = 65740,
  [SMALL_STATE(2042)] = 65747,
  [SMALL_STATE(2043)] = 65754,
  [SMALL_STATE(2044)] = 65761,
  [SMALL_STATE(2045)] = 65768,
  [SMALL_STATE(2046)] = 65775,
  [SMALL_STATE(2047)] = 65782,
  [SMALL_STATE(2048)] = 65789,
  [SMALL_STATE(2049)] = 65796,
  [SMALL_STATE(2050)] = 65803,
  [SMALL_STATE(2051)] = 65810,
  [SMALL_STATE(2052)] = 65817,
  [SMALL_STATE(2053)] = 65824,
  [SMALL_STATE(2054)] = 65831,
  [SMALL_STATE(2055)] = 65838,
  [SMALL_STATE(2056)] = 65845,
  [SMALL_STATE(2057)] = 65852,
  [SMALL_STATE(2058)] = 65859,
  [SMALL_STATE(2059)] = 65866,
  [SMALL_STATE(2060)] = 65873,
  [SMALL_STATE(2061)] = 65880,
  [SMALL_STATE(2062)] = 65887,
  [SMALL_STATE(2063)] = 65894,
  [SMALL_STATE(2064)] = 65901,
  [SMALL_STATE(2065)] = 65908,
  [SMALL_STATE(2066)] = 65915,
  [SMALL_STATE(2067)] = 65922,
  [SMALL_STATE(2068)] = 65929,
  [SMALL_STATE(2069)] = 65936,
  [SMALL_STATE(2070)] = 65943,
  [SMALL_STATE(2071)] = 65950,
  [SMALL_STATE(2072)] = 65957,
  [SMALL_STATE(2073)] = 65964,
  [SMALL_STATE(2074)] = 65971,
  [SMALL_STATE(2075)] = 65978,
  [SMALL_STATE(2076)] = 65985,
  [SMALL_STATE(2077)] = 65992,
  [SMALL_STATE(2078)] = 65999,
  [SMALL_STATE(2079)] = 66006,
  [SMALL_STATE(2080)] = 66013,
  [SMALL_STATE(2081)] = 66020,
  [SMALL_STATE(2082)] = 66027,
  [SMALL_STATE(2083)] = 66034,
  [SMALL_STATE(2084)] = 66041,
  [SMALL_STATE(2085)] = 66048,
  [SMALL_STATE(2086)] = 66055,
  [SMALL_STATE(2087)] = 66062,
  [SMALL_STATE(2088)] = 66069,
  [SMALL_STATE(2089)] = 66076,
  [SMALL_STATE(2090)] = 66083,
  [SMALL_STATE(2091)] = 66090,
  [SMALL_STATE(2092)] = 66097,
  [SMALL_STATE(2093)] = 66104,
  [SMALL_STATE(2094)] = 66111,
  [SMALL_STATE(2095)] = 66118,
  [SMALL_STATE(2096)] = 66125,
  [SMALL_STATE(2097)] = 66132,
  [SMALL_STATE(2098)] = 66139,
  [SMALL_STATE(2099)] = 66146,
  [SMALL_STATE(2100)] = 66153,
  [SMALL_STATE(2101)] = 66160,
  [SMALL_STATE(2102)] = 66167,
  [SMALL_STATE(2103)] = 66174,
  [SMALL_STATE(2104)] = 66181,
  [SMALL_STATE(2105)] = 66188,
  [SMALL_STATE(2106)] = 66195,
  [SMALL_STATE(2107)] = 66202,
  [SMALL_STATE(2108)] = 66209,
  [SMALL_STATE(2109)] = 66216,
  [SMALL_STATE(2110)] = 66223,
  [SMALL_STATE(2111)] = 66230,
  [SMALL_STATE(2112)] = 66237,
  [SMALL_STATE(2113)] = 66244,
  [SMALL_STATE(2114)] = 66251,
  [SMALL_STATE(2115)] = 66258,
  [SMALL_STATE(2116)] = 66265,
  [SMALL_STATE(2117)] = 66272,
  [SMALL_STATE(2118)] = 66279,
  [SMALL_STATE(2119)] = 66286,
  [SMALL_STATE(2120)] = 66293,
  [SMALL_STATE(2121)] = 66300,
  [SMALL_STATE(2122)] = 66307,
  [SMALL_STATE(2123)] = 66314,
  [SMALL_STATE(2124)] = 66321,
  [SMALL_STATE(2125)] = 66328,
  [SMALL_STATE(2126)] = 66335,
  [SMALL_STATE(2127)] = 66342,
  [SMALL_STATE(2128)] = 66349,
  [SMALL_STATE(2129)] = 66356,
  [SMALL_STATE(2130)] = 66363,
  [SMALL_STATE(2131)] = 66370,
  [SMALL_STATE(2132)] = 66377,
  [SMALL_STATE(2133)] = 66384,
  [SMALL_STATE(2134)] = 66391,
  [SMALL_STATE(2135)] = 66398,
  [SMALL_STATE(2136)] = 66405,
  [SMALL_STATE(2137)] = 66412,
  [SMALL_STATE(2138)] = 66419,
  [SMALL_STATE(2139)] = 66426,
  [SMALL_STATE(2140)] = 66433,
  [SMALL_STATE(2141)] = 66440,
  [SMALL_STATE(2142)] = 66447,
  [SMALL_STATE(2143)] = 66454,
  [SMALL_STATE(2144)] = 66461,
  [SMALL_STATE(2145)] = 66468,
  [SMALL_STATE(2146)] = 66475,
  [SMALL_STATE(2147)] = 66482,
  [SMALL_STATE(2148)] = 66489,
  [SMALL_STATE(2149)] = 66496,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2054),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1715),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1687),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2108),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1767),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(45),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(49),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [95] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__value, 1, 0, 0),
  [97] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__value, 1, 0, 0),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 0),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1926),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1786),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2115),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1721),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1688),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1694),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1697),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1698),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_script_block, 2, 0, 0),
  [249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_script_block, 3, 0, 0),
  [251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_literal, 3, 0, 0),
  [253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_literal, 3, 0, 0),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_list, 1, 0, 0),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(129),
  [312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(156),
  [315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1209),
  [318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1232),
  [321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(147),
  [324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1164),
  [327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1368),
  [330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(670),
  [333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(145),
  [336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(437),
  [339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(269),
  [342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0),
  [344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(30),
  [347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2115),
  [350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1283),
  [353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1547),
  [356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2027),
  [359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2116),
  [362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1721),
  [365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1688),
  [368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(573),
  [371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(259),
  [374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1290),
  [377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1428),
  [380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1694),
  [383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1353),
  [386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1696),
  [389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1697),
  [392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1698),
  [395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(950),
  [398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1500),
  [401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2029),
  [404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2030),
  [407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(665),
  [410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(666),
  [413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(45),
  [416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(49),
  [419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(484),
  [422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_list, 1, 0, 0),
  [426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0),
  [428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(486),
  [431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1935),
  [434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1286),
  [437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1498),
  [440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1848),
  [443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2051),
  [446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1621),
  [449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1715),
  [452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1282),
  [455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1426),
  [458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1687),
  [461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1346),
  [464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1634),
  [467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1653),
  [470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1555),
  [473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2108),
  [476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1767),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1723),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1713),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1550),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2100),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2122),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2123),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1722),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1712),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access, 3, 0, 0),
  [593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access, 3, 0, 0),
  [595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable, 1, 0, 0),
  [597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable, 1, 0, 0),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_block_expression, 4, 0, 0),
  [603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_script_block_expression, 4, 0, 0),
  [605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_block_expression, 3, 0, 0),
  [607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_script_block_expression, 3, 0, 0),
  [609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invokation_foreach_expression, 3, 0, 0),
  [615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invokation_foreach_expression, 3, 0, 0),
  [617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sub_expression, 2, 0, 0),
  [619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sub_expression, 2, 0, 0),
  [621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sub_expression, 3, 0, 8),
  [623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sub_expression, 3, 0, 8),
  [625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 15),
  [631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 15),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 1, 0, 0),
  [637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 1, 0, 0),
  [639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_with_unary_operator, 1, 0, 0),
  [641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_with_unary_operator, 1, 0, 0),
  [643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_with_unary_operator, 2, 0, 0),
  [645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_with_unary_operator, 2, 0, 0),
  [647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expandable_string_literal, 4, 0, 0),
  [649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expandable_string_literal, 4, 0, 0),
  [651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pre_increment_expression, 2, 0, 0),
  [653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pre_increment_expression, 2, 0, 0),
  [655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pre_decrement_expression, 2, 0, 0),
  [657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pre_decrement_expression, 2, 0, 0),
  [659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 2, 0, 0),
  [661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 2, 0, 0),
  [663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_post_increment_expression, 2, 0, 0),
  [665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_post_increment_expression, 2, 0, 0),
  [667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_name, 1, 0, 0),
  [669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_name, 1, 0, 0),
  [671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_post_decrement_expression, 2, 0, 0),
  [673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_post_decrement_expression, 2, 0, 0),
  [675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 2, 0, 0),
  [677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 2, 0, 0),
  [679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expandable_string_literal, 3, 0, 0),
  [681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expandable_string_literal, 3, 0, 0),
  [683] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__literal, 1, 0, 0), REDUCE(sym_member_name, 1, 0, 0),
  [686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__literal, 1, 0, 0), REDUCE(sym_member_name, 1, 0, 0),
  [689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expandable_here_string_literal, 3, 0, 0),
  [691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expandable_here_string_literal, 3, 0, 0),
  [693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_integer_literal, 1, 0, 0),
  [695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_integer_literal, 1, 0, 0),
  [697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element_access, 4, 0, 0),
  [699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element_access, 4, 0, 0),
  [701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 1, 0, 0),
  [703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 1, 0, 0),
  [705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expandable_here_string_literal, 2, 0, 0),
  [707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expandable_here_string_literal, 2, 0, 0),
  [709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invokation_expression, 1, 0, 0),
  [711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invokation_expression, 1, 0, 0),
  [713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_literal_expression, 2, 0, 0),
  [715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_literal_expression, 2, 0, 0),
  [717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invokation_expression, 4, 0, 0),
  [719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invokation_expression, 4, 0, 0),
  [721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 3, 0, 8),
  [723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 3, 0, 8),
  [725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expandable_string_literal, 2, 0, 0),
  [727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expandable_string_literal, 2, 0, 0),
  [729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_literal_expression, 3, 0, 0),
  [731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_literal_expression, 3, 0, 0),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_literal_expression_repeat1, 2, 0, 0),
  [767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_literal_expression_repeat1, 2, 0, 0),
  [769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_literal_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(659),
  [772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_literal_expression, 2, 0, 0),
  [774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_literal_expression, 2, 0, 0),
  [776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_literal_expression, 1, 0, 0),
  [780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_literal_expression, 1, 0, 0),
  [782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_expression, 3, 0, 0),
  [786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0),
  [788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_literal_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(656),
  [791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_expression, 1, 0, 0),
  [793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_expression, 1, 0, 0),
  [795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multiplicative_expression, 1, 0, 0),
  [797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_multiplicative_expression, 1, 0, 0),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multiplicative_expression, 3, 0, 0),
  [803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_multiplicative_expression, 3, 0, 0),
  [805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_format_expression, 1, 0, 0),
  [807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_expression, 1, 0, 0),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_format_expression, 3, 0, 0),
  [813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_expression, 3, 0, 0),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_additive_expression, 1, 0, 0),
  [819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_additive_expression, 1, 0, 0),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_additive_expression, 3, 0, 0),
  [827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_additive_expression, 3, 0, 0),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comparison_expression, 3, 0, 0),
  [835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comparison_expression, 3, 0, 0),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comparison_expression, 1, 0, 0),
  [843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comparison_expression, 1, 0, 0),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(36),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(65),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(60),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitwise_expression, 3, 0, 0),
  [877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bitwise_expression, 3, 0, 0),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(62),
  [909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitwise_expression, 1, 0, 0),
  [915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bitwise_expression, 1, 0, 0),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(66),
  [973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(69),
  [1001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [1023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [1027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__command_argument, 1, 0, 0),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [1031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__command_argument, 1, 0, 0),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [1087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [1089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [1103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [1125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [1129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(37),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(56),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(38),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [1209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [1213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1562),
  [1217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [1219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1571),
  [1221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [1223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [1225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [1227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [1237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1586),
  [1239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1724),
  [1241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1674),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1673),
  [1251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1679),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [1255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [1259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [1261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [1263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1693),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [1269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [1273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [1277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [1279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [1281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(35),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [1291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [1293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [1295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [1297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_flow_control_statement, 1, 0, 0),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [1301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [1309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [1311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [1313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [1315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [1321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_literal_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(594),
  [1324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [1326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 14),
  [1328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [1330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [1332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [1334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, 0, 0),
  [1336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [1338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [1340] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_literal_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(628),
  [1343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_argument_sep, 1, 0, 0),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [1347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_argument_sep, 1, 0, 0),
  [1349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, 0, 0),
  [1351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [1355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_argument_sep_repeat1, 2, 0, 0),
  [1357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_argument_sep_repeat1, 2, 0, 0), SHIFT_REPEAT(312),
  [1360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [1362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_argument_sep_repeat1, 2, 0, 0), SHIFT_REPEAT(316),
  [1365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_argument_sep_repeat1, 2, 0, 0),
  [1367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [1369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 14),
  [1371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [1373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [1375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_catch_clauses_repeat1, 2, 0, 0),
  [1377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_catch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(1362),
  [1380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_elseif_clauses_repeat1, 2, 0, 0),
  [1382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_elseif_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(2120),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [1391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [1393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_argument_sep_repeat1, 2, 0, 0), SHIFT_REPEAT(330),
  [1396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [1398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_param_block, 5, 0, 0),
  [1400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_param_block, 5, 0, 0),
  [1402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [1404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_param_block, 3, 0, 0),
  [1406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_param_block, 3, 0, 0),
  [1408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [1410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clauses, 1, 0, 0),
  [1412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [1414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [1416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [1418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clauses, 1, 0, 0),
  [1420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [1422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [1424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_param_block, 4, 0, 0),
  [1426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_param_block, 4, 0, 0),
  [1428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [1430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [1434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [1436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_argument_sep_repeat1, 2, 0, 0), SHIFT_REPEAT(354),
  [1439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_script_block_repeat1, 2, 0, 0),
  [1441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_script_block_repeat1, 2, 0, 0), SHIFT_REPEAT(355),
  [1444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elseif_clauses, 1, 0, 0),
  [1446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_script_block_repeat1, 1, 0, 0),
  [1450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_elseif_clauses_repeat1, 2, 0, 0),
  [1452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_elseif_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(1997),
  [1455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_catch_clauses_repeat1, 2, 0, 0),
  [1457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_catch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(1381),
  [1460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clauses, 1, 0, 0),
  [1462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [1464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2, 0, 0),
  [1466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_format_argument_expression, 3, 0, 0),
  [1468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_argument_expression, 3, 0, 0),
  [1470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [1472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 3, 0, 0),
  [1474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [1476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 0),
  [1478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multiplicative_argument_expression, 1, 0, 0),
  [1480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_multiplicative_argument_expression, 1, 0, 0),
  [1482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_argument_expression, 3, 0, 0),
  [1484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_argument_expression, 3, 0, 0),
  [1486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [1488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_format_argument_expression, 1, 0, 0),
  [1490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_argument_expression, 1, 0, 0),
  [1492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, 0, 0),
  [1494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 5, 0, 14),
  [1496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_argument_expression, 1, 0, 0),
  [1498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_argument_expression, 1, 0, 0),
  [1500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multiplicative_argument_expression, 3, 0, 0),
  [1502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_multiplicative_argument_expression, 3, 0, 0),
  [1504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3, 0, 12),
  [1506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 16),
  [1508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_argument_sep_repeat1, 2, 0, 0), SHIFT_REPEAT(400),
  [1511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, 0, 0),
  [1513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 3, 0, 0),
  [1515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2, 0, 0),
  [1517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3, 0, 12),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [1521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_argument_sep_repeat1, 2, 0, 0), SHIFT_REPEAT(409),
  [1524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 16),
  [1526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elseif_clause, 5, 0, 14),
  [1528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 0),
  [1530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [1532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [1534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [1536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [1538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [1540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [1542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [1544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [1546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [1548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 18),
  [1550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inlinescript_statement, 2, 0, 0),
  [1552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_statement, 8, 0, 0),
  [1554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 23),
  [1556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_data_statement, 2, 0, 0),
  [1558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3, 0, 0),
  [1560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 24),
  [1562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 25),
  [1564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 23),
  [1566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 12, 0, 26),
  [1568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [1570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 4, 0, 0),
  [1572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_statement, 6, 0, 0),
  [1574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 0),
  [1576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_additive_argument_expression, 1, 0, 0),
  [1578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_additive_argument_expression, 1, 0, 0),
  [1580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [1582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [1584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_statement, 6, 0, 0),
  [1586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 20),
  [1590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [1592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_statement, 4, 0, 0),
  [1594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_data_statement, 4, 0, 0),
  [1596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parallel_statement, 2, 0, 0),
  [1598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 14),
  [1600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_statement, 5, 0, 0),
  [1602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_statement, 4, 0, 0),
  [1604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [1606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_statement, 5, 0, 0),
  [1608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_statement, 5, 0, 0),
  [1610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 6, 0, 19),
  [1612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 0),
  [1614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [1616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_additive_argument_expression, 3, 0, 0),
  [1618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_additive_argument_expression, 3, 0, 0),
  [1620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trap_statement, 3, 0, 0),
  [1622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_statement, 4, 0, 0),
  [1624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 21),
  [1628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 4, 0, 0),
  [1630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2, 0, 0),
  [1632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 0),
  [1634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 18),
  [1636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 17),
  [1638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_statement, 7, 0, 0),
  [1640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 8, 0, 0),
  [1642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_data_statement, 3, 0, 0),
  [1644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sequence_statement, 2, 0, 0),
  [1648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement, 2, 0, 0),
  [1650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trap_statement, 2, 0, 0),
  [1652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 22),
  [1654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 0),
  [1656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 18),
  [1660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 21),
  [1662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3, 0, 0),
  [1668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 0),
  [1670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 14),
  [1672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 5, 0, 0),
  [1674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_statement, 5, 0, 0),
  [1676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_statement, 5, 0, 0),
  [1678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 17),
  [1680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 18),
  [1684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 6, 0, 19),
  [1686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 6, 0, 0),
  [1688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_statement, 6, 0, 0),
  [1690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 20),
  [1694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 21),
  [1698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 18),
  [1700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_statement, 7, 0, 0),
  [1702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 8, 0, 0),
  [1704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 22),
  [1706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 21),
  [1708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 18),
  [1710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_statement, 8, 0, 0),
  [1712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 23),
  [1714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 24),
  [1716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 25),
  [1718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 23),
  [1720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 12, 0, 26),
  [1722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 0),
  [1724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [1726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [1728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trap_statement, 3, 0, 0),
  [1730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_statement, 3, 0, 0),
  [1732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(961),
  [1735] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(961),
  [1738] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1323),
  [1741] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1210),
  [1744] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1225),
  [1747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(947),
  [1750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1770),
  [1753] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1376),
  [1756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(625),
  [1759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(970),
  [1762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(970),
  [1765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(267),
  [1768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(38),
  [1771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0),
  [1773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(625),
  [1776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(626),
  [1779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(627),
  [1782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(59),
  [1785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(72),
  [1788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hash_literal_body_repeat1, 2, 0, 0), SHIFT_REPEAT(433),
  [1791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement, 2, 0, 0),
  [1793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trap_statement, 2, 0, 0),
  [1795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_statement, 2, 0, 0),
  [1797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inlinescript_statement, 2, 0, 0),
  [1799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parallel_statement, 2, 0, 0),
  [1801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_statement, 2, 0, 0),
  [1803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_literal_body, 1, 0, 0),
  [1805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 4, 0, 0),
  [1807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2, 0, 0),
  [1809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 4, 0, 0),
  [1811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_statement, 4, 0, 0),
  [1813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 0),
  [1815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 0),
  [1817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_statement, 4, 0, 0),
  [1819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_statement, 4, 0, 0),
  [1821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_statement, 4, 0, 0),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [1825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [1829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [1837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [1847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [1863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignement_operator, 1, 0, 0),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [1867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comparison_argument_expression, 1, 0, 0),
  [1869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comparison_argument_expression, 1, 0, 0),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [1875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comparison_argument_expression, 3, 0, 0),
  [1877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comparison_argument_expression, 3, 0, 0),
  [1879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitwise_argument_expression, 1, 0, 0),
  [1881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitwise_argument_expression, 3, 0, 0),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [2001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [2009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [2017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [2021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [2049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [2057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [2059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [2063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [2075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__value, 1, 0, 0), REDUCE(aux_sym_path_command_name_repeat1, 1, 0, 0),
  [2078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_path_command_name_repeat1, 1, 0, 0),
  [2080] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__value, 1, 0, 0), REDUCE(aux_sym_path_command_name_repeat1, 1, 0, 0),
  [2083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [2085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [2087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [2089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [2091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [2095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [2097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [2099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [2103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [2107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [2111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [2113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [2115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [2117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [2121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [2123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [2125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [2127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [2129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [2131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [2133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [2137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [2139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [2141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [2147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [2149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [2153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [2159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [2165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [2167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [2169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [2171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [2173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [2175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1800),
  [2177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [2179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(961),
  [2182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(1321),
  [2185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(1210),
  [2188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(1225),
  [2191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(947),
  [2194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(1371),
  [2197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(970),
  [2200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(1948),
  [2203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(267),
  [2206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(38),
  [2209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_switch_clauses_repeat1, 2, 0, 0),
  [2211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(59),
  [2214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(72),
  [2217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(433),
  [2220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_clauses, 1, 0, 0),
  [2222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_path_command_name, 1, 0, 0),
  [2224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [2226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [2228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_path_command_name, 1, 0, 0),
  [2230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [2232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [2234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_path_command_name_repeat1, 2, 0, 0),
  [2236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_path_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(770),
  [2239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_path_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(745),
  [2242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_path_command_name_repeat1, 2, 0, 0),
  [2244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_path_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(766),
  [2247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_path_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(746),
  [2250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [2252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [2254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [2256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [2258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [2260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [2262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 1, 0, 1),
  [2264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 1, 0, 1),
  [2266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_path_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(920),
  [2269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_path_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(752),
  [2272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [2274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [2276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [2278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [2280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_path_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(843),
  [2283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_path_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(755),
  [2286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 2, 0, 6),
  [2288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 2, 0, 6),
  [2290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [2292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [2294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [2296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [2298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [2300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [2302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [2304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [2306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [2308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [2310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [2312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [2314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_elements, 1, 0, 0),
  [2316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_elements, 1, 0, 0),
  [2318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [2320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [2322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [2324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(1163),
  [2327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(1101),
  [2330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(813),
  [2333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0),
  [2335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(309),
  [2338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(331),
  [2341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0),
  [2343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [2345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [2347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [2349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [2353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(1105),
  [2356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(822),
  [2359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(320),
  [2362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(351),
  [2365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [2367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [2369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(1123),
  [2372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(851),
  [2375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(329),
  [2378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(374),
  [2381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_left_assignment_expression, 1, 0, 0),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [2389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipeline, 1, 0, 0),
  [2391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [2397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_logical_expression, 1, 0, 0),
  [2399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_logical_expression, 1, 0, 0),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [2405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(1132),
  [2408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(886),
  [2411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(353),
  [2414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(358),
  [2417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [2419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [2421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [2423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [2427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_logical_expression, 3, 0, 0),
  [2429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_logical_expression, 3, 0, 0),
  [2431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [2433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [2435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [2437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [2439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [2441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [2445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redirected_file_name, 1, 0, 0),
  [2447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirected_file_name, 1, 0, 0),
  [2449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_name_expr, 1, 0, 0),
  [2451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_name_expr, 1, 0, 0),
  [2453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [2455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [2461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_name, 2, 0, 0),
  [2463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [2465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [2467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_name, 2, 0, 0),
  [2469] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(945),
  [2472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0),
  [2474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(945),
  [2477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(1193),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [2482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_name, 1, 0, 0),
  [2484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [2486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_name, 1, 0, 0),
  [2488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(965),
  [2491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(965),
  [2494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(1190),
  [2497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [2501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [2503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [2505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [2507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [2509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expandable_string_literal_immediate, 2, 0, 0),
  [2511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expandable_string_literal_immediate, 2, 0, 0),
  [2513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [2515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [2521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [2523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [2527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [2529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [2533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(985),
  [2536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(985),
  [2539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(1191),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [2544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [2546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expandable_string_literal_immediate, 3, 0, 0),
  [2548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expandable_string_literal_immediate, 3, 0, 0),
  [2550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(990),
  [2553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(990),
  [2556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(1194),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [2561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [2565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_literal_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(600),
  [2568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [2570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [2574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [2576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [2578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [2580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [2582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [2584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [2590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [2596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_literal_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(672),
  [2599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_literal_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(678),
  [2602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__command_element, 1, 0, 0),
  [2604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [2606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__command_element, 1, 0, 0),
  [2608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [2610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [2612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_literal_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(650),
  [2615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [2617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [2625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_literal_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(645),
  [2628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [2630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_literal_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(660),
  [2633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [2635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [2637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__command_argument, 2, 0, 0),
  [2639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__command_argument, 2, 0, 0),
  [2641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [2643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [2645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_literal_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(661),
  [2648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_literal_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(662),
  [2651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [2653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_merging_redirection_operator, 1, 0, 0),
  [2655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_merging_redirection_operator, 1, 0, 0),
  [2657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_entry, 5, 0, 0),
  [2659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_entry, 5, 0, 0),
  [2661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [2663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__command_element, 2, 0, 0),
  [2665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__command_element, 2, 0, 0),
  [2667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redirection, 2, 0, 0),
  [2669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirection, 2, 0, 0),
  [2671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redirection, 1, 0, 0),
  [2673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirection, 1, 0, 0),
  [2675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_entry, 4, 0, 0),
  [2677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_entry, 4, 0, 0),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [2681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_script_block_repeat1, 2, 0, 0),
  [2683] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_script_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1118),
  [2686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirections, 1, 0, 0),
  [2688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirections_repeat1, 2, 0, 0), SHIFT_REPEAT(1163),
  [2691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirections_repeat1, 2, 0, 0), SHIFT_REPEAT(1163),
  [2694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirections_repeat1, 2, 0, 0), SHIFT_REPEAT(1158),
  [2697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_redirections_repeat1, 2, 0, 0),
  [2699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirections_repeat1, 2, 0, 0), SHIFT_REPEAT(1150),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [2706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_literal_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(632),
  [2709] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_literal_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(653),
  [2712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_operator, 1, 0, 0),
  [2714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_format_operator, 1, 0, 0),
  [2716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comparison_operator, 1, 0, 0),
  [2718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comparison_operator, 1, 0, 0),
  [2720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_clause, 4, 0, 0),
  [2722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [2724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_script_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1161),
  [2727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_clause, 3, 0, 0),
  [2729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [2731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirection_operator, 1, 0, 0),
  [2733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirection_operator, 1, 0, 0),
  [2735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_invokation_operator, 1, 0, 0),
  [2737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [2753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(1856),
  [2756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(1342),
  [2759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(145),
  [2762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(145),
  [2765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_statement_repeat2, 2, 0, 0),
  [2767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(1281),
  [2770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [2772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [2776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [2780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [2782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [2784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [2786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [2788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [2790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [2792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [2794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [2796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [2798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [2800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [2802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [2804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [2806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [2808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(68),
  [2810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [2812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [2814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [2816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [2818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [2820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [2822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [2824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [2826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [2828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [2830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [2832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [2834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [2836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [2838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [2840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [2842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [2844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(46),
  [2846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [2850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [2852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [2854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [2856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [2858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [2860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [2862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [2864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [2866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [2868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [2870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [2874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [2876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [2880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1003),
  [2882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [2884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [2886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [2888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [2890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [2892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [2894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [2896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [2898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [2900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [2902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [2904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [2906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [2908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [2912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [2914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [2916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [2918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [2920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [2922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [2924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [2926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [2928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [2932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [2934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [2936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [2938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [2942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [2948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [2952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [2954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [2958] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expandable_here_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(1220),
  [2961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expandable_here_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(1220),
  [2964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expandable_here_string_literal_repeat1, 2, 0, 0),
  [2966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expandable_here_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(1258),
  [2969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expandable_here_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(50),
  [2972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [2974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__expandable_string_literal_immediate_repeat1, 2, 0, 0), SHIFT_REPEAT(1256),
  [2977] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__expandable_string_literal_immediate_repeat1, 2, 0, 0), SHIFT_REPEAT(1222),
  [2980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__expandable_string_literal_immediate_repeat1, 2, 0, 0),
  [2982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__expandable_string_literal_immediate_repeat1, 2, 0, 0), SHIFT_REPEAT(68),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [2987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [2989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [2995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [3007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expandable_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(1230),
  [3010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expandable_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(1230),
  [3013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expandable_string_literal_repeat1, 2, 0, 0),
  [3015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expandable_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(1254),
  [3018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expandable_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(46),
  [3021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [3023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [3029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [3037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [3053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_path_command_name_repeat1, 1, 0, 0),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [3057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [3059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [3063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [3065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_statement_repeat2, 3, 0, 0),
  [3067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_statement_repeat2, 3, 0, 0),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [3071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expandable_string_literal_repeat1, 1, 0, 0),
  [3073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expandable_string_literal_repeat1, 1, 0, 0),
  [3075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expandable_string_literal_repeat1, 1, 0, 0), REDUCE(aux_sym_expandable_string_literal_repeat2, 1, 0, 0),
  [3078] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_script_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1255),
  [3081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_statement_repeat2, 2, 0, 0),
  [3083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [3089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [3091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_property_definition_repeat1, 2, 0, 0),
  [3093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_property_definition_repeat1, 2, 0, 0),
  [3095] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_property_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1281),
  [3098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [3100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_method_definition, 6, 0, 0),
  [3102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_method_definition, 6, 0, 0),
  [3104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_attribute, 1, 0, 0), SHIFT(2106),
  [3107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 0), SHIFT(145),
  [3110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_attribute, 1, 0, 0), SHIFT(145),
  [3113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_method_definition, 10, 0, 0),
  [3115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_method_definition, 10, 0, 0),
  [3117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_path_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(1292),
  [3120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_path_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(1292),
  [3123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_path_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(1269),
  [3126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_method_definition, 9, 0, 0),
  [3128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_method_definition, 9, 0, 0),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [3132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [3136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [3138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [3140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_method_definition, 8, 0, 0),
  [3142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_method_definition, 8, 0, 0),
  [3144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_method_definition, 7, 0, 0),
  [3146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_method_definition, 7, 0, 0),
  [3148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_method_definition, 5, 0, 0),
  [3150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_method_definition, 5, 0, 0),
  [3152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1340),
  [3155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [3157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [3167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_attribute, 1, 0, 0),
  [3169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_attribute, 1, 0, 0),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [3193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 6, 0, 0),
  [3195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 6, 0, 0),
  [3197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 5, 0, 0),
  [3199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 5, 0, 0),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [3209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [3215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [3217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 1, 0, 0),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [3221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_parameters, 1, 0, 0),
  [3223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [3225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_parameters_repeat1, 2, 0, 0),
  [3227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(1331),
  [3230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [3232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_block_list, 1, 0, 0),
  [3234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_block_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1786),
  [3237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_block_list_repeat1, 2, 0, 0),
  [3239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [3245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [3253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [3255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [3259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_clause_condition, 1, 0, 0),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [3263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [3265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [3273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [3281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [3283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_parameter, 1, 0, 0),
  [3285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(1332),
  [3288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(1332),
  [3291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_name_repeat1, 2, 0, 0), SHIFT_REPEAT(1192),
  [3294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [3298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_filename, 1, 0, 0),
  [3300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [3302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_verbatim_command_argument, 2, 0, 0),
  [3304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [3306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__verbatim_command_argument_chars, 2, 0, 0), SHIFT_REPEAT(1338),
  [3309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__verbatim_command_argument_chars, 2, 0, 0),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [3319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_command, 2, 0, 5),
  [3321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_foreach_command_repeat1, 2, 0, 0),
  [3323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_foreach_command_repeat1, 2, 0, 0), SHIFT_REPEAT(32),
  [3326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [3330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [3332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [3334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_verbatim_command_argument, 2, 0, 0),
  [3336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__verbatim_command_argument_chars, 2, 0, 0), SHIFT_REPEAT(1352),
  [3339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__verbatim_command_argument_chars, 2, 0, 0),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [3343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_foreach_command_repeat1, 2, 0, 0), SHIFT_REPEAT(34),
  [3346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [3348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_foreach_command_repeat1, 2, 0, 0), SHIFT_REPEAT(35),
  [3351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_elseif_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(2127),
  [3354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_catch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(1382),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [3359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_name, 1, 0, 0),
  [3361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_logical_argument_expression, 3, 0, 0),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [3365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_block, 2, 0, 0),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [3373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_spec, 1, 0, 0),
  [3375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_expression, 1, 0, 0),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [3379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_logical_argument_expression, 1, 0, 0),
  [3381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_foreach_command_repeat1, 2, 0, 0), SHIFT_REPEAT(30),
  [3384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [3386] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_elseif_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(2133),
  [3389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_name, 3, 0, 0),
  [3391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_catch_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(1379),
  [3394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [3396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [3398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [3400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [3402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [3404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_statement_repeat1, 2, 0, 0),
  [3406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [3408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1643),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [3415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_statement_repeat1, 3, 0, 0),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [3423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_parameter, 2, 0, 0),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [3429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_parameter, 1, 0, 0),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [3435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [3437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [3439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 3, 0, 10),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [3447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [3449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expandable_string_literal_repeat2, 2, 0, 0), SHIFT_REPEAT(1436),
  [3452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expandable_string_literal_repeat2, 2, 0, 0),
  [3454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_expression_list_repeat1, 2, 0, 0),
  [3456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_expression_list_repeat1, 2, 0, 0), SHIFT_REPEAT(396),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [3463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_spec, 3, 0, 0),
  [3465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dimension_repeat1, 2, 0, 0), SHIFT_REPEAT(1441),
  [3468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dimension_repeat1, 2, 0, 0),
  [3470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [3474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type_arguments, 2, 0, 0),
  [3476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [3478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [3480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_argument, 1, 0, 0),
  [3482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_arguments, 1, 0, 0),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [3486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type_name, 2, 0, 0),
  [3488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_name, 2, 0, 0),
  [3490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_spec, 2, 0, 0),
  [3492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [3494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1557),
  [3496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [3498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [3500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [3502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [3504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_method_parameter_list, 2, 0, 0),
  [3506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [3508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [3510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dimension, 1, 0, 0),
  [3512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type_arguments, 1, 0, 0),
  [3514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__pipeline_tail, 2, 0, 0), SHIFT_REPEAT(1294),
  [3517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__pipeline_tail, 2, 0, 0),
  [3519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_expression_list, 2, 0, 0),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [3523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [3525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_method_parameter_list_repeat1, 2, 0, 0),
  [3527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_method_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1280),
  [3530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [3532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipeline, 3, 0, 0),
  [3534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [3536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [3538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [3540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 1, 0, 0),
  [3542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [3544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1686),
  [3546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [3548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 1, 0, 0),
  [3550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [3552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [3554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [3556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_arguments_repeat1, 2, 0, 0),
  [3558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(317),
  [3561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [3565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_type_list, 1, 0, 0),
  [3567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [3569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [3573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_commands_list, 2, 0, 0),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [3577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__expandable_string_literal_immediate_repeat2, 2, 0, 0), SHIFT_REPEAT(1486),
  [3580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__expandable_string_literal_immediate_repeat2, 2, 0, 0),
  [3582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [3586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [3590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [3592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [3594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [3596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [3600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [3602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [3604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1574),
  [3606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [3612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_expression_list, 1, 0, 0),
  [3614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [3616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [3618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [3624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [3626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [3630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipeline, 2, 0, 0),
  [3632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [3634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [3636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [3638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [3640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_type_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(1399),
  [3643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_type_arguments_repeat1, 2, 0, 0),
  [3645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_arguments, 2, 0, 0),
  [3647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 2, 0, 7),
  [3649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0),
  [3651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1252),
  [3654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [3656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_catch_type_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1691),
  [3659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_catch_type_list_repeat1, 2, 0, 0),
  [3661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [3663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [3669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [3671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1580),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [3677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_method_parameter_list, 1, 0, 0),
  [3679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [3681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [3685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_commands_list, 1, 0, 0),
  [3687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [3689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1569),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [3695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_type_list, 2, 0, 0),
  [3697] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__pipeline_tail, 2, 0, 0), SHIFT_REPEAT(1298),
  [3700] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_data_commands_list_repeat1, 2, 0, 0), SHIFT_REPEAT(721),
  [3703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_data_commands_list_repeat1, 2, 0, 0),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [3707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [3709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [3711] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1754),
  [3714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_statement_repeat1, 2, 0, 0),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [3718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [3720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [3722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [3728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_name, 1, 0, 0),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [3734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_method_parameter, 1, 0, 0),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [3738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_property_definition, 3, 0, 0),
  [3740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_name, 1, 0, 0),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [3754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_property_definition, 1, 0, 0),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [3762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_member, 1, 0, 0),
  [3764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [3766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [3768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [3770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_parameter_default, 2, 0, 0),
  [3772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_parameter, 3, 0, 0),
  [3774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [3778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_command, 1, 0, 0),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [3782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1699),
  [3784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_name, 1, 0, 0),
  [3786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_argument, 3, 0, 0),
  [3788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [3790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_method_parameter, 2, 0, 0),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [3794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_property_definition, 4, 0, 0),
  [3796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [3798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_property_definition, 2, 0, 0),
  [3800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [3806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [3808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_property_definition, 6, 0, 0),
  [3810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [3812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_condition, 1, 0, 0),
  [3814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [3816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [3818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [3834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [3836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [3838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [3840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [3842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [3844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [3846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [3848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [3850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [3856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_parameter_declaration, 2, 0, 0),
  [3858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [3860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [3862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [3864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [3866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_key_expression, 1, 0, 0),
  [3868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [3870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [3872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [3874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [3876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [3880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [3882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [3884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [3886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [3890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [3892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [3894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [3896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_name, 1, 0, 0),
  [3898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [3900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [3908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [3910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [3912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [3916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [3918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [3920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [3934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [3936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [3938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [3940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [3942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [3944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [3948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [3950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [3952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [3954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [3956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [3958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [3960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_condition, 2, 0, 0),
  [3962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 9),
  [3964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [3966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [3968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [3970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [3972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [3974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [3976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [3978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [3980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [3982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [3984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [3986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [3990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [3992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_block, 3, 0, 11),
  [3994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [3998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [4004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [4008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [4010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [4012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [4014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [4016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [4018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [4020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [4022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [4028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [4038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [4040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_condition, 3, 0, 0),
  [4042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [4044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_block, 1, 0, 2),
  [4046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_member, 3, 0, 0),
  [4048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_block_body, 1, 0, 3),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [4054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [4060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_initializer, 1, 0, 0),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [4068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_condition, 1, 0, 0),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [4072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [4078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [4082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [4084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [4086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [4088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [4092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [4094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [4096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [4098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [4100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [4102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [4104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [4106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [4108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [4110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [4112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [4114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [4116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [4118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_block_body, 1, 0, 4),
  [4120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [4122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [4124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [4126] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [4130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [4132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [4136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_label_expression, 1, 0, 0),
  [4138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [4140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_flow_control_statement, 2, 0, 0),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [4146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_block, 4, 0, 13),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [4150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [4154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [4156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [4158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [4170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_data_commands_allowed, 2, 0, 0),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [4194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [4200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_iterator, 1, 0, 0),
  [4202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [4206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_parameter, 1, 0, 0),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [4220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_parameter_declaration, 3, 0, 0),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [4224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [4236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [4252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_property_definition, 5, 0, 0),
  [4254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [4354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [4374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [4378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__statement_terminator = 0,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__statement_terminator] = sym__statement_terminator,
};

static const bool ts_external_scanner_states[2][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__statement_terminator] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_powershell_external_scanner_create(void);
void tree_sitter_powershell_external_scanner_destroy(void *);
bool tree_sitter_powershell_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_powershell_external_scanner_serialize(void *, char *);
void tree_sitter_powershell_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_powershell(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_powershell_external_scanner_create,
      tree_sitter_powershell_external_scanner_destroy,
      tree_sitter_powershell_external_scanner_scan,
      tree_sitter_powershell_external_scanner_serialize,
      tree_sitter_powershell_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
